# vmware-vi
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 8.0.1.0
- Package version: 8.0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/situation-sh/vmware-vi.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/situation-sh/vmware-vi.git`)

Then import the package:
```python
import vmware_vi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import vmware_vi
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import vmware_vi
from vmware_vi.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://localhost/sdk/vim25/8.0.1.0
# See configuration.py for a list of all supported configuration parameters.
configuration = vmware_vi.Configuration(
    host = "https://localhost/sdk/vim25/8.0.1.0"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: Session
configuration.api_key['Session'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Session'] = 'Bearer'


# Enter a context with an instance of the API client
with vmware_vi.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = vmware_vi.AlarmApi(api_client)
    mo_id = 'mo_id_example' # str | A unique identifier (within this vCenter Server instance) for a specific managed object such as `group-d1` or `vm-015` or `ServiceInstance`.

    try:
        # List of custom field definitions that are valid for the object's type. 
        api_response = api_instance.alarm_get_available_field(mo_id)
        print("The response of AlarmApi->alarm_get_available_field:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AlarmApi->alarm_get_available_field: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost/sdk/vim25/8.0.1.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlarmApi* | [**alarm_get_available_field**](docs/AlarmApi.md#alarm_get_available_field) | **GET** /Alarm/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*AlarmApi* | [**alarm_get_info**](docs/AlarmApi.md#alarm_get_info) | **GET** /Alarm/{moId}/info | Information about this alarm. 
*AlarmApi* | [**alarm_get_value**](docs/AlarmApi.md#alarm_get_value) | **GET** /Alarm/{moId}/value | List of custom field values. 
*AlarmApi* | [**alarm_reconfigure_alarm**](docs/AlarmApi.md#alarm_reconfigure_alarm) | **POST** /Alarm/{moId}/ReconfigureAlarm | Reconfigures the alarm properties. 
*AlarmApi* | [**alarm_remove_alarm**](docs/AlarmApi.md#alarm_remove_alarm) | **POST** /Alarm/{moId}/RemoveAlarm | Removes the alarm. 
*AlarmApi* | [**alarm_set_custom_value**](docs/AlarmApi.md#alarm_set_custom_value) | **POST** /Alarm/{moId}/setCustomValue | Assigns a value to a custom field. 
*AlarmManagerApi* | [**alarm_manager_acknowledge_alarm**](docs/AlarmManagerApi.md#alarm_manager_acknowledge_alarm) | **POST** /AlarmManager/{moId}/AcknowledgeAlarm | Acknowledge the alarm on a managed entity. 
*AlarmManagerApi* | [**alarm_manager_are_alarm_actions_enabled**](docs/AlarmManagerApi.md#alarm_manager_are_alarm_actions_enabled) | **POST** /AlarmManager/{moId}/AreAlarmActionsEnabled | Returns true if alarm actions are enabled on the specified managed entity. 
*AlarmManagerApi* | [**alarm_manager_clear_triggered_alarms**](docs/AlarmManagerApi.md#alarm_manager_clear_triggered_alarms) | **POST** /AlarmManager/{moId}/ClearTriggeredAlarms | Resets all triggered alarms to green. 
*AlarmManagerApi* | [**alarm_manager_create_alarm**](docs/AlarmManagerApi.md#alarm_manager_create_alarm) | **POST** /AlarmManager/{moId}/CreateAlarm | Creates an alarm. 
*AlarmManagerApi* | [**alarm_manager_disable_alarm**](docs/AlarmManagerApi.md#alarm_manager_disable_alarm) | **POST** /AlarmManager/{moId}/DisableAlarm | Disables alarm for a specific entity. 
*AlarmManagerApi* | [**alarm_manager_enable_alarm**](docs/AlarmManagerApi.md#alarm_manager_enable_alarm) | **POST** /AlarmManager/{moId}/EnableAlarm | Enables alarm for a specific entity. 
*AlarmManagerApi* | [**alarm_manager_enable_alarm_actions**](docs/AlarmManagerApi.md#alarm_manager_enable_alarm_actions) | **POST** /AlarmManager/{moId}/EnableAlarmActions | Enables or disables alarms on the specified managed entity. 
*AlarmManagerApi* | [**alarm_manager_get_alarm**](docs/AlarmManagerApi.md#alarm_manager_get_alarm) | **POST** /AlarmManager/{moId}/GetAlarm | Available alarms defined on the entity. 
*AlarmManagerApi* | [**alarm_manager_get_alarm_state**](docs/AlarmManagerApi.md#alarm_manager_get_alarm_state) | **POST** /AlarmManager/{moId}/GetAlarmState | The state of instantiated alarms on the entity. 
*AlarmManagerApi* | [**alarm_manager_get_default_expression**](docs/AlarmManagerApi.md#alarm_manager_get_default_expression) | **GET** /AlarmManager/{moId}/defaultExpression | The default setting for each alarm expression, used to populate the initial client wizard screen. 
*AlarmManagerApi* | [**alarm_manager_get_description**](docs/AlarmManagerApi.md#alarm_manager_get_description) | **GET** /AlarmManager/{moId}/description | The static descriptive strings used in alarms. 
*AuthorizationManagerApi* | [**authorization_manager_add_authorization_role**](docs/AuthorizationManagerApi.md#authorization_manager_add_authorization_role) | **POST** /AuthorizationManager/{moId}/AddAuthorizationRole | Adds a new role. 
*AuthorizationManagerApi* | [**authorization_manager_fetch_user_privilege_on_entities**](docs/AuthorizationManagerApi.md#authorization_manager_fetch_user_privilege_on_entities) | **POST** /AuthorizationManager/{moId}/FetchUserPrivilegeOnEntities | Get the list of effective privileges for a user, either granted explicitly, or through group membership. 
*AuthorizationManagerApi* | [**authorization_manager_get_description**](docs/AuthorizationManagerApi.md#authorization_manager_get_description) | **GET** /AuthorizationManager/{moId}/description | Static, descriptive strings for system roles and privileges. 
*AuthorizationManagerApi* | [**authorization_manager_get_privilege_list**](docs/AuthorizationManagerApi.md#authorization_manager_get_privilege_list) | **GET** /AuthorizationManager/{moId}/privilegeList | The list of system-defined privileges. 
*AuthorizationManagerApi* | [**authorization_manager_get_role_list**](docs/AuthorizationManagerApi.md#authorization_manager_get_role_list) | **GET** /AuthorizationManager/{moId}/roleList | The currently defined roles in the system, including static system-defined roles. 
*AuthorizationManagerApi* | [**authorization_manager_has_privilege_on_entities**](docs/AuthorizationManagerApi.md#authorization_manager_has_privilege_on_entities) | **POST** /AuthorizationManager/{moId}/HasPrivilegeOnEntities | Check whether a session holds a set of privileges on a set of managed entities. 
*AuthorizationManagerApi* | [**authorization_manager_has_privilege_on_entity**](docs/AuthorizationManagerApi.md#authorization_manager_has_privilege_on_entity) | **POST** /AuthorizationManager/{moId}/HasPrivilegeOnEntity | Check whether a session holds a set of privileges on a managed entity. 
*AuthorizationManagerApi* | [**authorization_manager_has_user_privilege_on_entities**](docs/AuthorizationManagerApi.md#authorization_manager_has_user_privilege_on_entities) | **POST** /AuthorizationManager/{moId}/HasUserPrivilegeOnEntities | Checks if a user holds a certain set of privileges on a number of managed entities. 
*AuthorizationManagerApi* | [**authorization_manager_merge_permissions**](docs/AuthorizationManagerApi.md#authorization_manager_merge_permissions) | **POST** /AuthorizationManager/{moId}/MergePermissions | Reassigns all permissions of a role to another role. 
*AuthorizationManagerApi* | [**authorization_manager_remove_authorization_role**](docs/AuthorizationManagerApi.md#authorization_manager_remove_authorization_role) | **POST** /AuthorizationManager/{moId}/RemoveAuthorizationRole | Removes a role. 
*AuthorizationManagerApi* | [**authorization_manager_remove_entity_permission**](docs/AuthorizationManagerApi.md#authorization_manager_remove_entity_permission) | **POST** /AuthorizationManager/{moId}/RemoveEntityPermission | Removes a permission rule from an entity. 
*AuthorizationManagerApi* | [**authorization_manager_reset_entity_permissions**](docs/AuthorizationManagerApi.md#authorization_manager_reset_entity_permissions) | **POST** /AuthorizationManager/{moId}/ResetEntityPermissions | Update the entire set of permissions defined on an entity. 
*AuthorizationManagerApi* | [**authorization_manager_retrieve_all_permissions**](docs/AuthorizationManagerApi.md#authorization_manager_retrieve_all_permissions) | **POST** /AuthorizationManager/{moId}/RetrieveAllPermissions | Finds all permissions defined in the system. 
*AuthorizationManagerApi* | [**authorization_manager_retrieve_entity_permissions**](docs/AuthorizationManagerApi.md#authorization_manager_retrieve_entity_permissions) | **POST** /AuthorizationManager/{moId}/RetrieveEntityPermissions | Gets permissions defined on or effective on a managed entity. 
*AuthorizationManagerApi* | [**authorization_manager_retrieve_role_permissions**](docs/AuthorizationManagerApi.md#authorization_manager_retrieve_role_permissions) | **POST** /AuthorizationManager/{moId}/RetrieveRolePermissions | Finds all the permissions that use a particular role. 
*AuthorizationManagerApi* | [**authorization_manager_set_entity_permissions**](docs/AuthorizationManagerApi.md#authorization_manager_set_entity_permissions) | **POST** /AuthorizationManager/{moId}/SetEntityPermissions | Defines one or more permission rules on an entity or updates rules if already present for the given user or group on the entity. 
*AuthorizationManagerApi* | [**authorization_manager_update_authorization_role**](docs/AuthorizationManagerApi.md#authorization_manager_update_authorization_role) | **POST** /AuthorizationManager/{moId}/UpdateAuthorizationRole | Updates a role&#39;s name or privileges. 
*CertificateManagerApi* | [**certificate_manager_cert_mgr_refresh_ca_certificates_and_crls_task**](docs/CertificateManagerApi.md#certificate_manager_cert_mgr_refresh_ca_certificates_and_crls_task) | **POST** /CertificateManager/{moId}/CertMgrRefreshCACertificatesAndCRLs_Task | Re-fetches certificates of trusted CAs and the Certificate Revocation Lists (CRL) from the appropriate authoritative source and pushes them to the hosts. 
*CertificateManagerApi* | [**certificate_manager_cert_mgr_refresh_certificates_task**](docs/CertificateManagerApi.md#certificate_manager_cert_mgr_refresh_certificates_task) | **POST** /CertificateManager/{moId}/CertMgrRefreshCertificates_Task | Gets CSRs from the hosts and then gets these certificates signed by the VMware Certificate Service and pushes them down to the hosts. 
*CertificateManagerApi* | [**certificate_manager_cert_mgr_revoke_certificates_task**](docs/CertificateManagerApi.md#certificate_manager_cert_mgr_revoke_certificates_task) | **POST** /CertificateManager/{moId}/CertMgrRevokeCertificates_Task | Revokes the certificates of some hosts. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_abandon_hci_workflow**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_abandon_hci_workflow) | **POST** /ClusterComputeResource/{moId}/AbandonHciWorkflow | Opt out of the HCI workflow. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_add_host_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_add_host_task) | **POST** /ClusterComputeResource/{moId}/AddHost_Task | Adds a host to the cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_apply_recommendation**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_apply_recommendation) | **POST** /ClusterComputeResource/{moId}/ApplyRecommendation | Applies a recommendation from the drsRecommendation or the recommendation list. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_cancel_recommendation**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_cancel_recommendation) | **POST** /ClusterComputeResource/{moId}/CancelRecommendation | Cancels a recommendation. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_cluster_enter_maintenance_mode**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_cluster_enter_maintenance_mode) | **POST** /ClusterComputeResource/{moId}/ClusterEnterMaintenanceMode | The API takes a list of hosts in the cluster as input, and returns a list of hosts in \&quot;ClusterMaintenanceResult\&quot; that the server can successfully evacuate given the existing constraints in the cluster, such as HA, FT, Vmotion compatibility, reservations, affinity rules, etc. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_configure_hci_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_configure_hci_task) | **POST** /ClusterComputeResource/{moId}/ConfigureHCI_Task | Configures the cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_destroy_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_destroy_task) | **POST** /ClusterComputeResource/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*ClusterComputeResourceApi* | [**cluster_compute_resource_evc_manager**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_evc_manager) | **POST** /ClusterComputeResource/{moId}/EvcManager | A managed object that controls Enhanced vMotion Compatibility mode for this cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_extend_hci_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_extend_hci_task) | **POST** /ClusterComputeResource/{moId}/ExtendHCI_Task | Extend an existing HCI cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_find_rules_for_vm**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_find_rules_for_vm) | **POST** /ClusterComputeResource/{moId}/FindRulesForVm | Finds all enabled and disabled VM-VM Affinity and Anti-Affinity rules, involving the given Virtual Machine. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_action_history**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_action_history) | **GET** /ClusterComputeResource/{moId}/actionHistory | The set of actions that have been performed recently. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_alarm_actions_enabled**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_alarm_actions_enabled) | **GET** /ClusterComputeResource/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_available_field**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_available_field) | **GET** /ClusterComputeResource/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_config_issue**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_config_issue) | **GET** /ClusterComputeResource/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_config_manager_enabled**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_config_manager_enabled) | **GET** /ClusterComputeResource/{moId}/configManagerEnabled | Flag indicating whether or not desired configuration management platform is enabled on the compute resource. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_config_status**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_config_status) | **GET** /ClusterComputeResource/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_configuration**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_configuration) | **GET** /ClusterComputeResource/{moId}/configuration | Configuration of the cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_configuration_ex**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_configuration_ex) | **GET** /ClusterComputeResource/{moId}/configurationEx | Configuration of the compute resource; applies to both standalone hosts and clusters. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_custom_value**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_custom_value) | **GET** /ClusterComputeResource/{moId}/customValue | Custom field values. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_datastore**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_datastore) | **GET** /ClusterComputeResource/{moId}/datastore | The datastore property is the subset of datastore objects in the datacenter available in this ComputeResource. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_declared_alarm_state**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_declared_alarm_state) | **GET** /ClusterComputeResource/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_disabled_method**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_disabled_method) | **GET** /ClusterComputeResource/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_drs_fault**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_drs_fault) | **GET** /ClusterComputeResource/{moId}/drsFault | A collection of the DRS faults generated in the last DRS invocation. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_drs_recommendation**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_drs_recommendation) | **GET** /ClusterComputeResource/{moId}/drsRecommendation | If DRS is enabled, this returns the set of recommended migrations from the DRS module. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_effective_role**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_effective_role) | **GET** /ClusterComputeResource/{moId}/effectiveRole | Access rights the current session has to this entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_environment_browser**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_environment_browser) | **GET** /ClusterComputeResource/{moId}/environmentBrowser | The environment browser object that identifies the environments that are supported on this compute resource. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_hci_config**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_hci_config) | **GET** /ClusterComputeResource/{moId}/hciConfig | This is applicable to clusters which are configured using the HCI workflow and contains data related to the workflow and specification. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_host**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_host) | **GET** /ClusterComputeResource/{moId}/host | List of hosts that are part of this compute resource. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_lifecycle_managed**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_lifecycle_managed) | **GET** /ClusterComputeResource/{moId}/lifecycleManaged | Flag indicating whether or not the lifecycle of the compute resource is managed. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_migration_history**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_migration_history) | **GET** /ClusterComputeResource/{moId}/migrationHistory | The set of migration decisions that have recently been performed. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_name**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_name) | **GET** /ClusterComputeResource/{moId}/name | Name of this entity, unique relative to its parent. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_network**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_network) | **GET** /ClusterComputeResource/{moId}/network | The subset of network objects available in the datacenter that is available in this ComputeResource. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_overall_status**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_overall_status) | **GET** /ClusterComputeResource/{moId}/overallStatus | General health of this managed entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_parent**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_parent) | **GET** /ClusterComputeResource/{moId}/parent | Parent of this entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_permission**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_permission) | **GET** /ClusterComputeResource/{moId}/permission | List of permissions defined for this entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_recent_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_recent_task) | **GET** /ClusterComputeResource/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_recommendation**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_recommendation) | **GET** /ClusterComputeResource/{moId}/recommendation | List of recommended actions for the cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_resource_pool**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_resource_pool) | **GET** /ClusterComputeResource/{moId}/resourcePool | Reference to root resource pool. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_resource_usage**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_resource_usage) | **POST** /ClusterComputeResource/{moId}/GetResourceUsage | This API can be invoked to get the current CPU, memory and storage usage in the cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_summary**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_summary) | **GET** /ClusterComputeResource/{moId}/summary | Basic runtime information about a compute resource. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_summary_ex**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_summary_ex) | **GET** /ClusterComputeResource/{moId}/summaryEx | The cluster summary. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_system_vms_restricted_datastores**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_system_vms_restricted_datastores) | **POST** /ClusterComputeResource/{moId}/GetSystemVMsRestrictedDatastores | Retrieve all the datastores that are either listed in *ClusterSystemVMsConfigInfo.notAllowedDatastores* or are tagged with a category from *ClusterSystemVMsConfigInfo.dsTagCategoriesToExclude*. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_tag**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_tag) | **GET** /ClusterComputeResource/{moId}/tag | The set of tags associated with this managed entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_triggered_alarm_state**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_triggered_alarm_state) | **GET** /ClusterComputeResource/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_get_value**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_get_value) | **GET** /ClusterComputeResource/{moId}/value | List of custom field values. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_move_host_into_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_move_host_into_task) | **POST** /ClusterComputeResource/{moId}/MoveHostInto_Task | Moves an existing host into a cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_move_into_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_move_into_task) | **POST** /ClusterComputeResource/{moId}/MoveInto_Task | Moves an existing host into a cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_place_vm**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_place_vm) | **POST** /ClusterComputeResource/{moId}/PlaceVm | This method returns a *PlacementResult* object. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_recommend_hosts_for_vm**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_recommend_hosts_for_vm) | **POST** /ClusterComputeResource/{moId}/RecommendHostsForVm | Gets a recommendation for where to power on, resume, revert from powered-off state to powered on state, or to migrate a specific virtual machine. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_reconfigure_cluster_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_reconfigure_cluster_task) | **POST** /ClusterComputeResource/{moId}/ReconfigureCluster_Task | Reconfigures a cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_reconfigure_compute_resource_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_reconfigure_compute_resource_task) | **POST** /ClusterComputeResource/{moId}/ReconfigureComputeResource_Task | Change the compute resource configuration. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_refresh_recommendation**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_refresh_recommendation) | **POST** /ClusterComputeResource/{moId}/RefreshRecommendation | Make DRS invoke again and return a new list of recommendations. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_reload**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_reload) | **POST** /ClusterComputeResource/{moId}/Reload | Reload the entity state. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_rename_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_rename_task) | **POST** /ClusterComputeResource/{moId}/Rename_Task | Renames this managed entity. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_retrieve_das_advanced_runtime_info**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_retrieve_das_advanced_runtime_info) | **POST** /ClusterComputeResource/{moId}/RetrieveDasAdvancedRuntimeInfo | Retrieve DAS advanced runtime info for this cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_set_crypto_mode**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_set_crypto_mode) | **POST** /ClusterComputeResource/{moId}/SetCryptoMode | Set the desired encryption mode and host key for the cluster. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_set_custom_value**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_set_custom_value) | **POST** /ClusterComputeResource/{moId}/setCustomValue | Assigns a value to a custom field. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_stamp_all_rules_with_uuid_task**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_stamp_all_rules_with_uuid_task) | **POST** /ClusterComputeResource/{moId}/StampAllRulesWithUuid_Task | Stamp all rules in the cluster with ruleUuid. 
*ClusterComputeResourceApi* | [**cluster_compute_resource_validate_hci_configuration**](docs/ClusterComputeResourceApi.md#cluster_compute_resource_validate_hci_configuration) | **POST** /ClusterComputeResource/{moId}/ValidateHCIConfiguration | Validate HCI configuration in pre-configure and post-configure use-cases. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_check_add_host_evc_task**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_check_add_host_evc_task) | **POST** /ClusterEVCManager/{moId}/CheckAddHostEvc_Task | Test the validity of adding a host into the managed cluster. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_check_configure_evc_mode_task**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_check_configure_evc_mode_task) | **POST** /ClusterEVCManager/{moId}/CheckConfigureEvcMode_Task | Test the validity of configuring an EVC mode on the managed cluster. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_configure_evc_mode_task**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_configure_evc_mode_task) | **POST** /ClusterEVCManager/{moId}/ConfigureEvcMode_Task | Set the EVC mode. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_disable_evc_mode_task**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_disable_evc_mode_task) | **POST** /ClusterEVCManager/{moId}/DisableEvcMode_Task | Disable EVC. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_get_available_field**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_get_available_field) | **GET** /ClusterEVCManager/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_get_evc_state**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_get_evc_state) | **GET** /ClusterEVCManager/{moId}/evcState | EVC-related state of the managed cluster. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_get_managed_cluster**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_get_managed_cluster) | **GET** /ClusterEVCManager/{moId}/managedCluster | Cluster associated with this manager object. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_get_value**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_get_value) | **GET** /ClusterEVCManager/{moId}/value | List of custom field values. 
*ClusterEVCManagerApi* | [**cluster_evc_manager_set_custom_value**](docs/ClusterEVCManagerApi.md#cluster_evc_manager_set_custom_value) | **POST** /ClusterEVCManager/{moId}/setCustomValue | Assigns a value to a custom field. 
*ClusterProfileApi* | [**cluster_profile_associate_profile**](docs/ClusterProfileApi.md#cluster_profile_associate_profile) | **POST** /ClusterProfile/{moId}/AssociateProfile | Associate a profile with a managed entity. 
*ClusterProfileApi* | [**cluster_profile_check_profile_compliance_task**](docs/ClusterProfileApi.md#cluster_profile_check_profile_compliance_task) | **POST** /ClusterProfile/{moId}/CheckProfileCompliance_Task | Check compliance of an entity against a Profile. 
*ClusterProfileApi* | [**cluster_profile_destroy_profile**](docs/ClusterProfileApi.md#cluster_profile_destroy_profile) | **POST** /ClusterProfile/{moId}/DestroyProfile | Destroy the profile. 
*ClusterProfileApi* | [**cluster_profile_dissociate_profile**](docs/ClusterProfileApi.md#cluster_profile_dissociate_profile) | **POST** /ClusterProfile/{moId}/DissociateProfile | Remove the association between a profile and a managed entity. 
*ClusterProfileApi* | [**cluster_profile_export_profile**](docs/ClusterProfileApi.md#cluster_profile_export_profile) | **POST** /ClusterProfile/{moId}/ExportProfile | Export the profile in a serialized form. 
*ClusterProfileApi* | [**cluster_profile_get_compliance_status**](docs/ClusterProfileApi.md#cluster_profile_get_compliance_status) | **GET** /ClusterProfile/{moId}/complianceStatus | Overall compliance of entities associated with this profile. 
*ClusterProfileApi* | [**cluster_profile_get_config**](docs/ClusterProfileApi.md#cluster_profile_get_config) | **GET** /ClusterProfile/{moId}/config | Configuration data for the profile. 
*ClusterProfileApi* | [**cluster_profile_get_created_time**](docs/ClusterProfileApi.md#cluster_profile_get_created_time) | **GET** /ClusterProfile/{moId}/createdTime | Time at which the profile was created. 
*ClusterProfileApi* | [**cluster_profile_get_description**](docs/ClusterProfileApi.md#cluster_profile_get_description) | **GET** /ClusterProfile/{moId}/description | Localizable description of the profile 
*ClusterProfileApi* | [**cluster_profile_get_entity**](docs/ClusterProfileApi.md#cluster_profile_get_entity) | **GET** /ClusterProfile/{moId}/entity | List of managed entities associated with the profile. 
*ClusterProfileApi* | [**cluster_profile_get_modified_time**](docs/ClusterProfileApi.md#cluster_profile_get_modified_time) | **GET** /ClusterProfile/{moId}/modifiedTime | Time at which the profile was last modified. 
*ClusterProfileApi* | [**cluster_profile_get_name**](docs/ClusterProfileApi.md#cluster_profile_get_name) | **GET** /ClusterProfile/{moId}/name | Name of the profile. 
*ClusterProfileApi* | [**cluster_profile_retrieve_description**](docs/ClusterProfileApi.md#cluster_profile_retrieve_description) | **POST** /ClusterProfile/{moId}/RetrieveDescription | Returns the localizable description for the profile. 
*ClusterProfileApi* | [**cluster_profile_update_cluster_profile**](docs/ClusterProfileApi.md#cluster_profile_update_cluster_profile) | **POST** /ClusterProfile/{moId}/UpdateClusterProfile | Update the ClusterProfile with the specified config. 
*ClusterProfileManagerApi* | [**cluster_profile_manager_create_profile**](docs/ClusterProfileManagerApi.md#cluster_profile_manager_create_profile) | **POST** /ClusterProfileManager/{moId}/CreateProfile | Create a profile from the specified CreateSpec. 
*ClusterProfileManagerApi* | [**cluster_profile_manager_find_associated_profile**](docs/ClusterProfileManagerApi.md#cluster_profile_manager_find_associated_profile) | **POST** /ClusterProfileManager/{moId}/FindAssociatedProfile | Get the profile(s) to which this entity is associated. 
*ClusterProfileManagerApi* | [**cluster_profile_manager_get_profile**](docs/ClusterProfileManagerApi.md#cluster_profile_manager_get_profile) | **GET** /ClusterProfileManager/{moId}/profile | A list of profiles known to this ProfileManager. 
*ClusterProfileManagerApi* | [**cluster_profile_manager_query_policy_metadata**](docs/ClusterProfileManagerApi.md#cluster_profile_manager_query_policy_metadata) | **POST** /ClusterProfileManager/{moId}/QueryPolicyMetadata | Get the Metadata information for the policyNames. 
*ComputeResourceApi* | [**compute_resource_destroy_task**](docs/ComputeResourceApi.md#compute_resource_destroy_task) | **POST** /ComputeResource/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*ComputeResourceApi* | [**compute_resource_get_alarm_actions_enabled**](docs/ComputeResourceApi.md#compute_resource_get_alarm_actions_enabled) | **GET** /ComputeResource/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*ComputeResourceApi* | [**compute_resource_get_available_field**](docs/ComputeResourceApi.md#compute_resource_get_available_field) | **GET** /ComputeResource/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ComputeResourceApi* | [**compute_resource_get_config_issue**](docs/ComputeResourceApi.md#compute_resource_get_config_issue) | **GET** /ComputeResource/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*ComputeResourceApi* | [**compute_resource_get_config_manager_enabled**](docs/ComputeResourceApi.md#compute_resource_get_config_manager_enabled) | **GET** /ComputeResource/{moId}/configManagerEnabled | Flag indicating whether or not desired configuration management platform is enabled on the compute resource. 
*ComputeResourceApi* | [**compute_resource_get_config_status**](docs/ComputeResourceApi.md#compute_resource_get_config_status) | **GET** /ComputeResource/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*ComputeResourceApi* | [**compute_resource_get_configuration_ex**](docs/ComputeResourceApi.md#compute_resource_get_configuration_ex) | **GET** /ComputeResource/{moId}/configurationEx | Configuration of the compute resource; applies to both standalone hosts and clusters. 
*ComputeResourceApi* | [**compute_resource_get_custom_value**](docs/ComputeResourceApi.md#compute_resource_get_custom_value) | **GET** /ComputeResource/{moId}/customValue | Custom field values. 
*ComputeResourceApi* | [**compute_resource_get_datastore**](docs/ComputeResourceApi.md#compute_resource_get_datastore) | **GET** /ComputeResource/{moId}/datastore | The datastore property is the subset of datastore objects in the datacenter available in this ComputeResource. 
*ComputeResourceApi* | [**compute_resource_get_declared_alarm_state**](docs/ComputeResourceApi.md#compute_resource_get_declared_alarm_state) | **GET** /ComputeResource/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*ComputeResourceApi* | [**compute_resource_get_disabled_method**](docs/ComputeResourceApi.md#compute_resource_get_disabled_method) | **GET** /ComputeResource/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*ComputeResourceApi* | [**compute_resource_get_effective_role**](docs/ComputeResourceApi.md#compute_resource_get_effective_role) | **GET** /ComputeResource/{moId}/effectiveRole | Access rights the current session has to this entity. 
*ComputeResourceApi* | [**compute_resource_get_environment_browser**](docs/ComputeResourceApi.md#compute_resource_get_environment_browser) | **GET** /ComputeResource/{moId}/environmentBrowser | The environment browser object that identifies the environments that are supported on this compute resource. 
*ComputeResourceApi* | [**compute_resource_get_host**](docs/ComputeResourceApi.md#compute_resource_get_host) | **GET** /ComputeResource/{moId}/host | List of hosts that are part of this compute resource. 
*ComputeResourceApi* | [**compute_resource_get_lifecycle_managed**](docs/ComputeResourceApi.md#compute_resource_get_lifecycle_managed) | **GET** /ComputeResource/{moId}/lifecycleManaged | Flag indicating whether or not the lifecycle of the compute resource is managed. 
*ComputeResourceApi* | [**compute_resource_get_name**](docs/ComputeResourceApi.md#compute_resource_get_name) | **GET** /ComputeResource/{moId}/name | Name of this entity, unique relative to its parent. 
*ComputeResourceApi* | [**compute_resource_get_network**](docs/ComputeResourceApi.md#compute_resource_get_network) | **GET** /ComputeResource/{moId}/network | The subset of network objects available in the datacenter that is available in this ComputeResource. 
*ComputeResourceApi* | [**compute_resource_get_overall_status**](docs/ComputeResourceApi.md#compute_resource_get_overall_status) | **GET** /ComputeResource/{moId}/overallStatus | General health of this managed entity. 
*ComputeResourceApi* | [**compute_resource_get_parent**](docs/ComputeResourceApi.md#compute_resource_get_parent) | **GET** /ComputeResource/{moId}/parent | Parent of this entity. 
*ComputeResourceApi* | [**compute_resource_get_permission**](docs/ComputeResourceApi.md#compute_resource_get_permission) | **GET** /ComputeResource/{moId}/permission | List of permissions defined for this entity. 
*ComputeResourceApi* | [**compute_resource_get_recent_task**](docs/ComputeResourceApi.md#compute_resource_get_recent_task) | **GET** /ComputeResource/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*ComputeResourceApi* | [**compute_resource_get_resource_pool**](docs/ComputeResourceApi.md#compute_resource_get_resource_pool) | **GET** /ComputeResource/{moId}/resourcePool | Reference to root resource pool. 
*ComputeResourceApi* | [**compute_resource_get_summary**](docs/ComputeResourceApi.md#compute_resource_get_summary) | **GET** /ComputeResource/{moId}/summary | Basic runtime information about a compute resource. 
*ComputeResourceApi* | [**compute_resource_get_tag**](docs/ComputeResourceApi.md#compute_resource_get_tag) | **GET** /ComputeResource/{moId}/tag | The set of tags associated with this managed entity. 
*ComputeResourceApi* | [**compute_resource_get_triggered_alarm_state**](docs/ComputeResourceApi.md#compute_resource_get_triggered_alarm_state) | **GET** /ComputeResource/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*ComputeResourceApi* | [**compute_resource_get_value**](docs/ComputeResourceApi.md#compute_resource_get_value) | **GET** /ComputeResource/{moId}/value | List of custom field values. 
*ComputeResourceApi* | [**compute_resource_reconfigure_compute_resource_task**](docs/ComputeResourceApi.md#compute_resource_reconfigure_compute_resource_task) | **POST** /ComputeResource/{moId}/ReconfigureComputeResource_Task | Change the compute resource configuration. 
*ComputeResourceApi* | [**compute_resource_reload**](docs/ComputeResourceApi.md#compute_resource_reload) | **POST** /ComputeResource/{moId}/Reload | Reload the entity state. 
*ComputeResourceApi* | [**compute_resource_rename_task**](docs/ComputeResourceApi.md#compute_resource_rename_task) | **POST** /ComputeResource/{moId}/Rename_Task | Renames this managed entity. 
*ComputeResourceApi* | [**compute_resource_set_custom_value**](docs/ComputeResourceApi.md#compute_resource_set_custom_value) | **POST** /ComputeResource/{moId}/setCustomValue | Assigns a value to a custom field. 
*ContainerViewApi* | [**container_view_destroy_view**](docs/ContainerViewApi.md#container_view_destroy_view) | **POST** /ContainerView/{moId}/DestroyView | Destroy this view. 
*ContainerViewApi* | [**container_view_get_container**](docs/ContainerViewApi.md#container_view_get_container) | **GET** /ContainerView/{moId}/container | The Folder, Datacenter, ComputeResource, ResourcePool, or HostSystem instance that provides the objects that the view presents. 
*ContainerViewApi* | [**container_view_get_recursive**](docs/ContainerViewApi.md#container_view_get_recursive) | **GET** /ContainerView/{moId}/recursive | Whether to include only the immediate children of the container instance, or to include additional objects by following the paths beyond the immediate children. 
*ContainerViewApi* | [**container_view_get_type**](docs/ContainerViewApi.md#container_view_get_type) | **GET** /ContainerView/{moId}/type | An optional list of types to be applied to the set of objects in the view. 
*ContainerViewApi* | [**container_view_get_view**](docs/ContainerViewApi.md#container_view_get_view) | **GET** /ContainerView/{moId}/view | The list of references to objects mapped by this view. 
*CryptoManagerApi* | [**crypto_manager_add_key**](docs/CryptoManagerApi.md#crypto_manager_add_key) | **POST** /CryptoManager/{moId}/AddKey | Add an existing key. 
*CryptoManagerApi* | [**crypto_manager_add_keys**](docs/CryptoManagerApi.md#crypto_manager_add_keys) | **POST** /CryptoManager/{moId}/AddKeys | Add multiple existing keys. 
*CryptoManagerApi* | [**crypto_manager_get_enabled**](docs/CryptoManagerApi.md#crypto_manager_get_enabled) | **GET** /CryptoManager/{moId}/enabled | Indicate if the encryption feature is enabled. 
*CryptoManagerApi* | [**crypto_manager_list_keys**](docs/CryptoManagerApi.md#crypto_manager_list_keys) | **POST** /CryptoManager/{moId}/ListKeys | List keys. 
*CryptoManagerApi* | [**crypto_manager_remove_key**](docs/CryptoManagerApi.md#crypto_manager_remove_key) | **POST** /CryptoManager/{moId}/RemoveKey | Remove a key (only the UUID is needed to remove). 
*CryptoManagerApi* | [**crypto_manager_remove_keys**](docs/CryptoManagerApi.md#crypto_manager_remove_keys) | **POST** /CryptoManager/{moId}/RemoveKeys | Remove multiple keys (only the UUID is needed to remove). 
*CryptoManagerHostApi* | [**crypto_manager_host_add_key**](docs/CryptoManagerHostApi.md#crypto_manager_host_add_key) | **POST** /CryptoManagerHost/{moId}/AddKey | Add an existing key. 
*CryptoManagerHostApi* | [**crypto_manager_host_add_keys**](docs/CryptoManagerHostApi.md#crypto_manager_host_add_keys) | **POST** /CryptoManagerHost/{moId}/AddKeys | Add multiple existing keys. 
*CryptoManagerHostApi* | [**crypto_manager_host_change_key_task**](docs/CryptoManagerHostApi.md#crypto_manager_host_change_key_task) | **POST** /CryptoManagerHost/{moId}/ChangeKey_Task | Change the key used for core dump encryption Note: *CryptoManagerHost.CryptoManagerHostEnable* must be called first If successful, a \&quot;best effort\&quot; will be made to \&quot;in place\&quot; shallow recrypt any core dumps found in /var/core to use the new key. 
*CryptoManagerHostApi* | [**crypto_manager_host_crypto_manager_host_disable**](docs/CryptoManagerHostApi.md#crypto_manager_host_crypto_manager_host_disable) | **POST** /CryptoManagerHost/{moId}/CryptoManagerHostDisable | Disable encryption on host, if host was in crypto safe mode, put it in pendingIncapable state and host will be crypto incapable after a reboot Note: A reboot is expected from user after successfully invoking this API Note: Do not call this API if the host is in vSAN encrypted cluster 
*CryptoManagerHostApi* | [**crypto_manager_host_crypto_manager_host_enable**](docs/CryptoManagerHostApi.md#crypto_manager_host_crypto_manager_host_enable) | **POST** /CryptoManagerHost/{moId}/CryptoManagerHostEnable | Begin core dump encryption by specifying the encryption key and put the host in *safe* state Note: *CryptoManagerHost.CryptoManagerHostPrepare* must be called first 
*CryptoManagerHostApi* | [**crypto_manager_host_crypto_manager_host_prepare**](docs/CryptoManagerHostApi.md#crypto_manager_host_crypto_manager_host_prepare) | **POST** /CryptoManagerHost/{moId}/CryptoManagerHostPrepare | Prime the host to receive sensitive information and put the host in *prepared* state 
*CryptoManagerHostApi* | [**crypto_manager_host_get_crypto_key_status**](docs/CryptoManagerHostApi.md#crypto_manager_host_get_crypto_key_status) | **POST** /CryptoManagerHost/{moId}/GetCryptoKeyStatus | Get the key status on the host. 
*CryptoManagerHostApi* | [**crypto_manager_host_get_enabled**](docs/CryptoManagerHostApi.md#crypto_manager_host_get_enabled) | **GET** /CryptoManagerHost/{moId}/enabled | Indicate if the encryption feature is enabled. 
*CryptoManagerHostApi* | [**crypto_manager_host_list_keys**](docs/CryptoManagerHostApi.md#crypto_manager_host_list_keys) | **POST** /CryptoManagerHost/{moId}/ListKeys | List keys. 
*CryptoManagerHostApi* | [**crypto_manager_host_remove_key**](docs/CryptoManagerHostApi.md#crypto_manager_host_remove_key) | **POST** /CryptoManagerHost/{moId}/RemoveKey | Remove a key (only the UUID is needed to remove). 
*CryptoManagerHostApi* | [**crypto_manager_host_remove_keys**](docs/CryptoManagerHostApi.md#crypto_manager_host_remove_keys) | **POST** /CryptoManagerHost/{moId}/RemoveKeys | Remove multiple keys (only the UUID is needed to remove). 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_add_key**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_add_key) | **POST** /CryptoManagerHostKMS/{moId}/AddKey | Add an existing key. 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_add_keys**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_add_keys) | **POST** /CryptoManagerHostKMS/{moId}/AddKeys | Add multiple existing keys. 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_change_key_task**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_change_key_task) | **POST** /CryptoManagerHostKMS/{moId}/ChangeKey_Task | Change the key used for core dump encryption Note: *CryptoManagerHost.CryptoManagerHostEnable* must be called first If successful, a \&quot;best effort\&quot; will be made to \&quot;in place\&quot; shallow recrypt any core dumps found in /var/core to use the new key. 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_crypto_manager_host_disable**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_crypto_manager_host_disable) | **POST** /CryptoManagerHostKMS/{moId}/CryptoManagerHostDisable | Disable encryption on host, if host was in crypto safe mode, put it in pendingIncapable state and host will be crypto incapable after a reboot Note: A reboot is expected from user after successfully invoking this API Note: Do not call this API if the host is in vSAN encrypted cluster 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_crypto_manager_host_enable**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_crypto_manager_host_enable) | **POST** /CryptoManagerHostKMS/{moId}/CryptoManagerHostEnable | Begin core dump encryption by specifying the encryption key and put the host in *safe* state Note: *CryptoManagerHost.CryptoManagerHostPrepare* must be called first 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_crypto_manager_host_prepare**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_crypto_manager_host_prepare) | **POST** /CryptoManagerHostKMS/{moId}/CryptoManagerHostPrepare | Prime the host to receive sensitive information and put the host in *prepared* state 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_get_crypto_key_status**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_get_crypto_key_status) | **POST** /CryptoManagerHostKMS/{moId}/GetCryptoKeyStatus | Get the key status on the host. 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_get_enabled**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_get_enabled) | **GET** /CryptoManagerHostKMS/{moId}/enabled | Indicate if the encryption feature is enabled. 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_list_keys**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_list_keys) | **POST** /CryptoManagerHostKMS/{moId}/ListKeys | List keys. 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_remove_key**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_remove_key) | **POST** /CryptoManagerHostKMS/{moId}/RemoveKey | Remove a key (only the UUID is needed to remove). 
*CryptoManagerHostKMSApi* | [**crypto_manager_host_kms_remove_keys**](docs/CryptoManagerHostKMSApi.md#crypto_manager_host_kms_remove_keys) | **POST** /CryptoManagerHostKMS/{moId}/RemoveKeys | Remove multiple keys (only the UUID is needed to remove). 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_add_key**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_add_key) | **POST** /CryptoManagerKmip/{moId}/AddKey | Add an existing key. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_add_keys**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_add_keys) | **POST** /CryptoManagerKmip/{moId}/AddKeys | Add multiple existing keys. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_generate_client_csr**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_generate_client_csr) | **POST** /CryptoManagerKmip/{moId}/GenerateClientCsr | Generate a certificate signing request with its private key. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_generate_key**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_generate_key) | **POST** /CryptoManagerKmip/{moId}/GenerateKey | Generate new encryption key. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_generate_self_signed_client_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_generate_self_signed_client_cert) | **POST** /CryptoManagerKmip/{moId}/GenerateSelfSignedClientCert | Generate a self-signed client certificate with its private key. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_get_default_kms_cluster**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_get_default_kms_cluster) | **POST** /CryptoManagerKmip/{moId}/GetDefaultKmsCluster | Get the default KMS cluster of the specified managed entity. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_get_enabled**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_get_enabled) | **GET** /CryptoManagerKmip/{moId}/enabled | Indicate if the encryption feature is enabled. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_get_kmip_servers**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_get_kmip_servers) | **GET** /CryptoManagerKmip/{moId}/kmipServers | A list of registered KMIP servers, grouped by clusters. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_is_kms_cluster_active**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_is_kms_cluster_active) | **POST** /CryptoManagerKmip/{moId}/IsKmsClusterActive | Check whether an active KMS exists in cluster. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_list_keys**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_list_keys) | **POST** /CryptoManagerKmip/{moId}/ListKeys | List keys. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_list_kmip_servers**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_list_kmip_servers) | **POST** /CryptoManagerKmip/{moId}/ListKmipServers | List the registered KMIP servers. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_list_kms_clusters**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_list_kms_clusters) | **POST** /CryptoManagerKmip/{moId}/ListKmsClusters | List the KMS clusters information. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_mark_default**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_mark_default) | **POST** /CryptoManagerKmip/{moId}/MarkDefault | Set the default KMIP cluster. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_query_crypto_key_status**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_query_crypto_key_status) | **POST** /CryptoManagerKmip/{moId}/QueryCryptoKeyStatus | Check CryptoKey status, such as if VC can access the key, if the key is used by some VMs or as host key. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_register_kmip_server**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_register_kmip_server) | **POST** /CryptoManagerKmip/{moId}/RegisterKmipServer | Register a KMIP server. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_register_kms_cluster**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_register_kms_cluster) | **POST** /CryptoManagerKmip/{moId}/RegisterKmsCluster | Register the specified KMS cluster to the CryptoManager. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_remove_key**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_remove_key) | **POST** /CryptoManagerKmip/{moId}/RemoveKey | Remove a key (only the UUID is needed to remove). 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_remove_keys**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_remove_keys) | **POST** /CryptoManagerKmip/{moId}/RemoveKeys | Remove multiple keys (only the UUID is needed to remove). 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_remove_kmip_server**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_remove_kmip_server) | **POST** /CryptoManagerKmip/{moId}/RemoveKmipServer | Remove a KMIP server, even if in use. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_retrieve_client_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_retrieve_client_cert) | **POST** /CryptoManagerKmip/{moId}/RetrieveClientCert | Get the client certificate of the KMIP cluster. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_retrieve_client_csr**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_retrieve_client_csr) | **POST** /CryptoManagerKmip/{moId}/RetrieveClientCsr | Get the generated client certificate signing request. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_retrieve_kmip_server_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_retrieve_kmip_server_cert) | **POST** /CryptoManagerKmip/{moId}/RetrieveKmipServerCert | Get the server certficate. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_retrieve_kmip_servers_status_task**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_retrieve_kmip_servers_status_task) | **POST** /CryptoManagerKmip/{moId}/RetrieveKmipServersStatus_Task | Get the status of the KMIP servers. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_retrieve_self_signed_client_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_retrieve_self_signed_client_cert) | **POST** /CryptoManagerKmip/{moId}/RetrieveSelfSignedClientCert | Get the generated self signed client certificate. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_set_default_kms_cluster**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_set_default_kms_cluster) | **POST** /CryptoManagerKmip/{moId}/SetDefaultKmsCluster | Set the default KMS cluster for the specified managed entity. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_set_key_custom_attributes**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_set_key_custom_attributes) | **POST** /CryptoManagerKmip/{moId}/SetKeyCustomAttributes | Set crypto key&#39;s custom attributes. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_unregister_kms_cluster**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_unregister_kms_cluster) | **POST** /CryptoManagerKmip/{moId}/UnregisterKmsCluster | Unregister the specified KMS cluster from the CryptoManager. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_update_kmip_server**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_update_kmip_server) | **POST** /CryptoManagerKmip/{moId}/UpdateKmipServer | Update a KMIP server. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_update_kms_signed_csr_client_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_update_kms_signed_csr_client_cert) | **POST** /CryptoManagerKmip/{moId}/UpdateKmsSignedCsrClientCert | Set KMS server signed certificate as KMIP client certificate for the KMS cluster. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_update_self_signed_client_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_update_self_signed_client_cert) | **POST** /CryptoManagerKmip/{moId}/UpdateSelfSignedClientCert | Set a self-signed certificate as KMIP client certificate for the KMS cluster. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_upload_client_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_upload_client_cert) | **POST** /CryptoManagerKmip/{moId}/UploadClientCert | Set a client certificate with private key for the KMIP cluster. 
*CryptoManagerKmipApi* | [**crypto_manager_kmip_upload_kmip_server_cert**](docs/CryptoManagerKmipApi.md#crypto_manager_kmip_upload_kmip_server_cert) | **POST** /CryptoManagerKmip/{moId}/UploadKmipServerCert | Upload a server certficate. 
*CustomFieldsManagerApi* | [**custom_fields_manager_add_custom_field_def**](docs/CustomFieldsManagerApi.md#custom_fields_manager_add_custom_field_def) | **POST** /CustomFieldsManager/{moId}/AddCustomFieldDef | Creates a new custom field. 
*CustomFieldsManagerApi* | [**custom_fields_manager_get_field**](docs/CustomFieldsManagerApi.md#custom_fields_manager_get_field) | **GET** /CustomFieldsManager/{moId}/field | List of custom fields defined on this server. 
*CustomFieldsManagerApi* | [**custom_fields_manager_remove_custom_field_def**](docs/CustomFieldsManagerApi.md#custom_fields_manager_remove_custom_field_def) | **POST** /CustomFieldsManager/{moId}/RemoveCustomFieldDef | Removes a custom field. 
*CustomFieldsManagerApi* | [**custom_fields_manager_rename_custom_field_def**](docs/CustomFieldsManagerApi.md#custom_fields_manager_rename_custom_field_def) | **POST** /CustomFieldsManager/{moId}/RenameCustomFieldDef | Renames a custom field. 
*CustomFieldsManagerApi* | [**custom_fields_manager_set_field**](docs/CustomFieldsManagerApi.md#custom_fields_manager_set_field) | **POST** /CustomFieldsManager/{moId}/SetField | Assigns a value to a custom field on an entity. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_check_customization_resources**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_check_customization_resources) | **POST** /CustomizationSpecManager/{moId}/CheckCustomizationResources | Validate that required resources are available on the server to customize a particular guest operating system. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_create_customization_spec**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_create_customization_spec) | **POST** /CustomizationSpecManager/{moId}/CreateCustomizationSpec | Creates a new specification. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_customization_spec_item_to_xml**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_customization_spec_item_to_xml) | **POST** /CustomizationSpecManager/{moId}/CustomizationSpecItemToXml | Converts a specification item to XML text 
*CustomizationSpecManagerApi* | [**customization_spec_manager_delete_customization_spec**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_delete_customization_spec) | **POST** /CustomizationSpecManager/{moId}/DeleteCustomizationSpec | Deletes a specification. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_does_customization_spec_exist**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_does_customization_spec_exist) | **POST** /CustomizationSpecManager/{moId}/DoesCustomizationSpecExist | Whether or not a specification exists. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_duplicate_customization_spec**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_duplicate_customization_spec) | **POST** /CustomizationSpecManager/{moId}/DuplicateCustomizationSpec | Duplicates a specification. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_get_customization_spec**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_get_customization_spec) | **POST** /CustomizationSpecManager/{moId}/GetCustomizationSpec | Obtains a specification for the given name. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_get_encryption_key**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_get_encryption_key) | **GET** /CustomizationSpecManager/{moId}/encryptionKey | Gets a binary public encryption key that can be used to encrypt passwords in stored specifications. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_get_info**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_get_info) | **GET** /CustomizationSpecManager/{moId}/info | Gets a list of information on available specifications. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_overwrite_customization_spec**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_overwrite_customization_spec) | **POST** /CustomizationSpecManager/{moId}/OverwriteCustomizationSpec | Overwrites an existing specification, possibly after retrieving (by using &#39;get&#39;) and editing it. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_rename_customization_spec**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_rename_customization_spec) | **POST** /CustomizationSpecManager/{moId}/RenameCustomizationSpec | Renames a specification. 
*CustomizationSpecManagerApi* | [**customization_spec_manager_xml_to_customization_spec_item**](docs/CustomizationSpecManagerApi.md#customization_spec_manager_xml_to_customization_spec_item) | **POST** /CustomizationSpecManager/{moId}/XmlToCustomizationSpecItem | Converts an XML string to a specification item 
*DatacenterApi* | [**datacenter_batch_query_connect_info**](docs/DatacenterApi.md#datacenter_batch_query_connect_info) | **POST** /Datacenter/{moId}/BatchQueryConnectInfo | This interface returns a list of information about the specified hosts without adding them to the vCenter inventory. 
*DatacenterApi* | [**datacenter_destroy_task**](docs/DatacenterApi.md#datacenter_destroy_task) | **POST** /Datacenter/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*DatacenterApi* | [**datacenter_get_alarm_actions_enabled**](docs/DatacenterApi.md#datacenter_get_alarm_actions_enabled) | **GET** /Datacenter/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*DatacenterApi* | [**datacenter_get_available_field**](docs/DatacenterApi.md#datacenter_get_available_field) | **GET** /Datacenter/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*DatacenterApi* | [**datacenter_get_config_issue**](docs/DatacenterApi.md#datacenter_get_config_issue) | **GET** /Datacenter/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*DatacenterApi* | [**datacenter_get_config_status**](docs/DatacenterApi.md#datacenter_get_config_status) | **GET** /Datacenter/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*DatacenterApi* | [**datacenter_get_configuration**](docs/DatacenterApi.md#datacenter_get_configuration) | **GET** /Datacenter/{moId}/configuration | Configuration of the datacenter. 
*DatacenterApi* | [**datacenter_get_custom_value**](docs/DatacenterApi.md#datacenter_get_custom_value) | **GET** /Datacenter/{moId}/customValue | Custom field values. 
*DatacenterApi* | [**datacenter_get_datastore**](docs/DatacenterApi.md#datacenter_get_datastore) | **GET** /Datacenter/{moId}/datastore | A collection of references to the datastore objects available in this datacenter. 
*DatacenterApi* | [**datacenter_get_datastore_folder**](docs/DatacenterApi.md#datacenter_get_datastore_folder) | **GET** /Datacenter/{moId}/datastoreFolder | A reference to the folder hierarchy that contains the datastores for this datacenter. 
*DatacenterApi* | [**datacenter_get_declared_alarm_state**](docs/DatacenterApi.md#datacenter_get_declared_alarm_state) | **GET** /Datacenter/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*DatacenterApi* | [**datacenter_get_disabled_method**](docs/DatacenterApi.md#datacenter_get_disabled_method) | **GET** /Datacenter/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*DatacenterApi* | [**datacenter_get_effective_role**](docs/DatacenterApi.md#datacenter_get_effective_role) | **GET** /Datacenter/{moId}/effectiveRole | Access rights the current session has to this entity. 
*DatacenterApi* | [**datacenter_get_host_folder**](docs/DatacenterApi.md#datacenter_get_host_folder) | **GET** /Datacenter/{moId}/hostFolder | A reference to the folder hierarchy that contains the compute resources, including hosts and clusters, for this datacenter. 
*DatacenterApi* | [**datacenter_get_name**](docs/DatacenterApi.md#datacenter_get_name) | **GET** /Datacenter/{moId}/name | Name of this entity, unique relative to its parent. 
*DatacenterApi* | [**datacenter_get_network**](docs/DatacenterApi.md#datacenter_get_network) | **GET** /Datacenter/{moId}/network | A collection of references to the network objects available in this datacenter. 
*DatacenterApi* | [**datacenter_get_network_folder**](docs/DatacenterApi.md#datacenter_get_network_folder) | **GET** /Datacenter/{moId}/networkFolder | A reference to the folder hierarchy that contains the network entities for this datacenter. 
*DatacenterApi* | [**datacenter_get_overall_status**](docs/DatacenterApi.md#datacenter_get_overall_status) | **GET** /Datacenter/{moId}/overallStatus | General health of this managed entity. 
*DatacenterApi* | [**datacenter_get_parent**](docs/DatacenterApi.md#datacenter_get_parent) | **GET** /Datacenter/{moId}/parent | Parent of this entity. 
*DatacenterApi* | [**datacenter_get_permission**](docs/DatacenterApi.md#datacenter_get_permission) | **GET** /Datacenter/{moId}/permission | List of permissions defined for this entity. 
*DatacenterApi* | [**datacenter_get_recent_task**](docs/DatacenterApi.md#datacenter_get_recent_task) | **GET** /Datacenter/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*DatacenterApi* | [**datacenter_get_tag**](docs/DatacenterApi.md#datacenter_get_tag) | **GET** /Datacenter/{moId}/tag | The set of tags associated with this managed entity. 
*DatacenterApi* | [**datacenter_get_triggered_alarm_state**](docs/DatacenterApi.md#datacenter_get_triggered_alarm_state) | **GET** /Datacenter/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*DatacenterApi* | [**datacenter_get_value**](docs/DatacenterApi.md#datacenter_get_value) | **GET** /Datacenter/{moId}/value | List of custom field values. 
*DatacenterApi* | [**datacenter_get_vm_folder**](docs/DatacenterApi.md#datacenter_get_vm_folder) | **GET** /Datacenter/{moId}/vmFolder | A reference to the folder hierarchy that contains *VirtualMachine* virtual machine templates (identified by the *VirtualMachineConfigInfo.template* property, and *VirtualApp* objects for this datacenter. 
*DatacenterApi* | [**datacenter_power_on_multi_vm_task**](docs/DatacenterApi.md#datacenter_power_on_multi_vm_task) | **POST** /Datacenter/{moId}/PowerOnMultiVM_Task | Powers on multiple virtual machines in a data center. 
*DatacenterApi* | [**datacenter_query_connection_info**](docs/DatacenterApi.md#datacenter_query_connection_info) | **POST** /Datacenter/{moId}/QueryConnectionInfo | This method provides a way of getting basic information about a host without adding it to a datacenter. 
*DatacenterApi* | [**datacenter_query_connection_info_via_spec**](docs/DatacenterApi.md#datacenter_query_connection_info_via_spec) | **POST** /Datacenter/{moId}/QueryConnectionInfoViaSpec | This method provides a way of getting basic information about a host without adding it to a datacenter. 
*DatacenterApi* | [**datacenter_query_datacenter_config_option_descriptor**](docs/DatacenterApi.md#datacenter_query_datacenter_config_option_descriptor) | **POST** /Datacenter/{moId}/queryDatacenterConfigOptionDescriptor | The list of possible choices for *DatacenterConfigSpec.defaultHardwareVersionKey*. 
*DatacenterApi* | [**datacenter_reconfigure_datacenter_task**](docs/DatacenterApi.md#datacenter_reconfigure_datacenter_task) | **POST** /Datacenter/{moId}/ReconfigureDatacenter_Task | Change the datacenter configuration. 
*DatacenterApi* | [**datacenter_reload**](docs/DatacenterApi.md#datacenter_reload) | **POST** /Datacenter/{moId}/Reload | Reload the entity state. 
*DatacenterApi* | [**datacenter_rename_task**](docs/DatacenterApi.md#datacenter_rename_task) | **POST** /Datacenter/{moId}/Rename_Task | Renames this managed entity. 
*DatacenterApi* | [**datacenter_set_custom_value**](docs/DatacenterApi.md#datacenter_set_custom_value) | **POST** /Datacenter/{moId}/setCustomValue | Assigns a value to a custom field. 
*DatastoreApi* | [**datastore_datastore_enter_maintenance_mode**](docs/DatastoreApi.md#datastore_datastore_enter_maintenance_mode) | **POST** /Datastore/{moId}/DatastoreEnterMaintenanceMode | Puts the datastore in maintenance mode. 
*DatastoreApi* | [**datastore_datastore_exit_maintenance_mode_task**](docs/DatastoreApi.md#datastore_datastore_exit_maintenance_mode_task) | **POST** /Datastore/{moId}/DatastoreExitMaintenanceMode_Task | Takes the datastore out of maintenance mode. 
*DatastoreApi* | [**datastore_destroy_datastore**](docs/DatastoreApi.md#datastore_destroy_datastore) | **POST** /Datastore/{moId}/DestroyDatastore | Removes a datastore. 
*DatastoreApi* | [**datastore_destroy_task**](docs/DatastoreApi.md#datastore_destroy_task) | **POST** /Datastore/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*DatastoreApi* | [**datastore_get_alarm_actions_enabled**](docs/DatastoreApi.md#datastore_get_alarm_actions_enabled) | **GET** /Datastore/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*DatastoreApi* | [**datastore_get_available_field**](docs/DatastoreApi.md#datastore_get_available_field) | **GET** /Datastore/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*DatastoreApi* | [**datastore_get_browser**](docs/DatastoreApi.md#datastore_get_browser) | **GET** /Datastore/{moId}/browser | DatastoreBrowser used to browse this datastore. 
*DatastoreApi* | [**datastore_get_capability**](docs/DatastoreApi.md#datastore_get_capability) | **GET** /Datastore/{moId}/capability | Capabilities of this datastore. 
*DatastoreApi* | [**datastore_get_config_issue**](docs/DatastoreApi.md#datastore_get_config_issue) | **GET** /Datastore/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*DatastoreApi* | [**datastore_get_config_status**](docs/DatastoreApi.md#datastore_get_config_status) | **GET** /Datastore/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*DatastoreApi* | [**datastore_get_custom_value**](docs/DatastoreApi.md#datastore_get_custom_value) | **GET** /Datastore/{moId}/customValue | Custom field values. 
*DatastoreApi* | [**datastore_get_declared_alarm_state**](docs/DatastoreApi.md#datastore_get_declared_alarm_state) | **GET** /Datastore/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*DatastoreApi* | [**datastore_get_disabled_method**](docs/DatastoreApi.md#datastore_get_disabled_method) | **GET** /Datastore/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*DatastoreApi* | [**datastore_get_effective_role**](docs/DatastoreApi.md#datastore_get_effective_role) | **GET** /Datastore/{moId}/effectiveRole | Access rights the current session has to this entity. 
*DatastoreApi* | [**datastore_get_host**](docs/DatastoreApi.md#datastore_get_host) | **GET** /Datastore/{moId}/host | Hosts attached to this datastore. 
*DatastoreApi* | [**datastore_get_info**](docs/DatastoreApi.md#datastore_get_info) | **GET** /Datastore/{moId}/info | Specific information about the datastore. 
*DatastoreApi* | [**datastore_get_iorm_configuration**](docs/DatastoreApi.md#datastore_get_iorm_configuration) | **GET** /Datastore/{moId}/iormConfiguration | Configuration of storage I/O resource management for the datastore. 
*DatastoreApi* | [**datastore_get_name**](docs/DatastoreApi.md#datastore_get_name) | **GET** /Datastore/{moId}/name | Name of this entity, unique relative to its parent. 
*DatastoreApi* | [**datastore_get_overall_status**](docs/DatastoreApi.md#datastore_get_overall_status) | **GET** /Datastore/{moId}/overallStatus | General health of this managed entity. 
*DatastoreApi* | [**datastore_get_parent**](docs/DatastoreApi.md#datastore_get_parent) | **GET** /Datastore/{moId}/parent | Parent of this entity. 
*DatastoreApi* | [**datastore_get_permission**](docs/DatastoreApi.md#datastore_get_permission) | **GET** /Datastore/{moId}/permission | List of permissions defined for this entity. 
*DatastoreApi* | [**datastore_get_recent_task**](docs/DatastoreApi.md#datastore_get_recent_task) | **GET** /Datastore/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*DatastoreApi* | [**datastore_get_summary**](docs/DatastoreApi.md#datastore_get_summary) | **GET** /Datastore/{moId}/summary | Global properties of the datastore. 
*DatastoreApi* | [**datastore_get_tag**](docs/DatastoreApi.md#datastore_get_tag) | **GET** /Datastore/{moId}/tag | The set of tags associated with this managed entity. 
*DatastoreApi* | [**datastore_get_triggered_alarm_state**](docs/DatastoreApi.md#datastore_get_triggered_alarm_state) | **GET** /Datastore/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*DatastoreApi* | [**datastore_get_value**](docs/DatastoreApi.md#datastore_get_value) | **GET** /Datastore/{moId}/value | List of custom field values. 
*DatastoreApi* | [**datastore_get_vm**](docs/DatastoreApi.md#datastore_get_vm) | **GET** /Datastore/{moId}/vm | Virtual machines stored on this datastore. 
*DatastoreApi* | [**datastore_is_clustered_vmdk_enabled**](docs/DatastoreApi.md#datastore_is_clustered_vmdk_enabled) | **POST** /Datastore/{moId}/IsClusteredVmdkEnabled | Check whether clustered VMDK feature is enabled on this datastore. 
*DatastoreApi* | [**datastore_refresh_datastore**](docs/DatastoreApi.md#datastore_refresh_datastore) | **POST** /Datastore/{moId}/RefreshDatastore | Explicitly refreshes free-space and capacity values in *Datastore.summary* and *Datastore.info*. 
*DatastoreApi* | [**datastore_refresh_datastore_storage_info**](docs/DatastoreApi.md#datastore_refresh_datastore_storage_info) | **POST** /Datastore/{moId}/RefreshDatastoreStorageInfo | Refreshes all storage related information including free-space, capacity, and detailed usage of virtual machines. 
*DatastoreApi* | [**datastore_reload**](docs/DatastoreApi.md#datastore_reload) | **POST** /Datastore/{moId}/Reload | Reload the entity state. 
*DatastoreApi* | [**datastore_rename_datastore**](docs/DatastoreApi.md#datastore_rename_datastore) | **POST** /Datastore/{moId}/RenameDatastore | Renames a datastore. 
*DatastoreApi* | [**datastore_rename_task**](docs/DatastoreApi.md#datastore_rename_task) | **POST** /Datastore/{moId}/Rename_Task | Renames this managed entity. 
*DatastoreApi* | [**datastore_set_custom_value**](docs/DatastoreApi.md#datastore_set_custom_value) | **POST** /Datastore/{moId}/setCustomValue | Assigns a value to a custom field. 
*DatastoreApi* | [**datastore_update_v_vol_virtual_machine_files_task**](docs/DatastoreApi.md#datastore_update_v_vol_virtual_machine_files_task) | **POST** /Datastore/{moId}/UpdateVVolVirtualMachineFiles_Task | Scan a VVol storage container to update file paths and objectID pointers embedded in virtual machine files on a given storage container. 
*DatastoreApi* | [**datastore_update_virtual_machine_files_task**](docs/DatastoreApi.md#datastore_update_virtual_machine_files_task) | **POST** /Datastore/{moId}/UpdateVirtualMachineFiles_Task | Update file paths embedded in virtual machine files on the datastore. 
*DatastoreNamespaceManagerApi* | [**datastore_namespace_manager_convert_namespace_path_to_uuid_path**](docs/DatastoreNamespaceManagerApi.md#datastore_namespace_manager_convert_namespace_path_to_uuid_path) | **POST** /DatastoreNamespaceManager/{moId}/ConvertNamespacePathToUuidPath | Convert the namespace path to the namespace UUID path. 
*DatastoreNamespaceManagerApi* | [**datastore_namespace_manager_create_directory**](docs/DatastoreNamespaceManagerApi.md#datastore_namespace_manager_create_directory) | **POST** /DatastoreNamespaceManager/{moId}/CreateDirectory | Creates a top-level directory on the given datastore, using the given user display name hint and opaque storage policy. 
*DatastoreNamespaceManagerApi* | [**datastore_namespace_manager_delete_directory**](docs/DatastoreNamespaceManagerApi.md#datastore_namespace_manager_delete_directory) | **POST** /DatastoreNamespaceManager/{moId}/DeleteDirectory | Deletes the given top-level directory from a datastore. 
*DatastoreNamespaceManagerApi* | [**datastore_namespace_manager_increase_directory_size**](docs/DatastoreNamespaceManagerApi.md#datastore_namespace_manager_increase_directory_size) | **POST** /DatastoreNamespaceManager/{moId}/IncreaseDirectorySize | Increase size of the given top-level directory to the given size on vSAN backed object storage. 
*DatastoreNamespaceManagerApi* | [**datastore_namespace_manager_query_directory_info**](docs/DatastoreNamespaceManagerApi.md#datastore_namespace_manager_query_directory_info) | **POST** /DatastoreNamespaceManager/{moId}/QueryDirectoryInfo | Query directory information of the given top-level directory on vSAN backed object storage. 
*DiagnosticManagerApi* | [**diagnostic_manager_browse_diagnostic_log**](docs/DiagnosticManagerApi.md#diagnostic_manager_browse_diagnostic_log) | **POST** /DiagnosticManager/{moId}/BrowseDiagnosticLog | Returns part of a log file. 
*DiagnosticManagerApi* | [**diagnostic_manager_emit_syslog_mark**](docs/DiagnosticManagerApi.md#diagnostic_manager_emit_syslog_mark) | **POST** /DiagnosticManager/{moId}/EmitSyslogMark | Issue a \&quot;mark\&quot; to syslog and the audit trail. 
*DiagnosticManagerApi* | [**diagnostic_manager_fetch_audit_records**](docs/DiagnosticManagerApi.md#diagnostic_manager_fetch_audit_records) | **POST** /DiagnosticManager/{moId}/FetchAuditRecords | Retrieve audit records from their storage on the specified host. 
*DiagnosticManagerApi* | [**diagnostic_manager_generate_log_bundles_task**](docs/DiagnosticManagerApi.md#diagnostic_manager_generate_log_bundles_task) | **POST** /DiagnosticManager/{moId}/GenerateLogBundles_Task | Instructs the server to generate diagnostic bundles. 
*DiagnosticManagerApi* | [**diagnostic_manager_query_descriptions**](docs/DiagnosticManagerApi.md#diagnostic_manager_query_descriptions) | **POST** /DiagnosticManager/{moId}/QueryDescriptions | Returns a list of diagnostic files for a given system. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_destroy_network**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_destroy_network) | **POST** /DistributedVirtualPortgroup/{moId}/DestroyNetwork | Removes a network. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_destroy_task**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_destroy_task) | **POST** /DistributedVirtualPortgroup/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_dv_portgroup_rollback_task**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_dv_portgroup_rollback_task) | **POST** /DistributedVirtualPortgroup/{moId}/DVPortgroupRollback_Task | This method determines if the portgroup configuration has changed. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_alarm_actions_enabled**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_alarm_actions_enabled) | **GET** /DistributedVirtualPortgroup/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_available_field**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_available_field) | **GET** /DistributedVirtualPortgroup/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_config**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_config) | **GET** /DistributedVirtualPortgroup/{moId}/config | Configuration of the portgroup. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_config_issue**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_config_issue) | **GET** /DistributedVirtualPortgroup/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_config_status**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_config_status) | **GET** /DistributedVirtualPortgroup/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_custom_value**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_custom_value) | **GET** /DistributedVirtualPortgroup/{moId}/customValue | Custom field values. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_declared_alarm_state**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_declared_alarm_state) | **GET** /DistributedVirtualPortgroup/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_disabled_method**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_disabled_method) | **GET** /DistributedVirtualPortgroup/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_effective_role**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_effective_role) | **GET** /DistributedVirtualPortgroup/{moId}/effectiveRole | Access rights the current session has to this entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_host**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_host) | **GET** /DistributedVirtualPortgroup/{moId}/host | Hosts attached to this network. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_key**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_key) | **GET** /DistributedVirtualPortgroup/{moId}/key | Generated UUID of the portgroup. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_name**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_name) | **GET** /DistributedVirtualPortgroup/{moId}/name | Name of this entity, unique relative to its parent. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_overall_status**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_overall_status) | **GET** /DistributedVirtualPortgroup/{moId}/overallStatus | General health of this managed entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_parent**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_parent) | **GET** /DistributedVirtualPortgroup/{moId}/parent | Parent of this entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_permission**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_permission) | **GET** /DistributedVirtualPortgroup/{moId}/permission | List of permissions defined for this entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_port_keys**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_port_keys) | **GET** /DistributedVirtualPortgroup/{moId}/portKeys | Port keys for the set of ports in the portgroup. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_recent_task**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_recent_task) | **GET** /DistributedVirtualPortgroup/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_summary**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_summary) | **GET** /DistributedVirtualPortgroup/{moId}/summary | Properties of a network. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_tag**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_tag) | **GET** /DistributedVirtualPortgroup/{moId}/tag | The set of tags associated with this managed entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_triggered_alarm_state**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_triggered_alarm_state) | **GET** /DistributedVirtualPortgroup/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_value**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_value) | **GET** /DistributedVirtualPortgroup/{moId}/value | List of custom field values. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_get_vm**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_get_vm) | **GET** /DistributedVirtualPortgroup/{moId}/vm | Virtual machines using this network. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_reconfigure_dv_portgroup_task**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_reconfigure_dv_portgroup_task) | **POST** /DistributedVirtualPortgroup/{moId}/ReconfigureDVPortgroup_Task | Reconfigures one or more distributed virtual portgroups. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_reload**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_reload) | **POST** /DistributedVirtualPortgroup/{moId}/Reload | Reload the entity state. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_rename_task**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_rename_task) | **POST** /DistributedVirtualPortgroup/{moId}/Rename_Task | Renames this managed entity. 
*DistributedVirtualPortgroupApi* | [**distributed_virtual_portgroup_set_custom_value**](docs/DistributedVirtualPortgroupApi.md#distributed_virtual_portgroup_set_custom_value) | **POST** /DistributedVirtualPortgroup/{moId}/setCustomValue | Assigns a value to a custom field. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_add_dv_portgroup_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_add_dv_portgroup_task) | **POST** /DistributedVirtualSwitch/{moId}/AddDVPortgroup_Task | Creates one or more *DistributedVirtualPortgroup*s and adds them to the distributed virtual switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_add_network_resource_pool**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_add_network_resource_pool) | **POST** /DistributedVirtualSwitch/{moId}/AddNetworkResourcePool | Add a network resource pool. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_create_dv_portgroup_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_create_dv_portgroup_task) | **POST** /DistributedVirtualSwitch/{moId}/CreateDVPortgroup_Task | Creates a single *DistributedVirtualPortgroup* and adds it to the distributed virtual switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_destroy_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_destroy_task) | **POST** /DistributedVirtualSwitch/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_dvs_reconfigure_vm_vnic_network_resource_pool_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_dvs_reconfigure_vm_vnic_network_resource_pool_task) | **POST** /DistributedVirtualSwitch/{moId}/DvsReconfigureVmVnicNetworkResourcePool_Task | reconfigure the Virtual NIC network resource pool configuration. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_dvs_rollback_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_dvs_rollback_task) | **POST** /DistributedVirtualSwitch/{moId}/DVSRollback_Task | This method determines if the distributed virtual switch configuration has changed. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_enable_network_resource_management**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_enable_network_resource_management) | **POST** /DistributedVirtualSwitch/{moId}/EnableNetworkResourceManagement | Enable/Disable network I/O control on the vSphere Distributed Switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_fetch_dv_port_keys**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_fetch_dv_port_keys) | **POST** /DistributedVirtualSwitch/{moId}/FetchDVPortKeys | Return the keys of ports that meet the criteria. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_fetch_dv_ports**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_fetch_dv_ports) | **POST** /DistributedVirtualSwitch/{moId}/FetchDVPorts | Return the ports that meet the criteria. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_alarm_actions_enabled**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_alarm_actions_enabled) | **GET** /DistributedVirtualSwitch/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_available_field**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_available_field) | **GET** /DistributedVirtualSwitch/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_capability**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_capability) | **GET** /DistributedVirtualSwitch/{moId}/capability | Capability of the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_config**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_config) | **GET** /DistributedVirtualSwitch/{moId}/config | Switch configuration data. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_config_issue**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_config_issue) | **GET** /DistributedVirtualSwitch/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_config_status**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_config_status) | **GET** /DistributedVirtualSwitch/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_custom_value**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_custom_value) | **GET** /DistributedVirtualSwitch/{moId}/customValue | Custom field values. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_declared_alarm_state**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_declared_alarm_state) | **GET** /DistributedVirtualSwitch/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_disabled_method**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_disabled_method) | **GET** /DistributedVirtualSwitch/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_effective_role**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_effective_role) | **GET** /DistributedVirtualSwitch/{moId}/effectiveRole | Access rights the current session has to this entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_name**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_name) | **GET** /DistributedVirtualSwitch/{moId}/name | Name of this entity, unique relative to its parent. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_network_resource_pool**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_network_resource_pool) | **GET** /DistributedVirtualSwitch/{moId}/networkResourcePool | Network resource pool information for the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_overall_status**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_overall_status) | **GET** /DistributedVirtualSwitch/{moId}/overallStatus | General health of this managed entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_parent**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_parent) | **GET** /DistributedVirtualSwitch/{moId}/parent | Parent of this entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_permission**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_permission) | **GET** /DistributedVirtualSwitch/{moId}/permission | List of permissions defined for this entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_portgroup**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_portgroup) | **GET** /DistributedVirtualSwitch/{moId}/portgroup | Portgroups that are defined on the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_recent_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_recent_task) | **GET** /DistributedVirtualSwitch/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_runtime**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_runtime) | **GET** /DistributedVirtualSwitch/{moId}/runtime | Runtime information of the distributed virtual switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_summary**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_summary) | **GET** /DistributedVirtualSwitch/{moId}/summary | Summary of the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_tag**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_tag) | **GET** /DistributedVirtualSwitch/{moId}/tag | The set of tags associated with this managed entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_triggered_alarm_state**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_triggered_alarm_state) | **GET** /DistributedVirtualSwitch/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_uuid**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_uuid) | **GET** /DistributedVirtualSwitch/{moId}/uuid | Generated UUID of the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_get_value**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_get_value) | **GET** /DistributedVirtualSwitch/{moId}/value | List of custom field values. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_lookup_dv_port_group**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_lookup_dv_port_group) | **POST** /DistributedVirtualSwitch/{moId}/LookupDvPortGroup | Returns the portgroup identified by the key within this VDS. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_merge_dvs_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_merge_dvs_task) | **POST** /DistributedVirtualSwitch/{moId}/MergeDvs_Task | Merge an existing DistributedVirtualSwitch (source) to this switch (destination). 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_move_dv_port_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_move_dv_port_task) | **POST** /DistributedVirtualSwitch/{moId}/MoveDVPort_Task | Move the ports out of their current portgroup into the specified portgroup. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_perform_dvs_product_spec_operation_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_perform_dvs_product_spec_operation_task) | **POST** /DistributedVirtualSwitch/{moId}/PerformDvsProductSpecOperation_Task | This method updates the *DistributedVirtualSwitch* product specifications. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_query_used_vlan_id_in_dvs**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_query_used_vlan_id_in_dvs) | **POST** /DistributedVirtualSwitch/{moId}/QueryUsedVlanIdInDvs | Return the used VLAN ID (PVLAN excluded) in the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_reconfigure_dv_port_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_reconfigure_dv_port_task) | **POST** /DistributedVirtualSwitch/{moId}/ReconfigureDVPort_Task | Reconfigure individual ports. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_reconfigure_dvs_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_reconfigure_dvs_task) | **POST** /DistributedVirtualSwitch/{moId}/ReconfigureDvs_Task | Reconfigures a distributed virtual switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_rectify_dvs_host_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_rectify_dvs_host_task) | **POST** /DistributedVirtualSwitch/{moId}/RectifyDvsHost_Task | Update the switch configuration on the host to bring them in sync with the current configuration in vCenter Server. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_refresh_dv_port_state**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_refresh_dv_port_state) | **POST** /DistributedVirtualSwitch/{moId}/RefreshDVPortState | Refresh port states. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_reload**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_reload) | **POST** /DistributedVirtualSwitch/{moId}/Reload | Reload the entity state. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_remove_network_resource_pool**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_remove_network_resource_pool) | **POST** /DistributedVirtualSwitch/{moId}/RemoveNetworkResourcePool | Remove a network resource pool. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_rename_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_rename_task) | **POST** /DistributedVirtualSwitch/{moId}/Rename_Task | Renames this managed entity. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_set_custom_value**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_set_custom_value) | **POST** /DistributedVirtualSwitch/{moId}/setCustomValue | Assigns a value to a custom field. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_update_dvs_capability**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_update_dvs_capability) | **POST** /DistributedVirtualSwitch/{moId}/UpdateDvsCapability | Set the capability of the switch. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_update_dvs_health_check_config_task**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_update_dvs_health_check_config_task) | **POST** /DistributedVirtualSwitch/{moId}/UpdateDVSHealthCheckConfig_Task | Update health check configuration. 
*DistributedVirtualSwitchApi* | [**distributed_virtual_switch_update_network_resource_pool**](docs/DistributedVirtualSwitchApi.md#distributed_virtual_switch_update_network_resource_pool) | **POST** /DistributedVirtualSwitch/{moId}/UpdateNetworkResourcePool | Update the network resource pool configuration. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_dvs_manager_export_entity_task**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_dvs_manager_export_entity_task) | **POST** /DistributedVirtualSwitchManager/{moId}/DVSManagerExportEntity_Task | Export the configuration for entities specified in the &lt;code&gt;selectionSet&lt;/code&gt; parameter. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_dvs_manager_import_entity_task**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_dvs_manager_import_entity_task) | **POST** /DistributedVirtualSwitchManager/{moId}/DVSManagerImportEntity_Task | Import the configuration of entities specified in *EntityBackupConfig*. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_dvs_manager_lookup_dv_port_group**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_dvs_manager_lookup_dv_port_group) | **POST** /DistributedVirtualSwitchManager/{moId}/DVSManagerLookupDvPortGroup | Returns the portgroup identified by the key within the specified VDS identified by its UUID. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_available_dvs_spec**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_available_dvs_spec) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryAvailableDvsSpec | This operation returns a list of switch product specifications that are supported by the vCenter Server. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_compatible_host_for_existing_dvs**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_compatible_host_for_existing_dvs) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryCompatibleHostForExistingDvs | This operation returns a list of hosts that are compatible with the given DistributedVirtualSwitch product specification. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_compatible_host_for_new_dvs**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_compatible_host_for_new_dvs) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryCompatibleHostForNewDvs | This operation returns a list of hosts that are compatible with the given DistributedVirtualSwitch product specification. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_compatible_vmnics_from_hosts**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_compatible_vmnics_from_hosts) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryCompatibleVmnicsFromHosts | This operation returns a list of vmnics which are compatible with the given DistributedVirtualSwitch product specification. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_dvs_by_uuid**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_dvs_by_uuid) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryDvsByUuid | This operation returns a DistributedVirtualSwitch given a UUID. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_dvs_check_compatibility**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_dvs_check_compatibility) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryDvsCheckCompatibility | This operation returns a list of compatibility results. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_dvs_compatible_host_spec**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_dvs_compatible_host_spec) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryDvsCompatibleHostSpec | This operation returns a list of host product specifications that are compatible with the given DistributedVirtualSwitch product specification. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_dvs_config_target**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_dvs_config_target) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryDvsConfigTarget | This operation returns the DistributedVirtualSwitch or DistributedVirtualPortgroup configuration target on a host. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_dvs_feature_capability**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_dvs_feature_capability) | **POST** /DistributedVirtualSwitchManager/{moId}/QueryDvsFeatureCapability | This operation indicates which version-specific DVS features are available for the given DistributedVirtualSwitch product specification. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_query_supported_network_offload_spec**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_query_supported_network_offload_spec) | **POST** /DistributedVirtualSwitchManager/{moId}/QuerySupportedNetworkOffloadSpec | This operation returns a list of network offload specifications that are compatible with the given DistributedVirtualSwitch product specification. 
*DistributedVirtualSwitchManagerApi* | [**distributed_virtual_switch_manager_rectify_dvs_on_host_task**](docs/DistributedVirtualSwitchManagerApi.md#distributed_virtual_switch_manager_rectify_dvs_on_host_task) | **POST** /DistributedVirtualSwitchManager/{moId}/RectifyDvsOnHost_Task | Update the Distributed Switch configuration on the hosts to bring them in sync with the current configuration in vCenter Server. 
*EnvironmentBrowserApi* | [**environment_browser_get_datastore_browser**](docs/EnvironmentBrowserApi.md#environment_browser_get_datastore_browser) | **GET** /EnvironmentBrowser/{moId}/datastoreBrowser | DatastoreBrowser to browse datastores that are available on this entity. 
*EnvironmentBrowserApi* | [**environment_browser_query_config_option**](docs/EnvironmentBrowserApi.md#environment_browser_query_config_option) | **POST** /EnvironmentBrowser/{moId}/QueryConfigOption | Query for a specific virtual machine configuration option (the ConfigOption). 
*EnvironmentBrowserApi* | [**environment_browser_query_config_option_descriptor**](docs/EnvironmentBrowserApi.md#environment_browser_query_config_option_descriptor) | **POST** /EnvironmentBrowser/{moId}/QueryConfigOptionDescriptor | The list of ConfigOption keys available on this entity. 
*EnvironmentBrowserApi* | [**environment_browser_query_config_option_ex**](docs/EnvironmentBrowserApi.md#environment_browser_query_config_option_ex) | **POST** /EnvironmentBrowser/{moId}/QueryConfigOptionEx | Query for a virtual machine configuration *option* matching the key or host or both given in the *EnvironmentBrowserConfigOptionQuerySpec*. 
*EnvironmentBrowserApi* | [**environment_browser_query_config_target**](docs/EnvironmentBrowserApi.md#environment_browser_query_config_target) | **POST** /EnvironmentBrowser/{moId}/QueryConfigTarget | Queries for information about a specific target, a \&quot;physical\&quot; device that can be used to back virtual devices. 
*EnvironmentBrowserApi* | [**environment_browser_query_target_capabilities**](docs/EnvironmentBrowserApi.md#environment_browser_query_target_capabilities) | **POST** /EnvironmentBrowser/{moId}/QueryTargetCapabilities | Queries for information on the capabilities supported by the ComputeResource associated with the EnvironmentBrowser. 
*EventHistoryCollectorApi* | [**event_history_collector_destroy_collector**](docs/EventHistoryCollectorApi.md#event_history_collector_destroy_collector) | **POST** /EventHistoryCollector/{moId}/DestroyCollector | Destroys this collector. 
*EventHistoryCollectorApi* | [**event_history_collector_get_filter**](docs/EventHistoryCollectorApi.md#event_history_collector_get_filter) | **GET** /EventHistoryCollector/{moId}/filter | The filter used to create this collector. 
*EventHistoryCollectorApi* | [**event_history_collector_get_latest_page**](docs/EventHistoryCollectorApi.md#event_history_collector_get_latest_page) | **GET** /EventHistoryCollector/{moId}/latestPage | The items in the &#39;viewable latest page&#39;. 
*EventHistoryCollectorApi* | [**event_history_collector_read_next_events**](docs/EventHistoryCollectorApi.md#event_history_collector_read_next_events) | **POST** /EventHistoryCollector/{moId}/ReadNextEvents | Reads the &#39;scrollable view&#39; from the current position. 
*EventHistoryCollectorApi* | [**event_history_collector_read_previous_events**](docs/EventHistoryCollectorApi.md#event_history_collector_read_previous_events) | **POST** /EventHistoryCollector/{moId}/ReadPreviousEvents | Reads the &#39;scrollable view&#39; from the current position. 
*EventHistoryCollectorApi* | [**event_history_collector_reset_collector**](docs/EventHistoryCollectorApi.md#event_history_collector_reset_collector) | **POST** /EventHistoryCollector/{moId}/ResetCollector | Moves the \&quot;scrollable view\&quot; to the item immediately preceding the \&quot;viewable latest page\&quot;. 
*EventHistoryCollectorApi* | [**event_history_collector_rewind_collector**](docs/EventHistoryCollectorApi.md#event_history_collector_rewind_collector) | **POST** /EventHistoryCollector/{moId}/RewindCollector | Moves the \&quot;scrollable view\&quot; to the oldest item. 
*EventHistoryCollectorApi* | [**event_history_collector_set_collector_page_size**](docs/EventHistoryCollectorApi.md#event_history_collector_set_collector_page_size) | **POST** /EventHistoryCollector/{moId}/SetCollectorPageSize | Sets the \&quot;viewable latest page\&quot; size to contain at most the number of items specified by the maxCount parameter). 
*EventManagerApi* | [**event_manager_create_collector_for_events**](docs/EventManagerApi.md#event_manager_create_collector_for_events) | **POST** /EventManager/{moId}/CreateCollectorForEvents | Creates an event history collector, which is a specialized history collector that provides Event objects. 
*EventManagerApi* | [**event_manager_get_description**](docs/EventManagerApi.md#event_manager_get_description) | **GET** /EventManager/{moId}/description | Static descriptive strings used in events. 
*EventManagerApi* | [**event_manager_get_latest_event**](docs/EventManagerApi.md#event_manager_get_latest_event) | **GET** /EventManager/{moId}/latestEvent | The latest event that happened on the VirtualCenter server. 
*EventManagerApi* | [**event_manager_get_max_collector**](docs/EventManagerApi.md#event_manager_get_max_collector) | **GET** /EventManager/{moId}/maxCollector | For each client, the maximum number of event collectors that can exist simultaneously. 
*EventManagerApi* | [**event_manager_log_user_event**](docs/EventManagerApi.md#event_manager_log_user_event) | **POST** /EventManager/{moId}/LogUserEvent | Logs a user defined event against a particular managed entity. 
*EventManagerApi* | [**event_manager_post_event**](docs/EventManagerApi.md#event_manager_post_event) | **POST** /EventManager/{moId}/PostEvent | Posts the specified event, optionally associating it with a task. 
*EventManagerApi* | [**event_manager_query_events**](docs/EventManagerApi.md#event_manager_query_events) | **POST** /EventManager/{moId}/QueryEvents | Returns the events in specified filter. 
*EventManagerApi* | [**event_manager_retrieve_argument_description**](docs/EventManagerApi.md#event_manager_retrieve_argument_description) | **POST** /EventManager/{moId}/RetrieveArgumentDescription | Retrieves the argument meta-data for a given Event type 
*ExtensibleManagedObjectApi* | [**extensible_managed_object_get_available_field**](docs/ExtensibleManagedObjectApi.md#extensible_managed_object_get_available_field) | **GET** /ExtensibleManagedObject/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ExtensibleManagedObjectApi* | [**extensible_managed_object_get_value**](docs/ExtensibleManagedObjectApi.md#extensible_managed_object_get_value) | **GET** /ExtensibleManagedObject/{moId}/value | List of custom field values. 
*ExtensibleManagedObjectApi* | [**extensible_managed_object_set_custom_value**](docs/ExtensibleManagedObjectApi.md#extensible_managed_object_set_custom_value) | **POST** /ExtensibleManagedObject/{moId}/setCustomValue | Assigns a value to a custom field. 
*ExtensionManagerApi* | [**extension_manager_find_extension**](docs/ExtensionManagerApi.md#extension_manager_find_extension) | **POST** /ExtensionManager/{moId}/FindExtension | Returns extension with the given key, if any. 
*ExtensionManagerApi* | [**extension_manager_get_extension_list**](docs/ExtensionManagerApi.md#extension_manager_get_extension_list) | **GET** /ExtensionManager/{moId}/extensionList | The list of currently registered extensions. 
*ExtensionManagerApi* | [**extension_manager_get_public_key**](docs/ExtensionManagerApi.md#extension_manager_get_public_key) | **POST** /ExtensionManager/{moId}/GetPublicKey | Returns VirtualCenter Server public key. 
*ExtensionManagerApi* | [**extension_manager_query_extension_ip_allocation_usage**](docs/ExtensionManagerApi.md#extension_manager_query_extension_ip_allocation_usage) | **POST** /ExtensionManager/{moId}/QueryExtensionIpAllocationUsage | Query statistics about IP allocation usage, either system wide or for specified extensions. 
*ExtensionManagerApi* | [**extension_manager_query_managed_by**](docs/ExtensionManagerApi.md#extension_manager_query_managed_by) | **POST** /ExtensionManager/{moId}/QueryManagedBy | Find entities managed by an extension. 
*ExtensionManagerApi* | [**extension_manager_register_extension**](docs/ExtensionManagerApi.md#extension_manager_register_extension) | **POST** /ExtensionManager/{moId}/RegisterExtension | Registers extension. 
*ExtensionManagerApi* | [**extension_manager_set_extension_certificate**](docs/ExtensionManagerApi.md#extension_manager_set_extension_certificate) | **POST** /ExtensionManager/{moId}/SetExtensionCertificate | Update the stored authentication certificate for a specified extension. 
*ExtensionManagerApi* | [**extension_manager_set_public_key**](docs/ExtensionManagerApi.md#extension_manager_set_public_key) | **POST** /ExtensionManager/{moId}/SetPublicKey | Sets extension&#39;s public key. 
*ExtensionManagerApi* | [**extension_manager_unregister_extension**](docs/ExtensionManagerApi.md#extension_manager_unregister_extension) | **POST** /ExtensionManager/{moId}/UnregisterExtension | Unregisters the specified extension if it exists. 
*ExtensionManagerApi* | [**extension_manager_update_extension**](docs/ExtensionManagerApi.md#extension_manager_update_extension) | **POST** /ExtensionManager/{moId}/UpdateExtension | If the key specified in the extension exists, the existing record is updated. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_configure_vcha_task**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_configure_vcha_task) | **POST** /FailoverClusterConfigurator/{moId}/configureVcha_Task | Configure VCHA on the local vCenter Server. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_create_passive_node_task**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_create_passive_node_task) | **POST** /FailoverClusterConfigurator/{moId}/createPassiveNode_Task | Creates a Passive node in a degraded VCHA Cluster with node location information and pre-existing VCHA Cluster configuration from the Active node. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_create_witness_node_task**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_create_witness_node_task) | **POST** /FailoverClusterConfigurator/{moId}/createWitnessNode_Task | Creates a Witness node in a degraded VCHA Cluster with node location information and pre-existing VCHA Cluster configuration from the Active node. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_deploy_vcha_task**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_deploy_vcha_task) | **POST** /FailoverClusterConfigurator/{moId}/deployVcha_Task | Deploys and Configures VCHA on the local vCenter as a single API. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_destroy_vcha_task**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_destroy_vcha_task) | **POST** /FailoverClusterConfigurator/{moId}/destroyVcha_Task | Destroys the VCHA cluster setup and removes all VCHA specific configuration from the VCVA appliance. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_get_disabled_configure_method**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_get_disabled_configure_method) | **GET** /FailoverClusterConfigurator/{moId}/disabledConfigureMethod | A list of method names that must not be called and will throw a fault due to some other method running that the disabled method can cause side-effects for. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_get_vcha_config**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_get_vcha_config) | **POST** /FailoverClusterConfigurator/{moId}/getVchaConfig | Returns the configuration information for each node that is part of the VCHA Cluster. 
*FailoverClusterConfiguratorApi* | [**failover_cluster_configurator_prepare_vcha_task**](docs/FailoverClusterConfiguratorApi.md#failover_cluster_configurator_prepare_vcha_task) | **POST** /FailoverClusterConfigurator/{moId}/prepareVcha_Task | Prepares the vCenter appliance for a VCHA cluster deployment. 
*FailoverClusterManagerApi* | [**failover_cluster_manager_get_cluster_mode**](docs/FailoverClusterManagerApi.md#failover_cluster_manager_get_cluster_mode) | **POST** /FailoverClusterManager/{moId}/getClusterMode | Returns current mode of a VCHA Cluster. 
*FailoverClusterManagerApi* | [**failover_cluster_manager_get_disabled_cluster_method**](docs/FailoverClusterManagerApi.md#failover_cluster_manager_get_disabled_cluster_method) | **GET** /FailoverClusterManager/{moId}/disabledClusterMethod | A list of method names that must not be called and will throw a fault due to some other method running that the disabled method can cause side-effects for. 
*FailoverClusterManagerApi* | [**failover_cluster_manager_get_vcha_cluster_health**](docs/FailoverClusterManagerApi.md#failover_cluster_manager_get_vcha_cluster_health) | **POST** /FailoverClusterManager/{moId}/GetVchaClusterHealth | Returns last known health of the VCHA Cluster. 
*FailoverClusterManagerApi* | [**failover_cluster_manager_initiate_failover_task**](docs/FailoverClusterManagerApi.md#failover_cluster_manager_initiate_failover_task) | **POST** /FailoverClusterManager/{moId}/initiateFailover_Task | Allows a caller to initiate a failover from Active vCenter Server node to the Passive node. 
*FailoverClusterManagerApi* | [**failover_cluster_manager_set_cluster_mode_task**](docs/FailoverClusterManagerApi.md#failover_cluster_manager_set_cluster_mode_task) | **POST** /FailoverClusterManager/{moId}/setClusterMode_Task | setClusterMode method allows caller to manipulate the mode of a VCHA Cluster Following mode transitions are allowed - enabled -&amp;gt; disabled - Allowed only in healthy and degraded states. 
*FileManagerApi* | [**file_manager_change_owner**](docs/FileManagerApi.md#file_manager_change_owner) | **POST** /FileManager/{moId}/ChangeOwner | Change the owner for a file. 
*FileManagerApi* | [**file_manager_copy_datastore_file_task**](docs/FileManagerApi.md#file_manager_copy_datastore_file_task) | **POST** /FileManager/{moId}/CopyDatastoreFile_Task | Copies the source file or folder to the destination. 
*FileManagerApi* | [**file_manager_delete_datastore_file_task**](docs/FileManagerApi.md#file_manager_delete_datastore_file_task) | **POST** /FileManager/{moId}/DeleteDatastoreFile_Task | Deletes the specified file or folder from the datastore. 
*FileManagerApi* | [**file_manager_make_directory**](docs/FileManagerApi.md#file_manager_make_directory) | **POST** /FileManager/{moId}/MakeDirectory | Create a folder using the specified name. 
*FileManagerApi* | [**file_manager_move_datastore_file_task**](docs/FileManagerApi.md#file_manager_move_datastore_file_task) | **POST** /FileManager/{moId}/MoveDatastoreFile_Task | Moves the source file or folder to the destination. 
*FolderApi* | [**folder_add_standalone_host_task**](docs/FolderApi.md#folder_add_standalone_host_task) | **POST** /Folder/{moId}/AddStandaloneHost_Task | Creates a new single-host compute resource. 
*FolderApi* | [**folder_batch_add_hosts_to_cluster_task**](docs/FolderApi.md#folder_batch_add_hosts_to_cluster_task) | **POST** /Folder/{moId}/BatchAddHostsToCluster_Task | Adds a set of new and existing hosts to the cluster. 
*FolderApi* | [**folder_batch_add_standalone_hosts_task**](docs/FolderApi.md#folder_batch_add_standalone_hosts_task) | **POST** /Folder/{moId}/BatchAddStandaloneHosts_Task | Adds a list of hosts to inventory, as standalone hosts, in a single invocation. 
*FolderApi* | [**folder_create_cluster**](docs/FolderApi.md#folder_create_cluster) | **POST** /Folder/{moId}/CreateCluster | Creates a new cluster compute resource in this folder. 
*FolderApi* | [**folder_create_cluster_ex**](docs/FolderApi.md#folder_create_cluster_ex) | **POST** /Folder/{moId}/CreateClusterEx | Creates a new cluster compute resource in this folder. 
*FolderApi* | [**folder_create_datacenter**](docs/FolderApi.md#folder_create_datacenter) | **POST** /Folder/{moId}/CreateDatacenter | Creates a new datacenter with the given name. 
*FolderApi* | [**folder_create_dvs_task**](docs/FolderApi.md#folder_create_dvs_task) | **POST** /Folder/{moId}/CreateDVS_Task | Create a *DistributedVirtualSwitch* in the folder according to the specified *DVSCreateSpec*. 
*FolderApi* | [**folder_create_folder**](docs/FolderApi.md#folder_create_folder) | **POST** /Folder/{moId}/CreateFolder | Creates a new sub-folder with the specified name. 
*FolderApi* | [**folder_create_storage_pod**](docs/FolderApi.md#folder_create_storage_pod) | **POST** /Folder/{moId}/CreateStoragePod | Creates a new storage pod in this folder. 
*FolderApi* | [**folder_create_vm_task**](docs/FolderApi.md#folder_create_vm_task) | **POST** /Folder/{moId}/CreateVM_Task | Creates a new virtual machine in the current folder and attaches it to the specified resource pool. 
*FolderApi* | [**folder_destroy_task**](docs/FolderApi.md#folder_destroy_task) | **POST** /Folder/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*FolderApi* | [**folder_get_alarm_actions_enabled**](docs/FolderApi.md#folder_get_alarm_actions_enabled) | **GET** /Folder/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*FolderApi* | [**folder_get_available_field**](docs/FolderApi.md#folder_get_available_field) | **GET** /Folder/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*FolderApi* | [**folder_get_child_entity**](docs/FolderApi.md#folder_get_child_entity) | **GET** /Folder/{moId}/childEntity | An array of managed object references. 
*FolderApi* | [**folder_get_child_type**](docs/FolderApi.md#folder_get_child_type) | **GET** /Folder/{moId}/childType | Specifies the object types a folder may contain. 
*FolderApi* | [**folder_get_config_issue**](docs/FolderApi.md#folder_get_config_issue) | **GET** /Folder/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*FolderApi* | [**folder_get_config_status**](docs/FolderApi.md#folder_get_config_status) | **GET** /Folder/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*FolderApi* | [**folder_get_custom_value**](docs/FolderApi.md#folder_get_custom_value) | **GET** /Folder/{moId}/customValue | Custom field values. 
*FolderApi* | [**folder_get_declared_alarm_state**](docs/FolderApi.md#folder_get_declared_alarm_state) | **GET** /Folder/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*FolderApi* | [**folder_get_disabled_method**](docs/FolderApi.md#folder_get_disabled_method) | **GET** /Folder/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*FolderApi* | [**folder_get_effective_role**](docs/FolderApi.md#folder_get_effective_role) | **GET** /Folder/{moId}/effectiveRole | Access rights the current session has to this entity. 
*FolderApi* | [**folder_get_name**](docs/FolderApi.md#folder_get_name) | **GET** /Folder/{moId}/name | Name of this entity, unique relative to its parent. 
*FolderApi* | [**folder_get_namespace**](docs/FolderApi.md#folder_get_namespace) | **GET** /Folder/{moId}/namespace | The namespace with which the Folder is associated. 
*FolderApi* | [**folder_get_overall_status**](docs/FolderApi.md#folder_get_overall_status) | **GET** /Folder/{moId}/overallStatus | General health of this managed entity. 
*FolderApi* | [**folder_get_parent**](docs/FolderApi.md#folder_get_parent) | **GET** /Folder/{moId}/parent | Parent of this entity. 
*FolderApi* | [**folder_get_permission**](docs/FolderApi.md#folder_get_permission) | **GET** /Folder/{moId}/permission | List of permissions defined for this entity. 
*FolderApi* | [**folder_get_recent_task**](docs/FolderApi.md#folder_get_recent_task) | **GET** /Folder/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*FolderApi* | [**folder_get_tag**](docs/FolderApi.md#folder_get_tag) | **GET** /Folder/{moId}/tag | The set of tags associated with this managed entity. 
*FolderApi* | [**folder_get_triggered_alarm_state**](docs/FolderApi.md#folder_get_triggered_alarm_state) | **GET** /Folder/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*FolderApi* | [**folder_get_value**](docs/FolderApi.md#folder_get_value) | **GET** /Folder/{moId}/value | List of custom field values. 
*FolderApi* | [**folder_move_into_folder_task**](docs/FolderApi.md#folder_move_into_folder_task) | **POST** /Folder/{moId}/MoveIntoFolder_Task | Moves a set of managed entities into this folder. 
*FolderApi* | [**folder_register_vm_task**](docs/FolderApi.md#folder_register_vm_task) | **POST** /Folder/{moId}/RegisterVM_Task | Adds an existing virtual machine to the folder. 
*FolderApi* | [**folder_reload**](docs/FolderApi.md#folder_reload) | **POST** /Folder/{moId}/Reload | Reload the entity state. 
*FolderApi* | [**folder_rename_task**](docs/FolderApi.md#folder_rename_task) | **POST** /Folder/{moId}/Rename_Task | Renames this managed entity. 
*FolderApi* | [**folder_set_custom_value**](docs/FolderApi.md#folder_set_custom_value) | **POST** /Folder/{moId}/setCustomValue | Assigns a value to a custom field. 
*FolderApi* | [**folder_unregister_and_destroy_task**](docs/FolderApi.md#folder_unregister_and_destroy_task) | **POST** /Folder/{moId}/UnregisterAndDestroy_Task | Recursively unregisters all virtual machines and vApps, and destroys all child virtual machine folders. 
*GuestAliasManagerApi* | [**guest_alias_manager_add_guest_alias**](docs/GuestAliasManagerApi.md#guest_alias_manager_add_guest_alias) | **POST** /GuestAliasManager/{moId}/AddGuestAlias | Defines an alias for a guest account in a virtual machine. 
*GuestAliasManagerApi* | [**guest_alias_manager_list_guest_aliases**](docs/GuestAliasManagerApi.md#guest_alias_manager_list_guest_aliases) | **POST** /GuestAliasManager/{moId}/ListGuestAliases | Lists the *GuestAliases* for a specified user in the guest that can be used for authentication of guest operations. 
*GuestAliasManagerApi* | [**guest_alias_manager_list_guest_mapped_aliases**](docs/GuestAliasManagerApi.md#guest_alias_manager_list_guest_mapped_aliases) | **POST** /GuestAliasManager/{moId}/ListGuestMappedAliases | Lists the *GuestMappedAliases* in the guest that can be used for authentication of guest operations. 
*GuestAliasManagerApi* | [**guest_alias_manager_remove_guest_alias**](docs/GuestAliasManagerApi.md#guest_alias_manager_remove_guest_alias) | **POST** /GuestAliasManager/{moId}/RemoveGuestAlias | Removes an alias from the guest so it can no longer be used for authentication of guest operations. 
*GuestAliasManagerApi* | [**guest_alias_manager_remove_guest_alias_by_cert**](docs/GuestAliasManagerApi.md#guest_alias_manager_remove_guest_alias_by_cert) | **POST** /GuestAliasManager/{moId}/RemoveGuestAliasByCert | Removes a VMware SSO Server&#39;s certificate and all associated aliases from the guest so it can no longer be used for authentication of guest operations. 
*GuestAuthManagerApi* | [**guest_auth_manager_acquire_credentials_in_guest**](docs/GuestAuthManagerApi.md#guest_auth_manager_acquire_credentials_in_guest) | **POST** /GuestAuthManager/{moId}/AcquireCredentialsInGuest | Authenticates in the guest and returns a *GuestAuthentication* object with the acquired credentials for use in subsequent guest operation calls. 
*GuestAuthManagerApi* | [**guest_auth_manager_release_credentials_in_guest**](docs/GuestAuthManagerApi.md#guest_auth_manager_release_credentials_in_guest) | **POST** /GuestAuthManager/{moId}/ReleaseCredentialsInGuest | Releases session data and resources associated with a *GuestAuthentication* object returned by *GuestAuthManager.AcquireCredentialsInGuest*. 
*GuestAuthManagerApi* | [**guest_auth_manager_validate_credentials_in_guest**](docs/GuestAuthManagerApi.md#guest_auth_manager_validate_credentials_in_guest) | **POST** /GuestAuthManager/{moId}/ValidateCredentialsInGuest | Validates the *GuestAuthentication* credentials. 
*GuestFileManagerApi* | [**guest_file_manager_change_file_attributes_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_change_file_attributes_in_guest) | **POST** /GuestFileManager/{moId}/ChangeFileAttributesInGuest | Changes the file attributes of a specified file inside the guest. 
*GuestFileManagerApi* | [**guest_file_manager_create_temporary_directory_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_create_temporary_directory_in_guest) | **POST** /GuestFileManager/{moId}/CreateTemporaryDirectoryInGuest | Creates a temporary directory. 
*GuestFileManagerApi* | [**guest_file_manager_create_temporary_file_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_create_temporary_file_in_guest) | **POST** /GuestFileManager/{moId}/CreateTemporaryFileInGuest | Creates a temporary file. 
*GuestFileManagerApi* | [**guest_file_manager_delete_directory_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_delete_directory_in_guest) | **POST** /GuestFileManager/{moId}/DeleteDirectoryInGuest | Deletes a directory in the guest OS. 
*GuestFileManagerApi* | [**guest_file_manager_delete_file_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_delete_file_in_guest) | **POST** /GuestFileManager/{moId}/DeleteFileInGuest | Deletes a file in the guest OS 
*GuestFileManagerApi* | [**guest_file_manager_initiate_file_transfer_from_guest**](docs/GuestFileManagerApi.md#guest_file_manager_initiate_file_transfer_from_guest) | **POST** /GuestFileManager/{moId}/InitiateFileTransferFromGuest | Initiates an operation to transfer a file from the guest. 
*GuestFileManagerApi* | [**guest_file_manager_initiate_file_transfer_to_guest**](docs/GuestFileManagerApi.md#guest_file_manager_initiate_file_transfer_to_guest) | **POST** /GuestFileManager/{moId}/InitiateFileTransferToGuest | Initiates an operation to transfer a file to the guest. 
*GuestFileManagerApi* | [**guest_file_manager_list_files_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_list_files_in_guest) | **POST** /GuestFileManager/{moId}/ListFilesInGuest | Returns information about files or directories in the guest. 
*GuestFileManagerApi* | [**guest_file_manager_make_directory_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_make_directory_in_guest) | **POST** /GuestFileManager/{moId}/MakeDirectoryInGuest | Creates a directory in the guest OS 
*GuestFileManagerApi* | [**guest_file_manager_move_directory_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_move_directory_in_guest) | **POST** /GuestFileManager/{moId}/MoveDirectoryInGuest | Moves or renames a directory in the guest. 
*GuestFileManagerApi* | [**guest_file_manager_move_file_in_guest**](docs/GuestFileManagerApi.md#guest_file_manager_move_file_in_guest) | **POST** /GuestFileManager/{moId}/MoveFileInGuest | Renames a file in the guest. 
*GuestOperationsManagerApi* | [**guest_operations_manager_get_alias_manager**](docs/GuestOperationsManagerApi.md#guest_operations_manager_get_alias_manager) | **GET** /GuestOperationsManager/{moId}/aliasManager | A managed object that provides methods to support single sign-on in the guest operating system. 
*GuestOperationsManagerApi* | [**guest_operations_manager_get_auth_manager**](docs/GuestOperationsManagerApi.md#guest_operations_manager_get_auth_manager) | **GET** /GuestOperationsManager/{moId}/authManager | A singleton managed object that provides methods for guest authentication operations. 
*GuestOperationsManagerApi* | [**guest_operations_manager_get_file_manager**](docs/GuestOperationsManagerApi.md#guest_operations_manager_get_file_manager) | **GET** /GuestOperationsManager/{moId}/fileManager | A singleton managed object that provides methods for guest file operations. 
*GuestOperationsManagerApi* | [**guest_operations_manager_get_guest_windows_registry_manager**](docs/GuestOperationsManagerApi.md#guest_operations_manager_get_guest_windows_registry_manager) | **GET** /GuestOperationsManager/{moId}/guestWindowsRegistryManager | A singleton managed object that provides methods for guest windows registry operations. 
*GuestOperationsManagerApi* | [**guest_operations_manager_get_process_manager**](docs/GuestOperationsManagerApi.md#guest_operations_manager_get_process_manager) | **GET** /GuestOperationsManager/{moId}/processManager | A singleton managed object that provides methods for guest process operations. 
*GuestProcessManagerApi* | [**guest_process_manager_list_processes_in_guest**](docs/GuestProcessManagerApi.md#guest_process_manager_list_processes_in_guest) | **POST** /GuestProcessManager/{moId}/ListProcessesInGuest | List the processes running in the guest operating system, plus those started by *GuestProcessManager.StartProgramInGuest* that have recently completed. 
*GuestProcessManagerApi* | [**guest_process_manager_read_environment_variable_in_guest**](docs/GuestProcessManagerApi.md#guest_process_manager_read_environment_variable_in_guest) | **POST** /GuestProcessManager/{moId}/ReadEnvironmentVariableInGuest | Reads an environment variable from the guest OS 
*GuestProcessManagerApi* | [**guest_process_manager_start_program_in_guest**](docs/GuestProcessManagerApi.md#guest_process_manager_start_program_in_guest) | **POST** /GuestProcessManager/{moId}/StartProgramInGuest | Starts a program in the guest operating system. 
*GuestProcessManagerApi* | [**guest_process_manager_terminate_process_in_guest**](docs/GuestProcessManagerApi.md#guest_process_manager_terminate_process_in_guest) | **POST** /GuestProcessManager/{moId}/TerminateProcessInGuest | Terminates a process in the guest OS. 
*GuestWindowsRegistryManagerApi* | [**guest_windows_registry_manager_create_registry_key_in_guest**](docs/GuestWindowsRegistryManagerApi.md#guest_windows_registry_manager_create_registry_key_in_guest) | **POST** /GuestWindowsRegistryManager/{moId}/CreateRegistryKeyInGuest | Create a registry key. 
*GuestWindowsRegistryManagerApi* | [**guest_windows_registry_manager_delete_registry_key_in_guest**](docs/GuestWindowsRegistryManagerApi.md#guest_windows_registry_manager_delete_registry_key_in_guest) | **POST** /GuestWindowsRegistryManager/{moId}/DeleteRegistryKeyInGuest | Delete a registry key. 
*GuestWindowsRegistryManagerApi* | [**guest_windows_registry_manager_delete_registry_value_in_guest**](docs/GuestWindowsRegistryManagerApi.md#guest_windows_registry_manager_delete_registry_value_in_guest) | **POST** /GuestWindowsRegistryManager/{moId}/DeleteRegistryValueInGuest | Delete a registry value. 
*GuestWindowsRegistryManagerApi* | [**guest_windows_registry_manager_list_registry_keys_in_guest**](docs/GuestWindowsRegistryManagerApi.md#guest_windows_registry_manager_list_registry_keys_in_guest) | **POST** /GuestWindowsRegistryManager/{moId}/ListRegistryKeysInGuest | List all registry subkeys for a given registry key. 
*GuestWindowsRegistryManagerApi* | [**guest_windows_registry_manager_list_registry_values_in_guest**](docs/GuestWindowsRegistryManagerApi.md#guest_windows_registry_manager_list_registry_values_in_guest) | **POST** /GuestWindowsRegistryManager/{moId}/ListRegistryValuesInGuest | List all registry values for a given registry key. 
*GuestWindowsRegistryManagerApi* | [**guest_windows_registry_manager_set_registry_value_in_guest**](docs/GuestWindowsRegistryManagerApi.md#guest_windows_registry_manager_set_registry_value_in_guest) | **POST** /GuestWindowsRegistryManager/{moId}/SetRegistryValueInGuest | Set/Create a registry value. 
*HealthUpdateManagerApi* | [**health_update_manager_add_filter**](docs/HealthUpdateManagerApi.md#health_update_manager_add_filter) | **POST** /HealthUpdateManager/{moId}/AddFilter | Adds health update filters. 
*HealthUpdateManagerApi* | [**health_update_manager_add_filter_entities**](docs/HealthUpdateManagerApi.md#health_update_manager_add_filter_entities) | **POST** /HealthUpdateManager/{moId}/AddFilterEntities | Add entities on which this filter is configured. 
*HealthUpdateManagerApi* | [**health_update_manager_add_monitored_entities**](docs/HealthUpdateManagerApi.md#health_update_manager_add_monitored_entities) | **POST** /HealthUpdateManager/{moId}/AddMonitoredEntities | The provider monitors additional managed entities. 
*HealthUpdateManagerApi* | [**health_update_manager_has_monitored_entity**](docs/HealthUpdateManagerApi.md#health_update_manager_has_monitored_entity) | **POST** /HealthUpdateManager/{moId}/HasMonitoredEntity | Check if the managed entity is monitored by the provider. 
*HealthUpdateManagerApi* | [**health_update_manager_has_provider**](docs/HealthUpdateManagerApi.md#health_update_manager_has_provider) | **POST** /HealthUpdateManager/{moId}/HasProvider | Verifies if the given provider is registered. 
*HealthUpdateManagerApi* | [**health_update_manager_post_health_updates**](docs/HealthUpdateManagerApi.md#health_update_manager_post_health_updates) | **POST** /HealthUpdateManager/{moId}/PostHealthUpdates | Report a change in health status. 
*HealthUpdateManagerApi* | [**health_update_manager_query_filter_entities**](docs/HealthUpdateManagerApi.md#health_update_manager_query_filter_entities) | **POST** /HealthUpdateManager/{moId}/QueryFilterEntities | Returns the list of entities on which this filter is configured. 
*HealthUpdateManagerApi* | [**health_update_manager_query_filter_info_ids**](docs/HealthUpdateManagerApi.md#health_update_manager_query_filter_info_ids) | **POST** /HealthUpdateManager/{moId}/QueryFilterInfoIds | Returns the list of HealthUpdateInfos configured for this filter. 
*HealthUpdateManagerApi* | [**health_update_manager_query_filter_list**](docs/HealthUpdateManagerApi.md#health_update_manager_query_filter_list) | **POST** /HealthUpdateManager/{moId}/QueryFilterList | Returns the list of filters. 
*HealthUpdateManagerApi* | [**health_update_manager_query_filter_name**](docs/HealthUpdateManagerApi.md#health_update_manager_query_filter_name) | **POST** /HealthUpdateManager/{moId}/QueryFilterName | Returns the filter name. 
*HealthUpdateManagerApi* | [**health_update_manager_query_health_update_infos**](docs/HealthUpdateManagerApi.md#health_update_manager_query_health_update_infos) | **POST** /HealthUpdateManager/{moId}/QueryHealthUpdateInfos | Returns the list of HealthUpdateInfo configured for the given provider. 
*HealthUpdateManagerApi* | [**health_update_manager_query_health_updates**](docs/HealthUpdateManagerApi.md#health_update_manager_query_health_updates) | **POST** /HealthUpdateManager/{moId}/QueryHealthUpdates | Returns the list of health updates reported by the given provider. 
*HealthUpdateManagerApi* | [**health_update_manager_query_monitored_entities**](docs/HealthUpdateManagerApi.md#health_update_manager_query_monitored_entities) | **POST** /HealthUpdateManager/{moId}/QueryMonitoredEntities | Returns the list of managed entities monitored by the given provider. 
*HealthUpdateManagerApi* | [**health_update_manager_query_provider_list**](docs/HealthUpdateManagerApi.md#health_update_manager_query_provider_list) | **POST** /HealthUpdateManager/{moId}/QueryProviderList | The providers. 
*HealthUpdateManagerApi* | [**health_update_manager_query_provider_name**](docs/HealthUpdateManagerApi.md#health_update_manager_query_provider_name) | **POST** /HealthUpdateManager/{moId}/QueryProviderName | Query the name of the provider. 
*HealthUpdateManagerApi* | [**health_update_manager_query_unmonitored_hosts**](docs/HealthUpdateManagerApi.md#health_update_manager_query_unmonitored_hosts) | **POST** /HealthUpdateManager/{moId}/QueryUnmonitoredHosts | The set of hosts that are in the cluster, but not monitored by the provider. 
*HealthUpdateManagerApi* | [**health_update_manager_register_health_update_provider**](docs/HealthUpdateManagerApi.md#health_update_manager_register_health_update_provider) | **POST** /HealthUpdateManager/{moId}/RegisterHealthUpdateProvider | Registers provider. 
*HealthUpdateManagerApi* | [**health_update_manager_remove_filter**](docs/HealthUpdateManagerApi.md#health_update_manager_remove_filter) | **POST** /HealthUpdateManager/{moId}/RemoveFilter | Removes the specified filter. 
*HealthUpdateManagerApi* | [**health_update_manager_remove_filter_entities**](docs/HealthUpdateManagerApi.md#health_update_manager_remove_filter_entities) | **POST** /HealthUpdateManager/{moId}/RemoveFilterEntities | Remove entities on which this filter is configured. 
*HealthUpdateManagerApi* | [**health_update_manager_remove_monitored_entities**](docs/HealthUpdateManagerApi.md#health_update_manager_remove_monitored_entities) | **POST** /HealthUpdateManager/{moId}/RemoveMonitoredEntities | The provider monitors fewer managed entities. 
*HealthUpdateManagerApi* | [**health_update_manager_unregister_health_update_provider**](docs/HealthUpdateManagerApi.md#health_update_manager_unregister_health_update_provider) | **POST** /HealthUpdateManager/{moId}/UnregisterHealthUpdateProvider | Unregisters the specified provider, if it exists. 
*HistoryCollectorApi* | [**history_collector_destroy_collector**](docs/HistoryCollectorApi.md#history_collector_destroy_collector) | **POST** /HistoryCollector/{moId}/DestroyCollector | Destroys this collector. 
*HistoryCollectorApi* | [**history_collector_get_filter**](docs/HistoryCollectorApi.md#history_collector_get_filter) | **GET** /HistoryCollector/{moId}/filter | The filter used to create this collector. 
*HistoryCollectorApi* | [**history_collector_reset_collector**](docs/HistoryCollectorApi.md#history_collector_reset_collector) | **POST** /HistoryCollector/{moId}/ResetCollector | Moves the \&quot;scrollable view\&quot; to the item immediately preceding the \&quot;viewable latest page\&quot;. 
*HistoryCollectorApi* | [**history_collector_rewind_collector**](docs/HistoryCollectorApi.md#history_collector_rewind_collector) | **POST** /HistoryCollector/{moId}/RewindCollector | Moves the \&quot;scrollable view\&quot; to the oldest item. 
*HistoryCollectorApi* | [**history_collector_set_collector_page_size**](docs/HistoryCollectorApi.md#history_collector_set_collector_page_size) | **POST** /HistoryCollector/{moId}/SetCollectorPageSize | Sets the \&quot;viewable latest page\&quot; size to contain at most the number of items specified by the maxCount parameter). 
*HostAccessManagerApi* | [**host_access_manager_change_access_mode**](docs/HostAccessManagerApi.md#host_access_manager_change_access_mode) | **POST** /HostAccessManager/{moId}/ChangeAccessMode | Update the access mode for a user or group. 
*HostAccessManagerApi* | [**host_access_manager_change_lockdown_mode**](docs/HostAccessManagerApi.md#host_access_manager_change_lockdown_mode) | **POST** /HostAccessManager/{moId}/ChangeLockdownMode | Changes the lockdown state of the ESXi host. 
*HostAccessManagerApi* | [**host_access_manager_get_lockdown_mode**](docs/HostAccessManagerApi.md#host_access_manager_get_lockdown_mode) | **GET** /HostAccessManager/{moId}/lockdownMode | Current lockdown state of the host. 
*HostAccessManagerApi* | [**host_access_manager_query_lockdown_exceptions**](docs/HostAccessManagerApi.md#host_access_manager_query_lockdown_exceptions) | **POST** /HostAccessManager/{moId}/QueryLockdownExceptions | Get the list of users which are exceptions for lockdown mode. 
*HostAccessManagerApi* | [**host_access_manager_query_system_users**](docs/HostAccessManagerApi.md#host_access_manager_query_system_users) | **POST** /HostAccessManager/{moId}/QuerySystemUsers | Get the list of local system users. 
*HostAccessManagerApi* | [**host_access_manager_retrieve_host_access_control_entries**](docs/HostAccessManagerApi.md#host_access_manager_retrieve_host_access_control_entries) | **POST** /HostAccessManager/{moId}/RetrieveHostAccessControlEntries | Retrieve access entries. 
*HostAccessManagerApi* | [**host_access_manager_update_lockdown_exceptions**](docs/HostAccessManagerApi.md#host_access_manager_update_lockdown_exceptions) | **POST** /HostAccessManager/{moId}/UpdateLockdownExceptions | Update the list of users which are exceptions for lockdown mode. 
*HostAccessManagerApi* | [**host_access_manager_update_system_users**](docs/HostAccessManagerApi.md#host_access_manager_update_system_users) | **POST** /HostAccessManager/{moId}/UpdateSystemUsers | Update the list of local system users. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_disable_smart_card_authentication**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_disable_smart_card_authentication) | **POST** /HostActiveDirectoryAuthentication/{moId}/DisableSmartCardAuthentication | Disables console authentication using a local smart card and reader. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_enable_smart_card_authentication**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_enable_smart_card_authentication) | **POST** /HostActiveDirectoryAuthentication/{moId}/EnableSmartCardAuthentication | Enables console authentication using a local smart card and reader. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_get_info**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_get_info) | **GET** /HostActiveDirectoryAuthentication/{moId}/info | Information about the authentication store. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_import_certificate_for_cam_task**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_import_certificate_for_cam_task) | **POST** /HostActiveDirectoryAuthentication/{moId}/ImportCertificateForCAM_Task | Import the CAM server&#39;s certificate to the local store of vmwauth. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_install_smart_card_trust_anchor**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_install_smart_card_trust_anchor) | **POST** /HostActiveDirectoryAuthentication/{moId}/InstallSmartCardTrustAnchor | Install a trust anchor certificate for smart card authentication. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_join_domain_task**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_join_domain_task) | **POST** /HostActiveDirectoryAuthentication/{moId}/JoinDomain_Task | Adds the host to an Active Directory domain. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_join_domain_with_cam_task**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_join_domain_with_cam_task) | **POST** /HostActiveDirectoryAuthentication/{moId}/JoinDomainWithCAM_Task | Adds the host to an Active Directory domain through CAM service. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_leave_current_domain_task**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_leave_current_domain_task) | **POST** /HostActiveDirectoryAuthentication/{moId}/LeaveCurrentDomain_Task | Removes the host from the Active Directory domain to which it belongs. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_list_smart_card_trust_anchors**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_list_smart_card_trust_anchors) | **POST** /HostActiveDirectoryAuthentication/{moId}/ListSmartCardTrustAnchors | Lists installed trust anchor certificates for smart card authentication. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_remove_smart_card_trust_anchor**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_remove_smart_card_trust_anchor) | **POST** /HostActiveDirectoryAuthentication/{moId}/RemoveSmartCardTrustAnchor | Remove a smart card trust anchor certificate from the system. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_remove_smart_card_trust_anchor_by_fingerprint**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_remove_smart_card_trust_anchor_by_fingerprint) | **POST** /HostActiveDirectoryAuthentication/{moId}/RemoveSmartCardTrustAnchorByFingerprint | Remove a smart card trust anchor certificate from the system by fingerprint. 
*HostActiveDirectoryAuthenticationApi* | [**host_active_directory_authentication_replace_smart_card_trust_anchors**](docs/HostActiveDirectoryAuthenticationApi.md#host_active_directory_authentication_replace_smart_card_trust_anchors) | **POST** /HostActiveDirectoryAuthentication/{moId}/ReplaceSmartCardTrustAnchors | Replace the trust anchor certificates for smart card authentication. 
*HostAssignableHardwareManagerApi* | [**host_assignable_hardware_manager_download_description_tree**](docs/HostAssignableHardwareManagerApi.md#host_assignable_hardware_manager_download_description_tree) | **POST** /HostAssignableHardwareManager/{moId}/DownloadDescriptionTree | Download Assignable Hardware description tree. 
*HostAssignableHardwareManagerApi* | [**host_assignable_hardware_manager_get_binding**](docs/HostAssignableHardwareManagerApi.md#host_assignable_hardware_manager_get_binding) | **GET** /HostAssignableHardwareManager/{moId}/binding | Assignable Hardware bindings 
*HostAssignableHardwareManagerApi* | [**host_assignable_hardware_manager_get_config**](docs/HostAssignableHardwareManagerApi.md#host_assignable_hardware_manager_get_config) | **GET** /HostAssignableHardwareManager/{moId}/config | Assignable Hardware configuration 
*HostAssignableHardwareManagerApi* | [**host_assignable_hardware_manager_retrieve_dynamic_passthrough_info**](docs/HostAssignableHardwareManagerApi.md#host_assignable_hardware_manager_retrieve_dynamic_passthrough_info) | **POST** /HostAssignableHardwareManager/{moId}/RetrieveDynamicPassthroughInfo | Retrieve PCI Dynamic Passthrough info. 
*HostAssignableHardwareManagerApi* | [**host_assignable_hardware_manager_retrieve_vendor_device_group_info**](docs/HostAssignableHardwareManagerApi.md#host_assignable_hardware_manager_retrieve_vendor_device_group_info) | **POST** /HostAssignableHardwareManager/{moId}/RetrieveVendorDeviceGroupInfo | Retrieve VendorDeviceGroup info. 
*HostAssignableHardwareManagerApi* | [**host_assignable_hardware_manager_update_assignable_hardware_config**](docs/HostAssignableHardwareManagerApi.md#host_assignable_hardware_manager_update_assignable_hardware_config) | **POST** /HostAssignableHardwareManager/{moId}/UpdateAssignableHardwareConfig | Update Assignable Hardware configuration. 
*HostAuthenticationManagerApi* | [**host_authentication_manager_get_info**](docs/HostAuthenticationManagerApi.md#host_authentication_manager_get_info) | **GET** /HostAuthenticationManager/{moId}/info | Information about Active Directory membership. 
*HostAuthenticationManagerApi* | [**host_authentication_manager_get_supported_store**](docs/HostAuthenticationManagerApi.md#host_authentication_manager_get_supported_store) | **GET** /HostAuthenticationManager/{moId}/supportedStore | An array that can contain managed object references to local and Active Directory authentication managed objects. 
*HostAuthenticationStoreApi* | [**host_authentication_store_get_info**](docs/HostAuthenticationStoreApi.md#host_authentication_store_get_info) | **GET** /HostAuthenticationStore/{moId}/info | Information about the authentication store. 
*HostAutoStartManagerApi* | [**host_auto_start_manager_auto_start_power_off**](docs/HostAutoStartManagerApi.md#host_auto_start_manager_auto_start_power_off) | **POST** /HostAutoStartManager/{moId}/AutoStartPowerOff | Powers-off virtual machines according to the current AutoStart configuration. 
*HostAutoStartManagerApi* | [**host_auto_start_manager_auto_start_power_on**](docs/HostAutoStartManagerApi.md#host_auto_start_manager_auto_start_power_on) | **POST** /HostAutoStartManager/{moId}/AutoStartPowerOn | Powers-on virtual machines according to the current AutoStart configuration. 
*HostAutoStartManagerApi* | [**host_auto_start_manager_get_config**](docs/HostAutoStartManagerApi.md#host_auto_start_manager_get_config) | **GET** /HostAutoStartManager/{moId}/config | 
*HostAutoStartManagerApi* | [**host_auto_start_manager_reconfigure_autostart**](docs/HostAutoStartManagerApi.md#host_auto_start_manager_reconfigure_autostart) | **POST** /HostAutoStartManager/{moId}/ReconfigureAutostart | Changes the power-on or power-off sequence and system defaults. 
*HostBootDeviceSystemApi* | [**host_boot_device_system_query_boot_devices**](docs/HostBootDeviceSystemApi.md#host_boot_device_system_query_boot_devices) | **POST** /HostBootDeviceSystem/{moId}/QueryBootDevices | Retrieves a list of the available boot devices for the host system. 
*HostBootDeviceSystemApi* | [**host_boot_device_system_update_boot_device**](docs/HostBootDeviceSystemApi.md#host_boot_device_system_update_boot_device) | **POST** /HostBootDeviceSystem/{moId}/UpdateBootDevice | Sets the current boot device for the host system. 
*HostCacheConfigurationManagerApi* | [**host_cache_configuration_manager_configure_host_cache_task**](docs/HostCacheConfigurationManagerApi.md#host_cache_configuration_manager_configure_host_cache_task) | **POST** /HostCacheConfigurationManager/{moId}/ConfigureHostCache_Task | Configure host cache/swap performance enhancement. 
*HostCacheConfigurationManagerApi* | [**host_cache_configuration_manager_get_cache_configuration_info**](docs/HostCacheConfigurationManagerApi.md#host_cache_configuration_manager_get_cache_configuration_info) | **GET** /HostCacheConfigurationManager/{moId}/cacheConfigurationInfo | The swap performance configuration for the ESX host. 
*HostCertificateManagerApi* | [**host_certificate_manager_generate_certificate_signing_request**](docs/HostCertificateManagerApi.md#host_certificate_manager_generate_certificate_signing_request) | **POST** /HostCertificateManager/{moId}/GenerateCertificateSigningRequest | Requests the server to generate a certificate-signing request (CSR) for itself. 
*HostCertificateManagerApi* | [**host_certificate_manager_generate_certificate_signing_request_by_dn**](docs/HostCertificateManagerApi.md#host_certificate_manager_generate_certificate_signing_request_by_dn) | **POST** /HostCertificateManager/{moId}/GenerateCertificateSigningRequestByDn | Requests the server to generate a certificate-signing request (CSR) for itself. 
*HostCertificateManagerApi* | [**host_certificate_manager_get_certificate_info**](docs/HostCertificateManagerApi.md#host_certificate_manager_get_certificate_info) | **GET** /HostCertificateManager/{moId}/certificateInfo | the CertificateInfo of the Host Certificate. 
*HostCertificateManagerApi* | [**host_certificate_manager_install_server_certificate**](docs/HostCertificateManagerApi.md#host_certificate_manager_install_server_certificate) | **POST** /HostCertificateManager/{moId}/InstallServerCertificate | Installs a given SSL certificate on the server. 
*HostCertificateManagerApi* | [**host_certificate_manager_list_ca_certificate_revocation_lists**](docs/HostCertificateManagerApi.md#host_certificate_manager_list_ca_certificate_revocation_lists) | **POST** /HostCertificateManager/{moId}/ListCACertificateRevocationLists | Fetches the SSL CRLs of Certificate Authorities that are trusted. 
*HostCertificateManagerApi* | [**host_certificate_manager_list_ca_certificates**](docs/HostCertificateManagerApi.md#host_certificate_manager_list_ca_certificates) | **POST** /HostCertificateManager/{moId}/ListCACertificates | Fetches the SSL certificates of Certificate Authorities that are trusted. 
*HostCertificateManagerApi* | [**host_certificate_manager_replace_ca_certificates_and_crls**](docs/HostCertificateManagerApi.md#host_certificate_manager_replace_ca_certificates_and_crls) | **POST** /HostCertificateManager/{moId}/ReplaceCACertificatesAndCRLs | Replaces the trusted Certificate Authority (CA) certificates and Certification Revocation List (CRL) used by the server with the provided values. 
*HostCertificateManagerApi* | [**host_certificate_manager_retrieve_certificate_info_list**](docs/HostCertificateManagerApi.md#host_certificate_manager_retrieve_certificate_info_list) | **POST** /HostCertificateManager/{moId}/RetrieveCertificateInfoList | the CertificateInfos of all known Certificates on the host 
*HostCpuSchedulerSystemApi* | [**host_cpu_scheduler_system_disable_hyper_threading**](docs/HostCpuSchedulerSystemApi.md#host_cpu_scheduler_system_disable_hyper_threading) | **POST** /HostCpuSchedulerSystem/{moId}/DisableHyperThreading | Don&#39;t treat hyperthreads as schedulable resources the next time the CPU scheduler starts. 
*HostCpuSchedulerSystemApi* | [**host_cpu_scheduler_system_enable_hyper_threading**](docs/HostCpuSchedulerSystemApi.md#host_cpu_scheduler_system_enable_hyper_threading) | **POST** /HostCpuSchedulerSystem/{moId}/EnableHyperThreading | Treat hyperthreads as schedulable resources the next time the CPU scheduler starts. 
*HostCpuSchedulerSystemApi* | [**host_cpu_scheduler_system_get_available_field**](docs/HostCpuSchedulerSystemApi.md#host_cpu_scheduler_system_get_available_field) | **GET** /HostCpuSchedulerSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostCpuSchedulerSystemApi* | [**host_cpu_scheduler_system_get_hyperthread_info**](docs/HostCpuSchedulerSystemApi.md#host_cpu_scheduler_system_get_hyperthread_info) | **GET** /HostCpuSchedulerSystem/{moId}/hyperthreadInfo | The hyperthread configuration for the CpuSchedulerSystem. 
*HostCpuSchedulerSystemApi* | [**host_cpu_scheduler_system_get_value**](docs/HostCpuSchedulerSystemApi.md#host_cpu_scheduler_system_get_value) | **GET** /HostCpuSchedulerSystem/{moId}/value | List of custom field values. 
*HostCpuSchedulerSystemApi* | [**host_cpu_scheduler_system_set_custom_value**](docs/HostCpuSchedulerSystemApi.md#host_cpu_scheduler_system_set_custom_value) | **POST** /HostCpuSchedulerSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostDatastoreBrowserApi* | [**host_datastore_browser_delete_file**](docs/HostDatastoreBrowserApi.md#host_datastore_browser_delete_file) | **POST** /HostDatastoreBrowser/{moId}/DeleteFile | Deletes the specified files from the datastore. 
*HostDatastoreBrowserApi* | [**host_datastore_browser_get_datastore**](docs/HostDatastoreBrowserApi.md#host_datastore_browser_get_datastore) | **GET** /HostDatastoreBrowser/{moId}/datastore | Set of datastores that can be searched on this DatastoreBrowser. 
*HostDatastoreBrowserApi* | [**host_datastore_browser_get_supported_type**](docs/HostDatastoreBrowserApi.md#host_datastore_browser_get_supported_type) | **GET** /HostDatastoreBrowser/{moId}/supportedType | The list of supported file types. 
*HostDatastoreBrowserApi* | [**host_datastore_browser_search_datastore_sub_folders_task**](docs/HostDatastoreBrowserApi.md#host_datastore_browser_search_datastore_sub_folders_task) | **POST** /HostDatastoreBrowser/{moId}/SearchDatastoreSubFolders_Task | Returns the information for the files that match the given search criteria as a SearchResults\\[\\] object. 
*HostDatastoreBrowserApi* | [**host_datastore_browser_search_datastore_task**](docs/HostDatastoreBrowserApi.md#host_datastore_browser_search_datastore_task) | **POST** /HostDatastoreBrowser/{moId}/SearchDatastore_Task | Returns the information for the files that match the given search criteria as a SearchResults object. 
*HostDatastoreSystemApi* | [**host_datastore_system_configure_datastore_principal**](docs/HostDatastoreSystemApi.md#host_datastore_system_configure_datastore_principal) | **POST** /HostDatastoreSystem/{moId}/ConfigureDatastorePrincipal | Configures datastore principal user for the host. 
*HostDatastoreSystemApi* | [**host_datastore_system_create_local_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_create_local_datastore) | **POST** /HostDatastoreSystem/{moId}/CreateLocalDatastore | Creates a new local datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_create_nas_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_create_nas_datastore) | **POST** /HostDatastoreSystem/{moId}/CreateNasDatastore | Creates a new network-attached storage datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_create_vmfs_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_create_vmfs_datastore) | **POST** /HostDatastoreSystem/{moId}/CreateVmfsDatastore | Creates a new VMFS datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_create_vvol_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_create_vvol_datastore) | **POST** /HostDatastoreSystem/{moId}/CreateVvolDatastore | Create a Virtual-Volume based datastore 
*HostDatastoreSystemApi* | [**host_datastore_system_disable_clustered_vmdk_support**](docs/HostDatastoreSystemApi.md#host_datastore_system_disable_clustered_vmdk_support) | **POST** /HostDatastoreSystem/{moId}/DisableClusteredVmdkSupport | Disable the clustered vmdk support on specified datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_enable_clustered_vmdk_support**](docs/HostDatastoreSystemApi.md#host_datastore_system_enable_clustered_vmdk_support) | **POST** /HostDatastoreSystem/{moId}/EnableClusteredVmdkSupport | Enable the clustered vmdk support on specified datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_expand_vmfs_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_expand_vmfs_datastore) | **POST** /HostDatastoreSystem/{moId}/ExpandVmfsDatastore | Increases the capacity of an existing VMFS datastore by expanding (increasing the size of) an existing extent of the datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_extend_vmfs_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_extend_vmfs_datastore) | **POST** /HostDatastoreSystem/{moId}/ExtendVmfsDatastore | Increases the capacity of an existing VMFS datastore by adding new extents to the datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_get_capabilities**](docs/HostDatastoreSystemApi.md#host_datastore_system_get_capabilities) | **GET** /HostDatastoreSystem/{moId}/capabilities | Capability vector indicating the available product features. 
*HostDatastoreSystemApi* | [**host_datastore_system_get_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_get_datastore) | **GET** /HostDatastoreSystem/{moId}/datastore | List of datastores on this host. 
*HostDatastoreSystemApi* | [**host_datastore_system_query_available_disks_for_vmfs**](docs/HostDatastoreSystemApi.md#host_datastore_system_query_available_disks_for_vmfs) | **POST** /HostDatastoreSystem/{moId}/QueryAvailableDisksForVmfs | Query to list disks that can be used to contain VMFS datastore extents. 
*HostDatastoreSystemApi* | [**host_datastore_system_query_max_queue_depth**](docs/HostDatastoreSystemApi.md#host_datastore_system_query_max_queue_depth) | **POST** /HostDatastoreSystem/{moId}/QueryMaxQueueDepth | Query max queue depth for a specified NFS datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_query_unresolved_vmfs_volumes**](docs/HostDatastoreSystemApi.md#host_datastore_system_query_unresolved_vmfs_volumes) | **POST** /HostDatastoreSystem/{moId}/QueryUnresolvedVmfsVolumes | Get the list of unbound VMFS volumes. 
*HostDatastoreSystemApi* | [**host_datastore_system_query_vmfs_datastore_create_options**](docs/HostDatastoreSystemApi.md#host_datastore_system_query_vmfs_datastore_create_options) | **POST** /HostDatastoreSystem/{moId}/QueryVmfsDatastoreCreateOptions | Queries options for creating a new VMFS datastore for a disk. 
*HostDatastoreSystemApi* | [**host_datastore_system_query_vmfs_datastore_expand_options**](docs/HostDatastoreSystemApi.md#host_datastore_system_query_vmfs_datastore_expand_options) | **POST** /HostDatastoreSystem/{moId}/QueryVmfsDatastoreExpandOptions | Queries for options for increasing the capacity of an existing VMFS datastore by expanding (increasing the size of) an existing extent of the datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_query_vmfs_datastore_extend_options**](docs/HostDatastoreSystemApi.md#host_datastore_system_query_vmfs_datastore_extend_options) | **POST** /HostDatastoreSystem/{moId}/QueryVmfsDatastoreExtendOptions | Queries for options for increasing the capacity of an existing VMFS datastore by adding new extents using space from the specified disk. 
*HostDatastoreSystemApi* | [**host_datastore_system_remove_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_remove_datastore) | **POST** /HostDatastoreSystem/{moId}/RemoveDatastore | Removes a datastore from a host. 
*HostDatastoreSystemApi* | [**host_datastore_system_remove_datastore_ex_task**](docs/HostDatastoreSystemApi.md#host_datastore_system_remove_datastore_ex_task) | **POST** /HostDatastoreSystem/{moId}/RemoveDatastoreEx_Task | Remove one or more datastores. 
*HostDatastoreSystemApi* | [**host_datastore_system_resignature_unresolved_vmfs_volume_task**](docs/HostDatastoreSystemApi.md#host_datastore_system_resignature_unresolved_vmfs_volume_task) | **POST** /HostDatastoreSystem/{moId}/ResignatureUnresolvedVmfsVolume_Task | Resignature an unbound VMFS volume. 
*HostDatastoreSystemApi* | [**host_datastore_system_set_max_queue_depth**](docs/HostDatastoreSystemApi.md#host_datastore_system_set_max_queue_depth) | **POST** /HostDatastoreSystem/{moId}/SetMaxQueueDepth | Set max queue depth for a specified NFS datastore. 
*HostDatastoreSystemApi* | [**host_datastore_system_update_local_swap_datastore**](docs/HostDatastoreSystemApi.md#host_datastore_system_update_local_swap_datastore) | **POST** /HostDatastoreSystem/{moId}/UpdateLocalSwapDatastore | Choose the *localSwapDatastore* for this host. 
*HostDateTimeSystemApi* | [**host_date_time_system_get_date_time_info**](docs/HostDateTimeSystemApi.md#host_date_time_system_get_date_time_info) | **GET** /HostDateTimeSystem/{moId}/dateTimeInfo | The DateTime configuration of the host. 
*HostDateTimeSystemApi* | [**host_date_time_system_query_available_time_zones**](docs/HostDateTimeSystemApi.md#host_date_time_system_query_available_time_zones) | **POST** /HostDateTimeSystem/{moId}/QueryAvailableTimeZones | Retrieves the list of available timezones on the host. 
*HostDateTimeSystemApi* | [**host_date_time_system_query_date_time**](docs/HostDateTimeSystemApi.md#host_date_time_system_query_date_time) | **POST** /HostDateTimeSystem/{moId}/QueryDateTime | Get the current DateTime on the host. 
*HostDateTimeSystemApi* | [**host_date_time_system_refresh_date_time_system**](docs/HostDateTimeSystemApi.md#host_date_time_system_refresh_date_time_system) | **POST** /HostDateTimeSystem/{moId}/RefreshDateTimeSystem | Refresh the DateTime related settings to pick up any changes that might have occurred. 
*HostDateTimeSystemApi* | [**host_date_time_system_test_time_service**](docs/HostDateTimeSystemApi.md#host_date_time_system_test_time_service) | **POST** /HostDateTimeSystem/{moId}/TestTimeService | Run a test to validate current time service configuration is functioning normally. 
*HostDateTimeSystemApi* | [**host_date_time_system_update_date_time**](docs/HostDateTimeSystemApi.md#host_date_time_system_update_date_time) | **POST** /HostDateTimeSystem/{moId}/UpdateDateTime | Update the date/time on the host. 
*HostDateTimeSystemApi* | [**host_date_time_system_update_date_time_config**](docs/HostDateTimeSystemApi.md#host_date_time_system_update_date_time_config) | **POST** /HostDateTimeSystem/{moId}/UpdateDateTimeConfig | Update the DateTime configuration of the host. 
*HostDiagnosticSystemApi* | [**host_diagnostic_system_create_diagnostic_partition**](docs/HostDiagnosticSystemApi.md#host_diagnostic_system_create_diagnostic_partition) | **POST** /HostDiagnosticSystem/{moId}/CreateDiagnosticPartition | Creates a diagnostic partition according to the provided create specification. 
*HostDiagnosticSystemApi* | [**host_diagnostic_system_get_active_partition**](docs/HostDiagnosticSystemApi.md#host_diagnostic_system_get_active_partition) | **GET** /HostDiagnosticSystem/{moId}/activePartition | The currently active diagnostic partition. 
*HostDiagnosticSystemApi* | [**host_diagnostic_system_query_available_partition**](docs/HostDiagnosticSystemApi.md#host_diagnostic_system_query_available_partition) | **POST** /HostDiagnosticSystem/{moId}/QueryAvailablePartition | Retrieves a list of available diagnostic partitions. 
*HostDiagnosticSystemApi* | [**host_diagnostic_system_query_partition_create_desc**](docs/HostDiagnosticSystemApi.md#host_diagnostic_system_query_partition_create_desc) | **POST** /HostDiagnosticSystem/{moId}/QueryPartitionCreateDesc | For a disk, query for the diagnostic partition creation description. 
*HostDiagnosticSystemApi* | [**host_diagnostic_system_query_partition_create_options**](docs/HostDiagnosticSystemApi.md#host_diagnostic_system_query_partition_create_options) | **POST** /HostDiagnosticSystem/{moId}/QueryPartitionCreateOptions | Retrieves a list of disks that can be used to contain a diagnostic partition. 
*HostDiagnosticSystemApi* | [**host_diagnostic_system_select_active_partition**](docs/HostDiagnosticSystemApi.md#host_diagnostic_system_select_active_partition) | **POST** /HostDiagnosticSystem/{moId}/SelectActivePartition | Changes the active diagnostic partition to a different partition. 
*HostDirectoryStoreApi* | [**host_directory_store_get_info**](docs/HostDirectoryStoreApi.md#host_directory_store_get_info) | **GET** /HostDirectoryStore/{moId}/info | Information about the authentication store. 
*HostEsxAgentHostManagerApi* | [**host_esx_agent_host_manager_esx_agent_host_manager_update_config**](docs/HostEsxAgentHostManagerApi.md#host_esx_agent_host_manager_esx_agent_host_manager_update_config) | **POST** /HostEsxAgentHostManager/{moId}/EsxAgentHostManagerUpdateConfig | Update the host&#39;s ESX agent configuration. 
*HostEsxAgentHostManagerApi* | [**host_esx_agent_host_manager_get_config_info**](docs/HostEsxAgentHostManagerApi.md#host_esx_agent_host_manager_get_config_info) | **GET** /HostEsxAgentHostManager/{moId}/configInfo | Configuration of agent virtual machine resources 
*HostFirewallSystemApi* | [**host_firewall_system_disable_ruleset**](docs/HostFirewallSystemApi.md#host_firewall_system_disable_ruleset) | **POST** /HostFirewallSystem/{moId}/DisableRuleset | Blocks the firewall ports belonging to the specified ruleset. 
*HostFirewallSystemApi* | [**host_firewall_system_enable_ruleset**](docs/HostFirewallSystemApi.md#host_firewall_system_enable_ruleset) | **POST** /HostFirewallSystem/{moId}/EnableRuleset | Opens the firewall ports belonging to the specified ruleset. 
*HostFirewallSystemApi* | [**host_firewall_system_get_available_field**](docs/HostFirewallSystemApi.md#host_firewall_system_get_available_field) | **GET** /HostFirewallSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostFirewallSystemApi* | [**host_firewall_system_get_firewall_info**](docs/HostFirewallSystemApi.md#host_firewall_system_get_firewall_info) | **GET** /HostFirewallSystem/{moId}/firewallInfo | Firewall configuration. 
*HostFirewallSystemApi* | [**host_firewall_system_get_value**](docs/HostFirewallSystemApi.md#host_firewall_system_get_value) | **GET** /HostFirewallSystem/{moId}/value | List of custom field values. 
*HostFirewallSystemApi* | [**host_firewall_system_refresh_firewall**](docs/HostFirewallSystemApi.md#host_firewall_system_refresh_firewall) | **POST** /HostFirewallSystem/{moId}/RefreshFirewall | Refresh the firewall information and settings to pick up any changes made directly on the host. 
*HostFirewallSystemApi* | [**host_firewall_system_set_custom_value**](docs/HostFirewallSystemApi.md#host_firewall_system_set_custom_value) | **POST** /HostFirewallSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostFirewallSystemApi* | [**host_firewall_system_update_default_policy**](docs/HostFirewallSystemApi.md#host_firewall_system_update_default_policy) | **POST** /HostFirewallSystem/{moId}/UpdateDefaultPolicy | Updates the default firewall policy; unset fields are left unchanged. 
*HostFirewallSystemApi* | [**host_firewall_system_update_ruleset**](docs/HostFirewallSystemApi.md#host_firewall_system_update_ruleset) | **POST** /HostFirewallSystem/{moId}/UpdateRuleset | Update the firewall ruleset specification. 
*HostFirmwareSystemApi* | [**host_firmware_system_backup_firmware_configuration**](docs/HostFirmwareSystemApi.md#host_firmware_system_backup_firmware_configuration) | **POST** /HostFirmwareSystem/{moId}/BackupFirmwareConfiguration | Backup the configuration of the host. 
*HostFirmwareSystemApi* | [**host_firmware_system_query_firmware_config_upload_url**](docs/HostFirmwareSystemApi.md#host_firmware_system_query_firmware_config_upload_url) | **POST** /HostFirmwareSystem/{moId}/QueryFirmwareConfigUploadURL | Return the URL on the host to which the configuration bundle must be uploaded for a restore operation. 
*HostFirmwareSystemApi* | [**host_firmware_system_reset_firmware_to_factory_defaults**](docs/HostFirmwareSystemApi.md#host_firmware_system_reset_firmware_to_factory_defaults) | **POST** /HostFirmwareSystem/{moId}/ResetFirmwareToFactoryDefaults | Reset the configuration to factory defaults. 
*HostFirmwareSystemApi* | [**host_firmware_system_restore_firmware_configuration**](docs/HostFirmwareSystemApi.md#host_firmware_system_restore_firmware_configuration) | **POST** /HostFirmwareSystem/{moId}/RestoreFirmwareConfiguration | Restore the configuration of the host to that specified in the bundle. 
*HostGraphicsManagerApi* | [**host_graphics_manager_get_available_field**](docs/HostGraphicsManagerApi.md#host_graphics_manager_get_available_field) | **GET** /HostGraphicsManager/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostGraphicsManagerApi* | [**host_graphics_manager_get_graphics_config**](docs/HostGraphicsManagerApi.md#host_graphics_manager_get_graphics_config) | **GET** /HostGraphicsManager/{moId}/graphicsConfig | Graphics Configuration 
*HostGraphicsManagerApi* | [**host_graphics_manager_get_graphics_info**](docs/HostGraphicsManagerApi.md#host_graphics_manager_get_graphics_info) | **GET** /HostGraphicsManager/{moId}/graphicsInfo | Array of graphics information 
*HostGraphicsManagerApi* | [**host_graphics_manager_get_shared_gpu_capabilities**](docs/HostGraphicsManagerApi.md#host_graphics_manager_get_shared_gpu_capabilities) | **GET** /HostGraphicsManager/{moId}/sharedGpuCapabilities | Array of shared passthru GPU capablities. 
*HostGraphicsManagerApi* | [**host_graphics_manager_get_shared_passthru_gpu_types**](docs/HostGraphicsManagerApi.md#host_graphics_manager_get_shared_passthru_gpu_types) | **GET** /HostGraphicsManager/{moId}/sharedPassthruGpuTypes | Array of shared passthru GPU types. 
*HostGraphicsManagerApi* | [**host_graphics_manager_get_value**](docs/HostGraphicsManagerApi.md#host_graphics_manager_get_value) | **GET** /HostGraphicsManager/{moId}/value | List of custom field values. 
*HostGraphicsManagerApi* | [**host_graphics_manager_is_shared_graphics_active**](docs/HostGraphicsManagerApi.md#host_graphics_manager_is_shared_graphics_active) | **POST** /HostGraphicsManager/{moId}/IsSharedGraphicsActive | Indicate if shared graphics device is active on the host. 
*HostGraphicsManagerApi* | [**host_graphics_manager_refresh_graphics_manager**](docs/HostGraphicsManagerApi.md#host_graphics_manager_refresh_graphics_manager) | **POST** /HostGraphicsManager/{moId}/RefreshGraphicsManager | Refresh the available graphics information. 
*HostGraphicsManagerApi* | [**host_graphics_manager_retrieve_vgpu_device_info**](docs/HostGraphicsManagerApi.md#host_graphics_manager_retrieve_vgpu_device_info) | **POST** /HostGraphicsManager/{moId}/RetrieveVgpuDeviceInfo | 
*HostGraphicsManagerApi* | [**host_graphics_manager_retrieve_vgpu_profile_info**](docs/HostGraphicsManagerApi.md#host_graphics_manager_retrieve_vgpu_profile_info) | **POST** /HostGraphicsManager/{moId}/RetrieveVgpuProfileInfo | 
*HostGraphicsManagerApi* | [**host_graphics_manager_set_custom_value**](docs/HostGraphicsManagerApi.md#host_graphics_manager_set_custom_value) | **POST** /HostGraphicsManager/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostGraphicsManagerApi* | [**host_graphics_manager_update_graphics_config**](docs/HostGraphicsManagerApi.md#host_graphics_manager_update_graphics_config) | **POST** /HostGraphicsManager/{moId}/UpdateGraphicsConfig | Update graphics configuration 
*HostHealthStatusSystemApi* | [**host_health_status_system_clear_system_event_log**](docs/HostHealthStatusSystemApi.md#host_health_status_system_clear_system_event_log) | **POST** /HostHealthStatusSystem/{moId}/ClearSystemEventLog | Clear the the IPMI System Event Log. 
*HostHealthStatusSystemApi* | [**host_health_status_system_fetch_system_event_log**](docs/HostHealthStatusSystemApi.md#host_health_status_system_fetch_system_event_log) | **POST** /HostHealthStatusSystem/{moId}/FetchSystemEventLog | Hardware System Event Log (SEL) information 
*HostHealthStatusSystemApi* | [**host_health_status_system_get_runtime**](docs/HostHealthStatusSystemApi.md#host_health_status_system_get_runtime) | **GET** /HostHealthStatusSystem/{moId}/runtime | 
*HostHealthStatusSystemApi* | [**host_health_status_system_refresh_health_status_system**](docs/HostHealthStatusSystemApi.md#host_health_status_system_refresh_health_status_system) | **POST** /HostHealthStatusSystem/{moId}/RefreshHealthStatusSystem | Refresh the available runtime hardware health information. 
*HostHealthStatusSystemApi* | [**host_health_status_system_reset_system_health_info**](docs/HostHealthStatusSystemApi.md#host_health_status_system_reset_system_health_info) | **POST** /HostHealthStatusSystem/{moId}/ResetSystemHealthInfo | Resets the state of the sensors of the IPMI subsystem. 
*HostImageConfigManagerApi* | [**host_image_config_manager_fetch_software_packages**](docs/HostImageConfigManagerApi.md#host_image_config_manager_fetch_software_packages) | **POST** /HostImageConfigManager/{moId}/fetchSoftwarePackages | Reports the set of software packages installed. 
*HostImageConfigManagerApi* | [**host_image_config_manager_host_image_config_get_acceptance**](docs/HostImageConfigManagerApi.md#host_image_config_manager_host_image_config_get_acceptance) | **POST** /HostImageConfigManager/{moId}/HostImageConfigGetAcceptance | Queries the current host acceptance level setting. 
*HostImageConfigManagerApi* | [**host_image_config_manager_host_image_config_get_profile**](docs/HostImageConfigManagerApi.md#host_image_config_manager_host_image_config_get_profile) | **POST** /HostImageConfigManager/{moId}/HostImageConfigGetProfile | Queries the current host image profile information. 
*HostImageConfigManagerApi* | [**host_image_config_manager_install_date**](docs/HostImageConfigManagerApi.md#host_image_config_manager_install_date) | **POST** /HostImageConfigManager/{moId}/installDate | Reports the UTC time stamp when this system was first installed. 
*HostImageConfigManagerApi* | [**host_image_config_manager_update_host_image_acceptance_level**](docs/HostImageConfigManagerApi.md#host_image_config_manager_update_host_image_acceptance_level) | **POST** /HostImageConfigManager/{moId}/UpdateHostImageAcceptanceLevel | Sets the acceptance level of the host image profile. 
*HostKernelModuleSystemApi* | [**host_kernel_module_system_query_configured_module_option_string**](docs/HostKernelModuleSystemApi.md#host_kernel_module_system_query_configured_module_option_string) | **POST** /HostKernelModuleSystem/{moId}/QueryConfiguredModuleOptionString | Query the options configured to be passed to the kernel module when loaded. 
*HostKernelModuleSystemApi* | [**host_kernel_module_system_query_modules**](docs/HostKernelModuleSystemApi.md#host_kernel_module_system_query_modules) | **POST** /HostKernelModuleSystem/{moId}/QueryModules | Query the set of modules on the host. 
*HostKernelModuleSystemApi* | [**host_kernel_module_system_update_module_option_string**](docs/HostKernelModuleSystemApi.md#host_kernel_module_system_update_module_option_string) | **POST** /HostKernelModuleSystem/{moId}/UpdateModuleOptionString | Specifies the options to be passed to the kernel module when loaded. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_assign_user_to_group**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_assign_user_to_group) | **POST** /HostLocalAccountManager/{moId}/AssignUserToGroup | Assigns a user to a group. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_change_password**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_change_password) | **POST** /HostLocalAccountManager/{moId}/ChangePassword | Updates the password of a local user account. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_create_group**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_create_group) | **POST** /HostLocalAccountManager/{moId}/CreateGroup | Creates a local group account using the parameters defined in the *HostLocalAccountManagerAccountSpecification* data object type. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_create_user**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_create_user) | **POST** /HostLocalAccountManager/{moId}/CreateUser | Creates a local user account using the parameters defined in the *HostLocalAccountManagerAccountSpecification* data object type. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_remove_group**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_remove_group) | **POST** /HostLocalAccountManager/{moId}/RemoveGroup | Removes a local group account. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_remove_user**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_remove_user) | **POST** /HostLocalAccountManager/{moId}/RemoveUser | Removes a local user account. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_unassign_user_from_group**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_unassign_user_from_group) | **POST** /HostLocalAccountManager/{moId}/UnassignUserFromGroup | Unassigns a user from a group. 
*HostLocalAccountManagerApi* | [**host_local_account_manager_update_user**](docs/HostLocalAccountManagerApi.md#host_local_account_manager_update_user) | **POST** /HostLocalAccountManager/{moId}/UpdateUser | Updates a local user account using the parameters defined in the *HostLocalAccountManagerAccountSpecification* data object type. 
*HostLocalAuthenticationApi* | [**host_local_authentication_get_info**](docs/HostLocalAuthenticationApi.md#host_local_authentication_get_info) | **GET** /HostLocalAuthentication/{moId}/info | Information about the authentication store. 
*HostMemorySystemApi* | [**host_memory_system_get_available_field**](docs/HostMemorySystemApi.md#host_memory_system_get_available_field) | **GET** /HostMemorySystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostMemorySystemApi* | [**host_memory_system_get_console_reservation_info**](docs/HostMemorySystemApi.md#host_memory_system_get_console_reservation_info) | **GET** /HostMemorySystem/{moId}/consoleReservationInfo | Service console reservation information for the memory manager. 
*HostMemorySystemApi* | [**host_memory_system_get_value**](docs/HostMemorySystemApi.md#host_memory_system_get_value) | **GET** /HostMemorySystem/{moId}/value | List of custom field values. 
*HostMemorySystemApi* | [**host_memory_system_get_virtual_machine_reservation_info**](docs/HostMemorySystemApi.md#host_memory_system_get_virtual_machine_reservation_info) | **GET** /HostMemorySystem/{moId}/virtualMachineReservationInfo | Virtual machine reservation information for the memory manager. 
*HostMemorySystemApi* | [**host_memory_system_reconfigure_service_console_reservation**](docs/HostMemorySystemApi.md#host_memory_system_reconfigure_service_console_reservation) | **POST** /HostMemorySystem/{moId}/ReconfigureServiceConsoleReservation | Sets the configured service console memory reservation. 
*HostMemorySystemApi* | [**host_memory_system_reconfigure_virtual_machine_reservation**](docs/HostMemorySystemApi.md#host_memory_system_reconfigure_virtual_machine_reservation) | **POST** /HostMemorySystem/{moId}/ReconfigureVirtualMachineReservation | Updates the virtual machine reservation information. 
*HostMemorySystemApi* | [**host_memory_system_set_custom_value**](docs/HostMemorySystemApi.md#host_memory_system_set_custom_value) | **POST** /HostMemorySystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostNetworkSystemApi* | [**host_network_system_add_port_group**](docs/HostNetworkSystemApi.md#host_network_system_add_port_group) | **POST** /HostNetworkSystem/{moId}/AddPortGroup | Adds a port group to the virtual switch. 
*HostNetworkSystemApi* | [**host_network_system_add_service_console_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_add_service_console_virtual_nic) | **POST** /HostNetworkSystem/{moId}/AddServiceConsoleVirtualNic | Adds a virtual service console network adapter. 
*HostNetworkSystemApi* | [**host_network_system_add_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_add_virtual_nic) | **POST** /HostNetworkSystem/{moId}/AddVirtualNic | Adds a virtual host/VMkernel network adapter. 
*HostNetworkSystemApi* | [**host_network_system_add_virtual_switch**](docs/HostNetworkSystemApi.md#host_network_system_add_virtual_switch) | **POST** /HostNetworkSystem/{moId}/AddVirtualSwitch | Adds a new virtual switch to the system with the given name. 
*HostNetworkSystemApi* | [**host_network_system_get_available_field**](docs/HostNetworkSystemApi.md#host_network_system_get_available_field) | **GET** /HostNetworkSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostNetworkSystemApi* | [**host_network_system_get_capabilities**](docs/HostNetworkSystemApi.md#host_network_system_get_capabilities) | **GET** /HostNetworkSystem/{moId}/capabilities | Capability vector indicating the available product features. 
*HostNetworkSystemApi* | [**host_network_system_get_console_ip_route_config**](docs/HostNetworkSystemApi.md#host_network_system_get_console_ip_route_config) | **GET** /HostNetworkSystem/{moId}/consoleIpRouteConfig | IP route configuration for the service console. 
*HostNetworkSystemApi* | [**host_network_system_get_dns_config**](docs/HostNetworkSystemApi.md#host_network_system_get_dns_config) | **GET** /HostNetworkSystem/{moId}/dnsConfig | Client-side DNS configuration. 
*HostNetworkSystemApi* | [**host_network_system_get_ip_route_config**](docs/HostNetworkSystemApi.md#host_network_system_get_ip_route_config) | **GET** /HostNetworkSystem/{moId}/ipRouteConfig | The IP route configuration. 
*HostNetworkSystemApi* | [**host_network_system_get_network_config**](docs/HostNetworkSystemApi.md#host_network_system_get_network_config) | **GET** /HostNetworkSystem/{moId}/networkConfig | Network configuration information. 
*HostNetworkSystemApi* | [**host_network_system_get_network_info**](docs/HostNetworkSystemApi.md#host_network_system_get_network_info) | **GET** /HostNetworkSystem/{moId}/networkInfo | The network configuration and runtime information. 
*HostNetworkSystemApi* | [**host_network_system_get_offload_capabilities**](docs/HostNetworkSystemApi.md#host_network_system_get_offload_capabilities) | **GET** /HostNetworkSystem/{moId}/offloadCapabilities | The offload capabilities available on this server. 
*HostNetworkSystemApi* | [**host_network_system_get_value**](docs/HostNetworkSystemApi.md#host_network_system_get_value) | **GET** /HostNetworkSystem/{moId}/value | List of custom field values. 
*HostNetworkSystemApi* | [**host_network_system_query_network_hint**](docs/HostNetworkSystemApi.md#host_network_system_query_network_hint) | **POST** /HostNetworkSystem/{moId}/QueryNetworkHint | Requests network hint information for a physical network adapter. 
*HostNetworkSystemApi* | [**host_network_system_refresh_network_system**](docs/HostNetworkSystemApi.md#host_network_system_refresh_network_system) | **POST** /HostNetworkSystem/{moId}/RefreshNetworkSystem | Refresh the network information and settings to pick up any changes that might have occurred. 
*HostNetworkSystemApi* | [**host_network_system_remove_port_group**](docs/HostNetworkSystemApi.md#host_network_system_remove_port_group) | **POST** /HostNetworkSystem/{moId}/RemovePortGroup | Removes port group from the virtual switch. 
*HostNetworkSystemApi* | [**host_network_system_remove_service_console_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_remove_service_console_virtual_nic) | **POST** /HostNetworkSystem/{moId}/RemoveServiceConsoleVirtualNic | Removes a virtual service console network adapter. 
*HostNetworkSystemApi* | [**host_network_system_remove_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_remove_virtual_nic) | **POST** /HostNetworkSystem/{moId}/RemoveVirtualNic | Removes a virtual host/VMkernel network adapter. 
*HostNetworkSystemApi* | [**host_network_system_remove_virtual_switch**](docs/HostNetworkSystemApi.md#host_network_system_remove_virtual_switch) | **POST** /HostNetworkSystem/{moId}/RemoveVirtualSwitch | Removes an existing virtual switch from the system. 
*HostNetworkSystemApi* | [**host_network_system_restart_service_console_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_restart_service_console_virtual_nic) | **POST** /HostNetworkSystem/{moId}/RestartServiceConsoleVirtualNic | Restart the service console virtual network adapter interface. 
*HostNetworkSystemApi* | [**host_network_system_set_custom_value**](docs/HostNetworkSystemApi.md#host_network_system_set_custom_value) | **POST** /HostNetworkSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostNetworkSystemApi* | [**host_network_system_update_console_ip_route_config**](docs/HostNetworkSystemApi.md#host_network_system_update_console_ip_route_config) | **POST** /HostNetworkSystem/{moId}/UpdateConsoleIpRouteConfig | Applies the IP route configuration for the service console. 
*HostNetworkSystemApi* | [**host_network_system_update_dns_config**](docs/HostNetworkSystemApi.md#host_network_system_update_dns_config) | **POST** /HostNetworkSystem/{moId}/UpdateDnsConfig | Applies the client-side DNS configuration. 
*HostNetworkSystemApi* | [**host_network_system_update_ip_route_config**](docs/HostNetworkSystemApi.md#host_network_system_update_ip_route_config) | **POST** /HostNetworkSystem/{moId}/UpdateIpRouteConfig | Applies the IP route configuration. 
*HostNetworkSystemApi* | [**host_network_system_update_ip_route_table_config**](docs/HostNetworkSystemApi.md#host_network_system_update_ip_route_table_config) | **POST** /HostNetworkSystem/{moId}/UpdateIpRouteTableConfig | Applies the IP route table configuration. 
*HostNetworkSystemApi* | [**host_network_system_update_network_config**](docs/HostNetworkSystemApi.md#host_network_system_update_network_config) | **POST** /HostNetworkSystem/{moId}/UpdateNetworkConfig | Applies the network configuration. 
*HostNetworkSystemApi* | [**host_network_system_update_physical_nic_link_speed**](docs/HostNetworkSystemApi.md#host_network_system_update_physical_nic_link_speed) | **POST** /HostNetworkSystem/{moId}/UpdatePhysicalNicLinkSpeed | Configures link speed and duplexity. 
*HostNetworkSystemApi* | [**host_network_system_update_port_group**](docs/HostNetworkSystemApi.md#host_network_system_update_port_group) | **POST** /HostNetworkSystem/{moId}/UpdatePortGroup | Reconfigures a port group on the virtual switch. 
*HostNetworkSystemApi* | [**host_network_system_update_service_console_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_update_service_console_virtual_nic) | **POST** /HostNetworkSystem/{moId}/UpdateServiceConsoleVirtualNic | Configures the IP configuration for a virtual service console network adapter. 
*HostNetworkSystemApi* | [**host_network_system_update_virtual_nic**](docs/HostNetworkSystemApi.md#host_network_system_update_virtual_nic) | **POST** /HostNetworkSystem/{moId}/UpdateVirtualNic | Configures virtual host/VMkernel network adapter. 
*HostNetworkSystemApi* | [**host_network_system_update_virtual_switch**](docs/HostNetworkSystemApi.md#host_network_system_update_virtual_switch) | **POST** /HostNetworkSystem/{moId}/UpdateVirtualSwitch | Updates the properties of the virtual switch. 
*HostNvdimmSystemApi* | [**host_nvdimm_system_create_nvdimm_namespace_task**](docs/HostNvdimmSystemApi.md#host_nvdimm_system_create_nvdimm_namespace_task) | **POST** /HostNvdimmSystem/{moId}/CreateNvdimmNamespace_Task | A new block or persistent namespace can be created on the NVDIMM(s) when the system is in maintenance mode. 
*HostNvdimmSystemApi* | [**host_nvdimm_system_create_nvdimm_p_mem_namespace_task**](docs/HostNvdimmSystemApi.md#host_nvdimm_system_create_nvdimm_p_mem_namespace_task) | **POST** /HostNvdimmSystem/{moId}/CreateNvdimmPMemNamespace_Task | Create persistent memory mode nvd namespace from information passed in PMemNamespaceCreationSpec. 
*HostNvdimmSystemApi* | [**host_nvdimm_system_delete_nvdimm_block_namespaces_task**](docs/HostNvdimmSystemApi.md#host_nvdimm_system_delete_nvdimm_block_namespaces_task) | **POST** /HostNvdimmSystem/{moId}/DeleteNvdimmBlockNamespaces_Task | Delete all block mode namespaces in the system. 
*HostNvdimmSystemApi* | [**host_nvdimm_system_delete_nvdimm_namespace_task**](docs/HostNvdimmSystemApi.md#host_nvdimm_system_delete_nvdimm_namespace_task) | **POST** /HostNvdimmSystem/{moId}/DeleteNvdimmNamespace_Task | Delete nvd namespace whose uuid matches passed parameter. 
*HostNvdimmSystemApi* | [**host_nvdimm_system_get_nvdimm_system_info**](docs/HostNvdimmSystemApi.md#host_nvdimm_system_get_nvdimm_system_info) | **GET** /HostNvdimmSystem/{moId}/nvdimmSystemInfo | Host NVDIMM information. 
*HostPatchManagerApi* | [**host_patch_manager_check_host_patch_task**](docs/HostPatchManagerApi.md#host_patch_manager_check_host_patch_task) | **POST** /HostPatchManager/{moId}/CheckHostPatch_Task | Check the list of metadata and returns the dependency, obsolete and conflict information The operation is cancelable through the returned *Task* object. 
*HostPatchManagerApi* | [**host_patch_manager_install_host_patch_task**](docs/HostPatchManagerApi.md#host_patch_manager_install_host_patch_task) | **POST** /HostPatchManager/{moId}/InstallHostPatch_Task | Patch the host. 
*HostPatchManagerApi* | [**host_patch_manager_install_host_patch_v2_task**](docs/HostPatchManagerApi.md#host_patch_manager_install_host_patch_v2_task) | **POST** /HostPatchManager/{moId}/InstallHostPatchV2_Task | Patch the host. 
*HostPatchManagerApi* | [**host_patch_manager_query_host_patch_task**](docs/HostPatchManagerApi.md#host_patch_manager_query_host_patch_task) | **POST** /HostPatchManager/{moId}/QueryHostPatch_Task | Query the host for installed bulletins. 
*HostPatchManagerApi* | [**host_patch_manager_scan_host_patch_task**](docs/HostPatchManagerApi.md#host_patch_manager_scan_host_patch_task) | **POST** /HostPatchManager/{moId}/ScanHostPatch_Task | Scan the host for the patch status. 
*HostPatchManagerApi* | [**host_patch_manager_scan_host_patch_v2_task**](docs/HostPatchManagerApi.md#host_patch_manager_scan_host_patch_v2_task) | **POST** /HostPatchManager/{moId}/ScanHostPatchV2_Task | Scan the host for the patch status. 
*HostPatchManagerApi* | [**host_patch_manager_stage_host_patch_task**](docs/HostPatchManagerApi.md#host_patch_manager_stage_host_patch_task) | **POST** /HostPatchManager/{moId}/StageHostPatch_Task | Stage the vib files to esx local location and possibly do some run time check. 
*HostPatchManagerApi* | [**host_patch_manager_uninstall_host_patch_task**](docs/HostPatchManagerApi.md#host_patch_manager_uninstall_host_patch_task) | **POST** /HostPatchManager/{moId}/UninstallHostPatch_Task | Uninstall patch from the host. 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_get_available_field**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_get_available_field) | **GET** /HostPciPassthruSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_get_pci_passthru_info**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_get_pci_passthru_info) | **GET** /HostPciPassthruSystem/{moId}/pciPassthruInfo | Array of PciPassthru information 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_get_sriov_device_pool_info**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_get_sriov_device_pool_info) | **GET** /HostPciPassthruSystem/{moId}/sriovDevicePoolInfo | Array of Sriov Device Pool information 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_get_value**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_get_value) | **GET** /HostPciPassthruSystem/{moId}/value | List of custom field values. 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_refresh**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_refresh) | **POST** /HostPciPassthruSystem/{moId}/Refresh | Refresh the available PciPassthru information. 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_set_custom_value**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_set_custom_value) | **POST** /HostPciPassthruSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostPciPassthruSystemApi* | [**host_pci_passthru_system_update_passthru_config**](docs/HostPciPassthruSystemApi.md#host_pci_passthru_system_update_passthru_config) | **POST** /HostPciPassthruSystem/{moId}/UpdatePassthruConfig | Updates the PciPassthru configuration, this will get called for the dependent device with the enabled bool set 
*HostPowerSystemApi* | [**host_power_system_configure_power_policy**](docs/HostPowerSystemApi.md#host_power_system_configure_power_policy) | **POST** /HostPowerSystem/{moId}/ConfigurePowerPolicy | Configure host power policy. 
*HostPowerSystemApi* | [**host_power_system_get_capability**](docs/HostPowerSystemApi.md#host_power_system_get_capability) | **GET** /HostPowerSystem/{moId}/capability | Power system capabilities object. 
*HostPowerSystemApi* | [**host_power_system_get_info**](docs/HostPowerSystemApi.md#host_power_system_get_info) | **GET** /HostPowerSystem/{moId}/info | Power system state info object. 
*HostProfileApi* | [**host_profile_associate_profile**](docs/HostProfileApi.md#host_profile_associate_profile) | **POST** /HostProfile/{moId}/AssociateProfile | Associate a profile with a managed entity. 
*HostProfileApi* | [**host_profile_check_profile_compliance_task**](docs/HostProfileApi.md#host_profile_check_profile_compliance_task) | **POST** /HostProfile/{moId}/CheckProfileCompliance_Task | Check compliance of an entity against a Profile. 
*HostProfileApi* | [**host_profile_destroy_profile**](docs/HostProfileApi.md#host_profile_destroy_profile) | **POST** /HostProfile/{moId}/DestroyProfile | Destroy the profile. 
*HostProfileApi* | [**host_profile_dissociate_profile**](docs/HostProfileApi.md#host_profile_dissociate_profile) | **POST** /HostProfile/{moId}/DissociateProfile | Remove the association between a profile and a managed entity. 
*HostProfileApi* | [**host_profile_execute_host_profile**](docs/HostProfileApi.md#host_profile_execute_host_profile) | **POST** /HostProfile/{moId}/ExecuteHostProfile | Run the Profile Engine to determine the list of configuration changes needed for the specified host. 
*HostProfileApi* | [**host_profile_export_profile**](docs/HostProfileApi.md#host_profile_export_profile) | **POST** /HostProfile/{moId}/ExportProfile | Export the profile in a serialized form. 
*HostProfileApi* | [**host_profile_get_compliance_check_time**](docs/HostProfileApi.md#host_profile_get_compliance_check_time) | **GET** /HostProfile/{moId}/complianceCheckTime | The latest compliance check time. 
*HostProfileApi* | [**host_profile_get_compliance_status**](docs/HostProfileApi.md#host_profile_get_compliance_status) | **GET** /HostProfile/{moId}/complianceStatus | Overall compliance of entities associated with this profile. 
*HostProfileApi* | [**host_profile_get_config**](docs/HostProfileApi.md#host_profile_get_config) | **GET** /HostProfile/{moId}/config | Configuration data for the profile. 
*HostProfileApi* | [**host_profile_get_created_time**](docs/HostProfileApi.md#host_profile_get_created_time) | **GET** /HostProfile/{moId}/createdTime | Time at which the profile was created. 
*HostProfileApi* | [**host_profile_get_description**](docs/HostProfileApi.md#host_profile_get_description) | **GET** /HostProfile/{moId}/description | Localizable description of the profile 
*HostProfileApi* | [**host_profile_get_entity**](docs/HostProfileApi.md#host_profile_get_entity) | **GET** /HostProfile/{moId}/entity | List of managed entities associated with the profile. 
*HostProfileApi* | [**host_profile_get_modified_time**](docs/HostProfileApi.md#host_profile_get_modified_time) | **GET** /HostProfile/{moId}/modifiedTime | Time at which the profile was last modified. 
*HostProfileApi* | [**host_profile_get_name**](docs/HostProfileApi.md#host_profile_get_name) | **GET** /HostProfile/{moId}/name | Name of the profile. 
*HostProfileApi* | [**host_profile_get_reference_host**](docs/HostProfileApi.md#host_profile_get_reference_host) | **GET** /HostProfile/{moId}/referenceHost | Reference host in use for this host profile. 
*HostProfileApi* | [**host_profile_get_validation_failure_info**](docs/HostProfileApi.md#host_profile_get_validation_failure_info) | **GET** /HostProfile/{moId}/validationFailureInfo | This object is created or updated if the *HostProfileValidationState_enum* is Failed. 
*HostProfileApi* | [**host_profile_get_validation_state**](docs/HostProfileApi.md#host_profile_get_validation_state) | **GET** /HostProfile/{moId}/validationState | State of the host profile validation operation. 
*HostProfileApi* | [**host_profile_get_validation_state_update_time**](docs/HostProfileApi.md#host_profile_get_validation_state_update_time) | **GET** /HostProfile/{moId}/validationStateUpdateTime | Update time of the validation operation. 
*HostProfileApi* | [**host_profile_host_profile_reset_validation_state**](docs/HostProfileApi.md#host_profile_host_profile_reset_validation_state) | **POST** /HostProfile/{moId}/HostProfileResetValidationState | This API will update the validationState to Ready from Failed, invalidate the validationFailureInfo and reset the validationStateUpdateTime. 
*HostProfileApi* | [**host_profile_retrieve_description**](docs/HostProfileApi.md#host_profile_retrieve_description) | **POST** /HostProfile/{moId}/RetrieveDescription | Returns the localizable description for the profile. 
*HostProfileApi* | [**host_profile_update_host_profile**](docs/HostProfileApi.md#host_profile_update_host_profile) | **POST** /HostProfile/{moId}/UpdateHostProfile | Update the &lt;code&gt;HostProfile&lt;/code&gt; with the specified configuration data. 
*HostProfileApi* | [**host_profile_update_reference_host**](docs/HostProfileApi.md#host_profile_update_reference_host) | **POST** /HostProfile/{moId}/UpdateReferenceHost | Sets the *HostProfile*.*HostProfile.referenceHost* property. 
*HostProfileManagerApi* | [**host_profile_manager_apply_entities_config_task**](docs/HostProfileManagerApi.md#host_profile_manager_apply_entities_config_task) | **POST** /HostProfileManager/{moId}/ApplyEntitiesConfig_Task | The task for applying host configuration on a list of hosts. 
*HostProfileManagerApi* | [**host_profile_manager_apply_host_config_task**](docs/HostProfileManagerApi.md#host_profile_manager_apply_host_config_task) | **POST** /HostProfileManager/{moId}/ApplyHostConfig_Task | Apply the configuration to the host. 
*HostProfileManagerApi* | [**host_profile_manager_check_answer_file_status_task**](docs/HostProfileManagerApi.md#host_profile_manager_check_answer_file_status_task) | **POST** /HostProfileManager/{moId}/CheckAnswerFileStatus_Task | Check the validity of the answer files for the specified hosts. 
*HostProfileManagerApi* | [**host_profile_manager_composite_host_profile_task**](docs/HostProfileManagerApi.md#host_profile_manager_composite_host_profile_task) | **POST** /HostProfileManager/{moId}/CompositeHostProfile_Task | Composes (merge, replace, delete, disable) the selected configurations into the target host profiles. 
*HostProfileManagerApi* | [**host_profile_manager_create_default_profile**](docs/HostProfileManagerApi.md#host_profile_manager_create_default_profile) | **POST** /HostProfileManager/{moId}/CreateDefaultProfile | Create a default subprofile of a given type (for example, a *VirtualSwitchProfile*). 
*HostProfileManagerApi* | [**host_profile_manager_create_profile**](docs/HostProfileManagerApi.md#host_profile_manager_create_profile) | **POST** /HostProfileManager/{moId}/CreateProfile | Create a profile from the specified CreateSpec. 
*HostProfileManagerApi* | [**host_profile_manager_export_answer_file_task**](docs/HostProfileManagerApi.md#host_profile_manager_export_answer_file_task) | **POST** /HostProfileManager/{moId}/ExportAnswerFile_Task | Export a host&#39;s answer file into a serialized form. 
*HostProfileManagerApi* | [**host_profile_manager_find_associated_profile**](docs/HostProfileManagerApi.md#host_profile_manager_find_associated_profile) | **POST** /HostProfileManager/{moId}/FindAssociatedProfile | Get the profile(s) to which this entity is associated. 
*HostProfileManagerApi* | [**host_profile_manager_generate_config_task_list**](docs/HostProfileManagerApi.md#host_profile_manager_generate_config_task_list) | **POST** /HostProfileManager/{moId}/GenerateConfigTaskList | Generate a list of configuration tasks that will be performed on the host during HostProfile application. 
*HostProfileManagerApi* | [**host_profile_manager_generate_host_config_task_spec_task**](docs/HostProfileManagerApi.md#host_profile_manager_generate_host_config_task_spec_task) | **POST** /HostProfileManager/{moId}/GenerateHostConfigTaskSpec_Task | This method generates *ApplyHostProfileConfigurationSpec* data object for each host which can be passed as input to *HostProfileManager.ApplyEntitiesConfig_Task* to configure that host. 
*HostProfileManagerApi* | [**host_profile_manager_generate_host_profile_task_list_task**](docs/HostProfileManagerApi.md#host_profile_manager_generate_host_profile_task_list_task) | **POST** /HostProfileManager/{moId}/GenerateHostProfileTaskList_Task | Generate a list of configuration tasks that will be performed on the host during HostProfile application. 
*HostProfileManagerApi* | [**host_profile_manager_get_profile**](docs/HostProfileManagerApi.md#host_profile_manager_get_profile) | **GET** /HostProfileManager/{moId}/profile | A list of profiles known to this ProfileManager. 
*HostProfileManagerApi* | [**host_profile_manager_query_answer_file_status**](docs/HostProfileManagerApi.md#host_profile_manager_query_answer_file_status) | **POST** /HostProfileManager/{moId}/QueryAnswerFileStatus | Returns the status of the answer files associated with specified hosts. 
*HostProfileManagerApi* | [**host_profile_manager_query_host_profile_metadata**](docs/HostProfileManagerApi.md#host_profile_manager_query_host_profile_metadata) | **POST** /HostProfileManager/{moId}/QueryHostProfileMetadata | Retrieve the metadata for a set of profiles. 
*HostProfileManagerApi* | [**host_profile_manager_query_policy_metadata**](docs/HostProfileManagerApi.md#host_profile_manager_query_policy_metadata) | **POST** /HostProfileManager/{moId}/QueryPolicyMetadata | Get the Metadata information for the policyNames. 
*HostProfileManagerApi* | [**host_profile_manager_query_profile_structure**](docs/HostProfileManagerApi.md#host_profile_manager_query_profile_structure) | **POST** /HostProfileManager/{moId}/QueryProfileStructure | Get information about the structure of the profile. 
*HostProfileManagerApi* | [**host_profile_manager_retrieve_answer_file**](docs/HostProfileManagerApi.md#host_profile_manager_retrieve_answer_file) | **POST** /HostProfileManager/{moId}/RetrieveAnswerFile | Returns the answer file associated with a particular host. 
*HostProfileManagerApi* | [**host_profile_manager_retrieve_answer_file_for_profile**](docs/HostProfileManagerApi.md#host_profile_manager_retrieve_answer_file_for_profile) | **POST** /HostProfileManager/{moId}/RetrieveAnswerFileForProfile | Returns the answer file associated with a particular host, augmented with whatever answer file values are required for the supplied host profile. 
*HostProfileManagerApi* | [**host_profile_manager_retrieve_host_customizations**](docs/HostProfileManagerApi.md#host_profile_manager_retrieve_host_customizations) | **POST** /HostProfileManager/{moId}/RetrieveHostCustomizations | This is the batch version of vim.profile.host.ProfileManager@retrieveAnswerFile. 
*HostProfileManagerApi* | [**host_profile_manager_retrieve_host_customizations_for_profile**](docs/HostProfileManagerApi.md#host_profile_manager_retrieve_host_customizations_for_profile) | **POST** /HostProfileManager/{moId}/RetrieveHostCustomizationsForProfile | This is the batch version of vim.profile.host.ProfileManager@retrieveAnswerFileForProfile. 
*HostProfileManagerApi* | [**host_profile_manager_update_answer_file_task**](docs/HostProfileManagerApi.md#host_profile_manager_update_answer_file_task) | **POST** /HostProfileManager/{moId}/UpdateAnswerFile_Task | Update the *AnswerFile* for the specified host. 
*HostProfileManagerApi* | [**host_profile_manager_update_host_customizations_task**](docs/HostProfileManagerApi.md#host_profile_manager_update_host_customizations_task) | **POST** /HostProfileManager/{moId}/UpdateHostCustomizations_Task | This is the batch version of vim.profile.host.ProfileManager@updateAnswerFile. 
*HostProfileManagerApi* | [**host_profile_manager_validate_host_profile_composition_task**](docs/HostProfileManagerApi.md#host_profile_manager_validate_host_profile_composition_task) | **POST** /HostProfileManager/{moId}/ValidateHostProfileComposition_Task | Validates the proposed host profile composition. 
*HostServiceSystemApi* | [**host_service_system_get_available_field**](docs/HostServiceSystemApi.md#host_service_system_get_available_field) | **GET** /HostServiceSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostServiceSystemApi* | [**host_service_system_get_service_info**](docs/HostServiceSystemApi.md#host_service_system_get_service_info) | **GET** /HostServiceSystem/{moId}/serviceInfo | Service configuration. 
*HostServiceSystemApi* | [**host_service_system_get_value**](docs/HostServiceSystemApi.md#host_service_system_get_value) | **GET** /HostServiceSystem/{moId}/value | List of custom field values. 
*HostServiceSystemApi* | [**host_service_system_refresh_services**](docs/HostServiceSystemApi.md#host_service_system_refresh_services) | **POST** /HostServiceSystem/{moId}/RefreshServices | Refresh the service information and settings to pick up any changes made directly on the host. 
*HostServiceSystemApi* | [**host_service_system_restart_service**](docs/HostServiceSystemApi.md#host_service_system_restart_service) | **POST** /HostServiceSystem/{moId}/RestartService | Restarts the service. 
*HostServiceSystemApi* | [**host_service_system_set_custom_value**](docs/HostServiceSystemApi.md#host_service_system_set_custom_value) | **POST** /HostServiceSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostServiceSystemApi* | [**host_service_system_start_service**](docs/HostServiceSystemApi.md#host_service_system_start_service) | **POST** /HostServiceSystem/{moId}/StartService | Starts the service. 
*HostServiceSystemApi* | [**host_service_system_stop_service**](docs/HostServiceSystemApi.md#host_service_system_stop_service) | **POST** /HostServiceSystem/{moId}/StopService | Stops the service. 
*HostServiceSystemApi* | [**host_service_system_uninstall_service**](docs/HostServiceSystemApi.md#host_service_system_uninstall_service) | **POST** /HostServiceSystem/{moId}/UninstallService | Uninstalls the service. 
*HostServiceSystemApi* | [**host_service_system_update_service_policy**](docs/HostServiceSystemApi.md#host_service_system_update_service_policy) | **POST** /HostServiceSystem/{moId}/UpdateServicePolicy | Updates the activation policy of the service. 
*HostSnmpSystemApi* | [**host_snmp_system_get_configuration**](docs/HostSnmpSystemApi.md#host_snmp_system_get_configuration) | **GET** /HostSnmpSystem/{moId}/configuration | 
*HostSnmpSystemApi* | [**host_snmp_system_get_limits**](docs/HostSnmpSystemApi.md#host_snmp_system_get_limits) | **GET** /HostSnmpSystem/{moId}/limits | 
*HostSnmpSystemApi* | [**host_snmp_system_reconfigure_snmp_agent**](docs/HostSnmpSystemApi.md#host_snmp_system_reconfigure_snmp_agent) | **POST** /HostSnmpSystem/{moId}/ReconfigureSnmpAgent | 
*HostSnmpSystemApi* | [**host_snmp_system_send_test_notification**](docs/HostSnmpSystemApi.md#host_snmp_system_send_test_notification) | **POST** /HostSnmpSystem/{moId}/SendTestNotification | 
*HostSpecificationManagerApi* | [**host_specification_manager_delete_host_specification**](docs/HostSpecificationManagerApi.md#host_specification_manager_delete_host_specification) | **POST** /HostSpecificationManager/{moId}/DeleteHostSpecification | Delete the host specification of the specified host. 
*HostSpecificationManagerApi* | [**host_specification_manager_delete_host_sub_specification**](docs/HostSpecificationManagerApi.md#host_specification_manager_delete_host_sub_specification) | **POST** /HostSpecificationManager/{moId}/DeleteHostSubSpecification | Delete the host sub specification specified by the provided &lt;code&gt; subSpecname&lt;/code&gt; of the specified host. 
*HostSpecificationManagerApi* | [**host_specification_manager_host_spec_get_updated_hosts**](docs/HostSpecificationManagerApi.md#host_specification_manager_host_spec_get_updated_hosts) | **POST** /HostSpecificationManager/{moId}/HostSpecGetUpdatedHosts | Query the hosts whose specification was updated in the specified time period. 
*HostSpecificationManagerApi* | [**host_specification_manager_retrieve_host_specification**](docs/HostSpecificationManagerApi.md#host_specification_manager_retrieve_host_specification) | **POST** /HostSpecificationManager/{moId}/RetrieveHostSpecification | Retrieve the host specification. 
*HostSpecificationManagerApi* | [**host_specification_manager_update_host_specification**](docs/HostSpecificationManagerApi.md#host_specification_manager_update_host_specification) | **POST** /HostSpecificationManager/{moId}/UpdateHostSpecification | Update the host specification with the provided copy. 
*HostSpecificationManagerApi* | [**host_specification_manager_update_host_sub_specification**](docs/HostSpecificationManagerApi.md#host_specification_manager_update_host_sub_specification) | **POST** /HostSpecificationManager/{moId}/UpdateHostSubSpecification | Update the host specification with the provided host sub specification. 
*HostStorageSystemApi* | [**host_storage_system_add_internet_scsi_send_targets**](docs/HostStorageSystemApi.md#host_storage_system_add_internet_scsi_send_targets) | **POST** /HostStorageSystem/{moId}/AddInternetScsiSendTargets | Adds Send Target entries to the host bus adapter discovery list. 
*HostStorageSystemApi* | [**host_storage_system_add_internet_scsi_static_targets**](docs/HostStorageSystemApi.md#host_storage_system_add_internet_scsi_static_targets) | **POST** /HostStorageSystem/{moId}/AddInternetScsiStaticTargets | Adds Static Target entries to the host bus adapter discovery list. 
*HostStorageSystemApi* | [**host_storage_system_attach_scsi_lun**](docs/HostStorageSystemApi.md#host_storage_system_attach_scsi_lun) | **POST** /HostStorageSystem/{moId}/AttachScsiLun | Allow I/O issue to the specified detached ScsiLun. 
*HostStorageSystemApi* | [**host_storage_system_attach_scsi_lun_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_attach_scsi_lun_ex_task) | **POST** /HostStorageSystem/{moId}/AttachScsiLunEx_Task | Attach one or more SCSI LUNs. 
*HostStorageSystemApi* | [**host_storage_system_attach_vmfs_extent**](docs/HostStorageSystemApi.md#host_storage_system_attach_vmfs_extent) | **POST** /HostStorageSystem/{moId}/AttachVmfsExtent | Extends a VMFS by attaching a disk partition as an extent. 
*HostStorageSystemApi* | [**host_storage_system_change_nfs_user_password**](docs/HostStorageSystemApi.md#host_storage_system_change_nfs_user_password) | **POST** /HostStorageSystem/{moId}/ChangeNFSUserPassword | Change password for existing NFS user. 
*HostStorageSystemApi* | [**host_storage_system_clear_nfs_user**](docs/HostStorageSystemApi.md#host_storage_system_clear_nfs_user) | **POST** /HostStorageSystem/{moId}/ClearNFSUser | Clear the NFS user configured on the esx host 
*HostStorageSystemApi* | [**host_storage_system_compute_disk_partition_info**](docs/HostStorageSystemApi.md#host_storage_system_compute_disk_partition_info) | **POST** /HostStorageSystem/{moId}/ComputeDiskPartitionInfo | Computes the disk partition information given the desired disk layout. 
*HostStorageSystemApi* | [**host_storage_system_compute_disk_partition_info_for_resize**](docs/HostStorageSystemApi.md#host_storage_system_compute_disk_partition_info_for_resize) | **POST** /HostStorageSystem/{moId}/ComputeDiskPartitionInfoForResize | Computes the disk partition information for the purpose of resizing a given partition. 
*HostStorageSystemApi* | [**host_storage_system_connect_nvme_controller**](docs/HostStorageSystemApi.md#host_storage_system_connect_nvme_controller) | **POST** /HostStorageSystem/{moId}/ConnectNvmeController | Establish a connection to an NVME controller. 
*HostStorageSystemApi* | [**host_storage_system_connect_nvme_controller_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_connect_nvme_controller_ex_task) | **POST** /HostStorageSystem/{moId}/ConnectNvmeControllerEx_Task | Establish a connection to one or more NVMe controllers. 
*HostStorageSystemApi* | [**host_storage_system_create_nvme_over_rdma_adapter**](docs/HostStorageSystemApi.md#host_storage_system_create_nvme_over_rdma_adapter) | **POST** /HostStorageSystem/{moId}/CreateNvmeOverRdmaAdapter | Creates a software NVME over RDMA adapter. 
*HostStorageSystemApi* | [**host_storage_system_create_software_adapter**](docs/HostStorageSystemApi.md#host_storage_system_create_software_adapter) | **POST** /HostStorageSystem/{moId}/CreateSoftwareAdapter | Creates a software host bus adapter based on the provided spec. 
*HostStorageSystemApi* | [**host_storage_system_delete_scsi_lun_state**](docs/HostStorageSystemApi.md#host_storage_system_delete_scsi_lun_state) | **POST** /HostStorageSystem/{moId}/DeleteScsiLunState | For previously detached SCSI Lun, remove the state information from host. 
*HostStorageSystemApi* | [**host_storage_system_delete_vffs_volume_state**](docs/HostStorageSystemApi.md#host_storage_system_delete_vffs_volume_state) | **POST** /HostStorageSystem/{moId}/DeleteVffsVolumeState | For previously unmounted VFFS volume, remove the state information from host. 
*HostStorageSystemApi* | [**host_storage_system_delete_vmfs_volume_state**](docs/HostStorageSystemApi.md#host_storage_system_delete_vmfs_volume_state) | **POST** /HostStorageSystem/{moId}/DeleteVmfsVolumeState | For previously unmounted VMFS volume, remove the state information from host. 
*HostStorageSystemApi* | [**host_storage_system_destroy_vffs**](docs/HostStorageSystemApi.md#host_storage_system_destroy_vffs) | **POST** /HostStorageSystem/{moId}/DestroyVffs | Destroy a VFFS volume. 
*HostStorageSystemApi* | [**host_storage_system_detach_scsi_lun**](docs/HostStorageSystemApi.md#host_storage_system_detach_scsi_lun) | **POST** /HostStorageSystem/{moId}/DetachScsiLun | Disallow I/O issue to the specified ScsiLun. 
*HostStorageSystemApi* | [**host_storage_system_detach_scsi_lun_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_detach_scsi_lun_ex_task) | **POST** /HostStorageSystem/{moId}/DetachScsiLunEx_Task | Detach one or more SCSI LUNs. 
*HostStorageSystemApi* | [**host_storage_system_disable_multipath_path**](docs/HostStorageSystemApi.md#host_storage_system_disable_multipath_path) | **POST** /HostStorageSystem/{moId}/DisableMultipathPath | Disables an enabled path for a Logical Unit. 
*HostStorageSystemApi* | [**host_storage_system_disconnect_nvme_controller**](docs/HostStorageSystemApi.md#host_storage_system_disconnect_nvme_controller) | **POST** /HostStorageSystem/{moId}/DisconnectNvmeController | Disconnect from an NVME controller. 
*HostStorageSystemApi* | [**host_storage_system_disconnect_nvme_controller_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_disconnect_nvme_controller_ex_task) | **POST** /HostStorageSystem/{moId}/DisconnectNvmeControllerEx_Task | Disconnect from one or more NVMe controllers. 
*HostStorageSystemApi* | [**host_storage_system_discover_fcoe_hbas**](docs/HostStorageSystemApi.md#host_storage_system_discover_fcoe_hbas) | **POST** /HostStorageSystem/{moId}/DiscoverFcoeHbas | Initiates FCoE discovery using the given FcoeSpecification. 
*HostStorageSystemApi* | [**host_storage_system_discover_nvme_controllers**](docs/HostStorageSystemApi.md#host_storage_system_discover_nvme_controllers) | **POST** /HostStorageSystem/{moId}/DiscoverNvmeControllers | Connects to a Discovery Controller and retrieves the Discovery Log using the provided NvmeDiscoverSpec. 
*HostStorageSystemApi* | [**host_storage_system_enable_multipath_path**](docs/HostStorageSystemApi.md#host_storage_system_enable_multipath_path) | **POST** /HostStorageSystem/{moId}/EnableMultipathPath | Enables a disabled path for a Logical Unit. 
*HostStorageSystemApi* | [**host_storage_system_expand_vmfs_extent**](docs/HostStorageSystemApi.md#host_storage_system_expand_vmfs_extent) | **POST** /HostStorageSystem/{moId}/ExpandVmfsExtent | Expands a VMFS extent as specified by the Disk partition specification. 
*HostStorageSystemApi* | [**host_storage_system_extend_vffs**](docs/HostStorageSystemApi.md#host_storage_system_extend_vffs) | **POST** /HostStorageSystem/{moId}/ExtendVffs | Extends a VFFS by attaching a SSD. 
*HostStorageSystemApi* | [**host_storage_system_format_vffs**](docs/HostStorageSystemApi.md#host_storage_system_format_vffs) | **POST** /HostStorageSystem/{moId}/FormatVffs | Format a new VFFS on a SSD disk 
*HostStorageSystemApi* | [**host_storage_system_format_vmfs**](docs/HostStorageSystemApi.md#host_storage_system_format_vmfs) | **POST** /HostStorageSystem/{moId}/FormatVmfs | Formats a new VMFS on a disk partition. 
*HostStorageSystemApi* | [**host_storage_system_get_available_field**](docs/HostStorageSystemApi.md#host_storage_system_get_available_field) | **GET** /HostStorageSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostStorageSystemApi* | [**host_storage_system_get_file_system_volume_info**](docs/HostStorageSystemApi.md#host_storage_system_get_file_system_volume_info) | **GET** /HostStorageSystem/{moId}/fileSystemVolumeInfo | File system volume information for the host. 
*HostStorageSystemApi* | [**host_storage_system_get_multipath_state_info**](docs/HostStorageSystemApi.md#host_storage_system_get_multipath_state_info) | **GET** /HostStorageSystem/{moId}/multipathStateInfo | Runtime information about the state of a multipath path. 
*HostStorageSystemApi* | [**host_storage_system_get_storage_device_info**](docs/HostStorageSystemApi.md#host_storage_system_get_storage_device_info) | **GET** /HostStorageSystem/{moId}/storageDeviceInfo | Host storage information up to the device level. 
*HostStorageSystemApi* | [**host_storage_system_get_system_file**](docs/HostStorageSystemApi.md#host_storage_system_get_system_file) | **GET** /HostStorageSystem/{moId}/systemFile | Datastore paths of files used by the host system on mounted volumes, for instance, the COS vmdk file of the host. 
*HostStorageSystemApi* | [**host_storage_system_get_value**](docs/HostStorageSystemApi.md#host_storage_system_get_value) | **GET** /HostStorageSystem/{moId}/value | List of custom field values. 
*HostStorageSystemApi* | [**host_storage_system_mark_as_local_task**](docs/HostStorageSystemApi.md#host_storage_system_mark_as_local_task) | **POST** /HostStorageSystem/{moId}/MarkAsLocal_Task | Mark a disk to local disk, due to the reason that local disks behind some controllers might not be recongized as local correctly. 
*HostStorageSystemApi* | [**host_storage_system_mark_as_non_local_task**](docs/HostStorageSystemApi.md#host_storage_system_mark_as_non_local_task) | **POST** /HostStorageSystem/{moId}/MarkAsNonLocal_Task | Mark a disk to remote disk, which is the opposite operation of *HostStorageSystem.MarkAsLocal_Task* Task failure might lose existing claim rules on the disk. 
*HostStorageSystemApi* | [**host_storage_system_mark_as_non_ssd_task**](docs/HostStorageSystemApi.md#host_storage_system_mark_as_non_ssd_task) | **POST** /HostStorageSystem/{moId}/MarkAsNonSsd_Task | Mark a disk to Non-SSD, which is the opposite operation of *HostStorageSystem.MarkAsSsd_Task* Task failure might lose existing claim rules on the disk. 
*HostStorageSystemApi* | [**host_storage_system_mark_as_ssd_task**](docs/HostStorageSystemApi.md#host_storage_system_mark_as_ssd_task) | **POST** /HostStorageSystem/{moId}/MarkAsSsd_Task | Mark a disk to SSD, due to the reason that SSDs behind some controllers might not be recongized as SSD correctly. 
*HostStorageSystemApi* | [**host_storage_system_mark_for_removal**](docs/HostStorageSystemApi.md#host_storage_system_mark_for_removal) | **POST** /HostStorageSystem/{moId}/MarkForRemoval | Mark or unmark the given FCoE HBA for removal from the host system. 
*HostStorageSystemApi* | [**host_storage_system_mark_perennially_reserved**](docs/HostStorageSystemApi.md#host_storage_system_mark_perennially_reserved) | **POST** /HostStorageSystem/{moId}/MarkPerenniallyReserved | Marks the specified LUN as perennially reserved. 
*HostStorageSystemApi* | [**host_storage_system_mark_perennially_reserved_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_mark_perennially_reserved_ex_task) | **POST** /HostStorageSystem/{moId}/MarkPerenniallyReservedEx_Task | Marks the specified one or more SCSI LUN&#39;s perennially reserved based on the sate. 
*HostStorageSystemApi* | [**host_storage_system_mount_vffs_volume**](docs/HostStorageSystemApi.md#host_storage_system_mount_vffs_volume) | **POST** /HostStorageSystem/{moId}/MountVffsVolume | Mount the unmounted VFFS volume. 
*HostStorageSystemApi* | [**host_storage_system_mount_vmfs_volume**](docs/HostStorageSystemApi.md#host_storage_system_mount_vmfs_volume) | **POST** /HostStorageSystem/{moId}/MountVmfsVolume | Mount the unmounted Vmfs volume. 
*HostStorageSystemApi* | [**host_storage_system_mount_vmfs_volume_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_mount_vmfs_volume_ex_task) | **POST** /HostStorageSystem/{moId}/MountVmfsVolumeEx_Task | Mount one or more VMFS volumes. 
*HostStorageSystemApi* | [**host_storage_system_query_available_ssds**](docs/HostStorageSystemApi.md#host_storage_system_query_available_ssds) | **POST** /HostStorageSystem/{moId}/QueryAvailableSsds | Query the list SSD disks that can be used to contain a VFFS volume. 
*HostStorageSystemApi* | [**host_storage_system_query_nfs_user**](docs/HostStorageSystemApi.md#host_storage_system_query_nfs_user) | **POST** /HostStorageSystem/{moId}/QueryNFSUser | Query the NFS user configured on the esx host 
*HostStorageSystemApi* | [**host_storage_system_query_path_selection_policy_options**](docs/HostStorageSystemApi.md#host_storage_system_query_path_selection_policy_options) | **POST** /HostStorageSystem/{moId}/QueryPathSelectionPolicyOptions | Queries the set of path selection policy options. 
*HostStorageSystemApi* | [**host_storage_system_query_storage_array_type_policy_options**](docs/HostStorageSystemApi.md#host_storage_system_query_storage_array_type_policy_options) | **POST** /HostStorageSystem/{moId}/QueryStorageArrayTypePolicyOptions | Queries the set of storage array type policy options. 
*HostStorageSystemApi* | [**host_storage_system_query_unresolved_vmfs_volume**](docs/HostStorageSystemApi.md#host_storage_system_query_unresolved_vmfs_volume) | **POST** /HostStorageSystem/{moId}/QueryUnresolvedVmfsVolume | Get the list of unbound VMFS volumes. 
*HostStorageSystemApi* | [**host_storage_system_query_vmfs_config_option**](docs/HostStorageSystemApi.md#host_storage_system_query_vmfs_config_option) | **POST** /HostStorageSystem/{moId}/QueryVmfsConfigOption | Get the VMFS configuration options, including block size, unmap granularity. 
*HostStorageSystemApi* | [**host_storage_system_refresh_storage_system**](docs/HostStorageSystemApi.md#host_storage_system_refresh_storage_system) | **POST** /HostStorageSystem/{moId}/RefreshStorageSystem | Obtains the latest host storage information related to storage devices, topology, and file systems. 
*HostStorageSystemApi* | [**host_storage_system_remove_internet_scsi_send_targets**](docs/HostStorageSystemApi.md#host_storage_system_remove_internet_scsi_send_targets) | **POST** /HostStorageSystem/{moId}/RemoveInternetScsiSendTargets | Removes Send Target entries from the host bus adapter discovery list. 
*HostStorageSystemApi* | [**host_storage_system_remove_internet_scsi_static_targets**](docs/HostStorageSystemApi.md#host_storage_system_remove_internet_scsi_static_targets) | **POST** /HostStorageSystem/{moId}/RemoveInternetScsiStaticTargets | Removes static target entries from the host bus adapter discovery list. 
*HostStorageSystemApi* | [**host_storage_system_remove_nvme_over_rdma_adapter**](docs/HostStorageSystemApi.md#host_storage_system_remove_nvme_over_rdma_adapter) | **POST** /HostStorageSystem/{moId}/RemoveNvmeOverRdmaAdapter | Removes a software NVME over RDMA adapter. 
*HostStorageSystemApi* | [**host_storage_system_remove_software_adapter**](docs/HostStorageSystemApi.md#host_storage_system_remove_software_adapter) | **POST** /HostStorageSystem/{moId}/RemoveSoftwareAdapter | Removes a software host bus adapter, if the adapter type allows it. 
*HostStorageSystemApi* | [**host_storage_system_rescan_all_hba**](docs/HostStorageSystemApi.md#host_storage_system_rescan_all_hba) | **POST** /HostStorageSystem/{moId}/RescanAllHba | Scans all host bus adapters to obtain the current list of devices and device topology. 
*HostStorageSystemApi* | [**host_storage_system_rescan_hba**](docs/HostStorageSystemApi.md#host_storage_system_rescan_hba) | **POST** /HostStorageSystem/{moId}/RescanHba | Issues a request to rescan a specific host bus adapter for new storage devices. 
*HostStorageSystemApi* | [**host_storage_system_rescan_vffs**](docs/HostStorageSystemApi.md#host_storage_system_rescan_vffs) | **POST** /HostStorageSystem/{moId}/RescanVffs | Rescans for new VFFS. 
*HostStorageSystemApi* | [**host_storage_system_rescan_vmfs**](docs/HostStorageSystemApi.md#host_storage_system_rescan_vmfs) | **POST** /HostStorageSystem/{moId}/RescanVmfs | Rescans for new Virtual Machine File Systems (VMFS). 
*HostStorageSystemApi* | [**host_storage_system_resolve_multiple_unresolved_vmfs_volumes**](docs/HostStorageSystemApi.md#host_storage_system_resolve_multiple_unresolved_vmfs_volumes) | **POST** /HostStorageSystem/{moId}/ResolveMultipleUnresolvedVmfsVolumes | Resignature or &#39;Force Mount&#39; list of unbound VMFS volumes. 
*HostStorageSystemApi* | [**host_storage_system_resolve_multiple_unresolved_vmfs_volumes_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_resolve_multiple_unresolved_vmfs_volumes_ex_task) | **POST** /HostStorageSystem/{moId}/ResolveMultipleUnresolvedVmfsVolumesEx_Task | Resignature or &#39;Force Mount&#39; list of unbound VMFS volumes. 
*HostStorageSystemApi* | [**host_storage_system_retrieve_disk_partition_info**](docs/HostStorageSystemApi.md#host_storage_system_retrieve_disk_partition_info) | **POST** /HostStorageSystem/{moId}/RetrieveDiskPartitionInfo | Gets the partition information for the disks named by the device names. 
*HostStorageSystemApi* | [**host_storage_system_set_custom_value**](docs/HostStorageSystemApi.md#host_storage_system_set_custom_value) | **POST** /HostStorageSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostStorageSystemApi* | [**host_storage_system_set_multipath_lun_policy**](docs/HostStorageSystemApi.md#host_storage_system_set_multipath_lun_policy) | **POST** /HostStorageSystem/{moId}/SetMultipathLunPolicy | Updates the path selection policy for a Logical Unit. 
*HostStorageSystemApi* | [**host_storage_system_set_nfs_user**](docs/HostStorageSystemApi.md#host_storage_system_set_nfs_user) | **POST** /HostStorageSystem/{moId}/SetNFSUser | Set NFS username and password on the host. 
*HostStorageSystemApi* | [**host_storage_system_turn_disk_locator_led_off_task**](docs/HostStorageSystemApi.md#host_storage_system_turn_disk_locator_led_off_task) | **POST** /HostStorageSystem/{moId}/TurnDiskLocatorLedOff_Task | Turn off one or more disk locator LEDs. 
*HostStorageSystemApi* | [**host_storage_system_turn_disk_locator_led_on_task**](docs/HostStorageSystemApi.md#host_storage_system_turn_disk_locator_led_on_task) | **POST** /HostStorageSystem/{moId}/TurnDiskLocatorLedOn_Task | Turn on one or more disk locator LEDs, duration is the maximum that hardware can support. 
*HostStorageSystemApi* | [**host_storage_system_unmap_vmfs_volume_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_unmap_vmfs_volume_ex_task) | **POST** /HostStorageSystem/{moId}/UnmapVmfsVolumeEx_Task | Unmap one or more VMFS volumes. 
*HostStorageSystemApi* | [**host_storage_system_unmount_force_mounted_vmfs_volume**](docs/HostStorageSystemApi.md#host_storage_system_unmount_force_mounted_vmfs_volume) | **POST** /HostStorageSystem/{moId}/UnmountForceMountedVmfsVolume | Unmount the &#39;forceMounted&#39; Vmfs volume. 
*HostStorageSystemApi* | [**host_storage_system_unmount_vffs_volume**](docs/HostStorageSystemApi.md#host_storage_system_unmount_vffs_volume) | **POST** /HostStorageSystem/{moId}/UnmountVffsVolume | Unmount the VFFS volume. 
*HostStorageSystemApi* | [**host_storage_system_unmount_vmfs_volume**](docs/HostStorageSystemApi.md#host_storage_system_unmount_vmfs_volume) | **POST** /HostStorageSystem/{moId}/UnmountVmfsVolume | Unmount the Vmfs volume. 
*HostStorageSystemApi* | [**host_storage_system_unmount_vmfs_volume_ex_task**](docs/HostStorageSystemApi.md#host_storage_system_unmount_vmfs_volume_ex_task) | **POST** /HostStorageSystem/{moId}/UnmountVmfsVolumeEx_Task | Unmount one or more VMFS volumes. 
*HostStorageSystemApi* | [**host_storage_system_update_disk_partitions**](docs/HostStorageSystemApi.md#host_storage_system_update_disk_partitions) | **POST** /HostStorageSystem/{moId}/UpdateDiskPartitions | Changes the partitions on the disk by supplying a partition specification and the device name. 
*HostStorageSystemApi* | [**host_storage_system_update_hpp_multipath_lun_policy**](docs/HostStorageSystemApi.md#host_storage_system_update_hpp_multipath_lun_policy) | **POST** /HostStorageSystem/{moId}/UpdateHppMultipathLunPolicy | Updates the path selection policy for a HPP claimed Logical Unit. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_advanced_options**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_advanced_options) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiAdvancedOptions | Updates the advanced options the iSCSI host bus adapter or the discovery addresses and targets associated with it. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_alias**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_alias) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiAlias | Updates the alias of an iSCSI host bus adapter. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_authentication_properties**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_authentication_properties) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiAuthenticationProperties | Updates the authentication properties for one or more targets or discovery addresses associated with an iSCSI host bus adapter. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_digest_properties**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_digest_properties) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiDigestProperties | Updates the digest properties for the iSCSI host bus adapter or the discovery addresses and targets associated with it. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_discovery_properties**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_discovery_properties) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiDiscoveryProperties | Updates the Discovery properties for an iSCSI host bus adapter. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_ip_properties**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_ip_properties) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiIPProperties | Updates the IP properties for an iSCSI host bus adapter. 
*HostStorageSystemApi* | [**host_storage_system_update_internet_scsi_name**](docs/HostStorageSystemApi.md#host_storage_system_update_internet_scsi_name) | **POST** /HostStorageSystem/{moId}/UpdateInternetScsiName | Updates the name of an iSCSI host bus adapter. 
*HostStorageSystemApi* | [**host_storage_system_update_scsi_lun_display_name**](docs/HostStorageSystemApi.md#host_storage_system_update_scsi_lun_display_name) | **POST** /HostStorageSystem/{moId}/UpdateScsiLunDisplayName | Update the mutable display name associated with a ScsiLun. 
*HostStorageSystemApi* | [**host_storage_system_update_software_internet_scsi_enabled**](docs/HostStorageSystemApi.md#host_storage_system_update_software_internet_scsi_enabled) | **POST** /HostStorageSystem/{moId}/UpdateSoftwareInternetScsiEnabled | Enables or disables Software iSCSI. 
*HostStorageSystemApi* | [**host_storage_system_update_vmfs_unmap_bandwidth**](docs/HostStorageSystemApi.md#host_storage_system_update_vmfs_unmap_bandwidth) | **POST** /HostStorageSystem/{moId}/UpdateVmfsUnmapBandwidth | Update VMFS unmap bandwidth. 
*HostStorageSystemApi* | [**host_storage_system_update_vmfs_unmap_priority**](docs/HostStorageSystemApi.md#host_storage_system_update_vmfs_unmap_priority) | **POST** /HostStorageSystem/{moId}/UpdateVmfsUnmapPriority | Update VMFS unmap priority. 
*HostStorageSystemApi* | [**host_storage_system_upgrade_vm_layout**](docs/HostStorageSystemApi.md#host_storage_system_upgrade_vm_layout) | **POST** /HostStorageSystem/{moId}/UpgradeVmLayout | Iterates over all registered virtual machines. 
*HostStorageSystemApi* | [**host_storage_system_upgrade_vmfs**](docs/HostStorageSystemApi.md#host_storage_system_upgrade_vmfs) | **POST** /HostStorageSystem/{moId}/UpgradeVmfs | Upgrades the VMFS to the *latest supported VMFS version*. 
*HostSystemApi* | [**host_system_acquire_cim_services_ticket**](docs/HostSystemApi.md#host_system_acquire_cim_services_ticket) | **POST** /HostSystem/{moId}/AcquireCimServicesTicket | Creates and returns a credential used to establish a remote connection to a Web Based Management (CIM) interface. 
*HostSystemApi* | [**host_system_configure_crypto_key**](docs/HostSystemApi.md#host_system_configure_crypto_key) | **POST** /HostSystem/{moId}/ConfigureCryptoKey | Sets/changes the key to be used for coredump encryption and puts the host in *safe* state. 
*HostSystemApi* | [**host_system_destroy_task**](docs/HostSystemApi.md#host_system_destroy_task) | **POST** /HostSystem/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*HostSystemApi* | [**host_system_disconnect_host_task**](docs/HostSystemApi.md#host_system_disconnect_host_task) | **POST** /HostSystem/{moId}/DisconnectHost_Task | Disconnects from a host and instructs the server to stop sending heartbeats. 
*HostSystemApi* | [**host_system_enable_crypto**](docs/HostSystemApi.md#host_system_enable_crypto) | **POST** /HostSystem/{moId}/EnableCrypto | Sets/changes the key to be used for coredump encryption and puts the host in *safe* state Note: *HostSystem.PrepareCrypto* must be called first 
*HostSystemApi* | [**host_system_enter_lockdown_mode**](docs/HostSystemApi.md#host_system_enter_lockdown_mode) | **POST** /HostSystem/{moId}/EnterLockdownMode | Modifies the permissions on the host, so that it will only be accessible through local console or an authorized centralized management application. 
*HostSystemApi* | [**host_system_enter_maintenance_mode_task**](docs/HostSystemApi.md#host_system_enter_maintenance_mode_task) | **POST** /HostSystem/{moId}/EnterMaintenanceMode_Task | Puts the host in maintenance mode. 
*HostSystemApi* | [**host_system_exit_lockdown_mode**](docs/HostSystemApi.md#host_system_exit_lockdown_mode) | **POST** /HostSystem/{moId}/ExitLockdownMode | Restores Administrator permission for the local administrative account for the host that was removed by prior call to *HostSystem.EnterLockdownMode*. 
*HostSystemApi* | [**host_system_exit_maintenance_mode_task**](docs/HostSystemApi.md#host_system_exit_maintenance_mode_task) | **POST** /HostSystem/{moId}/ExitMaintenanceMode_Task | Takes the host out of maintenance mode. 
*HostSystemApi* | [**host_system_get_alarm_actions_enabled**](docs/HostSystemApi.md#host_system_get_alarm_actions_enabled) | **GET** /HostSystem/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*HostSystemApi* | [**host_system_get_answer_file_validation_result**](docs/HostSystemApi.md#host_system_get_answer_file_validation_result) | **GET** /HostSystem/{moId}/answerFileValidationResult | Host answer file validation result. 
*HostSystemApi* | [**host_system_get_answer_file_validation_state**](docs/HostSystemApi.md#host_system_get_answer_file_validation_state) | **GET** /HostSystem/{moId}/answerFileValidationState | Host answer file validation state. 
*HostSystemApi* | [**host_system_get_available_field**](docs/HostSystemApi.md#host_system_get_available_field) | **GET** /HostSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostSystemApi* | [**host_system_get_capability**](docs/HostSystemApi.md#host_system_get_capability) | **GET** /HostSystem/{moId}/capability | Host capabilities. 
*HostSystemApi* | [**host_system_get_compliance_check_result**](docs/HostSystemApi.md#host_system_get_compliance_check_result) | **GET** /HostSystem/{moId}/complianceCheckResult | The host profile compliance check result. 
*HostSystemApi* | [**host_system_get_compliance_check_state**](docs/HostSystemApi.md#host_system_get_compliance_check_state) | **GET** /HostSystem/{moId}/complianceCheckState | The host profile compliance check state. 
*HostSystemApi* | [**host_system_get_config**](docs/HostSystemApi.md#host_system_get_config) | **GET** /HostSystem/{moId}/config | Host configuration information. 
*HostSystemApi* | [**host_system_get_config_issue**](docs/HostSystemApi.md#host_system_get_config_issue) | **GET** /HostSystem/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*HostSystemApi* | [**host_system_get_config_manager**](docs/HostSystemApi.md#host_system_get_config_manager) | **GET** /HostSystem/{moId}/configManager | Host configuration systems. 
*HostSystemApi* | [**host_system_get_config_status**](docs/HostSystemApi.md#host_system_get_config_status) | **GET** /HostSystem/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*HostSystemApi* | [**host_system_get_custom_value**](docs/HostSystemApi.md#host_system_get_custom_value) | **GET** /HostSystem/{moId}/customValue | Custom field values. 
*HostSystemApi* | [**host_system_get_datastore**](docs/HostSystemApi.md#host_system_get_datastore) | **GET** /HostSystem/{moId}/datastore | A collection of references to the subset of datastore objects in the datacenter that are available in this HostSystem. 
*HostSystemApi* | [**host_system_get_datastore_browser**](docs/HostSystemApi.md#host_system_get_datastore_browser) | **GET** /HostSystem/{moId}/datastoreBrowser | DatastoreBrowser to browse datastores for this host. 
*HostSystemApi* | [**host_system_get_declared_alarm_state**](docs/HostSystemApi.md#host_system_get_declared_alarm_state) | **GET** /HostSystem/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*HostSystemApi* | [**host_system_get_disabled_method**](docs/HostSystemApi.md#host_system_get_disabled_method) | **GET** /HostSystem/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*HostSystemApi* | [**host_system_get_effective_role**](docs/HostSystemApi.md#host_system_get_effective_role) | **GET** /HostSystem/{moId}/effectiveRole | Access rights the current session has to this entity. 
*HostSystemApi* | [**host_system_get_hardware**](docs/HostSystemApi.md#host_system_get_hardware) | **GET** /HostSystem/{moId}/hardware | Hardware configuration of the host. 
*HostSystemApi* | [**host_system_get_licensable_resource**](docs/HostSystemApi.md#host_system_get_licensable_resource) | **GET** /HostSystem/{moId}/licensableResource | Information about all licensable resources, currently present on this host. 
*HostSystemApi* | [**host_system_get_name**](docs/HostSystemApi.md#host_system_get_name) | **GET** /HostSystem/{moId}/name | Name of this entity, unique relative to its parent. 
*HostSystemApi* | [**host_system_get_network**](docs/HostSystemApi.md#host_system_get_network) | **GET** /HostSystem/{moId}/network | A collection of references to the subset of network objects in the datacenter that are available in this HostSystem. 
*HostSystemApi* | [**host_system_get_overall_status**](docs/HostSystemApi.md#host_system_get_overall_status) | **GET** /HostSystem/{moId}/overallStatus | General health of this managed entity. 
*HostSystemApi* | [**host_system_get_parent**](docs/HostSystemApi.md#host_system_get_parent) | **GET** /HostSystem/{moId}/parent | Parent of this entity. 
*HostSystemApi* | [**host_system_get_permission**](docs/HostSystemApi.md#host_system_get_permission) | **GET** /HostSystem/{moId}/permission | List of permissions defined for this entity. 
*HostSystemApi* | [**host_system_get_precheck_remediation_result**](docs/HostSystemApi.md#host_system_get_precheck_remediation_result) | **GET** /HostSystem/{moId}/precheckRemediationResult | The host profile precheck-remediation result. 
*HostSystemApi* | [**host_system_get_recent_task**](docs/HostSystemApi.md#host_system_get_recent_task) | **GET** /HostSystem/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*HostSystemApi* | [**host_system_get_remediation_result**](docs/HostSystemApi.md#host_system_get_remediation_result) | **GET** /HostSystem/{moId}/remediationResult | The host profile remediation result. 
*HostSystemApi* | [**host_system_get_remediation_state**](docs/HostSystemApi.md#host_system_get_remediation_state) | **GET** /HostSystem/{moId}/remediationState | The host profile remediation state. 
*HostSystemApi* | [**host_system_get_runtime**](docs/HostSystemApi.md#host_system_get_runtime) | **GET** /HostSystem/{moId}/runtime | Runtime state information about the host such as connection state. 
*HostSystemApi* | [**host_system_get_summary**](docs/HostSystemApi.md#host_system_get_summary) | **GET** /HostSystem/{moId}/summary | Basic information about the host, including connection state. 
*HostSystemApi* | [**host_system_get_system_resources**](docs/HostSystemApi.md#host_system_get_system_resources) | **GET** /HostSystem/{moId}/systemResources | Reference for the system resource hierarchy, used for configuring the set of resources reserved to the system and unavailable to virtual machines. 
*HostSystemApi* | [**host_system_get_tag**](docs/HostSystemApi.md#host_system_get_tag) | **GET** /HostSystem/{moId}/tag | The set of tags associated with this managed entity. 
*HostSystemApi* | [**host_system_get_triggered_alarm_state**](docs/HostSystemApi.md#host_system_get_triggered_alarm_state) | **GET** /HostSystem/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*HostSystemApi* | [**host_system_get_value**](docs/HostSystemApi.md#host_system_get_value) | **GET** /HostSystem/{moId}/value | List of custom field values. 
*HostSystemApi* | [**host_system_get_vm**](docs/HostSystemApi.md#host_system_get_vm) | **GET** /HostSystem/{moId}/vm | List of virtual machines associated with this host. 
*HostSystemApi* | [**host_system_power_down_host_to_stand_by_task**](docs/HostSystemApi.md#host_system_power_down_host_to_stand_by_task) | **POST** /HostSystem/{moId}/PowerDownHostToStandBy_Task | Puts the host in standby mode, a mode in which the host is in a standby state from which it can be powered up remotely. 
*HostSystemApi* | [**host_system_power_up_host_from_stand_by_task**](docs/HostSystemApi.md#host_system_power_up_host_from_stand_by_task) | **POST** /HostSystem/{moId}/PowerUpHostFromStandBy_Task | Takes the host out of standby mode. 
*HostSystemApi* | [**host_system_prepare_crypto**](docs/HostSystemApi.md#host_system_prepare_crypto) | **POST** /HostSystem/{moId}/PrepareCrypto | Prepare the host for receiving sensitive information and puts the host in *prepared* mode Note: Must be invoked before *HostSystem.EnableCrypto* 
*HostSystemApi* | [**host_system_query_host_connection_info**](docs/HostSystemApi.md#host_system_query_host_connection_info) | **POST** /HostSystem/{moId}/QueryHostConnectionInfo | Connection-oriented information about a host. 
*HostSystemApi* | [**host_system_query_memory_overhead**](docs/HostSystemApi.md#host_system_query_memory_overhead) | **POST** /HostSystem/{moId}/QueryMemoryOverhead | Determines the amount of memory overhead necessary to power on a virtual machine with the specified characteristics. 
*HostSystemApi* | [**host_system_query_memory_overhead_ex**](docs/HostSystemApi.md#host_system_query_memory_overhead_ex) | **POST** /HostSystem/{moId}/QueryMemoryOverheadEx | Determines the amount of memory overhead necessary to power on a virtual machine with the specified characteristics. 
*HostSystemApi* | [**host_system_query_product_locker_location**](docs/HostSystemApi.md#host_system_query_product_locker_location) | **POST** /HostSystem/{moId}/QueryProductLockerLocation | Query the path to VMware Tools repository configured on the host. 
*HostSystemApi* | [**host_system_query_tpm_attestation_report**](docs/HostSystemApi.md#host_system_query_tpm_attestation_report) | **POST** /HostSystem/{moId}/QueryTpmAttestationReport | Basic information about TPM attestation state of the host. 
*HostSystemApi* | [**host_system_reboot_host_task**](docs/HostSystemApi.md#host_system_reboot_host_task) | **POST** /HostSystem/{moId}/RebootHost_Task | Reboots a host. 
*HostSystemApi* | [**host_system_reconfigure_host_for_das_task**](docs/HostSystemApi.md#host_system_reconfigure_host_for_das_task) | **POST** /HostSystem/{moId}/ReconfigureHostForDAS_Task | Reconfigures the host for vSphere HA. 
*HostSystemApi* | [**host_system_reconnect_host_task**](docs/HostSystemApi.md#host_system_reconnect_host_task) | **POST** /HostSystem/{moId}/ReconnectHost_Task | Reconnects to a host. 
*HostSystemApi* | [**host_system_reload**](docs/HostSystemApi.md#host_system_reload) | **POST** /HostSystem/{moId}/Reload | Reload the entity state. 
*HostSystemApi* | [**host_system_rename_task**](docs/HostSystemApi.md#host_system_rename_task) | **POST** /HostSystem/{moId}/Rename_Task | Renames this managed entity. 
*HostSystemApi* | [**host_system_retrieve_free_epc_memory**](docs/HostSystemApi.md#host_system_retrieve_free_epc_memory) | **POST** /HostSystem/{moId}/RetrieveFreeEpcMemory | Return the amount of free EPC memory on the host in bytes. 
*HostSystemApi* | [**host_system_retrieve_hardware_uptime**](docs/HostSystemApi.md#host_system_retrieve_hardware_uptime) | **POST** /HostSystem/{moId}/RetrieveHardwareUptime | Return the hardware uptime of the host in seconds. 
*HostSystemApi* | [**host_system_set_custom_value**](docs/HostSystemApi.md#host_system_set_custom_value) | **POST** /HostSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostSystemApi* | [**host_system_shutdown_host_task**](docs/HostSystemApi.md#host_system_shutdown_host_task) | **POST** /HostSystem/{moId}/ShutdownHost_Task | Shuts down a host. 
*HostSystemApi* | [**host_system_update_flags**](docs/HostSystemApi.md#host_system_update_flags) | **POST** /HostSystem/{moId}/UpdateFlags | Update flags that are part of the *HostFlagInfo* object. 
*HostSystemApi* | [**host_system_update_ipmi**](docs/HostSystemApi.md#host_system_update_ipmi) | **POST** /HostSystem/{moId}/UpdateIpmi | Update fields that are part of the *HostIpmiInfo* object. 
*HostSystemApi* | [**host_system_update_product_locker_location_task**](docs/HostSystemApi.md#host_system_update_product_locker_location_task) | **POST** /HostSystem/{moId}/UpdateProductLockerLocation_Task | Change and reconfigure the VMware Tools repository on the host. 
*HostSystemApi* | [**host_system_update_system_resources**](docs/HostSystemApi.md#host_system_update_system_resources) | **POST** /HostSystem/{moId}/UpdateSystemResources | Update the configuration of the system resource hierarchy. 
*HostSystemApi* | [**host_system_update_system_swap_configuration**](docs/HostSystemApi.md#host_system_update_system_swap_configuration) | **POST** /HostSystem/{moId}/UpdateSystemSwapConfiguration | Update the System Swap Configuration. 
*HostVFlashManagerApi* | [**host_v_flash_manager_configure_v_flash_resource_ex_task**](docs/HostVFlashManagerApi.md#host_v_flash_manager_configure_v_flash_resource_ex_task) | **POST** /HostVFlashManager/{moId}/ConfigureVFlashResourceEx_Task | Configure vFlash resource on a list of SSD disks. 
*HostVFlashManagerApi* | [**host_v_flash_manager_get_v_flash_config_info**](docs/HostVFlashManagerApi.md#host_v_flash_manager_get_v_flash_config_info) | **GET** /HostVFlashManager/{moId}/vFlashConfigInfo | Host vFlash configuration information. 
*HostVFlashManagerApi* | [**host_v_flash_manager_host_config_v_flash_cache**](docs/HostVFlashManagerApi.md#host_v_flash_manager_host_config_v_flash_cache) | **POST** /HostVFlashManager/{moId}/HostConfigVFlashCache | Configure vFlash cache on the host. 
*HostVFlashManagerApi* | [**host_v_flash_manager_host_configure_v_flash_resource**](docs/HostVFlashManagerApi.md#host_v_flash_manager_host_configure_v_flash_resource) | **POST** /HostVFlashManager/{moId}/HostConfigureVFlashResource | Configure vFlash resource on the host by attaching to a backend VFFS volume. 
*HostVFlashManagerApi* | [**host_v_flash_manager_host_get_v_flash_module_default_config**](docs/HostVFlashManagerApi.md#host_v_flash_manager_host_get_v_flash_module_default_config) | **POST** /HostVFlashManager/{moId}/HostGetVFlashModuleDefaultConfig | Retrieve the default supported configuration for a given vFlash module 
*HostVFlashManagerApi* | [**host_v_flash_manager_host_remove_v_flash_resource**](docs/HostVFlashManagerApi.md#host_v_flash_manager_host_remove_v_flash_resource) | **POST** /HostVFlashManager/{moId}/HostRemoveVFlashResource | Remove vFlash resource on the host by destroying the contained VFFS volume. 
*HostVMotionSystemApi* | [**host_v_motion_system_deselect_vnic**](docs/HostVMotionSystemApi.md#host_v_motion_system_deselect_vnic) | **POST** /HostVMotionSystem/{moId}/DeselectVnic | Indicate that no VirtualNic should be used for VMotion. 
*HostVMotionSystemApi* | [**host_v_motion_system_get_available_field**](docs/HostVMotionSystemApi.md#host_v_motion_system_get_available_field) | **GET** /HostVMotionSystem/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostVMotionSystemApi* | [**host_v_motion_system_get_ip_config**](docs/HostVMotionSystemApi.md#host_v_motion_system_get_ip_config) | **GET** /HostVMotionSystem/{moId}/ipConfig | IP configuration of the VMotion VirtualNic. 
*HostVMotionSystemApi* | [**host_v_motion_system_get_net_config**](docs/HostVMotionSystemApi.md#host_v_motion_system_get_net_config) | **GET** /HostVMotionSystem/{moId}/netConfig | VMotion network configuration. 
*HostVMotionSystemApi* | [**host_v_motion_system_get_value**](docs/HostVMotionSystemApi.md#host_v_motion_system_get_value) | **GET** /HostVMotionSystem/{moId}/value | List of custom field values. 
*HostVMotionSystemApi* | [**host_v_motion_system_select_vnic**](docs/HostVMotionSystemApi.md#host_v_motion_system_select_vnic) | **POST** /HostVMotionSystem/{moId}/SelectVnic | Select the VirtualNic to be used for VMotion. 
*HostVMotionSystemApi* | [**host_v_motion_system_set_custom_value**](docs/HostVMotionSystemApi.md#host_v_motion_system_set_custom_value) | **POST** /HostVMotionSystem/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostVMotionSystemApi* | [**host_v_motion_system_update_ip_config**](docs/HostVMotionSystemApi.md#host_v_motion_system_update_ip_config) | **POST** /HostVMotionSystem/{moId}/UpdateIpConfig | Update the IP configuration of VMotion VirtualNic. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_clear_v_storage_object_control_flags**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_clear_v_storage_object_control_flags) | **POST** /HostVStorageObjectManager/{moId}/HostClearVStorageObjectControlFlags | Clear control flags on VStorageObject. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_clone_v_storage_object_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_clone_v_storage_object_task) | **POST** /HostVStorageObjectManager/{moId}/HostCloneVStorageObject_Task | Clone a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_create_disk_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_create_disk_task) | **POST** /HostVStorageObjectManager/{moId}/HostCreateDisk_Task | Create a virtual disk, which is a storage object with *disk* as consumption type. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_delete_v_storage_object_ex_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_delete_v_storage_object_ex_task) | **POST** /HostVStorageObjectManager/{moId}/HostDeleteVStorageObjectEx_Task | Delete a virtual storage object and its assoicated backings. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_delete_v_storage_object_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_delete_v_storage_object_task) | **POST** /HostVStorageObjectManager/{moId}/HostDeleteVStorageObject_Task | Delete a virtual storage object and its assoicated backings. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_extend_disk_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_extend_disk_task) | **POST** /HostVStorageObjectManager/{moId}/HostExtendDisk_Task | Expand the capacity of a virtual disk, which is a storage object with *disk*, to the new capacity. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_inflate_disk_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_inflate_disk_task) | **POST** /HostVStorageObjectManager/{moId}/HostInflateDisk_Task | Inflate a sparse or thin-provisioned virtual disk up to the full size. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_list_v_storage_object**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_list_v_storage_object) | **POST** /HostVStorageObjectManager/{moId}/HostListVStorageObject | List all virtual storage objects located on a datastore. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_reconcile_datastore_inventory_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_reconcile_datastore_inventory_task) | **POST** /HostVStorageObjectManager/{moId}/HostReconcileDatastoreInventory_Task | Reconcile the datastore inventory info of virtual storage objects. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_register_disk**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_register_disk) | **POST** /HostVStorageObjectManager/{moId}/HostRegisterDisk | Promote a virtual disk to a First Class Disk. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_relocate_v_storage_object_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_relocate_v_storage_object_task) | **POST** /HostVStorageObjectManager/{moId}/HostRelocateVStorageObject_Task | Relocate a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_rename_v_storage_object**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_rename_v_storage_object) | **POST** /HostVStorageObjectManager/{moId}/HostRenameVStorageObject | Rename a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_retrieve_v_storage_infrastructure_object_policy**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_retrieve_v_storage_infrastructure_object_policy) | **POST** /HostVStorageObjectManager/{moId}/HostRetrieveVStorageInfrastructureObjectPolicy | Retrieve virtual storage infrastructure object SBPM policy on given datastore. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_retrieve_v_storage_object**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_retrieve_v_storage_object) | **POST** /HostVStorageObjectManager/{moId}/HostRetrieveVStorageObject | Retrieve a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_retrieve_v_storage_object_metadata**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_retrieve_v_storage_object_metadata) | **POST** /HostVStorageObjectManager/{moId}/HostRetrieveVStorageObjectMetadata | Retrieve metadata KV pairs from a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_retrieve_v_storage_object_metadata_value**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_retrieve_v_storage_object_metadata_value) | **POST** /HostVStorageObjectManager/{moId}/HostRetrieveVStorageObjectMetadataValue | Retrieve the metadata value by key from a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_retrieve_v_storage_object_state**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_retrieve_v_storage_object_state) | **POST** /HostVStorageObjectManager/{moId}/HostRetrieveVStorageObjectState | Retrieve a virtual storage object state. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_schedule_reconcile_datastore_inventory**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_schedule_reconcile_datastore_inventory) | **POST** /HostVStorageObjectManager/{moId}/HostScheduleReconcileDatastoreInventory | Schedules reconcile of the datastore inventory info of virtual storage objects. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_set_v_storage_object_control_flags**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_set_v_storage_object_control_flags) | **POST** /HostVStorageObjectManager/{moId}/HostSetVStorageObjectControlFlags | Set control flags on VStorageObject. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_update_v_storage_object_metadata_ex_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_update_v_storage_object_metadata_ex_task) | **POST** /HostVStorageObjectManager/{moId}/HostUpdateVStorageObjectMetadataEx_Task | Update metadata KV pairs to a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_update_v_storage_object_metadata_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_update_v_storage_object_metadata_task) | **POST** /HostVStorageObjectManager/{moId}/HostUpdateVStorageObjectMetadata_Task | Update metadata KV pairs to a virtual storage object. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_v_storage_object_create_disk_from_snapshot_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_v_storage_object_create_disk_from_snapshot_task) | **POST** /HostVStorageObjectManager/{moId}/HostVStorageObjectCreateDiskFromSnapshot_Task | Creates a new Disk from given snapshot of a VStorageObject. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_v_storage_object_create_snapshot_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_v_storage_object_create_snapshot_task) | **POST** /HostVStorageObjectManager/{moId}/HostVStorageObjectCreateSnapshot_Task | Creates a snapshot of a given VStorageObject. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_v_storage_object_delete_snapshot_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_v_storage_object_delete_snapshot_task) | **POST** /HostVStorageObjectManager/{moId}/HostVStorageObjectDeleteSnapshot_Task | Deletes a given snapshot of a VStorageObject. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_v_storage_object_retrieve_snapshot_info**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_v_storage_object_retrieve_snapshot_info) | **POST** /HostVStorageObjectManager/{moId}/HostVStorageObjectRetrieveSnapshotInfo | Retrieves snapshot information of a given VStorageObject. 
*HostVStorageObjectManagerApi* | [**host_v_storage_object_manager_host_v_storage_object_revert_task**](docs/HostVStorageObjectManagerApi.md#host_v_storage_object_manager_host_v_storage_object_revert_task) | **POST** /HostVStorageObjectManager/{moId}/HostVStorageObjectRevert_Task | Reverts to a given snapshot of a VStorageObject. 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_deselect_vnic_for_nic_type**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_deselect_vnic_for_nic_type) | **POST** /HostVirtualNicManager/{moId}/DeselectVnicForNicType | Deselect the VirtualNic to be a special type. 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_get_available_field**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_get_available_field) | **GET** /HostVirtualNicManager/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_get_info**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_get_info) | **GET** /HostVirtualNicManager/{moId}/info | Network configuration. 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_get_value**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_get_value) | **GET** /HostVirtualNicManager/{moId}/value | List of custom field values. 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_query_net_config**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_query_net_config) | **POST** /HostVirtualNicManager/{moId}/QueryNetConfig | Get the NetConfig for the specified nicType 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_select_vnic_for_nic_type**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_select_vnic_for_nic_type) | **POST** /HostVirtualNicManager/{moId}/SelectVnicForNicType | Select the NicType of the VirtualNic. 
*HostVirtualNicManagerApi* | [**host_virtual_nic_manager_set_custom_value**](docs/HostVirtualNicManagerApi.md#host_virtual_nic_manager_set_custom_value) | **POST** /HostVirtualNicManager/{moId}/setCustomValue | Assigns a value to a custom field. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_abdicate_dom_ownership**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_abdicate_dom_ownership) | **POST** /HostVsanInternalSystem/{moId}/AbdicateDomOwnership | Abdicate ownership of DOM objects. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_can_provision_objects**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_can_provision_objects) | **POST** /HostVsanInternalSystem/{moId}/CanProvisionObjects | Determine if given objects can be provisioned. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_delete_vsan_objects**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_delete_vsan_objects) | **POST** /HostVsanInternalSystem/{moId}/DeleteVsanObjects | Delete VSAN objects. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_get_vsan_obj_ext_attrs**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_get_vsan_obj_ext_attrs) | **POST** /HostVsanInternalSystem/{moId}/GetVsanObjExtAttrs | Get VSAN object extended attributes. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_cmmds**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_cmmds) | **POST** /HostVsanInternalSystem/{moId}/QueryCmmds | Query CMMDS directly. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_objects_on_physical_vsan_disk**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_objects_on_physical_vsan_disk) | **POST** /HostVsanInternalSystem/{moId}/QueryObjectsOnPhysicalVsanDisk | Query DOM objects on a given set of physical disks. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_physical_vsan_disks**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_physical_vsan_disks) | **POST** /HostVsanInternalSystem/{moId}/QueryPhysicalVsanDisks | Query statistics about physical VSAN disks. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_syncing_vsan_objects**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_syncing_vsan_objects) | **POST** /HostVsanInternalSystem/{moId}/QuerySyncingVsanObjects | Query information about VSAN DOM objects that are currently syncing data. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_vsan_object_uuids_by_filter**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_vsan_object_uuids_by_filter) | **POST** /HostVsanInternalSystem/{moId}/QueryVsanObjectUuidsByFilter | Query VSAN object UUIDs by filtering conditions. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_vsan_objects**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_vsan_objects) | **POST** /HostVsanInternalSystem/{moId}/QueryVsanObjects | Query information about VSAN DOM objects. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_query_vsan_statistics**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_query_vsan_statistics) | **POST** /HostVsanInternalSystem/{moId}/QueryVsanStatistics | Query VSAN system statistics. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_reconfiguration_satisfiable**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_reconfiguration_satisfiable) | **POST** /HostVsanInternalSystem/{moId}/ReconfigurationSatisfiable | Determine if the given objects can be reconfigured with the given policies. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_reconfigure_dom_object**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_reconfigure_dom_object) | **POST** /HostVsanInternalSystem/{moId}/ReconfigureDomObject | Reconfigure DOM object. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_run_vsan_physical_disk_diagnostics**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_run_vsan_physical_disk_diagnostics) | **POST** /HostVsanInternalSystem/{moId}/RunVsanPhysicalDiskDiagnostics | Runs diagnostics on VSAN physical disks. 
*HostVsanInternalSystemApi* | [**host_vsan_internal_system_upgrade_vsan_objects**](docs/HostVsanInternalSystemApi.md#host_vsan_internal_system_upgrade_vsan_objects) | **POST** /HostVsanInternalSystem/{moId}/UpgradeVsanObjects | Upgrade VSAN objects version. 
*HostVsanSystemApi* | [**host_vsan_system_add_disks_task**](docs/HostVsanSystemApi.md#host_vsan_system_add_disks_task) | **POST** /HostVsanSystem/{moId}/AddDisks_Task | Add the set of given disks for use by the VSAN service on this host. 
*HostVsanSystemApi* | [**host_vsan_system_evacuate_vsan_node_task**](docs/HostVsanSystemApi.md#host_vsan_system_evacuate_vsan_node_task) | **POST** /HostVsanSystem/{moId}/EvacuateVsanNode_Task | Evacuate this host from VSAN cluster. 
*HostVsanSystemApi* | [**host_vsan_system_get_config**](docs/HostVsanSystemApi.md#host_vsan_system_get_config) | **GET** /HostVsanSystem/{moId}/config | The current VSAN service configuration information for this host. 
*HostVsanSystemApi* | [**host_vsan_system_initialize_disks_task**](docs/HostVsanSystemApi.md#host_vsan_system_initialize_disks_task) | **POST** /HostVsanSystem/{moId}/InitializeDisks_Task | Initialize and use the sets of disks in the given *VsanHostDiskMapping* list for the VSAN service on this host. 
*HostVsanSystemApi* | [**host_vsan_system_query_disks_for_vsan**](docs/HostVsanSystemApi.md#host_vsan_system_query_disks_for_vsan) | **POST** /HostVsanSystem/{moId}/QueryDisksForVsan | Queries disks on this host for suitability to use with the VSAN service, and returns the result. 
*HostVsanSystemApi* | [**host_vsan_system_query_host_status**](docs/HostVsanSystemApi.md#host_vsan_system_query_host_status) | **POST** /HostVsanSystem/{moId}/QueryHostStatus | Queries this host&#39;s current runtime status for the VSAN service. 
*HostVsanSystemApi* | [**host_vsan_system_recommission_vsan_node_task**](docs/HostVsanSystemApi.md#host_vsan_system_recommission_vsan_node_task) | **POST** /HostVsanSystem/{moId}/RecommissionVsanNode_Task | Recommission this host to VSAN cluster. 
*HostVsanSystemApi* | [**host_vsan_system_remove_disk_mapping_task**](docs/HostVsanSystemApi.md#host_vsan_system_remove_disk_mapping_task) | **POST** /HostVsanSystem/{moId}/RemoveDiskMapping_Task | Delete given set of disk mappings from use by the VSAN service on this host. 
*HostVsanSystemApi* | [**host_vsan_system_remove_disk_task**](docs/HostVsanSystemApi.md#host_vsan_system_remove_disk_task) | **POST** /HostVsanSystem/{moId}/RemoveDisk_Task | Remove the set of given disks from use by the VSAN service on this host. 
*HostVsanSystemApi* | [**host_vsan_system_unmount_disk_mapping_task**](docs/HostVsanSystemApi.md#host_vsan_system_unmount_disk_mapping_task) | **POST** /HostVsanSystem/{moId}/UnmountDiskMapping_Task | Unmount the mounted *VsanHostDiskMapping*. 
*HostVsanSystemApi* | [**host_vsan_system_update_vsan_task**](docs/HostVsanSystemApi.md#host_vsan_system_update_vsan_task) | **POST** /HostVsanSystem/{moId}/UpdateVsan_Task | Update the VSAN service on this host according to the given host configuration specification. 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_capabilities**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_capabilities) | **GET** /HttpNfcLease/{moId}/capabilities | Current supported capabilities by this lease See *HttpNfcLeaseCapabilities* 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_error**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_error) | **GET** /HttpNfcLease/{moId}/error | If the lease is in the error state, this property contains the error that caused the lease to be aborted. 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_info**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_info) | **GET** /HttpNfcLease/{moId}/info | Provides information on the objects contained in this lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_initialize_progress**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_initialize_progress) | **GET** /HttpNfcLease/{moId}/initializeProgress | Provides progress information (0-100 percent) for the initializing state of the lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_mode**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_mode) | **GET** /HttpNfcLease/{moId}/mode | Current mode of the lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_state**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_state) | **GET** /HttpNfcLease/{moId}/state | The current state of the lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_get_transfer_progress**](docs/HttpNfcLeaseApi.md#http_nfc_lease_get_transfer_progress) | **GET** /HttpNfcLease/{moId}/transferProgress | Provides progress information (0-100 percent) for current transfer. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_abort**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_abort) | **POST** /HttpNfcLease/{moId}/HttpNfcLeaseAbort | Aborts the import/export and releases this lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_complete**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_complete) | **POST** /HttpNfcLease/{moId}/HttpNfcLeaseComplete | Completes the import/export and releases this lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_get_manifest**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_get_manifest) | **POST** /HttpNfcLease/{moId}/HttpNfcLeaseGetManifest | Gets the download manifest for this lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_probe_urls**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_probe_urls) | **POST** /HttpNfcLease/{moId}/HttpNfcLeaseProbeUrls | Perform a series of validations on the target host to see if it can succesfully perform PullFromUrls. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_progress**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_progress) | **POST** /HttpNfcLease/{moId}/HttpNfcLeaseProgress | Sets the disk up/download progress, and renews this lease. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_pull_from_urls_task**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_pull_from_urls_task) | **POST** /HttpNfcLease/{moId}/HttpNfcLeasePullFromUrls_Task | Upgrades current lease from push to pull mode. 
*HttpNfcLeaseApi* | [**http_nfc_lease_http_nfc_lease_set_manifest_checksum_type**](docs/HttpNfcLeaseApi.md#http_nfc_lease_http_nfc_lease_set_manifest_checksum_type) | **POST** /HttpNfcLease/{moId}/HttpNfcLeaseSetManifestChecksumType | Sets desired checksum algorithm per each file that will be returned in ManifestEntry. 
*InventoryViewApi* | [**inventory_view_close_inventory_view_folder**](docs/InventoryViewApi.md#inventory_view_close_inventory_view_folder) | **POST** /InventoryView/{moId}/CloseInventoryViewFolder | Notify the server that folder(s) have been closed, and changes for all its contained objects should no longer be sent. 
*InventoryViewApi* | [**inventory_view_destroy_view**](docs/InventoryViewApi.md#inventory_view_destroy_view) | **POST** /InventoryView/{moId}/DestroyView | Destroy this view. 
*InventoryViewApi* | [**inventory_view_get_view**](docs/InventoryViewApi.md#inventory_view_get_view) | **GET** /InventoryView/{moId}/view | The list of references to objects mapped by this view. 
*InventoryViewApi* | [**inventory_view_open_inventory_view_folder**](docs/InventoryViewApi.md#inventory_view_open_inventory_view_folder) | **POST** /InventoryView/{moId}/OpenInventoryViewFolder | Adds the child objects of a given managed entity to the view. 
*IoFilterManagerApi* | [**io_filter_manager_install_io_filter_task**](docs/IoFilterManagerApi.md#io_filter_manager_install_io_filter_task) | **POST** /IoFilterManager/{moId}/InstallIoFilter_Task | Install an IO Filter on a compute resource. 
*IoFilterManagerApi* | [**io_filter_manager_query_disks_using_filter**](docs/IoFilterManagerApi.md#io_filter_manager_query_disks_using_filter) | **POST** /IoFilterManager/{moId}/QueryDisksUsingFilter | Return the list of virtual disks that use an IO Filter installed on a compute resource. 
*IoFilterManagerApi* | [**io_filter_manager_query_io_filter_info**](docs/IoFilterManagerApi.md#io_filter_manager_query_io_filter_info) | **POST** /IoFilterManager/{moId}/QueryIoFilterInfo | Return the information for the IO Filters that are installed on the cluster. 
*IoFilterManagerApi* | [**io_filter_manager_query_io_filter_issues**](docs/IoFilterManagerApi.md#io_filter_manager_query_io_filter_issues) | **POST** /IoFilterManager/{moId}/QueryIoFilterIssues | Return the issues that occurred during the last installation/uninstallation/upgrade operation of an IO Filter on a compute resource. 
*IoFilterManagerApi* | [**io_filter_manager_resolve_installation_errors_on_cluster_task**](docs/IoFilterManagerApi.md#io_filter_manager_resolve_installation_errors_on_cluster_task) | **POST** /IoFilterManager/{moId}/ResolveInstallationErrorsOnCluster_Task | Resolve the errors occurred during an installation/uninstallation/upgrade operation of an IO Filter on a cluster. 
*IoFilterManagerApi* | [**io_filter_manager_resolve_installation_errors_on_host_task**](docs/IoFilterManagerApi.md#io_filter_manager_resolve_installation_errors_on_host_task) | **POST** /IoFilterManager/{moId}/ResolveInstallationErrorsOnHost_Task | Resolve the errors occurred during an installation/uninstallation/upgrade operation of an IO Filter on a host. 
*IoFilterManagerApi* | [**io_filter_manager_uninstall_io_filter_task**](docs/IoFilterManagerApi.md#io_filter_manager_uninstall_io_filter_task) | **POST** /IoFilterManager/{moId}/UninstallIoFilter_Task | Uninstall an IO Filter from a compute resource. 
*IoFilterManagerApi* | [**io_filter_manager_upgrade_io_filter_task**](docs/IoFilterManagerApi.md#io_filter_manager_upgrade_io_filter_task) | **POST** /IoFilterManager/{moId}/UpgradeIoFilter_Task | Upgrade an IO Filter on a compute resource. 
*IpPoolManagerApi* | [**ip_pool_manager_allocate_ipv4_address**](docs/IpPoolManagerApi.md#ip_pool_manager_allocate_ipv4_address) | **POST** /IpPoolManager/{moId}/AllocateIpv4Address | Allocates an IPv4 address from an IP pool. 
*IpPoolManagerApi* | [**ip_pool_manager_allocate_ipv6_address**](docs/IpPoolManagerApi.md#ip_pool_manager_allocate_ipv6_address) | **POST** /IpPoolManager/{moId}/AllocateIpv6Address | Allocates an IPv6 address from an IP pool. 
*IpPoolManagerApi* | [**ip_pool_manager_create_ip_pool**](docs/IpPoolManagerApi.md#ip_pool_manager_create_ip_pool) | **POST** /IpPoolManager/{moId}/CreateIpPool | Create a new IP pool. 
*IpPoolManagerApi* | [**ip_pool_manager_destroy_ip_pool**](docs/IpPoolManagerApi.md#ip_pool_manager_destroy_ip_pool) | **POST** /IpPoolManager/{moId}/DestroyIpPool | Destroys an IP pool on the given datacenter. 
*IpPoolManagerApi* | [**ip_pool_manager_query_ip_allocations**](docs/IpPoolManagerApi.md#ip_pool_manager_query_ip_allocations) | **POST** /IpPoolManager/{moId}/QueryIPAllocations | Query IP allocations by IP pool and extension key. 
*IpPoolManagerApi* | [**ip_pool_manager_query_ip_pools**](docs/IpPoolManagerApi.md#ip_pool_manager_query_ip_pools) | **POST** /IpPoolManager/{moId}/QueryIpPools | Return the list of IP pools for a datacenter. 
*IpPoolManagerApi* | [**ip_pool_manager_release_ip_allocation**](docs/IpPoolManagerApi.md#ip_pool_manager_release_ip_allocation) | **POST** /IpPoolManager/{moId}/ReleaseIpAllocation | Releases an IP allocation back to it&#39;s IP pool. 
*IpPoolManagerApi* | [**ip_pool_manager_update_ip_pool**](docs/IpPoolManagerApi.md#ip_pool_manager_update_ip_pool) | **POST** /IpPoolManager/{moId}/UpdateIpPool | Update an IP pool on a datacenter. 
*IscsiManagerApi* | [**iscsi_manager_bind_vnic**](docs/IscsiManagerApi.md#iscsi_manager_bind_vnic) | **POST** /IscsiManager/{moId}/BindVnic | Bind a Virtual NIC to be used for an iSCSI adapter 
*IscsiManagerApi* | [**iscsi_manager_query_bound_vnics**](docs/IscsiManagerApi.md#iscsi_manager_query_bound_vnics) | **POST** /IscsiManager/{moId}/QueryBoundVnics | Query the list of Virtual NICs that are bound to a given iSCSI HBA. 
*IscsiManagerApi* | [**iscsi_manager_query_candidate_nics**](docs/IscsiManagerApi.md#iscsi_manager_query_candidate_nics) | **POST** /IscsiManager/{moId}/QueryCandidateNics | Query the candidate Virtual NICs and Physical NICs that can be used for Port-Binding. 
*IscsiManagerApi* | [**iscsi_manager_query_migration_dependencies**](docs/IscsiManagerApi.md#iscsi_manager_query_migration_dependencies) | **POST** /IscsiManager/{moId}/QueryMigrationDependencies | Query the dependency table for a migration operation of a given Physical NIC. 
*IscsiManagerApi* | [**iscsi_manager_query_pnic_status**](docs/IscsiManagerApi.md#iscsi_manager_query_pnic_status) | **POST** /IscsiManager/{moId}/QueryPnicStatus | Query if Physical NIC device is used for iSCSI. 
*IscsiManagerApi* | [**iscsi_manager_query_vnic_status**](docs/IscsiManagerApi.md#iscsi_manager_query_vnic_status) | **POST** /IscsiManager/{moId}/QueryVnicStatus | Query the status of Virtual NIC association with the iSCSI. 
*IscsiManagerApi* | [**iscsi_manager_unbind_vnic**](docs/IscsiManagerApi.md#iscsi_manager_unbind_vnic) | **POST** /IscsiManager/{moId}/UnbindVnic | Unbind Virtual NIC binding from an iSCSI adapter. 
*LicenseAssignmentManagerApi* | [**license_assignment_manager_query_assigned_licenses**](docs/LicenseAssignmentManagerApi.md#license_assignment_manager_query_assigned_licenses) | **POST** /LicenseAssignmentManager/{moId}/QueryAssignedLicenses | Get information about all the licenses associated with an entity 
*LicenseAssignmentManagerApi* | [**license_assignment_manager_remove_assigned_license**](docs/LicenseAssignmentManagerApi.md#license_assignment_manager_remove_assigned_license) | **POST** /LicenseAssignmentManager/{moId}/RemoveAssignedLicense | Remove licenses associated with an entity 
*LicenseAssignmentManagerApi* | [**license_assignment_manager_update_assigned_license**](docs/LicenseAssignmentManagerApi.md#license_assignment_manager_update_assigned_license) | **POST** /LicenseAssignmentManager/{moId}/UpdateAssignedLicense | Update the license associated with an entity 
*LicenseManagerApi* | [**license_manager_add_license**](docs/LicenseManagerApi.md#license_manager_add_license) | **POST** /LicenseManager/{moId}/AddLicense | Adds a license to the inventory of available licenses. 
*LicenseManagerApi* | [**license_manager_check_license_feature**](docs/LicenseManagerApi.md#license_manager_check_license_feature) | **POST** /LicenseManager/{moId}/CheckLicenseFeature | Returns whether or not a given feature is enabled. 
*LicenseManagerApi* | [**license_manager_configure_license_source**](docs/LicenseManagerApi.md#license_manager_configure_license_source) | **POST** /LicenseManager/{moId}/ConfigureLicenseSource | Allows for reconfiguration of the License Manager license source. 
*LicenseManagerApi* | [**license_manager_decode_license**](docs/LicenseManagerApi.md#license_manager_decode_license) | **POST** /LicenseManager/{moId}/DecodeLicense | Decodes licensing information on the license specified. 
*LicenseManagerApi* | [**license_manager_disable_feature**](docs/LicenseManagerApi.md#license_manager_disable_feature) | **POST** /LicenseManager/{moId}/DisableFeature | Release licenses for an optional feature. 
*LicenseManagerApi* | [**license_manager_enable_feature**](docs/LicenseManagerApi.md#license_manager_enable_feature) | **POST** /LicenseManager/{moId}/EnableFeature | Enable a feature that has an optional state. 
*LicenseManagerApi* | [**license_manager_get_diagnostics**](docs/LicenseManagerApi.md#license_manager_get_diagnostics) | **GET** /LicenseManager/{moId}/diagnostics | Return current diagnostic information. 
*LicenseManagerApi* | [**license_manager_get_evaluation**](docs/LicenseManagerApi.md#license_manager_get_evaluation) | **GET** /LicenseManager/{moId}/evaluation | 
*LicenseManagerApi* | [**license_manager_get_feature_info**](docs/LicenseManagerApi.md#license_manager_get_feature_info) | **GET** /LicenseManager/{moId}/featureInfo | The list of features that can be licensed. 
*LicenseManagerApi* | [**license_manager_get_license_assignment_manager**](docs/LicenseManagerApi.md#license_manager_get_license_assignment_manager) | **GET** /LicenseManager/{moId}/licenseAssignmentManager | License Assignment Manager 
*LicenseManagerApi* | [**license_manager_get_licensed_edition**](docs/LicenseManagerApi.md#license_manager_get_licensed_edition) | **GET** /LicenseManager/{moId}/licensedEdition | The product&#39;s license edition. 
*LicenseManagerApi* | [**license_manager_get_licenses**](docs/LicenseManagerApi.md#license_manager_get_licenses) | **GET** /LicenseManager/{moId}/licenses | Get information about all the licenses available. 
*LicenseManagerApi* | [**license_manager_get_source**](docs/LicenseManagerApi.md#license_manager_get_source) | **GET** /LicenseManager/{moId}/source | Set or return a data object type of LocalLicense or LicenseServer. 
*LicenseManagerApi* | [**license_manager_get_source_available**](docs/LicenseManagerApi.md#license_manager_get_source_available) | **GET** /LicenseManager/{moId}/sourceAvailable | Current state of the license source. 
*LicenseManagerApi* | [**license_manager_query_license_source_availability**](docs/LicenseManagerApi.md#license_manager_query_license_source_availability) | **POST** /LicenseManager/{moId}/QueryLicenseSourceAvailability | Queries the current license source for total and available licenses available for each feature known to this system. 
*LicenseManagerApi* | [**license_manager_query_license_usage**](docs/LicenseManagerApi.md#license_manager_query_license_usage) | **POST** /LicenseManager/{moId}/QueryLicenseUsage | Returns the license usage. 
*LicenseManagerApi* | [**license_manager_query_supported_features**](docs/LicenseManagerApi.md#license_manager_query_supported_features) | **POST** /LicenseManager/{moId}/QuerySupportedFeatures | Queries the current license source for a list of available licenses that can be licensed from this system. 
*LicenseManagerApi* | [**license_manager_remove_license**](docs/LicenseManagerApi.md#license_manager_remove_license) | **POST** /LicenseManager/{moId}/RemoveLicense | Remove license from the available set. 
*LicenseManagerApi* | [**license_manager_remove_license_label**](docs/LicenseManagerApi.md#license_manager_remove_license_label) | **POST** /LicenseManager/{moId}/RemoveLicenseLabel | Removed a license&#39;s label. 
*LicenseManagerApi* | [**license_manager_set_license_edition**](docs/LicenseManagerApi.md#license_manager_set_license_edition) | **POST** /LicenseManager/{moId}/SetLicenseEdition | Defines the product&#39;s license edition. 
*LicenseManagerApi* | [**license_manager_update_license**](docs/LicenseManagerApi.md#license_manager_update_license) | **POST** /LicenseManager/{moId}/UpdateLicense | Updates the available licenses to the one provided in licenseKey. 
*LicenseManagerApi* | [**license_manager_update_license_label**](docs/LicenseManagerApi.md#license_manager_update_license_label) | **POST** /LicenseManager/{moId}/UpdateLicenseLabel | Update a license&#39;s label. 
*ListViewApi* | [**list_view_destroy_view**](docs/ListViewApi.md#list_view_destroy_view) | **POST** /ListView/{moId}/DestroyView | Destroy this view. 
*ListViewApi* | [**list_view_get_view**](docs/ListViewApi.md#list_view_get_view) | **GET** /ListView/{moId}/view | The list of references to objects mapped by this view. 
*ListViewApi* | [**list_view_modify_list_view**](docs/ListViewApi.md#list_view_modify_list_view) | **POST** /ListView/{moId}/ModifyListView | Modify the list by giving a delta of entities to add and entities to remove. 
*ListViewApi* | [**list_view_reset_list_view**](docs/ListViewApi.md#list_view_reset_list_view) | **POST** /ListView/{moId}/ResetListView | Replaces the list with an entirely new set of objects. 
*ListViewApi* | [**list_view_reset_list_view_from_view**](docs/ListViewApi.md#list_view_reset_list_view_from_view) | **POST** /ListView/{moId}/ResetListViewFromView | Replaces the list with the set of objects in a given view. 
*LocalizationManagerApi* | [**localization_manager_get_catalog**](docs/LocalizationManagerApi.md#localization_manager_get_catalog) | **GET** /LocalizationManager/{moId}/catalog | Fetches the descriptions of all the client-side localization message catalogs available for the current session locale. 
*ManagedEntityApi* | [**managed_entity_destroy_task**](docs/ManagedEntityApi.md#managed_entity_destroy_task) | **POST** /ManagedEntity/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*ManagedEntityApi* | [**managed_entity_get_alarm_actions_enabled**](docs/ManagedEntityApi.md#managed_entity_get_alarm_actions_enabled) | **GET** /ManagedEntity/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*ManagedEntityApi* | [**managed_entity_get_available_field**](docs/ManagedEntityApi.md#managed_entity_get_available_field) | **GET** /ManagedEntity/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ManagedEntityApi* | [**managed_entity_get_config_issue**](docs/ManagedEntityApi.md#managed_entity_get_config_issue) | **GET** /ManagedEntity/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*ManagedEntityApi* | [**managed_entity_get_config_status**](docs/ManagedEntityApi.md#managed_entity_get_config_status) | **GET** /ManagedEntity/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*ManagedEntityApi* | [**managed_entity_get_custom_value**](docs/ManagedEntityApi.md#managed_entity_get_custom_value) | **GET** /ManagedEntity/{moId}/customValue | Custom field values. 
*ManagedEntityApi* | [**managed_entity_get_declared_alarm_state**](docs/ManagedEntityApi.md#managed_entity_get_declared_alarm_state) | **GET** /ManagedEntity/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*ManagedEntityApi* | [**managed_entity_get_disabled_method**](docs/ManagedEntityApi.md#managed_entity_get_disabled_method) | **GET** /ManagedEntity/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*ManagedEntityApi* | [**managed_entity_get_effective_role**](docs/ManagedEntityApi.md#managed_entity_get_effective_role) | **GET** /ManagedEntity/{moId}/effectiveRole | Access rights the current session has to this entity. 
*ManagedEntityApi* | [**managed_entity_get_name**](docs/ManagedEntityApi.md#managed_entity_get_name) | **GET** /ManagedEntity/{moId}/name | Name of this entity, unique relative to its parent. 
*ManagedEntityApi* | [**managed_entity_get_overall_status**](docs/ManagedEntityApi.md#managed_entity_get_overall_status) | **GET** /ManagedEntity/{moId}/overallStatus | General health of this managed entity. 
*ManagedEntityApi* | [**managed_entity_get_parent**](docs/ManagedEntityApi.md#managed_entity_get_parent) | **GET** /ManagedEntity/{moId}/parent | Parent of this entity. 
*ManagedEntityApi* | [**managed_entity_get_permission**](docs/ManagedEntityApi.md#managed_entity_get_permission) | **GET** /ManagedEntity/{moId}/permission | List of permissions defined for this entity. 
*ManagedEntityApi* | [**managed_entity_get_recent_task**](docs/ManagedEntityApi.md#managed_entity_get_recent_task) | **GET** /ManagedEntity/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*ManagedEntityApi* | [**managed_entity_get_tag**](docs/ManagedEntityApi.md#managed_entity_get_tag) | **GET** /ManagedEntity/{moId}/tag | The set of tags associated with this managed entity. 
*ManagedEntityApi* | [**managed_entity_get_triggered_alarm_state**](docs/ManagedEntityApi.md#managed_entity_get_triggered_alarm_state) | **GET** /ManagedEntity/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*ManagedEntityApi* | [**managed_entity_get_value**](docs/ManagedEntityApi.md#managed_entity_get_value) | **GET** /ManagedEntity/{moId}/value | List of custom field values. 
*ManagedEntityApi* | [**managed_entity_reload**](docs/ManagedEntityApi.md#managed_entity_reload) | **POST** /ManagedEntity/{moId}/Reload | Reload the entity state. 
*ManagedEntityApi* | [**managed_entity_rename_task**](docs/ManagedEntityApi.md#managed_entity_rename_task) | **POST** /ManagedEntity/{moId}/Rename_Task | Renames this managed entity. 
*ManagedEntityApi* | [**managed_entity_set_custom_value**](docs/ManagedEntityApi.md#managed_entity_set_custom_value) | **POST** /ManagedEntity/{moId}/setCustomValue | Assigns a value to a custom field. 
*ManagedObjectViewApi* | [**managed_object_view_destroy_view**](docs/ManagedObjectViewApi.md#managed_object_view_destroy_view) | **POST** /ManagedObjectView/{moId}/DestroyView | Destroy this view. 
*ManagedObjectViewApi* | [**managed_object_view_get_view**](docs/ManagedObjectViewApi.md#managed_object_view_get_view) | **GET** /ManagedObjectView/{moId}/view | The list of references to objects mapped by this view. 
*NetworkApi* | [**network_destroy_network**](docs/NetworkApi.md#network_destroy_network) | **POST** /Network/{moId}/DestroyNetwork | Removes a network. 
*NetworkApi* | [**network_destroy_task**](docs/NetworkApi.md#network_destroy_task) | **POST** /Network/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*NetworkApi* | [**network_get_alarm_actions_enabled**](docs/NetworkApi.md#network_get_alarm_actions_enabled) | **GET** /Network/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*NetworkApi* | [**network_get_available_field**](docs/NetworkApi.md#network_get_available_field) | **GET** /Network/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*NetworkApi* | [**network_get_config_issue**](docs/NetworkApi.md#network_get_config_issue) | **GET** /Network/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*NetworkApi* | [**network_get_config_status**](docs/NetworkApi.md#network_get_config_status) | **GET** /Network/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*NetworkApi* | [**network_get_custom_value**](docs/NetworkApi.md#network_get_custom_value) | **GET** /Network/{moId}/customValue | Custom field values. 
*NetworkApi* | [**network_get_declared_alarm_state**](docs/NetworkApi.md#network_get_declared_alarm_state) | **GET** /Network/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*NetworkApi* | [**network_get_disabled_method**](docs/NetworkApi.md#network_get_disabled_method) | **GET** /Network/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*NetworkApi* | [**network_get_effective_role**](docs/NetworkApi.md#network_get_effective_role) | **GET** /Network/{moId}/effectiveRole | Access rights the current session has to this entity. 
*NetworkApi* | [**network_get_host**](docs/NetworkApi.md#network_get_host) | **GET** /Network/{moId}/host | Hosts attached to this network. 
*NetworkApi* | [**network_get_name**](docs/NetworkApi.md#network_get_name) | **GET** /Network/{moId}/name | Name of this entity, unique relative to its parent. 
*NetworkApi* | [**network_get_overall_status**](docs/NetworkApi.md#network_get_overall_status) | **GET** /Network/{moId}/overallStatus | General health of this managed entity. 
*NetworkApi* | [**network_get_parent**](docs/NetworkApi.md#network_get_parent) | **GET** /Network/{moId}/parent | Parent of this entity. 
*NetworkApi* | [**network_get_permission**](docs/NetworkApi.md#network_get_permission) | **GET** /Network/{moId}/permission | List of permissions defined for this entity. 
*NetworkApi* | [**network_get_recent_task**](docs/NetworkApi.md#network_get_recent_task) | **GET** /Network/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*NetworkApi* | [**network_get_summary**](docs/NetworkApi.md#network_get_summary) | **GET** /Network/{moId}/summary | Properties of a network. 
*NetworkApi* | [**network_get_tag**](docs/NetworkApi.md#network_get_tag) | **GET** /Network/{moId}/tag | The set of tags associated with this managed entity. 
*NetworkApi* | [**network_get_triggered_alarm_state**](docs/NetworkApi.md#network_get_triggered_alarm_state) | **GET** /Network/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*NetworkApi* | [**network_get_value**](docs/NetworkApi.md#network_get_value) | **GET** /Network/{moId}/value | List of custom field values. 
*NetworkApi* | [**network_get_vm**](docs/NetworkApi.md#network_get_vm) | **GET** /Network/{moId}/vm | Virtual machines using this network. 
*NetworkApi* | [**network_reload**](docs/NetworkApi.md#network_reload) | **POST** /Network/{moId}/Reload | Reload the entity state. 
*NetworkApi* | [**network_rename_task**](docs/NetworkApi.md#network_rename_task) | **POST** /Network/{moId}/Rename_Task | Renames this managed entity. 
*NetworkApi* | [**network_set_custom_value**](docs/NetworkApi.md#network_set_custom_value) | **POST** /Network/{moId}/setCustomValue | Assigns a value to a custom field. 
*OpaqueNetworkApi* | [**opaque_network_destroy_network**](docs/OpaqueNetworkApi.md#opaque_network_destroy_network) | **POST** /OpaqueNetwork/{moId}/DestroyNetwork | Removes a network. 
*OpaqueNetworkApi* | [**opaque_network_destroy_task**](docs/OpaqueNetworkApi.md#opaque_network_destroy_task) | **POST** /OpaqueNetwork/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*OpaqueNetworkApi* | [**opaque_network_get_alarm_actions_enabled**](docs/OpaqueNetworkApi.md#opaque_network_get_alarm_actions_enabled) | **GET** /OpaqueNetwork/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*OpaqueNetworkApi* | [**opaque_network_get_available_field**](docs/OpaqueNetworkApi.md#opaque_network_get_available_field) | **GET** /OpaqueNetwork/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*OpaqueNetworkApi* | [**opaque_network_get_capability**](docs/OpaqueNetworkApi.md#opaque_network_get_capability) | **GET** /OpaqueNetwork/{moId}/capability | The capability of the Opaque Network. 
*OpaqueNetworkApi* | [**opaque_network_get_config_issue**](docs/OpaqueNetworkApi.md#opaque_network_get_config_issue) | **GET** /OpaqueNetwork/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*OpaqueNetworkApi* | [**opaque_network_get_config_status**](docs/OpaqueNetworkApi.md#opaque_network_get_config_status) | **GET** /OpaqueNetwork/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*OpaqueNetworkApi* | [**opaque_network_get_custom_value**](docs/OpaqueNetworkApi.md#opaque_network_get_custom_value) | **GET** /OpaqueNetwork/{moId}/customValue | Custom field values. 
*OpaqueNetworkApi* | [**opaque_network_get_declared_alarm_state**](docs/OpaqueNetworkApi.md#opaque_network_get_declared_alarm_state) | **GET** /OpaqueNetwork/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*OpaqueNetworkApi* | [**opaque_network_get_disabled_method**](docs/OpaqueNetworkApi.md#opaque_network_get_disabled_method) | **GET** /OpaqueNetwork/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*OpaqueNetworkApi* | [**opaque_network_get_effective_role**](docs/OpaqueNetworkApi.md#opaque_network_get_effective_role) | **GET** /OpaqueNetwork/{moId}/effectiveRole | Access rights the current session has to this entity. 
*OpaqueNetworkApi* | [**opaque_network_get_extra_config**](docs/OpaqueNetworkApi.md#opaque_network_get_extra_config) | **GET** /OpaqueNetwork/{moId}/extraConfig | Extra NSX specific properties for opaque network. 
*OpaqueNetworkApi* | [**opaque_network_get_host**](docs/OpaqueNetworkApi.md#opaque_network_get_host) | **GET** /OpaqueNetwork/{moId}/host | Hosts attached to this network. 
*OpaqueNetworkApi* | [**opaque_network_get_name**](docs/OpaqueNetworkApi.md#opaque_network_get_name) | **GET** /OpaqueNetwork/{moId}/name | Name of this entity, unique relative to its parent. 
*OpaqueNetworkApi* | [**opaque_network_get_overall_status**](docs/OpaqueNetworkApi.md#opaque_network_get_overall_status) | **GET** /OpaqueNetwork/{moId}/overallStatus | General health of this managed entity. 
*OpaqueNetworkApi* | [**opaque_network_get_parent**](docs/OpaqueNetworkApi.md#opaque_network_get_parent) | **GET** /OpaqueNetwork/{moId}/parent | Parent of this entity. 
*OpaqueNetworkApi* | [**opaque_network_get_permission**](docs/OpaqueNetworkApi.md#opaque_network_get_permission) | **GET** /OpaqueNetwork/{moId}/permission | List of permissions defined for this entity. 
*OpaqueNetworkApi* | [**opaque_network_get_recent_task**](docs/OpaqueNetworkApi.md#opaque_network_get_recent_task) | **GET** /OpaqueNetwork/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*OpaqueNetworkApi* | [**opaque_network_get_summary**](docs/OpaqueNetworkApi.md#opaque_network_get_summary) | **GET** /OpaqueNetwork/{moId}/summary | Properties of a network. 
*OpaqueNetworkApi* | [**opaque_network_get_tag**](docs/OpaqueNetworkApi.md#opaque_network_get_tag) | **GET** /OpaqueNetwork/{moId}/tag | The set of tags associated with this managed entity. 
*OpaqueNetworkApi* | [**opaque_network_get_triggered_alarm_state**](docs/OpaqueNetworkApi.md#opaque_network_get_triggered_alarm_state) | **GET** /OpaqueNetwork/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*OpaqueNetworkApi* | [**opaque_network_get_value**](docs/OpaqueNetworkApi.md#opaque_network_get_value) | **GET** /OpaqueNetwork/{moId}/value | List of custom field values. 
*OpaqueNetworkApi* | [**opaque_network_get_vm**](docs/OpaqueNetworkApi.md#opaque_network_get_vm) | **GET** /OpaqueNetwork/{moId}/vm | Virtual machines using this network. 
*OpaqueNetworkApi* | [**opaque_network_reload**](docs/OpaqueNetworkApi.md#opaque_network_reload) | **POST** /OpaqueNetwork/{moId}/Reload | Reload the entity state. 
*OpaqueNetworkApi* | [**opaque_network_rename_task**](docs/OpaqueNetworkApi.md#opaque_network_rename_task) | **POST** /OpaqueNetwork/{moId}/Rename_Task | Renames this managed entity. 
*OpaqueNetworkApi* | [**opaque_network_set_custom_value**](docs/OpaqueNetworkApi.md#opaque_network_set_custom_value) | **POST** /OpaqueNetwork/{moId}/setCustomValue | Assigns a value to a custom field. 
*OptionManagerApi* | [**option_manager_get_setting**](docs/OptionManagerApi.md#option_manager_get_setting) | **GET** /OptionManager/{moId}/setting | A list of the current settings for the key/value pair options. 
*OptionManagerApi* | [**option_manager_get_supported_option**](docs/OptionManagerApi.md#option_manager_get_supported_option) | **GET** /OptionManager/{moId}/supportedOption | A list of supported key/value pair options including their type information. 
*OptionManagerApi* | [**option_manager_query_options**](docs/OptionManagerApi.md#option_manager_query_options) | **POST** /OptionManager/{moId}/QueryOptions | Returns a specific node or nodes in the option hierarchy. 
*OptionManagerApi* | [**option_manager_update_options**](docs/OptionManagerApi.md#option_manager_update_options) | **POST** /OptionManager/{moId}/UpdateOptions | Updates one or more options. 
*OverheadMemoryManagerApi* | [**overhead_memory_manager_lookup_vm_overhead_memory**](docs/OverheadMemoryManagerApi.md#overhead_memory_manager_lookup_vm_overhead_memory) | **POST** /OverheadMemoryManager/{moId}/LookupVmOverheadMemory | Return static VM overhead memory value in bytes for a (vm, host) pair from the overhead memory module (OMM) in Virtual Center. 
*OvfManagerApi* | [**ovf_manager_create_descriptor**](docs/OvfManagerApi.md#ovf_manager_create_descriptor) | **POST** /OvfManager/{moId}/CreateDescriptor | Create an OVF descriptor for the specified ManagedEntity, which may be a *VirtualMachine* or a *VirtualApp*. 
*OvfManagerApi* | [**ovf_manager_create_import_spec**](docs/OvfManagerApi.md#ovf_manager_create_import_spec) | **POST** /OvfManager/{moId}/CreateImportSpec | Validate the OVF descriptor against the hardware supported by the host system. 
*OvfManagerApi* | [**ovf_manager_get_ovf_export_option**](docs/OvfManagerApi.md#ovf_manager_get_ovf_export_option) | **GET** /OvfManager/{moId}/ovfExportOption | Returns an array of *OvfOptionInfo* object that specifies what options the server support for exporting an OVF descriptor. 
*OvfManagerApi* | [**ovf_manager_get_ovf_import_option**](docs/OvfManagerApi.md#ovf_manager_get_ovf_import_option) | **GET** /OvfManager/{moId}/ovfImportOption | Returns an array of *OvfOptionInfo* object that specifies what options the server support for modifing/relaxing the OVF import process. 
*OvfManagerApi* | [**ovf_manager_parse_descriptor**](docs/OvfManagerApi.md#ovf_manager_parse_descriptor) | **POST** /OvfManager/{moId}/ParseDescriptor | Parse the OVF descriptor and return as much information about it as possible without knowing the host on which it will be imported. 
*OvfManagerApi* | [**ovf_manager_validate_host**](docs/OvfManagerApi.md#ovf_manager_validate_host) | **POST** /OvfManager/{moId}/ValidateHost | Validate that the given OVF can be imported on the host. 
*PerformanceManagerApi* | [**performance_manager_create_perf_interval**](docs/PerformanceManagerApi.md#performance_manager_create_perf_interval) | **POST** /PerformanceManager/{moId}/CreatePerfInterval | Adds a new historical interval. 
*PerformanceManagerApi* | [**performance_manager_get_description**](docs/PerformanceManagerApi.md#performance_manager_get_description) | **GET** /PerformanceManager/{moId}/description | The static description strings. 
*PerformanceManagerApi* | [**performance_manager_get_historical_interval**](docs/PerformanceManagerApi.md#performance_manager_get_historical_interval) | **GET** /PerformanceManager/{moId}/historicalInterval | A list of *intervals* configured on the system. 
*PerformanceManagerApi* | [**performance_manager_get_perf_counter**](docs/PerformanceManagerApi.md#performance_manager_get_perf_counter) | **GET** /PerformanceManager/{moId}/perfCounter | A list of all supported performance counters in the system. 
*PerformanceManagerApi* | [**performance_manager_query_available_perf_metric**](docs/PerformanceManagerApi.md#performance_manager_query_available_perf_metric) | **POST** /PerformanceManager/{moId}/QueryAvailablePerfMetric | Retrieves all performance counters for the specified *managed object* generated during a specified period of time. 
*PerformanceManagerApi* | [**performance_manager_query_perf**](docs/PerformanceManagerApi.md#performance_manager_query_perf) | **POST** /PerformanceManager/{moId}/QueryPerf | Retrieves the performance metrics for the specified entity (or entities) based on the properties specified in the *PerfQuerySpec* data object. 
*PerformanceManagerApi* | [**performance_manager_query_perf_composite**](docs/PerformanceManagerApi.md#performance_manager_query_perf_composite) | **POST** /PerformanceManager/{moId}/QueryPerfComposite | Retrieves a *PerfCompositeMetric* data object that comprises statistics for the specified entity and its children entities. 
*PerformanceManagerApi* | [**performance_manager_query_perf_counter**](docs/PerformanceManagerApi.md#performance_manager_query_perf_counter) | **POST** /PerformanceManager/{moId}/QueryPerfCounter | Retrieves counter information for the specified list of counter IDs. 
*PerformanceManagerApi* | [**performance_manager_query_perf_counter_by_level**](docs/PerformanceManagerApi.md#performance_manager_query_perf_counter_by_level) | **POST** /PerformanceManager/{moId}/QueryPerfCounterByLevel | Retrieves the set of counters that are available at a specified collection *PerfInterval.level*. 
*PerformanceManagerApi* | [**performance_manager_query_perf_provider_summary**](docs/PerformanceManagerApi.md#performance_manager_query_perf_provider_summary) | **POST** /PerformanceManager/{moId}/QueryPerfProviderSummary | Retrieves the *PerfProviderSummary* data object that defines the capabilities of the specified managed object with respect to statistics, such as whether it supports current or summary statistics&amp;#46; 
*PerformanceManagerApi* | [**performance_manager_remove_perf_interval**](docs/PerformanceManagerApi.md#performance_manager_remove_perf_interval) | **POST** /PerformanceManager/{moId}/RemovePerfInterval | Removes an interval from the list. 
*PerformanceManagerApi* | [**performance_manager_reset_counter_level_mapping**](docs/PerformanceManagerApi.md#performance_manager_reset_counter_level_mapping) | **POST** /PerformanceManager/{moId}/ResetCounterLevelMapping | Restores a set of performance counters to the default level of data collection. 
*PerformanceManagerApi* | [**performance_manager_update_counter_level_mapping**](docs/PerformanceManagerApi.md#performance_manager_update_counter_level_mapping) | **POST** /PerformanceManager/{moId}/UpdateCounterLevelMapping | Changes the level of data collection for a set of performance counters. 
*PerformanceManagerApi* | [**performance_manager_update_perf_interval**](docs/PerformanceManagerApi.md#performance_manager_update_perf_interval) | **POST** /PerformanceManager/{moId}/UpdatePerfInterval | Modifies VirtualCenter Server&#39;s built-in *historical intervals*, within certain limits. 
*ProfileApi* | [**profile_associate_profile**](docs/ProfileApi.md#profile_associate_profile) | **POST** /Profile/{moId}/AssociateProfile | Associate a profile with a managed entity. 
*ProfileApi* | [**profile_check_profile_compliance_task**](docs/ProfileApi.md#profile_check_profile_compliance_task) | **POST** /Profile/{moId}/CheckProfileCompliance_Task | Check compliance of an entity against a Profile. 
*ProfileApi* | [**profile_destroy_profile**](docs/ProfileApi.md#profile_destroy_profile) | **POST** /Profile/{moId}/DestroyProfile | Destroy the profile. 
*ProfileApi* | [**profile_dissociate_profile**](docs/ProfileApi.md#profile_dissociate_profile) | **POST** /Profile/{moId}/DissociateProfile | Remove the association between a profile and a managed entity. 
*ProfileApi* | [**profile_export_profile**](docs/ProfileApi.md#profile_export_profile) | **POST** /Profile/{moId}/ExportProfile | Export the profile in a serialized form. 
*ProfileApi* | [**profile_get_compliance_status**](docs/ProfileApi.md#profile_get_compliance_status) | **GET** /Profile/{moId}/complianceStatus | Overall compliance of entities associated with this profile. 
*ProfileApi* | [**profile_get_config**](docs/ProfileApi.md#profile_get_config) | **GET** /Profile/{moId}/config | Configuration data for the profile. 
*ProfileApi* | [**profile_get_created_time**](docs/ProfileApi.md#profile_get_created_time) | **GET** /Profile/{moId}/createdTime | Time at which the profile was created. 
*ProfileApi* | [**profile_get_description**](docs/ProfileApi.md#profile_get_description) | **GET** /Profile/{moId}/description | Localizable description of the profile 
*ProfileApi* | [**profile_get_entity**](docs/ProfileApi.md#profile_get_entity) | **GET** /Profile/{moId}/entity | List of managed entities associated with the profile. 
*ProfileApi* | [**profile_get_modified_time**](docs/ProfileApi.md#profile_get_modified_time) | **GET** /Profile/{moId}/modifiedTime | Time at which the profile was last modified. 
*ProfileApi* | [**profile_get_name**](docs/ProfileApi.md#profile_get_name) | **GET** /Profile/{moId}/name | Name of the profile. 
*ProfileApi* | [**profile_retrieve_description**](docs/ProfileApi.md#profile_retrieve_description) | **POST** /Profile/{moId}/RetrieveDescription | Returns the localizable description for the profile. 
*ProfileComplianceManagerApi* | [**profile_compliance_manager_check_compliance_task**](docs/ProfileComplianceManagerApi.md#profile_compliance_manager_check_compliance_task) | **POST** /ProfileComplianceManager/{moId}/CheckCompliance_Task | Check compliance of an entity against a Profile. 
*ProfileComplianceManagerApi* | [**profile_compliance_manager_clear_compliance_status**](docs/ProfileComplianceManagerApi.md#profile_compliance_manager_clear_compliance_status) | **POST** /ProfileComplianceManager/{moId}/ClearComplianceStatus | Clear the saved ComplianceResult based on profile and entity filtering criteria. 
*ProfileComplianceManagerApi* | [**profile_compliance_manager_query_compliance_status**](docs/ProfileComplianceManagerApi.md#profile_compliance_manager_query_compliance_status) | **POST** /ProfileComplianceManager/{moId}/QueryComplianceStatus | Query the compliance status based on Profile and Entity filter. 
*ProfileComplianceManagerApi* | [**profile_compliance_manager_query_expression_metadata**](docs/ProfileComplianceManagerApi.md#profile_compliance_manager_query_expression_metadata) | **POST** /ProfileComplianceManager/{moId}/QueryExpressionMetadata | Query the metadata for the expressions. 
*ProfileManagerApi* | [**profile_manager_create_profile**](docs/ProfileManagerApi.md#profile_manager_create_profile) | **POST** /ProfileManager/{moId}/CreateProfile | Create a profile from the specified CreateSpec. 
*ProfileManagerApi* | [**profile_manager_find_associated_profile**](docs/ProfileManagerApi.md#profile_manager_find_associated_profile) | **POST** /ProfileManager/{moId}/FindAssociatedProfile | Get the profile(s) to which this entity is associated. 
*ProfileManagerApi* | [**profile_manager_get_profile**](docs/ProfileManagerApi.md#profile_manager_get_profile) | **GET** /ProfileManager/{moId}/profile | A list of profiles known to this ProfileManager. 
*ProfileManagerApi* | [**profile_manager_query_policy_metadata**](docs/ProfileManagerApi.md#profile_manager_query_policy_metadata) | **POST** /ProfileManager/{moId}/QueryPolicyMetadata | Get the Metadata information for the policyNames. 
*PropertyCollectorApi* | [**property_collector_cancel_retrieve_properties_ex**](docs/PropertyCollectorApi.md#property_collector_cancel_retrieve_properties_ex) | **POST** /PropertyCollector/{moId}/CancelRetrievePropertiesEx | Discards remaining results from a retrieval started by *PropertyCollector.RetrievePropertiesEx* on the same session on the same *PropertyCollector*. 
*PropertyCollectorApi* | [**property_collector_cancel_wait_for_updates**](docs/PropertyCollectorApi.md#property_collector_cancel_wait_for_updates) | **POST** /PropertyCollector/{moId}/CancelWaitForUpdates | Attempts to cancel outstanding calls to *PropertyCollector.WaitForUpdates* or *PropertyCollector.WaitForUpdatesEx* in the current session. 
*PropertyCollectorApi* | [**property_collector_check_for_updates**](docs/PropertyCollectorApi.md#property_collector_check_for_updates) | **POST** /PropertyCollector/{moId}/CheckForUpdates | Checks for updates on properties specified by the union of all current filters. 
*PropertyCollectorApi* | [**property_collector_continue_retrieve_properties_ex**](docs/PropertyCollectorApi.md#property_collector_continue_retrieve_properties_ex) | **POST** /PropertyCollector/{moId}/ContinueRetrievePropertiesEx | Retrieves additional results from a retrieval started by *PropertyCollector.RetrievePropertiesEx* on the same session on the same *PropertyCollector*. 
*PropertyCollectorApi* | [**property_collector_create_filter**](docs/PropertyCollectorApi.md#property_collector_create_filter) | **POST** /PropertyCollector/{moId}/CreateFilter | Creates a new filter for the given set of managed objects. 
*PropertyCollectorApi* | [**property_collector_create_property_collector**](docs/PropertyCollectorApi.md#property_collector_create_property_collector) | **POST** /PropertyCollector/{moId}/CreatePropertyCollector | Creates a new session-specific *PropertyCollector* that can be used to retrieve property updates independent of any other *PropertyCollector*. 
*PropertyCollectorApi* | [**property_collector_destroy_property_collector**](docs/PropertyCollectorApi.md#property_collector_destroy_property_collector) | **POST** /PropertyCollector/{moId}/DestroyPropertyCollector | Destroys this *PropertyCollector*. 
*PropertyCollectorApi* | [**property_collector_get_filter**](docs/PropertyCollectorApi.md#property_collector_get_filter) | **GET** /PropertyCollector/{moId}/filter | The filters that this *PropertyCollector* uses to determine the list of properties for which it detects incremental changes. 
*PropertyCollectorApi* | [**property_collector_retrieve_properties**](docs/PropertyCollectorApi.md#property_collector_retrieve_properties) | **POST** /PropertyCollector/{moId}/RetrieveProperties | Retrieves the specified properties of the specified managed objects. 
*PropertyCollectorApi* | [**property_collector_retrieve_properties_ex**](docs/PropertyCollectorApi.md#property_collector_retrieve_properties_ex) | **POST** /PropertyCollector/{moId}/RetrievePropertiesEx | Retrieves the specified properties of the specified managed objects. 
*PropertyCollectorApi* | [**property_collector_wait_for_updates**](docs/PropertyCollectorApi.md#property_collector_wait_for_updates) | **POST** /PropertyCollector/{moId}/WaitForUpdates | Calculate the set of updates for each existing filter in the session, returning when at least one filter has updates. 
*PropertyCollectorApi* | [**property_collector_wait_for_updates_ex**](docs/PropertyCollectorApi.md#property_collector_wait_for_updates_ex) | **POST** /PropertyCollector/{moId}/WaitForUpdatesEx | Calculate the set of updates for each existing filter in the session. 
*PropertyFilterApi* | [**property_filter_destroy_property_filter**](docs/PropertyFilterApi.md#property_filter_destroy_property_filter) | **POST** /PropertyFilter/{moId}/DestroyPropertyFilter | Destroys this filter. 
*PropertyFilterApi* | [**property_filter_get_partial_updates**](docs/PropertyFilterApi.md#property_filter_get_partial_updates) | **GET** /PropertyFilter/{moId}/partialUpdates | Flag to indicate if a change to a nested property reports only the nested change or the entire specified property value. 
*PropertyFilterApi* | [**property_filter_get_spec**](docs/PropertyFilterApi.md#property_filter_get_spec) | **GET** /PropertyFilter/{moId}/spec | Specifications for this filter. 
*ResourcePlanningManagerApi* | [**resource_planning_manager_estimate_database_size**](docs/ResourcePlanningManagerApi.md#resource_planning_manager_estimate_database_size) | **POST** /ResourcePlanningManager/{moId}/EstimateDatabaseSize | Estimates the database size required to store VirtualCenter data. 
*ResourcePoolApi* | [**resource_pool_create_child_vm_task**](docs/ResourcePoolApi.md#resource_pool_create_child_vm_task) | **POST** /ResourcePool/{moId}/CreateChildVM_Task | Creates a new virtual machine in a vApp container. 
*ResourcePoolApi* | [**resource_pool_create_resource_pool**](docs/ResourcePoolApi.md#resource_pool_create_resource_pool) | **POST** /ResourcePool/{moId}/CreateResourcePool | Creates a new resource pool. 
*ResourcePoolApi* | [**resource_pool_create_v_app**](docs/ResourcePoolApi.md#resource_pool_create_v_app) | **POST** /ResourcePool/{moId}/CreateVApp | Creates a new vApp container. 
*ResourcePoolApi* | [**resource_pool_destroy_children**](docs/ResourcePoolApi.md#resource_pool_destroy_children) | **POST** /ResourcePool/{moId}/DestroyChildren | Removes all child resource pools recursively. 
*ResourcePoolApi* | [**resource_pool_destroy_task**](docs/ResourcePoolApi.md#resource_pool_destroy_task) | **POST** /ResourcePool/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*ResourcePoolApi* | [**resource_pool_get_alarm_actions_enabled**](docs/ResourcePoolApi.md#resource_pool_get_alarm_actions_enabled) | **GET** /ResourcePool/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*ResourcePoolApi* | [**resource_pool_get_available_field**](docs/ResourcePoolApi.md#resource_pool_get_available_field) | **GET** /ResourcePool/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ResourcePoolApi* | [**resource_pool_get_child_configuration**](docs/ResourcePoolApi.md#resource_pool_get_child_configuration) | **GET** /ResourcePool/{moId}/childConfiguration | The resource configuration of all direct children (VirtualMachine and ResourcePool) of this resource group. 
*ResourcePoolApi* | [**resource_pool_get_config**](docs/ResourcePoolApi.md#resource_pool_get_config) | **GET** /ResourcePool/{moId}/config | Configuration of this resource pool. 
*ResourcePoolApi* | [**resource_pool_get_config_issue**](docs/ResourcePoolApi.md#resource_pool_get_config_issue) | **GET** /ResourcePool/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*ResourcePoolApi* | [**resource_pool_get_config_status**](docs/ResourcePoolApi.md#resource_pool_get_config_status) | **GET** /ResourcePool/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*ResourcePoolApi* | [**resource_pool_get_custom_value**](docs/ResourcePoolApi.md#resource_pool_get_custom_value) | **GET** /ResourcePool/{moId}/customValue | Custom field values. 
*ResourcePoolApi* | [**resource_pool_get_declared_alarm_state**](docs/ResourcePoolApi.md#resource_pool_get_declared_alarm_state) | **GET** /ResourcePool/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*ResourcePoolApi* | [**resource_pool_get_disabled_method**](docs/ResourcePoolApi.md#resource_pool_get_disabled_method) | **GET** /ResourcePool/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*ResourcePoolApi* | [**resource_pool_get_effective_role**](docs/ResourcePoolApi.md#resource_pool_get_effective_role) | **GET** /ResourcePool/{moId}/effectiveRole | Access rights the current session has to this entity. 
*ResourcePoolApi* | [**resource_pool_get_name**](docs/ResourcePoolApi.md#resource_pool_get_name) | **GET** /ResourcePool/{moId}/name | Name of this entity, unique relative to its parent. 
*ResourcePoolApi* | [**resource_pool_get_namespace**](docs/ResourcePoolApi.md#resource_pool_get_namespace) | **GET** /ResourcePool/{moId}/namespace | The namespace with which the ResourcePool is associated. 
*ResourcePoolApi* | [**resource_pool_get_overall_status**](docs/ResourcePoolApi.md#resource_pool_get_overall_status) | **GET** /ResourcePool/{moId}/overallStatus | General health of this managed entity. 
*ResourcePoolApi* | [**resource_pool_get_owner**](docs/ResourcePoolApi.md#resource_pool_get_owner) | **GET** /ResourcePool/{moId}/owner | The ComputeResource to which this set of one or more nested resource pools belong. 
*ResourcePoolApi* | [**resource_pool_get_parent**](docs/ResourcePoolApi.md#resource_pool_get_parent) | **GET** /ResourcePool/{moId}/parent | Parent of this entity. 
*ResourcePoolApi* | [**resource_pool_get_permission**](docs/ResourcePoolApi.md#resource_pool_get_permission) | **GET** /ResourcePool/{moId}/permission | List of permissions defined for this entity. 
*ResourcePoolApi* | [**resource_pool_get_recent_task**](docs/ResourcePoolApi.md#resource_pool_get_recent_task) | **GET** /ResourcePool/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*ResourcePoolApi* | [**resource_pool_get_resource_pool**](docs/ResourcePoolApi.md#resource_pool_get_resource_pool) | **GET** /ResourcePool/{moId}/resourcePool | The set of child resource pools. 
*ResourcePoolApi* | [**resource_pool_get_runtime**](docs/ResourcePoolApi.md#resource_pool_get_runtime) | **GET** /ResourcePool/{moId}/runtime | Runtime information about a resource pool. 
*ResourcePoolApi* | [**resource_pool_get_summary**](docs/ResourcePoolApi.md#resource_pool_get_summary) | **GET** /ResourcePool/{moId}/summary | Basic information about a resource pool. 
*ResourcePoolApi* | [**resource_pool_get_tag**](docs/ResourcePoolApi.md#resource_pool_get_tag) | **GET** /ResourcePool/{moId}/tag | The set of tags associated with this managed entity. 
*ResourcePoolApi* | [**resource_pool_get_triggered_alarm_state**](docs/ResourcePoolApi.md#resource_pool_get_triggered_alarm_state) | **GET** /ResourcePool/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*ResourcePoolApi* | [**resource_pool_get_value**](docs/ResourcePoolApi.md#resource_pool_get_value) | **GET** /ResourcePool/{moId}/value | List of custom field values. 
*ResourcePoolApi* | [**resource_pool_get_vm**](docs/ResourcePoolApi.md#resource_pool_get_vm) | **GET** /ResourcePool/{moId}/vm | The set of virtual machines associated with this resource pool. 
*ResourcePoolApi* | [**resource_pool_import_v_app**](docs/ResourcePoolApi.md#resource_pool_import_v_app) | **POST** /ResourcePool/{moId}/ImportVApp | Creates a new entity in this resource pool. 
*ResourcePoolApi* | [**resource_pool_move_into_resource_pool**](docs/ResourcePoolApi.md#resource_pool_move_into_resource_pool) | **POST** /ResourcePool/{moId}/MoveIntoResourcePool | Moves a set of resource pools, vApps or virtual machines into this pool. 
*ResourcePoolApi* | [**resource_pool_query_resource_config_option**](docs/ResourcePoolApi.md#resource_pool_query_resource_config_option) | **POST** /ResourcePool/{moId}/QueryResourceConfigOption | Get a value range and default values for *ResourceConfigSpec*. 
*ResourcePoolApi* | [**resource_pool_refresh_runtime**](docs/ResourcePoolApi.md#resource_pool_refresh_runtime) | **POST** /ResourcePool/{moId}/RefreshRuntime | Refreshes the resource usage data that is available in *ResourcePoolRuntimeInfo*. 
*ResourcePoolApi* | [**resource_pool_register_child_vm_task**](docs/ResourcePoolApi.md#resource_pool_register_child_vm_task) | **POST** /ResourcePool/{moId}/RegisterChildVM_Task | Adds an existing virtual machine to this resource pool or vApp. 
*ResourcePoolApi* | [**resource_pool_reload**](docs/ResourcePoolApi.md#resource_pool_reload) | **POST** /ResourcePool/{moId}/Reload | Reload the entity state. 
*ResourcePoolApi* | [**resource_pool_rename_task**](docs/ResourcePoolApi.md#resource_pool_rename_task) | **POST** /ResourcePool/{moId}/Rename_Task | Renames this managed entity. 
*ResourcePoolApi* | [**resource_pool_set_custom_value**](docs/ResourcePoolApi.md#resource_pool_set_custom_value) | **POST** /ResourcePool/{moId}/setCustomValue | Assigns a value to a custom field. 
*ResourcePoolApi* | [**resource_pool_update_child_resource_configuration**](docs/ResourcePoolApi.md#resource_pool_update_child_resource_configuration) | **POST** /ResourcePool/{moId}/UpdateChildResourceConfiguration | Changes resource configuration of a set of children of this resource pool. 
*ResourcePoolApi* | [**resource_pool_update_config**](docs/ResourcePoolApi.md#resource_pool_update_config) | **POST** /ResourcePool/{moId}/UpdateConfig | Updates the configuration of the resource pool. 
*ScheduledTaskApi* | [**scheduled_task_get_available_field**](docs/ScheduledTaskApi.md#scheduled_task_get_available_field) | **GET** /ScheduledTask/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*ScheduledTaskApi* | [**scheduled_task_get_info**](docs/ScheduledTaskApi.md#scheduled_task_get_info) | **GET** /ScheduledTask/{moId}/info | Information about the current scheduled task. 
*ScheduledTaskApi* | [**scheduled_task_get_value**](docs/ScheduledTaskApi.md#scheduled_task_get_value) | **GET** /ScheduledTask/{moId}/value | List of custom field values. 
*ScheduledTaskApi* | [**scheduled_task_reconfigure_scheduled_task**](docs/ScheduledTaskApi.md#scheduled_task_reconfigure_scheduled_task) | **POST** /ScheduledTask/{moId}/ReconfigureScheduledTask | Reconfigures the scheduled task properties. 
*ScheduledTaskApi* | [**scheduled_task_remove_scheduled_task**](docs/ScheduledTaskApi.md#scheduled_task_remove_scheduled_task) | **POST** /ScheduledTask/{moId}/RemoveScheduledTask | Removes the scheduled task. 
*ScheduledTaskApi* | [**scheduled_task_run_scheduled_task**](docs/ScheduledTaskApi.md#scheduled_task_run_scheduled_task) | **POST** /ScheduledTask/{moId}/RunScheduledTask | Runs the scheduled task immediately. 
*ScheduledTaskApi* | [**scheduled_task_set_custom_value**](docs/ScheduledTaskApi.md#scheduled_task_set_custom_value) | **POST** /ScheduledTask/{moId}/setCustomValue | Assigns a value to a custom field. 
*ScheduledTaskManagerApi* | [**scheduled_task_manager_create_object_scheduled_task**](docs/ScheduledTaskManagerApi.md#scheduled_task_manager_create_object_scheduled_task) | **POST** /ScheduledTaskManager/{moId}/CreateObjectScheduledTask | Creates a scheduled task. 
*ScheduledTaskManagerApi* | [**scheduled_task_manager_create_scheduled_task**](docs/ScheduledTaskManagerApi.md#scheduled_task_manager_create_scheduled_task) | **POST** /ScheduledTaskManager/{moId}/CreateScheduledTask | Creates a scheduled task. 
*ScheduledTaskManagerApi* | [**scheduled_task_manager_get_description**](docs/ScheduledTaskManagerApi.md#scheduled_task_manager_get_description) | **GET** /ScheduledTaskManager/{moId}/description | Static descriptive strings used in scheduled tasks. 
*ScheduledTaskManagerApi* | [**scheduled_task_manager_get_scheduled_task**](docs/ScheduledTaskManagerApi.md#scheduled_task_manager_get_scheduled_task) | **GET** /ScheduledTaskManager/{moId}/scheduledTask | All available scheduled tasks. 
*ScheduledTaskManagerApi* | [**scheduled_task_manager_retrieve_entity_scheduled_task**](docs/ScheduledTaskManagerApi.md#scheduled_task_manager_retrieve_entity_scheduled_task) | **POST** /ScheduledTaskManager/{moId}/RetrieveEntityScheduledTask | Available scheduled tasks defined on the entity. 
*ScheduledTaskManagerApi* | [**scheduled_task_manager_retrieve_object_scheduled_task**](docs/ScheduledTaskManagerApi.md#scheduled_task_manager_retrieve_object_scheduled_task) | **POST** /ScheduledTaskManager/{moId}/RetrieveObjectScheduledTask | Available scheduled tasks defined on the object. 
*SearchIndexApi* | [**search_index_find_all_by_dns_name**](docs/SearchIndexApi.md#search_index_find_all_by_dns_name) | **POST** /SearchIndex/{moId}/FindAllByDnsName | Finds all virtual machines or hosts by DNS name. 
*SearchIndexApi* | [**search_index_find_all_by_ip**](docs/SearchIndexApi.md#search_index_find_all_by_ip) | **POST** /SearchIndex/{moId}/FindAllByIp | Finds all virtual machines or hosts by IP address, where the IP address is in dot-decimal notation. 
*SearchIndexApi* | [**search_index_find_all_by_uuid**](docs/SearchIndexApi.md#search_index_find_all_by_uuid) | **POST** /SearchIndex/{moId}/FindAllByUuid | Finds all virtual machines or hosts by UUID. 
*SearchIndexApi* | [**search_index_find_by_datastore_path**](docs/SearchIndexApi.md#search_index_find_by_datastore_path) | **POST** /SearchIndex/{moId}/FindByDatastorePath | Finds a virtual machine by its location on a datastore. 
*SearchIndexApi* | [**search_index_find_by_dns_name**](docs/SearchIndexApi.md#search_index_find_by_dns_name) | **POST** /SearchIndex/{moId}/FindByDnsName | Finds a virtual machine or host by DNS name. 
*SearchIndexApi* | [**search_index_find_by_inventory_path**](docs/SearchIndexApi.md#search_index_find_by_inventory_path) | **POST** /SearchIndex/{moId}/FindByInventoryPath | Finds a managed entity based on its location in the inventory. 
*SearchIndexApi* | [**search_index_find_by_ip**](docs/SearchIndexApi.md#search_index_find_by_ip) | **POST** /SearchIndex/{moId}/FindByIp | Finds a virtual machine or host by IP address, where the IP address is in dot-decimal notation. 
*SearchIndexApi* | [**search_index_find_by_uuid**](docs/SearchIndexApi.md#search_index_find_by_uuid) | **POST** /SearchIndex/{moId}/FindByUuid | Finds a virtual machine or host by BIOS or instance UUID. 
*SearchIndexApi* | [**search_index_find_child**](docs/SearchIndexApi.md#search_index_find_child) | **POST** /SearchIndex/{moId}/FindChild | Finds a particular child based on a managed entity name. 
*ServiceInstanceApi* | [**service_instance_current_time**](docs/ServiceInstanceApi.md#service_instance_current_time) | **POST** /ServiceInstance/{moId}/CurrentTime | Returns the current time on the server. 
*ServiceInstanceApi* | [**service_instance_get_capability**](docs/ServiceInstanceApi.md#service_instance_get_capability) | **GET** /ServiceInstance/{moId}/capability | API-wide capabilities. 
*ServiceInstanceApi* | [**service_instance_get_content**](docs/ServiceInstanceApi.md#service_instance_get_content) | **GET** /ServiceInstance/{moId}/content | The properties of the ServiceInstance managed object. 
*ServiceInstanceApi* | [**service_instance_get_server_clock**](docs/ServiceInstanceApi.md#service_instance_get_server_clock) | **GET** /ServiceInstance/{moId}/serverClock | Contains the time most recently obtained from the server. 
*ServiceInstanceApi* | [**service_instance_query_v_motion_compatibility**](docs/ServiceInstanceApi.md#service_instance_query_v_motion_compatibility) | **POST** /ServiceInstance/{moId}/QueryVMotionCompatibility | Investigates the general VMotion compatibility of a virtual machine with a set of hosts. 
*ServiceInstanceApi* | [**service_instance_retrieve_product_components**](docs/ServiceInstanceApi.md#service_instance_retrieve_product_components) | **POST** /ServiceInstance/{moId}/RetrieveProductComponents | Component information for bundled products 
*ServiceInstanceApi* | [**service_instance_retrieve_service_content**](docs/ServiceInstanceApi.md#service_instance_retrieve_service_content) | **POST** /ServiceInstance/{moId}/RetrieveServiceContent | Retrieves the properties of the service instance. 
*ServiceInstanceApi* | [**service_instance_validate_migration**](docs/ServiceInstanceApi.md#service_instance_validate_migration) | **POST** /ServiceInstance/{moId}/ValidateMigration | Checks the validity of a set of proposed migrations. 
*ServiceManagerApi* | [**service_manager_get_service**](docs/ServiceManagerApi.md#service_manager_get_service) | **GET** /ServiceManager/{moId}/service | The full list of services available in this directory. 
*ServiceManagerApi* | [**service_manager_query_service_list**](docs/ServiceManagerApi.md#service_manager_query_service_list) | **POST** /ServiceManager/{moId}/QueryServiceList | A query interface that returns a list of services that match certain criteria. 
*SessionManagerApi* | [**session_manager_acquire_clone_ticket**](docs/SessionManagerApi.md#session_manager_acquire_clone_ticket) | **POST** /SessionManager/{moId}/AcquireCloneTicket | Acquire a session-specific ticket string which can be used to clone the current session. 
*SessionManagerApi* | [**session_manager_acquire_generic_service_ticket**](docs/SessionManagerApi.md#session_manager_acquire_generic_service_ticket) | **POST** /SessionManager/{moId}/AcquireGenericServiceTicket | Creates and returns a one-time credential that may be used to make the specified request. 
*SessionManagerApi* | [**session_manager_acquire_local_ticket**](docs/SessionManagerApi.md#session_manager_acquire_local_ticket) | **POST** /SessionManager/{moId}/AcquireLocalTicket | Acquires a one-time ticket for mutual authentication between a server and client. 
*SessionManagerApi* | [**session_manager_clone_session**](docs/SessionManagerApi.md#session_manager_clone_session) | **POST** /SessionManager/{moId}/CloneSession | Clone the session specified by the clone ticket and associate it with the current connection. 
*SessionManagerApi* | [**session_manager_get_current_session**](docs/SessionManagerApi.md#session_manager_get_current_session) | **GET** /SessionManager/{moId}/currentSession | This property contains information about the client&#39;s current session. 
*SessionManagerApi* | [**session_manager_get_default_locale**](docs/SessionManagerApi.md#session_manager_get_default_locale) | **GET** /SessionManager/{moId}/defaultLocale | This is the default server locale. 
*SessionManagerApi* | [**session_manager_get_message**](docs/SessionManagerApi.md#session_manager_get_message) | **GET** /SessionManager/{moId}/message | The system global message from the server. 
*SessionManagerApi* | [**session_manager_get_message_locale_list**](docs/SessionManagerApi.md#session_manager_get_message_locale_list) | **GET** /SessionManager/{moId}/messageLocaleList | Provides the list of locales for which the server has localized messages. 
*SessionManagerApi* | [**session_manager_get_session_list**](docs/SessionManagerApi.md#session_manager_get_session_list) | **GET** /SessionManager/{moId}/sessionList | The list of currently active sessions. 
*SessionManagerApi* | [**session_manager_get_supported_locale_list**](docs/SessionManagerApi.md#session_manager_get_supported_locale_list) | **GET** /SessionManager/{moId}/supportedLocaleList | Provides the list of locales that the server supports. 
*SessionManagerApi* | [**session_manager_impersonate_user**](docs/SessionManagerApi.md#session_manager_impersonate_user) | **POST** /SessionManager/{moId}/ImpersonateUser | Converts current session to impersonate the specified user. 
*SessionManagerApi* | [**session_manager_login**](docs/SessionManagerApi.md#session_manager_login) | **POST** /SessionManager/{moId}/Login | Log on to the server. 
*SessionManagerApi* | [**session_manager_login_by_sspi**](docs/SessionManagerApi.md#session_manager_login_by_sspi) | **POST** /SessionManager/{moId}/LoginBySSPI | Log on to the server using SSPI pass-through authentication. 
*SessionManagerApi* | [**session_manager_login_by_token**](docs/SessionManagerApi.md#session_manager_login_by_token) | **POST** /SessionManager/{moId}/LoginByToken | Log on to the server through token representing principal identity. 
*SessionManagerApi* | [**session_manager_login_extension**](docs/SessionManagerApi.md#session_manager_login_extension) | **POST** /SessionManager/{moId}/LoginExtension | Creates a special privileged session that includes the Sessions.ImpersonateUser privilege. 
*SessionManagerApi* | [**session_manager_login_extension_by_certificate**](docs/SessionManagerApi.md#session_manager_login_extension_by_certificate) | **POST** /SessionManager/{moId}/LoginExtensionByCertificate | Creates a special privileged session that includes the Sessions.ImpersonateUser privilege. 
*SessionManagerApi* | [**session_manager_login_extension_by_subject_name**](docs/SessionManagerApi.md#session_manager_login_extension_by_subject_name) | **POST** /SessionManager/{moId}/LoginExtensionBySubjectName | Creates a special privileged session that includes the Sessions.ImpersonateUser privilege. 
*SessionManagerApi* | [**session_manager_logout**](docs/SessionManagerApi.md#session_manager_logout) | **POST** /SessionManager/{moId}/Logout | Log out and terminate the current session. 
*SessionManagerApi* | [**session_manager_session_is_active**](docs/SessionManagerApi.md#session_manager_session_is_active) | **POST** /SessionManager/{moId}/SessionIsActive | Validates that a currently-active session exists with the specified sessionID and userName associated with it. 
*SessionManagerApi* | [**session_manager_set_locale**](docs/SessionManagerApi.md#session_manager_set_locale) | **POST** /SessionManager/{moId}/SetLocale | Sets the session locale. 
*SessionManagerApi* | [**session_manager_terminate_session**](docs/SessionManagerApi.md#session_manager_terminate_session) | **POST** /SessionManager/{moId}/TerminateSession | Log off and terminate the provided list of sessions. 
*SessionManagerApi* | [**session_manager_update_service_message**](docs/SessionManagerApi.md#session_manager_update_service_message) | **POST** /SessionManager/{moId}/UpdateServiceMessage | Updates the system global message. 
*SimpleCommandApi* | [**simple_command_execute_simple_command**](docs/SimpleCommandApi.md#simple_command_execute_simple_command) | **POST** /SimpleCommand/{moId}/ExecuteSimpleCommand | The single function execution point for this simple command. 
*SimpleCommandApi* | [**simple_command_get_encoding_type**](docs/SimpleCommandApi.md#simple_command_get_encoding_type) | **GET** /SimpleCommand/{moId}/encodingType | The encoding type used in the result. 
*SimpleCommandApi* | [**simple_command_get_entity**](docs/SimpleCommandApi.md#simple_command_get_entity) | **GET** /SimpleCommand/{moId}/entity | A description of the service. 
*SiteInfoManagerApi* | [**site_info_manager_get_site_info**](docs/SiteInfoManagerApi.md#site_info_manager_get_site_info) | **POST** /SiteInfoManager/{moId}/GetSiteInfo | Returns the *SiteInfo* object associated with this vCenter. 
*StoragePodApi* | [**storage_pod_add_standalone_host_task**](docs/StoragePodApi.md#storage_pod_add_standalone_host_task) | **POST** /StoragePod/{moId}/AddStandaloneHost_Task | Creates a new single-host compute resource. 
*StoragePodApi* | [**storage_pod_batch_add_hosts_to_cluster_task**](docs/StoragePodApi.md#storage_pod_batch_add_hosts_to_cluster_task) | **POST** /StoragePod/{moId}/BatchAddHostsToCluster_Task | Adds a set of new and existing hosts to the cluster. 
*StoragePodApi* | [**storage_pod_batch_add_standalone_hosts_task**](docs/StoragePodApi.md#storage_pod_batch_add_standalone_hosts_task) | **POST** /StoragePod/{moId}/BatchAddStandaloneHosts_Task | Adds a list of hosts to inventory, as standalone hosts, in a single invocation. 
*StoragePodApi* | [**storage_pod_create_cluster**](docs/StoragePodApi.md#storage_pod_create_cluster) | **POST** /StoragePod/{moId}/CreateCluster | Creates a new cluster compute resource in this folder. 
*StoragePodApi* | [**storage_pod_create_cluster_ex**](docs/StoragePodApi.md#storage_pod_create_cluster_ex) | **POST** /StoragePod/{moId}/CreateClusterEx | Creates a new cluster compute resource in this folder. 
*StoragePodApi* | [**storage_pod_create_datacenter**](docs/StoragePodApi.md#storage_pod_create_datacenter) | **POST** /StoragePod/{moId}/CreateDatacenter | Creates a new datacenter with the given name. 
*StoragePodApi* | [**storage_pod_create_dvs_task**](docs/StoragePodApi.md#storage_pod_create_dvs_task) | **POST** /StoragePod/{moId}/CreateDVS_Task | Create a *DistributedVirtualSwitch* in the folder according to the specified *DVSCreateSpec*. 
*StoragePodApi* | [**storage_pod_create_folder**](docs/StoragePodApi.md#storage_pod_create_folder) | **POST** /StoragePod/{moId}/CreateFolder | Creates a new sub-folder with the specified name. 
*StoragePodApi* | [**storage_pod_create_storage_pod**](docs/StoragePodApi.md#storage_pod_create_storage_pod) | **POST** /StoragePod/{moId}/CreateStoragePod | Creates a new storage pod in this folder. 
*StoragePodApi* | [**storage_pod_create_vm_task**](docs/StoragePodApi.md#storage_pod_create_vm_task) | **POST** /StoragePod/{moId}/CreateVM_Task | Creates a new virtual machine in the current folder and attaches it to the specified resource pool. 
*StoragePodApi* | [**storage_pod_destroy_task**](docs/StoragePodApi.md#storage_pod_destroy_task) | **POST** /StoragePod/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*StoragePodApi* | [**storage_pod_get_alarm_actions_enabled**](docs/StoragePodApi.md#storage_pod_get_alarm_actions_enabled) | **GET** /StoragePod/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*StoragePodApi* | [**storage_pod_get_available_field**](docs/StoragePodApi.md#storage_pod_get_available_field) | **GET** /StoragePod/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*StoragePodApi* | [**storage_pod_get_child_entity**](docs/StoragePodApi.md#storage_pod_get_child_entity) | **GET** /StoragePod/{moId}/childEntity | An array of managed object references. 
*StoragePodApi* | [**storage_pod_get_child_type**](docs/StoragePodApi.md#storage_pod_get_child_type) | **GET** /StoragePod/{moId}/childType | Specifies the object types a folder may contain. 
*StoragePodApi* | [**storage_pod_get_config_issue**](docs/StoragePodApi.md#storage_pod_get_config_issue) | **GET** /StoragePod/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*StoragePodApi* | [**storage_pod_get_config_status**](docs/StoragePodApi.md#storage_pod_get_config_status) | **GET** /StoragePod/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*StoragePodApi* | [**storage_pod_get_custom_value**](docs/StoragePodApi.md#storage_pod_get_custom_value) | **GET** /StoragePod/{moId}/customValue | Custom field values. 
*StoragePodApi* | [**storage_pod_get_declared_alarm_state**](docs/StoragePodApi.md#storage_pod_get_declared_alarm_state) | **GET** /StoragePod/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*StoragePodApi* | [**storage_pod_get_disabled_method**](docs/StoragePodApi.md#storage_pod_get_disabled_method) | **GET** /StoragePod/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*StoragePodApi* | [**storage_pod_get_effective_role**](docs/StoragePodApi.md#storage_pod_get_effective_role) | **GET** /StoragePod/{moId}/effectiveRole | Access rights the current session has to this entity. 
*StoragePodApi* | [**storage_pod_get_name**](docs/StoragePodApi.md#storage_pod_get_name) | **GET** /StoragePod/{moId}/name | Name of this entity, unique relative to its parent. 
*StoragePodApi* | [**storage_pod_get_namespace**](docs/StoragePodApi.md#storage_pod_get_namespace) | **GET** /StoragePod/{moId}/namespace | The namespace with which the Folder is associated. 
*StoragePodApi* | [**storage_pod_get_overall_status**](docs/StoragePodApi.md#storage_pod_get_overall_status) | **GET** /StoragePod/{moId}/overallStatus | General health of this managed entity. 
*StoragePodApi* | [**storage_pod_get_parent**](docs/StoragePodApi.md#storage_pod_get_parent) | **GET** /StoragePod/{moId}/parent | Parent of this entity. 
*StoragePodApi* | [**storage_pod_get_permission**](docs/StoragePodApi.md#storage_pod_get_permission) | **GET** /StoragePod/{moId}/permission | List of permissions defined for this entity. 
*StoragePodApi* | [**storage_pod_get_pod_storage_drs_entry**](docs/StoragePodApi.md#storage_pod_get_pod_storage_drs_entry) | **GET** /StoragePod/{moId}/podStorageDrsEntry | Storage DRS related attributes of the Storage Pod. 
*StoragePodApi* | [**storage_pod_get_recent_task**](docs/StoragePodApi.md#storage_pod_get_recent_task) | **GET** /StoragePod/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*StoragePodApi* | [**storage_pod_get_summary**](docs/StoragePodApi.md#storage_pod_get_summary) | **GET** /StoragePod/{moId}/summary | Storage pod summary. 
*StoragePodApi* | [**storage_pod_get_tag**](docs/StoragePodApi.md#storage_pod_get_tag) | **GET** /StoragePod/{moId}/tag | The set of tags associated with this managed entity. 
*StoragePodApi* | [**storage_pod_get_triggered_alarm_state**](docs/StoragePodApi.md#storage_pod_get_triggered_alarm_state) | **GET** /StoragePod/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*StoragePodApi* | [**storage_pod_get_value**](docs/StoragePodApi.md#storage_pod_get_value) | **GET** /StoragePod/{moId}/value | List of custom field values. 
*StoragePodApi* | [**storage_pod_move_into_folder_task**](docs/StoragePodApi.md#storage_pod_move_into_folder_task) | **POST** /StoragePod/{moId}/MoveIntoFolder_Task | Moves a set of managed entities into this folder. 
*StoragePodApi* | [**storage_pod_register_vm_task**](docs/StoragePodApi.md#storage_pod_register_vm_task) | **POST** /StoragePod/{moId}/RegisterVM_Task | Adds an existing virtual machine to the folder. 
*StoragePodApi* | [**storage_pod_reload**](docs/StoragePodApi.md#storage_pod_reload) | **POST** /StoragePod/{moId}/Reload | Reload the entity state. 
*StoragePodApi* | [**storage_pod_rename_task**](docs/StoragePodApi.md#storage_pod_rename_task) | **POST** /StoragePod/{moId}/Rename_Task | Renames this managed entity. 
*StoragePodApi* | [**storage_pod_set_custom_value**](docs/StoragePodApi.md#storage_pod_set_custom_value) | **POST** /StoragePod/{moId}/setCustomValue | Assigns a value to a custom field. 
*StoragePodApi* | [**storage_pod_unregister_and_destroy_task**](docs/StoragePodApi.md#storage_pod_unregister_and_destroy_task) | **POST** /StoragePod/{moId}/UnregisterAndDestroy_Task | Recursively unregisters all virtual machines and vApps, and destroys all child virtual machine folders. 
*StorageQueryManagerApi* | [**storage_query_manager_query_hosts_with_attached_lun**](docs/StorageQueryManagerApi.md#storage_query_manager_query_hosts_with_attached_lun) | **POST** /StorageQueryManager/{moId}/QueryHostsWithAttachedLun | Query the set of all hosts which have the specified lun attached. 
*StorageResourceManagerApi* | [**storage_resource_manager_apply_storage_drs_recommendation_task**](docs/StorageResourceManagerApi.md#storage_resource_manager_apply_storage_drs_recommendation_task) | **POST** /StorageResourceManager/{moId}/ApplyStorageDrsRecommendation_Task | Applies a recommendation from the recommendation list that is generated by SDRS initial placement invoked by RecommendDatastore method. 
*StorageResourceManagerApi* | [**storage_resource_manager_apply_storage_drs_recommendation_to_pod_task**](docs/StorageResourceManagerApi.md#storage_resource_manager_apply_storage_drs_recommendation_to_pod_task) | **POST** /StorageResourceManager/{moId}/ApplyStorageDrsRecommendationToPod_Task | Applies a recommendation from the recommendation list that is generated by SDRS load balancing activity. 
*StorageResourceManagerApi* | [**storage_resource_manager_cancel_storage_drs_recommendation**](docs/StorageResourceManagerApi.md#storage_resource_manager_cancel_storage_drs_recommendation) | **POST** /StorageResourceManager/{moId}/CancelStorageDrsRecommendation | Cancels a recommendation. 
*StorageResourceManagerApi* | [**storage_resource_manager_configure_datastore_iorm_task**](docs/StorageResourceManagerApi.md#storage_resource_manager_configure_datastore_iorm_task) | **POST** /StorageResourceManager/{moId}/ConfigureDatastoreIORM_Task | Changes configuration of storage I/O resource management for a given datastore. 
*StorageResourceManagerApi* | [**storage_resource_manager_configure_storage_drs_for_pod_task**](docs/StorageResourceManagerApi.md#storage_resource_manager_configure_storage_drs_for_pod_task) | **POST** /StorageResourceManager/{moId}/ConfigureStorageDrsForPod_Task | Change the storage DRS configuration for a pod *StoragePod*. 
*StorageResourceManagerApi* | [**storage_resource_manager_query_datastore_performance_summary**](docs/StorageResourceManagerApi.md#storage_resource_manager_query_datastore_performance_summary) | **POST** /StorageResourceManager/{moId}/QueryDatastorePerformanceSummary | Returns datastore summary performance statistics. 
*StorageResourceManagerApi* | [**storage_resource_manager_query_iorm_config_option**](docs/StorageResourceManagerApi.md#storage_resource_manager_query_iorm_config_option) | **POST** /StorageResourceManager/{moId}/QueryIORMConfigOption | Query configuration options for storage I/O resource management. 
*StorageResourceManagerApi* | [**storage_resource_manager_recommend_datastores**](docs/StorageResourceManagerApi.md#storage_resource_manager_recommend_datastores) | **POST** /StorageResourceManager/{moId}/RecommendDatastores | 
*StorageResourceManagerApi* | [**storage_resource_manager_refresh_storage_drs_recommendation**](docs/StorageResourceManagerApi.md#storage_resource_manager_refresh_storage_drs_recommendation) | **POST** /StorageResourceManager/{moId}/RefreshStorageDrsRecommendation | Make Storage DRS invoke again on the specified pod *StoragePod* and return a new list of recommendations. 
*StorageResourceManagerApi* | [**storage_resource_manager_refresh_storage_drs_recommendations_for_pod_task**](docs/StorageResourceManagerApi.md#storage_resource_manager_refresh_storage_drs_recommendations_for_pod_task) | **POST** /StorageResourceManager/{moId}/RefreshStorageDrsRecommendationsForPod_Task | Invoke Storage DRS on a specific pod *StoragePod* and return a new list of recommendations. 
*StorageResourceManagerApi* | [**storage_resource_manager_validate_storage_pod_config**](docs/StorageResourceManagerApi.md#storage_resource_manager_validate_storage_pod_config) | **POST** /StorageResourceManager/{moId}/ValidateStoragePodConfig | Validate the new storage DRS configuration for a pod *StoragePod*. 
*TaskApi* | [**task_cancel_task**](docs/TaskApi.md#task_cancel_task) | **POST** /Task/{moId}/CancelTask | Cancels a running or queued task. 
*TaskApi* | [**task_get_available_field**](docs/TaskApi.md#task_get_available_field) | **GET** /Task/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*TaskApi* | [**task_get_info**](docs/TaskApi.md#task_get_info) | **GET** /Task/{moId}/info | Detailed information about this task. 
*TaskApi* | [**task_get_value**](docs/TaskApi.md#task_get_value) | **GET** /Task/{moId}/value | List of custom field values. 
*TaskApi* | [**task_set_custom_value**](docs/TaskApi.md#task_set_custom_value) | **POST** /Task/{moId}/setCustomValue | Assigns a value to a custom field. 
*TaskApi* | [**task_set_task_description**](docs/TaskApi.md#task_set_task_description) | **POST** /Task/{moId}/SetTaskDescription | Updates task description to describe the current phase of the task. 
*TaskApi* | [**task_set_task_state**](docs/TaskApi.md#task_set_task_state) | **POST** /Task/{moId}/SetTaskState | Sets task state and optionally sets results or fault, as appropriate for state 
*TaskApi* | [**task_update_progress**](docs/TaskApi.md#task_update_progress) | **POST** /Task/{moId}/UpdateProgress | Sets percentage done for this task and recalculates overall percentage done. 
*TaskHistoryCollectorApi* | [**task_history_collector_destroy_collector**](docs/TaskHistoryCollectorApi.md#task_history_collector_destroy_collector) | **POST** /TaskHistoryCollector/{moId}/DestroyCollector | Destroys this collector. 
*TaskHistoryCollectorApi* | [**task_history_collector_get_filter**](docs/TaskHistoryCollectorApi.md#task_history_collector_get_filter) | **GET** /TaskHistoryCollector/{moId}/filter | The filter used to create this collector. 
*TaskHistoryCollectorApi* | [**task_history_collector_get_latest_page**](docs/TaskHistoryCollectorApi.md#task_history_collector_get_latest_page) | **GET** /TaskHistoryCollector/{moId}/latestPage | The items in the &#39;viewable latest page&#39;. 
*TaskHistoryCollectorApi* | [**task_history_collector_read_next_tasks**](docs/TaskHistoryCollectorApi.md#task_history_collector_read_next_tasks) | **POST** /TaskHistoryCollector/{moId}/ReadNextTasks | Reads the &#39;scrollable view&#39; from the current position. 
*TaskHistoryCollectorApi* | [**task_history_collector_read_previous_tasks**](docs/TaskHistoryCollectorApi.md#task_history_collector_read_previous_tasks) | **POST** /TaskHistoryCollector/{moId}/ReadPreviousTasks | Reads the &#39;scrollable view&#39; from the current position. 
*TaskHistoryCollectorApi* | [**task_history_collector_reset_collector**](docs/TaskHistoryCollectorApi.md#task_history_collector_reset_collector) | **POST** /TaskHistoryCollector/{moId}/ResetCollector | Moves the \&quot;scrollable view\&quot; to the item immediately preceding the \&quot;viewable latest page\&quot;. 
*TaskHistoryCollectorApi* | [**task_history_collector_rewind_collector**](docs/TaskHistoryCollectorApi.md#task_history_collector_rewind_collector) | **POST** /TaskHistoryCollector/{moId}/RewindCollector | Moves the \&quot;scrollable view\&quot; to the oldest item. 
*TaskHistoryCollectorApi* | [**task_history_collector_set_collector_page_size**](docs/TaskHistoryCollectorApi.md#task_history_collector_set_collector_page_size) | **POST** /TaskHistoryCollector/{moId}/SetCollectorPageSize | Sets the \&quot;viewable latest page\&quot; size to contain at most the number of items specified by the maxCount parameter). 
*TaskManagerApi* | [**task_manager_create_collector_for_tasks**](docs/TaskManagerApi.md#task_manager_create_collector_for_tasks) | **POST** /TaskManager/{moId}/CreateCollectorForTasks | Creates a *TaskHistoryCollector*, a specialized *HistoryCollector* that gathers *TaskInfo* data objects. 
*TaskManagerApi* | [**task_manager_create_task**](docs/TaskManagerApi.md#task_manager_create_task) | **POST** /TaskManager/{moId}/CreateTask | Creates a new *Task*, specifying the object with which the *Task* is associated, the type of task, and whether the task is cancelable. 
*TaskManagerApi* | [**task_manager_get_description**](docs/TaskManagerApi.md#task_manager_get_description) | **GET** /TaskManager/{moId}/description | Locale-specific, static strings that describe *Task* information to users. 
*TaskManagerApi* | [**task_manager_get_max_collector**](docs/TaskManagerApi.md#task_manager_get_max_collector) | **GET** /TaskManager/{moId}/maxCollector | Maximum number of *TaskHistoryCollector* data objects that can exist concurrently, per client. 
*TaskManagerApi* | [**task_manager_get_recent_task**](docs/TaskManagerApi.md#task_manager_get_recent_task) | **GET** /TaskManager/{moId}/recentTask | A list of *Task* managed objects that completed recently, that are currently running, or that are queued to run. 
*TenantTenantManagerApi* | [**tenant_tenant_manager_mark_service_provider_entities**](docs/TenantTenantManagerApi.md#tenant_tenant_manager_mark_service_provider_entities) | **POST** /TenantTenantManager/{moId}/MarkServiceProviderEntities | Define a set of ManagedEntity objects as used for tenant management. 
*TenantTenantManagerApi* | [**tenant_tenant_manager_retrieve_service_provider_entities**](docs/TenantTenantManagerApi.md#tenant_tenant_manager_retrieve_service_provider_entities) | **POST** /TenantTenantManager/{moId}/RetrieveServiceProviderEntities | Retrieves the list of tenant management entities. 
*TenantTenantManagerApi* | [**tenant_tenant_manager_unmark_service_provider_entities**](docs/TenantTenantManagerApi.md#tenant_tenant_manager_unmark_service_provider_entities) | **POST** /TenantTenantManager/{moId}/UnmarkServiceProviderEntities | Resets the management type of an array of ManagedEntity objects. 
*UserDirectoryApi* | [**user_directory_get_domain_list**](docs/UserDirectoryApi.md#user_directory_get_domain_list) | **GET** /UserDirectory/{moId}/domainList | List of Windows domains available for user searches, if the underlying system supports windows domain membership. 
*UserDirectoryApi* | [**user_directory_retrieve_user_groups**](docs/UserDirectoryApi.md#user_directory_retrieve_user_groups) | **POST** /UserDirectory/{moId}/RetrieveUserGroups | Returns a list of *UserSearchResult* objects describing the users and groups defined for the server. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_attach_tag_to_v_storage_object**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_attach_tag_to_v_storage_object) | **POST** /VcenterVStorageObjectManager/{moId}/AttachTagToVStorageObject | Attach a tag to a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_clear_v_storage_object_control_flags**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_clear_v_storage_object_control_flags) | **POST** /VcenterVStorageObjectManager/{moId}/ClearVStorageObjectControlFlags | Clear control flags on VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_clone_v_storage_object_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_clone_v_storage_object_task) | **POST** /VcenterVStorageObjectManager/{moId}/CloneVStorageObject_Task | Clone a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_create_disk_from_snapshot_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_create_disk_from_snapshot_task) | **POST** /VcenterVStorageObjectManager/{moId}/CreateDiskFromSnapshot_Task | Creates a new Disk from given snapshot of a VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_create_disk_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_create_disk_task) | **POST** /VcenterVStorageObjectManager/{moId}/CreateDisk_Task | Create a virtual disk, which is a storage object with *disk* as consumption type. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_delete_snapshot_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_delete_snapshot_task) | **POST** /VcenterVStorageObjectManager/{moId}/DeleteSnapshot_Task | Deletes a given snapshot of a VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_delete_v_storage_object_ex_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_delete_v_storage_object_ex_task) | **POST** /VcenterVStorageObjectManager/{moId}/DeleteVStorageObjectEx_Task | Delete a virtual storage object and its associated backings. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_delete_v_storage_object_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_delete_v_storage_object_task) | **POST** /VcenterVStorageObjectManager/{moId}/DeleteVStorageObject_Task | Delete a virtual storage object and its associated backings. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_detach_tag_from_v_storage_object**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_detach_tag_from_v_storage_object) | **POST** /VcenterVStorageObjectManager/{moId}/DetachTagFromVStorageObject | Detach a tag from a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_extend_disk_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_extend_disk_task) | **POST** /VcenterVStorageObjectManager/{moId}/ExtendDisk_Task | Expand the capacity of a virtual disk, which is a storage object with *disk*, to the new capacity. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_inflate_disk_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_inflate_disk_task) | **POST** /VcenterVStorageObjectManager/{moId}/InflateDisk_Task | Inflate a sparse or thin-provisioned virtual disk up to the full size. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_list_tags_attached_to_v_storage_object**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_list_tags_attached_to_v_storage_object) | **POST** /VcenterVStorageObjectManager/{moId}/ListTagsAttachedToVStorageObject | Lists all tags attached to virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_list_v_storage_object**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_list_v_storage_object) | **POST** /VcenterVStorageObjectManager/{moId}/ListVStorageObject | List all virtual storage objects located on a datastore. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_list_v_storage_objects_attached_to_tag**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_list_v_storage_objects_attached_to_tag) | **POST** /VcenterVStorageObjectManager/{moId}/ListVStorageObjectsAttachedToTag | Lists all virtual storage objects attached to the tag. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_reconcile_datastore_inventory_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_reconcile_datastore_inventory_task) | **POST** /VcenterVStorageObjectManager/{moId}/ReconcileDatastoreInventory_Task | Reconcile the datastore inventory info of virtual storage objects. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_register_disk**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_register_disk) | **POST** /VcenterVStorageObjectManager/{moId}/RegisterDisk | Promote a virtual disk to a First Class Disk. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_relocate_v_storage_object_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_relocate_v_storage_object_task) | **POST** /VcenterVStorageObjectManager/{moId}/RelocateVStorageObject_Task | Relocate a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_rename_v_storage_object**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_rename_v_storage_object) | **POST** /VcenterVStorageObjectManager/{moId}/RenameVStorageObject | Rename a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_retrieve_snapshot_details**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_retrieve_snapshot_details) | **POST** /VcenterVStorageObjectManager/{moId}/RetrieveSnapshotDetails | Retrieves snapshot disk details of a given snapshot. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_retrieve_snapshot_info**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_retrieve_snapshot_info) | **POST** /VcenterVStorageObjectManager/{moId}/RetrieveSnapshotInfo | Retrieves snapshot information of a given VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_retrieve_v_storage_infrastructure_object_policy**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_retrieve_v_storage_infrastructure_object_policy) | **POST** /VcenterVStorageObjectManager/{moId}/RetrieveVStorageInfrastructureObjectPolicy | Retrieve virtual storage infrastructure object SBPM policy on given datastore. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_retrieve_v_storage_object**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_retrieve_v_storage_object) | **POST** /VcenterVStorageObjectManager/{moId}/RetrieveVStorageObject | Retrieve a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_retrieve_v_storage_object_associations**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_retrieve_v_storage_object_associations) | **POST** /VcenterVStorageObjectManager/{moId}/RetrieveVStorageObjectAssociations | Retrieve vm associations for each virtual storage object in the query. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_retrieve_v_storage_object_state**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_retrieve_v_storage_object_state) | **POST** /VcenterVStorageObjectManager/{moId}/RetrieveVStorageObjectState | Retrieve a virtual storage object state. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_revert_v_storage_object_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_revert_v_storage_object_task) | **POST** /VcenterVStorageObjectManager/{moId}/RevertVStorageObject_Task | Reverts to a given snapshot of a VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_schedule_reconcile_datastore_inventory**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_schedule_reconcile_datastore_inventory) | **POST** /VcenterVStorageObjectManager/{moId}/ScheduleReconcileDatastoreInventory | Schedules reconcile of the inventory info of virtual storage objects on one of the hosts that is connected with the datastore. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_set_v_storage_object_control_flags**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_set_v_storage_object_control_flags) | **POST** /VcenterVStorageObjectManager/{moId}/SetVStorageObjectControlFlags | Set control flags on VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_update_v_storage_infrastructure_object_policy_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_update_v_storage_infrastructure_object_policy_task) | **POST** /VcenterVStorageObjectManager/{moId}/UpdateVStorageInfrastructureObjectPolicy_Task | Assigns specified SBPM policy to the given virtual storage infrastructure object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_update_v_storage_object_crypto_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_update_v_storage_object_crypto_task) | **POST** /VcenterVStorageObjectManager/{moId}/UpdateVStorageObjectCrypto_Task | Update the crypto on a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_update_v_storage_object_policy_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_update_v_storage_object_policy_task) | **POST** /VcenterVStorageObjectManager/{moId}/UpdateVStorageObjectPolicy_Task | Update the storage policy on a virtual storage object. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_v_center_update_v_storage_object_metadata_ex_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_v_center_update_v_storage_object_metadata_ex_task) | **POST** /VcenterVStorageObjectManager/{moId}/VCenterUpdateVStorageObjectMetadataEx_Task | Update metadata KV pairs to a virtual storage object and returns the corresponding vclock upon success. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_v_storage_object_create_snapshot_task**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_v_storage_object_create_snapshot_task) | **POST** /VcenterVStorageObjectManager/{moId}/VStorageObjectCreateSnapshot_Task | Creates a snapshot of a given VStorageObject. 
*VcenterVStorageObjectManagerApi* | [**vcenter_v_storage_object_manager_vstorage_object_v_center_query_changed_disk_areas**](docs/VcenterVStorageObjectManagerApi.md#vcenter_v_storage_object_manager_vstorage_object_v_center_query_changed_disk_areas) | **POST** /VcenterVStorageObjectManager/{moId}/VstorageObjectVCenterQueryChangedDiskAreas | Get a list of areas of a virtual disk that have been modified since a well-defined point in the past. 
*ViewApi* | [**view_destroy_view**](docs/ViewApi.md#view_destroy_view) | **POST** /View/{moId}/DestroyView | Destroy this view. 
*ViewManagerApi* | [**view_manager_create_container_view**](docs/ViewManagerApi.md#view_manager_create_container_view) | **POST** /ViewManager/{moId}/CreateContainerView | Create a *ContainerView* managed object for this session. 
*ViewManagerApi* | [**view_manager_create_inventory_view**](docs/ViewManagerApi.md#view_manager_create_inventory_view) | **POST** /ViewManager/{moId}/CreateInventoryView | Create a new *InventoryView* managed object for this session. 
*ViewManagerApi* | [**view_manager_create_list_view**](docs/ViewManagerApi.md#view_manager_create_list_view) | **POST** /ViewManager/{moId}/CreateListView | Create a *ListView* object for this session. 
*ViewManagerApi* | [**view_manager_create_list_view_from_view**](docs/ViewManagerApi.md#view_manager_create_list_view_from_view) | **POST** /ViewManager/{moId}/CreateListViewFromView | Create a *ListView* object for this session. 
*ViewManagerApi* | [**view_manager_get_view_list**](docs/ViewManagerApi.md#view_manager_get_view_list) | **GET** /ViewManager/{moId}/viewList | An array of view references. 
*VirtualAppApi* | [**virtual_app_clone_v_app_task**](docs/VirtualAppApi.md#virtual_app_clone_v_app_task) | **POST** /VirtualApp/{moId}/CloneVApp_Task | Creates a clone of this vApp. 
*VirtualAppApi* | [**virtual_app_create_child_vm_task**](docs/VirtualAppApi.md#virtual_app_create_child_vm_task) | **POST** /VirtualApp/{moId}/CreateChildVM_Task | Creates a new virtual machine in a vApp container. 
*VirtualAppApi* | [**virtual_app_create_resource_pool**](docs/VirtualAppApi.md#virtual_app_create_resource_pool) | **POST** /VirtualApp/{moId}/CreateResourcePool | Creates a new resource pool. 
*VirtualAppApi* | [**virtual_app_create_v_app**](docs/VirtualAppApi.md#virtual_app_create_v_app) | **POST** /VirtualApp/{moId}/CreateVApp | Creates a new vApp container. 
*VirtualAppApi* | [**virtual_app_destroy_children**](docs/VirtualAppApi.md#virtual_app_destroy_children) | **POST** /VirtualApp/{moId}/DestroyChildren | Removes all child resource pools recursively. 
*VirtualAppApi* | [**virtual_app_destroy_task**](docs/VirtualAppApi.md#virtual_app_destroy_task) | **POST** /VirtualApp/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*VirtualAppApi* | [**virtual_app_export_v_app**](docs/VirtualAppApi.md#virtual_app_export_v_app) | **POST** /VirtualApp/{moId}/ExportVApp | Obtains an export lease on this vApp. 
*VirtualAppApi* | [**virtual_app_get_alarm_actions_enabled**](docs/VirtualAppApi.md#virtual_app_get_alarm_actions_enabled) | **GET** /VirtualApp/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*VirtualAppApi* | [**virtual_app_get_available_field**](docs/VirtualAppApi.md#virtual_app_get_available_field) | **GET** /VirtualApp/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*VirtualAppApi* | [**virtual_app_get_child_configuration**](docs/VirtualAppApi.md#virtual_app_get_child_configuration) | **GET** /VirtualApp/{moId}/childConfiguration | The resource configuration of all direct children (VirtualMachine and ResourcePool) of this resource group. 
*VirtualAppApi* | [**virtual_app_get_child_link**](docs/VirtualAppApi.md#virtual_app_get_child_link) | **GET** /VirtualApp/{moId}/childLink | List of linked children. 
*VirtualAppApi* | [**virtual_app_get_config**](docs/VirtualAppApi.md#virtual_app_get_config) | **GET** /VirtualApp/{moId}/config | Configuration of this resource pool. 
*VirtualAppApi* | [**virtual_app_get_config_issue**](docs/VirtualAppApi.md#virtual_app_get_config_issue) | **GET** /VirtualApp/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*VirtualAppApi* | [**virtual_app_get_config_status**](docs/VirtualAppApi.md#virtual_app_get_config_status) | **GET** /VirtualApp/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*VirtualAppApi* | [**virtual_app_get_custom_value**](docs/VirtualAppApi.md#virtual_app_get_custom_value) | **GET** /VirtualApp/{moId}/customValue | Custom field values. 
*VirtualAppApi* | [**virtual_app_get_datastore**](docs/VirtualAppApi.md#virtual_app_get_datastore) | **GET** /VirtualApp/{moId}/datastore | A collection of references to the subset of datastore objects used by this vApp. 
*VirtualAppApi* | [**virtual_app_get_declared_alarm_state**](docs/VirtualAppApi.md#virtual_app_get_declared_alarm_state) | **GET** /VirtualApp/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*VirtualAppApi* | [**virtual_app_get_disabled_method**](docs/VirtualAppApi.md#virtual_app_get_disabled_method) | **GET** /VirtualApp/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*VirtualAppApi* | [**virtual_app_get_effective_role**](docs/VirtualAppApi.md#virtual_app_get_effective_role) | **GET** /VirtualApp/{moId}/effectiveRole | Access rights the current session has to this entity. 
*VirtualAppApi* | [**virtual_app_get_name**](docs/VirtualAppApi.md#virtual_app_get_name) | **GET** /VirtualApp/{moId}/name | Name of this entity, unique relative to its parent. 
*VirtualAppApi* | [**virtual_app_get_namespace**](docs/VirtualAppApi.md#virtual_app_get_namespace) | **GET** /VirtualApp/{moId}/namespace | The namespace with which the ResourcePool is associated. 
*VirtualAppApi* | [**virtual_app_get_network**](docs/VirtualAppApi.md#virtual_app_get_network) | **GET** /VirtualApp/{moId}/network | A collection of references to the subset of network objects that is used by this virtual machine. 
*VirtualAppApi* | [**virtual_app_get_overall_status**](docs/VirtualAppApi.md#virtual_app_get_overall_status) | **GET** /VirtualApp/{moId}/overallStatus | General health of this managed entity. 
*VirtualAppApi* | [**virtual_app_get_owner**](docs/VirtualAppApi.md#virtual_app_get_owner) | **GET** /VirtualApp/{moId}/owner | The ComputeResource to which this set of one or more nested resource pools belong. 
*VirtualAppApi* | [**virtual_app_get_parent**](docs/VirtualAppApi.md#virtual_app_get_parent) | **GET** /VirtualApp/{moId}/parent | Parent of this entity. 
*VirtualAppApi* | [**virtual_app_get_parent_folder**](docs/VirtualAppApi.md#virtual_app_get_parent_folder) | **GET** /VirtualApp/{moId}/parentFolder | A reference to the parent folder in the VM and Template folder hierarchy. 
*VirtualAppApi* | [**virtual_app_get_parent_v_app**](docs/VirtualAppApi.md#virtual_app_get_parent_v_app) | **GET** /VirtualApp/{moId}/parentVApp | Reference to the parent vApp. 
*VirtualAppApi* | [**virtual_app_get_permission**](docs/VirtualAppApi.md#virtual_app_get_permission) | **GET** /VirtualApp/{moId}/permission | List of permissions defined for this entity. 
*VirtualAppApi* | [**virtual_app_get_recent_task**](docs/VirtualAppApi.md#virtual_app_get_recent_task) | **GET** /VirtualApp/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*VirtualAppApi* | [**virtual_app_get_resource_pool**](docs/VirtualAppApi.md#virtual_app_get_resource_pool) | **GET** /VirtualApp/{moId}/resourcePool | The set of child resource pools. 
*VirtualAppApi* | [**virtual_app_get_runtime**](docs/VirtualAppApi.md#virtual_app_get_runtime) | **GET** /VirtualApp/{moId}/runtime | Runtime information about a resource pool. 
*VirtualAppApi* | [**virtual_app_get_summary**](docs/VirtualAppApi.md#virtual_app_get_summary) | **GET** /VirtualApp/{moId}/summary | Basic information about a resource pool. 
*VirtualAppApi* | [**virtual_app_get_tag**](docs/VirtualAppApi.md#virtual_app_get_tag) | **GET** /VirtualApp/{moId}/tag | The set of tags associated with this managed entity. 
*VirtualAppApi* | [**virtual_app_get_triggered_alarm_state**](docs/VirtualAppApi.md#virtual_app_get_triggered_alarm_state) | **GET** /VirtualApp/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*VirtualAppApi* | [**virtual_app_get_v_app_config**](docs/VirtualAppApi.md#virtual_app_get_v_app_config) | **GET** /VirtualApp/{moId}/vAppConfig | Configuration of this package. 
*VirtualAppApi* | [**virtual_app_get_value**](docs/VirtualAppApi.md#virtual_app_get_value) | **GET** /VirtualApp/{moId}/value | List of custom field values. 
*VirtualAppApi* | [**virtual_app_get_vm**](docs/VirtualAppApi.md#virtual_app_get_vm) | **GET** /VirtualApp/{moId}/vm | The set of virtual machines associated with this resource pool. 
*VirtualAppApi* | [**virtual_app_import_v_app**](docs/VirtualAppApi.md#virtual_app_import_v_app) | **POST** /VirtualApp/{moId}/ImportVApp | Creates a new entity in this resource pool. 
*VirtualAppApi* | [**virtual_app_move_into_resource_pool**](docs/VirtualAppApi.md#virtual_app_move_into_resource_pool) | **POST** /VirtualApp/{moId}/MoveIntoResourcePool | Moves a set of resource pools, vApps or virtual machines into this pool. 
*VirtualAppApi* | [**virtual_app_power_off_v_app_task**](docs/VirtualAppApi.md#virtual_app_power_off_v_app_task) | **POST** /VirtualApp/{moId}/PowerOffVApp_Task | Stops this vApp. 
*VirtualAppApi* | [**virtual_app_power_on_v_app_task**](docs/VirtualAppApi.md#virtual_app_power_on_v_app_task) | **POST** /VirtualApp/{moId}/PowerOnVApp_Task | Starts this vApp. 
*VirtualAppApi* | [**virtual_app_query_resource_config_option**](docs/VirtualAppApi.md#virtual_app_query_resource_config_option) | **POST** /VirtualApp/{moId}/QueryResourceConfigOption | Get a value range and default values for *ResourceConfigSpec*. 
*VirtualAppApi* | [**virtual_app_refresh_runtime**](docs/VirtualAppApi.md#virtual_app_refresh_runtime) | **POST** /VirtualApp/{moId}/RefreshRuntime | Refreshes the resource usage data that is available in *ResourcePoolRuntimeInfo*. 
*VirtualAppApi* | [**virtual_app_register_child_vm_task**](docs/VirtualAppApi.md#virtual_app_register_child_vm_task) | **POST** /VirtualApp/{moId}/RegisterChildVM_Task | Adds an existing virtual machine to this resource pool or vApp. 
*VirtualAppApi* | [**virtual_app_reload**](docs/VirtualAppApi.md#virtual_app_reload) | **POST** /VirtualApp/{moId}/Reload | Reload the entity state. 
*VirtualAppApi* | [**virtual_app_rename_task**](docs/VirtualAppApi.md#virtual_app_rename_task) | **POST** /VirtualApp/{moId}/Rename_Task | Renames this managed entity. 
*VirtualAppApi* | [**virtual_app_set_custom_value**](docs/VirtualAppApi.md#virtual_app_set_custom_value) | **POST** /VirtualApp/{moId}/setCustomValue | Assigns a value to a custom field. 
*VirtualAppApi* | [**virtual_app_suspend_v_app_task**](docs/VirtualAppApi.md#virtual_app_suspend_v_app_task) | **POST** /VirtualApp/{moId}/SuspendVApp_Task | Suspends this vApp. 
*VirtualAppApi* | [**virtual_app_unregister_v_app_task**](docs/VirtualAppApi.md#virtual_app_unregister_v_app_task) | **POST** /VirtualApp/{moId}/unregisterVApp_Task | Removes this vApp from the inventory without removing any of the virtual machine&#39;s files on disk. 
*VirtualAppApi* | [**virtual_app_update_child_resource_configuration**](docs/VirtualAppApi.md#virtual_app_update_child_resource_configuration) | **POST** /VirtualApp/{moId}/UpdateChildResourceConfiguration | Changes resource configuration of a set of children of this resource pool. 
*VirtualAppApi* | [**virtual_app_update_config**](docs/VirtualAppApi.md#virtual_app_update_config) | **POST** /VirtualApp/{moId}/UpdateConfig | Updates the configuration of the resource pool. 
*VirtualAppApi* | [**virtual_app_update_linked_children**](docs/VirtualAppApi.md#virtual_app_update_linked_children) | **POST** /VirtualApp/{moId}/UpdateLinkedChildren | Reconfigure the set of linked children. 
*VirtualAppApi* | [**virtual_app_update_v_app_config**](docs/VirtualAppApi.md#virtual_app_update_v_app_config) | **POST** /VirtualApp/{moId}/UpdateVAppConfig | Updates the vApp configuration. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_copy_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_copy_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/CopyVirtualDisk_Task | Copy a virtual disk, performing conversions as specified in the spec. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_create_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_create_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/CreateVirtualDisk_Task | Create a virtual disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_defragment_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_defragment_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/DefragmentVirtualDisk_Task | Defragment a sparse virtual disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_delete_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_delete_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/DeleteVirtualDisk_Task | Delete a virtual disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_eager_zero_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_eager_zero_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/EagerZeroVirtualDisk_Task | Explicitly zero out unaccessed parts zeroedthick disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_extend_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_extend_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/ExtendVirtualDisk_Task | Expand the capacity of a virtual disk to the new capacity. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_import_unmanaged_snapshot**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_import_unmanaged_snapshot) | **POST** /VirtualDiskManager/{moId}/ImportUnmanagedSnapshot | Import an unmanaged-snapshot from Virtual-Volume(VVol) enabled Storage Array. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_inflate_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_inflate_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/InflateVirtualDisk_Task | Inflate a sparse or thin-provisioned virtual disk up to the full size. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_move_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_move_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/MoveVirtualDisk_Task | Move a virtual disk and all related files from the source location specified by &lt;code&gt;sourceName&lt;/code&gt; and &lt;code&gt;sourceDatacenter&lt;/code&gt; to the destination location specified by &lt;code&gt;destName&lt;/code&gt; and &lt;code&gt;destDatacenter&lt;/code&gt;. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_query_virtual_disk_fragmentation**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_query_virtual_disk_fragmentation) | **POST** /VirtualDiskManager/{moId}/QueryVirtualDiskFragmentation | Return the percentage of fragmentation of the sparse virtual disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_query_virtual_disk_geometry**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_query_virtual_disk_geometry) | **POST** /VirtualDiskManager/{moId}/QueryVirtualDiskGeometry | Get the disk geometry information for the virtual disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_query_virtual_disk_uuid**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_query_virtual_disk_uuid) | **POST** /VirtualDiskManager/{moId}/QueryVirtualDiskUuid | Get the virtual disk SCSI inquiry page 0x83 data. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_release_managed_snapshot**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_release_managed_snapshot) | **POST** /VirtualDiskManager/{moId}/ReleaseManagedSnapshot | Release a snapshot previously imported with importUnmanagedSnapshot 
*VirtualDiskManagerApi* | [**virtual_disk_manager_set_virtual_disk_uuid**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_set_virtual_disk_uuid) | **POST** /VirtualDiskManager/{moId}/SetVirtualDiskUuid | Set the virtual disk SCSI inquiry page 0x83 data. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_shrink_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_shrink_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/ShrinkVirtualDisk_Task | Shrink a sparse virtual disk. 
*VirtualDiskManagerApi* | [**virtual_disk_manager_zero_fill_virtual_disk_task**](docs/VirtualDiskManagerApi.md#virtual_disk_manager_zero_fill_virtual_disk_task) | **POST** /VirtualDiskManager/{moId}/ZeroFillVirtualDisk_Task | Overwrite all blocks of the virtual disk with zeros. 
*VirtualMachineApi* | [**virtual_machine_acquire_mks_ticket**](docs/VirtualMachineApi.md#virtual_machine_acquire_mks_ticket) | **POST** /VirtualMachine/{moId}/AcquireMksTicket | Creates and returns a one-time credential used in establishing a remote mouse-keyboard-screen connection to this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_acquire_ticket**](docs/VirtualMachineApi.md#virtual_machine_acquire_ticket) | **POST** /VirtualMachine/{moId}/AcquireTicket | Creates and returns a one-time credential used in establishing a specific connection to this virtual machine, for example, a ticket type of mks can be used to establish a remote mouse-keyboard-screen connection. 
*VirtualMachineApi* | [**virtual_machine_answer_vm**](docs/VirtualMachineApi.md#virtual_machine_answer_vm) | **POST** /VirtualMachine/{moId}/AnswerVM | Responds to a question that is blocking this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_apply_evc_mode_vm_task**](docs/VirtualMachineApi.md#virtual_machine_apply_evc_mode_vm_task) | **POST** /VirtualMachine/{moId}/ApplyEvcModeVM_Task | Applies the EVC mode masks to the virtual machine. 
*VirtualMachineApi* | [**virtual_machine_attach_disk_task**](docs/VirtualMachineApi.md#virtual_machine_attach_disk_task) | **POST** /VirtualMachine/{moId}/AttachDisk_Task | Attach an existing disk to this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_check_customization_spec**](docs/VirtualMachineApi.md#virtual_machine_check_customization_spec) | **POST** /VirtualMachine/{moId}/CheckCustomizationSpec | Checks the customization specification against the virtual machine configuration. 
*VirtualMachineApi* | [**virtual_machine_clone_vm_task**](docs/VirtualMachineApi.md#virtual_machine_clone_vm_task) | **POST** /VirtualMachine/{moId}/CloneVM_Task | Creates a clone of this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_consolidate_vm_disks_task**](docs/VirtualMachineApi.md#virtual_machine_consolidate_vm_disks_task) | **POST** /VirtualMachine/{moId}/ConsolidateVMDisks_Task | Consolidate the virtual disk files of the virtual machine by finding hierarchies of redo logs that can be combined without violating data dependency. 
*VirtualMachineApi* | [**virtual_machine_create_screenshot_task**](docs/VirtualMachineApi.md#virtual_machine_create_screenshot_task) | **POST** /VirtualMachine/{moId}/CreateScreenshot_Task | Create a screen shot of a virtual machine. 
*VirtualMachineApi* | [**virtual_machine_create_secondary_vm_task**](docs/VirtualMachineApi.md#virtual_machine_create_secondary_vm_task) | **POST** /VirtualMachine/{moId}/CreateSecondaryVM_Task | Creates a secondary virtual machine to be part of this fault tolerant group. 
*VirtualMachineApi* | [**virtual_machine_create_secondary_vmex_task**](docs/VirtualMachineApi.md#virtual_machine_create_secondary_vmex_task) | **POST** /VirtualMachine/{moId}/CreateSecondaryVMEx_Task | Creates a secondary virtual machine to be part of this fault tolerant group. 
*VirtualMachineApi* | [**virtual_machine_create_snapshot_ex_task**](docs/VirtualMachineApi.md#virtual_machine_create_snapshot_ex_task) | **POST** /VirtualMachine/{moId}/CreateSnapshotEx_Task | Creates a new snapshot of this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_create_snapshot_task**](docs/VirtualMachineApi.md#virtual_machine_create_snapshot_task) | **POST** /VirtualMachine/{moId}/CreateSnapshot_Task | Creates a new snapshot of this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_crypto_unlock_task**](docs/VirtualMachineApi.md#virtual_machine_crypto_unlock_task) | **POST** /VirtualMachine/{moId}/CryptoUnlock_Task | Unlocks an encrypted virtual machine by sending the encryption keys for the Virtual Machine Home and all the Virtual Disks to the ESX Server. 
*VirtualMachineApi* | [**virtual_machine_customize_vm_task**](docs/VirtualMachineApi.md#virtual_machine_customize_vm_task) | **POST** /VirtualMachine/{moId}/CustomizeVM_Task | Customizes a virtual machine&#39;s guest operating system. 
*VirtualMachineApi* | [**virtual_machine_defragment_all_disks**](docs/VirtualMachineApi.md#virtual_machine_defragment_all_disks) | **POST** /VirtualMachine/{moId}/DefragmentAllDisks | Defragment all virtual disks attached to this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_destroy_task**](docs/VirtualMachineApi.md#virtual_machine_destroy_task) | **POST** /VirtualMachine/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*VirtualMachineApi* | [**virtual_machine_detach_disk_task**](docs/VirtualMachineApi.md#virtual_machine_detach_disk_task) | **POST** /VirtualMachine/{moId}/DetachDisk_Task | Detach a disk from this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_disable_secondary_vm_task**](docs/VirtualMachineApi.md#virtual_machine_disable_secondary_vm_task) | **POST** /VirtualMachine/{moId}/DisableSecondaryVM_Task | Disables the specified secondary virtual machine in this fault tolerant group. 
*VirtualMachineApi* | [**virtual_machine_drop_connections**](docs/VirtualMachineApi.md#virtual_machine_drop_connections) | **POST** /VirtualMachine/{moId}/DropConnections | Force the virtual machine to drop the specified connections. 
*VirtualMachineApi* | [**virtual_machine_enable_secondary_vm_task**](docs/VirtualMachineApi.md#virtual_machine_enable_secondary_vm_task) | **POST** /VirtualMachine/{moId}/EnableSecondaryVM_Task | Enables the specified secondary virtual machine in this fault tolerant group. 
*VirtualMachineApi* | [**virtual_machine_estimate_storage_for_consolidate_snapshots_task**](docs/VirtualMachineApi.md#virtual_machine_estimate_storage_for_consolidate_snapshots_task) | **POST** /VirtualMachine/{moId}/EstimateStorageForConsolidateSnapshots_Task | Estimate the temporary space required to consolidation disk files. 
*VirtualMachineApi* | [**virtual_machine_export_vm**](docs/VirtualMachineApi.md#virtual_machine_export_vm) | **POST** /VirtualMachine/{moId}/ExportVm | Obtains an export lease on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_extract_ovf_environment**](docs/VirtualMachineApi.md#virtual_machine_extract_ovf_environment) | **POST** /VirtualMachine/{moId}/ExtractOvfEnvironment | Returns the OVF environment for a virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_alarm_actions_enabled**](docs/VirtualMachineApi.md#virtual_machine_get_alarm_actions_enabled) | **GET** /VirtualMachine/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*VirtualMachineApi* | [**virtual_machine_get_available_field**](docs/VirtualMachineApi.md#virtual_machine_get_available_field) | **GET** /VirtualMachine/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*VirtualMachineApi* | [**virtual_machine_get_capability**](docs/VirtualMachineApi.md#virtual_machine_get_capability) | **GET** /VirtualMachine/{moId}/capability | Information about the runtime capabilities of this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_config**](docs/VirtualMachineApi.md#virtual_machine_get_config) | **GET** /VirtualMachine/{moId}/config | Configuration of this virtual machine, including the name and UUID. 
*VirtualMachineApi* | [**virtual_machine_get_config_issue**](docs/VirtualMachineApi.md#virtual_machine_get_config_issue) | **GET** /VirtualMachine/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*VirtualMachineApi* | [**virtual_machine_get_config_status**](docs/VirtualMachineApi.md#virtual_machine_get_config_status) | **GET** /VirtualMachine/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*VirtualMachineApi* | [**virtual_machine_get_custom_value**](docs/VirtualMachineApi.md#virtual_machine_get_custom_value) | **GET** /VirtualMachine/{moId}/customValue | Custom field values. 
*VirtualMachineApi* | [**virtual_machine_get_datastore**](docs/VirtualMachineApi.md#virtual_machine_get_datastore) | **GET** /VirtualMachine/{moId}/datastore | A collection of references to the subset of datastore objects in the datacenter that is used by this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_declared_alarm_state**](docs/VirtualMachineApi.md#virtual_machine_get_declared_alarm_state) | **GET** /VirtualMachine/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*VirtualMachineApi* | [**virtual_machine_get_disabled_method**](docs/VirtualMachineApi.md#virtual_machine_get_disabled_method) | **GET** /VirtualMachine/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*VirtualMachineApi* | [**virtual_machine_get_effective_role**](docs/VirtualMachineApi.md#virtual_machine_get_effective_role) | **GET** /VirtualMachine/{moId}/effectiveRole | Access rights the current session has to this entity. 
*VirtualMachineApi* | [**virtual_machine_get_environment_browser**](docs/VirtualMachineApi.md#virtual_machine_get_environment_browser) | **GET** /VirtualMachine/{moId}/environmentBrowser | The current virtual machine&#39;s environment browser object. 
*VirtualMachineApi* | [**virtual_machine_get_guest**](docs/VirtualMachineApi.md#virtual_machine_get_guest) | **GET** /VirtualMachine/{moId}/guest | Information about VMware Tools and about the virtual machine from the perspective of VMware Tools. 
*VirtualMachineApi* | [**virtual_machine_get_guest_heartbeat_status**](docs/VirtualMachineApi.md#virtual_machine_get_guest_heartbeat_status) | **GET** /VirtualMachine/{moId}/guestHeartbeatStatus | The guest heartbeat. 
*VirtualMachineApi* | [**virtual_machine_get_layout**](docs/VirtualMachineApi.md#virtual_machine_get_layout) | **GET** /VirtualMachine/{moId}/layout | Detailed information about the files that comprise this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_layout_ex**](docs/VirtualMachineApi.md#virtual_machine_get_layout_ex) | **GET** /VirtualMachine/{moId}/layoutEx | Detailed information about the files that comprise this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_name**](docs/VirtualMachineApi.md#virtual_machine_get_name) | **GET** /VirtualMachine/{moId}/name | Name of this entity, unique relative to its parent. 
*VirtualMachineApi* | [**virtual_machine_get_network**](docs/VirtualMachineApi.md#virtual_machine_get_network) | **GET** /VirtualMachine/{moId}/network | A collection of references to the subset of network objects in the datacenter that is used by this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_overall_status**](docs/VirtualMachineApi.md#virtual_machine_get_overall_status) | **GET** /VirtualMachine/{moId}/overallStatus | General health of this managed entity. 
*VirtualMachineApi* | [**virtual_machine_get_parent**](docs/VirtualMachineApi.md#virtual_machine_get_parent) | **GET** /VirtualMachine/{moId}/parent | Parent of this entity. 
*VirtualMachineApi* | [**virtual_machine_get_parent_v_app**](docs/VirtualMachineApi.md#virtual_machine_get_parent_v_app) | **GET** /VirtualMachine/{moId}/parentVApp | Reference to the parent vApp. 
*VirtualMachineApi* | [**virtual_machine_get_permission**](docs/VirtualMachineApi.md#virtual_machine_get_permission) | **GET** /VirtualMachine/{moId}/permission | List of permissions defined for this entity. 
*VirtualMachineApi* | [**virtual_machine_get_recent_task**](docs/VirtualMachineApi.md#virtual_machine_get_recent_task) | **GET** /VirtualMachine/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*VirtualMachineApi* | [**virtual_machine_get_resource_config**](docs/VirtualMachineApi.md#virtual_machine_get_resource_config) | **GET** /VirtualMachine/{moId}/resourceConfig | The resource configuration for a virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_resource_pool**](docs/VirtualMachineApi.md#virtual_machine_get_resource_pool) | **GET** /VirtualMachine/{moId}/resourcePool | The current resource pool that specifies resource allocation for this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_root_snapshot**](docs/VirtualMachineApi.md#virtual_machine_get_root_snapshot) | **GET** /VirtualMachine/{moId}/rootSnapshot | The roots of all snapshot trees for the virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_runtime**](docs/VirtualMachineApi.md#virtual_machine_get_runtime) | **GET** /VirtualMachine/{moId}/runtime | Execution state and history for this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_snapshot**](docs/VirtualMachineApi.md#virtual_machine_get_snapshot) | **GET** /VirtualMachine/{moId}/snapshot | Current snapshot and tree. 
*VirtualMachineApi* | [**virtual_machine_get_storage**](docs/VirtualMachineApi.md#virtual_machine_get_storage) | **GET** /VirtualMachine/{moId}/storage | Storage space used by the virtual machine, split by datastore. 
*VirtualMachineApi* | [**virtual_machine_get_summary**](docs/VirtualMachineApi.md#virtual_machine_get_summary) | **GET** /VirtualMachine/{moId}/summary | Basic information about this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_get_tag**](docs/VirtualMachineApi.md#virtual_machine_get_tag) | **GET** /VirtualMachine/{moId}/tag | The set of tags associated with this managed entity. 
*VirtualMachineApi* | [**virtual_machine_get_triggered_alarm_state**](docs/VirtualMachineApi.md#virtual_machine_get_triggered_alarm_state) | **GET** /VirtualMachine/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*VirtualMachineApi* | [**virtual_machine_get_value**](docs/VirtualMachineApi.md#virtual_machine_get_value) | **GET** /VirtualMachine/{moId}/value | List of custom field values. 
*VirtualMachineApi* | [**virtual_machine_instant_clone_task**](docs/VirtualMachineApi.md#virtual_machine_instant_clone_task) | **POST** /VirtualMachine/{moId}/InstantClone_Task | Creates a powered-on Instant Clone of a virtual machine. 
*VirtualMachineApi* | [**virtual_machine_make_primary_vm_task**](docs/VirtualMachineApi.md#virtual_machine_make_primary_vm_task) | **POST** /VirtualMachine/{moId}/MakePrimaryVM_Task | Makes the specified secondary virtual machine from this fault tolerant group as the primary virtual machine. 
*VirtualMachineApi* | [**virtual_machine_mark_as_template**](docs/VirtualMachineApi.md#virtual_machine_mark_as_template) | **POST** /VirtualMachine/{moId}/MarkAsTemplate | Marks a VirtualMachine object as being used as a template. 
*VirtualMachineApi* | [**virtual_machine_mark_as_virtual_machine**](docs/VirtualMachineApi.md#virtual_machine_mark_as_virtual_machine) | **POST** /VirtualMachine/{moId}/MarkAsVirtualMachine | Clears the &#39;isTemplate&#39; flag and reassociates the virtual machine with a resource pool and host. 
*VirtualMachineApi* | [**virtual_machine_migrate_vm_task**](docs/VirtualMachineApi.md#virtual_machine_migrate_vm_task) | **POST** /VirtualMachine/{moId}/MigrateVM_Task | Migrates a virtual machine&#39;s execution to a specific resource pool or host. 
*VirtualMachineApi* | [**virtual_machine_mount_tools_installer**](docs/VirtualMachineApi.md#virtual_machine_mount_tools_installer) | **POST** /VirtualMachine/{moId}/MountToolsInstaller | Mounts the VMware Tools CD installer as a CD-ROM for the guest operating system. 
*VirtualMachineApi* | [**virtual_machine_power_off_vm_task**](docs/VirtualMachineApi.md#virtual_machine_power_off_vm_task) | **POST** /VirtualMachine/{moId}/PowerOffVM_Task | Powers off this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_power_on_vm_task**](docs/VirtualMachineApi.md#virtual_machine_power_on_vm_task) | **POST** /VirtualMachine/{moId}/PowerOnVM_Task | Powers on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_promote_disks_task**](docs/VirtualMachineApi.md#virtual_machine_promote_disks_task) | **POST** /VirtualMachine/{moId}/PromoteDisks_Task | Promotes disks on this virtual machine that have delta disk backings. 
*VirtualMachineApi* | [**virtual_machine_put_usb_scan_codes**](docs/VirtualMachineApi.md#virtual_machine_put_usb_scan_codes) | **POST** /VirtualMachine/{moId}/PutUsbScanCodes | Inject a sequence of USB HID scan codes into the keyboard. 
*VirtualMachineApi* | [**virtual_machine_query_changed_disk_areas**](docs/VirtualMachineApi.md#virtual_machine_query_changed_disk_areas) | **POST** /VirtualMachine/{moId}/QueryChangedDiskAreas | Get a list of areas of a virtual disk belonging to this VM that have been modified since a well-defined point in the past. 
*VirtualMachineApi* | [**virtual_machine_query_connections**](docs/VirtualMachineApi.md#virtual_machine_query_connections) | **POST** /VirtualMachine/{moId}/QueryConnections | Ask the virtual machine for a list of connections. 
*VirtualMachineApi* | [**virtual_machine_query_fault_tolerance_compatibility**](docs/VirtualMachineApi.md#virtual_machine_query_fault_tolerance_compatibility) | **POST** /VirtualMachine/{moId}/QueryFaultToleranceCompatibility | This API can be invoked to determine whether a virtual machine is compatible for legacy Fault Tolerance. 
*VirtualMachineApi* | [**virtual_machine_query_fault_tolerance_compatibility_ex**](docs/VirtualMachineApi.md#virtual_machine_query_fault_tolerance_compatibility_ex) | **POST** /VirtualMachine/{moId}/QueryFaultToleranceCompatibilityEx | This API can be invoked to determine whether a virtual machine is compatible for Fault Tolerance. 
*VirtualMachineApi* | [**virtual_machine_query_unowned_files**](docs/VirtualMachineApi.md#virtual_machine_query_unowned_files) | **POST** /VirtualMachine/{moId}/QueryUnownedFiles | For all files that belong to the vm, check that the file owner is set to the current datastore principal user, as set by *HostDatastoreSystem.ConfigureDatastorePrincipal* 
*VirtualMachineApi* | [**virtual_machine_reboot_guest**](docs/VirtualMachineApi.md#virtual_machine_reboot_guest) | **POST** /VirtualMachine/{moId}/RebootGuest | Issues a command to the guest operating system asking it to perform a reboot. 
*VirtualMachineApi* | [**virtual_machine_reconfig_vm_task**](docs/VirtualMachineApi.md#virtual_machine_reconfig_vm_task) | **POST** /VirtualMachine/{moId}/ReconfigVM_Task | Reconfigures this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_refresh_storage_info**](docs/VirtualMachineApi.md#virtual_machine_refresh_storage_info) | **POST** /VirtualMachine/{moId}/RefreshStorageInfo | Explicitly refreshes the storage information of this virtual machine, updating properties *VirtualMachine.storage*, *VirtualMachine.layoutEx* and *VirtualMachineSummary.storage*. 
*VirtualMachineApi* | [**virtual_machine_reload**](docs/VirtualMachineApi.md#virtual_machine_reload) | **POST** /VirtualMachine/{moId}/Reload | Reload the entity state. 
*VirtualMachineApi* | [**virtual_machine_reload_virtual_machine_from_path_task**](docs/VirtualMachineApi.md#virtual_machine_reload_virtual_machine_from_path_task) | **POST** /VirtualMachine/{moId}/reloadVirtualMachineFromPath_Task | Reloads the configuration for this virtual machine from a given datastore path. 
*VirtualMachineApi* | [**virtual_machine_relocate_vm_task**](docs/VirtualMachineApi.md#virtual_machine_relocate_vm_task) | **POST** /VirtualMachine/{moId}/RelocateVM_Task | Relocates a virtual machine to the location specified by *VirtualMachineRelocateSpec*. 
*VirtualMachineApi* | [**virtual_machine_remove_all_snapshots_task**](docs/VirtualMachineApi.md#virtual_machine_remove_all_snapshots_task) | **POST** /VirtualMachine/{moId}/RemoveAllSnapshots_Task | Remove all the snapshots associated with this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_rename_task**](docs/VirtualMachineApi.md#virtual_machine_rename_task) | **POST** /VirtualMachine/{moId}/Rename_Task | Renames this managed entity. 
*VirtualMachineApi* | [**virtual_machine_reset_guest_information**](docs/VirtualMachineApi.md#virtual_machine_reset_guest_information) | **POST** /VirtualMachine/{moId}/ResetGuestInformation | Clears cached guest information. 
*VirtualMachineApi* | [**virtual_machine_reset_vm_task**](docs/VirtualMachineApi.md#virtual_machine_reset_vm_task) | **POST** /VirtualMachine/{moId}/ResetVM_Task | Resets power on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_revert_to_current_snapshot_task**](docs/VirtualMachineApi.md#virtual_machine_revert_to_current_snapshot_task) | **POST** /VirtualMachine/{moId}/RevertToCurrentSnapshot_Task | Reverts the virtual machine to the current snapshot. 
*VirtualMachineApi* | [**virtual_machine_send_nmi**](docs/VirtualMachineApi.md#virtual_machine_send_nmi) | **POST** /VirtualMachine/{moId}/SendNMI | Send a non-maskable interrupt (NMI). 
*VirtualMachineApi* | [**virtual_machine_set_custom_value**](docs/VirtualMachineApi.md#virtual_machine_set_custom_value) | **POST** /VirtualMachine/{moId}/setCustomValue | Assigns a value to a custom field. 
*VirtualMachineApi* | [**virtual_machine_set_display_topology**](docs/VirtualMachineApi.md#virtual_machine_set_display_topology) | **POST** /VirtualMachine/{moId}/SetDisplayTopology | Sets the console window&#39;s display topology as specified. 
*VirtualMachineApi* | [**virtual_machine_set_screen_resolution**](docs/VirtualMachineApi.md#virtual_machine_set_screen_resolution) | **POST** /VirtualMachine/{moId}/SetScreenResolution | Sets the console window&#39;s resolution as specified. 
*VirtualMachineApi* | [**virtual_machine_shutdown_guest**](docs/VirtualMachineApi.md#virtual_machine_shutdown_guest) | **POST** /VirtualMachine/{moId}/ShutdownGuest | Issues a command to the guest operating system asking it to perform a clean shutdown of all services. 
*VirtualMachineApi* | [**virtual_machine_standby_guest**](docs/VirtualMachineApi.md#virtual_machine_standby_guest) | **POST** /VirtualMachine/{moId}/StandbyGuest | Issues a command to the guest operating system asking it to prepare for a suspend operation. 
*VirtualMachineApi* | [**virtual_machine_start_recording_task**](docs/VirtualMachineApi.md#virtual_machine_start_recording_task) | **POST** /VirtualMachine/{moId}/StartRecording_Task | Initiates a recording session on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_start_replaying_task**](docs/VirtualMachineApi.md#virtual_machine_start_replaying_task) | **POST** /VirtualMachine/{moId}/StartReplaying_Task | Starts a replay session on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_stop_recording_task**](docs/VirtualMachineApi.md#virtual_machine_stop_recording_task) | **POST** /VirtualMachine/{moId}/StopRecording_Task | Stops a currently active recording session on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_stop_replaying_task**](docs/VirtualMachineApi.md#virtual_machine_stop_replaying_task) | **POST** /VirtualMachine/{moId}/StopReplaying_Task | Stops a replay session on this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_suspend_vm_task**](docs/VirtualMachineApi.md#virtual_machine_suspend_vm_task) | **POST** /VirtualMachine/{moId}/SuspendVM_Task | Suspends execution in this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_terminate_fault_tolerant_vm_task**](docs/VirtualMachineApi.md#virtual_machine_terminate_fault_tolerant_vm_task) | **POST** /VirtualMachine/{moId}/TerminateFaultTolerantVM_Task | Terminates the specified secondary virtual machine in a fault tolerant group. 
*VirtualMachineApi* | [**virtual_machine_terminate_vm**](docs/VirtualMachineApi.md#virtual_machine_terminate_vm) | **POST** /VirtualMachine/{moId}/TerminateVM | Do an immediate power off of a VM. 
*VirtualMachineApi* | [**virtual_machine_turn_off_fault_tolerance_for_vm_task**](docs/VirtualMachineApi.md#virtual_machine_turn_off_fault_tolerance_for_vm_task) | **POST** /VirtualMachine/{moId}/TurnOffFaultToleranceForVM_Task | Removes all secondary virtual machines associated with the fault tolerant group and turns off protection for this virtual machine. 
*VirtualMachineApi* | [**virtual_machine_unmount_tools_installer**](docs/VirtualMachineApi.md#virtual_machine_unmount_tools_installer) | **POST** /VirtualMachine/{moId}/UnmountToolsInstaller | Unmounts VMware Tools installer CD. 
*VirtualMachineApi* | [**virtual_machine_unregister_vm**](docs/VirtualMachineApi.md#virtual_machine_unregister_vm) | **POST** /VirtualMachine/{moId}/UnregisterVM | Removes this virtual machine from the inventory without removing any of the virtual machine&#39;s files on disk. 
*VirtualMachineApi* | [**virtual_machine_upgrade_tools_task**](docs/VirtualMachineApi.md#virtual_machine_upgrade_tools_task) | **POST** /VirtualMachine/{moId}/UpgradeTools_Task | Begins the tools upgrade process. 
*VirtualMachineApi* | [**virtual_machine_upgrade_vm_task**](docs/VirtualMachineApi.md#virtual_machine_upgrade_vm_task) | **POST** /VirtualMachine/{moId}/UpgradeVM_Task | Upgrades this virtual machine&#39;s virtual hardware to the latest revision that is supported by the virtual machine&#39;s current host. 
*VirtualMachineCompatibilityCheckerApi* | [**virtual_machine_compatibility_checker_check_compatibility_task**](docs/VirtualMachineCompatibilityCheckerApi.md#virtual_machine_compatibility_checker_check_compatibility_task) | **POST** /VirtualMachineCompatibilityChecker/{moId}/CheckCompatibility_Task | Tests whether or not a virtual machine could be placed on the given host in the given resource pool. 
*VirtualMachineCompatibilityCheckerApi* | [**virtual_machine_compatibility_checker_check_power_on_task**](docs/VirtualMachineCompatibilityCheckerApi.md#virtual_machine_compatibility_checker_check_power_on_task) | **POST** /VirtualMachineCompatibilityChecker/{moId}/CheckPowerOn_Task | Tests whether the provided virtual machine can be powered on on the given host and/or resource pool. 
*VirtualMachineCompatibilityCheckerApi* | [**virtual_machine_compatibility_checker_check_vm_config_task**](docs/VirtualMachineCompatibilityCheckerApi.md#virtual_machine_compatibility_checker_check_vm_config_task) | **POST** /VirtualMachineCompatibilityChecker/{moId}/CheckVmConfig_Task | Tests whether the provided virtual machine specification can be applied on the given host and resource pool. 
*VirtualMachineGuestCustomizationManagerApi* | [**virtual_machine_guest_customization_manager_abort_customization_task**](docs/VirtualMachineGuestCustomizationManagerApi.md#virtual_machine_guest_customization_manager_abort_customization_task) | **POST** /VirtualMachineGuestCustomizationManager/{moId}/AbortCustomization_Task | Abort any running guest customization process in the guest and remove the guest customization lock in the guest as well. 
*VirtualMachineGuestCustomizationManagerApi* | [**virtual_machine_guest_customization_manager_customize_guest_task**](docs/VirtualMachineGuestCustomizationManagerApi.md#virtual_machine_guest_customization_manager_customize_guest_task) | **POST** /VirtualMachineGuestCustomizationManager/{moId}/CustomizeGuest_Task | Customize a running virtual machine. 
*VirtualMachineGuestCustomizationManagerApi* | [**virtual_machine_guest_customization_manager_start_guest_network_task**](docs/VirtualMachineGuestCustomizationManagerApi.md#virtual_machine_guest_customization_manager_start_guest_network_task) | **POST** /VirtualMachineGuestCustomizationManager/{moId}/StartGuestNetwork_Task | Start the network service in the guest, e.g. 
*VirtualMachineProvisioningCheckerApi* | [**virtual_machine_provisioning_checker_check_clone_task**](docs/VirtualMachineProvisioningCheckerApi.md#virtual_machine_provisioning_checker_check_clone_task) | **POST** /VirtualMachineProvisioningChecker/{moId}/CheckClone_Task | Tests the feasibility of a proposed *VirtualMachine.CloneVM_Task* operation. 
*VirtualMachineProvisioningCheckerApi* | [**virtual_machine_provisioning_checker_check_instant_clone_task**](docs/VirtualMachineProvisioningCheckerApi.md#virtual_machine_provisioning_checker_check_instant_clone_task) | **POST** /VirtualMachineProvisioningChecker/{moId}/CheckInstantClone_Task | Tests the feasibility of a proposed *VirtualMachine.InstantClone_Task* operation. 
*VirtualMachineProvisioningCheckerApi* | [**virtual_machine_provisioning_checker_check_migrate_task**](docs/VirtualMachineProvisioningCheckerApi.md#virtual_machine_provisioning_checker_check_migrate_task) | **POST** /VirtualMachineProvisioningChecker/{moId}/CheckMigrate_Task | Tests the feasibility of a proposed *VirtualMachine.MigrateVM_Task* operation. 
*VirtualMachineProvisioningCheckerApi* | [**virtual_machine_provisioning_checker_check_relocate_task**](docs/VirtualMachineProvisioningCheckerApi.md#virtual_machine_provisioning_checker_check_relocate_task) | **POST** /VirtualMachineProvisioningChecker/{moId}/CheckRelocate_Task | Tests the feasibility of a proposed *VirtualMachine.RelocateVM_Task* operation. 
*VirtualMachineProvisioningCheckerApi* | [**virtual_machine_provisioning_checker_query_v_motion_compatibility_ex_task**](docs/VirtualMachineProvisioningCheckerApi.md#virtual_machine_provisioning_checker_query_v_motion_compatibility_ex_task) | **POST** /VirtualMachineProvisioningChecker/{moId}/QueryVMotionCompatibilityEx_Task | Investigates the general VMotion compatibility of a set of virtual machines with a set of hosts. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_export_snapshot**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_export_snapshot) | **POST** /VirtualMachineSnapshot/{moId}/ExportSnapshot | Obtains an export lease on this snapshot. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_get_available_field**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_get_available_field) | **GET** /VirtualMachineSnapshot/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_get_child_snapshot**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_get_child_snapshot) | **GET** /VirtualMachineSnapshot/{moId}/childSnapshot | All snapshots for which this snapshot is the parent. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_get_config**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_get_config) | **GET** /VirtualMachineSnapshot/{moId}/config | Information about the configuration of this virtual machine when this snapshot was taken. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_get_value**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_get_value) | **GET** /VirtualMachineSnapshot/{moId}/value | List of custom field values. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_get_vm**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_get_vm) | **GET** /VirtualMachineSnapshot/{moId}/vm | The virtual machine for which the snapshot was taken. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_remove_snapshot_task**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_remove_snapshot_task) | **POST** /VirtualMachineSnapshot/{moId}/RemoveSnapshot_Task | Removes this snapshot and deletes any associated storage. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_rename_snapshot**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_rename_snapshot) | **POST** /VirtualMachineSnapshot/{moId}/RenameSnapshot | Rename this snapshot with either a new name or a new description or both. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_revert_to_snapshot_task**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_revert_to_snapshot_task) | **POST** /VirtualMachineSnapshot/{moId}/RevertToSnapshot_Task | Change the execution state of the virtual machine to the state of this snapshot. 
*VirtualMachineSnapshotApi* | [**virtual_machine_snapshot_set_custom_value**](docs/VirtualMachineSnapshotApi.md#virtual_machine_snapshot_set_custom_value) | **POST** /VirtualMachineSnapshot/{moId}/setCustomValue | Assigns a value to a custom field. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_add_dv_portgroup_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_add_dv_portgroup_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/AddDVPortgroup_Task | Creates one or more *DistributedVirtualPortgroup*s and adds them to the distributed virtual switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_add_network_resource_pool**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_add_network_resource_pool) | **POST** /VmwareDistributedVirtualSwitch/{moId}/AddNetworkResourcePool | Add a network resource pool. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_create_dv_portgroup_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_create_dv_portgroup_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/CreateDVPortgroup_Task | Creates a single *DistributedVirtualPortgroup* and adds it to the distributed virtual switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_destroy_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_destroy_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/Destroy_Task | Destroys this object, deleting its contents and removing it from its parent folder (if any). 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_dvs_reconfigure_vm_vnic_network_resource_pool_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_dvs_reconfigure_vm_vnic_network_resource_pool_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/DvsReconfigureVmVnicNetworkResourcePool_Task | reconfigure the Virtual NIC network resource pool configuration. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_dvs_rollback_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_dvs_rollback_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/DVSRollback_Task | This method determines if the distributed virtual switch configuration has changed. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_enable_network_resource_management**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_enable_network_resource_management) | **POST** /VmwareDistributedVirtualSwitch/{moId}/EnableNetworkResourceManagement | Enable/Disable network I/O control on the vSphere Distributed Switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_fetch_dv_port_keys**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_fetch_dv_port_keys) | **POST** /VmwareDistributedVirtualSwitch/{moId}/FetchDVPortKeys | Return the keys of ports that meet the criteria. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_fetch_dv_ports**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_fetch_dv_ports) | **POST** /VmwareDistributedVirtualSwitch/{moId}/FetchDVPorts | Return the ports that meet the criteria. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_alarm_actions_enabled**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_alarm_actions_enabled) | **GET** /VmwareDistributedVirtualSwitch/{moId}/alarmActionsEnabled | Whether alarm actions are enabled for this entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_available_field**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_available_field) | **GET** /VmwareDistributedVirtualSwitch/{moId}/availableField | List of custom field definitions that are valid for the object&#39;s type. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_capability**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_capability) | **GET** /VmwareDistributedVirtualSwitch/{moId}/capability | Capability of the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_config**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_config) | **GET** /VmwareDistributedVirtualSwitch/{moId}/config | Switch configuration data. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_config_issue**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_config_issue) | **GET** /VmwareDistributedVirtualSwitch/{moId}/configIssue | Current configuration issues that have been detected for this entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_config_status**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_config_status) | **GET** /VmwareDistributedVirtualSwitch/{moId}/configStatus | The configStatus indicates whether or not the system has detected a configuration issue involving this entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_custom_value**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_custom_value) | **GET** /VmwareDistributedVirtualSwitch/{moId}/customValue | Custom field values. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_declared_alarm_state**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_declared_alarm_state) | **GET** /VmwareDistributedVirtualSwitch/{moId}/declaredAlarmState | A set of alarm states for alarms that apply to this managed entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_disabled_method**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_disabled_method) | **GET** /VmwareDistributedVirtualSwitch/{moId}/disabledMethod | List of operations that are disabled, given the current runtime state of the entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_effective_role**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_effective_role) | **GET** /VmwareDistributedVirtualSwitch/{moId}/effectiveRole | Access rights the current session has to this entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_name**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_name) | **GET** /VmwareDistributedVirtualSwitch/{moId}/name | Name of this entity, unique relative to its parent. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_network_resource_pool**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_network_resource_pool) | **GET** /VmwareDistributedVirtualSwitch/{moId}/networkResourcePool | Network resource pool information for the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_overall_status**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_overall_status) | **GET** /VmwareDistributedVirtualSwitch/{moId}/overallStatus | General health of this managed entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_parent**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_parent) | **GET** /VmwareDistributedVirtualSwitch/{moId}/parent | Parent of this entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_permission**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_permission) | **GET** /VmwareDistributedVirtualSwitch/{moId}/permission | List of permissions defined for this entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_portgroup**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_portgroup) | **GET** /VmwareDistributedVirtualSwitch/{moId}/portgroup | Portgroups that are defined on the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_recent_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_recent_task) | **GET** /VmwareDistributedVirtualSwitch/{moId}/recentTask | The set of recent tasks operating on this managed entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_runtime**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_runtime) | **GET** /VmwareDistributedVirtualSwitch/{moId}/runtime | Runtime information of the distributed virtual switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_summary**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_summary) | **GET** /VmwareDistributedVirtualSwitch/{moId}/summary | Summary of the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_tag**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_tag) | **GET** /VmwareDistributedVirtualSwitch/{moId}/tag | The set of tags associated with this managed entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_triggered_alarm_state**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_triggered_alarm_state) | **GET** /VmwareDistributedVirtualSwitch/{moId}/triggeredAlarmState | A set of alarm states for alarms triggered by this entity or by its descendants. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_uuid**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_uuid) | **GET** /VmwareDistributedVirtualSwitch/{moId}/uuid | Generated UUID of the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_get_value**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_get_value) | **GET** /VmwareDistributedVirtualSwitch/{moId}/value | List of custom field values. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_lookup_dv_port_group**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_lookup_dv_port_group) | **POST** /VmwareDistributedVirtualSwitch/{moId}/LookupDvPortGroup | Returns the portgroup identified by the key within this VDS. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_merge_dvs_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_merge_dvs_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/MergeDvs_Task | Merge an existing DistributedVirtualSwitch (source) to this switch (destination). 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_move_dv_port_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_move_dv_port_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/MoveDVPort_Task | Move the ports out of their current portgroup into the specified portgroup. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_perform_dvs_product_spec_operation_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_perform_dvs_product_spec_operation_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/PerformDvsProductSpecOperation_Task | This method updates the *DistributedVirtualSwitch* product specifications. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_query_used_vlan_id_in_dvs**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_query_used_vlan_id_in_dvs) | **POST** /VmwareDistributedVirtualSwitch/{moId}/QueryUsedVlanIdInDvs | Return the used VLAN ID (PVLAN excluded) in the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_reconfigure_dv_port_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_reconfigure_dv_port_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/ReconfigureDVPort_Task | Reconfigure individual ports. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_reconfigure_dvs_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_reconfigure_dvs_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/ReconfigureDvs_Task | Reconfigures a distributed virtual switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_rectify_dvs_host_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_rectify_dvs_host_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/RectifyDvsHost_Task | Update the switch configuration on the host to bring them in sync with the current configuration in vCenter Server. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_refresh_dv_port_state**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_refresh_dv_port_state) | **POST** /VmwareDistributedVirtualSwitch/{moId}/RefreshDVPortState | Refresh port states. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_reload**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_reload) | **POST** /VmwareDistributedVirtualSwitch/{moId}/Reload | Reload the entity state. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_remove_network_resource_pool**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_remove_network_resource_pool) | **POST** /VmwareDistributedVirtualSwitch/{moId}/RemoveNetworkResourcePool | Remove a network resource pool. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_rename_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_rename_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/Rename_Task | Renames this managed entity. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_set_custom_value**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_set_custom_value) | **POST** /VmwareDistributedVirtualSwitch/{moId}/setCustomValue | Assigns a value to a custom field. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_update_dvs_capability**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_update_dvs_capability) | **POST** /VmwareDistributedVirtualSwitch/{moId}/UpdateDvsCapability | Set the capability of the switch. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_update_dvs_health_check_config_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_update_dvs_health_check_config_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/UpdateDVSHealthCheckConfig_Task | Update health check configuration. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_update_dvs_lacp_group_config_task**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_update_dvs_lacp_group_config_task) | **POST** /VmwareDistributedVirtualSwitch/{moId}/UpdateDVSLacpGroupConfig_Task | Update Link Aggregation Control Protocol groups. 
*VmwareDistributedVirtualSwitchApi* | [**vmware_distributed_virtual_switch_update_network_resource_pool**](docs/VmwareDistributedVirtualSwitchApi.md#vmware_distributed_virtual_switch_update_network_resource_pool) | **POST** /VmwareDistributedVirtualSwitch/{moId}/UpdateNetworkResourcePool | Update the network resource pool configuration. 
*VsanUpgradeSystemApi* | [**vsan_upgrade_system_perform_vsan_upgrade_preflight_check**](docs/VsanUpgradeSystemApi.md#vsan_upgrade_system_perform_vsan_upgrade_preflight_check) | **POST** /VsanUpgradeSystem/{moId}/PerformVsanUpgradePreflightCheck | Perform an upgrade pre-flight check on a cluster. 
*VsanUpgradeSystemApi* | [**vsan_upgrade_system_perform_vsan_upgrade_task**](docs/VsanUpgradeSystemApi.md#vsan_upgrade_system_perform_vsan_upgrade_task) | **POST** /VsanUpgradeSystem/{moId}/PerformVsanUpgrade_Task | Start VSAN on-disk format upgrade process on a particular cluster. 
*VsanUpgradeSystemApi* | [**vsan_upgrade_system_query_vsan_upgrade_status**](docs/VsanUpgradeSystemApi.md#vsan_upgrade_system_query_vsan_upgrade_status) | **POST** /VsanUpgradeSystem/{moId}/QueryVsanUpgradeStatus | Retrieve the latest status of a running, or the previously completed, upgrade process. 


## Documentation For Models

 - [AbdicateDomOwnershipRequestType](docs/AbdicateDomOwnershipRequestType.md)
 - [AbortCustomizationRequestType](docs/AbortCustomizationRequestType.md)
 - [AboutInfo](docs/AboutInfo.md)
 - [AccountCreatedEvent](docs/AccountCreatedEvent.md)
 - [AccountRemovedEvent](docs/AccountRemovedEvent.md)
 - [AccountUpdatedEvent](docs/AccountUpdatedEvent.md)
 - [AcknowledgeAlarmRequestType](docs/AcknowledgeAlarmRequestType.md)
 - [AcquireCredentialsInGuestRequestType](docs/AcquireCredentialsInGuestRequestType.md)
 - [AcquireGenericServiceTicketRequestType](docs/AcquireGenericServiceTicketRequestType.md)
 - [AcquireLocalTicketRequestType](docs/AcquireLocalTicketRequestType.md)
 - [AcquireTicketRequestType](docs/AcquireTicketRequestType.md)
 - [Action](docs/Action.md)
 - [ActionParameterEnum](docs/ActionParameterEnum.md)
 - [ActionTypeEnum](docs/ActionTypeEnum.md)
 - [ActiveDirectoryFault](docs/ActiveDirectoryFault.md)
 - [ActiveDirectoryProfile](docs/ActiveDirectoryProfile.md)
 - [ActiveVMsBlockingEVC](docs/ActiveVMsBlockingEVC.md)
 - [AddAuthorizationRoleRequestType](docs/AddAuthorizationRoleRequestType.md)
 - [AddCustomFieldDefRequestType](docs/AddCustomFieldDefRequestType.md)
 - [AddDVPortgroupRequestType](docs/AddDVPortgroupRequestType.md)
 - [AddDisksRequestType](docs/AddDisksRequestType.md)
 - [AddFilterEntitiesRequestType](docs/AddFilterEntitiesRequestType.md)
 - [AddFilterRequestType](docs/AddFilterRequestType.md)
 - [AddGuestAliasRequestType](docs/AddGuestAliasRequestType.md)
 - [AddHostRequestType](docs/AddHostRequestType.md)
 - [AddInternetScsiSendTargetsRequestType](docs/AddInternetScsiSendTargetsRequestType.md)
 - [AddInternetScsiStaticTargetsRequestType](docs/AddInternetScsiStaticTargetsRequestType.md)
 - [AddKeyRequestType](docs/AddKeyRequestType.md)
 - [AddKeysRequestType](docs/AddKeysRequestType.md)
 - [AddLicenseRequestType](docs/AddLicenseRequestType.md)
 - [AddMonitoredEntitiesRequestType](docs/AddMonitoredEntitiesRequestType.md)
 - [AddNetworkResourcePoolRequestType](docs/AddNetworkResourcePoolRequestType.md)
 - [AddPortGroupRequestType](docs/AddPortGroupRequestType.md)
 - [AddServiceConsoleVirtualNicRequestType](docs/AddServiceConsoleVirtualNicRequestType.md)
 - [AddStandaloneHostRequestType](docs/AddStandaloneHostRequestType.md)
 - [AddVirtualNicRequestType](docs/AddVirtualNicRequestType.md)
 - [AddVirtualSwitchRequestType](docs/AddVirtualSwitchRequestType.md)
 - [AdminDisabled](docs/AdminDisabled.md)
 - [AdminNotDisabled](docs/AdminNotDisabled.md)
 - [AdminPasswordNotChangedEvent](docs/AdminPasswordNotChangedEvent.md)
 - [AffinityConfigured](docs/AffinityConfigured.md)
 - [AffinityTypeEnum](docs/AffinityTypeEnum.md)
 - [AfterStartupTaskScheduler](docs/AfterStartupTaskScheduler.md)
 - [AgentInstallFailed](docs/AgentInstallFailed.md)
 - [AgentInstallFailedReasonEnum](docs/AgentInstallFailedReasonEnum.md)
 - [AlarmAcknowledgedEvent](docs/AlarmAcknowledgedEvent.md)
 - [AlarmAction](docs/AlarmAction.md)
 - [AlarmActionTriggeredEvent](docs/AlarmActionTriggeredEvent.md)
 - [AlarmClearedEvent](docs/AlarmClearedEvent.md)
 - [AlarmCreatedEvent](docs/AlarmCreatedEvent.md)
 - [AlarmDescription](docs/AlarmDescription.md)
 - [AlarmEmailCompletedEvent](docs/AlarmEmailCompletedEvent.md)
 - [AlarmEmailFailedEvent](docs/AlarmEmailFailedEvent.md)
 - [AlarmEvent](docs/AlarmEvent.md)
 - [AlarmEventArgument](docs/AlarmEventArgument.md)
 - [AlarmExpression](docs/AlarmExpression.md)
 - [AlarmFilterSpec](docs/AlarmFilterSpec.md)
 - [AlarmFilterSpecAlarmTypeByEntityEnum](docs/AlarmFilterSpecAlarmTypeByEntityEnum.md)
 - [AlarmFilterSpecAlarmTypeByTriggerEnum](docs/AlarmFilterSpecAlarmTypeByTriggerEnum.md)
 - [AlarmInfo](docs/AlarmInfo.md)
 - [AlarmReconfiguredEvent](docs/AlarmReconfiguredEvent.md)
 - [AlarmRemovedEvent](docs/AlarmRemovedEvent.md)
 - [AlarmScriptCompleteEvent](docs/AlarmScriptCompleteEvent.md)
 - [AlarmScriptFailedEvent](docs/AlarmScriptFailedEvent.md)
 - [AlarmSetting](docs/AlarmSetting.md)
 - [AlarmSnmpCompletedEvent](docs/AlarmSnmpCompletedEvent.md)
 - [AlarmSnmpFailedEvent](docs/AlarmSnmpFailedEvent.md)
 - [AlarmSpec](docs/AlarmSpec.md)
 - [AlarmState](docs/AlarmState.md)
 - [AlarmStatusChangedEvent](docs/AlarmStatusChangedEvent.md)
 - [AlarmTriggeringAction](docs/AlarmTriggeringAction.md)
 - [AlarmTriggeringActionTransitionSpec](docs/AlarmTriggeringActionTransitionSpec.md)
 - [AllVirtualMachinesLicensedEvent](docs/AllVirtualMachinesLicensedEvent.md)
 - [AllocateIpv4AddressRequestType](docs/AllocateIpv4AddressRequestType.md)
 - [AllocateIpv6AddressRequestType](docs/AllocateIpv6AddressRequestType.md)
 - [AlreadyAuthenticatedSessionEvent](docs/AlreadyAuthenticatedSessionEvent.md)
 - [AlreadyBeingManaged](docs/AlreadyBeingManaged.md)
 - [AlreadyConnected](docs/AlreadyConnected.md)
 - [AlreadyExists](docs/AlreadyExists.md)
 - [AlreadyUpgraded](docs/AlreadyUpgraded.md)
 - [AndAlarmExpression](docs/AndAlarmExpression.md)
 - [AnswerFile](docs/AnswerFile.md)
 - [AnswerFileCreateSpec](docs/AnswerFileCreateSpec.md)
 - [AnswerFileOptionsCreateSpec](docs/AnswerFileOptionsCreateSpec.md)
 - [AnswerFileSerializedCreateSpec](docs/AnswerFileSerializedCreateSpec.md)
 - [AnswerFileStatusError](docs/AnswerFileStatusError.md)
 - [AnswerFileStatusResult](docs/AnswerFileStatusResult.md)
 - [AnswerFileUpdateFailed](docs/AnswerFileUpdateFailed.md)
 - [AnswerFileUpdateFailure](docs/AnswerFileUpdateFailure.md)
 - [AnswerFileValidationInfoStatusEnum](docs/AnswerFileValidationInfoStatusEnum.md)
 - [AnswerVMRequestType](docs/AnswerVMRequestType.md)
 - [Any](docs/Any.md)
 - [ApplicationQuiesceFault](docs/ApplicationQuiesceFault.md)
 - [ApplyEntitiesConfigRequestType](docs/ApplyEntitiesConfigRequestType.md)
 - [ApplyEvcModeVMRequestType](docs/ApplyEvcModeVMRequestType.md)
 - [ApplyHostConfigRequestType](docs/ApplyHostConfigRequestType.md)
 - [ApplyHostProfileConfigurationResult](docs/ApplyHostProfileConfigurationResult.md)
 - [ApplyHostProfileConfigurationResultStatusEnum](docs/ApplyHostProfileConfigurationResultStatusEnum.md)
 - [ApplyHostProfileConfigurationSpec](docs/ApplyHostProfileConfigurationSpec.md)
 - [ApplyProfile](docs/ApplyProfile.md)
 - [ApplyRecommendationRequestType](docs/ApplyRecommendationRequestType.md)
 - [ApplyStorageDrsRecommendationRequestType](docs/ApplyStorageDrsRecommendationRequestType.md)
 - [ApplyStorageDrsRecommendationToPodRequestType](docs/ApplyStorageDrsRecommendationToPodRequestType.md)
 - [ApplyStorageRecommendationResult](docs/ApplyStorageRecommendationResult.md)
 - [AreAlarmActionsEnabledRequestType](docs/AreAlarmActionsEnabledRequestType.md)
 - [ArrayOfAboutInfo](docs/ArrayOfAboutInfo.md)
 - [ArrayOfAccountCreatedEvent](docs/ArrayOfAccountCreatedEvent.md)
 - [ArrayOfAccountRemovedEvent](docs/ArrayOfAccountRemovedEvent.md)
 - [ArrayOfAccountUpdatedEvent](docs/ArrayOfAccountUpdatedEvent.md)
 - [ArrayOfAction](docs/ArrayOfAction.md)
 - [ArrayOfActiveDirectoryFault](docs/ArrayOfActiveDirectoryFault.md)
 - [ArrayOfActiveDirectoryProfile](docs/ArrayOfActiveDirectoryProfile.md)
 - [ArrayOfActiveVMsBlockingEVC](docs/ArrayOfActiveVMsBlockingEVC.md)
 - [ArrayOfAdminDisabled](docs/ArrayOfAdminDisabled.md)
 - [ArrayOfAdminNotDisabled](docs/ArrayOfAdminNotDisabled.md)
 - [ArrayOfAdminPasswordNotChangedEvent](docs/ArrayOfAdminPasswordNotChangedEvent.md)
 - [ArrayOfAffinityConfigured](docs/ArrayOfAffinityConfigured.md)
 - [ArrayOfAfterStartupTaskScheduler](docs/ArrayOfAfterStartupTaskScheduler.md)
 - [ArrayOfAgentInstallFailed](docs/ArrayOfAgentInstallFailed.md)
 - [ArrayOfAlarmAcknowledgedEvent](docs/ArrayOfAlarmAcknowledgedEvent.md)
 - [ArrayOfAlarmAction](docs/ArrayOfAlarmAction.md)
 - [ArrayOfAlarmActionTriggeredEvent](docs/ArrayOfAlarmActionTriggeredEvent.md)
 - [ArrayOfAlarmClearedEvent](docs/ArrayOfAlarmClearedEvent.md)
 - [ArrayOfAlarmCreatedEvent](docs/ArrayOfAlarmCreatedEvent.md)
 - [ArrayOfAlarmDescription](docs/ArrayOfAlarmDescription.md)
 - [ArrayOfAlarmEmailCompletedEvent](docs/ArrayOfAlarmEmailCompletedEvent.md)
 - [ArrayOfAlarmEmailFailedEvent](docs/ArrayOfAlarmEmailFailedEvent.md)
 - [ArrayOfAlarmEvent](docs/ArrayOfAlarmEvent.md)
 - [ArrayOfAlarmEventArgument](docs/ArrayOfAlarmEventArgument.md)
 - [ArrayOfAlarmExpression](docs/ArrayOfAlarmExpression.md)
 - [ArrayOfAlarmFilterSpec](docs/ArrayOfAlarmFilterSpec.md)
 - [ArrayOfAlarmInfo](docs/ArrayOfAlarmInfo.md)
 - [ArrayOfAlarmReconfiguredEvent](docs/ArrayOfAlarmReconfiguredEvent.md)
 - [ArrayOfAlarmRemovedEvent](docs/ArrayOfAlarmRemovedEvent.md)
 - [ArrayOfAlarmScriptCompleteEvent](docs/ArrayOfAlarmScriptCompleteEvent.md)
 - [ArrayOfAlarmScriptFailedEvent](docs/ArrayOfAlarmScriptFailedEvent.md)
 - [ArrayOfAlarmSetting](docs/ArrayOfAlarmSetting.md)
 - [ArrayOfAlarmSnmpCompletedEvent](docs/ArrayOfAlarmSnmpCompletedEvent.md)
 - [ArrayOfAlarmSnmpFailedEvent](docs/ArrayOfAlarmSnmpFailedEvent.md)
 - [ArrayOfAlarmSpec](docs/ArrayOfAlarmSpec.md)
 - [ArrayOfAlarmState](docs/ArrayOfAlarmState.md)
 - [ArrayOfAlarmStatusChangedEvent](docs/ArrayOfAlarmStatusChangedEvent.md)
 - [ArrayOfAlarmTriggeringAction](docs/ArrayOfAlarmTriggeringAction.md)
 - [ArrayOfAlarmTriggeringActionTransitionSpec](docs/ArrayOfAlarmTriggeringActionTransitionSpec.md)
 - [ArrayOfAllVirtualMachinesLicensedEvent](docs/ArrayOfAllVirtualMachinesLicensedEvent.md)
 - [ArrayOfAlreadyAuthenticatedSessionEvent](docs/ArrayOfAlreadyAuthenticatedSessionEvent.md)
 - [ArrayOfAlreadyBeingManaged](docs/ArrayOfAlreadyBeingManaged.md)
 - [ArrayOfAlreadyConnected](docs/ArrayOfAlreadyConnected.md)
 - [ArrayOfAlreadyExists](docs/ArrayOfAlreadyExists.md)
 - [ArrayOfAlreadyUpgraded](docs/ArrayOfAlreadyUpgraded.md)
 - [ArrayOfAndAlarmExpression](docs/ArrayOfAndAlarmExpression.md)
 - [ArrayOfAnswerFile](docs/ArrayOfAnswerFile.md)
 - [ArrayOfAnswerFileCreateSpec](docs/ArrayOfAnswerFileCreateSpec.md)
 - [ArrayOfAnswerFileOptionsCreateSpec](docs/ArrayOfAnswerFileOptionsCreateSpec.md)
 - [ArrayOfAnswerFileSerializedCreateSpec](docs/ArrayOfAnswerFileSerializedCreateSpec.md)
 - [ArrayOfAnswerFileStatusError](docs/ArrayOfAnswerFileStatusError.md)
 - [ArrayOfAnswerFileStatusResult](docs/ArrayOfAnswerFileStatusResult.md)
 - [ArrayOfAnswerFileUpdateFailed](docs/ArrayOfAnswerFileUpdateFailed.md)
 - [ArrayOfAnswerFileUpdateFailure](docs/ArrayOfAnswerFileUpdateFailure.md)
 - [ArrayOfAnyType](docs/ArrayOfAnyType.md)
 - [ArrayOfApplicationQuiesceFault](docs/ArrayOfApplicationQuiesceFault.md)
 - [ArrayOfApplyHostProfileConfigurationResult](docs/ArrayOfApplyHostProfileConfigurationResult.md)
 - [ArrayOfApplyHostProfileConfigurationSpec](docs/ArrayOfApplyHostProfileConfigurationSpec.md)
 - [ArrayOfApplyProfile](docs/ArrayOfApplyProfile.md)
 - [ArrayOfApplyStorageRecommendationResult](docs/ArrayOfApplyStorageRecommendationResult.md)
 - [ArrayOfArrayUpdateOperation](docs/ArrayOfArrayUpdateOperation.md)
 - [ArrayOfArrayUpdateSpec](docs/ArrayOfArrayUpdateSpec.md)
 - [ArrayOfAuthMinimumAdminPermission](docs/ArrayOfAuthMinimumAdminPermission.md)
 - [ArrayOfAuthenticationProfile](docs/ArrayOfAuthenticationProfile.md)
 - [ArrayOfAuthorizationDescription](docs/ArrayOfAuthorizationDescription.md)
 - [ArrayOfAuthorizationEvent](docs/ArrayOfAuthorizationEvent.md)
 - [ArrayOfAuthorizationPrivilege](docs/ArrayOfAuthorizationPrivilege.md)
 - [ArrayOfAuthorizationRole](docs/ArrayOfAuthorizationRole.md)
 - [ArrayOfAutoStartDefaults](docs/ArrayOfAutoStartDefaults.md)
 - [ArrayOfAutoStartPowerInfo](docs/ArrayOfAutoStartPowerInfo.md)
 - [ArrayOfAutoStartWaitHeartbeatSetting](docs/ArrayOfAutoStartWaitHeartbeatSetting.md)
 - [ArrayOfBackupBlobReadFailure](docs/ArrayOfBackupBlobReadFailure.md)
 - [ArrayOfBackupBlobWriteFailure](docs/ArrayOfBackupBlobWriteFailure.md)
 - [ArrayOfBadUsernameSessionEvent](docs/ArrayOfBadUsernameSessionEvent.md)
 - [ArrayOfBaseConfigInfo](docs/ArrayOfBaseConfigInfo.md)
 - [ArrayOfBaseConfigInfoBackingInfo](docs/ArrayOfBaseConfigInfoBackingInfo.md)
 - [ArrayOfBaseConfigInfoDiskFileBackingInfo](docs/ArrayOfBaseConfigInfoDiskFileBackingInfo.md)
 - [ArrayOfBaseConfigInfoFileBackingInfo](docs/ArrayOfBaseConfigInfoFileBackingInfo.md)
 - [ArrayOfBaseConfigInfoRawDiskMappingBackingInfo](docs/ArrayOfBaseConfigInfoRawDiskMappingBackingInfo.md)
 - [ArrayOfBatchResult](docs/ArrayOfBatchResult.md)
 - [ArrayOfBinary](docs/ArrayOfBinary.md)
 - [ArrayOfBlockedByFirewall](docs/ArrayOfBlockedByFirewall.md)
 - [ArrayOfBoolOption](docs/ArrayOfBoolOption.md)
 - [ArrayOfBoolPolicy](docs/ArrayOfBoolPolicy.md)
 - [ArrayOfBoolean](docs/ArrayOfBoolean.md)
 - [ArrayOfByte](docs/ArrayOfByte.md)
 - [ArrayOfCAMServerRefusedConnection](docs/ArrayOfCAMServerRefusedConnection.md)
 - [ArrayOfCanceledHostOperationEvent](docs/ArrayOfCanceledHostOperationEvent.md)
 - [ArrayOfCannotAccessFile](docs/ArrayOfCannotAccessFile.md)
 - [ArrayOfCannotAccessLocalSource](docs/ArrayOfCannotAccessLocalSource.md)
 - [ArrayOfCannotAccessNetwork](docs/ArrayOfCannotAccessNetwork.md)
 - [ArrayOfCannotAccessVmComponent](docs/ArrayOfCannotAccessVmComponent.md)
 - [ArrayOfCannotAccessVmConfig](docs/ArrayOfCannotAccessVmConfig.md)
 - [ArrayOfCannotAccessVmDevice](docs/ArrayOfCannotAccessVmDevice.md)
 - [ArrayOfCannotAccessVmDisk](docs/ArrayOfCannotAccessVmDisk.md)
 - [ArrayOfCannotAddHostWithFTVmAsStandalone](docs/ArrayOfCannotAddHostWithFTVmAsStandalone.md)
 - [ArrayOfCannotAddHostWithFTVmToDifferentCluster](docs/ArrayOfCannotAddHostWithFTVmToDifferentCluster.md)
 - [ArrayOfCannotAddHostWithFTVmToNonHACluster](docs/ArrayOfCannotAddHostWithFTVmToNonHACluster.md)
 - [ArrayOfCannotChangeDrsBehaviorForFtSecondary](docs/ArrayOfCannotChangeDrsBehaviorForFtSecondary.md)
 - [ArrayOfCannotChangeHaSettingsForFtSecondary](docs/ArrayOfCannotChangeHaSettingsForFtSecondary.md)
 - [ArrayOfCannotChangeVsanClusterUuid](docs/ArrayOfCannotChangeVsanClusterUuid.md)
 - [ArrayOfCannotChangeVsanNodeUuid](docs/ArrayOfCannotChangeVsanNodeUuid.md)
 - [ArrayOfCannotComputeFTCompatibleHosts](docs/ArrayOfCannotComputeFTCompatibleHosts.md)
 - [ArrayOfCannotCreateFile](docs/ArrayOfCannotCreateFile.md)
 - [ArrayOfCannotDecryptPasswords](docs/ArrayOfCannotDecryptPasswords.md)
 - [ArrayOfCannotDeleteFile](docs/ArrayOfCannotDeleteFile.md)
 - [ArrayOfCannotDisableDrsOnClustersWithVApps](docs/ArrayOfCannotDisableDrsOnClustersWithVApps.md)
 - [ArrayOfCannotDisableSnapshot](docs/ArrayOfCannotDisableSnapshot.md)
 - [ArrayOfCannotDisconnectHostWithFaultToleranceVm](docs/ArrayOfCannotDisconnectHostWithFaultToleranceVm.md)
 - [ArrayOfCannotEnableVmcpForCluster](docs/ArrayOfCannotEnableVmcpForCluster.md)
 - [ArrayOfCannotModifyConfigCpuRequirements](docs/ArrayOfCannotModifyConfigCpuRequirements.md)
 - [ArrayOfCannotMoveFaultToleranceVm](docs/ArrayOfCannotMoveFaultToleranceVm.md)
 - [ArrayOfCannotMoveHostWithFaultToleranceVm](docs/ArrayOfCannotMoveHostWithFaultToleranceVm.md)
 - [ArrayOfCannotMoveVmWithDeltaDisk](docs/ArrayOfCannotMoveVmWithDeltaDisk.md)
 - [ArrayOfCannotMoveVmWithNativeDeltaDisk](docs/ArrayOfCannotMoveVmWithNativeDeltaDisk.md)
 - [ArrayOfCannotMoveVsanEnabledHost](docs/ArrayOfCannotMoveVsanEnabledHost.md)
 - [ArrayOfCannotPlaceWithoutPrerequisiteMoves](docs/ArrayOfCannotPlaceWithoutPrerequisiteMoves.md)
 - [ArrayOfCannotPowerOffVmInCluster](docs/ArrayOfCannotPowerOffVmInCluster.md)
 - [ArrayOfCannotReconfigureVsanWhenHaEnabled](docs/ArrayOfCannotReconfigureVsanWhenHaEnabled.md)
 - [ArrayOfCannotUseNetwork](docs/ArrayOfCannotUseNetwork.md)
 - [ArrayOfCapability](docs/ArrayOfCapability.md)
 - [ArrayOfChangesInfoEventArgument](docs/ArrayOfChangesInfoEventArgument.md)
 - [ArrayOfCheckResult](docs/ArrayOfCheckResult.md)
 - [ArrayOfChoiceOption](docs/ArrayOfChoiceOption.md)
 - [ArrayOfClockSkew](docs/ArrayOfClockSkew.md)
 - [ArrayOfCloneFromSnapshotNotSupported](docs/ArrayOfCloneFromSnapshotNotSupported.md)
 - [ArrayOfClusterAction](docs/ArrayOfClusterAction.md)
 - [ArrayOfClusterActionHistory](docs/ArrayOfClusterActionHistory.md)
 - [ArrayOfClusterAffinityRuleSpec](docs/ArrayOfClusterAffinityRuleSpec.md)
 - [ArrayOfClusterAntiAffinityRuleSpec](docs/ArrayOfClusterAntiAffinityRuleSpec.md)
 - [ArrayOfClusterAttemptedVmInfo](docs/ArrayOfClusterAttemptedVmInfo.md)
 - [ArrayOfClusterClusterInitialPlacementAction](docs/ArrayOfClusterClusterInitialPlacementAction.md)
 - [ArrayOfClusterComplianceCheckedEvent](docs/ArrayOfClusterComplianceCheckedEvent.md)
 - [ArrayOfClusterComputeResourceClusterConfigResult](docs/ArrayOfClusterComputeResourceClusterConfigResult.md)
 - [ArrayOfClusterComputeResourceDVSConfigurationValidation](docs/ArrayOfClusterComputeResourceDVSConfigurationValidation.md)
 - [ArrayOfClusterComputeResourceDVSSetting](docs/ArrayOfClusterComputeResourceDVSSetting.md)
 - [ArrayOfClusterComputeResourceDVSSettingDVPortgroupToServiceMapping](docs/ArrayOfClusterComputeResourceDVSSettingDVPortgroupToServiceMapping.md)
 - [ArrayOfClusterComputeResourceDvsProfile](docs/ArrayOfClusterComputeResourceDvsProfile.md)
 - [ArrayOfClusterComputeResourceDvsProfileDVPortgroupSpecToServiceMapping](docs/ArrayOfClusterComputeResourceDvsProfileDVPortgroupSpecToServiceMapping.md)
 - [ArrayOfClusterComputeResourceHCIConfigInfo](docs/ArrayOfClusterComputeResourceHCIConfigInfo.md)
 - [ArrayOfClusterComputeResourceHCIConfigSpec](docs/ArrayOfClusterComputeResourceHCIConfigSpec.md)
 - [ArrayOfClusterComputeResourceHostConfigurationInput](docs/ArrayOfClusterComputeResourceHostConfigurationInput.md)
 - [ArrayOfClusterComputeResourceHostConfigurationProfile](docs/ArrayOfClusterComputeResourceHostConfigurationProfile.md)
 - [ArrayOfClusterComputeResourceHostConfigurationValidation](docs/ArrayOfClusterComputeResourceHostConfigurationValidation.md)
 - [ArrayOfClusterComputeResourceHostVmkNicInfo](docs/ArrayOfClusterComputeResourceHostVmkNicInfo.md)
 - [ArrayOfClusterComputeResourceSummary](docs/ArrayOfClusterComputeResourceSummary.md)
 - [ArrayOfClusterComputeResourceVCProfile](docs/ArrayOfClusterComputeResourceVCProfile.md)
 - [ArrayOfClusterComputeResourceValidationResultBase](docs/ArrayOfClusterComputeResourceValidationResultBase.md)
 - [ArrayOfClusterComputeResourceVcsSlots](docs/ArrayOfClusterComputeResourceVcsSlots.md)
 - [ArrayOfClusterConfigInfo](docs/ArrayOfClusterConfigInfo.md)
 - [ArrayOfClusterConfigInfoEx](docs/ArrayOfClusterConfigInfoEx.md)
 - [ArrayOfClusterConfigSpec](docs/ArrayOfClusterConfigSpec.md)
 - [ArrayOfClusterConfigSpecEx](docs/ArrayOfClusterConfigSpecEx.md)
 - [ArrayOfClusterCreatedEvent](docs/ArrayOfClusterCreatedEvent.md)
 - [ArrayOfClusterCryptoConfigInfo](docs/ArrayOfClusterCryptoConfigInfo.md)
 - [ArrayOfClusterDasAamHostInfo](docs/ArrayOfClusterDasAamHostInfo.md)
 - [ArrayOfClusterDasAamNodeState](docs/ArrayOfClusterDasAamNodeState.md)
 - [ArrayOfClusterDasAdmissionControlInfo](docs/ArrayOfClusterDasAdmissionControlInfo.md)
 - [ArrayOfClusterDasAdmissionControlPolicy](docs/ArrayOfClusterDasAdmissionControlPolicy.md)
 - [ArrayOfClusterDasAdvancedRuntimeInfo](docs/ArrayOfClusterDasAdvancedRuntimeInfo.md)
 - [ArrayOfClusterDasAdvancedRuntimeInfoVmcpCapabilityInfo](docs/ArrayOfClusterDasAdvancedRuntimeInfoVmcpCapabilityInfo.md)
 - [ArrayOfClusterDasConfigInfo](docs/ArrayOfClusterDasConfigInfo.md)
 - [ArrayOfClusterDasData](docs/ArrayOfClusterDasData.md)
 - [ArrayOfClusterDasDataSummary](docs/ArrayOfClusterDasDataSummary.md)
 - [ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfo](docs/ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfo.md)
 - [ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfoHostSlots](docs/ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfoHostSlots.md)
 - [ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfoSlotInfo](docs/ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfoSlotInfo.md)
 - [ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfoVmSlots](docs/ArrayOfClusterDasFailoverLevelAdvancedRuntimeInfoVmSlots.md)
 - [ArrayOfClusterDasFdmHostState](docs/ArrayOfClusterDasFdmHostState.md)
 - [ArrayOfClusterDasHostInfo](docs/ArrayOfClusterDasHostInfo.md)
 - [ArrayOfClusterDasHostRecommendation](docs/ArrayOfClusterDasHostRecommendation.md)
 - [ArrayOfClusterDasVmConfigInfo](docs/ArrayOfClusterDasVmConfigInfo.md)
 - [ArrayOfClusterDasVmConfigSpec](docs/ArrayOfClusterDasVmConfigSpec.md)
 - [ArrayOfClusterDasVmSettings](docs/ArrayOfClusterDasVmSettings.md)
 - [ArrayOfClusterDatastoreUpdateSpec](docs/ArrayOfClusterDatastoreUpdateSpec.md)
 - [ArrayOfClusterDependencyRuleInfo](docs/ArrayOfClusterDependencyRuleInfo.md)
 - [ArrayOfClusterDestroyedEvent](docs/ArrayOfClusterDestroyedEvent.md)
 - [ArrayOfClusterDpmConfigInfo](docs/ArrayOfClusterDpmConfigInfo.md)
 - [ArrayOfClusterDpmHostConfigInfo](docs/ArrayOfClusterDpmHostConfigInfo.md)
 - [ArrayOfClusterDpmHostConfigSpec](docs/ArrayOfClusterDpmHostConfigSpec.md)
 - [ArrayOfClusterDrsConfigInfo](docs/ArrayOfClusterDrsConfigInfo.md)
 - [ArrayOfClusterDrsFaults](docs/ArrayOfClusterDrsFaults.md)
 - [ArrayOfClusterDrsFaultsFaultsByVirtualDisk](docs/ArrayOfClusterDrsFaultsFaultsByVirtualDisk.md)
 - [ArrayOfClusterDrsFaultsFaultsByVm](docs/ArrayOfClusterDrsFaultsFaultsByVm.md)
 - [ArrayOfClusterDrsMigration](docs/ArrayOfClusterDrsMigration.md)
 - [ArrayOfClusterDrsRecommendation](docs/ArrayOfClusterDrsRecommendation.md)
 - [ArrayOfClusterDrsVmConfigInfo](docs/ArrayOfClusterDrsVmConfigInfo.md)
 - [ArrayOfClusterDrsVmConfigSpec](docs/ArrayOfClusterDrsVmConfigSpec.md)
 - [ArrayOfClusterEVCManagerCheckResult](docs/ArrayOfClusterEVCManagerCheckResult.md)
 - [ArrayOfClusterEVCManagerEVCState](docs/ArrayOfClusterEVCManagerEVCState.md)
 - [ArrayOfClusterEnterMaintenanceResult](docs/ArrayOfClusterEnterMaintenanceResult.md)
 - [ArrayOfClusterEvent](docs/ArrayOfClusterEvent.md)
 - [ArrayOfClusterFailoverHostAdmissionControlInfo](docs/ArrayOfClusterFailoverHostAdmissionControlInfo.md)
 - [ArrayOfClusterFailoverHostAdmissionControlInfoHostStatus](docs/ArrayOfClusterFailoverHostAdmissionControlInfoHostStatus.md)
 - [ArrayOfClusterFailoverHostAdmissionControlPolicy](docs/ArrayOfClusterFailoverHostAdmissionControlPolicy.md)
 - [ArrayOfClusterFailoverLevelAdmissionControlInfo](docs/ArrayOfClusterFailoverLevelAdmissionControlInfo.md)
 - [ArrayOfClusterFailoverLevelAdmissionControlPolicy](docs/ArrayOfClusterFailoverLevelAdmissionControlPolicy.md)
 - [ArrayOfClusterFailoverResourcesAdmissionControlInfo](docs/ArrayOfClusterFailoverResourcesAdmissionControlInfo.md)
 - [ArrayOfClusterFailoverResourcesAdmissionControlPolicy](docs/ArrayOfClusterFailoverResourcesAdmissionControlPolicy.md)
 - [ArrayOfClusterFixedSizeSlotPolicy](docs/ArrayOfClusterFixedSizeSlotPolicy.md)
 - [ArrayOfClusterGroupInfo](docs/ArrayOfClusterGroupInfo.md)
 - [ArrayOfClusterGroupSpec](docs/ArrayOfClusterGroupSpec.md)
 - [ArrayOfClusterHostGroup](docs/ArrayOfClusterHostGroup.md)
 - [ArrayOfClusterHostInfraUpdateHaModeAction](docs/ArrayOfClusterHostInfraUpdateHaModeAction.md)
 - [ArrayOfClusterHostPowerAction](docs/ArrayOfClusterHostPowerAction.md)
 - [ArrayOfClusterHostRecommendation](docs/ArrayOfClusterHostRecommendation.md)
 - [ArrayOfClusterInfraUpdateHaConfigInfo](docs/ArrayOfClusterInfraUpdateHaConfigInfo.md)
 - [ArrayOfClusterInitialPlacementAction](docs/ArrayOfClusterInitialPlacementAction.md)
 - [ArrayOfClusterIoFilterInfo](docs/ArrayOfClusterIoFilterInfo.md)
 - [ArrayOfClusterMigrationAction](docs/ArrayOfClusterMigrationAction.md)
 - [ArrayOfClusterNetworkConfigSpec](docs/ArrayOfClusterNetworkConfigSpec.md)
 - [ArrayOfClusterNotAttemptedVmInfo](docs/ArrayOfClusterNotAttemptedVmInfo.md)
 - [ArrayOfClusterOrchestrationInfo](docs/ArrayOfClusterOrchestrationInfo.md)
 - [ArrayOfClusterOvercommittedEvent](docs/ArrayOfClusterOvercommittedEvent.md)
 - [ArrayOfClusterPowerOnVmResult](docs/ArrayOfClusterPowerOnVmResult.md)
 - [ArrayOfClusterPreemptibleVmPairInfo](docs/ArrayOfClusterPreemptibleVmPairInfo.md)
 - [ArrayOfClusterPreemptibleVmPairSpec](docs/ArrayOfClusterPreemptibleVmPairSpec.md)
 - [ArrayOfClusterProactiveDrsConfigInfo](docs/ArrayOfClusterProactiveDrsConfigInfo.md)
 - [ArrayOfClusterProfileCompleteConfigSpec](docs/ArrayOfClusterProfileCompleteConfigSpec.md)
 - [ArrayOfClusterProfileConfigInfo](docs/ArrayOfClusterProfileConfigInfo.md)
 - [ArrayOfClusterProfileConfigServiceCreateSpec](docs/ArrayOfClusterProfileConfigServiceCreateSpec.md)
 - [ArrayOfClusterProfileConfigSpec](docs/ArrayOfClusterProfileConfigSpec.md)
 - [ArrayOfClusterProfileCreateSpec](docs/ArrayOfClusterProfileCreateSpec.md)
 - [ArrayOfClusterRecommendation](docs/ArrayOfClusterRecommendation.md)
 - [ArrayOfClusterReconfiguredEvent](docs/ArrayOfClusterReconfiguredEvent.md)
 - [ArrayOfClusterResourceUsageSummary](docs/ArrayOfClusterResourceUsageSummary.md)
 - [ArrayOfClusterRuleInfo](docs/ArrayOfClusterRuleInfo.md)
 - [ArrayOfClusterRuleSpec](docs/ArrayOfClusterRuleSpec.md)
 - [ArrayOfClusterSlotPolicy](docs/ArrayOfClusterSlotPolicy.md)
 - [ArrayOfClusterStatusChangedEvent](docs/ArrayOfClusterStatusChangedEvent.md)
 - [ArrayOfClusterSystemVMsConfigInfo](docs/ArrayOfClusterSystemVMsConfigInfo.md)
 - [ArrayOfClusterSystemVMsConfigSpec](docs/ArrayOfClusterSystemVMsConfigSpec.md)
 - [ArrayOfClusterTagCategoryUpdateSpec](docs/ArrayOfClusterTagCategoryUpdateSpec.md)
 - [ArrayOfClusterUsageSummary](docs/ArrayOfClusterUsageSummary.md)
 - [ArrayOfClusterVmComponentProtectionSettings](docs/ArrayOfClusterVmComponentProtectionSettings.md)
 - [ArrayOfClusterVmGroup](docs/ArrayOfClusterVmGroup.md)
 - [ArrayOfClusterVmHostRuleInfo](docs/ArrayOfClusterVmHostRuleInfo.md)
 - [ArrayOfClusterVmOrchestrationInfo](docs/ArrayOfClusterVmOrchestrationInfo.md)
 - [ArrayOfClusterVmOrchestrationSpec](docs/ArrayOfClusterVmOrchestrationSpec.md)
 - [ArrayOfClusterVmReadiness](docs/ArrayOfClusterVmReadiness.md)
 - [ArrayOfClusterVmToolsMonitoringSettings](docs/ArrayOfClusterVmToolsMonitoringSettings.md)
 - [ArrayOfCollectorAddressUnset](docs/ArrayOfCollectorAddressUnset.md)
 - [ArrayOfComplianceFailure](docs/ArrayOfComplianceFailure.md)
 - [ArrayOfComplianceFailureComplianceFailureValues](docs/ArrayOfComplianceFailureComplianceFailureValues.md)
 - [ArrayOfComplianceLocator](docs/ArrayOfComplianceLocator.md)
 - [ArrayOfComplianceProfile](docs/ArrayOfComplianceProfile.md)
 - [ArrayOfComplianceResult](docs/ArrayOfComplianceResult.md)
 - [ArrayOfCompositePolicyOption](docs/ArrayOfCompositePolicyOption.md)
 - [ArrayOfComputeResourceConfigInfo](docs/ArrayOfComputeResourceConfigInfo.md)
 - [ArrayOfComputeResourceConfigSpec](docs/ArrayOfComputeResourceConfigSpec.md)
 - [ArrayOfComputeResourceEventArgument](docs/ArrayOfComputeResourceEventArgument.md)
 - [ArrayOfComputeResourceHostSPBMLicenseInfo](docs/ArrayOfComputeResourceHostSPBMLicenseInfo.md)
 - [ArrayOfComputeResourceHostSPBMLicenseInfoHostSPBMLicenseState](docs/ArrayOfComputeResourceHostSPBMLicenseInfoHostSPBMLicenseState.md)
 - [ArrayOfComputeResourceHostSeedSpecSingleHostSpec](docs/ArrayOfComputeResourceHostSeedSpecSingleHostSpec.md)
 - [ArrayOfComputeResourceSummary](docs/ArrayOfComputeResourceSummary.md)
 - [ArrayOfConcurrentAccess](docs/ArrayOfConcurrentAccess.md)
 - [ArrayOfConfigTarget](docs/ArrayOfConfigTarget.md)
 - [ArrayOfConflictingConfiguration](docs/ArrayOfConflictingConfiguration.md)
 - [ArrayOfConflictingConfigurationConfig](docs/ArrayOfConflictingConfigurationConfig.md)
 - [ArrayOfConflictingDatastoreFound](docs/ArrayOfConflictingDatastoreFound.md)
 - [ArrayOfConnectedIso](docs/ArrayOfConnectedIso.md)
 - [ArrayOfCpuCompatibilityUnknown](docs/ArrayOfCpuCompatibilityUnknown.md)
 - [ArrayOfCpuHotPlugNotSupported](docs/ArrayOfCpuHotPlugNotSupported.md)
 - [ArrayOfCpuIncompatible](docs/ArrayOfCpuIncompatible.md)
 - [ArrayOfCpuIncompatible1ECX](docs/ArrayOfCpuIncompatible1ECX.md)
 - [ArrayOfCpuIncompatible81EDX](docs/ArrayOfCpuIncompatible81EDX.md)
 - [ArrayOfCreateTaskAction](docs/ArrayOfCreateTaskAction.md)
 - [ArrayOfCryptoKeyId](docs/ArrayOfCryptoKeyId.md)
 - [ArrayOfCryptoKeyPlain](docs/ArrayOfCryptoKeyPlain.md)
 - [ArrayOfCryptoKeyResult](docs/ArrayOfCryptoKeyResult.md)
 - [ArrayOfCryptoManagerHostKeyStatus](docs/ArrayOfCryptoManagerHostKeyStatus.md)
 - [ArrayOfCryptoManagerKmipCertSignRequest](docs/ArrayOfCryptoManagerKmipCertSignRequest.md)
 - [ArrayOfCryptoManagerKmipCertificateInfo](docs/ArrayOfCryptoManagerKmipCertificateInfo.md)
 - [ArrayOfCryptoManagerKmipClusterStatus](docs/ArrayOfCryptoManagerKmipClusterStatus.md)
 - [ArrayOfCryptoManagerKmipCryptoKeyStatus](docs/ArrayOfCryptoManagerKmipCryptoKeyStatus.md)
 - [ArrayOfCryptoManagerKmipCustomAttributeSpec](docs/ArrayOfCryptoManagerKmipCustomAttributeSpec.md)
 - [ArrayOfCryptoManagerKmipServerCertInfo](docs/ArrayOfCryptoManagerKmipServerCertInfo.md)
 - [ArrayOfCryptoManagerKmipServerStatus](docs/ArrayOfCryptoManagerKmipServerStatus.md)
 - [ArrayOfCryptoSpec](docs/ArrayOfCryptoSpec.md)
 - [ArrayOfCryptoSpecDecrypt](docs/ArrayOfCryptoSpecDecrypt.md)
 - [ArrayOfCryptoSpecDeepRecrypt](docs/ArrayOfCryptoSpecDeepRecrypt.md)
 - [ArrayOfCryptoSpecEncrypt](docs/ArrayOfCryptoSpecEncrypt.md)
 - [ArrayOfCryptoSpecNoOp](docs/ArrayOfCryptoSpecNoOp.md)
 - [ArrayOfCryptoSpecRegister](docs/ArrayOfCryptoSpecRegister.md)
 - [ArrayOfCryptoSpecShallowRecrypt](docs/ArrayOfCryptoSpecShallowRecrypt.md)
 - [ArrayOfCustomFieldDef](docs/ArrayOfCustomFieldDef.md)
 - [ArrayOfCustomFieldDefAddedEvent](docs/ArrayOfCustomFieldDefAddedEvent.md)
 - [ArrayOfCustomFieldDefEvent](docs/ArrayOfCustomFieldDefEvent.md)
 - [ArrayOfCustomFieldDefRemovedEvent](docs/ArrayOfCustomFieldDefRemovedEvent.md)
 - [ArrayOfCustomFieldDefRenamedEvent](docs/ArrayOfCustomFieldDefRenamedEvent.md)
 - [ArrayOfCustomFieldEvent](docs/ArrayOfCustomFieldEvent.md)
 - [ArrayOfCustomFieldStringValue](docs/ArrayOfCustomFieldStringValue.md)
 - [ArrayOfCustomFieldValue](docs/ArrayOfCustomFieldValue.md)
 - [ArrayOfCustomFieldValueChangedEvent](docs/ArrayOfCustomFieldValueChangedEvent.md)
 - [ArrayOfCustomizationAdapterMapping](docs/ArrayOfCustomizationAdapterMapping.md)
 - [ArrayOfCustomizationAutoIpV6Generator](docs/ArrayOfCustomizationAutoIpV6Generator.md)
 - [ArrayOfCustomizationCloudinitPrep](docs/ArrayOfCustomizationCloudinitPrep.md)
 - [ArrayOfCustomizationCustomIpGenerator](docs/ArrayOfCustomizationCustomIpGenerator.md)
 - [ArrayOfCustomizationCustomIpV6Generator](docs/ArrayOfCustomizationCustomIpV6Generator.md)
 - [ArrayOfCustomizationCustomName](docs/ArrayOfCustomizationCustomName.md)
 - [ArrayOfCustomizationDhcpIpGenerator](docs/ArrayOfCustomizationDhcpIpGenerator.md)
 - [ArrayOfCustomizationDhcpIpV6Generator](docs/ArrayOfCustomizationDhcpIpV6Generator.md)
 - [ArrayOfCustomizationEvent](docs/ArrayOfCustomizationEvent.md)
 - [ArrayOfCustomizationFailed](docs/ArrayOfCustomizationFailed.md)
 - [ArrayOfCustomizationFault](docs/ArrayOfCustomizationFault.md)
 - [ArrayOfCustomizationFixedIp](docs/ArrayOfCustomizationFixedIp.md)
 - [ArrayOfCustomizationFixedIpV6](docs/ArrayOfCustomizationFixedIpV6.md)
 - [ArrayOfCustomizationFixedName](docs/ArrayOfCustomizationFixedName.md)
 - [ArrayOfCustomizationGlobalIPSettings](docs/ArrayOfCustomizationGlobalIPSettings.md)
 - [ArrayOfCustomizationGuiRunOnce](docs/ArrayOfCustomizationGuiRunOnce.md)
 - [ArrayOfCustomizationGuiUnattended](docs/ArrayOfCustomizationGuiUnattended.md)
 - [ArrayOfCustomizationIPSettings](docs/ArrayOfCustomizationIPSettings.md)
 - [ArrayOfCustomizationIPSettingsIpV6AddressSpec](docs/ArrayOfCustomizationIPSettingsIpV6AddressSpec.md)
 - [ArrayOfCustomizationIdentification](docs/ArrayOfCustomizationIdentification.md)
 - [ArrayOfCustomizationIdentitySettings](docs/ArrayOfCustomizationIdentitySettings.md)
 - [ArrayOfCustomizationIpGenerator](docs/ArrayOfCustomizationIpGenerator.md)
 - [ArrayOfCustomizationIpV6Generator](docs/ArrayOfCustomizationIpV6Generator.md)
 - [ArrayOfCustomizationLicenseDataMode](docs/ArrayOfCustomizationLicenseDataMode.md)
 - [ArrayOfCustomizationLicenseFilePrintData](docs/ArrayOfCustomizationLicenseFilePrintData.md)
 - [ArrayOfCustomizationLinuxIdentityFailed](docs/ArrayOfCustomizationLinuxIdentityFailed.md)
 - [ArrayOfCustomizationLinuxOptions](docs/ArrayOfCustomizationLinuxOptions.md)
 - [ArrayOfCustomizationLinuxPrep](docs/ArrayOfCustomizationLinuxPrep.md)
 - [ArrayOfCustomizationName](docs/ArrayOfCustomizationName.md)
 - [ArrayOfCustomizationNetBIOSMode](docs/ArrayOfCustomizationNetBIOSMode.md)
 - [ArrayOfCustomizationNetworkSetupFailed](docs/ArrayOfCustomizationNetworkSetupFailed.md)
 - [ArrayOfCustomizationOptions](docs/ArrayOfCustomizationOptions.md)
 - [ArrayOfCustomizationPassword](docs/ArrayOfCustomizationPassword.md)
 - [ArrayOfCustomizationPending](docs/ArrayOfCustomizationPending.md)
 - [ArrayOfCustomizationPrefixName](docs/ArrayOfCustomizationPrefixName.md)
 - [ArrayOfCustomizationSpec](docs/ArrayOfCustomizationSpec.md)
 - [ArrayOfCustomizationSpecInfo](docs/ArrayOfCustomizationSpecInfo.md)
 - [ArrayOfCustomizationSpecItem](docs/ArrayOfCustomizationSpecItem.md)
 - [ArrayOfCustomizationStartedEvent](docs/ArrayOfCustomizationStartedEvent.md)
 - [ArrayOfCustomizationStatelessIpV6Generator](docs/ArrayOfCustomizationStatelessIpV6Generator.md)
 - [ArrayOfCustomizationSucceeded](docs/ArrayOfCustomizationSucceeded.md)
 - [ArrayOfCustomizationSysprep](docs/ArrayOfCustomizationSysprep.md)
 - [ArrayOfCustomizationSysprepFailed](docs/ArrayOfCustomizationSysprepFailed.md)
 - [ArrayOfCustomizationSysprepRebootOption](docs/ArrayOfCustomizationSysprepRebootOption.md)
 - [ArrayOfCustomizationSysprepText](docs/ArrayOfCustomizationSysprepText.md)
 - [ArrayOfCustomizationUnknownFailure](docs/ArrayOfCustomizationUnknownFailure.md)
 - [ArrayOfCustomizationUnknownIpGenerator](docs/ArrayOfCustomizationUnknownIpGenerator.md)
 - [ArrayOfCustomizationUnknownIpV6Generator](docs/ArrayOfCustomizationUnknownIpV6Generator.md)
 - [ArrayOfCustomizationUnknownName](docs/ArrayOfCustomizationUnknownName.md)
 - [ArrayOfCustomizationUserData](docs/ArrayOfCustomizationUserData.md)
 - [ArrayOfCustomizationVirtualMachineName](docs/ArrayOfCustomizationVirtualMachineName.md)
 - [ArrayOfCustomizationWinOptions](docs/ArrayOfCustomizationWinOptions.md)
 - [ArrayOfDVPortConfigInfo](docs/ArrayOfDVPortConfigInfo.md)
 - [ArrayOfDVPortConfigSpec](docs/ArrayOfDVPortConfigSpec.md)
 - [ArrayOfDVPortNotSupported](docs/ArrayOfDVPortNotSupported.md)
 - [ArrayOfDVPortSetting](docs/ArrayOfDVPortSetting.md)
 - [ArrayOfDVPortState](docs/ArrayOfDVPortState.md)
 - [ArrayOfDVPortStatus](docs/ArrayOfDVPortStatus.md)
 - [ArrayOfDVPortgroupConfigInfo](docs/ArrayOfDVPortgroupConfigInfo.md)
 - [ArrayOfDVPortgroupConfigSpec](docs/ArrayOfDVPortgroupConfigSpec.md)
 - [ArrayOfDVPortgroupCreatedEvent](docs/ArrayOfDVPortgroupCreatedEvent.md)
 - [ArrayOfDVPortgroupDestroyedEvent](docs/ArrayOfDVPortgroupDestroyedEvent.md)
 - [ArrayOfDVPortgroupEvent](docs/ArrayOfDVPortgroupEvent.md)
 - [ArrayOfDVPortgroupPolicy](docs/ArrayOfDVPortgroupPolicy.md)
 - [ArrayOfDVPortgroupReconfiguredEvent](docs/ArrayOfDVPortgroupReconfiguredEvent.md)
 - [ArrayOfDVPortgroupRenamedEvent](docs/ArrayOfDVPortgroupRenamedEvent.md)
 - [ArrayOfDVPortgroupSelection](docs/ArrayOfDVPortgroupSelection.md)
 - [ArrayOfDVSBackupRestoreCapability](docs/ArrayOfDVSBackupRestoreCapability.md)
 - [ArrayOfDVSCapability](docs/ArrayOfDVSCapability.md)
 - [ArrayOfDVSConfigInfo](docs/ArrayOfDVSConfigInfo.md)
 - [ArrayOfDVSConfigSpec](docs/ArrayOfDVSConfigSpec.md)
 - [ArrayOfDVSContactInfo](docs/ArrayOfDVSContactInfo.md)
 - [ArrayOfDVSCreateSpec](docs/ArrayOfDVSCreateSpec.md)
 - [ArrayOfDVSFailureCriteria](docs/ArrayOfDVSFailureCriteria.md)
 - [ArrayOfDVSFeatureCapability](docs/ArrayOfDVSFeatureCapability.md)
 - [ArrayOfDVSHealthCheckCapability](docs/ArrayOfDVSHealthCheckCapability.md)
 - [ArrayOfDVSHealthCheckConfig](docs/ArrayOfDVSHealthCheckConfig.md)
 - [ArrayOfDVSHostLocalPortInfo](docs/ArrayOfDVSHostLocalPortInfo.md)
 - [ArrayOfDVSMacLearningPolicy](docs/ArrayOfDVSMacLearningPolicy.md)
 - [ArrayOfDVSMacManagementPolicy](docs/ArrayOfDVSMacManagementPolicy.md)
 - [ArrayOfDVSManagerDvsConfigTarget](docs/ArrayOfDVSManagerDvsConfigTarget.md)
 - [ArrayOfDVSManagerPhysicalNicsList](docs/ArrayOfDVSManagerPhysicalNicsList.md)
 - [ArrayOfDVSNameArrayUplinkPortPolicy](docs/ArrayOfDVSNameArrayUplinkPortPolicy.md)
 - [ArrayOfDVSNetworkResourceManagementCapability](docs/ArrayOfDVSNetworkResourceManagementCapability.md)
 - [ArrayOfDVSNetworkResourcePool](docs/ArrayOfDVSNetworkResourcePool.md)
 - [ArrayOfDVSNetworkResourcePoolAllocationInfo](docs/ArrayOfDVSNetworkResourcePoolAllocationInfo.md)
 - [ArrayOfDVSNetworkResourcePoolConfigSpec](docs/ArrayOfDVSNetworkResourcePoolConfigSpec.md)
 - [ArrayOfDVSPolicy](docs/ArrayOfDVSPolicy.md)
 - [ArrayOfDVSRollbackCapability](docs/ArrayOfDVSRollbackCapability.md)
 - [ArrayOfDVSRuntimeInfo](docs/ArrayOfDVSRuntimeInfo.md)
 - [ArrayOfDVSSecurityPolicy](docs/ArrayOfDVSSecurityPolicy.md)
 - [ArrayOfDVSSelection](docs/ArrayOfDVSSelection.md)
 - [ArrayOfDVSSummary](docs/ArrayOfDVSSummary.md)
 - [ArrayOfDVSTrafficShapingPolicy](docs/ArrayOfDVSTrafficShapingPolicy.md)
 - [ArrayOfDVSUplinkPortPolicy](docs/ArrayOfDVSUplinkPortPolicy.md)
 - [ArrayOfDVSVendorSpecificConfig](docs/ArrayOfDVSVendorSpecificConfig.md)
 - [ArrayOfDVSVmVnicNetworkResourcePool](docs/ArrayOfDVSVmVnicNetworkResourcePool.md)
 - [ArrayOfDailyTaskScheduler](docs/ArrayOfDailyTaskScheduler.md)
 - [ArrayOfDasAdmissionControlDisabledEvent](docs/ArrayOfDasAdmissionControlDisabledEvent.md)
 - [ArrayOfDasAdmissionControlEnabledEvent](docs/ArrayOfDasAdmissionControlEnabledEvent.md)
 - [ArrayOfDasAgentFoundEvent](docs/ArrayOfDasAgentFoundEvent.md)
 - [ArrayOfDasAgentUnavailableEvent](docs/ArrayOfDasAgentUnavailableEvent.md)
 - [ArrayOfDasClusterIsolatedEvent](docs/ArrayOfDasClusterIsolatedEvent.md)
 - [ArrayOfDasConfigFault](docs/ArrayOfDasConfigFault.md)
 - [ArrayOfDasDisabledEvent](docs/ArrayOfDasDisabledEvent.md)
 - [ArrayOfDasEnabledEvent](docs/ArrayOfDasEnabledEvent.md)
 - [ArrayOfDasHeartbeatDatastoreInfo](docs/ArrayOfDasHeartbeatDatastoreInfo.md)
 - [ArrayOfDasHostFailedEvent](docs/ArrayOfDasHostFailedEvent.md)
 - [ArrayOfDasHostIsolatedEvent](docs/ArrayOfDasHostIsolatedEvent.md)
 - [ArrayOfDasVmPriority](docs/ArrayOfDasVmPriority.md)
 - [ArrayOfDataObject](docs/ArrayOfDataObject.md)
 - [ArrayOfDatabaseError](docs/ArrayOfDatabaseError.md)
 - [ArrayOfDatabaseSizeEstimate](docs/ArrayOfDatabaseSizeEstimate.md)
 - [ArrayOfDatabaseSizeParam](docs/ArrayOfDatabaseSizeParam.md)
 - [ArrayOfDatacenterBasicConnectInfo](docs/ArrayOfDatacenterBasicConnectInfo.md)
 - [ArrayOfDatacenterConfigInfo](docs/ArrayOfDatacenterConfigInfo.md)
 - [ArrayOfDatacenterConfigSpec](docs/ArrayOfDatacenterConfigSpec.md)
 - [ArrayOfDatacenterCreatedEvent](docs/ArrayOfDatacenterCreatedEvent.md)
 - [ArrayOfDatacenterEvent](docs/ArrayOfDatacenterEvent.md)
 - [ArrayOfDatacenterEventArgument](docs/ArrayOfDatacenterEventArgument.md)
 - [ArrayOfDatacenterMismatch](docs/ArrayOfDatacenterMismatch.md)
 - [ArrayOfDatacenterMismatchArgument](docs/ArrayOfDatacenterMismatchArgument.md)
 - [ArrayOfDatacenterRenamedEvent](docs/ArrayOfDatacenterRenamedEvent.md)
 - [ArrayOfDatastoreAccessible](docs/ArrayOfDatastoreAccessible.md)
 - [ArrayOfDatastoreCapability](docs/ArrayOfDatastoreCapability.md)
 - [ArrayOfDatastoreCapacityIncreasedEvent](docs/ArrayOfDatastoreCapacityIncreasedEvent.md)
 - [ArrayOfDatastoreDestroyedEvent](docs/ArrayOfDatastoreDestroyedEvent.md)
 - [ArrayOfDatastoreDiscoveredEvent](docs/ArrayOfDatastoreDiscoveredEvent.md)
 - [ArrayOfDatastoreDuplicatedEvent](docs/ArrayOfDatastoreDuplicatedEvent.md)
 - [ArrayOfDatastoreEvent](docs/ArrayOfDatastoreEvent.md)
 - [ArrayOfDatastoreEventArgument](docs/ArrayOfDatastoreEventArgument.md)
 - [ArrayOfDatastoreFileCopiedEvent](docs/ArrayOfDatastoreFileCopiedEvent.md)
 - [ArrayOfDatastoreFileDeletedEvent](docs/ArrayOfDatastoreFileDeletedEvent.md)
 - [ArrayOfDatastoreFileEvent](docs/ArrayOfDatastoreFileEvent.md)
 - [ArrayOfDatastoreFileMovedEvent](docs/ArrayOfDatastoreFileMovedEvent.md)
 - [ArrayOfDatastoreHostMount](docs/ArrayOfDatastoreHostMount.md)
 - [ArrayOfDatastoreIORMReconfiguredEvent](docs/ArrayOfDatastoreIORMReconfiguredEvent.md)
 - [ArrayOfDatastoreInfo](docs/ArrayOfDatastoreInfo.md)
 - [ArrayOfDatastoreMountPathDatastorePair](docs/ArrayOfDatastoreMountPathDatastorePair.md)
 - [ArrayOfDatastoreNamespaceManagerDirectoryInfo](docs/ArrayOfDatastoreNamespaceManagerDirectoryInfo.md)
 - [ArrayOfDatastoreNotWritableOnHost](docs/ArrayOfDatastoreNotWritableOnHost.md)
 - [ArrayOfDatastoreOption](docs/ArrayOfDatastoreOption.md)
 - [ArrayOfDatastorePrincipalConfigured](docs/ArrayOfDatastorePrincipalConfigured.md)
 - [ArrayOfDatastoreRemovedOnHostEvent](docs/ArrayOfDatastoreRemovedOnHostEvent.md)
 - [ArrayOfDatastoreRenamedEvent](docs/ArrayOfDatastoreRenamedEvent.md)
 - [ArrayOfDatastoreRenamedOnHostEvent](docs/ArrayOfDatastoreRenamedOnHostEvent.md)
 - [ArrayOfDatastoreSummary](docs/ArrayOfDatastoreSummary.md)
 - [ArrayOfDatastoreVVolContainerFailoverPair](docs/ArrayOfDatastoreVVolContainerFailoverPair.md)
 - [ArrayOfDateTime](docs/ArrayOfDateTime.md)
 - [ArrayOfDateTimeProfile](docs/ArrayOfDateTimeProfile.md)
 - [ArrayOfDayOfWeek](docs/ArrayOfDayOfWeek.md)
 - [ArrayOfDeltaDiskFormatNotSupported](docs/ArrayOfDeltaDiskFormatNotSupported.md)
 - [ArrayOfDescription](docs/ArrayOfDescription.md)
 - [ArrayOfDesiredSoftwareSpec](docs/ArrayOfDesiredSoftwareSpec.md)
 - [ArrayOfDesiredSoftwareSpecBaseImageSpec](docs/ArrayOfDesiredSoftwareSpecBaseImageSpec.md)
 - [ArrayOfDesiredSoftwareSpecComponentSpec](docs/ArrayOfDesiredSoftwareSpecComponentSpec.md)
 - [ArrayOfDesiredSoftwareSpecVendorAddOnSpec](docs/ArrayOfDesiredSoftwareSpecVendorAddOnSpec.md)
 - [ArrayOfDestinationSwitchFull](docs/ArrayOfDestinationSwitchFull.md)
 - [ArrayOfDestinationVsanDisabled](docs/ArrayOfDestinationVsanDisabled.md)
 - [ArrayOfDeviceBackedVirtualDiskSpec](docs/ArrayOfDeviceBackedVirtualDiskSpec.md)
 - [ArrayOfDeviceBackingNotSupported](docs/ArrayOfDeviceBackingNotSupported.md)
 - [ArrayOfDeviceControllerNotSupported](docs/ArrayOfDeviceControllerNotSupported.md)
 - [ArrayOfDeviceGroupId](docs/ArrayOfDeviceGroupId.md)
 - [ArrayOfDeviceHotPlugNotSupported](docs/ArrayOfDeviceHotPlugNotSupported.md)
 - [ArrayOfDeviceNotFound](docs/ArrayOfDeviceNotFound.md)
 - [ArrayOfDeviceNotSupported](docs/ArrayOfDeviceNotSupported.md)
 - [ArrayOfDeviceUnsupportedForVmPlatform](docs/ArrayOfDeviceUnsupportedForVmPlatform.md)
 - [ArrayOfDeviceUnsupportedForVmVersion](docs/ArrayOfDeviceUnsupportedForVmVersion.md)
 - [ArrayOfDiagnosticManagerAuditRecordResult](docs/ArrayOfDiagnosticManagerAuditRecordResult.md)
 - [ArrayOfDiagnosticManagerBundleInfo](docs/ArrayOfDiagnosticManagerBundleInfo.md)
 - [ArrayOfDiagnosticManagerLogDescriptor](docs/ArrayOfDiagnosticManagerLogDescriptor.md)
 - [ArrayOfDiagnosticManagerLogHeader](docs/ArrayOfDiagnosticManagerLogHeader.md)
 - [ArrayOfDigestNotSupported](docs/ArrayOfDigestNotSupported.md)
 - [ArrayOfDirectoryNotEmpty](docs/ArrayOfDirectoryNotEmpty.md)
 - [ArrayOfDisableAdminNotSupported](docs/ArrayOfDisableAdminNotSupported.md)
 - [ArrayOfDisallowedChangeByService](docs/ArrayOfDisallowedChangeByService.md)
 - [ArrayOfDisallowedDiskModeChange](docs/ArrayOfDisallowedDiskModeChange.md)
 - [ArrayOfDisallowedMigrationDeviceAttached](docs/ArrayOfDisallowedMigrationDeviceAttached.md)
 - [ArrayOfDisallowedOperationOnFailoverHost](docs/ArrayOfDisallowedOperationOnFailoverHost.md)
 - [ArrayOfDisconnectedHostsBlockingEVC](docs/ArrayOfDisconnectedHostsBlockingEVC.md)
 - [ArrayOfDiskChangeExtent](docs/ArrayOfDiskChangeExtent.md)
 - [ArrayOfDiskChangeInfo](docs/ArrayOfDiskChangeInfo.md)
 - [ArrayOfDiskCryptoSpec](docs/ArrayOfDiskCryptoSpec.md)
 - [ArrayOfDiskHasPartitions](docs/ArrayOfDiskHasPartitions.md)
 - [ArrayOfDiskIsLastRemainingNonSSD](docs/ArrayOfDiskIsLastRemainingNonSSD.md)
 - [ArrayOfDiskIsNonLocal](docs/ArrayOfDiskIsNonLocal.md)
 - [ArrayOfDiskIsUSB](docs/ArrayOfDiskIsUSB.md)
 - [ArrayOfDiskMoveTypeNotSupported](docs/ArrayOfDiskMoveTypeNotSupported.md)
 - [ArrayOfDiskNotSupported](docs/ArrayOfDiskNotSupported.md)
 - [ArrayOfDiskTooSmall](docs/ArrayOfDiskTooSmall.md)
 - [ArrayOfDistributedVirtualPort](docs/ArrayOfDistributedVirtualPort.md)
 - [ArrayOfDistributedVirtualPortgroupInfo](docs/ArrayOfDistributedVirtualPortgroupInfo.md)
 - [ArrayOfDistributedVirtualPortgroupNsxPortgroupOperationResult](docs/ArrayOfDistributedVirtualPortgroupNsxPortgroupOperationResult.md)
 - [ArrayOfDistributedVirtualPortgroupProblem](docs/ArrayOfDistributedVirtualPortgroupProblem.md)
 - [ArrayOfDistributedVirtualSwitchHostMember](docs/ArrayOfDistributedVirtualSwitchHostMember.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberBacking](docs/ArrayOfDistributedVirtualSwitchHostMemberBacking.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberConfigInfo](docs/ArrayOfDistributedVirtualSwitchHostMemberConfigInfo.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberConfigSpec](docs/ArrayOfDistributedVirtualSwitchHostMemberConfigSpec.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberPnicBacking](docs/ArrayOfDistributedVirtualSwitchHostMemberPnicBacking.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberPnicSpec](docs/ArrayOfDistributedVirtualSwitchHostMemberPnicSpec.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberRuntimeState](docs/ArrayOfDistributedVirtualSwitchHostMemberRuntimeState.md)
 - [ArrayOfDistributedVirtualSwitchHostMemberTransportZoneInfo](docs/ArrayOfDistributedVirtualSwitchHostMemberTransportZoneInfo.md)
 - [ArrayOfDistributedVirtualSwitchHostProductSpec](docs/ArrayOfDistributedVirtualSwitchHostProductSpec.md)
 - [ArrayOfDistributedVirtualSwitchInfo](docs/ArrayOfDistributedVirtualSwitchInfo.md)
 - [ArrayOfDistributedVirtualSwitchKeyedOpaqueBlob](docs/ArrayOfDistributedVirtualSwitchKeyedOpaqueBlob.md)
 - [ArrayOfDistributedVirtualSwitchManagerCompatibilityResult](docs/ArrayOfDistributedVirtualSwitchManagerCompatibilityResult.md)
 - [ArrayOfDistributedVirtualSwitchManagerDvsProductSpec](docs/ArrayOfDistributedVirtualSwitchManagerDvsProductSpec.md)
 - [ArrayOfDistributedVirtualSwitchManagerHostArrayFilter](docs/ArrayOfDistributedVirtualSwitchManagerHostArrayFilter.md)
 - [ArrayOfDistributedVirtualSwitchManagerHostContainer](docs/ArrayOfDistributedVirtualSwitchManagerHostContainer.md)
 - [ArrayOfDistributedVirtualSwitchManagerHostContainerFilter](docs/ArrayOfDistributedVirtualSwitchManagerHostContainerFilter.md)
 - [ArrayOfDistributedVirtualSwitchManagerHostDvsFilterSpec](docs/ArrayOfDistributedVirtualSwitchManagerHostDvsFilterSpec.md)
 - [ArrayOfDistributedVirtualSwitchManagerHostDvsMembershipFilter](docs/ArrayOfDistributedVirtualSwitchManagerHostDvsMembershipFilter.md)
 - [ArrayOfDistributedVirtualSwitchManagerImportResult](docs/ArrayOfDistributedVirtualSwitchManagerImportResult.md)
 - [ArrayOfDistributedVirtualSwitchNetworkOffloadSpec](docs/ArrayOfDistributedVirtualSwitchNetworkOffloadSpec.md)
 - [ArrayOfDistributedVirtualSwitchPortConnectee](docs/ArrayOfDistributedVirtualSwitchPortConnectee.md)
 - [ArrayOfDistributedVirtualSwitchPortConnection](docs/ArrayOfDistributedVirtualSwitchPortConnection.md)
 - [ArrayOfDistributedVirtualSwitchPortCriteria](docs/ArrayOfDistributedVirtualSwitchPortCriteria.md)
 - [ArrayOfDistributedVirtualSwitchPortStatistics](docs/ArrayOfDistributedVirtualSwitchPortStatistics.md)
 - [ArrayOfDistributedVirtualSwitchProductSpec](docs/ArrayOfDistributedVirtualSwitchProductSpec.md)
 - [ArrayOfDomainNotFound](docs/ArrayOfDomainNotFound.md)
 - [ArrayOfDouble](docs/ArrayOfDouble.md)
 - [ArrayOfDpmBehavior](docs/ArrayOfDpmBehavior.md)
 - [ArrayOfDpuStatusInfo](docs/ArrayOfDpuStatusInfo.md)
 - [ArrayOfDpuStatusInfoOperationalInfo](docs/ArrayOfDpuStatusInfoOperationalInfo.md)
 - [ArrayOfDrsBehavior](docs/ArrayOfDrsBehavior.md)
 - [ArrayOfDrsDisabledEvent](docs/ArrayOfDrsDisabledEvent.md)
 - [ArrayOfDrsDisabledOnVm](docs/ArrayOfDrsDisabledOnVm.md)
 - [ArrayOfDrsEnabledEvent](docs/ArrayOfDrsEnabledEvent.md)
 - [ArrayOfDrsEnteredStandbyModeEvent](docs/ArrayOfDrsEnteredStandbyModeEvent.md)
 - [ArrayOfDrsEnteringStandbyModeEvent](docs/ArrayOfDrsEnteringStandbyModeEvent.md)
 - [ArrayOfDrsExitStandbyModeFailedEvent](docs/ArrayOfDrsExitStandbyModeFailedEvent.md)
 - [ArrayOfDrsExitedStandbyModeEvent](docs/ArrayOfDrsExitedStandbyModeEvent.md)
 - [ArrayOfDrsExitingStandbyModeEvent](docs/ArrayOfDrsExitingStandbyModeEvent.md)
 - [ArrayOfDrsInjectorWorkloadCorrelationState](docs/ArrayOfDrsInjectorWorkloadCorrelationState.md)
 - [ArrayOfDrsInvocationFailedEvent](docs/ArrayOfDrsInvocationFailedEvent.md)
 - [ArrayOfDrsRecoveredFromFailureEvent](docs/ArrayOfDrsRecoveredFromFailureEvent.md)
 - [ArrayOfDrsResourceConfigureFailedEvent](docs/ArrayOfDrsResourceConfigureFailedEvent.md)
 - [ArrayOfDrsResourceConfigureSyncedEvent](docs/ArrayOfDrsResourceConfigureSyncedEvent.md)
 - [ArrayOfDrsRuleComplianceEvent](docs/ArrayOfDrsRuleComplianceEvent.md)
 - [ArrayOfDrsRuleViolationEvent](docs/ArrayOfDrsRuleViolationEvent.md)
 - [ArrayOfDrsSoftRuleViolationEvent](docs/ArrayOfDrsSoftRuleViolationEvent.md)
 - [ArrayOfDrsVmMigratedEvent](docs/ArrayOfDrsVmMigratedEvent.md)
 - [ArrayOfDrsVmPoweredOnEvent](docs/ArrayOfDrsVmPoweredOnEvent.md)
 - [ArrayOfDrsVmotionIncompatibleFault](docs/ArrayOfDrsVmotionIncompatibleFault.md)
 - [ArrayOfDuplicateDisks](docs/ArrayOfDuplicateDisks.md)
 - [ArrayOfDuplicateIpDetectedEvent](docs/ArrayOfDuplicateIpDetectedEvent.md)
 - [ArrayOfDuplicateName](docs/ArrayOfDuplicateName.md)
 - [ArrayOfDuplicateVsanNetworkInterface](docs/ArrayOfDuplicateVsanNetworkInterface.md)
 - [ArrayOfDvpgImportEvent](docs/ArrayOfDvpgImportEvent.md)
 - [ArrayOfDvpgRestoreEvent](docs/ArrayOfDvpgRestoreEvent.md)
 - [ArrayOfDvsAcceptNetworkRuleAction](docs/ArrayOfDvsAcceptNetworkRuleAction.md)
 - [ArrayOfDvsApplyOperationFault](docs/ArrayOfDvsApplyOperationFault.md)
 - [ArrayOfDvsApplyOperationFaultFaultOnObject](docs/ArrayOfDvsApplyOperationFaultFaultOnObject.md)
 - [ArrayOfDvsCopyNetworkRuleAction](docs/ArrayOfDvsCopyNetworkRuleAction.md)
 - [ArrayOfDvsCreatedEvent](docs/ArrayOfDvsCreatedEvent.md)
 - [ArrayOfDvsDestroyedEvent](docs/ArrayOfDvsDestroyedEvent.md)
 - [ArrayOfDvsDropNetworkRuleAction](docs/ArrayOfDvsDropNetworkRuleAction.md)
 - [ArrayOfDvsEvent](docs/ArrayOfDvsEvent.md)
 - [ArrayOfDvsEventArgument](docs/ArrayOfDvsEventArgument.md)
 - [ArrayOfDvsFault](docs/ArrayOfDvsFault.md)
 - [ArrayOfDvsFilterConfig](docs/ArrayOfDvsFilterConfig.md)
 - [ArrayOfDvsFilterConfigSpec](docs/ArrayOfDvsFilterConfigSpec.md)
 - [ArrayOfDvsFilterParameter](docs/ArrayOfDvsFilterParameter.md)
 - [ArrayOfDvsFilterPolicy](docs/ArrayOfDvsFilterPolicy.md)
 - [ArrayOfDvsGreEncapNetworkRuleAction](docs/ArrayOfDvsGreEncapNetworkRuleAction.md)
 - [ArrayOfDvsHealthStatusChangeEvent](docs/ArrayOfDvsHealthStatusChangeEvent.md)
 - [ArrayOfDvsHostBackInSyncEvent](docs/ArrayOfDvsHostBackInSyncEvent.md)
 - [ArrayOfDvsHostInfrastructureTrafficResource](docs/ArrayOfDvsHostInfrastructureTrafficResource.md)
 - [ArrayOfDvsHostInfrastructureTrafficResourceAllocation](docs/ArrayOfDvsHostInfrastructureTrafficResourceAllocation.md)
 - [ArrayOfDvsHostJoinedEvent](docs/ArrayOfDvsHostJoinedEvent.md)
 - [ArrayOfDvsHostLeftEvent](docs/ArrayOfDvsHostLeftEvent.md)
 - [ArrayOfDvsHostStatusUpdated](docs/ArrayOfDvsHostStatusUpdated.md)
 - [ArrayOfDvsHostVNicProfile](docs/ArrayOfDvsHostVNicProfile.md)
 - [ArrayOfDvsHostWentOutOfSyncEvent](docs/ArrayOfDvsHostWentOutOfSyncEvent.md)
 - [ArrayOfDvsImportEvent](docs/ArrayOfDvsImportEvent.md)
 - [ArrayOfDvsIpNetworkRuleQualifier](docs/ArrayOfDvsIpNetworkRuleQualifier.md)
 - [ArrayOfDvsIpPort](docs/ArrayOfDvsIpPort.md)
 - [ArrayOfDvsIpPortRange](docs/ArrayOfDvsIpPortRange.md)
 - [ArrayOfDvsLogNetworkRuleAction](docs/ArrayOfDvsLogNetworkRuleAction.md)
 - [ArrayOfDvsMacNetworkRuleQualifier](docs/ArrayOfDvsMacNetworkRuleQualifier.md)
 - [ArrayOfDvsMacRewriteNetworkRuleAction](docs/ArrayOfDvsMacRewriteNetworkRuleAction.md)
 - [ArrayOfDvsMergedEvent](docs/ArrayOfDvsMergedEvent.md)
 - [ArrayOfDvsNetworkRuleAction](docs/ArrayOfDvsNetworkRuleAction.md)
 - [ArrayOfDvsNetworkRuleQualifier](docs/ArrayOfDvsNetworkRuleQualifier.md)
 - [ArrayOfDvsNotAuthorized](docs/ArrayOfDvsNotAuthorized.md)
 - [ArrayOfDvsOperationBulkFault](docs/ArrayOfDvsOperationBulkFault.md)
 - [ArrayOfDvsOperationBulkFaultFaultOnHost](docs/ArrayOfDvsOperationBulkFaultFaultOnHost.md)
 - [ArrayOfDvsOutOfSyncHostArgument](docs/ArrayOfDvsOutOfSyncHostArgument.md)
 - [ArrayOfDvsPortBlockedEvent](docs/ArrayOfDvsPortBlockedEvent.md)
 - [ArrayOfDvsPortConnectedEvent](docs/ArrayOfDvsPortConnectedEvent.md)
 - [ArrayOfDvsPortCreatedEvent](docs/ArrayOfDvsPortCreatedEvent.md)
 - [ArrayOfDvsPortDeletedEvent](docs/ArrayOfDvsPortDeletedEvent.md)
 - [ArrayOfDvsPortDisconnectedEvent](docs/ArrayOfDvsPortDisconnectedEvent.md)
 - [ArrayOfDvsPortEnteredPassthruEvent](docs/ArrayOfDvsPortEnteredPassthruEvent.md)
 - [ArrayOfDvsPortExitedPassthruEvent](docs/ArrayOfDvsPortExitedPassthruEvent.md)
 - [ArrayOfDvsPortJoinPortgroupEvent](docs/ArrayOfDvsPortJoinPortgroupEvent.md)
 - [ArrayOfDvsPortLeavePortgroupEvent](docs/ArrayOfDvsPortLeavePortgroupEvent.md)
 - [ArrayOfDvsPortLinkDownEvent](docs/ArrayOfDvsPortLinkDownEvent.md)
 - [ArrayOfDvsPortLinkUpEvent](docs/ArrayOfDvsPortLinkUpEvent.md)
 - [ArrayOfDvsPortReconfiguredEvent](docs/ArrayOfDvsPortReconfiguredEvent.md)
 - [ArrayOfDvsPortRuntimeChangeEvent](docs/ArrayOfDvsPortRuntimeChangeEvent.md)
 - [ArrayOfDvsPortUnblockedEvent](docs/ArrayOfDvsPortUnblockedEvent.md)
 - [ArrayOfDvsPortVendorSpecificStateChangeEvent](docs/ArrayOfDvsPortVendorSpecificStateChangeEvent.md)
 - [ArrayOfDvsProfile](docs/ArrayOfDvsProfile.md)
 - [ArrayOfDvsPuntNetworkRuleAction](docs/ArrayOfDvsPuntNetworkRuleAction.md)
 - [ArrayOfDvsRateLimitNetworkRuleAction](docs/ArrayOfDvsRateLimitNetworkRuleAction.md)
 - [ArrayOfDvsReconfiguredEvent](docs/ArrayOfDvsReconfiguredEvent.md)
 - [ArrayOfDvsRenamedEvent](docs/ArrayOfDvsRenamedEvent.md)
 - [ArrayOfDvsResourceRuntimeInfo](docs/ArrayOfDvsResourceRuntimeInfo.md)
 - [ArrayOfDvsRestoreEvent](docs/ArrayOfDvsRestoreEvent.md)
 - [ArrayOfDvsScopeViolated](docs/ArrayOfDvsScopeViolated.md)
 - [ArrayOfDvsServiceConsoleVNicProfile](docs/ArrayOfDvsServiceConsoleVNicProfile.md)
 - [ArrayOfDvsSingleIpPort](docs/ArrayOfDvsSingleIpPort.md)
 - [ArrayOfDvsSystemTrafficNetworkRuleQualifier](docs/ArrayOfDvsSystemTrafficNetworkRuleQualifier.md)
 - [ArrayOfDvsTrafficFilterConfig](docs/ArrayOfDvsTrafficFilterConfig.md)
 - [ArrayOfDvsTrafficFilterConfigSpec](docs/ArrayOfDvsTrafficFilterConfigSpec.md)
 - [ArrayOfDvsTrafficRule](docs/ArrayOfDvsTrafficRule.md)
 - [ArrayOfDvsTrafficRuleset](docs/ArrayOfDvsTrafficRuleset.md)
 - [ArrayOfDvsUpdateTagNetworkRuleAction](docs/ArrayOfDvsUpdateTagNetworkRuleAction.md)
 - [ArrayOfDvsUpgradeAvailableEvent](docs/ArrayOfDvsUpgradeAvailableEvent.md)
 - [ArrayOfDvsUpgradeInProgressEvent](docs/ArrayOfDvsUpgradeInProgressEvent.md)
 - [ArrayOfDvsUpgradeRejectedEvent](docs/ArrayOfDvsUpgradeRejectedEvent.md)
 - [ArrayOfDvsUpgradedEvent](docs/ArrayOfDvsUpgradedEvent.md)
 - [ArrayOfDvsVNicProfile](docs/ArrayOfDvsVNicProfile.md)
 - [ArrayOfDvsVmVnicNetworkResourcePoolRuntimeInfo](docs/ArrayOfDvsVmVnicNetworkResourcePoolRuntimeInfo.md)
 - [ArrayOfDvsVmVnicResourceAllocation](docs/ArrayOfDvsVmVnicResourceAllocation.md)
 - [ArrayOfDvsVmVnicResourcePoolConfigSpec](docs/ArrayOfDvsVmVnicResourcePoolConfigSpec.md)
 - [ArrayOfDvsVnicAllocatedResource](docs/ArrayOfDvsVnicAllocatedResource.md)
 - [ArrayOfDynamicArray](docs/ArrayOfDynamicArray.md)
 - [ArrayOfDynamicProperty](docs/ArrayOfDynamicProperty.md)
 - [ArrayOfEVCAdmissionFailed](docs/ArrayOfEVCAdmissionFailed.md)
 - [ArrayOfEVCAdmissionFailedCPUFeaturesForMode](docs/ArrayOfEVCAdmissionFailedCPUFeaturesForMode.md)
 - [ArrayOfEVCAdmissionFailedCPUModel](docs/ArrayOfEVCAdmissionFailedCPUModel.md)
 - [ArrayOfEVCAdmissionFailedCPUModelForMode](docs/ArrayOfEVCAdmissionFailedCPUModelForMode.md)
 - [ArrayOfEVCAdmissionFailedCPUVendor](docs/ArrayOfEVCAdmissionFailedCPUVendor.md)
 - [ArrayOfEVCAdmissionFailedCPUVendorUnknown](docs/ArrayOfEVCAdmissionFailedCPUVendorUnknown.md)
 - [ArrayOfEVCAdmissionFailedHostDisconnected](docs/ArrayOfEVCAdmissionFailedHostDisconnected.md)
 - [ArrayOfEVCAdmissionFailedHostSoftware](docs/ArrayOfEVCAdmissionFailedHostSoftware.md)
 - [ArrayOfEVCAdmissionFailedHostSoftwareForMode](docs/ArrayOfEVCAdmissionFailedHostSoftwareForMode.md)
 - [ArrayOfEVCAdmissionFailedVmActive](docs/ArrayOfEVCAdmissionFailedVmActive.md)
 - [ArrayOfEVCConfigFault](docs/ArrayOfEVCConfigFault.md)
 - [ArrayOfEVCMode](docs/ArrayOfEVCMode.md)
 - [ArrayOfEVCModeIllegalByVendor](docs/ArrayOfEVCModeIllegalByVendor.md)
 - [ArrayOfEVCModeUnsupportedByHosts](docs/ArrayOfEVCModeUnsupportedByHosts.md)
 - [ArrayOfEVCUnsupportedByHostHardware](docs/ArrayOfEVCUnsupportedByHostHardware.md)
 - [ArrayOfEVCUnsupportedByHostSoftware](docs/ArrayOfEVCUnsupportedByHostSoftware.md)
 - [ArrayOfEightHostLimitViolated](docs/ArrayOfEightHostLimitViolated.md)
 - [ArrayOfElementDescription](docs/ArrayOfElementDescription.md)
 - [ArrayOfEncryptionKeyRequired](docs/ArrayOfEncryptionKeyRequired.md)
 - [ArrayOfEnteredMaintenanceModeEvent](docs/ArrayOfEnteredMaintenanceModeEvent.md)
 - [ArrayOfEnteredStandbyModeEvent](docs/ArrayOfEnteredStandbyModeEvent.md)
 - [ArrayOfEnteringMaintenanceModeEvent](docs/ArrayOfEnteringMaintenanceModeEvent.md)
 - [ArrayOfEnteringStandbyModeEvent](docs/ArrayOfEnteringStandbyModeEvent.md)
 - [ArrayOfEntityBackup](docs/ArrayOfEntityBackup.md)
 - [ArrayOfEntityBackupConfig](docs/ArrayOfEntityBackupConfig.md)
 - [ArrayOfEntityEventArgument](docs/ArrayOfEntityEventArgument.md)
 - [ArrayOfEntityPrivilege](docs/ArrayOfEntityPrivilege.md)
 - [ArrayOfEnumDescription](docs/ArrayOfEnumDescription.md)
 - [ArrayOfEnvironmentBrowserConfigOptionQuerySpec](docs/ArrayOfEnvironmentBrowserConfigOptionQuerySpec.md)
 - [ArrayOfErrorUpgradeEvent](docs/ArrayOfErrorUpgradeEvent.md)
 - [ArrayOfEvaluationLicenseSource](docs/ArrayOfEvaluationLicenseSource.md)
 - [ArrayOfEvent](docs/ArrayOfEvent.md)
 - [ArrayOfEventAlarmExpression](docs/ArrayOfEventAlarmExpression.md)
 - [ArrayOfEventAlarmExpressionComparison](docs/ArrayOfEventAlarmExpressionComparison.md)
 - [ArrayOfEventArgDesc](docs/ArrayOfEventArgDesc.md)
 - [ArrayOfEventArgument](docs/ArrayOfEventArgument.md)
 - [ArrayOfEventDescription](docs/ArrayOfEventDescription.md)
 - [ArrayOfEventDescriptionEventDetail](docs/ArrayOfEventDescriptionEventDetail.md)
 - [ArrayOfEventEx](docs/ArrayOfEventEx.md)
 - [ArrayOfEventFilterSpec](docs/ArrayOfEventFilterSpec.md)
 - [ArrayOfEventFilterSpecByEntity](docs/ArrayOfEventFilterSpecByEntity.md)
 - [ArrayOfEventFilterSpecByTime](docs/ArrayOfEventFilterSpecByTime.md)
 - [ArrayOfEventFilterSpecByUsername](docs/ArrayOfEventFilterSpecByUsername.md)
 - [ArrayOfEventFilterSpecRecursionOption](docs/ArrayOfEventFilterSpecRecursionOption.md)
 - [ArrayOfExitMaintenanceModeEvent](docs/ArrayOfExitMaintenanceModeEvent.md)
 - [ArrayOfExitStandbyModeFailedEvent](docs/ArrayOfExitStandbyModeFailedEvent.md)
 - [ArrayOfExitedStandbyModeEvent](docs/ArrayOfExitedStandbyModeEvent.md)
 - [ArrayOfExitingStandbyModeEvent](docs/ArrayOfExitingStandbyModeEvent.md)
 - [ArrayOfExpiredAddonLicense](docs/ArrayOfExpiredAddonLicense.md)
 - [ArrayOfExpiredEditionLicense](docs/ArrayOfExpiredEditionLicense.md)
 - [ArrayOfExpiredFeatureLicense](docs/ArrayOfExpiredFeatureLicense.md)
 - [ArrayOfExtExtendedProductInfo](docs/ArrayOfExtExtendedProductInfo.md)
 - [ArrayOfExtManagedEntityInfo](docs/ArrayOfExtManagedEntityInfo.md)
 - [ArrayOfExtSolutionManagerInfo](docs/ArrayOfExtSolutionManagerInfo.md)
 - [ArrayOfExtSolutionManagerInfoTabInfo](docs/ArrayOfExtSolutionManagerInfoTabInfo.md)
 - [ArrayOfExtendedDescription](docs/ArrayOfExtendedDescription.md)
 - [ArrayOfExtendedElementDescription](docs/ArrayOfExtendedElementDescription.md)
 - [ArrayOfExtendedEvent](docs/ArrayOfExtendedEvent.md)
 - [ArrayOfExtendedEventPair](docs/ArrayOfExtendedEventPair.md)
 - [ArrayOfExtendedFault](docs/ArrayOfExtendedFault.md)
 - [ArrayOfExtension](docs/ArrayOfExtension.md)
 - [ArrayOfExtensionClientInfo](docs/ArrayOfExtensionClientInfo.md)
 - [ArrayOfExtensionEventTypeInfo](docs/ArrayOfExtensionEventTypeInfo.md)
 - [ArrayOfExtensionFaultTypeInfo](docs/ArrayOfExtensionFaultTypeInfo.md)
 - [ArrayOfExtensionHealthInfo](docs/ArrayOfExtensionHealthInfo.md)
 - [ArrayOfExtensionManagerIpAllocationUsage](docs/ArrayOfExtensionManagerIpAllocationUsage.md)
 - [ArrayOfExtensionOvfConsumerInfo](docs/ArrayOfExtensionOvfConsumerInfo.md)
 - [ArrayOfExtensionPrivilegeInfo](docs/ArrayOfExtensionPrivilegeInfo.md)
 - [ArrayOfExtensionResourceInfo](docs/ArrayOfExtensionResourceInfo.md)
 - [ArrayOfExtensionServerInfo](docs/ArrayOfExtensionServerInfo.md)
 - [ArrayOfExtensionTaskTypeInfo](docs/ArrayOfExtensionTaskTypeInfo.md)
 - [ArrayOfFailToEnableSPBM](docs/ArrayOfFailToEnableSPBM.md)
 - [ArrayOfFailToLockFaultToleranceVMs](docs/ArrayOfFailToLockFaultToleranceVMs.md)
 - [ArrayOfFailoverLevelRestored](docs/ArrayOfFailoverLevelRestored.md)
 - [ArrayOfFailoverNodeInfo](docs/ArrayOfFailoverNodeInfo.md)
 - [ArrayOfFaultDomainId](docs/ArrayOfFaultDomainId.md)
 - [ArrayOfFaultToleranceAntiAffinityViolated](docs/ArrayOfFaultToleranceAntiAffinityViolated.md)
 - [ArrayOfFaultToleranceCannotEditMem](docs/ArrayOfFaultToleranceCannotEditMem.md)
 - [ArrayOfFaultToleranceConfigInfo](docs/ArrayOfFaultToleranceConfigInfo.md)
 - [ArrayOfFaultToleranceConfigSpec](docs/ArrayOfFaultToleranceConfigSpec.md)
 - [ArrayOfFaultToleranceCpuIncompatible](docs/ArrayOfFaultToleranceCpuIncompatible.md)
 - [ArrayOfFaultToleranceDiskSpec](docs/ArrayOfFaultToleranceDiskSpec.md)
 - [ArrayOfFaultToleranceMetaSpec](docs/ArrayOfFaultToleranceMetaSpec.md)
 - [ArrayOfFaultToleranceNeedsThickDisk](docs/ArrayOfFaultToleranceNeedsThickDisk.md)
 - [ArrayOfFaultToleranceNotLicensed](docs/ArrayOfFaultToleranceNotLicensed.md)
 - [ArrayOfFaultToleranceNotSameBuild](docs/ArrayOfFaultToleranceNotSameBuild.md)
 - [ArrayOfFaultTolerancePrimaryConfigInfo](docs/ArrayOfFaultTolerancePrimaryConfigInfo.md)
 - [ArrayOfFaultTolerancePrimaryPowerOnNotAttempted](docs/ArrayOfFaultTolerancePrimaryPowerOnNotAttempted.md)
 - [ArrayOfFaultToleranceSecondaryConfigInfo](docs/ArrayOfFaultToleranceSecondaryConfigInfo.md)
 - [ArrayOfFaultToleranceSecondaryOpResult](docs/ArrayOfFaultToleranceSecondaryOpResult.md)
 - [ArrayOfFaultToleranceVMConfigSpec](docs/ArrayOfFaultToleranceVMConfigSpec.md)
 - [ArrayOfFaultToleranceVmNotDasProtected](docs/ArrayOfFaultToleranceVmNotDasProtected.md)
 - [ArrayOfFaultsByHost](docs/ArrayOfFaultsByHost.md)
 - [ArrayOfFaultsByVM](docs/ArrayOfFaultsByVM.md)
 - [ArrayOfFcoeConfig](docs/ArrayOfFcoeConfig.md)
 - [ArrayOfFcoeConfigFcoeCapabilities](docs/ArrayOfFcoeConfigFcoeCapabilities.md)
 - [ArrayOfFcoeConfigFcoeSpecification](docs/ArrayOfFcoeConfigFcoeSpecification.md)
 - [ArrayOfFcoeConfigVlanRange](docs/ArrayOfFcoeConfigVlanRange.md)
 - [ArrayOfFcoeFault](docs/ArrayOfFcoeFault.md)
 - [ArrayOfFcoeFaultPnicHasNoPortSet](docs/ArrayOfFcoeFaultPnicHasNoPortSet.md)
 - [ArrayOfFeatureEVCMode](docs/ArrayOfFeatureEVCMode.md)
 - [ArrayOfFeatureRequirementsNotMet](docs/ArrayOfFeatureRequirementsNotMet.md)
 - [ArrayOfFibreChannelPortType](docs/ArrayOfFibreChannelPortType.md)
 - [ArrayOfFileAlreadyExists](docs/ArrayOfFileAlreadyExists.md)
 - [ArrayOfFileBackedPortNotSupported](docs/ArrayOfFileBackedPortNotSupported.md)
 - [ArrayOfFileBackedVirtualDiskSpec](docs/ArrayOfFileBackedVirtualDiskSpec.md)
 - [ArrayOfFileFault](docs/ArrayOfFileFault.md)
 - [ArrayOfFileInfo](docs/ArrayOfFileInfo.md)
 - [ArrayOfFileLocked](docs/ArrayOfFileLocked.md)
 - [ArrayOfFileNameTooLong](docs/ArrayOfFileNameTooLong.md)
 - [ArrayOfFileNotFound](docs/ArrayOfFileNotFound.md)
 - [ArrayOfFileNotWritable](docs/ArrayOfFileNotWritable.md)
 - [ArrayOfFileQuery](docs/ArrayOfFileQuery.md)
 - [ArrayOfFileQueryFlags](docs/ArrayOfFileQueryFlags.md)
 - [ArrayOfFileTooLarge](docs/ArrayOfFileTooLarge.md)
 - [ArrayOfFileTransferInformation](docs/ArrayOfFileTransferInformation.md)
 - [ArrayOfFilesystemQuiesceFault](docs/ArrayOfFilesystemQuiesceFault.md)
 - [ArrayOfFilterInUse](docs/ArrayOfFilterInUse.md)
 - [ArrayOfFirewallProfile](docs/ArrayOfFirewallProfile.md)
 - [ArrayOfFirewallProfileRulesetProfile](docs/ArrayOfFirewallProfileRulesetProfile.md)
 - [ArrayOfFloat](docs/ArrayOfFloat.md)
 - [ArrayOfFloatOption](docs/ArrayOfFloatOption.md)
 - [ArrayOfFloppyImageFileInfo](docs/ArrayOfFloppyImageFileInfo.md)
 - [ArrayOfFloppyImageFileQuery](docs/ArrayOfFloppyImageFileQuery.md)
 - [ArrayOfFolderBatchAddHostsToClusterResult](docs/ArrayOfFolderBatchAddHostsToClusterResult.md)
 - [ArrayOfFolderBatchAddStandaloneHostsResult](docs/ArrayOfFolderBatchAddStandaloneHostsResult.md)
 - [ArrayOfFolderEventArgument](docs/ArrayOfFolderEventArgument.md)
 - [ArrayOfFolderFailedHostResult](docs/ArrayOfFolderFailedHostResult.md)
 - [ArrayOfFolderFileInfo](docs/ArrayOfFolderFileInfo.md)
 - [ArrayOfFolderFileQuery](docs/ArrayOfFolderFileQuery.md)
 - [ArrayOfFolderNewHostSpec](docs/ArrayOfFolderNewHostSpec.md)
 - [ArrayOfFtIssuesOnHost](docs/ArrayOfFtIssuesOnHost.md)
 - [ArrayOfFtIssuesOnHostHostSelectionType](docs/ArrayOfFtIssuesOnHostHostSelectionType.md)
 - [ArrayOfFullStorageVMotionNotSupported](docs/ArrayOfFullStorageVMotionNotSupported.md)
 - [ArrayOfGatewayConnectFault](docs/ArrayOfGatewayConnectFault.md)
 - [ArrayOfGatewayHostNotReachable](docs/ArrayOfGatewayHostNotReachable.md)
 - [ArrayOfGatewayNotFound](docs/ArrayOfGatewayNotFound.md)
 - [ArrayOfGatewayNotReachable](docs/ArrayOfGatewayNotReachable.md)
 - [ArrayOfGatewayOperationRefused](docs/ArrayOfGatewayOperationRefused.md)
 - [ArrayOfGatewayToHostAuthFault](docs/ArrayOfGatewayToHostAuthFault.md)
 - [ArrayOfGatewayToHostConnectFault](docs/ArrayOfGatewayToHostConnectFault.md)
 - [ArrayOfGatewayToHostTrustVerifyFault](docs/ArrayOfGatewayToHostTrustVerifyFault.md)
 - [ArrayOfGeneralEvent](docs/ArrayOfGeneralEvent.md)
 - [ArrayOfGeneralHostErrorEvent](docs/ArrayOfGeneralHostErrorEvent.md)
 - [ArrayOfGeneralHostInfoEvent](docs/ArrayOfGeneralHostInfoEvent.md)
 - [ArrayOfGeneralHostWarningEvent](docs/ArrayOfGeneralHostWarningEvent.md)
 - [ArrayOfGeneralUserEvent](docs/ArrayOfGeneralUserEvent.md)
 - [ArrayOfGeneralVmErrorEvent](docs/ArrayOfGeneralVmErrorEvent.md)
 - [ArrayOfGeneralVmInfoEvent](docs/ArrayOfGeneralVmInfoEvent.md)
 - [ArrayOfGeneralVmWarningEvent](docs/ArrayOfGeneralVmWarningEvent.md)
 - [ArrayOfGenericDrsFault](docs/ArrayOfGenericDrsFault.md)
 - [ArrayOfGenericVmConfigFault](docs/ArrayOfGenericVmConfigFault.md)
 - [ArrayOfGhostDvsProxySwitchDetectedEvent](docs/ArrayOfGhostDvsProxySwitchDetectedEvent.md)
 - [ArrayOfGhostDvsProxySwitchRemovedEvent](docs/ArrayOfGhostDvsProxySwitchRemovedEvent.md)
 - [ArrayOfGlobalMessageChangedEvent](docs/ArrayOfGlobalMessageChangedEvent.md)
 - [ArrayOfGroupAlarmAction](docs/ArrayOfGroupAlarmAction.md)
 - [ArrayOfGuestAliases](docs/ArrayOfGuestAliases.md)
 - [ArrayOfGuestAuthAliasInfo](docs/ArrayOfGuestAuthAliasInfo.md)
 - [ArrayOfGuestAuthAnySubject](docs/ArrayOfGuestAuthAnySubject.md)
 - [ArrayOfGuestAuthNamedSubject](docs/ArrayOfGuestAuthNamedSubject.md)
 - [ArrayOfGuestAuthSubject](docs/ArrayOfGuestAuthSubject.md)
 - [ArrayOfGuestAuthentication](docs/ArrayOfGuestAuthentication.md)
 - [ArrayOfGuestAuthenticationChallenge](docs/ArrayOfGuestAuthenticationChallenge.md)
 - [ArrayOfGuestComponentsOutOfDate](docs/ArrayOfGuestComponentsOutOfDate.md)
 - [ArrayOfGuestDiskInfo](docs/ArrayOfGuestDiskInfo.md)
 - [ArrayOfGuestFileAttributes](docs/ArrayOfGuestFileAttributes.md)
 - [ArrayOfGuestFileInfo](docs/ArrayOfGuestFileInfo.md)
 - [ArrayOfGuestInfo](docs/ArrayOfGuestInfo.md)
 - [ArrayOfGuestInfoCustomizationInfo](docs/ArrayOfGuestInfoCustomizationInfo.md)
 - [ArrayOfGuestInfoNamespaceGenerationInfo](docs/ArrayOfGuestInfoNamespaceGenerationInfo.md)
 - [ArrayOfGuestInfoVirtualDiskMapping](docs/ArrayOfGuestInfoVirtualDiskMapping.md)
 - [ArrayOfGuestListFileInfo](docs/ArrayOfGuestListFileInfo.md)
 - [ArrayOfGuestMappedAliases](docs/ArrayOfGuestMappedAliases.md)
 - [ArrayOfGuestMultipleMappings](docs/ArrayOfGuestMultipleMappings.md)
 - [ArrayOfGuestNicInfo](docs/ArrayOfGuestNicInfo.md)
 - [ArrayOfGuestOperationsFault](docs/ArrayOfGuestOperationsFault.md)
 - [ArrayOfGuestOperationsUnavailable](docs/ArrayOfGuestOperationsUnavailable.md)
 - [ArrayOfGuestOsDescriptor](docs/ArrayOfGuestOsDescriptor.md)
 - [ArrayOfGuestPermissionDenied](docs/ArrayOfGuestPermissionDenied.md)
 - [ArrayOfGuestPosixFileAttributes](docs/ArrayOfGuestPosixFileAttributes.md)
 - [ArrayOfGuestProcessInfo](docs/ArrayOfGuestProcessInfo.md)
 - [ArrayOfGuestProcessNotFound](docs/ArrayOfGuestProcessNotFound.md)
 - [ArrayOfGuestProgramSpec](docs/ArrayOfGuestProgramSpec.md)
 - [ArrayOfGuestQuiesceEndGuestQuiesceError](docs/ArrayOfGuestQuiesceEndGuestQuiesceError.md)
 - [ArrayOfGuestRegKeyNameSpec](docs/ArrayOfGuestRegKeyNameSpec.md)
 - [ArrayOfGuestRegKeyRecordSpec](docs/ArrayOfGuestRegKeyRecordSpec.md)
 - [ArrayOfGuestRegKeySpec](docs/ArrayOfGuestRegKeySpec.md)
 - [ArrayOfGuestRegValueBinarySpec](docs/ArrayOfGuestRegValueBinarySpec.md)
 - [ArrayOfGuestRegValueDataSpec](docs/ArrayOfGuestRegValueDataSpec.md)
 - [ArrayOfGuestRegValueDwordSpec](docs/ArrayOfGuestRegValueDwordSpec.md)
 - [ArrayOfGuestRegValueExpandStringSpec](docs/ArrayOfGuestRegValueExpandStringSpec.md)
 - [ArrayOfGuestRegValueMultiStringSpec](docs/ArrayOfGuestRegValueMultiStringSpec.md)
 - [ArrayOfGuestRegValueNameSpec](docs/ArrayOfGuestRegValueNameSpec.md)
 - [ArrayOfGuestRegValueQwordSpec](docs/ArrayOfGuestRegValueQwordSpec.md)
 - [ArrayOfGuestRegValueSpec](docs/ArrayOfGuestRegValueSpec.md)
 - [ArrayOfGuestRegValueStringSpec](docs/ArrayOfGuestRegValueStringSpec.md)
 - [ArrayOfGuestRegistryFault](docs/ArrayOfGuestRegistryFault.md)
 - [ArrayOfGuestRegistryKeyAlreadyExists](docs/ArrayOfGuestRegistryKeyAlreadyExists.md)
 - [ArrayOfGuestRegistryKeyFault](docs/ArrayOfGuestRegistryKeyFault.md)
 - [ArrayOfGuestRegistryKeyHasSubkeys](docs/ArrayOfGuestRegistryKeyHasSubkeys.md)
 - [ArrayOfGuestRegistryKeyInvalid](docs/ArrayOfGuestRegistryKeyInvalid.md)
 - [ArrayOfGuestRegistryKeyParentVolatile](docs/ArrayOfGuestRegistryKeyParentVolatile.md)
 - [ArrayOfGuestRegistryValueFault](docs/ArrayOfGuestRegistryValueFault.md)
 - [ArrayOfGuestRegistryValueNotFound](docs/ArrayOfGuestRegistryValueNotFound.md)
 - [ArrayOfGuestScreenInfo](docs/ArrayOfGuestScreenInfo.md)
 - [ArrayOfGuestStackInfo](docs/ArrayOfGuestStackInfo.md)
 - [ArrayOfGuestWindowsFileAttributes](docs/ArrayOfGuestWindowsFileAttributes.md)
 - [ArrayOfGuestWindowsProgramSpec](docs/ArrayOfGuestWindowsProgramSpec.md)
 - [ArrayOfHAErrorsAtDest](docs/ArrayOfHAErrorsAtDest.md)
 - [ArrayOfHbrDiskMigrationAction](docs/ArrayOfHbrDiskMigrationAction.md)
 - [ArrayOfHbrManagerReplicationVmInfo](docs/ArrayOfHbrManagerReplicationVmInfo.md)
 - [ArrayOfHbrManagerVmReplicationCapability](docs/ArrayOfHbrManagerVmReplicationCapability.md)
 - [ArrayOfHealthStatusChangedEvent](docs/ArrayOfHealthStatusChangedEvent.md)
 - [ArrayOfHealthSystemRuntime](docs/ArrayOfHealthSystemRuntime.md)
 - [ArrayOfHealthUpdate](docs/ArrayOfHealthUpdate.md)
 - [ArrayOfHealthUpdateInfo](docs/ArrayOfHealthUpdateInfo.md)
 - [ArrayOfHeterogenousHostsBlockingEVC](docs/ArrayOfHeterogenousHostsBlockingEVC.md)
 - [ArrayOfHostAccessControlEntry](docs/ArrayOfHostAccessControlEntry.md)
 - [ArrayOfHostAccessMode](docs/ArrayOfHostAccessMode.md)
 - [ArrayOfHostAccessRestrictedToManagementServer](docs/ArrayOfHostAccessRestrictedToManagementServer.md)
 - [ArrayOfHostAccountSpec](docs/ArrayOfHostAccountSpec.md)
 - [ArrayOfHostActiveDirectory](docs/ArrayOfHostActiveDirectory.md)
 - [ArrayOfHostActiveDirectoryInfo](docs/ArrayOfHostActiveDirectoryInfo.md)
 - [ArrayOfHostActiveDirectorySpec](docs/ArrayOfHostActiveDirectorySpec.md)
 - [ArrayOfHostAddFailedEvent](docs/ArrayOfHostAddFailedEvent.md)
 - [ArrayOfHostAddedEvent](docs/ArrayOfHostAddedEvent.md)
 - [ArrayOfHostAdminDisableEvent](docs/ArrayOfHostAdminDisableEvent.md)
 - [ArrayOfHostAdminEnableEvent](docs/ArrayOfHostAdminEnableEvent.md)
 - [ArrayOfHostApplyProfile](docs/ArrayOfHostApplyProfile.md)
 - [ArrayOfHostAssignableHardwareBinding](docs/ArrayOfHostAssignableHardwareBinding.md)
 - [ArrayOfHostAssignableHardwareConfig](docs/ArrayOfHostAssignableHardwareConfig.md)
 - [ArrayOfHostAssignableHardwareConfigAttributeOverride](docs/ArrayOfHostAssignableHardwareConfigAttributeOverride.md)
 - [ArrayOfHostAuthenticationManagerInfo](docs/ArrayOfHostAuthenticationManagerInfo.md)
 - [ArrayOfHostAuthenticationStoreInfo](docs/ArrayOfHostAuthenticationStoreInfo.md)
 - [ArrayOfHostAutoStartManagerConfig](docs/ArrayOfHostAutoStartManagerConfig.md)
 - [ArrayOfHostBIOSInfo](docs/ArrayOfHostBIOSInfo.md)
 - [ArrayOfHostBlockAdapterTargetTransport](docs/ArrayOfHostBlockAdapterTargetTransport.md)
 - [ArrayOfHostBlockHba](docs/ArrayOfHostBlockHba.md)
 - [ArrayOfHostBootDevice](docs/ArrayOfHostBootDevice.md)
 - [ArrayOfHostBootDeviceInfo](docs/ArrayOfHostBootDeviceInfo.md)
 - [ArrayOfHostCacheConfigurationInfo](docs/ArrayOfHostCacheConfigurationInfo.md)
 - [ArrayOfHostCacheConfigurationSpec](docs/ArrayOfHostCacheConfigurationSpec.md)
 - [ArrayOfHostCapability](docs/ArrayOfHostCapability.md)
 - [ArrayOfHostCertificateManagerCertificateInfo](docs/ArrayOfHostCertificateManagerCertificateInfo.md)
 - [ArrayOfHostCertificateManagerCertificateSpec](docs/ArrayOfHostCertificateManagerCertificateSpec.md)
 - [ArrayOfHostCnxFailedAccountFailedEvent](docs/ArrayOfHostCnxFailedAccountFailedEvent.md)
 - [ArrayOfHostCnxFailedAlreadyManagedEvent](docs/ArrayOfHostCnxFailedAlreadyManagedEvent.md)
 - [ArrayOfHostCnxFailedBadCcagentEvent](docs/ArrayOfHostCnxFailedBadCcagentEvent.md)
 - [ArrayOfHostCnxFailedBadUsernameEvent](docs/ArrayOfHostCnxFailedBadUsernameEvent.md)
 - [ArrayOfHostCnxFailedBadVersionEvent](docs/ArrayOfHostCnxFailedBadVersionEvent.md)
 - [ArrayOfHostCnxFailedCcagentUpgradeEvent](docs/ArrayOfHostCnxFailedCcagentUpgradeEvent.md)
 - [ArrayOfHostCnxFailedEvent](docs/ArrayOfHostCnxFailedEvent.md)
 - [ArrayOfHostCnxFailedNetworkErrorEvent](docs/ArrayOfHostCnxFailedNetworkErrorEvent.md)
 - [ArrayOfHostCnxFailedNoAccessEvent](docs/ArrayOfHostCnxFailedNoAccessEvent.md)
 - [ArrayOfHostCnxFailedNoConnectionEvent](docs/ArrayOfHostCnxFailedNoConnectionEvent.md)
 - [ArrayOfHostCnxFailedNoLicenseEvent](docs/ArrayOfHostCnxFailedNoLicenseEvent.md)
 - [ArrayOfHostCnxFailedNotFoundEvent](docs/ArrayOfHostCnxFailedNotFoundEvent.md)
 - [ArrayOfHostCnxFailedTimeoutEvent](docs/ArrayOfHostCnxFailedTimeoutEvent.md)
 - [ArrayOfHostCommunication](docs/ArrayOfHostCommunication.md)
 - [ArrayOfHostComplianceCheckedEvent](docs/ArrayOfHostComplianceCheckedEvent.md)
 - [ArrayOfHostCompliantEvent](docs/ArrayOfHostCompliantEvent.md)
 - [ArrayOfHostConfigAppliedEvent](docs/ArrayOfHostConfigAppliedEvent.md)
 - [ArrayOfHostConfigChange](docs/ArrayOfHostConfigChange.md)
 - [ArrayOfHostConfigFailed](docs/ArrayOfHostConfigFailed.md)
 - [ArrayOfHostConfigFault](docs/ArrayOfHostConfigFault.md)
 - [ArrayOfHostConfigInfo](docs/ArrayOfHostConfigInfo.md)
 - [ArrayOfHostConfigManager](docs/ArrayOfHostConfigManager.md)
 - [ArrayOfHostConfigSpec](docs/ArrayOfHostConfigSpec.md)
 - [ArrayOfHostConfigSummary](docs/ArrayOfHostConfigSummary.md)
 - [ArrayOfHostConnectFault](docs/ArrayOfHostConnectFault.md)
 - [ArrayOfHostConnectInfo](docs/ArrayOfHostConnectInfo.md)
 - [ArrayOfHostConnectInfoNetworkInfo](docs/ArrayOfHostConnectInfoNetworkInfo.md)
 - [ArrayOfHostConnectSpec](docs/ArrayOfHostConnectSpec.md)
 - [ArrayOfHostConnectedEvent](docs/ArrayOfHostConnectedEvent.md)
 - [ArrayOfHostConnectionLostEvent](docs/ArrayOfHostConnectionLostEvent.md)
 - [ArrayOfHostCpuIdInfo](docs/ArrayOfHostCpuIdInfo.md)
 - [ArrayOfHostCpuInfo](docs/ArrayOfHostCpuInfo.md)
 - [ArrayOfHostCpuPackage](docs/ArrayOfHostCpuPackage.md)
 - [ArrayOfHostCpuPowerManagementInfo](docs/ArrayOfHostCpuPowerManagementInfo.md)
 - [ArrayOfHostDasDisabledEvent](docs/ArrayOfHostDasDisabledEvent.md)
 - [ArrayOfHostDasDisablingEvent](docs/ArrayOfHostDasDisablingEvent.md)
 - [ArrayOfHostDasEnabledEvent](docs/ArrayOfHostDasEnabledEvent.md)
 - [ArrayOfHostDasEnablingEvent](docs/ArrayOfHostDasEnablingEvent.md)
 - [ArrayOfHostDasErrorEvent](docs/ArrayOfHostDasErrorEvent.md)
 - [ArrayOfHostDasEvent](docs/ArrayOfHostDasEvent.md)
 - [ArrayOfHostDasOkEvent](docs/ArrayOfHostDasOkEvent.md)
 - [ArrayOfHostDataTransportConnectionInfo](docs/ArrayOfHostDataTransportConnectionInfo.md)
 - [ArrayOfHostDatastoreBrowserSearchResults](docs/ArrayOfHostDatastoreBrowserSearchResults.md)
 - [ArrayOfHostDatastoreBrowserSearchSpec](docs/ArrayOfHostDatastoreBrowserSearchSpec.md)
 - [ArrayOfHostDatastoreConnectInfo](docs/ArrayOfHostDatastoreConnectInfo.md)
 - [ArrayOfHostDatastoreExistsConnectInfo](docs/ArrayOfHostDatastoreExistsConnectInfo.md)
 - [ArrayOfHostDatastoreNameConflictConnectInfo](docs/ArrayOfHostDatastoreNameConflictConnectInfo.md)
 - [ArrayOfHostDatastoreSystemCapabilities](docs/ArrayOfHostDatastoreSystemCapabilities.md)
 - [ArrayOfHostDatastoreSystemDatastoreResult](docs/ArrayOfHostDatastoreSystemDatastoreResult.md)
 - [ArrayOfHostDatastoreSystemVvolDatastoreSpec](docs/ArrayOfHostDatastoreSystemVvolDatastoreSpec.md)
 - [ArrayOfHostDateTimeConfig](docs/ArrayOfHostDateTimeConfig.md)
 - [ArrayOfHostDateTimeInfo](docs/ArrayOfHostDateTimeInfo.md)
 - [ArrayOfHostDateTimeSystemServiceTestResult](docs/ArrayOfHostDateTimeSystemServiceTestResult.md)
 - [ArrayOfHostDateTimeSystemTimeZone](docs/ArrayOfHostDateTimeSystemTimeZone.md)
 - [ArrayOfHostDeploymentInfo](docs/ArrayOfHostDeploymentInfo.md)
 - [ArrayOfHostDevice](docs/ArrayOfHostDevice.md)
 - [ArrayOfHostDhcpService](docs/ArrayOfHostDhcpService.md)
 - [ArrayOfHostDhcpServiceConfig](docs/ArrayOfHostDhcpServiceConfig.md)
 - [ArrayOfHostDhcpServiceSpec](docs/ArrayOfHostDhcpServiceSpec.md)
 - [ArrayOfHostDiagnosticPartition](docs/ArrayOfHostDiagnosticPartition.md)
 - [ArrayOfHostDiagnosticPartitionCreateDescription](docs/ArrayOfHostDiagnosticPartitionCreateDescription.md)
 - [ArrayOfHostDiagnosticPartitionCreateOption](docs/ArrayOfHostDiagnosticPartitionCreateOption.md)
 - [ArrayOfHostDiagnosticPartitionCreateSpec](docs/ArrayOfHostDiagnosticPartitionCreateSpec.md)
 - [ArrayOfHostDigestInfo](docs/ArrayOfHostDigestInfo.md)
 - [ArrayOfHostDirectoryStoreInfo](docs/ArrayOfHostDirectoryStoreInfo.md)
 - [ArrayOfHostDisconnectedEvent](docs/ArrayOfHostDisconnectedEvent.md)
 - [ArrayOfHostDiskConfigurationResult](docs/ArrayOfHostDiskConfigurationResult.md)
 - [ArrayOfHostDiskDimensions](docs/ArrayOfHostDiskDimensions.md)
 - [ArrayOfHostDiskDimensionsChs](docs/ArrayOfHostDiskDimensionsChs.md)
 - [ArrayOfHostDiskDimensionsLba](docs/ArrayOfHostDiskDimensionsLba.md)
 - [ArrayOfHostDiskMappingInfo](docs/ArrayOfHostDiskMappingInfo.md)
 - [ArrayOfHostDiskMappingOption](docs/ArrayOfHostDiskMappingOption.md)
 - [ArrayOfHostDiskMappingPartitionInfo](docs/ArrayOfHostDiskMappingPartitionInfo.md)
 - [ArrayOfHostDiskMappingPartitionOption](docs/ArrayOfHostDiskMappingPartitionOption.md)
 - [ArrayOfHostDiskPartitionAttributes](docs/ArrayOfHostDiskPartitionAttributes.md)
 - [ArrayOfHostDiskPartitionBlockRange](docs/ArrayOfHostDiskPartitionBlockRange.md)
 - [ArrayOfHostDiskPartitionInfo](docs/ArrayOfHostDiskPartitionInfo.md)
 - [ArrayOfHostDiskPartitionLayout](docs/ArrayOfHostDiskPartitionLayout.md)
 - [ArrayOfHostDiskPartitionSpec](docs/ArrayOfHostDiskPartitionSpec.md)
 - [ArrayOfHostDnsConfig](docs/ArrayOfHostDnsConfig.md)
 - [ArrayOfHostDnsConfigSpec](docs/ArrayOfHostDnsConfigSpec.md)
 - [ArrayOfHostDvxClass](docs/ArrayOfHostDvxClass.md)
 - [ArrayOfHostEnableAdminFailedEvent](docs/ArrayOfHostEnableAdminFailedEvent.md)
 - [ArrayOfHostEnterMaintenanceResult](docs/ArrayOfHostEnterMaintenanceResult.md)
 - [ArrayOfHostEsxAgentHostManagerConfigInfo](docs/ArrayOfHostEsxAgentHostManagerConfigInfo.md)
 - [ArrayOfHostEvent](docs/ArrayOfHostEvent.md)
 - [ArrayOfHostEventArgument](docs/ArrayOfHostEventArgument.md)
 - [ArrayOfHostExtraNetworksEvent](docs/ArrayOfHostExtraNetworksEvent.md)
 - [ArrayOfHostFaultToleranceManagerComponentHealthInfo](docs/ArrayOfHostFaultToleranceManagerComponentHealthInfo.md)
 - [ArrayOfHostFeatureCapability](docs/ArrayOfHostFeatureCapability.md)
 - [ArrayOfHostFeatureMask](docs/ArrayOfHostFeatureMask.md)
 - [ArrayOfHostFeatureVersionInfo](docs/ArrayOfHostFeatureVersionInfo.md)
 - [ArrayOfHostFibreChannelHba](docs/ArrayOfHostFibreChannelHba.md)
 - [ArrayOfHostFibreChannelOverEthernetHba](docs/ArrayOfHostFibreChannelOverEthernetHba.md)
 - [ArrayOfHostFibreChannelOverEthernetHbaLinkInfo](docs/ArrayOfHostFibreChannelOverEthernetHbaLinkInfo.md)
 - [ArrayOfHostFibreChannelOverEthernetTargetTransport](docs/ArrayOfHostFibreChannelOverEthernetTargetTransport.md)
 - [ArrayOfHostFibreChannelTargetTransport](docs/ArrayOfHostFibreChannelTargetTransport.md)
 - [ArrayOfHostFileAccess](docs/ArrayOfHostFileAccess.md)
 - [ArrayOfHostFileSystemMountInfo](docs/ArrayOfHostFileSystemMountInfo.md)
 - [ArrayOfHostFileSystemVolume](docs/ArrayOfHostFileSystemVolume.md)
 - [ArrayOfHostFileSystemVolumeInfo](docs/ArrayOfHostFileSystemVolumeInfo.md)
 - [ArrayOfHostFirewallConfig](docs/ArrayOfHostFirewallConfig.md)
 - [ArrayOfHostFirewallConfigRuleSetConfig](docs/ArrayOfHostFirewallConfigRuleSetConfig.md)
 - [ArrayOfHostFirewallDefaultPolicy](docs/ArrayOfHostFirewallDefaultPolicy.md)
 - [ArrayOfHostFirewallInfo](docs/ArrayOfHostFirewallInfo.md)
 - [ArrayOfHostFirewallRule](docs/ArrayOfHostFirewallRule.md)
 - [ArrayOfHostFirewallRuleDirection](docs/ArrayOfHostFirewallRuleDirection.md)
 - [ArrayOfHostFirewallRulePortType](docs/ArrayOfHostFirewallRulePortType.md)
 - [ArrayOfHostFirewallRuleset](docs/ArrayOfHostFirewallRuleset.md)
 - [ArrayOfHostFirewallRulesetIpList](docs/ArrayOfHostFirewallRulesetIpList.md)
 - [ArrayOfHostFirewallRulesetIpNetwork](docs/ArrayOfHostFirewallRulesetIpNetwork.md)
 - [ArrayOfHostFirewallRulesetRulesetSpec](docs/ArrayOfHostFirewallRulesetRulesetSpec.md)
 - [ArrayOfHostFlagInfo](docs/ArrayOfHostFlagInfo.md)
 - [ArrayOfHostForceMountedInfo](docs/ArrayOfHostForceMountedInfo.md)
 - [ArrayOfHostFru](docs/ArrayOfHostFru.md)
 - [ArrayOfHostGatewaySpec](docs/ArrayOfHostGatewaySpec.md)
 - [ArrayOfHostGetShortNameFailedEvent](docs/ArrayOfHostGetShortNameFailedEvent.md)
 - [ArrayOfHostGraphicsConfig](docs/ArrayOfHostGraphicsConfig.md)
 - [ArrayOfHostGraphicsConfigDeviceType](docs/ArrayOfHostGraphicsConfigDeviceType.md)
 - [ArrayOfHostGraphicsInfo](docs/ArrayOfHostGraphicsInfo.md)
 - [ArrayOfHostHardwareElementInfo](docs/ArrayOfHostHardwareElementInfo.md)
 - [ArrayOfHostHardwareInfo](docs/ArrayOfHostHardwareInfo.md)
 - [ArrayOfHostHardwareStatusInfo](docs/ArrayOfHostHardwareStatusInfo.md)
 - [ArrayOfHostHardwareSummary](docs/ArrayOfHostHardwareSummary.md)
 - [ArrayOfHostHasComponentFailure](docs/ArrayOfHostHasComponentFailure.md)
 - [ArrayOfHostHbaCreateSpec](docs/ArrayOfHostHbaCreateSpec.md)
 - [ArrayOfHostHostBusAdapter](docs/ArrayOfHostHostBusAdapter.md)
 - [ArrayOfHostHyperThreadScheduleInfo](docs/ArrayOfHostHyperThreadScheduleInfo.md)
 - [ArrayOfHostImageProfileSummary](docs/ArrayOfHostImageProfileSummary.md)
 - [ArrayOfHostInAuditModeEvent](docs/ArrayOfHostInAuditModeEvent.md)
 - [ArrayOfHostInDomain](docs/ArrayOfHostInDomain.md)
 - [ArrayOfHostIncompatibleForFaultTolerance](docs/ArrayOfHostIncompatibleForFaultTolerance.md)
 - [ArrayOfHostIncompatibleForRecordReplay](docs/ArrayOfHostIncompatibleForRecordReplay.md)
 - [ArrayOfHostInternetScsiHba](docs/ArrayOfHostInternetScsiHba.md)
 - [ArrayOfHostInternetScsiHbaAuthenticationCapabilities](docs/ArrayOfHostInternetScsiHbaAuthenticationCapabilities.md)
 - [ArrayOfHostInternetScsiHbaAuthenticationProperties](docs/ArrayOfHostInternetScsiHbaAuthenticationProperties.md)
 - [ArrayOfHostInternetScsiHbaDigestCapabilities](docs/ArrayOfHostInternetScsiHbaDigestCapabilities.md)
 - [ArrayOfHostInternetScsiHbaDigestProperties](docs/ArrayOfHostInternetScsiHbaDigestProperties.md)
 - [ArrayOfHostInternetScsiHbaDiscoveryCapabilities](docs/ArrayOfHostInternetScsiHbaDiscoveryCapabilities.md)
 - [ArrayOfHostInternetScsiHbaDiscoveryProperties](docs/ArrayOfHostInternetScsiHbaDiscoveryProperties.md)
 - [ArrayOfHostInternetScsiHbaIPCapabilities](docs/ArrayOfHostInternetScsiHbaIPCapabilities.md)
 - [ArrayOfHostInternetScsiHbaIPProperties](docs/ArrayOfHostInternetScsiHbaIPProperties.md)
 - [ArrayOfHostInternetScsiHbaIPv6Properties](docs/ArrayOfHostInternetScsiHbaIPv6Properties.md)
 - [ArrayOfHostInternetScsiHbaIscsiIpv6Address](docs/ArrayOfHostInternetScsiHbaIscsiIpv6Address.md)
 - [ArrayOfHostInternetScsiHbaIscsiIpv6AddressAddressConfigurationType](docs/ArrayOfHostInternetScsiHbaIscsiIpv6AddressAddressConfigurationType.md)
 - [ArrayOfHostInternetScsiHbaIscsiIpv6AddressIPv6AddressOperation](docs/ArrayOfHostInternetScsiHbaIscsiIpv6AddressIPv6AddressOperation.md)
 - [ArrayOfHostInternetScsiHbaNetworkBindingSupportType](docs/ArrayOfHostInternetScsiHbaNetworkBindingSupportType.md)
 - [ArrayOfHostInternetScsiHbaParamValue](docs/ArrayOfHostInternetScsiHbaParamValue.md)
 - [ArrayOfHostInternetScsiHbaSendTarget](docs/ArrayOfHostInternetScsiHbaSendTarget.md)
 - [ArrayOfHostInternetScsiHbaStaticTarget](docs/ArrayOfHostInternetScsiHbaStaticTarget.md)
 - [ArrayOfHostInternetScsiHbaTargetSet](docs/ArrayOfHostInternetScsiHbaTargetSet.md)
 - [ArrayOfHostInternetScsiTargetTransport](docs/ArrayOfHostInternetScsiTargetTransport.md)
 - [ArrayOfHostInventoryFull](docs/ArrayOfHostInventoryFull.md)
 - [ArrayOfHostInventoryFullEvent](docs/ArrayOfHostInventoryFullEvent.md)
 - [ArrayOfHostInventoryUnreadableEvent](docs/ArrayOfHostInventoryUnreadableEvent.md)
 - [ArrayOfHostIoFilterInfo](docs/ArrayOfHostIoFilterInfo.md)
 - [ArrayOfHostIpChangedEvent](docs/ArrayOfHostIpChangedEvent.md)
 - [ArrayOfHostIpConfig](docs/ArrayOfHostIpConfig.md)
 - [ArrayOfHostIpConfigIpV6Address](docs/ArrayOfHostIpConfigIpV6Address.md)
 - [ArrayOfHostIpConfigIpV6AddressConfiguration](docs/ArrayOfHostIpConfigIpV6AddressConfiguration.md)
 - [ArrayOfHostIpInconsistentEvent](docs/ArrayOfHostIpInconsistentEvent.md)
 - [ArrayOfHostIpRouteConfig](docs/ArrayOfHostIpRouteConfig.md)
 - [ArrayOfHostIpRouteConfigSpec](docs/ArrayOfHostIpRouteConfigSpec.md)
 - [ArrayOfHostIpRouteEntry](docs/ArrayOfHostIpRouteEntry.md)
 - [ArrayOfHostIpRouteOp](docs/ArrayOfHostIpRouteOp.md)
 - [ArrayOfHostIpRouteTableConfig](docs/ArrayOfHostIpRouteTableConfig.md)
 - [ArrayOfHostIpRouteTableInfo](docs/ArrayOfHostIpRouteTableInfo.md)
 - [ArrayOfHostIpToShortNameFailedEvent](docs/ArrayOfHostIpToShortNameFailedEvent.md)
 - [ArrayOfHostIpmiInfo](docs/ArrayOfHostIpmiInfo.md)
 - [ArrayOfHostIsolationIpPingFailedEvent](docs/ArrayOfHostIsolationIpPingFailedEvent.md)
 - [ArrayOfHostLicensableResourceInfo](docs/ArrayOfHostLicensableResourceInfo.md)
 - [ArrayOfHostLicensableResourceKey](docs/ArrayOfHostLicensableResourceKey.md)
 - [ArrayOfHostLicenseConnectInfo](docs/ArrayOfHostLicenseConnectInfo.md)
 - [ArrayOfHostLicenseExpiredEvent](docs/ArrayOfHostLicenseExpiredEvent.md)
 - [ArrayOfHostLicenseSpec](docs/ArrayOfHostLicenseSpec.md)
 - [ArrayOfHostListSummary](docs/ArrayOfHostListSummary.md)
 - [ArrayOfHostListSummaryGatewaySummary](docs/ArrayOfHostListSummaryGatewaySummary.md)
 - [ArrayOfHostListSummaryQuickStats](docs/ArrayOfHostListSummaryQuickStats.md)
 - [ArrayOfHostLocalAuthenticationInfo](docs/ArrayOfHostLocalAuthenticationInfo.md)
 - [ArrayOfHostLocalFileSystemVolume](docs/ArrayOfHostLocalFileSystemVolume.md)
 - [ArrayOfHostLocalFileSystemVolumeSpec](docs/ArrayOfHostLocalFileSystemVolumeSpec.md)
 - [ArrayOfHostLocalPortCreatedEvent](docs/ArrayOfHostLocalPortCreatedEvent.md)
 - [ArrayOfHostLockdownMode](docs/ArrayOfHostLockdownMode.md)
 - [ArrayOfHostLowLevelProvisioningManagerDiskLayoutSpec](docs/ArrayOfHostLowLevelProvisioningManagerDiskLayoutSpec.md)
 - [ArrayOfHostLowLevelProvisioningManagerFileDeleteResult](docs/ArrayOfHostLowLevelProvisioningManagerFileDeleteResult.md)
 - [ArrayOfHostLowLevelProvisioningManagerFileDeleteSpec](docs/ArrayOfHostLowLevelProvisioningManagerFileDeleteSpec.md)
 - [ArrayOfHostLowLevelProvisioningManagerFileReserveResult](docs/ArrayOfHostLowLevelProvisioningManagerFileReserveResult.md)
 - [ArrayOfHostLowLevelProvisioningManagerFileReserveSpec](docs/ArrayOfHostLowLevelProvisioningManagerFileReserveSpec.md)
 - [ArrayOfHostLowLevelProvisioningManagerSnapshotLayoutSpec](docs/ArrayOfHostLowLevelProvisioningManagerSnapshotLayoutSpec.md)
 - [ArrayOfHostLowLevelProvisioningManagerVmMigrationStatus](docs/ArrayOfHostLowLevelProvisioningManagerVmMigrationStatus.md)
 - [ArrayOfHostLowLevelProvisioningManagerVmRecoveryInfo](docs/ArrayOfHostLowLevelProvisioningManagerVmRecoveryInfo.md)
 - [ArrayOfHostMaintenanceSpec](docs/ArrayOfHostMaintenanceSpec.md)
 - [ArrayOfHostMemberHealthCheckResult](docs/ArrayOfHostMemberHealthCheckResult.md)
 - [ArrayOfHostMemberRuntimeInfo](docs/ArrayOfHostMemberRuntimeInfo.md)
 - [ArrayOfHostMemberUplinkHealthCheckResult](docs/ArrayOfHostMemberUplinkHealthCheckResult.md)
 - [ArrayOfHostMemoryProfile](docs/ArrayOfHostMemoryProfile.md)
 - [ArrayOfHostMemorySpec](docs/ArrayOfHostMemorySpec.md)
 - [ArrayOfHostMemoryTierInfo](docs/ArrayOfHostMemoryTierInfo.md)
 - [ArrayOfHostMissingNetworksEvent](docs/ArrayOfHostMissingNetworksEvent.md)
 - [ArrayOfHostMonitoringStateChangedEvent](docs/ArrayOfHostMonitoringStateChangedEvent.md)
 - [ArrayOfHostMountInfo](docs/ArrayOfHostMountInfo.md)
 - [ArrayOfHostMultipathInfo](docs/ArrayOfHostMultipathInfo.md)
 - [ArrayOfHostMultipathInfoFixedLogicalUnitPolicy](docs/ArrayOfHostMultipathInfoFixedLogicalUnitPolicy.md)
 - [ArrayOfHostMultipathInfoHppLogicalUnitPolicy](docs/ArrayOfHostMultipathInfoHppLogicalUnitPolicy.md)
 - [ArrayOfHostMultipathInfoLogicalUnit](docs/ArrayOfHostMultipathInfoLogicalUnit.md)
 - [ArrayOfHostMultipathInfoLogicalUnitPolicy](docs/ArrayOfHostMultipathInfoLogicalUnitPolicy.md)
 - [ArrayOfHostMultipathInfoLogicalUnitStorageArrayTypePolicy](docs/ArrayOfHostMultipathInfoLogicalUnitStorageArrayTypePolicy.md)
 - [ArrayOfHostMultipathInfoPath](docs/ArrayOfHostMultipathInfoPath.md)
 - [ArrayOfHostMultipathStateInfo](docs/ArrayOfHostMultipathStateInfo.md)
 - [ArrayOfHostMultipathStateInfoPath](docs/ArrayOfHostMultipathStateInfoPath.md)
 - [ArrayOfHostNasVolume](docs/ArrayOfHostNasVolume.md)
 - [ArrayOfHostNasVolumeConfig](docs/ArrayOfHostNasVolumeConfig.md)
 - [ArrayOfHostNasVolumeSpec](docs/ArrayOfHostNasVolumeSpec.md)
 - [ArrayOfHostNasVolumeUserInfo](docs/ArrayOfHostNasVolumeUserInfo.md)
 - [ArrayOfHostNatService](docs/ArrayOfHostNatService.md)
 - [ArrayOfHostNatServiceConfig](docs/ArrayOfHostNatServiceConfig.md)
 - [ArrayOfHostNatServiceNameServiceSpec](docs/ArrayOfHostNatServiceNameServiceSpec.md)
 - [ArrayOfHostNatServicePortForwardSpec](docs/ArrayOfHostNatServicePortForwardSpec.md)
 - [ArrayOfHostNatServiceSpec](docs/ArrayOfHostNatServiceSpec.md)
 - [ArrayOfHostNetCapabilities](docs/ArrayOfHostNetCapabilities.md)
 - [ArrayOfHostNetOffloadCapabilities](docs/ArrayOfHostNetOffloadCapabilities.md)
 - [ArrayOfHostNetStackInstance](docs/ArrayOfHostNetStackInstance.md)
 - [ArrayOfHostNetworkConfig](docs/ArrayOfHostNetworkConfig.md)
 - [ArrayOfHostNetworkConfigNetStackSpec](docs/ArrayOfHostNetworkConfigNetStackSpec.md)
 - [ArrayOfHostNetworkConfigResult](docs/ArrayOfHostNetworkConfigResult.md)
 - [ArrayOfHostNetworkInfo](docs/ArrayOfHostNetworkInfo.md)
 - [ArrayOfHostNetworkPolicy](docs/ArrayOfHostNetworkPolicy.md)
 - [ArrayOfHostNetworkResourceRuntime](docs/ArrayOfHostNetworkResourceRuntime.md)
 - [ArrayOfHostNetworkSecurityPolicy](docs/ArrayOfHostNetworkSecurityPolicy.md)
 - [ArrayOfHostNetworkTrafficShapingPolicy](docs/ArrayOfHostNetworkTrafficShapingPolicy.md)
 - [ArrayOfHostNewNetworkConnectInfo](docs/ArrayOfHostNewNetworkConnectInfo.md)
 - [ArrayOfHostNfcConnectionInfo](docs/ArrayOfHostNfcConnectionInfo.md)
 - [ArrayOfHostNicFailureCriteria](docs/ArrayOfHostNicFailureCriteria.md)
 - [ArrayOfHostNicOrderPolicy](docs/ArrayOfHostNicOrderPolicy.md)
 - [ArrayOfHostNicTeamingPolicy](docs/ArrayOfHostNicTeamingPolicy.md)
 - [ArrayOfHostNoAvailableNetworksEvent](docs/ArrayOfHostNoAvailableNetworksEvent.md)
 - [ArrayOfHostNoHAEnabledPortGroupsEvent](docs/ArrayOfHostNoHAEnabledPortGroupsEvent.md)
 - [ArrayOfHostNoRedundantManagementNetworkEvent](docs/ArrayOfHostNoRedundantManagementNetworkEvent.md)
 - [ArrayOfHostNonCompliantEvent](docs/ArrayOfHostNonCompliantEvent.md)
 - [ArrayOfHostNotConnected](docs/ArrayOfHostNotConnected.md)
 - [ArrayOfHostNotInClusterEvent](docs/ArrayOfHostNotInClusterEvent.md)
 - [ArrayOfHostNotReachable](docs/ArrayOfHostNotReachable.md)
 - [ArrayOfHostNtpConfig](docs/ArrayOfHostNtpConfig.md)
 - [ArrayOfHostNumaInfo](docs/ArrayOfHostNumaInfo.md)
 - [ArrayOfHostNumaNode](docs/ArrayOfHostNumaNode.md)
 - [ArrayOfHostNumericSensorInfo](docs/ArrayOfHostNumericSensorInfo.md)
 - [ArrayOfHostNvmeConnectSpec](docs/ArrayOfHostNvmeConnectSpec.md)
 - [ArrayOfHostNvmeController](docs/ArrayOfHostNvmeController.md)
 - [ArrayOfHostNvmeDisconnectSpec](docs/ArrayOfHostNvmeDisconnectSpec.md)
 - [ArrayOfHostNvmeDiscoverSpec](docs/ArrayOfHostNvmeDiscoverSpec.md)
 - [ArrayOfHostNvmeDiscoveryLog](docs/ArrayOfHostNvmeDiscoveryLog.md)
 - [ArrayOfHostNvmeDiscoveryLogEntry](docs/ArrayOfHostNvmeDiscoveryLogEntry.md)
 - [ArrayOfHostNvmeNamespace](docs/ArrayOfHostNvmeNamespace.md)
 - [ArrayOfHostNvmeOpaqueTransportParameters](docs/ArrayOfHostNvmeOpaqueTransportParameters.md)
 - [ArrayOfHostNvmeOverFibreChannelParameters](docs/ArrayOfHostNvmeOverFibreChannelParameters.md)
 - [ArrayOfHostNvmeOverRdmaParameters](docs/ArrayOfHostNvmeOverRdmaParameters.md)
 - [ArrayOfHostNvmeOverTcpParameters](docs/ArrayOfHostNvmeOverTcpParameters.md)
 - [ArrayOfHostNvmeSpec](docs/ArrayOfHostNvmeSpec.md)
 - [ArrayOfHostNvmeTopology](docs/ArrayOfHostNvmeTopology.md)
 - [ArrayOfHostNvmeTopologyInterface](docs/ArrayOfHostNvmeTopologyInterface.md)
 - [ArrayOfHostNvmeTransportParameters](docs/ArrayOfHostNvmeTransportParameters.md)
 - [ArrayOfHostOpaqueNetworkInfo](docs/ArrayOfHostOpaqueNetworkInfo.md)
 - [ArrayOfHostOpaqueSwitch](docs/ArrayOfHostOpaqueSwitch.md)
 - [ArrayOfHostOpaqueSwitchPhysicalNicZone](docs/ArrayOfHostOpaqueSwitchPhysicalNicZone.md)
 - [ArrayOfHostOvercommittedEvent](docs/ArrayOfHostOvercommittedEvent.md)
 - [ArrayOfHostPMemVolume](docs/ArrayOfHostPMemVolume.md)
 - [ArrayOfHostParallelScsiHba](docs/ArrayOfHostParallelScsiHba.md)
 - [ArrayOfHostParallelScsiTargetTransport](docs/ArrayOfHostParallelScsiTargetTransport.md)
 - [ArrayOfHostPatchManagerLocator](docs/ArrayOfHostPatchManagerLocator.md)
 - [ArrayOfHostPatchManagerPatchManagerOperationSpec](docs/ArrayOfHostPatchManagerPatchManagerOperationSpec.md)
 - [ArrayOfHostPatchManagerResult](docs/ArrayOfHostPatchManagerResult.md)
 - [ArrayOfHostPatchManagerStatus](docs/ArrayOfHostPatchManagerStatus.md)
 - [ArrayOfHostPatchManagerStatusPrerequisitePatch](docs/ArrayOfHostPatchManagerStatusPrerequisitePatch.md)
 - [ArrayOfHostPathSelectionPolicyOption](docs/ArrayOfHostPathSelectionPolicyOption.md)
 - [ArrayOfHostPciDevice](docs/ArrayOfHostPciDevice.md)
 - [ArrayOfHostPciPassthruConfig](docs/ArrayOfHostPciPassthruConfig.md)
 - [ArrayOfHostPciPassthruInfo](docs/ArrayOfHostPciPassthruInfo.md)
 - [ArrayOfHostPcieHba](docs/ArrayOfHostPcieHba.md)
 - [ArrayOfHostPcieTargetTransport](docs/ArrayOfHostPcieTargetTransport.md)
 - [ArrayOfHostPersistentMemoryInfo](docs/ArrayOfHostPersistentMemoryInfo.md)
 - [ArrayOfHostPlacedVirtualNicIdentifier](docs/ArrayOfHostPlacedVirtualNicIdentifier.md)
 - [ArrayOfHostPlugStoreTopology](docs/ArrayOfHostPlugStoreTopology.md)
 - [ArrayOfHostPlugStoreTopologyAdapter](docs/ArrayOfHostPlugStoreTopologyAdapter.md)
 - [ArrayOfHostPlugStoreTopologyDevice](docs/ArrayOfHostPlugStoreTopologyDevice.md)
 - [ArrayOfHostPlugStoreTopologyPath](docs/ArrayOfHostPlugStoreTopologyPath.md)
 - [ArrayOfHostPlugStoreTopologyPlugin](docs/ArrayOfHostPlugStoreTopologyPlugin.md)
 - [ArrayOfHostPlugStoreTopologyTarget](docs/ArrayOfHostPlugStoreTopologyTarget.md)
 - [ArrayOfHostPnicNetworkResourceInfo](docs/ArrayOfHostPnicNetworkResourceInfo.md)
 - [ArrayOfHostPortGroup](docs/ArrayOfHostPortGroup.md)
 - [ArrayOfHostPortGroupConfig](docs/ArrayOfHostPortGroupConfig.md)
 - [ArrayOfHostPortGroupPort](docs/ArrayOfHostPortGroupPort.md)
 - [ArrayOfHostPortGroupProfile](docs/ArrayOfHostPortGroupProfile.md)
 - [ArrayOfHostPortGroupSpec](docs/ArrayOfHostPortGroupSpec.md)
 - [ArrayOfHostPosixAccountSpec](docs/ArrayOfHostPosixAccountSpec.md)
 - [ArrayOfHostPowerOpFailed](docs/ArrayOfHostPowerOpFailed.md)
 - [ArrayOfHostPowerOperationType](docs/ArrayOfHostPowerOperationType.md)
 - [ArrayOfHostPowerPolicy](docs/ArrayOfHostPowerPolicy.md)
 - [ArrayOfHostPrimaryAgentNotShortNameEvent](docs/ArrayOfHostPrimaryAgentNotShortNameEvent.md)
 - [ArrayOfHostProfileAppliedEvent](docs/ArrayOfHostProfileAppliedEvent.md)
 - [ArrayOfHostProfileCompleteConfigSpec](docs/ArrayOfHostProfileCompleteConfigSpec.md)
 - [ArrayOfHostProfileConfigInfo](docs/ArrayOfHostProfileConfigInfo.md)
 - [ArrayOfHostProfileConfigSpec](docs/ArrayOfHostProfileConfigSpec.md)
 - [ArrayOfHostProfileHostBasedConfigSpec](docs/ArrayOfHostProfileHostBasedConfigSpec.md)
 - [ArrayOfHostProfileManagerCompositionResult](docs/ArrayOfHostProfileManagerCompositionResult.md)
 - [ArrayOfHostProfileManagerCompositionResultResultElement](docs/ArrayOfHostProfileManagerCompositionResultResultElement.md)
 - [ArrayOfHostProfileManagerCompositionValidationResult](docs/ArrayOfHostProfileManagerCompositionValidationResult.md)
 - [ArrayOfHostProfileManagerCompositionValidationResultResultElement](docs/ArrayOfHostProfileManagerCompositionValidationResultResultElement.md)
 - [ArrayOfHostProfileManagerConfigTaskList](docs/ArrayOfHostProfileManagerConfigTaskList.md)
 - [ArrayOfHostProfileManagerHostToConfigSpecMap](docs/ArrayOfHostProfileManagerHostToConfigSpecMap.md)
 - [ArrayOfHostProfileSerializedHostProfileSpec](docs/ArrayOfHostProfileSerializedHostProfileSpec.md)
 - [ArrayOfHostProfileValidationFailureInfo](docs/ArrayOfHostProfileValidationFailureInfo.md)
 - [ArrayOfHostProfilesEntityCustomizations](docs/ArrayOfHostProfilesEntityCustomizations.md)
 - [ArrayOfHostProtocolEndpoint](docs/ArrayOfHostProtocolEndpoint.md)
 - [ArrayOfHostProxySwitch](docs/ArrayOfHostProxySwitch.md)
 - [ArrayOfHostProxySwitchConfig](docs/ArrayOfHostProxySwitchConfig.md)
 - [ArrayOfHostProxySwitchEnsInfo](docs/ArrayOfHostProxySwitchEnsInfo.md)
 - [ArrayOfHostProxySwitchHostLagConfig](docs/ArrayOfHostProxySwitchHostLagConfig.md)
 - [ArrayOfHostProxySwitchSpec](docs/ArrayOfHostProxySwitchSpec.md)
 - [ArrayOfHostPtpConfig](docs/ArrayOfHostPtpConfig.md)
 - [ArrayOfHostPtpConfigPtpPort](docs/ArrayOfHostPtpConfigPtpPort.md)
 - [ArrayOfHostQualifiedName](docs/ArrayOfHostQualifiedName.md)
 - [ArrayOfHostRdmaDevice](docs/ArrayOfHostRdmaDevice.md)
 - [ArrayOfHostRdmaDeviceBacking](docs/ArrayOfHostRdmaDeviceBacking.md)
 - [ArrayOfHostRdmaDeviceCapability](docs/ArrayOfHostRdmaDeviceCapability.md)
 - [ArrayOfHostRdmaDeviceConnectionInfo](docs/ArrayOfHostRdmaDeviceConnectionInfo.md)
 - [ArrayOfHostRdmaDevicePnicBacking](docs/ArrayOfHostRdmaDevicePnicBacking.md)
 - [ArrayOfHostRdmaHba](docs/ArrayOfHostRdmaHba.md)
 - [ArrayOfHostRdmaTargetTransport](docs/ArrayOfHostRdmaTargetTransport.md)
 - [ArrayOfHostReconnectionFailedEvent](docs/ArrayOfHostReconnectionFailedEvent.md)
 - [ArrayOfHostReliableMemoryInfo](docs/ArrayOfHostReliableMemoryInfo.md)
 - [ArrayOfHostRemovedEvent](docs/ArrayOfHostRemovedEvent.md)
 - [ArrayOfHostResignatureRescanResult](docs/ArrayOfHostResignatureRescanResult.md)
 - [ArrayOfHostRuntimeInfo](docs/ArrayOfHostRuntimeInfo.md)
 - [ArrayOfHostRuntimeInfoNetStackInstanceRuntimeInfo](docs/ArrayOfHostRuntimeInfoNetStackInstanceRuntimeInfo.md)
 - [ArrayOfHostRuntimeInfoNetworkRuntimeInfo](docs/ArrayOfHostRuntimeInfoNetworkRuntimeInfo.md)
 - [ArrayOfHostRuntimeInfoStateEncryptionInfo](docs/ArrayOfHostRuntimeInfoStateEncryptionInfo.md)
 - [ArrayOfHostScsiDisk](docs/ArrayOfHostScsiDisk.md)
 - [ArrayOfHostScsiDiskPartition](docs/ArrayOfHostScsiDiskPartition.md)
 - [ArrayOfHostScsiTopology](docs/ArrayOfHostScsiTopology.md)
 - [ArrayOfHostScsiTopologyInterface](docs/ArrayOfHostScsiTopologyInterface.md)
 - [ArrayOfHostScsiTopologyLun](docs/ArrayOfHostScsiTopologyLun.md)
 - [ArrayOfHostScsiTopologyTarget](docs/ArrayOfHostScsiTopologyTarget.md)
 - [ArrayOfHostSecuritySpec](docs/ArrayOfHostSecuritySpec.md)
 - [ArrayOfHostSerialAttachedHba](docs/ArrayOfHostSerialAttachedHba.md)
 - [ArrayOfHostSerialAttachedTargetTransport](docs/ArrayOfHostSerialAttachedTargetTransport.md)
 - [ArrayOfHostService](docs/ArrayOfHostService.md)
 - [ArrayOfHostServiceConfig](docs/ArrayOfHostServiceConfig.md)
 - [ArrayOfHostServiceInfo](docs/ArrayOfHostServiceInfo.md)
 - [ArrayOfHostServiceSourcePackage](docs/ArrayOfHostServiceSourcePackage.md)
 - [ArrayOfHostServiceTicket](docs/ArrayOfHostServiceTicket.md)
 - [ArrayOfHostSevInfo](docs/ArrayOfHostSevInfo.md)
 - [ArrayOfHostSgxInfo](docs/ArrayOfHostSgxInfo.md)
 - [ArrayOfHostSgxRegistrationInfo](docs/ArrayOfHostSgxRegistrationInfo.md)
 - [ArrayOfHostSharedGpuCapabilities](docs/ArrayOfHostSharedGpuCapabilities.md)
 - [ArrayOfHostShortNameInconsistentEvent](docs/ArrayOfHostShortNameInconsistentEvent.md)
 - [ArrayOfHostShortNameToIpFailedEvent](docs/ArrayOfHostShortNameToIpFailedEvent.md)
 - [ArrayOfHostShutdownEvent](docs/ArrayOfHostShutdownEvent.md)
 - [ArrayOfHostSnmpAgentCapability](docs/ArrayOfHostSnmpAgentCapability.md)
 - [ArrayOfHostSnmpConfigSpec](docs/ArrayOfHostSnmpConfigSpec.md)
 - [ArrayOfHostSnmpDestination](docs/ArrayOfHostSnmpDestination.md)
 - [ArrayOfHostSnmpSystemAgentLimits](docs/ArrayOfHostSnmpSystemAgentLimits.md)
 - [ArrayOfHostSpecification](docs/ArrayOfHostSpecification.md)
 - [ArrayOfHostSpecificationChangedEvent](docs/ArrayOfHostSpecificationChangedEvent.md)
 - [ArrayOfHostSpecificationOperationFailed](docs/ArrayOfHostSpecificationOperationFailed.md)
 - [ArrayOfHostSpecificationRequireEvent](docs/ArrayOfHostSpecificationRequireEvent.md)
 - [ArrayOfHostSpecificationUpdateEvent](docs/ArrayOfHostSpecificationUpdateEvent.md)
 - [ArrayOfHostSriovConfig](docs/ArrayOfHostSriovConfig.md)
 - [ArrayOfHostSriovDevicePoolInfo](docs/ArrayOfHostSriovDevicePoolInfo.md)
 - [ArrayOfHostSriovInfo](docs/ArrayOfHostSriovInfo.md)
 - [ArrayOfHostSriovNetworkDevicePoolInfo](docs/ArrayOfHostSriovNetworkDevicePoolInfo.md)
 - [ArrayOfHostSslThumbprintInfo](docs/ArrayOfHostSslThumbprintInfo.md)
 - [ArrayOfHostStatusChangedEvent](docs/ArrayOfHostStatusChangedEvent.md)
 - [ArrayOfHostStorageArrayTypePolicyOption](docs/ArrayOfHostStorageArrayTypePolicyOption.md)
 - [ArrayOfHostStorageDeviceInfo](docs/ArrayOfHostStorageDeviceInfo.md)
 - [ArrayOfHostStorageElementInfo](docs/ArrayOfHostStorageElementInfo.md)
 - [ArrayOfHostStorageOperationalInfo](docs/ArrayOfHostStorageOperationalInfo.md)
 - [ArrayOfHostStorageSystemDiskLocatorLedResult](docs/ArrayOfHostStorageSystemDiskLocatorLedResult.md)
 - [ArrayOfHostStorageSystemScsiLunResult](docs/ArrayOfHostStorageSystemScsiLunResult.md)
 - [ArrayOfHostStorageSystemVmfsVolumeResult](docs/ArrayOfHostStorageSystemVmfsVolumeResult.md)
 - [ArrayOfHostSubSpecification](docs/ArrayOfHostSubSpecification.md)
 - [ArrayOfHostSubSpecificationDeleteEvent](docs/ArrayOfHostSubSpecificationDeleteEvent.md)
 - [ArrayOfHostSubSpecificationUpdateEvent](docs/ArrayOfHostSubSpecificationUpdateEvent.md)
 - [ArrayOfHostSyncFailedEvent](docs/ArrayOfHostSyncFailedEvent.md)
 - [ArrayOfHostSystemComplianceCheckState](docs/ArrayOfHostSystemComplianceCheckState.md)
 - [ArrayOfHostSystemConnectionState](docs/ArrayOfHostSystemConnectionState.md)
 - [ArrayOfHostSystemHealthInfo](docs/ArrayOfHostSystemHealthInfo.md)
 - [ArrayOfHostSystemIdentificationInfo](docs/ArrayOfHostSystemIdentificationInfo.md)
 - [ArrayOfHostSystemInfo](docs/ArrayOfHostSystemInfo.md)
 - [ArrayOfHostSystemPowerState](docs/ArrayOfHostSystemPowerState.md)
 - [ArrayOfHostSystemReconnectSpec](docs/ArrayOfHostSystemReconnectSpec.md)
 - [ArrayOfHostSystemRemediationState](docs/ArrayOfHostSystemRemediationState.md)
 - [ArrayOfHostSystemResourceInfo](docs/ArrayOfHostSystemResourceInfo.md)
 - [ArrayOfHostSystemSwapConfiguration](docs/ArrayOfHostSystemSwapConfiguration.md)
 - [ArrayOfHostSystemSwapConfigurationDatastoreOption](docs/ArrayOfHostSystemSwapConfigurationDatastoreOption.md)
 - [ArrayOfHostSystemSwapConfigurationDisabledOption](docs/ArrayOfHostSystemSwapConfigurationDisabledOption.md)
 - [ArrayOfHostSystemSwapConfigurationHostCacheOption](docs/ArrayOfHostSystemSwapConfigurationHostCacheOption.md)
 - [ArrayOfHostSystemSwapConfigurationHostLocalSwapOption](docs/ArrayOfHostSystemSwapConfigurationHostLocalSwapOption.md)
 - [ArrayOfHostSystemSwapConfigurationSystemSwapOption](docs/ArrayOfHostSystemSwapConfigurationSystemSwapOption.md)
 - [ArrayOfHostTargetTransport](docs/ArrayOfHostTargetTransport.md)
 - [ArrayOfHostTcpHba](docs/ArrayOfHostTcpHba.md)
 - [ArrayOfHostTcpHbaCreateSpec](docs/ArrayOfHostTcpHbaCreateSpec.md)
 - [ArrayOfHostTcpTargetTransport](docs/ArrayOfHostTcpTargetTransport.md)
 - [ArrayOfHostTpmAttestationInfo](docs/ArrayOfHostTpmAttestationInfo.md)
 - [ArrayOfHostTpmAttestationInfoAcceptanceStatus](docs/ArrayOfHostTpmAttestationInfoAcceptanceStatus.md)
 - [ArrayOfHostTpmAttestationReport](docs/ArrayOfHostTpmAttestationReport.md)
 - [ArrayOfHostTpmBootCompleteEventDetails](docs/ArrayOfHostTpmBootCompleteEventDetails.md)
 - [ArrayOfHostTpmBootSecurityOptionEventDetails](docs/ArrayOfHostTpmBootSecurityOptionEventDetails.md)
 - [ArrayOfHostTpmCommandEventDetails](docs/ArrayOfHostTpmCommandEventDetails.md)
 - [ArrayOfHostTpmDigestInfo](docs/ArrayOfHostTpmDigestInfo.md)
 - [ArrayOfHostTpmEventDetails](docs/ArrayOfHostTpmEventDetails.md)
 - [ArrayOfHostTpmEventLogEntry](docs/ArrayOfHostTpmEventLogEntry.md)
 - [ArrayOfHostTpmNvTagEventDetails](docs/ArrayOfHostTpmNvTagEventDetails.md)
 - [ArrayOfHostTpmOptionEventDetails](docs/ArrayOfHostTpmOptionEventDetails.md)
 - [ArrayOfHostTpmSignerEventDetails](docs/ArrayOfHostTpmSignerEventDetails.md)
 - [ArrayOfHostTpmSoftwareComponentEventDetails](docs/ArrayOfHostTpmSoftwareComponentEventDetails.md)
 - [ArrayOfHostTpmVersionEventDetails](docs/ArrayOfHostTpmVersionEventDetails.md)
 - [ArrayOfHostTrustAuthorityAttestationInfo](docs/ArrayOfHostTrustAuthorityAttestationInfo.md)
 - [ArrayOfHostUnresolvedVmfsExtent](docs/ArrayOfHostUnresolvedVmfsExtent.md)
 - [ArrayOfHostUnresolvedVmfsResignatureSpec](docs/ArrayOfHostUnresolvedVmfsResignatureSpec.md)
 - [ArrayOfHostUnresolvedVmfsResolutionResult](docs/ArrayOfHostUnresolvedVmfsResolutionResult.md)
 - [ArrayOfHostUnresolvedVmfsResolutionSpec](docs/ArrayOfHostUnresolvedVmfsResolutionSpec.md)
 - [ArrayOfHostUnresolvedVmfsVolume](docs/ArrayOfHostUnresolvedVmfsVolume.md)
 - [ArrayOfHostUnresolvedVmfsVolumeResolveStatus](docs/ArrayOfHostUnresolvedVmfsVolumeResolveStatus.md)
 - [ArrayOfHostUpgradeFailedEvent](docs/ArrayOfHostUpgradeFailedEvent.md)
 - [ArrayOfHostUserWorldSwapNotEnabledEvent](docs/ArrayOfHostUserWorldSwapNotEnabledEvent.md)
 - [ArrayOfHostVFlashManagerVFlashCacheConfigInfo](docs/ArrayOfHostVFlashManagerVFlashCacheConfigInfo.md)
 - [ArrayOfHostVFlashManagerVFlashCacheConfigInfoVFlashModuleConfigOption](docs/ArrayOfHostVFlashManagerVFlashCacheConfigInfoVFlashModuleConfigOption.md)
 - [ArrayOfHostVFlashManagerVFlashCacheConfigSpec](docs/ArrayOfHostVFlashManagerVFlashCacheConfigSpec.md)
 - [ArrayOfHostVFlashManagerVFlashConfigInfo](docs/ArrayOfHostVFlashManagerVFlashConfigInfo.md)
 - [ArrayOfHostVFlashManagerVFlashResourceConfigInfo](docs/ArrayOfHostVFlashManagerVFlashResourceConfigInfo.md)
 - [ArrayOfHostVFlashManagerVFlashResourceConfigSpec](docs/ArrayOfHostVFlashManagerVFlashResourceConfigSpec.md)
 - [ArrayOfHostVFlashManagerVFlashResourceRunTimeInfo](docs/ArrayOfHostVFlashManagerVFlashResourceRunTimeInfo.md)
 - [ArrayOfHostVFlashResourceConfigurationResult](docs/ArrayOfHostVFlashResourceConfigurationResult.md)
 - [ArrayOfHostVMotionCompatibility](docs/ArrayOfHostVMotionCompatibility.md)
 - [ArrayOfHostVMotionConfig](docs/ArrayOfHostVMotionConfig.md)
 - [ArrayOfHostVMotionInfo](docs/ArrayOfHostVMotionInfo.md)
 - [ArrayOfHostVMotionManagerDstInstantCloneResult](docs/ArrayOfHostVMotionManagerDstInstantCloneResult.md)
 - [ArrayOfHostVMotionManagerSrcInstantCloneResult](docs/ArrayOfHostVMotionManagerSrcInstantCloneResult.md)
 - [ArrayOfHostVMotionNetConfig](docs/ArrayOfHostVMotionNetConfig.md)
 - [ArrayOfHostVfatVolume](docs/ArrayOfHostVfatVolume.md)
 - [ArrayOfHostVffsSpec](docs/ArrayOfHostVffsSpec.md)
 - [ArrayOfHostVffsVolume](docs/ArrayOfHostVffsVolume.md)
 - [ArrayOfHostVirtualNic](docs/ArrayOfHostVirtualNic.md)
 - [ArrayOfHostVirtualNicConfig](docs/ArrayOfHostVirtualNicConfig.md)
 - [ArrayOfHostVirtualNicConnection](docs/ArrayOfHostVirtualNicConnection.md)
 - [ArrayOfHostVirtualNicIpRouteSpec](docs/ArrayOfHostVirtualNicIpRouteSpec.md)
 - [ArrayOfHostVirtualNicManagerInfo](docs/ArrayOfHostVirtualNicManagerInfo.md)
 - [ArrayOfHostVirtualNicManagerNicTypeSelection](docs/ArrayOfHostVirtualNicManagerNicTypeSelection.md)
 - [ArrayOfHostVirtualNicOpaqueNetworkSpec](docs/ArrayOfHostVirtualNicOpaqueNetworkSpec.md)
 - [ArrayOfHostVirtualNicSpec](docs/ArrayOfHostVirtualNicSpec.md)
 - [ArrayOfHostVirtualSwitch](docs/ArrayOfHostVirtualSwitch.md)
 - [ArrayOfHostVirtualSwitchAutoBridge](docs/ArrayOfHostVirtualSwitchAutoBridge.md)
 - [ArrayOfHostVirtualSwitchBeaconConfig](docs/ArrayOfHostVirtualSwitchBeaconConfig.md)
 - [ArrayOfHostVirtualSwitchBondBridge](docs/ArrayOfHostVirtualSwitchBondBridge.md)
 - [ArrayOfHostVirtualSwitchBridge](docs/ArrayOfHostVirtualSwitchBridge.md)
 - [ArrayOfHostVirtualSwitchConfig](docs/ArrayOfHostVirtualSwitchConfig.md)
 - [ArrayOfHostVirtualSwitchSimpleBridge](docs/ArrayOfHostVirtualSwitchSimpleBridge.md)
 - [ArrayOfHostVirtualSwitchSpec](docs/ArrayOfHostVirtualSwitchSpec.md)
 - [ArrayOfHostVmciAccessManagerAccessSpec](docs/ArrayOfHostVmciAccessManagerAccessSpec.md)
 - [ArrayOfHostVmfsRescanResult](docs/ArrayOfHostVmfsRescanResult.md)
 - [ArrayOfHostVmfsSpec](docs/ArrayOfHostVmfsSpec.md)
 - [ArrayOfHostVmfsVolume](docs/ArrayOfHostVmfsVolume.md)
 - [ArrayOfHostVnicConnectedToCustomizedDVPortEvent](docs/ArrayOfHostVnicConnectedToCustomizedDVPortEvent.md)
 - [ArrayOfHostVsanInternalSystemCmmdsQuery](docs/ArrayOfHostVsanInternalSystemCmmdsQuery.md)
 - [ArrayOfHostVsanInternalSystemDeleteVsanObjectsResult](docs/ArrayOfHostVsanInternalSystemDeleteVsanObjectsResult.md)
 - [ArrayOfHostVsanInternalSystemVsanObjectOperationResult](docs/ArrayOfHostVsanInternalSystemVsanObjectOperationResult.md)
 - [ArrayOfHostVsanInternalSystemVsanPhysicalDiskDiagnosticsResult](docs/ArrayOfHostVsanInternalSystemVsanPhysicalDiskDiagnosticsResult.md)
 - [ArrayOfHostVvolVolume](docs/ArrayOfHostVvolVolume.md)
 - [ArrayOfHostVvolVolumeSpecification](docs/ArrayOfHostVvolVolumeSpecification.md)
 - [ArrayOfHostWwnChangedEvent](docs/ArrayOfHostWwnChangedEvent.md)
 - [ArrayOfHostWwnConflictEvent](docs/ArrayOfHostWwnConflictEvent.md)
 - [ArrayOfHotSnapshotMoveNotSupported](docs/ArrayOfHotSnapshotMoveNotSupported.md)
 - [ArrayOfHourlyTaskScheduler](docs/ArrayOfHourlyTaskScheduler.md)
 - [ArrayOfHttpFault](docs/ArrayOfHttpFault.md)
 - [ArrayOfHttpNfcLeaseCapabilities](docs/ArrayOfHttpNfcLeaseCapabilities.md)
 - [ArrayOfHttpNfcLeaseDatastoreLeaseInfo](docs/ArrayOfHttpNfcLeaseDatastoreLeaseInfo.md)
 - [ArrayOfHttpNfcLeaseDeviceUrl](docs/ArrayOfHttpNfcLeaseDeviceUrl.md)
 - [ArrayOfHttpNfcLeaseHostInfo](docs/ArrayOfHttpNfcLeaseHostInfo.md)
 - [ArrayOfHttpNfcLeaseInfo](docs/ArrayOfHttpNfcLeaseInfo.md)
 - [ArrayOfHttpNfcLeaseManifestEntry](docs/ArrayOfHttpNfcLeaseManifestEntry.md)
 - [ArrayOfHttpNfcLeaseProbeResult](docs/ArrayOfHttpNfcLeaseProbeResult.md)
 - [ArrayOfHttpNfcLeaseSourceFile](docs/ArrayOfHttpNfcLeaseSourceFile.md)
 - [ArrayOfHttpNfcLeaseState](docs/ArrayOfHttpNfcLeaseState.md)
 - [ArrayOfID](docs/ArrayOfID.md)
 - [ArrayOfIDEDiskNotSupported](docs/ArrayOfIDEDiskNotSupported.md)
 - [ArrayOfIORMNotSupportedHostOnDatastore](docs/ArrayOfIORMNotSupportedHostOnDatastore.md)
 - [ArrayOfIScsiBootFailureEvent](docs/ArrayOfIScsiBootFailureEvent.md)
 - [ArrayOfImportHostAddFailure](docs/ArrayOfImportHostAddFailure.md)
 - [ArrayOfImportOperationBulkFault](docs/ArrayOfImportOperationBulkFault.md)
 - [ArrayOfImportOperationBulkFaultFaultOnImport](docs/ArrayOfImportOperationBulkFaultFaultOnImport.md)
 - [ArrayOfImportSpec](docs/ArrayOfImportSpec.md)
 - [ArrayOfInUseFeatureManipulationDisallowed](docs/ArrayOfInUseFeatureManipulationDisallowed.md)
 - [ArrayOfInaccessibleDatastore](docs/ArrayOfInaccessibleDatastore.md)
 - [ArrayOfInaccessibleFTMetadataDatastore](docs/ArrayOfInaccessibleFTMetadataDatastore.md)
 - [ArrayOfInaccessibleVFlashSource](docs/ArrayOfInaccessibleVFlashSource.md)
 - [ArrayOfIncompatibleDefaultDevice](docs/ArrayOfIncompatibleDefaultDevice.md)
 - [ArrayOfIncompatibleHostForFtSecondary](docs/ArrayOfIncompatibleHostForFtSecondary.md)
 - [ArrayOfIncompatibleHostForVmReplication](docs/ArrayOfIncompatibleHostForVmReplication.md)
 - [ArrayOfIncompatibleSetting](docs/ArrayOfIncompatibleSetting.md)
 - [ArrayOfIncorrectFileType](docs/ArrayOfIncorrectFileType.md)
 - [ArrayOfIncorrectHostInformation](docs/ArrayOfIncorrectHostInformation.md)
 - [ArrayOfIncorrectHostInformationEvent](docs/ArrayOfIncorrectHostInformationEvent.md)
 - [ArrayOfIndependentDiskVMotionNotSupported](docs/ArrayOfIndependentDiskVMotionNotSupported.md)
 - [ArrayOfInfoUpgradeEvent](docs/ArrayOfInfoUpgradeEvent.md)
 - [ArrayOfInheritablePolicy](docs/ArrayOfInheritablePolicy.md)
 - [ArrayOfInsufficientAgentVmsDeployed](docs/ArrayOfInsufficientAgentVmsDeployed.md)
 - [ArrayOfInsufficientCpuResourcesFault](docs/ArrayOfInsufficientCpuResourcesFault.md)
 - [ArrayOfInsufficientDisks](docs/ArrayOfInsufficientDisks.md)
 - [ArrayOfInsufficientFailoverResourcesEvent](docs/ArrayOfInsufficientFailoverResourcesEvent.md)
 - [ArrayOfInsufficientFailoverResourcesFault](docs/ArrayOfInsufficientFailoverResourcesFault.md)
 - [ArrayOfInsufficientGraphicsResourcesFault](docs/ArrayOfInsufficientGraphicsResourcesFault.md)
 - [ArrayOfInsufficientHostCapacityFault](docs/ArrayOfInsufficientHostCapacityFault.md)
 - [ArrayOfInsufficientHostCpuCapacityFault](docs/ArrayOfInsufficientHostCpuCapacityFault.md)
 - [ArrayOfInsufficientHostMemoryCapacityFault](docs/ArrayOfInsufficientHostMemoryCapacityFault.md)
 - [ArrayOfInsufficientMemoryResourcesFault](docs/ArrayOfInsufficientMemoryResourcesFault.md)
 - [ArrayOfInsufficientNetworkCapacity](docs/ArrayOfInsufficientNetworkCapacity.md)
 - [ArrayOfInsufficientNetworkResourcePoolCapacity](docs/ArrayOfInsufficientNetworkResourcePoolCapacity.md)
 - [ArrayOfInsufficientPerCpuCapacity](docs/ArrayOfInsufficientPerCpuCapacity.md)
 - [ArrayOfInsufficientResourcesFault](docs/ArrayOfInsufficientResourcesFault.md)
 - [ArrayOfInsufficientStandbyCpuResource](docs/ArrayOfInsufficientStandbyCpuResource.md)
 - [ArrayOfInsufficientStandbyMemoryResource](docs/ArrayOfInsufficientStandbyMemoryResource.md)
 - [ArrayOfInsufficientStandbyResource](docs/ArrayOfInsufficientStandbyResource.md)
 - [ArrayOfInsufficientStorageIops](docs/ArrayOfInsufficientStorageIops.md)
 - [ArrayOfInsufficientStorageSpace](docs/ArrayOfInsufficientStorageSpace.md)
 - [ArrayOfInsufficientVFlashResourcesFault](docs/ArrayOfInsufficientVFlashResourcesFault.md)
 - [ArrayOfInt](docs/ArrayOfInt.md)
 - [ArrayOfIntExpression](docs/ArrayOfIntExpression.md)
 - [ArrayOfIntOption](docs/ArrayOfIntOption.md)
 - [ArrayOfIntPolicy](docs/ArrayOfIntPolicy.md)
 - [ArrayOfInvalidAffinitySettingFault](docs/ArrayOfInvalidAffinitySettingFault.md)
 - [ArrayOfInvalidArgument](docs/ArrayOfInvalidArgument.md)
 - [ArrayOfInvalidBmcRole](docs/ArrayOfInvalidBmcRole.md)
 - [ArrayOfInvalidBundle](docs/ArrayOfInvalidBundle.md)
 - [ArrayOfInvalidCAMCertificate](docs/ArrayOfInvalidCAMCertificate.md)
 - [ArrayOfInvalidCAMServer](docs/ArrayOfInvalidCAMServer.md)
 - [ArrayOfInvalidClientCertificate](docs/ArrayOfInvalidClientCertificate.md)
 - [ArrayOfInvalidCollectorVersion](docs/ArrayOfInvalidCollectorVersion.md)
 - [ArrayOfInvalidController](docs/ArrayOfInvalidController.md)
 - [ArrayOfInvalidDasConfigArgument](docs/ArrayOfInvalidDasConfigArgument.md)
 - [ArrayOfInvalidDasRestartPriorityForFtVm](docs/ArrayOfInvalidDasRestartPriorityForFtVm.md)
 - [ArrayOfInvalidDatastore](docs/ArrayOfInvalidDatastore.md)
 - [ArrayOfInvalidDatastorePath](docs/ArrayOfInvalidDatastorePath.md)
 - [ArrayOfInvalidDatastoreState](docs/ArrayOfInvalidDatastoreState.md)
 - [ArrayOfInvalidDeviceBacking](docs/ArrayOfInvalidDeviceBacking.md)
 - [ArrayOfInvalidDeviceOperation](docs/ArrayOfInvalidDeviceOperation.md)
 - [ArrayOfInvalidDeviceSpec](docs/ArrayOfInvalidDeviceSpec.md)
 - [ArrayOfInvalidDiskFormat](docs/ArrayOfInvalidDiskFormat.md)
 - [ArrayOfInvalidDrsBehaviorForFtVm](docs/ArrayOfInvalidDrsBehaviorForFtVm.md)
 - [ArrayOfInvalidEditionEvent](docs/ArrayOfInvalidEditionEvent.md)
 - [ArrayOfInvalidEditionLicense](docs/ArrayOfInvalidEditionLicense.md)
 - [ArrayOfInvalidEvent](docs/ArrayOfInvalidEvent.md)
 - [ArrayOfInvalidFolder](docs/ArrayOfInvalidFolder.md)
 - [ArrayOfInvalidFormat](docs/ArrayOfInvalidFormat.md)
 - [ArrayOfInvalidGuestLogin](docs/ArrayOfInvalidGuestLogin.md)
 - [ArrayOfInvalidHostConnectionState](docs/ArrayOfInvalidHostConnectionState.md)
 - [ArrayOfInvalidHostName](docs/ArrayOfInvalidHostName.md)
 - [ArrayOfInvalidHostState](docs/ArrayOfInvalidHostState.md)
 - [ArrayOfInvalidIndexArgument](docs/ArrayOfInvalidIndexArgument.md)
 - [ArrayOfInvalidIpfixConfig](docs/ArrayOfInvalidIpfixConfig.md)
 - [ArrayOfInvalidIpmiLoginInfo](docs/ArrayOfInvalidIpmiLoginInfo.md)
 - [ArrayOfInvalidIpmiMacAddress](docs/ArrayOfInvalidIpmiMacAddress.md)
 - [ArrayOfInvalidLicense](docs/ArrayOfInvalidLicense.md)
 - [ArrayOfInvalidLocale](docs/ArrayOfInvalidLocale.md)
 - [ArrayOfInvalidLogin](docs/ArrayOfInvalidLogin.md)
 - [ArrayOfInvalidName](docs/ArrayOfInvalidName.md)
 - [ArrayOfInvalidNasCredentials](docs/ArrayOfInvalidNasCredentials.md)
 - [ArrayOfInvalidNetworkInType](docs/ArrayOfInvalidNetworkInType.md)
 - [ArrayOfInvalidNetworkResource](docs/ArrayOfInvalidNetworkResource.md)
 - [ArrayOfInvalidOperationOnSecondaryVm](docs/ArrayOfInvalidOperationOnSecondaryVm.md)
 - [ArrayOfInvalidPowerState](docs/ArrayOfInvalidPowerState.md)
 - [ArrayOfInvalidPrivilege](docs/ArrayOfInvalidPrivilege.md)
 - [ArrayOfInvalidProfileReferenceHost](docs/ArrayOfInvalidProfileReferenceHost.md)
 - [ArrayOfInvalidProperty](docs/ArrayOfInvalidProperty.md)
 - [ArrayOfInvalidPropertyType](docs/ArrayOfInvalidPropertyType.md)
 - [ArrayOfInvalidPropertyValue](docs/ArrayOfInvalidPropertyValue.md)
 - [ArrayOfInvalidRequest](docs/ArrayOfInvalidRequest.md)
 - [ArrayOfInvalidResourcePoolStructureFault](docs/ArrayOfInvalidResourcePoolStructureFault.md)
 - [ArrayOfInvalidSnapshotFormat](docs/ArrayOfInvalidSnapshotFormat.md)
 - [ArrayOfInvalidState](docs/ArrayOfInvalidState.md)
 - [ArrayOfInvalidType](docs/ArrayOfInvalidType.md)
 - [ArrayOfInvalidVmConfig](docs/ArrayOfInvalidVmConfig.md)
 - [ArrayOfInvalidVmState](docs/ArrayOfInvalidVmState.md)
 - [ArrayOfInventoryDescription](docs/ArrayOfInventoryDescription.md)
 - [ArrayOfInventoryHasStandardAloneHosts](docs/ArrayOfInventoryHasStandardAloneHosts.md)
 - [ArrayOfIoFilterHostIssue](docs/ArrayOfIoFilterHostIssue.md)
 - [ArrayOfIoFilterInfo](docs/ArrayOfIoFilterInfo.md)
 - [ArrayOfIoFilterQueryIssueResult](docs/ArrayOfIoFilterQueryIssueResult.md)
 - [ArrayOfIpAddress](docs/ArrayOfIpAddress.md)
 - [ArrayOfIpAddressProfile](docs/ArrayOfIpAddressProfile.md)
 - [ArrayOfIpHostnameGeneratorError](docs/ArrayOfIpHostnameGeneratorError.md)
 - [ArrayOfIpPool](docs/ArrayOfIpPool.md)
 - [ArrayOfIpPoolAssociation](docs/ArrayOfIpPoolAssociation.md)
 - [ArrayOfIpPoolIpPoolConfigInfo](docs/ArrayOfIpPoolIpPoolConfigInfo.md)
 - [ArrayOfIpPoolManagerIpAllocation](docs/ArrayOfIpPoolManagerIpAllocation.md)
 - [ArrayOfIpRange](docs/ArrayOfIpRange.md)
 - [ArrayOfIpRouteProfile](docs/ArrayOfIpRouteProfile.md)
 - [ArrayOfIscsiDependencyEntity](docs/ArrayOfIscsiDependencyEntity.md)
 - [ArrayOfIscsiFault](docs/ArrayOfIscsiFault.md)
 - [ArrayOfIscsiFaultInvalidVnic](docs/ArrayOfIscsiFaultInvalidVnic.md)
 - [ArrayOfIscsiFaultPnicInUse](docs/ArrayOfIscsiFaultPnicInUse.md)
 - [ArrayOfIscsiFaultVnicAlreadyBound](docs/ArrayOfIscsiFaultVnicAlreadyBound.md)
 - [ArrayOfIscsiFaultVnicHasActivePaths](docs/ArrayOfIscsiFaultVnicHasActivePaths.md)
 - [ArrayOfIscsiFaultVnicHasMultipleUplinks](docs/ArrayOfIscsiFaultVnicHasMultipleUplinks.md)
 - [ArrayOfIscsiFaultVnicHasNoUplinks](docs/ArrayOfIscsiFaultVnicHasNoUplinks.md)
 - [ArrayOfIscsiFaultVnicHasWrongUplink](docs/ArrayOfIscsiFaultVnicHasWrongUplink.md)
 - [ArrayOfIscsiFaultVnicInUse](docs/ArrayOfIscsiFaultVnicInUse.md)
 - [ArrayOfIscsiFaultVnicIsLastPath](docs/ArrayOfIscsiFaultVnicIsLastPath.md)
 - [ArrayOfIscsiFaultVnicNotBound](docs/ArrayOfIscsiFaultVnicNotBound.md)
 - [ArrayOfIscsiFaultVnicNotFound](docs/ArrayOfIscsiFaultVnicNotFound.md)
 - [ArrayOfIscsiMigrationDependency](docs/ArrayOfIscsiMigrationDependency.md)
 - [ArrayOfIscsiPortInfo](docs/ArrayOfIscsiPortInfo.md)
 - [ArrayOfIscsiStatus](docs/ArrayOfIscsiStatus.md)
 - [ArrayOfIsoImageFileInfo](docs/ArrayOfIsoImageFileInfo.md)
 - [ArrayOfIsoImageFileQuery](docs/ArrayOfIsoImageFileQuery.md)
 - [ArrayOfKernelModuleInfo](docs/ArrayOfKernelModuleInfo.md)
 - [ArrayOfKernelModuleSectionInfo](docs/ArrayOfKernelModuleSectionInfo.md)
 - [ArrayOfKeyAnyValue](docs/ArrayOfKeyAnyValue.md)
 - [ArrayOfKeyNotFound](docs/ArrayOfKeyNotFound.md)
 - [ArrayOfKeyProviderId](docs/ArrayOfKeyProviderId.md)
 - [ArrayOfKeyValue](docs/ArrayOfKeyValue.md)
 - [ArrayOfKmipClusterInfo](docs/ArrayOfKmipClusterInfo.md)
 - [ArrayOfKmipServerInfo](docs/ArrayOfKmipServerInfo.md)
 - [ArrayOfKmipServerSpec](docs/ArrayOfKmipServerSpec.md)
 - [ArrayOfKmipServerStatus](docs/ArrayOfKmipServerStatus.md)
 - [ArrayOfLargeRDMConversionNotSupported](docs/ArrayOfLargeRDMConversionNotSupported.md)
 - [ArrayOfLargeRDMNotSupportedOnDatastore](docs/ArrayOfLargeRDMNotSupportedOnDatastore.md)
 - [ArrayOfLatencySensitivity](docs/ArrayOfLatencySensitivity.md)
 - [ArrayOfLatencySensitivitySensitivityLevel](docs/ArrayOfLatencySensitivitySensitivityLevel.md)
 - [ArrayOfLegacyNetworkInterfaceInUse](docs/ArrayOfLegacyNetworkInterfaceInUse.md)
 - [ArrayOfLicenseAssignmentFailed](docs/ArrayOfLicenseAssignmentFailed.md)
 - [ArrayOfLicenseAssignmentManagerLicenseAssignment](docs/ArrayOfLicenseAssignmentManagerLicenseAssignment.md)
 - [ArrayOfLicenseAvailabilityInfo](docs/ArrayOfLicenseAvailabilityInfo.md)
 - [ArrayOfLicenseDiagnostics](docs/ArrayOfLicenseDiagnostics.md)
 - [ArrayOfLicenseDowngradeDisallowed](docs/ArrayOfLicenseDowngradeDisallowed.md)
 - [ArrayOfLicenseEntityNotFound](docs/ArrayOfLicenseEntityNotFound.md)
 - [ArrayOfLicenseEvent](docs/ArrayOfLicenseEvent.md)
 - [ArrayOfLicenseExpired](docs/ArrayOfLicenseExpired.md)
 - [ArrayOfLicenseExpiredEvent](docs/ArrayOfLicenseExpiredEvent.md)
 - [ArrayOfLicenseFeatureInfo](docs/ArrayOfLicenseFeatureInfo.md)
 - [ArrayOfLicenseFeatureInfoState](docs/ArrayOfLicenseFeatureInfoState.md)
 - [ArrayOfLicenseKeyEntityMismatch](docs/ArrayOfLicenseKeyEntityMismatch.md)
 - [ArrayOfLicenseManagerEvaluationInfo](docs/ArrayOfLicenseManagerEvaluationInfo.md)
 - [ArrayOfLicenseManagerLicenseInfo](docs/ArrayOfLicenseManagerLicenseInfo.md)
 - [ArrayOfLicenseManagerState](docs/ArrayOfLicenseManagerState.md)
 - [ArrayOfLicenseNonComplianceEvent](docs/ArrayOfLicenseNonComplianceEvent.md)
 - [ArrayOfLicenseReservationInfo](docs/ArrayOfLicenseReservationInfo.md)
 - [ArrayOfLicenseReservationInfoState](docs/ArrayOfLicenseReservationInfoState.md)
 - [ArrayOfLicenseRestricted](docs/ArrayOfLicenseRestricted.md)
 - [ArrayOfLicenseRestrictedEvent](docs/ArrayOfLicenseRestrictedEvent.md)
 - [ArrayOfLicenseServerAvailableEvent](docs/ArrayOfLicenseServerAvailableEvent.md)
 - [ArrayOfLicenseServerSource](docs/ArrayOfLicenseServerSource.md)
 - [ArrayOfLicenseServerUnavailable](docs/ArrayOfLicenseServerUnavailable.md)
 - [ArrayOfLicenseServerUnavailableEvent](docs/ArrayOfLicenseServerUnavailableEvent.md)
 - [ArrayOfLicenseSource](docs/ArrayOfLicenseSource.md)
 - [ArrayOfLicenseSourceUnavailable](docs/ArrayOfLicenseSourceUnavailable.md)
 - [ArrayOfLicenseUsageInfo](docs/ArrayOfLicenseUsageInfo.md)
 - [ArrayOfLimitExceeded](docs/ArrayOfLimitExceeded.md)
 - [ArrayOfLinkDiscoveryProtocolConfig](docs/ArrayOfLinkDiscoveryProtocolConfig.md)
 - [ArrayOfLinkLayerDiscoveryProtocolInfo](docs/ArrayOfLinkLayerDiscoveryProtocolInfo.md)
 - [ArrayOfLinkProfile](docs/ArrayOfLinkProfile.md)
 - [ArrayOfLinuxVolumeNotClean](docs/ArrayOfLinuxVolumeNotClean.md)
 - [ArrayOfLocalDatastoreCreatedEvent](docs/ArrayOfLocalDatastoreCreatedEvent.md)
 - [ArrayOfLocalDatastoreInfo](docs/ArrayOfLocalDatastoreInfo.md)
 - [ArrayOfLocalLicenseSource](docs/ArrayOfLocalLicenseSource.md)
 - [ArrayOfLocalTSMEnabledEvent](docs/ArrayOfLocalTSMEnabledEvent.md)
 - [ArrayOfLocalizableMessage](docs/ArrayOfLocalizableMessage.md)
 - [ArrayOfLocalizationManagerMessageCatalog](docs/ArrayOfLocalizationManagerMessageCatalog.md)
 - [ArrayOfLocalizedMethodFault](docs/ArrayOfLocalizedMethodFault.md)
 - [ArrayOfLockerMisconfiguredEvent](docs/ArrayOfLockerMisconfiguredEvent.md)
 - [ArrayOfLockerReconfiguredEvent](docs/ArrayOfLockerReconfiguredEvent.md)
 - [ArrayOfLogBundlingFailed](docs/ArrayOfLogBundlingFailed.md)
 - [ArrayOfLong](docs/ArrayOfLong.md)
 - [ArrayOfLongOption](docs/ArrayOfLongOption.md)
 - [ArrayOfLongPolicy](docs/ArrayOfLongPolicy.md)
 - [ArrayOfMacAddress](docs/ArrayOfMacAddress.md)
 - [ArrayOfMacRange](docs/ArrayOfMacRange.md)
 - [ArrayOfMaintenanceModeFileMove](docs/ArrayOfMaintenanceModeFileMove.md)
 - [ArrayOfManagedByInfo](docs/ArrayOfManagedByInfo.md)
 - [ArrayOfManagedEntityEventArgument](docs/ArrayOfManagedEntityEventArgument.md)
 - [ArrayOfManagedEntityStatus](docs/ArrayOfManagedEntityStatus.md)
 - [ArrayOfManagedObjectNotFound](docs/ArrayOfManagedObjectNotFound.md)
 - [ArrayOfManagedObjectReference](docs/ArrayOfManagedObjectReference.md)
 - [ArrayOfMemoryFileFormatNotSupportedByDatastore](docs/ArrayOfMemoryFileFormatNotSupportedByDatastore.md)
 - [ArrayOfMemoryHotPlugNotSupported](docs/ArrayOfMemoryHotPlugNotSupported.md)
 - [ArrayOfMemorySizeNotRecommended](docs/ArrayOfMemorySizeNotRecommended.md)
 - [ArrayOfMemorySizeNotSupported](docs/ArrayOfMemorySizeNotSupported.md)
 - [ArrayOfMemorySizeNotSupportedByDatastore](docs/ArrayOfMemorySizeNotSupportedByDatastore.md)
 - [ArrayOfMemorySnapshotOnIndependentDisk](docs/ArrayOfMemorySnapshotOnIndependentDisk.md)
 - [ArrayOfMethodAction](docs/ArrayOfMethodAction.md)
 - [ArrayOfMethodActionArgument](docs/ArrayOfMethodActionArgument.md)
 - [ArrayOfMethodAlreadyDisabledFault](docs/ArrayOfMethodAlreadyDisabledFault.md)
 - [ArrayOfMethodDescription](docs/ArrayOfMethodDescription.md)
 - [ArrayOfMethodDisabled](docs/ArrayOfMethodDisabled.md)
 - [ArrayOfMethodFault](docs/ArrayOfMethodFault.md)
 - [ArrayOfMethodName](docs/ArrayOfMethodName.md)
 - [ArrayOfMethodNotFound](docs/ArrayOfMethodNotFound.md)
 - [ArrayOfMetricAlarmExpression](docs/ArrayOfMetricAlarmExpression.md)
 - [ArrayOfMetricAlarmOperator](docs/ArrayOfMetricAlarmOperator.md)
 - [ArrayOfMigrationDisabled](docs/ArrayOfMigrationDisabled.md)
 - [ArrayOfMigrationErrorEvent](docs/ArrayOfMigrationErrorEvent.md)
 - [ArrayOfMigrationEvent](docs/ArrayOfMigrationEvent.md)
 - [ArrayOfMigrationFault](docs/ArrayOfMigrationFault.md)
 - [ArrayOfMigrationFeatureNotSupported](docs/ArrayOfMigrationFeatureNotSupported.md)
 - [ArrayOfMigrationHostErrorEvent](docs/ArrayOfMigrationHostErrorEvent.md)
 - [ArrayOfMigrationHostWarningEvent](docs/ArrayOfMigrationHostWarningEvent.md)
 - [ArrayOfMigrationNotReady](docs/ArrayOfMigrationNotReady.md)
 - [ArrayOfMigrationResourceErrorEvent](docs/ArrayOfMigrationResourceErrorEvent.md)
 - [ArrayOfMigrationResourceWarningEvent](docs/ArrayOfMigrationResourceWarningEvent.md)
 - [ArrayOfMigrationWarningEvent](docs/ArrayOfMigrationWarningEvent.md)
 - [ArrayOfMismatchedBundle](docs/ArrayOfMismatchedBundle.md)
 - [ArrayOfMismatchedNetworkPolicies](docs/ArrayOfMismatchedNetworkPolicies.md)
 - [ArrayOfMismatchedVMotionNetworkNames](docs/ArrayOfMismatchedVMotionNetworkNames.md)
 - [ArrayOfMissingBmcSupport](docs/ArrayOfMissingBmcSupport.md)
 - [ArrayOfMissingController](docs/ArrayOfMissingController.md)
 - [ArrayOfMissingIpPool](docs/ArrayOfMissingIpPool.md)
 - [ArrayOfMissingLinuxCustResources](docs/ArrayOfMissingLinuxCustResources.md)
 - [ArrayOfMissingNetworkIpConfig](docs/ArrayOfMissingNetworkIpConfig.md)
 - [ArrayOfMissingObject](docs/ArrayOfMissingObject.md)
 - [ArrayOfMissingPowerOffConfiguration](docs/ArrayOfMissingPowerOffConfiguration.md)
 - [ArrayOfMissingPowerOnConfiguration](docs/ArrayOfMissingPowerOnConfiguration.md)
 - [ArrayOfMissingProperty](docs/ArrayOfMissingProperty.md)
 - [ArrayOfMissingWindowsCustResources](docs/ArrayOfMissingWindowsCustResources.md)
 - [ArrayOfMksConnectionLimitReached](docs/ArrayOfMksConnectionLimitReached.md)
 - [ArrayOfModeInfo](docs/ArrayOfModeInfo.md)
 - [ArrayOfMonthlyByDayTaskScheduler](docs/ArrayOfMonthlyByDayTaskScheduler.md)
 - [ArrayOfMonthlyByWeekdayTaskScheduler](docs/ArrayOfMonthlyByWeekdayTaskScheduler.md)
 - [ArrayOfMonthlyTaskScheduler](docs/ArrayOfMonthlyTaskScheduler.md)
 - [ArrayOfMountError](docs/ArrayOfMountError.md)
 - [ArrayOfMtuMatchEvent](docs/ArrayOfMtuMatchEvent.md)
 - [ArrayOfMtuMismatchEvent](docs/ArrayOfMtuMismatchEvent.md)
 - [ArrayOfMultiWriterNotSupported](docs/ArrayOfMultiWriterNotSupported.md)
 - [ArrayOfMultipleCertificatesVerifyFault](docs/ArrayOfMultipleCertificatesVerifyFault.md)
 - [ArrayOfMultipleCertificatesVerifyFaultThumbprintData](docs/ArrayOfMultipleCertificatesVerifyFaultThumbprintData.md)
 - [ArrayOfMultipleSnapshotsNotSupported](docs/ArrayOfMultipleSnapshotsNotSupported.md)
 - [ArrayOfNASDatastoreCreatedEvent](docs/ArrayOfNASDatastoreCreatedEvent.md)
 - [ArrayOfNamePasswordAuthentication](docs/ArrayOfNamePasswordAuthentication.md)
 - [ArrayOfNamespaceFull](docs/ArrayOfNamespaceFull.md)
 - [ArrayOfNamespaceLimitReached](docs/ArrayOfNamespaceLimitReached.md)
 - [ArrayOfNamespaceWriteProtected](docs/ArrayOfNamespaceWriteProtected.md)
 - [ArrayOfNasConfigFault](docs/ArrayOfNasConfigFault.md)
 - [ArrayOfNasConnectionLimitReached](docs/ArrayOfNasConnectionLimitReached.md)
 - [ArrayOfNasDatastoreInfo](docs/ArrayOfNasDatastoreInfo.md)
 - [ArrayOfNasSessionCredentialConflict](docs/ArrayOfNasSessionCredentialConflict.md)
 - [ArrayOfNasStorageProfile](docs/ArrayOfNasStorageProfile.md)
 - [ArrayOfNasVolumeNotMounted](docs/ArrayOfNasVolumeNotMounted.md)
 - [ArrayOfNegatableExpression](docs/ArrayOfNegatableExpression.md)
 - [ArrayOfNetBIOSConfigInfo](docs/ArrayOfNetBIOSConfigInfo.md)
 - [ArrayOfNetDhcpConfigInfo](docs/ArrayOfNetDhcpConfigInfo.md)
 - [ArrayOfNetDhcpConfigInfoDhcpOptions](docs/ArrayOfNetDhcpConfigInfoDhcpOptions.md)
 - [ArrayOfNetDhcpConfigSpec](docs/ArrayOfNetDhcpConfigSpec.md)
 - [ArrayOfNetDhcpConfigSpecDhcpOptionsSpec](docs/ArrayOfNetDhcpConfigSpecDhcpOptionsSpec.md)
 - [ArrayOfNetDnsConfigInfo](docs/ArrayOfNetDnsConfigInfo.md)
 - [ArrayOfNetDnsConfigSpec](docs/ArrayOfNetDnsConfigSpec.md)
 - [ArrayOfNetIpConfigInfo](docs/ArrayOfNetIpConfigInfo.md)
 - [ArrayOfNetIpConfigInfoIpAddress](docs/ArrayOfNetIpConfigInfoIpAddress.md)
 - [ArrayOfNetIpConfigSpec](docs/ArrayOfNetIpConfigSpec.md)
 - [ArrayOfNetIpConfigSpecIpAddressSpec](docs/ArrayOfNetIpConfigSpecIpAddressSpec.md)
 - [ArrayOfNetIpRouteConfigInfo](docs/ArrayOfNetIpRouteConfigInfo.md)
 - [ArrayOfNetIpRouteConfigInfoGateway](docs/ArrayOfNetIpRouteConfigInfoGateway.md)
 - [ArrayOfNetIpRouteConfigInfoIpRoute](docs/ArrayOfNetIpRouteConfigInfoIpRoute.md)
 - [ArrayOfNetIpRouteConfigSpec](docs/ArrayOfNetIpRouteConfigSpec.md)
 - [ArrayOfNetIpRouteConfigSpecGatewaySpec](docs/ArrayOfNetIpRouteConfigSpecGatewaySpec.md)
 - [ArrayOfNetIpRouteConfigSpecIpRouteSpec](docs/ArrayOfNetIpRouteConfigSpecIpRouteSpec.md)
 - [ArrayOfNetIpStackInfo](docs/ArrayOfNetIpStackInfo.md)
 - [ArrayOfNetIpStackInfoDefaultRouter](docs/ArrayOfNetIpStackInfoDefaultRouter.md)
 - [ArrayOfNetIpStackInfoNetToMedia](docs/ArrayOfNetIpStackInfoNetToMedia.md)
 - [ArrayOfNetStackInstanceProfile](docs/ArrayOfNetStackInstanceProfile.md)
 - [ArrayOfNetworkCopyFault](docs/ArrayOfNetworkCopyFault.md)
 - [ArrayOfNetworkDisruptedAndConfigRolledBack](docs/ArrayOfNetworkDisruptedAndConfigRolledBack.md)
 - [ArrayOfNetworkEventArgument](docs/ArrayOfNetworkEventArgument.md)
 - [ArrayOfNetworkInaccessible](docs/ArrayOfNetworkInaccessible.md)
 - [ArrayOfNetworkPolicyProfile](docs/ArrayOfNetworkPolicyProfile.md)
 - [ArrayOfNetworkProfile](docs/ArrayOfNetworkProfile.md)
 - [ArrayOfNetworkProfileDnsConfigProfile](docs/ArrayOfNetworkProfileDnsConfigProfile.md)
 - [ArrayOfNetworkRollbackEvent](docs/ArrayOfNetworkRollbackEvent.md)
 - [ArrayOfNetworkSummary](docs/ArrayOfNetworkSummary.md)
 - [ArrayOfNetworksMayNotBeTheSame](docs/ArrayOfNetworksMayNotBeTheSame.md)
 - [ArrayOfNicSettingMismatch](docs/ArrayOfNicSettingMismatch.md)
 - [ArrayOfNoAccessUserEvent](docs/ArrayOfNoAccessUserEvent.md)
 - [ArrayOfNoActiveHostInCluster](docs/ArrayOfNoActiveHostInCluster.md)
 - [ArrayOfNoAvailableIp](docs/ArrayOfNoAvailableIp.md)
 - [ArrayOfNoClientCertificate](docs/ArrayOfNoClientCertificate.md)
 - [ArrayOfNoCompatibleDatastore](docs/ArrayOfNoCompatibleDatastore.md)
 - [ArrayOfNoCompatibleHardAffinityHost](docs/ArrayOfNoCompatibleHardAffinityHost.md)
 - [ArrayOfNoCompatibleHost](docs/ArrayOfNoCompatibleHost.md)
 - [ArrayOfNoCompatibleHostWithAccessToDevice](docs/ArrayOfNoCompatibleHostWithAccessToDevice.md)
 - [ArrayOfNoCompatibleSoftAffinityHost](docs/ArrayOfNoCompatibleSoftAffinityHost.md)
 - [ArrayOfNoConnectedDatastore](docs/ArrayOfNoConnectedDatastore.md)
 - [ArrayOfNoDatastoresConfiguredEvent](docs/ArrayOfNoDatastoresConfiguredEvent.md)
 - [ArrayOfNoDiskFound](docs/ArrayOfNoDiskFound.md)
 - [ArrayOfNoDiskSpace](docs/ArrayOfNoDiskSpace.md)
 - [ArrayOfNoDisksToCustomize](docs/ArrayOfNoDisksToCustomize.md)
 - [ArrayOfNoGateway](docs/ArrayOfNoGateway.md)
 - [ArrayOfNoGuestHeartbeat](docs/ArrayOfNoGuestHeartbeat.md)
 - [ArrayOfNoHost](docs/ArrayOfNoHost.md)
 - [ArrayOfNoHostSuitableForFtSecondary](docs/ArrayOfNoHostSuitableForFtSecondary.md)
 - [ArrayOfNoLicenseEvent](docs/ArrayOfNoLicenseEvent.md)
 - [ArrayOfNoLicenseServerConfigured](docs/ArrayOfNoLicenseServerConfigured.md)
 - [ArrayOfNoMaintenanceModeDrsRecommendationForVM](docs/ArrayOfNoMaintenanceModeDrsRecommendationForVM.md)
 - [ArrayOfNoPeerHostFound](docs/ArrayOfNoPeerHostFound.md)
 - [ArrayOfNoPermission](docs/ArrayOfNoPermission.md)
 - [ArrayOfNoPermissionEntityPrivileges](docs/ArrayOfNoPermissionEntityPrivileges.md)
 - [ArrayOfNoPermissionOnAD](docs/ArrayOfNoPermissionOnAD.md)
 - [ArrayOfNoPermissionOnHost](docs/ArrayOfNoPermissionOnHost.md)
 - [ArrayOfNoPermissionOnNasVolume](docs/ArrayOfNoPermissionOnNasVolume.md)
 - [ArrayOfNoSubjectName](docs/ArrayOfNoSubjectName.md)
 - [ArrayOfNoVcManagedIpConfigured](docs/ArrayOfNoVcManagedIpConfigured.md)
 - [ArrayOfNoVirtualNic](docs/ArrayOfNoVirtualNic.md)
 - [ArrayOfNoVmInVApp](docs/ArrayOfNoVmInVApp.md)
 - [ArrayOfNodeDeploymentSpec](docs/ArrayOfNodeDeploymentSpec.md)
 - [ArrayOfNodeNetworkSpec](docs/ArrayOfNodeNetworkSpec.md)
 - [ArrayOfNonADUserRequired](docs/ArrayOfNonADUserRequired.md)
 - [ArrayOfNonHomeRDMVMotionNotSupported](docs/ArrayOfNonHomeRDMVMotionNotSupported.md)
 - [ArrayOfNonPersistentDisksNotSupported](docs/ArrayOfNonPersistentDisksNotSupported.md)
 - [ArrayOfNonVIWorkloadDetectedOnDatastoreEvent](docs/ArrayOfNonVIWorkloadDetectedOnDatastoreEvent.md)
 - [ArrayOfNonVmwareOuiMacNotSupportedHost](docs/ArrayOfNonVmwareOuiMacNotSupportedHost.md)
 - [ArrayOfNotADirectory](docs/ArrayOfNotADirectory.md)
 - [ArrayOfNotAFile](docs/ArrayOfNotAFile.md)
 - [ArrayOfNotAuthenticated](docs/ArrayOfNotAuthenticated.md)
 - [ArrayOfNotEnoughCpus](docs/ArrayOfNotEnoughCpus.md)
 - [ArrayOfNotEnoughLicenses](docs/ArrayOfNotEnoughLicenses.md)
 - [ArrayOfNotEnoughLogicalCpus](docs/ArrayOfNotEnoughLogicalCpus.md)
 - [ArrayOfNotEnoughResourcesToStartVmEvent](docs/ArrayOfNotEnoughResourcesToStartVmEvent.md)
 - [ArrayOfNotFound](docs/ArrayOfNotFound.md)
 - [ArrayOfNotImplemented](docs/ArrayOfNotImplemented.md)
 - [ArrayOfNotSupported](docs/ArrayOfNotSupported.md)
 - [ArrayOfNotSupportedDeviceForFT](docs/ArrayOfNotSupportedDeviceForFT.md)
 - [ArrayOfNotSupportedHost](docs/ArrayOfNotSupportedHost.md)
 - [ArrayOfNotSupportedHostForChecksum](docs/ArrayOfNotSupportedHostForChecksum.md)
 - [ArrayOfNotSupportedHostForVFlash](docs/ArrayOfNotSupportedHostForVFlash.md)
 - [ArrayOfNotSupportedHostForVmcp](docs/ArrayOfNotSupportedHostForVmcp.md)
 - [ArrayOfNotSupportedHostForVmemFile](docs/ArrayOfNotSupportedHostForVmemFile.md)
 - [ArrayOfNotSupportedHostForVsan](docs/ArrayOfNotSupportedHostForVsan.md)
 - [ArrayOfNotSupportedHostInCluster](docs/ArrayOfNotSupportedHostInCluster.md)
 - [ArrayOfNotSupportedHostInDvs](docs/ArrayOfNotSupportedHostInDvs.md)
 - [ArrayOfNotSupportedHostInHACluster](docs/ArrayOfNotSupportedHostInHACluster.md)
 - [ArrayOfNotUserConfigurableProperty](docs/ArrayOfNotUserConfigurableProperty.md)
 - [ArrayOfNsxHostVNicProfile](docs/ArrayOfNsxHostVNicProfile.md)
 - [ArrayOfNumPortsProfile](docs/ArrayOfNumPortsProfile.md)
 - [ArrayOfNumVirtualCoresPerSocketNotSupported](docs/ArrayOfNumVirtualCoresPerSocketNotSupported.md)
 - [ArrayOfNumVirtualCpusExceedsLimit](docs/ArrayOfNumVirtualCpusExceedsLimit.md)
 - [ArrayOfNumVirtualCpusIncompatible](docs/ArrayOfNumVirtualCpusIncompatible.md)
 - [ArrayOfNumVirtualCpusNotSupported](docs/ArrayOfNumVirtualCpusNotSupported.md)
 - [ArrayOfNumericRange](docs/ArrayOfNumericRange.md)
 - [ArrayOfNvdimmDimmInfo](docs/ArrayOfNvdimmDimmInfo.md)
 - [ArrayOfNvdimmGuid](docs/ArrayOfNvdimmGuid.md)
 - [ArrayOfNvdimmHealthInfo](docs/ArrayOfNvdimmHealthInfo.md)
 - [ArrayOfNvdimmInterleaveSetInfo](docs/ArrayOfNvdimmInterleaveSetInfo.md)
 - [ArrayOfNvdimmNamespaceCreateSpec](docs/ArrayOfNvdimmNamespaceCreateSpec.md)
 - [ArrayOfNvdimmNamespaceDeleteSpec](docs/ArrayOfNvdimmNamespaceDeleteSpec.md)
 - [ArrayOfNvdimmNamespaceDetails](docs/ArrayOfNvdimmNamespaceDetails.md)
 - [ArrayOfNvdimmNamespaceInfo](docs/ArrayOfNvdimmNamespaceInfo.md)
 - [ArrayOfNvdimmPMemNamespaceCreateSpec](docs/ArrayOfNvdimmPMemNamespaceCreateSpec.md)
 - [ArrayOfNvdimmRegionInfo](docs/ArrayOfNvdimmRegionInfo.md)
 - [ArrayOfNvdimmSummary](docs/ArrayOfNvdimmSummary.md)
 - [ArrayOfNvdimmSystemInfo](docs/ArrayOfNvdimmSystemInfo.md)
 - [ArrayOfObjectContent](docs/ArrayOfObjectContent.md)
 - [ArrayOfObjectSpec](docs/ArrayOfObjectSpec.md)
 - [ArrayOfObjectUpdate](docs/ArrayOfObjectUpdate.md)
 - [ArrayOfObjectUpdateKind](docs/ArrayOfObjectUpdateKind.md)
 - [ArrayOfOnceTaskScheduler](docs/ArrayOfOnceTaskScheduler.md)
 - [ArrayOfOpaqueNetworkCapability](docs/ArrayOfOpaqueNetworkCapability.md)
 - [ArrayOfOpaqueNetworkSummary](docs/ArrayOfOpaqueNetworkSummary.md)
 - [ArrayOfOpaqueNetworkTargetInfo](docs/ArrayOfOpaqueNetworkTargetInfo.md)
 - [ArrayOfOpaqueSwitchProfile](docs/ArrayOfOpaqueSwitchProfile.md)
 - [ArrayOfOperationDisabledByGuest](docs/ArrayOfOperationDisabledByGuest.md)
 - [ArrayOfOperationDisallowedOnHost](docs/ArrayOfOperationDisallowedOnHost.md)
 - [ArrayOfOperationNotSupportedByGuest](docs/ArrayOfOperationNotSupportedByGuest.md)
 - [ArrayOfOptionDef](docs/ArrayOfOptionDef.md)
 - [ArrayOfOptionProfile](docs/ArrayOfOptionProfile.md)
 - [ArrayOfOptionType](docs/ArrayOfOptionType.md)
 - [ArrayOfOptionValue](docs/ArrayOfOptionValue.md)
 - [ArrayOfOrAlarmExpression](docs/ArrayOfOrAlarmExpression.md)
 - [ArrayOfOutOfBounds](docs/ArrayOfOutOfBounds.md)
 - [ArrayOfOutOfSyncDvsHost](docs/ArrayOfOutOfSyncDvsHost.md)
 - [ArrayOfOvfAttribute](docs/ArrayOfOvfAttribute.md)
 - [ArrayOfOvfConnectedDevice](docs/ArrayOfOvfConnectedDevice.md)
 - [ArrayOfOvfConnectedDeviceFloppy](docs/ArrayOfOvfConnectedDeviceFloppy.md)
 - [ArrayOfOvfConnectedDeviceIso](docs/ArrayOfOvfConnectedDeviceIso.md)
 - [ArrayOfOvfConstraint](docs/ArrayOfOvfConstraint.md)
 - [ArrayOfOvfConsumerCallbackFault](docs/ArrayOfOvfConsumerCallbackFault.md)
 - [ArrayOfOvfConsumerCommunicationError](docs/ArrayOfOvfConsumerCommunicationError.md)
 - [ArrayOfOvfConsumerFault](docs/ArrayOfOvfConsumerFault.md)
 - [ArrayOfOvfConsumerInvalidSection](docs/ArrayOfOvfConsumerInvalidSection.md)
 - [ArrayOfOvfConsumerOstNode](docs/ArrayOfOvfConsumerOstNode.md)
 - [ArrayOfOvfConsumerOvfSection](docs/ArrayOfOvfConsumerOvfSection.md)
 - [ArrayOfOvfConsumerPowerOnFault](docs/ArrayOfOvfConsumerPowerOnFault.md)
 - [ArrayOfOvfConsumerUndeclaredSection](docs/ArrayOfOvfConsumerUndeclaredSection.md)
 - [ArrayOfOvfConsumerUndefinedPrefix](docs/ArrayOfOvfConsumerUndefinedPrefix.md)
 - [ArrayOfOvfConsumerValidationFault](docs/ArrayOfOvfConsumerValidationFault.md)
 - [ArrayOfOvfCpuCompatibility](docs/ArrayOfOvfCpuCompatibility.md)
 - [ArrayOfOvfCpuCompatibilityCheckNotSupported](docs/ArrayOfOvfCpuCompatibilityCheckNotSupported.md)
 - [ArrayOfOvfCreateDescriptorParams](docs/ArrayOfOvfCreateDescriptorParams.md)
 - [ArrayOfOvfCreateDescriptorResult](docs/ArrayOfOvfCreateDescriptorResult.md)
 - [ArrayOfOvfCreateImportSpecParams](docs/ArrayOfOvfCreateImportSpecParams.md)
 - [ArrayOfOvfCreateImportSpecResult](docs/ArrayOfOvfCreateImportSpecResult.md)
 - [ArrayOfOvfDeploymentOption](docs/ArrayOfOvfDeploymentOption.md)
 - [ArrayOfOvfDiskMappingNotFound](docs/ArrayOfOvfDiskMappingNotFound.md)
 - [ArrayOfOvfDiskOrderConstraint](docs/ArrayOfOvfDiskOrderConstraint.md)
 - [ArrayOfOvfDuplicateElement](docs/ArrayOfOvfDuplicateElement.md)
 - [ArrayOfOvfDuplicatedElementBoundary](docs/ArrayOfOvfDuplicatedElementBoundary.md)
 - [ArrayOfOvfDuplicatedPropertyIdExport](docs/ArrayOfOvfDuplicatedPropertyIdExport.md)
 - [ArrayOfOvfDuplicatedPropertyIdImport](docs/ArrayOfOvfDuplicatedPropertyIdImport.md)
 - [ArrayOfOvfElement](docs/ArrayOfOvfElement.md)
 - [ArrayOfOvfElementInvalidValue](docs/ArrayOfOvfElementInvalidValue.md)
 - [ArrayOfOvfExport](docs/ArrayOfOvfExport.md)
 - [ArrayOfOvfExportFailed](docs/ArrayOfOvfExportFailed.md)
 - [ArrayOfOvfFault](docs/ArrayOfOvfFault.md)
 - [ArrayOfOvfFile](docs/ArrayOfOvfFile.md)
 - [ArrayOfOvfFileItem](docs/ArrayOfOvfFileItem.md)
 - [ArrayOfOvfHardwareCheck](docs/ArrayOfOvfHardwareCheck.md)
 - [ArrayOfOvfHardwareExport](docs/ArrayOfOvfHardwareExport.md)
 - [ArrayOfOvfHostResourceConstraint](docs/ArrayOfOvfHostResourceConstraint.md)
 - [ArrayOfOvfHostValueNotParsed](docs/ArrayOfOvfHostValueNotParsed.md)
 - [ArrayOfOvfImport](docs/ArrayOfOvfImport.md)
 - [ArrayOfOvfImportFailed](docs/ArrayOfOvfImportFailed.md)
 - [ArrayOfOvfInternalError](docs/ArrayOfOvfInternalError.md)
 - [ArrayOfOvfInvalidPackage](docs/ArrayOfOvfInvalidPackage.md)
 - [ArrayOfOvfInvalidValue](docs/ArrayOfOvfInvalidValue.md)
 - [ArrayOfOvfInvalidValueConfiguration](docs/ArrayOfOvfInvalidValueConfiguration.md)
 - [ArrayOfOvfInvalidValueEmpty](docs/ArrayOfOvfInvalidValueEmpty.md)
 - [ArrayOfOvfInvalidValueFormatMalformed](docs/ArrayOfOvfInvalidValueFormatMalformed.md)
 - [ArrayOfOvfInvalidValueReference](docs/ArrayOfOvfInvalidValueReference.md)
 - [ArrayOfOvfInvalidVmName](docs/ArrayOfOvfInvalidVmName.md)
 - [ArrayOfOvfManagerCommonParams](docs/ArrayOfOvfManagerCommonParams.md)
 - [ArrayOfOvfMappedOsId](docs/ArrayOfOvfMappedOsId.md)
 - [ArrayOfOvfMissingAttribute](docs/ArrayOfOvfMissingAttribute.md)
 - [ArrayOfOvfMissingElement](docs/ArrayOfOvfMissingElement.md)
 - [ArrayOfOvfMissingElementNormalBoundary](docs/ArrayOfOvfMissingElementNormalBoundary.md)
 - [ArrayOfOvfMissingHardware](docs/ArrayOfOvfMissingHardware.md)
 - [ArrayOfOvfNetworkInfo](docs/ArrayOfOvfNetworkInfo.md)
 - [ArrayOfOvfNetworkMapping](docs/ArrayOfOvfNetworkMapping.md)
 - [ArrayOfOvfNetworkMappingNotSupported](docs/ArrayOfOvfNetworkMappingNotSupported.md)
 - [ArrayOfOvfNoHostNic](docs/ArrayOfOvfNoHostNic.md)
 - [ArrayOfOvfNoSpaceOnController](docs/ArrayOfOvfNoSpaceOnController.md)
 - [ArrayOfOvfNoSupportedHardwareFamily](docs/ArrayOfOvfNoSupportedHardwareFamily.md)
 - [ArrayOfOvfOptionInfo](docs/ArrayOfOvfOptionInfo.md)
 - [ArrayOfOvfParseDescriptorParams](docs/ArrayOfOvfParseDescriptorParams.md)
 - [ArrayOfOvfParseDescriptorResult](docs/ArrayOfOvfParseDescriptorResult.md)
 - [ArrayOfOvfProperty](docs/ArrayOfOvfProperty.md)
 - [ArrayOfOvfPropertyExport](docs/ArrayOfOvfPropertyExport.md)
 - [ArrayOfOvfPropertyNetwork](docs/ArrayOfOvfPropertyNetwork.md)
 - [ArrayOfOvfPropertyNetworkExport](docs/ArrayOfOvfPropertyNetworkExport.md)
 - [ArrayOfOvfPropertyQualifier](docs/ArrayOfOvfPropertyQualifier.md)
 - [ArrayOfOvfPropertyQualifierDuplicate](docs/ArrayOfOvfPropertyQualifierDuplicate.md)
 - [ArrayOfOvfPropertyQualifierIgnored](docs/ArrayOfOvfPropertyQualifierIgnored.md)
 - [ArrayOfOvfPropertyType](docs/ArrayOfOvfPropertyType.md)
 - [ArrayOfOvfPropertyValue](docs/ArrayOfOvfPropertyValue.md)
 - [ArrayOfOvfResourceMap](docs/ArrayOfOvfResourceMap.md)
 - [ArrayOfOvfSystemFault](docs/ArrayOfOvfSystemFault.md)
 - [ArrayOfOvfToXmlUnsupportedElement](docs/ArrayOfOvfToXmlUnsupportedElement.md)
 - [ArrayOfOvfUnableToExportDisk](docs/ArrayOfOvfUnableToExportDisk.md)
 - [ArrayOfOvfUnexpectedElement](docs/ArrayOfOvfUnexpectedElement.md)
 - [ArrayOfOvfUnknownDevice](docs/ArrayOfOvfUnknownDevice.md)
 - [ArrayOfOvfUnknownDeviceBacking](docs/ArrayOfOvfUnknownDeviceBacking.md)
 - [ArrayOfOvfUnknownEntity](docs/ArrayOfOvfUnknownEntity.md)
 - [ArrayOfOvfUnsupportedAttribute](docs/ArrayOfOvfUnsupportedAttribute.md)
 - [ArrayOfOvfUnsupportedAttributeValue](docs/ArrayOfOvfUnsupportedAttributeValue.md)
 - [ArrayOfOvfUnsupportedDeviceBackingInfo](docs/ArrayOfOvfUnsupportedDeviceBackingInfo.md)
 - [ArrayOfOvfUnsupportedDeviceBackingOption](docs/ArrayOfOvfUnsupportedDeviceBackingOption.md)
 - [ArrayOfOvfUnsupportedDeviceExport](docs/ArrayOfOvfUnsupportedDeviceExport.md)
 - [ArrayOfOvfUnsupportedDiskProvisioning](docs/ArrayOfOvfUnsupportedDiskProvisioning.md)
 - [ArrayOfOvfUnsupportedElement](docs/ArrayOfOvfUnsupportedElement.md)
 - [ArrayOfOvfUnsupportedElementValue](docs/ArrayOfOvfUnsupportedElementValue.md)
 - [ArrayOfOvfUnsupportedPackage](docs/ArrayOfOvfUnsupportedPackage.md)
 - [ArrayOfOvfUnsupportedSection](docs/ArrayOfOvfUnsupportedSection.md)
 - [ArrayOfOvfUnsupportedSubType](docs/ArrayOfOvfUnsupportedSubType.md)
 - [ArrayOfOvfUnsupportedType](docs/ArrayOfOvfUnsupportedType.md)
 - [ArrayOfOvfValidateHostParams](docs/ArrayOfOvfValidateHostParams.md)
 - [ArrayOfOvfValidateHostResult](docs/ArrayOfOvfValidateHostResult.md)
 - [ArrayOfOvfWrongElement](docs/ArrayOfOvfWrongElement.md)
 - [ArrayOfOvfWrongNamespace](docs/ArrayOfOvfWrongNamespace.md)
 - [ArrayOfOvfXmlFormat](docs/ArrayOfOvfXmlFormat.md)
 - [ArrayOfPMemDatastoreInfo](docs/ArrayOfPMemDatastoreInfo.md)
 - [ArrayOfParaVirtualSCSIController](docs/ArrayOfParaVirtualSCSIController.md)
 - [ArrayOfParaVirtualSCSIControllerOption](docs/ArrayOfParaVirtualSCSIControllerOption.md)
 - [ArrayOfPassiveNodeDeploymentSpec](docs/ArrayOfPassiveNodeDeploymentSpec.md)
 - [ArrayOfPassiveNodeNetworkSpec](docs/ArrayOfPassiveNodeNetworkSpec.md)
 - [ArrayOfPasswordExpired](docs/ArrayOfPasswordExpired.md)
 - [ArrayOfPasswordField](docs/ArrayOfPasswordField.md)
 - [ArrayOfPatchAlreadyInstalled](docs/ArrayOfPatchAlreadyInstalled.md)
 - [ArrayOfPatchBinariesNotFound](docs/ArrayOfPatchBinariesNotFound.md)
 - [ArrayOfPatchInstallFailed](docs/ArrayOfPatchInstallFailed.md)
 - [ArrayOfPatchIntegrityError](docs/ArrayOfPatchIntegrityError.md)
 - [ArrayOfPatchMetadataCorrupted](docs/ArrayOfPatchMetadataCorrupted.md)
 - [ArrayOfPatchMetadataInvalid](docs/ArrayOfPatchMetadataInvalid.md)
 - [ArrayOfPatchMetadataNotFound](docs/ArrayOfPatchMetadataNotFound.md)
 - [ArrayOfPatchMissingDependencies](docs/ArrayOfPatchMissingDependencies.md)
 - [ArrayOfPatchNotApplicable](docs/ArrayOfPatchNotApplicable.md)
 - [ArrayOfPatchSuperseded](docs/ArrayOfPatchSuperseded.md)
 - [ArrayOfPerfCompositeMetric](docs/ArrayOfPerfCompositeMetric.md)
 - [ArrayOfPerfCounterInfo](docs/ArrayOfPerfCounterInfo.md)
 - [ArrayOfPerfEntityMetric](docs/ArrayOfPerfEntityMetric.md)
 - [ArrayOfPerfEntityMetricBase](docs/ArrayOfPerfEntityMetricBase.md)
 - [ArrayOfPerfEntityMetricCSV](docs/ArrayOfPerfEntityMetricCSV.md)
 - [ArrayOfPerfInterval](docs/ArrayOfPerfInterval.md)
 - [ArrayOfPerfMetricId](docs/ArrayOfPerfMetricId.md)
 - [ArrayOfPerfMetricIntSeries](docs/ArrayOfPerfMetricIntSeries.md)
 - [ArrayOfPerfMetricSeries](docs/ArrayOfPerfMetricSeries.md)
 - [ArrayOfPerfMetricSeriesCSV](docs/ArrayOfPerfMetricSeriesCSV.md)
 - [ArrayOfPerfProviderSummary](docs/ArrayOfPerfProviderSummary.md)
 - [ArrayOfPerfQuerySpec](docs/ArrayOfPerfQuerySpec.md)
 - [ArrayOfPerfSampleInfo](docs/ArrayOfPerfSampleInfo.md)
 - [ArrayOfPerfStatsType](docs/ArrayOfPerfStatsType.md)
 - [ArrayOfPerfSummaryType](docs/ArrayOfPerfSummaryType.md)
 - [ArrayOfPerformanceDescription](docs/ArrayOfPerformanceDescription.md)
 - [ArrayOfPerformanceManagerCounterLevelMapping](docs/ArrayOfPerformanceManagerCounterLevelMapping.md)
 - [ArrayOfPerformanceStatisticsDescription](docs/ArrayOfPerformanceStatisticsDescription.md)
 - [ArrayOfPermission](docs/ArrayOfPermission.md)
 - [ArrayOfPermissionAddedEvent](docs/ArrayOfPermissionAddedEvent.md)
 - [ArrayOfPermissionEvent](docs/ArrayOfPermissionEvent.md)
 - [ArrayOfPermissionProfile](docs/ArrayOfPermissionProfile.md)
 - [ArrayOfPermissionRemovedEvent](docs/ArrayOfPermissionRemovedEvent.md)
 - [ArrayOfPermissionUpdatedEvent](docs/ArrayOfPermissionUpdatedEvent.md)
 - [ArrayOfPhysCompatRDMNotSupported](docs/ArrayOfPhysCompatRDMNotSupported.md)
 - [ArrayOfPhysicalNic](docs/ArrayOfPhysicalNic.md)
 - [ArrayOfPhysicalNicCdpDeviceCapability](docs/ArrayOfPhysicalNicCdpDeviceCapability.md)
 - [ArrayOfPhysicalNicCdpInfo](docs/ArrayOfPhysicalNicCdpInfo.md)
 - [ArrayOfPhysicalNicConfig](docs/ArrayOfPhysicalNicConfig.md)
 - [ArrayOfPhysicalNicHint](docs/ArrayOfPhysicalNicHint.md)
 - [ArrayOfPhysicalNicHintInfo](docs/ArrayOfPhysicalNicHintInfo.md)
 - [ArrayOfPhysicalNicIpHint](docs/ArrayOfPhysicalNicIpHint.md)
 - [ArrayOfPhysicalNicLinkInfo](docs/ArrayOfPhysicalNicLinkInfo.md)
 - [ArrayOfPhysicalNicNameHint](docs/ArrayOfPhysicalNicNameHint.md)
 - [ArrayOfPhysicalNicProfile](docs/ArrayOfPhysicalNicProfile.md)
 - [ArrayOfPhysicalNicSpec](docs/ArrayOfPhysicalNicSpec.md)
 - [ArrayOfPlacementAction](docs/ArrayOfPlacementAction.md)
 - [ArrayOfPlacementAffinityRule](docs/ArrayOfPlacementAffinityRule.md)
 - [ArrayOfPlacementRankResult](docs/ArrayOfPlacementRankResult.md)
 - [ArrayOfPlacementRankSpec](docs/ArrayOfPlacementRankSpec.md)
 - [ArrayOfPlacementResult](docs/ArrayOfPlacementResult.md)
 - [ArrayOfPlacementSpec](docs/ArrayOfPlacementSpec.md)
 - [ArrayOfPlatformConfigFault](docs/ArrayOfPlatformConfigFault.md)
 - [ArrayOfPnicUplinkProfile](docs/ArrayOfPnicUplinkProfile.md)
 - [ArrayOfPodDiskLocator](docs/ArrayOfPodDiskLocator.md)
 - [ArrayOfPodStorageDrsEntry](docs/ArrayOfPodStorageDrsEntry.md)
 - [ArrayOfPolicyOption](docs/ArrayOfPolicyOption.md)
 - [ArrayOfPortGroupProfile](docs/ArrayOfPortGroupProfile.md)
 - [ArrayOfPosixUserSearchResult](docs/ArrayOfPosixUserSearchResult.md)
 - [ArrayOfPowerOnFtSecondaryFailed](docs/ArrayOfPowerOnFtSecondaryFailed.md)
 - [ArrayOfPowerOnFtSecondaryTimedout](docs/ArrayOfPowerOnFtSecondaryTimedout.md)
 - [ArrayOfPowerSystemCapability](docs/ArrayOfPowerSystemCapability.md)
 - [ArrayOfPowerSystemInfo](docs/ArrayOfPowerSystemInfo.md)
 - [ArrayOfPrivilegeAvailability](docs/ArrayOfPrivilegeAvailability.md)
 - [ArrayOfPrivilegePolicyDef](docs/ArrayOfPrivilegePolicyDef.md)
 - [ArrayOfProductComponentInfo](docs/ArrayOfProductComponentInfo.md)
 - [ArrayOfProfileApplyProfileElement](docs/ArrayOfProfileApplyProfileElement.md)
 - [ArrayOfProfileApplyProfileProperty](docs/ArrayOfProfileApplyProfileProperty.md)
 - [ArrayOfProfileAssociatedEvent](docs/ArrayOfProfileAssociatedEvent.md)
 - [ArrayOfProfileChangedEvent](docs/ArrayOfProfileChangedEvent.md)
 - [ArrayOfProfileCompositeExpression](docs/ArrayOfProfileCompositeExpression.md)
 - [ArrayOfProfileCompositePolicyOptionMetadata](docs/ArrayOfProfileCompositePolicyOptionMetadata.md)
 - [ArrayOfProfileConfigInfo](docs/ArrayOfProfileConfigInfo.md)
 - [ArrayOfProfileCreateSpec](docs/ArrayOfProfileCreateSpec.md)
 - [ArrayOfProfileCreatedEvent](docs/ArrayOfProfileCreatedEvent.md)
 - [ArrayOfProfileDeferredPolicyOptionParameter](docs/ArrayOfProfileDeferredPolicyOptionParameter.md)
 - [ArrayOfProfileDescription](docs/ArrayOfProfileDescription.md)
 - [ArrayOfProfileDescriptionSection](docs/ArrayOfProfileDescriptionSection.md)
 - [ArrayOfProfileDissociatedEvent](docs/ArrayOfProfileDissociatedEvent.md)
 - [ArrayOfProfileEvent](docs/ArrayOfProfileEvent.md)
 - [ArrayOfProfileEventArgument](docs/ArrayOfProfileEventArgument.md)
 - [ArrayOfProfileExecuteError](docs/ArrayOfProfileExecuteError.md)
 - [ArrayOfProfileExecuteResult](docs/ArrayOfProfileExecuteResult.md)
 - [ArrayOfProfileExpression](docs/ArrayOfProfileExpression.md)
 - [ArrayOfProfileExpressionMetadata](docs/ArrayOfProfileExpressionMetadata.md)
 - [ArrayOfProfileMetadata](docs/ArrayOfProfileMetadata.md)
 - [ArrayOfProfileMetadataProfileOperationMessage](docs/ArrayOfProfileMetadataProfileOperationMessage.md)
 - [ArrayOfProfileMetadataProfileSortSpec](docs/ArrayOfProfileMetadataProfileSortSpec.md)
 - [ArrayOfProfileNumericComparator](docs/ArrayOfProfileNumericComparator.md)
 - [ArrayOfProfileParameterMetadata](docs/ArrayOfProfileParameterMetadata.md)
 - [ArrayOfProfileParameterMetadataParameterRelationMetadata](docs/ArrayOfProfileParameterMetadataParameterRelationMetadata.md)
 - [ArrayOfProfilePolicy](docs/ArrayOfProfilePolicy.md)
 - [ArrayOfProfilePolicyMetadata](docs/ArrayOfProfilePolicyMetadata.md)
 - [ArrayOfProfilePolicyOptionMetadata](docs/ArrayOfProfilePolicyOptionMetadata.md)
 - [ArrayOfProfileProfileStructure](docs/ArrayOfProfileProfileStructure.md)
 - [ArrayOfProfileProfileStructureProperty](docs/ArrayOfProfileProfileStructureProperty.md)
 - [ArrayOfProfilePropertyPath](docs/ArrayOfProfilePropertyPath.md)
 - [ArrayOfProfileReferenceHostChangedEvent](docs/ArrayOfProfileReferenceHostChangedEvent.md)
 - [ArrayOfProfileRemovedEvent](docs/ArrayOfProfileRemovedEvent.md)
 - [ArrayOfProfileSerializedCreateSpec](docs/ArrayOfProfileSerializedCreateSpec.md)
 - [ArrayOfProfileSimpleExpression](docs/ArrayOfProfileSimpleExpression.md)
 - [ArrayOfProfileUpdateFailed](docs/ArrayOfProfileUpdateFailed.md)
 - [ArrayOfProfileUpdateFailedUpdateFailure](docs/ArrayOfProfileUpdateFailedUpdateFailure.md)
 - [ArrayOfPropPath](docs/ArrayOfPropPath.md)
 - [ArrayOfPropertyChange](docs/ArrayOfPropertyChange.md)
 - [ArrayOfPropertyChangeOp](docs/ArrayOfPropertyChangeOp.md)
 - [ArrayOfPropertyFilterSpec](docs/ArrayOfPropertyFilterSpec.md)
 - [ArrayOfPropertyFilterUpdate](docs/ArrayOfPropertyFilterUpdate.md)
 - [ArrayOfPropertySpec](docs/ArrayOfPropertySpec.md)
 - [ArrayOfQuarantineModeFault](docs/ArrayOfQuarantineModeFault.md)
 - [ArrayOfQuestionPending](docs/ArrayOfQuestionPending.md)
 - [ArrayOfQuiesceDatastoreIOForHAFailed](docs/ArrayOfQuiesceDatastoreIOForHAFailed.md)
 - [ArrayOfRDMConversionNotSupported](docs/ArrayOfRDMConversionNotSupported.md)
 - [ArrayOfRDMNotPreserved](docs/ArrayOfRDMNotPreserved.md)
 - [ArrayOfRDMNotSupported](docs/ArrayOfRDMNotSupported.md)
 - [ArrayOfRDMNotSupportedOnDatastore](docs/ArrayOfRDMNotSupportedOnDatastore.md)
 - [ArrayOfRDMPointsToInaccessibleDisk](docs/ArrayOfRDMPointsToInaccessibleDisk.md)
 - [ArrayOfRawDiskNotSupported](docs/ArrayOfRawDiskNotSupported.md)
 - [ArrayOfReadHostResourcePoolTreeFailed](docs/ArrayOfReadHostResourcePoolTreeFailed.md)
 - [ArrayOfReadOnlyDisksWithLegacyDestination](docs/ArrayOfReadOnlyDisksWithLegacyDestination.md)
 - [ArrayOfRebootRequired](docs/ArrayOfRebootRequired.md)
 - [ArrayOfRecordReplayDisabled](docs/ArrayOfRecordReplayDisabled.md)
 - [ArrayOfRecoveryEvent](docs/ArrayOfRecoveryEvent.md)
 - [ArrayOfRecurrentTaskScheduler](docs/ArrayOfRecurrentTaskScheduler.md)
 - [ArrayOfRelation](docs/ArrayOfRelation.md)
 - [ArrayOfRemoteDeviceNotSupported](docs/ArrayOfRemoteDeviceNotSupported.md)
 - [ArrayOfRemoteTSMEnabledEvent](docs/ArrayOfRemoteTSMEnabledEvent.md)
 - [ArrayOfRemoveFailed](docs/ArrayOfRemoveFailed.md)
 - [ArrayOfReplicationConfigFault](docs/ArrayOfReplicationConfigFault.md)
 - [ArrayOfReplicationConfigSpec](docs/ArrayOfReplicationConfigSpec.md)
 - [ArrayOfReplicationDiskConfigFault](docs/ArrayOfReplicationDiskConfigFault.md)
 - [ArrayOfReplicationFault](docs/ArrayOfReplicationFault.md)
 - [ArrayOfReplicationGroupId](docs/ArrayOfReplicationGroupId.md)
 - [ArrayOfReplicationIncompatibleWithFT](docs/ArrayOfReplicationIncompatibleWithFT.md)
 - [ArrayOfReplicationInfoDiskSettings](docs/ArrayOfReplicationInfoDiskSettings.md)
 - [ArrayOfReplicationInvalidOptions](docs/ArrayOfReplicationInvalidOptions.md)
 - [ArrayOfReplicationNotSupportedOnHost](docs/ArrayOfReplicationNotSupportedOnHost.md)
 - [ArrayOfReplicationSpec](docs/ArrayOfReplicationSpec.md)
 - [ArrayOfReplicationVmConfigFault](docs/ArrayOfReplicationVmConfigFault.md)
 - [ArrayOfReplicationVmFault](docs/ArrayOfReplicationVmFault.md)
 - [ArrayOfReplicationVmInProgressFault](docs/ArrayOfReplicationVmInProgressFault.md)
 - [ArrayOfReplicationVmProgressInfo](docs/ArrayOfReplicationVmProgressInfo.md)
 - [ArrayOfRequestCanceled](docs/ArrayOfRequestCanceled.md)
 - [ArrayOfResourceAllocationInfo](docs/ArrayOfResourceAllocationInfo.md)
 - [ArrayOfResourceAllocationOption](docs/ArrayOfResourceAllocationOption.md)
 - [ArrayOfResourceConfigOption](docs/ArrayOfResourceConfigOption.md)
 - [ArrayOfResourceConfigSpec](docs/ArrayOfResourceConfigSpec.md)
 - [ArrayOfResourceInUse](docs/ArrayOfResourceInUse.md)
 - [ArrayOfResourceNotAvailable](docs/ArrayOfResourceNotAvailable.md)
 - [ArrayOfResourcePoolCreatedEvent](docs/ArrayOfResourcePoolCreatedEvent.md)
 - [ArrayOfResourcePoolDestroyedEvent](docs/ArrayOfResourcePoolDestroyedEvent.md)
 - [ArrayOfResourcePoolEvent](docs/ArrayOfResourcePoolEvent.md)
 - [ArrayOfResourcePoolEventArgument](docs/ArrayOfResourcePoolEventArgument.md)
 - [ArrayOfResourcePoolMovedEvent](docs/ArrayOfResourcePoolMovedEvent.md)
 - [ArrayOfResourcePoolQuickStats](docs/ArrayOfResourcePoolQuickStats.md)
 - [ArrayOfResourcePoolReconfiguredEvent](docs/ArrayOfResourcePoolReconfiguredEvent.md)
 - [ArrayOfResourcePoolResourceUsage](docs/ArrayOfResourcePoolResourceUsage.md)
 - [ArrayOfResourcePoolRuntimeInfo](docs/ArrayOfResourcePoolRuntimeInfo.md)
 - [ArrayOfResourcePoolSummary](docs/ArrayOfResourcePoolSummary.md)
 - [ArrayOfResourceViolatedEvent](docs/ArrayOfResourceViolatedEvent.md)
 - [ArrayOfRestrictedByAdministrator](docs/ArrayOfRestrictedByAdministrator.md)
 - [ArrayOfRestrictedVersion](docs/ArrayOfRestrictedVersion.md)
 - [ArrayOfRetrieveOptions](docs/ArrayOfRetrieveOptions.md)
 - [ArrayOfRetrieveResult](docs/ArrayOfRetrieveResult.md)
 - [ArrayOfRetrieveVStorageObjSpec](docs/ArrayOfRetrieveVStorageObjSpec.md)
 - [ArrayOfRoleAddedEvent](docs/ArrayOfRoleAddedEvent.md)
 - [ArrayOfRoleEvent](docs/ArrayOfRoleEvent.md)
 - [ArrayOfRoleEventArgument](docs/ArrayOfRoleEventArgument.md)
 - [ArrayOfRoleRemovedEvent](docs/ArrayOfRoleRemovedEvent.md)
 - [ArrayOfRoleUpdatedEvent](docs/ArrayOfRoleUpdatedEvent.md)
 - [ArrayOfRollbackEvent](docs/ArrayOfRollbackEvent.md)
 - [ArrayOfRollbackFailure](docs/ArrayOfRollbackFailure.md)
 - [ArrayOfRuleViolation](docs/ArrayOfRuleViolation.md)
 - [ArrayOfRunScriptAction](docs/ArrayOfRunScriptAction.md)
 - [ArrayOfRuntimeFault](docs/ArrayOfRuntimeFault.md)
 - [ArrayOfSAMLTokenAuthentication](docs/ArrayOfSAMLTokenAuthentication.md)
 - [ArrayOfSDDCBase](docs/ArrayOfSDDCBase.md)
 - [ArrayOfSSLDisabledFault](docs/ArrayOfSSLDisabledFault.md)
 - [ArrayOfSSLVerifyFault](docs/ArrayOfSSLVerifyFault.md)
 - [ArrayOfSSPIAuthentication](docs/ArrayOfSSPIAuthentication.md)
 - [ArrayOfSSPIChallenge](docs/ArrayOfSSPIChallenge.md)
 - [ArrayOfScheduledHardwareUpgradeInfo](docs/ArrayOfScheduledHardwareUpgradeInfo.md)
 - [ArrayOfScheduledTaskCompletedEvent](docs/ArrayOfScheduledTaskCompletedEvent.md)
 - [ArrayOfScheduledTaskCreatedEvent](docs/ArrayOfScheduledTaskCreatedEvent.md)
 - [ArrayOfScheduledTaskDescription](docs/ArrayOfScheduledTaskDescription.md)
 - [ArrayOfScheduledTaskDetail](docs/ArrayOfScheduledTaskDetail.md)
 - [ArrayOfScheduledTaskEmailCompletedEvent](docs/ArrayOfScheduledTaskEmailCompletedEvent.md)
 - [ArrayOfScheduledTaskEmailFailedEvent](docs/ArrayOfScheduledTaskEmailFailedEvent.md)
 - [ArrayOfScheduledTaskEvent](docs/ArrayOfScheduledTaskEvent.md)
 - [ArrayOfScheduledTaskEventArgument](docs/ArrayOfScheduledTaskEventArgument.md)
 - [ArrayOfScheduledTaskFailedEvent](docs/ArrayOfScheduledTaskFailedEvent.md)
 - [ArrayOfScheduledTaskInfo](docs/ArrayOfScheduledTaskInfo.md)
 - [ArrayOfScheduledTaskReconfiguredEvent](docs/ArrayOfScheduledTaskReconfiguredEvent.md)
 - [ArrayOfScheduledTaskRemovedEvent](docs/ArrayOfScheduledTaskRemovedEvent.md)
 - [ArrayOfScheduledTaskSpec](docs/ArrayOfScheduledTaskSpec.md)
 - [ArrayOfScheduledTaskStartedEvent](docs/ArrayOfScheduledTaskStartedEvent.md)
 - [ArrayOfScsiLun](docs/ArrayOfScsiLun.md)
 - [ArrayOfScsiLunCapabilities](docs/ArrayOfScsiLunCapabilities.md)
 - [ArrayOfScsiLunDescriptor](docs/ArrayOfScsiLunDescriptor.md)
 - [ArrayOfScsiLunDurableName](docs/ArrayOfScsiLunDurableName.md)
 - [ArrayOfSeSparseVirtualDiskSpec](docs/ArrayOfSeSparseVirtualDiskSpec.md)
 - [ArrayOfSecondaryVmAlreadyDisabled](docs/ArrayOfSecondaryVmAlreadyDisabled.md)
 - [ArrayOfSecondaryVmAlreadyEnabled](docs/ArrayOfSecondaryVmAlreadyEnabled.md)
 - [ArrayOfSecondaryVmAlreadyRegistered](docs/ArrayOfSecondaryVmAlreadyRegistered.md)
 - [ArrayOfSecondaryVmNotRegistered](docs/ArrayOfSecondaryVmNotRegistered.md)
 - [ArrayOfSecurityError](docs/ArrayOfSecurityError.md)
 - [ArrayOfSecurityProfile](docs/ArrayOfSecurityProfile.md)
 - [ArrayOfSelectionSet](docs/ArrayOfSelectionSet.md)
 - [ArrayOfSelectionSpec](docs/ArrayOfSelectionSpec.md)
 - [ArrayOfSendEmailAction](docs/ArrayOfSendEmailAction.md)
 - [ArrayOfSendSNMPAction](docs/ArrayOfSendSNMPAction.md)
 - [ArrayOfServerLicenseExpiredEvent](docs/ArrayOfServerLicenseExpiredEvent.md)
 - [ArrayOfServerStartedSessionEvent](docs/ArrayOfServerStartedSessionEvent.md)
 - [ArrayOfServiceConsolePortGroupProfile](docs/ArrayOfServiceConsolePortGroupProfile.md)
 - [ArrayOfServiceConsoleReservationInfo](docs/ArrayOfServiceConsoleReservationInfo.md)
 - [ArrayOfServiceContent](docs/ArrayOfServiceContent.md)
 - [ArrayOfServiceLocator](docs/ArrayOfServiceLocator.md)
 - [ArrayOfServiceLocatorCredential](docs/ArrayOfServiceLocatorCredential.md)
 - [ArrayOfServiceLocatorNamePassword](docs/ArrayOfServiceLocatorNamePassword.md)
 - [ArrayOfServiceLocatorSAMLCredential](docs/ArrayOfServiceLocatorSAMLCredential.md)
 - [ArrayOfServiceManagerServiceInfo](docs/ArrayOfServiceManagerServiceInfo.md)
 - [ArrayOfServiceProfile](docs/ArrayOfServiceProfile.md)
 - [ArrayOfSessionEvent](docs/ArrayOfSessionEvent.md)
 - [ArrayOfSessionManagerGenericServiceTicket](docs/ArrayOfSessionManagerGenericServiceTicket.md)
 - [ArrayOfSessionManagerHttpServiceRequestSpec](docs/ArrayOfSessionManagerHttpServiceRequestSpec.md)
 - [ArrayOfSessionManagerLocalTicket](docs/ArrayOfSessionManagerLocalTicket.md)
 - [ArrayOfSessionManagerServiceRequestSpec](docs/ArrayOfSessionManagerServiceRequestSpec.md)
 - [ArrayOfSessionManagerVmomiServiceRequestSpec](docs/ArrayOfSessionManagerVmomiServiceRequestSpec.md)
 - [ArrayOfSessionTerminatedEvent](docs/ArrayOfSessionTerminatedEvent.md)
 - [ArrayOfSharedBusControllerNotSupported](docs/ArrayOfSharedBusControllerNotSupported.md)
 - [ArrayOfSharesInfo](docs/ArrayOfSharesInfo.md)
 - [ArrayOfSharesLevel](docs/ArrayOfSharesLevel.md)
 - [ArrayOfSharesOption](docs/ArrayOfSharesOption.md)
 - [ArrayOfShort](docs/ArrayOfShort.md)
 - [ArrayOfShrinkDiskFault](docs/ArrayOfShrinkDiskFault.md)
 - [ArrayOfSimpleCommandEncoding](docs/ArrayOfSimpleCommandEncoding.md)
 - [ArrayOfSingleIp](docs/ArrayOfSingleIp.md)
 - [ArrayOfSingleMac](docs/ArrayOfSingleMac.md)
 - [ArrayOfSiteInfo](docs/ArrayOfSiteInfo.md)
 - [ArrayOfSnapshotCloneNotSupported](docs/ArrayOfSnapshotCloneNotSupported.md)
 - [ArrayOfSnapshotCopyNotSupported](docs/ArrayOfSnapshotCopyNotSupported.md)
 - [ArrayOfSnapshotDisabled](docs/ArrayOfSnapshotDisabled.md)
 - [ArrayOfSnapshotFault](docs/ArrayOfSnapshotFault.md)
 - [ArrayOfSnapshotIncompatibleDeviceInVm](docs/ArrayOfSnapshotIncompatibleDeviceInVm.md)
 - [ArrayOfSnapshotLocked](docs/ArrayOfSnapshotLocked.md)
 - [ArrayOfSnapshotMoveFromNonHomeNotSupported](docs/ArrayOfSnapshotMoveFromNonHomeNotSupported.md)
 - [ArrayOfSnapshotMoveNotSupported](docs/ArrayOfSnapshotMoveNotSupported.md)
 - [ArrayOfSnapshotMoveToNonHomeNotSupported](docs/ArrayOfSnapshotMoveToNonHomeNotSupported.md)
 - [ArrayOfSnapshotNoChange](docs/ArrayOfSnapshotNoChange.md)
 - [ArrayOfSnapshotRevertIssue](docs/ArrayOfSnapshotRevertIssue.md)
 - [ArrayOfSoftRuleVioCorrectionDisallowed](docs/ArrayOfSoftRuleVioCorrectionDisallowed.md)
 - [ArrayOfSoftRuleVioCorrectionImpact](docs/ArrayOfSoftRuleVioCorrectionImpact.md)
 - [ArrayOfSoftwarePackage](docs/ArrayOfSoftwarePackage.md)
 - [ArrayOfSoftwarePackageCapability](docs/ArrayOfSoftwarePackageCapability.md)
 - [ArrayOfSolutionUserRequired](docs/ArrayOfSolutionUserRequired.md)
 - [ArrayOfSourceNodeSpec](docs/ArrayOfSourceNodeSpec.md)
 - [ArrayOfSsdDiskNotAvailable](docs/ArrayOfSsdDiskNotAvailable.md)
 - [ArrayOfStateAlarmExpression](docs/ArrayOfStateAlarmExpression.md)
 - [ArrayOfStateAlarmOperator](docs/ArrayOfStateAlarmOperator.md)
 - [ArrayOfStaticRouteProfile](docs/ArrayOfStaticRouteProfile.md)
 - [ArrayOfStorageDrsAutomationConfig](docs/ArrayOfStorageDrsAutomationConfig.md)
 - [ArrayOfStorageDrsCannotMoveDiskInMultiWriterMode](docs/ArrayOfStorageDrsCannotMoveDiskInMultiWriterMode.md)
 - [ArrayOfStorageDrsCannotMoveFTVm](docs/ArrayOfStorageDrsCannotMoveFTVm.md)
 - [ArrayOfStorageDrsCannotMoveIndependentDisk](docs/ArrayOfStorageDrsCannotMoveIndependentDisk.md)
 - [ArrayOfStorageDrsCannotMoveManuallyPlacedSwapFile](docs/ArrayOfStorageDrsCannotMoveManuallyPlacedSwapFile.md)
 - [ArrayOfStorageDrsCannotMoveManuallyPlacedVm](docs/ArrayOfStorageDrsCannotMoveManuallyPlacedVm.md)
 - [ArrayOfStorageDrsCannotMoveSharedDisk](docs/ArrayOfStorageDrsCannotMoveSharedDisk.md)
 - [ArrayOfStorageDrsCannotMoveTemplate](docs/ArrayOfStorageDrsCannotMoveTemplate.md)
 - [ArrayOfStorageDrsCannotMoveVmInUserFolder](docs/ArrayOfStorageDrsCannotMoveVmInUserFolder.md)
 - [ArrayOfStorageDrsCannotMoveVmWithMountedCDROM](docs/ArrayOfStorageDrsCannotMoveVmWithMountedCDROM.md)
 - [ArrayOfStorageDrsCannotMoveVmWithNoFilesInLayout](docs/ArrayOfStorageDrsCannotMoveVmWithNoFilesInLayout.md)
 - [ArrayOfStorageDrsConfigInfo](docs/ArrayOfStorageDrsConfigInfo.md)
 - [ArrayOfStorageDrsConfigSpec](docs/ArrayOfStorageDrsConfigSpec.md)
 - [ArrayOfStorageDrsDatacentersCannotShareDatastore](docs/ArrayOfStorageDrsDatacentersCannotShareDatastore.md)
 - [ArrayOfStorageDrsDisabledOnVm](docs/ArrayOfStorageDrsDisabledOnVm.md)
 - [ArrayOfStorageDrsHbrDiskNotMovable](docs/ArrayOfStorageDrsHbrDiskNotMovable.md)
 - [ArrayOfStorageDrsHmsMoveInProgress](docs/ArrayOfStorageDrsHmsMoveInProgress.md)
 - [ArrayOfStorageDrsHmsUnreachable](docs/ArrayOfStorageDrsHmsUnreachable.md)
 - [ArrayOfStorageDrsIoLoadBalanceConfig](docs/ArrayOfStorageDrsIoLoadBalanceConfig.md)
 - [ArrayOfStorageDrsIolbDisabledInternally](docs/ArrayOfStorageDrsIolbDisabledInternally.md)
 - [ArrayOfStorageDrsOptionSpec](docs/ArrayOfStorageDrsOptionSpec.md)
 - [ArrayOfStorageDrsPlacementRankVmSpec](docs/ArrayOfStorageDrsPlacementRankVmSpec.md)
 - [ArrayOfStorageDrsPodConfigInfo](docs/ArrayOfStorageDrsPodConfigInfo.md)
 - [ArrayOfStorageDrsPodConfigSpec](docs/ArrayOfStorageDrsPodConfigSpec.md)
 - [ArrayOfStorageDrsPodSelectionSpec](docs/ArrayOfStorageDrsPodSelectionSpec.md)
 - [ArrayOfStorageDrsRelocateDisabled](docs/ArrayOfStorageDrsRelocateDisabled.md)
 - [ArrayOfStorageDrsSpaceLoadBalanceConfig](docs/ArrayOfStorageDrsSpaceLoadBalanceConfig.md)
 - [ArrayOfStorageDrsStaleHmsCollection](docs/ArrayOfStorageDrsStaleHmsCollection.md)
 - [ArrayOfStorageDrsUnableToMoveFiles](docs/ArrayOfStorageDrsUnableToMoveFiles.md)
 - [ArrayOfStorageDrsVmConfigInfo](docs/ArrayOfStorageDrsVmConfigInfo.md)
 - [ArrayOfStorageDrsVmConfigSpec](docs/ArrayOfStorageDrsVmConfigSpec.md)
 - [ArrayOfStorageIOAllocationInfo](docs/ArrayOfStorageIOAllocationInfo.md)
 - [ArrayOfStorageIOAllocationOption](docs/ArrayOfStorageIOAllocationOption.md)
 - [ArrayOfStorageIORMConfigOption](docs/ArrayOfStorageIORMConfigOption.md)
 - [ArrayOfStorageIORMConfigSpec](docs/ArrayOfStorageIORMConfigSpec.md)
 - [ArrayOfStorageIORMInfo](docs/ArrayOfStorageIORMInfo.md)
 - [ArrayOfStorageMigrationAction](docs/ArrayOfStorageMigrationAction.md)
 - [ArrayOfStoragePerformanceSummary](docs/ArrayOfStoragePerformanceSummary.md)
 - [ArrayOfStoragePlacementAction](docs/ArrayOfStoragePlacementAction.md)
 - [ArrayOfStoragePlacementResult](docs/ArrayOfStoragePlacementResult.md)
 - [ArrayOfStoragePlacementSpec](docs/ArrayOfStoragePlacementSpec.md)
 - [ArrayOfStoragePodSummary](docs/ArrayOfStoragePodSummary.md)
 - [ArrayOfStorageProfile](docs/ArrayOfStorageProfile.md)
 - [ArrayOfStorageRequirement](docs/ArrayOfStorageRequirement.md)
 - [ArrayOfStorageResourceManagerStorageProfileStatistics](docs/ArrayOfStorageResourceManagerStorageProfileStatistics.md)
 - [ArrayOfStorageVMotionNotSupported](docs/ArrayOfStorageVMotionNotSupported.md)
 - [ArrayOfStorageVmotionIncompatible](docs/ArrayOfStorageVmotionIncompatible.md)
 - [ArrayOfString](docs/ArrayOfString.md)
 - [ArrayOfStringExpression](docs/ArrayOfStringExpression.md)
 - [ArrayOfStringOption](docs/ArrayOfStringOption.md)
 - [ArrayOfStringPolicy](docs/ArrayOfStringPolicy.md)
 - [ArrayOfStructuredCustomizations](docs/ArrayOfStructuredCustomizations.md)
 - [ArrayOfSuspendedRelocateNotSupported](docs/ArrayOfSuspendedRelocateNotSupported.md)
 - [ArrayOfSwapDatastoreNotWritableOnHost](docs/ArrayOfSwapDatastoreNotWritableOnHost.md)
 - [ArrayOfSwapDatastoreUnset](docs/ArrayOfSwapDatastoreUnset.md)
 - [ArrayOfSwapPlacementOverrideNotSupported](docs/ArrayOfSwapPlacementOverrideNotSupported.md)
 - [ArrayOfSwitchIpUnset](docs/ArrayOfSwitchIpUnset.md)
 - [ArrayOfSwitchNotInUpgradeMode](docs/ArrayOfSwitchNotInUpgradeMode.md)
 - [ArrayOfSystemError](docs/ArrayOfSystemError.md)
 - [ArrayOfSystemEventInfo](docs/ArrayOfSystemEventInfo.md)
 - [ArrayOfTag](docs/ArrayOfTag.md)
 - [ArrayOfTaskDescription](docs/ArrayOfTaskDescription.md)
 - [ArrayOfTaskEvent](docs/ArrayOfTaskEvent.md)
 - [ArrayOfTaskFilterSpec](docs/ArrayOfTaskFilterSpec.md)
 - [ArrayOfTaskFilterSpecByEntity](docs/ArrayOfTaskFilterSpecByEntity.md)
 - [ArrayOfTaskFilterSpecByTime](docs/ArrayOfTaskFilterSpecByTime.md)
 - [ArrayOfTaskFilterSpecByUsername](docs/ArrayOfTaskFilterSpecByUsername.md)
 - [ArrayOfTaskFilterSpecRecursionOption](docs/ArrayOfTaskFilterSpecRecursionOption.md)
 - [ArrayOfTaskFilterSpecTimeOption](docs/ArrayOfTaskFilterSpecTimeOption.md)
 - [ArrayOfTaskInProgress](docs/ArrayOfTaskInProgress.md)
 - [ArrayOfTaskInfo](docs/ArrayOfTaskInfo.md)
 - [ArrayOfTaskInfoState](docs/ArrayOfTaskInfoState.md)
 - [ArrayOfTaskReason](docs/ArrayOfTaskReason.md)
 - [ArrayOfTaskReasonAlarm](docs/ArrayOfTaskReasonAlarm.md)
 - [ArrayOfTaskReasonSchedule](docs/ArrayOfTaskReasonSchedule.md)
 - [ArrayOfTaskReasonSystem](docs/ArrayOfTaskReasonSystem.md)
 - [ArrayOfTaskReasonUser](docs/ArrayOfTaskReasonUser.md)
 - [ArrayOfTaskScheduler](docs/ArrayOfTaskScheduler.md)
 - [ArrayOfTaskTimeoutEvent](docs/ArrayOfTaskTimeoutEvent.md)
 - [ArrayOfTeamingMatchEvent](docs/ArrayOfTeamingMatchEvent.md)
 - [ArrayOfTeamingMisMatchEvent](docs/ArrayOfTeamingMisMatchEvent.md)
 - [ArrayOfTemplateBeingUpgradedEvent](docs/ArrayOfTemplateBeingUpgradedEvent.md)
 - [ArrayOfTemplateConfigFileInfo](docs/ArrayOfTemplateConfigFileInfo.md)
 - [ArrayOfTemplateConfigFileQuery](docs/ArrayOfTemplateConfigFileQuery.md)
 - [ArrayOfTemplateUpgradeEvent](docs/ArrayOfTemplateUpgradeEvent.md)
 - [ArrayOfTemplateUpgradeFailedEvent](docs/ArrayOfTemplateUpgradeFailedEvent.md)
 - [ArrayOfTemplateUpgradedEvent](docs/ArrayOfTemplateUpgradedEvent.md)
 - [ArrayOfThirdPartyLicenseAssignmentFailed](docs/ArrayOfThirdPartyLicenseAssignmentFailed.md)
 - [ArrayOfTicketedSessionAuthentication](docs/ArrayOfTicketedSessionAuthentication.md)
 - [ArrayOfTimedOutHostOperationEvent](docs/ArrayOfTimedOutHostOperationEvent.md)
 - [ArrayOfTimedout](docs/ArrayOfTimedout.md)
 - [ArrayOfTooManyConcurrentNativeClones](docs/ArrayOfTooManyConcurrentNativeClones.md)
 - [ArrayOfTooManyConsecutiveOverrides](docs/ArrayOfTooManyConsecutiveOverrides.md)
 - [ArrayOfTooManyDevices](docs/ArrayOfTooManyDevices.md)
 - [ArrayOfTooManyDisksOnLegacyHost](docs/ArrayOfTooManyDisksOnLegacyHost.md)
 - [ArrayOfTooManyGuestLogons](docs/ArrayOfTooManyGuestLogons.md)
 - [ArrayOfTooManyHosts](docs/ArrayOfTooManyHosts.md)
 - [ArrayOfTooManyNativeCloneLevels](docs/ArrayOfTooManyNativeCloneLevels.md)
 - [ArrayOfTooManyNativeClonesOnFile](docs/ArrayOfTooManyNativeClonesOnFile.md)
 - [ArrayOfTooManySnapshotLevels](docs/ArrayOfTooManySnapshotLevels.md)
 - [ArrayOfToolsAlreadyUpgraded](docs/ArrayOfToolsAlreadyUpgraded.md)
 - [ArrayOfToolsAutoUpgradeNotSupported](docs/ArrayOfToolsAutoUpgradeNotSupported.md)
 - [ArrayOfToolsConfigInfo](docs/ArrayOfToolsConfigInfo.md)
 - [ArrayOfToolsConfigInfoToolsLastInstallInfo](docs/ArrayOfToolsConfigInfoToolsLastInstallInfo.md)
 - [ArrayOfToolsImageCopyFailed](docs/ArrayOfToolsImageCopyFailed.md)
 - [ArrayOfToolsImageNotAvailable](docs/ArrayOfToolsImageNotAvailable.md)
 - [ArrayOfToolsImageSignatureCheckFailed](docs/ArrayOfToolsImageSignatureCheckFailed.md)
 - [ArrayOfToolsInstallationInProgress](docs/ArrayOfToolsInstallationInProgress.md)
 - [ArrayOfToolsUnavailable](docs/ArrayOfToolsUnavailable.md)
 - [ArrayOfToolsUpgradeCancelled](docs/ArrayOfToolsUpgradeCancelled.md)
 - [ArrayOfTraversalSpec](docs/ArrayOfTraversalSpec.md)
 - [ArrayOfTypeDescription](docs/ArrayOfTypeDescription.md)
 - [ArrayOfTypeName](docs/ArrayOfTypeName.md)
 - [ArrayOfURI](docs/ArrayOfURI.md)
 - [ArrayOfUnSupportedDatastoreForVFlash](docs/ArrayOfUnSupportedDatastoreForVFlash.md)
 - [ArrayOfUncommittedUndoableDisk](docs/ArrayOfUncommittedUndoableDisk.md)
 - [ArrayOfUnconfiguredPropertyValue](docs/ArrayOfUnconfiguredPropertyValue.md)
 - [ArrayOfUncustomizableGuest](docs/ArrayOfUncustomizableGuest.md)
 - [ArrayOfUnexpectedCustomizationFault](docs/ArrayOfUnexpectedCustomizationFault.md)
 - [ArrayOfUnexpectedFault](docs/ArrayOfUnexpectedFault.md)
 - [ArrayOfUnlicensedVirtualMachinesEvent](docs/ArrayOfUnlicensedVirtualMachinesEvent.md)
 - [ArrayOfUnlicensedVirtualMachinesFoundEvent](docs/ArrayOfUnlicensedVirtualMachinesFoundEvent.md)
 - [ArrayOfUnrecognizedHost](docs/ArrayOfUnrecognizedHost.md)
 - [ArrayOfUnsharedSwapVMotionNotSupported](docs/ArrayOfUnsharedSwapVMotionNotSupported.md)
 - [ArrayOfUnsupportedDatastore](docs/ArrayOfUnsupportedDatastore.md)
 - [ArrayOfUnsupportedGuest](docs/ArrayOfUnsupportedGuest.md)
 - [ArrayOfUnsupportedVimApiVersion](docs/ArrayOfUnsupportedVimApiVersion.md)
 - [ArrayOfUnsupportedVmxLocation](docs/ArrayOfUnsupportedVmxLocation.md)
 - [ArrayOfUnusedVirtualDiskBlocksNotScrubbed](docs/ArrayOfUnusedVirtualDiskBlocksNotScrubbed.md)
 - [ArrayOfUpdateSet](docs/ArrayOfUpdateSet.md)
 - [ArrayOfUpdateVirtualMachineFilesResult](docs/ArrayOfUpdateVirtualMachineFilesResult.md)
 - [ArrayOfUpdateVirtualMachineFilesResultFailedVmFileInfo](docs/ArrayOfUpdateVirtualMachineFilesResultFailedVmFileInfo.md)
 - [ArrayOfUpdatedAgentBeingRestartedEvent](docs/ArrayOfUpdatedAgentBeingRestartedEvent.md)
 - [ArrayOfUpgradeEvent](docs/ArrayOfUpgradeEvent.md)
 - [ArrayOfUplinkPortMtuNotSupportEvent](docs/ArrayOfUplinkPortMtuNotSupportEvent.md)
 - [ArrayOfUplinkPortMtuSupportEvent](docs/ArrayOfUplinkPortMtuSupportEvent.md)
 - [ArrayOfUplinkPortVlanTrunkedEvent](docs/ArrayOfUplinkPortVlanTrunkedEvent.md)
 - [ArrayOfUplinkPortVlanUntrunkedEvent](docs/ArrayOfUplinkPortVlanUntrunkedEvent.md)
 - [ArrayOfUsbScanCodeSpec](docs/ArrayOfUsbScanCodeSpec.md)
 - [ArrayOfUsbScanCodeSpecKeyEvent](docs/ArrayOfUsbScanCodeSpecKeyEvent.md)
 - [ArrayOfUsbScanCodeSpecModifierType](docs/ArrayOfUsbScanCodeSpecModifierType.md)
 - [ArrayOfUserAssignedToGroup](docs/ArrayOfUserAssignedToGroup.md)
 - [ArrayOfUserGroupProfile](docs/ArrayOfUserGroupProfile.md)
 - [ArrayOfUserInputRequiredParameterMetadata](docs/ArrayOfUserInputRequiredParameterMetadata.md)
 - [ArrayOfUserLoginSessionEvent](docs/ArrayOfUserLoginSessionEvent.md)
 - [ArrayOfUserLogoutSessionEvent](docs/ArrayOfUserLogoutSessionEvent.md)
 - [ArrayOfUserNotFound](docs/ArrayOfUserNotFound.md)
 - [ArrayOfUserPasswordChanged](docs/ArrayOfUserPasswordChanged.md)
 - [ArrayOfUserPrivilegeResult](docs/ArrayOfUserPrivilegeResult.md)
 - [ArrayOfUserProfile](docs/ArrayOfUserProfile.md)
 - [ArrayOfUserSearchResult](docs/ArrayOfUserSearchResult.md)
 - [ArrayOfUserSession](docs/ArrayOfUserSession.md)
 - [ArrayOfUserUnassignedFromGroup](docs/ArrayOfUserUnassignedFromGroup.md)
 - [ArrayOfUserUpgradeEvent](docs/ArrayOfUserUpgradeEvent.md)
 - [ArrayOfVASAStorageArray](docs/ArrayOfVASAStorageArray.md)
 - [ArrayOfVASAStorageArrayDiscoveryFcTransport](docs/ArrayOfVASAStorageArrayDiscoveryFcTransport.md)
 - [ArrayOfVASAStorageArrayDiscoveryIpTransport](docs/ArrayOfVASAStorageArrayDiscoveryIpTransport.md)
 - [ArrayOfVASAStorageArrayDiscoverySvcInfo](docs/ArrayOfVASAStorageArrayDiscoverySvcInfo.md)
 - [ArrayOfVAppCloneSpec](docs/ArrayOfVAppCloneSpec.md)
 - [ArrayOfVAppCloneSpecNetworkMappingPair](docs/ArrayOfVAppCloneSpecNetworkMappingPair.md)
 - [ArrayOfVAppCloneSpecResourceMap](docs/ArrayOfVAppCloneSpecResourceMap.md)
 - [ArrayOfVAppConfigFault](docs/ArrayOfVAppConfigFault.md)
 - [ArrayOfVAppConfigInfo](docs/ArrayOfVAppConfigInfo.md)
 - [ArrayOfVAppConfigSpec](docs/ArrayOfVAppConfigSpec.md)
 - [ArrayOfVAppEntityConfigInfo](docs/ArrayOfVAppEntityConfigInfo.md)
 - [ArrayOfVAppIPAssignmentInfo](docs/ArrayOfVAppIPAssignmentInfo.md)
 - [ArrayOfVAppNotRunning](docs/ArrayOfVAppNotRunning.md)
 - [ArrayOfVAppOperationInProgress](docs/ArrayOfVAppOperationInProgress.md)
 - [ArrayOfVAppOvfSectionInfo](docs/ArrayOfVAppOvfSectionInfo.md)
 - [ArrayOfVAppOvfSectionSpec](docs/ArrayOfVAppOvfSectionSpec.md)
 - [ArrayOfVAppProductInfo](docs/ArrayOfVAppProductInfo.md)
 - [ArrayOfVAppProductSpec](docs/ArrayOfVAppProductSpec.md)
 - [ArrayOfVAppPropertyFault](docs/ArrayOfVAppPropertyFault.md)
 - [ArrayOfVAppPropertyInfo](docs/ArrayOfVAppPropertyInfo.md)
 - [ArrayOfVAppPropertySpec](docs/ArrayOfVAppPropertySpec.md)
 - [ArrayOfVAppTaskInProgress](docs/ArrayOfVAppTaskInProgress.md)
 - [ArrayOfVFlashCacheHotConfigNotSupported](docs/ArrayOfVFlashCacheHotConfigNotSupported.md)
 - [ArrayOfVFlashModuleNotSupported](docs/ArrayOfVFlashModuleNotSupported.md)
 - [ArrayOfVFlashModuleVersionIncompatible](docs/ArrayOfVFlashModuleVersionIncompatible.md)
 - [ArrayOfVMFSDatastoreCreatedEvent](docs/ArrayOfVMFSDatastoreCreatedEvent.md)
 - [ArrayOfVMFSDatastoreExpandedEvent](docs/ArrayOfVMFSDatastoreExpandedEvent.md)
 - [ArrayOfVMFSDatastoreExtendedEvent](docs/ArrayOfVMFSDatastoreExtendedEvent.md)
 - [ArrayOfVMINotSupported](docs/ArrayOfVMINotSupported.md)
 - [ArrayOfVMOnConflictDVPort](docs/ArrayOfVMOnConflictDVPort.md)
 - [ArrayOfVMOnVirtualIntranet](docs/ArrayOfVMOnVirtualIntranet.md)
 - [ArrayOfVMotionAcrossNetworkNotSupported](docs/ArrayOfVMotionAcrossNetworkNotSupported.md)
 - [ArrayOfVMotionInterfaceIssue](docs/ArrayOfVMotionInterfaceIssue.md)
 - [ArrayOfVMotionLicenseExpiredEvent](docs/ArrayOfVMotionLicenseExpiredEvent.md)
 - [ArrayOfVMotionLinkCapacityLow](docs/ArrayOfVMotionLinkCapacityLow.md)
 - [ArrayOfVMotionLinkDown](docs/ArrayOfVMotionLinkDown.md)
 - [ArrayOfVMotionNotConfigured](docs/ArrayOfVMotionNotConfigured.md)
 - [ArrayOfVMotionNotLicensed](docs/ArrayOfVMotionNotLicensed.md)
 - [ArrayOfVMotionNotSupported](docs/ArrayOfVMotionNotSupported.md)
 - [ArrayOfVMotionProtocolIncompatible](docs/ArrayOfVMotionProtocolIncompatible.md)
 - [ArrayOfVMwareDVSConfigInfo](docs/ArrayOfVMwareDVSConfigInfo.md)
 - [ArrayOfVMwareDVSConfigSpec](docs/ArrayOfVMwareDVSConfigSpec.md)
 - [ArrayOfVMwareDVSFeatureCapability](docs/ArrayOfVMwareDVSFeatureCapability.md)
 - [ArrayOfVMwareDVSHealthCheckCapability](docs/ArrayOfVMwareDVSHealthCheckCapability.md)
 - [ArrayOfVMwareDVSHealthCheckConfig](docs/ArrayOfVMwareDVSHealthCheckConfig.md)
 - [ArrayOfVMwareDVSMtuHealthCheckResult](docs/ArrayOfVMwareDVSMtuHealthCheckResult.md)
 - [ArrayOfVMwareDVSPortSetting](docs/ArrayOfVMwareDVSPortSetting.md)
 - [ArrayOfVMwareDVSPortgroupPolicy](docs/ArrayOfVMwareDVSPortgroupPolicy.md)
 - [ArrayOfVMwareDVSPvlanConfigSpec](docs/ArrayOfVMwareDVSPvlanConfigSpec.md)
 - [ArrayOfVMwareDVSPvlanMapEntry](docs/ArrayOfVMwareDVSPvlanMapEntry.md)
 - [ArrayOfVMwareDVSTeamingHealthCheckConfig](docs/ArrayOfVMwareDVSTeamingHealthCheckConfig.md)
 - [ArrayOfVMwareDVSTeamingHealthCheckResult](docs/ArrayOfVMwareDVSTeamingHealthCheckResult.md)
 - [ArrayOfVMwareDVSVlanHealthCheckResult](docs/ArrayOfVMwareDVSVlanHealthCheckResult.md)
 - [ArrayOfVMwareDVSVlanMtuHealthCheckConfig](docs/ArrayOfVMwareDVSVlanMtuHealthCheckConfig.md)
 - [ArrayOfVMwareDVSVspanCapability](docs/ArrayOfVMwareDVSVspanCapability.md)
 - [ArrayOfVMwareDVSVspanConfigSpec](docs/ArrayOfVMwareDVSVspanConfigSpec.md)
 - [ArrayOfVMwareDvsDpuCapability](docs/ArrayOfVMwareDvsDpuCapability.md)
 - [ArrayOfVMwareDvsIpfixCapability](docs/ArrayOfVMwareDvsIpfixCapability.md)
 - [ArrayOfVMwareDvsLacpCapability](docs/ArrayOfVMwareDvsLacpCapability.md)
 - [ArrayOfVMwareDvsLacpGroupConfig](docs/ArrayOfVMwareDvsLacpGroupConfig.md)
 - [ArrayOfVMwareDvsLacpGroupSpec](docs/ArrayOfVMwareDvsLacpGroupSpec.md)
 - [ArrayOfVMwareDvsLagIpfixConfig](docs/ArrayOfVMwareDvsLagIpfixConfig.md)
 - [ArrayOfVMwareDvsLagVlanConfig](docs/ArrayOfVMwareDvsLagVlanConfig.md)
 - [ArrayOfVMwareDvsMtuCapability](docs/ArrayOfVMwareDvsMtuCapability.md)
 - [ArrayOfVMwareIpfixConfig](docs/ArrayOfVMwareIpfixConfig.md)
 - [ArrayOfVMwareUplinkLacpPolicy](docs/ArrayOfVMwareUplinkLacpPolicy.md)
 - [ArrayOfVMwareUplinkPortOrderPolicy](docs/ArrayOfVMwareUplinkPortOrderPolicy.md)
 - [ArrayOfVMwareVspanPort](docs/ArrayOfVMwareVspanPort.md)
 - [ArrayOfVMwareVspanSession](docs/ArrayOfVMwareVspanSession.md)
 - [ArrayOfVStorageObject](docs/ArrayOfVStorageObject.md)
 - [ArrayOfVStorageObjectAssociations](docs/ArrayOfVStorageObjectAssociations.md)
 - [ArrayOfVStorageObjectAssociationsVmDiskAssociations](docs/ArrayOfVStorageObjectAssociationsVmDiskAssociations.md)
 - [ArrayOfVStorageObjectConfigInfo](docs/ArrayOfVStorageObjectConfigInfo.md)
 - [ArrayOfVStorageObjectSnapshotDetails](docs/ArrayOfVStorageObjectSnapshotDetails.md)
 - [ArrayOfVStorageObjectSnapshotInfo](docs/ArrayOfVStorageObjectSnapshotInfo.md)
 - [ArrayOfVStorageObjectSnapshotInfoVStorageObjectSnapshot](docs/ArrayOfVStorageObjectSnapshotInfoVStorageObjectSnapshot.md)
 - [ArrayOfVStorageObjectStateInfo](docs/ArrayOfVStorageObjectStateInfo.md)
 - [ArrayOfVVolHostPE](docs/ArrayOfVVolHostPE.md)
 - [ArrayOfVVolVmConfigFileUpdateResult](docs/ArrayOfVVolVmConfigFileUpdateResult.md)
 - [ArrayOfVVolVmConfigFileUpdateResultFailedVmConfigFileInfo](docs/ArrayOfVVolVmConfigFileUpdateResultFailedVmConfigFileInfo.md)
 - [ArrayOfVasaProviderContainerSpec](docs/ArrayOfVasaProviderContainerSpec.md)
 - [ArrayOfVcAgentUninstallFailedEvent](docs/ArrayOfVcAgentUninstallFailedEvent.md)
 - [ArrayOfVcAgentUninstalledEvent](docs/ArrayOfVcAgentUninstalledEvent.md)
 - [ArrayOfVcAgentUpgradeFailedEvent](docs/ArrayOfVcAgentUpgradeFailedEvent.md)
 - [ArrayOfVcAgentUpgradedEvent](docs/ArrayOfVcAgentUpgradedEvent.md)
 - [ArrayOfVchaClusterConfigInfo](docs/ArrayOfVchaClusterConfigInfo.md)
 - [ArrayOfVchaClusterConfigSpec](docs/ArrayOfVchaClusterConfigSpec.md)
 - [ArrayOfVchaClusterDeploymentSpec](docs/ArrayOfVchaClusterDeploymentSpec.md)
 - [ArrayOfVchaClusterHealth](docs/ArrayOfVchaClusterHealth.md)
 - [ArrayOfVchaClusterNetworkSpec](docs/ArrayOfVchaClusterNetworkSpec.md)
 - [ArrayOfVchaClusterRuntimeInfo](docs/ArrayOfVchaClusterRuntimeInfo.md)
 - [ArrayOfVchaNodeRuntimeInfo](docs/ArrayOfVchaNodeRuntimeInfo.md)
 - [ArrayOfVimAccountPasswordChangedEvent](docs/ArrayOfVimAccountPasswordChangedEvent.md)
 - [ArrayOfVimFault](docs/ArrayOfVimFault.md)
 - [ArrayOfVimVasaProvider](docs/ArrayOfVimVasaProvider.md)
 - [ArrayOfVimVasaProviderInfo](docs/ArrayOfVimVasaProviderInfo.md)
 - [ArrayOfVimVasaProviderStatePerArray](docs/ArrayOfVimVasaProviderStatePerArray.md)
 - [ArrayOfVimVasaProviderVirtualHostConfig](docs/ArrayOfVimVasaProviderVirtualHostConfig.md)
 - [ArrayOfVirtualAHCIController](docs/ArrayOfVirtualAHCIController.md)
 - [ArrayOfVirtualAHCIControllerOption](docs/ArrayOfVirtualAHCIControllerOption.md)
 - [ArrayOfVirtualAppImportSpec](docs/ArrayOfVirtualAppImportSpec.md)
 - [ArrayOfVirtualAppLinkInfo](docs/ArrayOfVirtualAppLinkInfo.md)
 - [ArrayOfVirtualAppSummary](docs/ArrayOfVirtualAppSummary.md)
 - [ArrayOfVirtualAppVAppState](docs/ArrayOfVirtualAppVAppState.md)
 - [ArrayOfVirtualBusLogicController](docs/ArrayOfVirtualBusLogicController.md)
 - [ArrayOfVirtualBusLogicControllerOption](docs/ArrayOfVirtualBusLogicControllerOption.md)
 - [ArrayOfVirtualCdrom](docs/ArrayOfVirtualCdrom.md)
 - [ArrayOfVirtualCdromAtapiBackingInfo](docs/ArrayOfVirtualCdromAtapiBackingInfo.md)
 - [ArrayOfVirtualCdromAtapiBackingOption](docs/ArrayOfVirtualCdromAtapiBackingOption.md)
 - [ArrayOfVirtualCdromIsoBackingInfo](docs/ArrayOfVirtualCdromIsoBackingInfo.md)
 - [ArrayOfVirtualCdromIsoBackingOption](docs/ArrayOfVirtualCdromIsoBackingOption.md)
 - [ArrayOfVirtualCdromOption](docs/ArrayOfVirtualCdromOption.md)
 - [ArrayOfVirtualCdromPassthroughBackingInfo](docs/ArrayOfVirtualCdromPassthroughBackingInfo.md)
 - [ArrayOfVirtualCdromPassthroughBackingOption](docs/ArrayOfVirtualCdromPassthroughBackingOption.md)
 - [ArrayOfVirtualCdromRemoteAtapiBackingInfo](docs/ArrayOfVirtualCdromRemoteAtapiBackingInfo.md)
 - [ArrayOfVirtualCdromRemoteAtapiBackingOption](docs/ArrayOfVirtualCdromRemoteAtapiBackingOption.md)
 - [ArrayOfVirtualCdromRemotePassthroughBackingInfo](docs/ArrayOfVirtualCdromRemotePassthroughBackingInfo.md)
 - [ArrayOfVirtualCdromRemotePassthroughBackingOption](docs/ArrayOfVirtualCdromRemotePassthroughBackingOption.md)
 - [ArrayOfVirtualController](docs/ArrayOfVirtualController.md)
 - [ArrayOfVirtualControllerOption](docs/ArrayOfVirtualControllerOption.md)
 - [ArrayOfVirtualDevice](docs/ArrayOfVirtualDevice.md)
 - [ArrayOfVirtualDeviceBackingInfo](docs/ArrayOfVirtualDeviceBackingInfo.md)
 - [ArrayOfVirtualDeviceBackingOption](docs/ArrayOfVirtualDeviceBackingOption.md)
 - [ArrayOfVirtualDeviceBusSlotInfo](docs/ArrayOfVirtualDeviceBusSlotInfo.md)
 - [ArrayOfVirtualDeviceBusSlotOption](docs/ArrayOfVirtualDeviceBusSlotOption.md)
 - [ArrayOfVirtualDeviceConfigSpec](docs/ArrayOfVirtualDeviceConfigSpec.md)
 - [ArrayOfVirtualDeviceConfigSpecBackingSpec](docs/ArrayOfVirtualDeviceConfigSpecBackingSpec.md)
 - [ArrayOfVirtualDeviceConfigSpecFileOperation](docs/ArrayOfVirtualDeviceConfigSpecFileOperation.md)
 - [ArrayOfVirtualDeviceConfigSpecOperation](docs/ArrayOfVirtualDeviceConfigSpecOperation.md)
 - [ArrayOfVirtualDeviceConnectInfo](docs/ArrayOfVirtualDeviceConnectInfo.md)
 - [ArrayOfVirtualDeviceConnectOption](docs/ArrayOfVirtualDeviceConnectOption.md)
 - [ArrayOfVirtualDeviceDeviceBackingInfo](docs/ArrayOfVirtualDeviceDeviceBackingInfo.md)
 - [ArrayOfVirtualDeviceDeviceBackingOption](docs/ArrayOfVirtualDeviceDeviceBackingOption.md)
 - [ArrayOfVirtualDeviceDeviceGroupInfo](docs/ArrayOfVirtualDeviceDeviceGroupInfo.md)
 - [ArrayOfVirtualDeviceFileBackingInfo](docs/ArrayOfVirtualDeviceFileBackingInfo.md)
 - [ArrayOfVirtualDeviceFileBackingOption](docs/ArrayOfVirtualDeviceFileBackingOption.md)
 - [ArrayOfVirtualDeviceOption](docs/ArrayOfVirtualDeviceOption.md)
 - [ArrayOfVirtualDevicePciBusSlotInfo](docs/ArrayOfVirtualDevicePciBusSlotInfo.md)
 - [ArrayOfVirtualDevicePipeBackingInfo](docs/ArrayOfVirtualDevicePipeBackingInfo.md)
 - [ArrayOfVirtualDevicePipeBackingOption](docs/ArrayOfVirtualDevicePipeBackingOption.md)
 - [ArrayOfVirtualDeviceRemoteDeviceBackingInfo](docs/ArrayOfVirtualDeviceRemoteDeviceBackingInfo.md)
 - [ArrayOfVirtualDeviceRemoteDeviceBackingOption](docs/ArrayOfVirtualDeviceRemoteDeviceBackingOption.md)
 - [ArrayOfVirtualDeviceURIBackingInfo](docs/ArrayOfVirtualDeviceURIBackingInfo.md)
 - [ArrayOfVirtualDeviceURIBackingOption](docs/ArrayOfVirtualDeviceURIBackingOption.md)
 - [ArrayOfVirtualDisk](docs/ArrayOfVirtualDisk.md)
 - [ArrayOfVirtualDiskAntiAffinityRuleSpec](docs/ArrayOfVirtualDiskAntiAffinityRuleSpec.md)
 - [ArrayOfVirtualDiskBlocksNotFullyProvisioned](docs/ArrayOfVirtualDiskBlocksNotFullyProvisioned.md)
 - [ArrayOfVirtualDiskConfigSpec](docs/ArrayOfVirtualDiskConfigSpec.md)
 - [ArrayOfVirtualDiskDeltaDiskFormatsSupported](docs/ArrayOfVirtualDiskDeltaDiskFormatsSupported.md)
 - [ArrayOfVirtualDiskFlatVer1BackingInfo](docs/ArrayOfVirtualDiskFlatVer1BackingInfo.md)
 - [ArrayOfVirtualDiskFlatVer1BackingOption](docs/ArrayOfVirtualDiskFlatVer1BackingOption.md)
 - [ArrayOfVirtualDiskFlatVer2BackingInfo](docs/ArrayOfVirtualDiskFlatVer2BackingInfo.md)
 - [ArrayOfVirtualDiskFlatVer2BackingOption](docs/ArrayOfVirtualDiskFlatVer2BackingOption.md)
 - [ArrayOfVirtualDiskId](docs/ArrayOfVirtualDiskId.md)
 - [ArrayOfVirtualDiskLocalPMemBackingInfo](docs/ArrayOfVirtualDiskLocalPMemBackingInfo.md)
 - [ArrayOfVirtualDiskLocalPMemBackingOption](docs/ArrayOfVirtualDiskLocalPMemBackingOption.md)
 - [ArrayOfVirtualDiskModeNotSupported](docs/ArrayOfVirtualDiskModeNotSupported.md)
 - [ArrayOfVirtualDiskOption](docs/ArrayOfVirtualDiskOption.md)
 - [ArrayOfVirtualDiskOptionVFlashCacheConfigOption](docs/ArrayOfVirtualDiskOptionVFlashCacheConfigOption.md)
 - [ArrayOfVirtualDiskPartitionedRawDiskVer2BackingInfo](docs/ArrayOfVirtualDiskPartitionedRawDiskVer2BackingInfo.md)
 - [ArrayOfVirtualDiskPartitionedRawDiskVer2BackingOption](docs/ArrayOfVirtualDiskPartitionedRawDiskVer2BackingOption.md)
 - [ArrayOfVirtualDiskRawDiskMappingVer1BackingInfo](docs/ArrayOfVirtualDiskRawDiskMappingVer1BackingInfo.md)
 - [ArrayOfVirtualDiskRawDiskMappingVer1BackingOption](docs/ArrayOfVirtualDiskRawDiskMappingVer1BackingOption.md)
 - [ArrayOfVirtualDiskRawDiskVer2BackingInfo](docs/ArrayOfVirtualDiskRawDiskVer2BackingInfo.md)
 - [ArrayOfVirtualDiskRawDiskVer2BackingOption](docs/ArrayOfVirtualDiskRawDiskVer2BackingOption.md)
 - [ArrayOfVirtualDiskRuleSpec](docs/ArrayOfVirtualDiskRuleSpec.md)
 - [ArrayOfVirtualDiskSeSparseBackingInfo](docs/ArrayOfVirtualDiskSeSparseBackingInfo.md)
 - [ArrayOfVirtualDiskSeSparseBackingOption](docs/ArrayOfVirtualDiskSeSparseBackingOption.md)
 - [ArrayOfVirtualDiskSparseVer1BackingInfo](docs/ArrayOfVirtualDiskSparseVer1BackingInfo.md)
 - [ArrayOfVirtualDiskSparseVer1BackingOption](docs/ArrayOfVirtualDiskSparseVer1BackingOption.md)
 - [ArrayOfVirtualDiskSparseVer2BackingInfo](docs/ArrayOfVirtualDiskSparseVer2BackingInfo.md)
 - [ArrayOfVirtualDiskSparseVer2BackingOption](docs/ArrayOfVirtualDiskSparseVer2BackingOption.md)
 - [ArrayOfVirtualDiskSpec](docs/ArrayOfVirtualDiskSpec.md)
 - [ArrayOfVirtualDiskVFlashCacheConfigInfo](docs/ArrayOfVirtualDiskVFlashCacheConfigInfo.md)
 - [ArrayOfVirtualE1000](docs/ArrayOfVirtualE1000.md)
 - [ArrayOfVirtualE1000Option](docs/ArrayOfVirtualE1000Option.md)
 - [ArrayOfVirtualE1000e](docs/ArrayOfVirtualE1000e.md)
 - [ArrayOfVirtualE1000eOption](docs/ArrayOfVirtualE1000eOption.md)
 - [ArrayOfVirtualEnsoniq1371](docs/ArrayOfVirtualEnsoniq1371.md)
 - [ArrayOfVirtualEnsoniq1371Option](docs/ArrayOfVirtualEnsoniq1371Option.md)
 - [ArrayOfVirtualEthernetCard](docs/ArrayOfVirtualEthernetCard.md)
 - [ArrayOfVirtualEthernetCardDVPortBackingOption](docs/ArrayOfVirtualEthernetCardDVPortBackingOption.md)
 - [ArrayOfVirtualEthernetCardDistributedVirtualPortBackingInfo](docs/ArrayOfVirtualEthernetCardDistributedVirtualPortBackingInfo.md)
 - [ArrayOfVirtualEthernetCardLegacyNetworkBackingInfo](docs/ArrayOfVirtualEthernetCardLegacyNetworkBackingInfo.md)
 - [ArrayOfVirtualEthernetCardLegacyNetworkBackingOption](docs/ArrayOfVirtualEthernetCardLegacyNetworkBackingOption.md)
 - [ArrayOfVirtualEthernetCardNetworkBackingInfo](docs/ArrayOfVirtualEthernetCardNetworkBackingInfo.md)
 - [ArrayOfVirtualEthernetCardNetworkBackingOption](docs/ArrayOfVirtualEthernetCardNetworkBackingOption.md)
 - [ArrayOfVirtualEthernetCardNotSupported](docs/ArrayOfVirtualEthernetCardNotSupported.md)
 - [ArrayOfVirtualEthernetCardOpaqueNetworkBackingInfo](docs/ArrayOfVirtualEthernetCardOpaqueNetworkBackingInfo.md)
 - [ArrayOfVirtualEthernetCardOpaqueNetworkBackingOption](docs/ArrayOfVirtualEthernetCardOpaqueNetworkBackingOption.md)
 - [ArrayOfVirtualEthernetCardOption](docs/ArrayOfVirtualEthernetCardOption.md)
 - [ArrayOfVirtualEthernetCardResourceAllocation](docs/ArrayOfVirtualEthernetCardResourceAllocation.md)
 - [ArrayOfVirtualFloppy](docs/ArrayOfVirtualFloppy.md)
 - [ArrayOfVirtualFloppyDeviceBackingInfo](docs/ArrayOfVirtualFloppyDeviceBackingInfo.md)
 - [ArrayOfVirtualFloppyDeviceBackingOption](docs/ArrayOfVirtualFloppyDeviceBackingOption.md)
 - [ArrayOfVirtualFloppyImageBackingInfo](docs/ArrayOfVirtualFloppyImageBackingInfo.md)
 - [ArrayOfVirtualFloppyImageBackingOption](docs/ArrayOfVirtualFloppyImageBackingOption.md)
 - [ArrayOfVirtualFloppyOption](docs/ArrayOfVirtualFloppyOption.md)
 - [ArrayOfVirtualFloppyRemoteDeviceBackingInfo](docs/ArrayOfVirtualFloppyRemoteDeviceBackingInfo.md)
 - [ArrayOfVirtualFloppyRemoteDeviceBackingOption](docs/ArrayOfVirtualFloppyRemoteDeviceBackingOption.md)
 - [ArrayOfVirtualHardware](docs/ArrayOfVirtualHardware.md)
 - [ArrayOfVirtualHardwareCompatibilityIssue](docs/ArrayOfVirtualHardwareCompatibilityIssue.md)
 - [ArrayOfVirtualHardwareOption](docs/ArrayOfVirtualHardwareOption.md)
 - [ArrayOfVirtualHardwareVersionNotSupported](docs/ArrayOfVirtualHardwareVersionNotSupported.md)
 - [ArrayOfVirtualHdAudioCard](docs/ArrayOfVirtualHdAudioCard.md)
 - [ArrayOfVirtualHdAudioCardOption](docs/ArrayOfVirtualHdAudioCardOption.md)
 - [ArrayOfVirtualIDEController](docs/ArrayOfVirtualIDEController.md)
 - [ArrayOfVirtualIDEControllerOption](docs/ArrayOfVirtualIDEControllerOption.md)
 - [ArrayOfVirtualKeyboard](docs/ArrayOfVirtualKeyboard.md)
 - [ArrayOfVirtualKeyboardOption](docs/ArrayOfVirtualKeyboardOption.md)
 - [ArrayOfVirtualLsiLogicController](docs/ArrayOfVirtualLsiLogicController.md)
 - [ArrayOfVirtualLsiLogicControllerOption](docs/ArrayOfVirtualLsiLogicControllerOption.md)
 - [ArrayOfVirtualLsiLogicSASController](docs/ArrayOfVirtualLsiLogicSASController.md)
 - [ArrayOfVirtualLsiLogicSASControllerOption](docs/ArrayOfVirtualLsiLogicSASControllerOption.md)
 - [ArrayOfVirtualMachineAffinityInfo](docs/ArrayOfVirtualMachineAffinityInfo.md)
 - [ArrayOfVirtualMachineBaseIndependentFilterSpec](docs/ArrayOfVirtualMachineBaseIndependentFilterSpec.md)
 - [ArrayOfVirtualMachineBootOptions](docs/ArrayOfVirtualMachineBootOptions.md)
 - [ArrayOfVirtualMachineBootOptionsBootableCdromDevice](docs/ArrayOfVirtualMachineBootOptionsBootableCdromDevice.md)
 - [ArrayOfVirtualMachineBootOptionsBootableDevice](docs/ArrayOfVirtualMachineBootOptionsBootableDevice.md)
 - [ArrayOfVirtualMachineBootOptionsBootableDiskDevice](docs/ArrayOfVirtualMachineBootOptionsBootableDiskDevice.md)
 - [ArrayOfVirtualMachineBootOptionsBootableEthernetDevice](docs/ArrayOfVirtualMachineBootOptionsBootableEthernetDevice.md)
 - [ArrayOfVirtualMachineBootOptionsBootableFloppyDevice](docs/ArrayOfVirtualMachineBootOptionsBootableFloppyDevice.md)
 - [ArrayOfVirtualMachineCapability](docs/ArrayOfVirtualMachineCapability.md)
 - [ArrayOfVirtualMachineCdromInfo](docs/ArrayOfVirtualMachineCdromInfo.md)
 - [ArrayOfVirtualMachineCertThumbprint](docs/ArrayOfVirtualMachineCertThumbprint.md)
 - [ArrayOfVirtualMachineCloneSpec](docs/ArrayOfVirtualMachineCloneSpec.md)
 - [ArrayOfVirtualMachineCloneSpecTpmProvisionPolicy](docs/ArrayOfVirtualMachineCloneSpecTpmProvisionPolicy.md)
 - [ArrayOfVirtualMachineConfigInfo](docs/ArrayOfVirtualMachineConfigInfo.md)
 - [ArrayOfVirtualMachineConfigInfoDatastoreUrlPair](docs/ArrayOfVirtualMachineConfigInfoDatastoreUrlPair.md)
 - [ArrayOfVirtualMachineConfigInfoNpivWwnType](docs/ArrayOfVirtualMachineConfigInfoNpivWwnType.md)
 - [ArrayOfVirtualMachineConfigInfoOverheadInfo](docs/ArrayOfVirtualMachineConfigInfoOverheadInfo.md)
 - [ArrayOfVirtualMachineConfigOption](docs/ArrayOfVirtualMachineConfigOption.md)
 - [ArrayOfVirtualMachineConfigOptionDescriptor](docs/ArrayOfVirtualMachineConfigOptionDescriptor.md)
 - [ArrayOfVirtualMachineConfigSpec](docs/ArrayOfVirtualMachineConfigSpec.md)
 - [ArrayOfVirtualMachineConfigSummary](docs/ArrayOfVirtualMachineConfigSummary.md)
 - [ArrayOfVirtualMachineConnection](docs/ArrayOfVirtualMachineConnection.md)
 - [ArrayOfVirtualMachineConnectionState](docs/ArrayOfVirtualMachineConnectionState.md)
 - [ArrayOfVirtualMachineConsolePreferences](docs/ArrayOfVirtualMachineConsolePreferences.md)
 - [ArrayOfVirtualMachineContentLibraryItemInfo](docs/ArrayOfVirtualMachineContentLibraryItemInfo.md)
 - [ArrayOfVirtualMachineCpuIdInfoSpec](docs/ArrayOfVirtualMachineCpuIdInfoSpec.md)
 - [ArrayOfVirtualMachineDatastoreInfo](docs/ArrayOfVirtualMachineDatastoreInfo.md)
 - [ArrayOfVirtualMachineDatastoreVolumeOption](docs/ArrayOfVirtualMachineDatastoreVolumeOption.md)
 - [ArrayOfVirtualMachineDefaultPowerOpInfo](docs/ArrayOfVirtualMachineDefaultPowerOpInfo.md)
 - [ArrayOfVirtualMachineDefaultProfileSpec](docs/ArrayOfVirtualMachineDefaultProfileSpec.md)
 - [ArrayOfVirtualMachineDefinedProfileSpec](docs/ArrayOfVirtualMachineDefinedProfileSpec.md)
 - [ArrayOfVirtualMachineDeviceRuntimeInfo](docs/ArrayOfVirtualMachineDeviceRuntimeInfo.md)
 - [ArrayOfVirtualMachineDeviceRuntimeInfoDeviceRuntimeState](docs/ArrayOfVirtualMachineDeviceRuntimeInfoDeviceRuntimeState.md)
 - [ArrayOfVirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeState](docs/ArrayOfVirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeState.md)
 - [ArrayOfVirtualMachineDiskDeviceInfo](docs/ArrayOfVirtualMachineDiskDeviceInfo.md)
 - [ArrayOfVirtualMachineDisplayTopology](docs/ArrayOfVirtualMachineDisplayTopology.md)
 - [ArrayOfVirtualMachineDvxClassInfo](docs/ArrayOfVirtualMachineDvxClassInfo.md)
 - [ArrayOfVirtualMachineDynamicPassthroughInfo](docs/ArrayOfVirtualMachineDynamicPassthroughInfo.md)
 - [ArrayOfVirtualMachineEmptyIndependentFilterSpec](docs/ArrayOfVirtualMachineEmptyIndependentFilterSpec.md)
 - [ArrayOfVirtualMachineEmptyProfileSpec](docs/ArrayOfVirtualMachineEmptyProfileSpec.md)
 - [ArrayOfVirtualMachineFaultToleranceState](docs/ArrayOfVirtualMachineFaultToleranceState.md)
 - [ArrayOfVirtualMachineFeatureRequirement](docs/ArrayOfVirtualMachineFeatureRequirement.md)
 - [ArrayOfVirtualMachineFileInfo](docs/ArrayOfVirtualMachineFileInfo.md)
 - [ArrayOfVirtualMachineFileLayout](docs/ArrayOfVirtualMachineFileLayout.md)
 - [ArrayOfVirtualMachineFileLayoutDiskLayout](docs/ArrayOfVirtualMachineFileLayoutDiskLayout.md)
 - [ArrayOfVirtualMachineFileLayoutEx](docs/ArrayOfVirtualMachineFileLayoutEx.md)
 - [ArrayOfVirtualMachineFileLayoutExDiskLayout](docs/ArrayOfVirtualMachineFileLayoutExDiskLayout.md)
 - [ArrayOfVirtualMachineFileLayoutExDiskUnit](docs/ArrayOfVirtualMachineFileLayoutExDiskUnit.md)
 - [ArrayOfVirtualMachineFileLayoutExFileInfo](docs/ArrayOfVirtualMachineFileLayoutExFileInfo.md)
 - [ArrayOfVirtualMachineFileLayoutExSnapshotLayout](docs/ArrayOfVirtualMachineFileLayoutExSnapshotLayout.md)
 - [ArrayOfVirtualMachineFileLayoutSnapshotLayout](docs/ArrayOfVirtualMachineFileLayoutSnapshotLayout.md)
 - [ArrayOfVirtualMachineFlagInfo](docs/ArrayOfVirtualMachineFlagInfo.md)
 - [ArrayOfVirtualMachineFloppyInfo](docs/ArrayOfVirtualMachineFloppyInfo.md)
 - [ArrayOfVirtualMachineForkConfigInfo](docs/ArrayOfVirtualMachineForkConfigInfo.md)
 - [ArrayOfVirtualMachineGuestIntegrityInfo](docs/ArrayOfVirtualMachineGuestIntegrityInfo.md)
 - [ArrayOfVirtualMachineGuestMonitoringModeInfo](docs/ArrayOfVirtualMachineGuestMonitoringModeInfo.md)
 - [ArrayOfVirtualMachineGuestQuiesceSpec](docs/ArrayOfVirtualMachineGuestQuiesceSpec.md)
 - [ArrayOfVirtualMachineGuestSummary](docs/ArrayOfVirtualMachineGuestSummary.md)
 - [ArrayOfVirtualMachineIdeDiskDeviceInfo](docs/ArrayOfVirtualMachineIdeDiskDeviceInfo.md)
 - [ArrayOfVirtualMachineIdeDiskDevicePartitionInfo](docs/ArrayOfVirtualMachineIdeDiskDevicePartitionInfo.md)
 - [ArrayOfVirtualMachineImportSpec](docs/ArrayOfVirtualMachineImportSpec.md)
 - [ArrayOfVirtualMachineIndependentFilterSpec](docs/ArrayOfVirtualMachineIndependentFilterSpec.md)
 - [ArrayOfVirtualMachineInstantCloneSpec](docs/ArrayOfVirtualMachineInstantCloneSpec.md)
 - [ArrayOfVirtualMachineLegacyNetworkSwitchInfo](docs/ArrayOfVirtualMachineLegacyNetworkSwitchInfo.md)
 - [ArrayOfVirtualMachineMemoryReservationInfo](docs/ArrayOfVirtualMachineMemoryReservationInfo.md)
 - [ArrayOfVirtualMachineMemoryReservationSpec](docs/ArrayOfVirtualMachineMemoryReservationSpec.md)
 - [ArrayOfVirtualMachineMessage](docs/ArrayOfVirtualMachineMessage.md)
 - [ArrayOfVirtualMachineMetadataManagerVmMetadata](docs/ArrayOfVirtualMachineMetadataManagerVmMetadata.md)
 - [ArrayOfVirtualMachineMetadataManagerVmMetadataInput](docs/ArrayOfVirtualMachineMetadataManagerVmMetadataInput.md)
 - [ArrayOfVirtualMachineMetadataManagerVmMetadataOp](docs/ArrayOfVirtualMachineMetadataManagerVmMetadataOp.md)
 - [ArrayOfVirtualMachineMetadataManagerVmMetadataOwner](docs/ArrayOfVirtualMachineMetadataManagerVmMetadataOwner.md)
 - [ArrayOfVirtualMachineMetadataManagerVmMetadataResult](docs/ArrayOfVirtualMachineMetadataManagerVmMetadataResult.md)
 - [ArrayOfVirtualMachineMksConnection](docs/ArrayOfVirtualMachineMksConnection.md)
 - [ArrayOfVirtualMachineMksTicket](docs/ArrayOfVirtualMachineMksTicket.md)
 - [ArrayOfVirtualMachineMovePriority](docs/ArrayOfVirtualMachineMovePriority.md)
 - [ArrayOfVirtualMachineNetworkInfo](docs/ArrayOfVirtualMachineNetworkInfo.md)
 - [ArrayOfVirtualMachineNetworkShaperInfo](docs/ArrayOfVirtualMachineNetworkShaperInfo.md)
 - [ArrayOfVirtualMachineParallelInfo](docs/ArrayOfVirtualMachineParallelInfo.md)
 - [ArrayOfVirtualMachinePciPassthroughInfo](docs/ArrayOfVirtualMachinePciPassthroughInfo.md)
 - [ArrayOfVirtualMachinePciSharedGpuPassthroughInfo](docs/ArrayOfVirtualMachinePciSharedGpuPassthroughInfo.md)
 - [ArrayOfVirtualMachinePowerState](docs/ArrayOfVirtualMachinePowerState.md)
 - [ArrayOfVirtualMachinePrecisionClockInfo](docs/ArrayOfVirtualMachinePrecisionClockInfo.md)
 - [ArrayOfVirtualMachineProfileDetails](docs/ArrayOfVirtualMachineProfileDetails.md)
 - [ArrayOfVirtualMachineProfileDetailsDiskProfileDetails](docs/ArrayOfVirtualMachineProfileDetailsDiskProfileDetails.md)
 - [ArrayOfVirtualMachineProfileRawData](docs/ArrayOfVirtualMachineProfileRawData.md)
 - [ArrayOfVirtualMachineProfileSpec](docs/ArrayOfVirtualMachineProfileSpec.md)
 - [ArrayOfVirtualMachinePropertyRelation](docs/ArrayOfVirtualMachinePropertyRelation.md)
 - [ArrayOfVirtualMachineQuestionInfo](docs/ArrayOfVirtualMachineQuestionInfo.md)
 - [ArrayOfVirtualMachineQuickStats](docs/ArrayOfVirtualMachineQuickStats.md)
 - [ArrayOfVirtualMachineQuickStatsMemoryTierStats](docs/ArrayOfVirtualMachineQuickStatsMemoryTierStats.md)
 - [ArrayOfVirtualMachineRecordReplayState](docs/ArrayOfVirtualMachineRecordReplayState.md)
 - [ArrayOfVirtualMachineRelocateSpec](docs/ArrayOfVirtualMachineRelocateSpec.md)
 - [ArrayOfVirtualMachineRelocateSpecDiskLocator](docs/ArrayOfVirtualMachineRelocateSpecDiskLocator.md)
 - [ArrayOfVirtualMachineRelocateSpecDiskLocatorBackingSpec](docs/ArrayOfVirtualMachineRelocateSpecDiskLocatorBackingSpec.md)
 - [ArrayOfVirtualMachineRelocateTransformation](docs/ArrayOfVirtualMachineRelocateTransformation.md)
 - [ArrayOfVirtualMachineRuntimeInfo](docs/ArrayOfVirtualMachineRuntimeInfo.md)
 - [ArrayOfVirtualMachineRuntimeInfoDasProtectionState](docs/ArrayOfVirtualMachineRuntimeInfoDasProtectionState.md)
 - [ArrayOfVirtualMachineScsiDiskDeviceInfo](docs/ArrayOfVirtualMachineScsiDiskDeviceInfo.md)
 - [ArrayOfVirtualMachineScsiPassthroughInfo](docs/ArrayOfVirtualMachineScsiPassthroughInfo.md)
 - [ArrayOfVirtualMachineSerialInfo](docs/ArrayOfVirtualMachineSerialInfo.md)
 - [ArrayOfVirtualMachineSgxInfo](docs/ArrayOfVirtualMachineSgxInfo.md)
 - [ArrayOfVirtualMachineSgxTargetInfo](docs/ArrayOfVirtualMachineSgxTargetInfo.md)
 - [ArrayOfVirtualMachineSnapshotInfo](docs/ArrayOfVirtualMachineSnapshotInfo.md)
 - [ArrayOfVirtualMachineSnapshotTree](docs/ArrayOfVirtualMachineSnapshotTree.md)
 - [ArrayOfVirtualMachineSoundInfo](docs/ArrayOfVirtualMachineSoundInfo.md)
 - [ArrayOfVirtualMachineSriovDevicePoolInfo](docs/ArrayOfVirtualMachineSriovDevicePoolInfo.md)
 - [ArrayOfVirtualMachineSriovInfo](docs/ArrayOfVirtualMachineSriovInfo.md)
 - [ArrayOfVirtualMachineSriovNetworkDevicePoolInfo](docs/ArrayOfVirtualMachineSriovNetworkDevicePoolInfo.md)
 - [ArrayOfVirtualMachineStorageInfo](docs/ArrayOfVirtualMachineStorageInfo.md)
 - [ArrayOfVirtualMachineStorageSummary](docs/ArrayOfVirtualMachineStorageSummary.md)
 - [ArrayOfVirtualMachineSummary](docs/ArrayOfVirtualMachineSummary.md)
 - [ArrayOfVirtualMachineTargetInfo](docs/ArrayOfVirtualMachineTargetInfo.md)
 - [ArrayOfVirtualMachineTicket](docs/ArrayOfVirtualMachineTicket.md)
 - [ArrayOfVirtualMachineToolsStatus](docs/ArrayOfVirtualMachineToolsStatus.md)
 - [ArrayOfVirtualMachineUsageOnDatastore](docs/ArrayOfVirtualMachineUsageOnDatastore.md)
 - [ArrayOfVirtualMachineUsbInfo](docs/ArrayOfVirtualMachineUsbInfo.md)
 - [ArrayOfVirtualMachineVFlashModuleInfo](docs/ArrayOfVirtualMachineVFlashModuleInfo.md)
 - [ArrayOfVirtualMachineVMCIDevice](docs/ArrayOfVirtualMachineVMCIDevice.md)
 - [ArrayOfVirtualMachineVMCIDeviceFilterInfo](docs/ArrayOfVirtualMachineVMCIDeviceFilterInfo.md)
 - [ArrayOfVirtualMachineVMCIDeviceFilterSpec](docs/ArrayOfVirtualMachineVMCIDeviceFilterSpec.md)
 - [ArrayOfVirtualMachineVMCIDeviceOption](docs/ArrayOfVirtualMachineVMCIDeviceOption.md)
 - [ArrayOfVirtualMachineVMCIDeviceOptionFilterSpecOption](docs/ArrayOfVirtualMachineVMCIDeviceOptionFilterSpecOption.md)
 - [ArrayOfVirtualMachineVMIROM](docs/ArrayOfVirtualMachineVMIROM.md)
 - [ArrayOfVirtualMachineVcpuConfig](docs/ArrayOfVirtualMachineVcpuConfig.md)
 - [ArrayOfVirtualMachineVendorDeviceGroupInfo](docs/ArrayOfVirtualMachineVendorDeviceGroupInfo.md)
 - [ArrayOfVirtualMachineVendorDeviceGroupInfoComponentDeviceInfo](docs/ArrayOfVirtualMachineVendorDeviceGroupInfoComponentDeviceInfo.md)
 - [ArrayOfVirtualMachineVgpuDeviceInfo](docs/ArrayOfVirtualMachineVgpuDeviceInfo.md)
 - [ArrayOfVirtualMachineVgpuProfileInfo](docs/ArrayOfVirtualMachineVgpuProfileInfo.md)
 - [ArrayOfVirtualMachineVideoCard](docs/ArrayOfVirtualMachineVideoCard.md)
 - [ArrayOfVirtualMachineVirtualDeviceGroups](docs/ArrayOfVirtualMachineVirtualDeviceGroups.md)
 - [ArrayOfVirtualMachineVirtualDeviceGroupsDeviceGroup](docs/ArrayOfVirtualMachineVirtualDeviceGroupsDeviceGroup.md)
 - [ArrayOfVirtualMachineVirtualDeviceGroupsVendorDeviceGroup](docs/ArrayOfVirtualMachineVirtualDeviceGroupsVendorDeviceGroup.md)
 - [ArrayOfVirtualMachineVirtualDeviceSwap](docs/ArrayOfVirtualMachineVirtualDeviceSwap.md)
 - [ArrayOfVirtualMachineVirtualDeviceSwapDeviceSwapInfo](docs/ArrayOfVirtualMachineVirtualDeviceSwapDeviceSwapInfo.md)
 - [ArrayOfVirtualMachineVirtualNuma](docs/ArrayOfVirtualMachineVirtualNuma.md)
 - [ArrayOfVirtualMachineVirtualNumaInfo](docs/ArrayOfVirtualMachineVirtualNumaInfo.md)
 - [ArrayOfVirtualMachineVirtualPMem](docs/ArrayOfVirtualMachineVirtualPMem.md)
 - [ArrayOfVirtualMachineWindowsQuiesceSpec](docs/ArrayOfVirtualMachineWindowsQuiesceSpec.md)
 - [ArrayOfVirtualMachineWipeResult](docs/ArrayOfVirtualMachineWipeResult.md)
 - [ArrayOfVirtualNVDIMM](docs/ArrayOfVirtualNVDIMM.md)
 - [ArrayOfVirtualNVDIMMBackingInfo](docs/ArrayOfVirtualNVDIMMBackingInfo.md)
 - [ArrayOfVirtualNVDIMMController](docs/ArrayOfVirtualNVDIMMController.md)
 - [ArrayOfVirtualNVDIMMControllerOption](docs/ArrayOfVirtualNVDIMMControllerOption.md)
 - [ArrayOfVirtualNVDIMMOption](docs/ArrayOfVirtualNVDIMMOption.md)
 - [ArrayOfVirtualNVMEController](docs/ArrayOfVirtualNVMEController.md)
 - [ArrayOfVirtualNVMEControllerOption](docs/ArrayOfVirtualNVMEControllerOption.md)
 - [ArrayOfVirtualNicManagerNetConfig](docs/ArrayOfVirtualNicManagerNetConfig.md)
 - [ArrayOfVirtualPCIController](docs/ArrayOfVirtualPCIController.md)
 - [ArrayOfVirtualPCIControllerOption](docs/ArrayOfVirtualPCIControllerOption.md)
 - [ArrayOfVirtualPCIPassthrough](docs/ArrayOfVirtualPCIPassthrough.md)
 - [ArrayOfVirtualPCIPassthroughAllowedDevice](docs/ArrayOfVirtualPCIPassthroughAllowedDevice.md)
 - [ArrayOfVirtualPCIPassthroughDeviceBackingInfo](docs/ArrayOfVirtualPCIPassthroughDeviceBackingInfo.md)
 - [ArrayOfVirtualPCIPassthroughDeviceBackingOption](docs/ArrayOfVirtualPCIPassthroughDeviceBackingOption.md)
 - [ArrayOfVirtualPCIPassthroughDvxBackingInfo](docs/ArrayOfVirtualPCIPassthroughDvxBackingInfo.md)
 - [ArrayOfVirtualPCIPassthroughDvxBackingOption](docs/ArrayOfVirtualPCIPassthroughDvxBackingOption.md)
 - [ArrayOfVirtualPCIPassthroughDynamicBackingInfo](docs/ArrayOfVirtualPCIPassthroughDynamicBackingInfo.md)
 - [ArrayOfVirtualPCIPassthroughDynamicBackingOption](docs/ArrayOfVirtualPCIPassthroughDynamicBackingOption.md)
 - [ArrayOfVirtualPCIPassthroughOption](docs/ArrayOfVirtualPCIPassthroughOption.md)
 - [ArrayOfVirtualPCIPassthroughPluginBackingInfo](docs/ArrayOfVirtualPCIPassthroughPluginBackingInfo.md)
 - [ArrayOfVirtualPCIPassthroughPluginBackingOption](docs/ArrayOfVirtualPCIPassthroughPluginBackingOption.md)
 - [ArrayOfVirtualPCIPassthroughVmiopBackingInfo](docs/ArrayOfVirtualPCIPassthroughVmiopBackingInfo.md)
 - [ArrayOfVirtualPCIPassthroughVmiopBackingOption](docs/ArrayOfVirtualPCIPassthroughVmiopBackingOption.md)
 - [ArrayOfVirtualPCNet32](docs/ArrayOfVirtualPCNet32.md)
 - [ArrayOfVirtualPCNet32Option](docs/ArrayOfVirtualPCNet32Option.md)
 - [ArrayOfVirtualPS2Controller](docs/ArrayOfVirtualPS2Controller.md)
 - [ArrayOfVirtualPS2ControllerOption](docs/ArrayOfVirtualPS2ControllerOption.md)
 - [ArrayOfVirtualParallelPort](docs/ArrayOfVirtualParallelPort.md)
 - [ArrayOfVirtualParallelPortDeviceBackingInfo](docs/ArrayOfVirtualParallelPortDeviceBackingInfo.md)
 - [ArrayOfVirtualParallelPortDeviceBackingOption](docs/ArrayOfVirtualParallelPortDeviceBackingOption.md)
 - [ArrayOfVirtualParallelPortFileBackingInfo](docs/ArrayOfVirtualParallelPortFileBackingInfo.md)
 - [ArrayOfVirtualParallelPortFileBackingOption](docs/ArrayOfVirtualParallelPortFileBackingOption.md)
 - [ArrayOfVirtualParallelPortOption](docs/ArrayOfVirtualParallelPortOption.md)
 - [ArrayOfVirtualPointingDevice](docs/ArrayOfVirtualPointingDevice.md)
 - [ArrayOfVirtualPointingDeviceBackingOption](docs/ArrayOfVirtualPointingDeviceBackingOption.md)
 - [ArrayOfVirtualPointingDeviceDeviceBackingInfo](docs/ArrayOfVirtualPointingDeviceDeviceBackingInfo.md)
 - [ArrayOfVirtualPointingDeviceOption](docs/ArrayOfVirtualPointingDeviceOption.md)
 - [ArrayOfVirtualPrecisionClock](docs/ArrayOfVirtualPrecisionClock.md)
 - [ArrayOfVirtualPrecisionClockOption](docs/ArrayOfVirtualPrecisionClockOption.md)
 - [ArrayOfVirtualPrecisionClockSystemClockBackingInfo](docs/ArrayOfVirtualPrecisionClockSystemClockBackingInfo.md)
 - [ArrayOfVirtualPrecisionClockSystemClockBackingOption](docs/ArrayOfVirtualPrecisionClockSystemClockBackingOption.md)
 - [ArrayOfVirtualSATAController](docs/ArrayOfVirtualSATAController.md)
 - [ArrayOfVirtualSATAControllerOption](docs/ArrayOfVirtualSATAControllerOption.md)
 - [ArrayOfVirtualSCSIController](docs/ArrayOfVirtualSCSIController.md)
 - [ArrayOfVirtualSCSIControllerOption](docs/ArrayOfVirtualSCSIControllerOption.md)
 - [ArrayOfVirtualSCSIPassthrough](docs/ArrayOfVirtualSCSIPassthrough.md)
 - [ArrayOfVirtualSCSIPassthroughDeviceBackingInfo](docs/ArrayOfVirtualSCSIPassthroughDeviceBackingInfo.md)
 - [ArrayOfVirtualSCSIPassthroughDeviceBackingOption](docs/ArrayOfVirtualSCSIPassthroughDeviceBackingOption.md)
 - [ArrayOfVirtualSCSIPassthroughOption](docs/ArrayOfVirtualSCSIPassthroughOption.md)
 - [ArrayOfVirtualSCSISharing](docs/ArrayOfVirtualSCSISharing.md)
 - [ArrayOfVirtualSIOController](docs/ArrayOfVirtualSIOController.md)
 - [ArrayOfVirtualSIOControllerOption](docs/ArrayOfVirtualSIOControllerOption.md)
 - [ArrayOfVirtualSerialPort](docs/ArrayOfVirtualSerialPort.md)
 - [ArrayOfVirtualSerialPortDeviceBackingInfo](docs/ArrayOfVirtualSerialPortDeviceBackingInfo.md)
 - [ArrayOfVirtualSerialPortDeviceBackingOption](docs/ArrayOfVirtualSerialPortDeviceBackingOption.md)
 - [ArrayOfVirtualSerialPortFileBackingInfo](docs/ArrayOfVirtualSerialPortFileBackingInfo.md)
 - [ArrayOfVirtualSerialPortFileBackingOption](docs/ArrayOfVirtualSerialPortFileBackingOption.md)
 - [ArrayOfVirtualSerialPortOption](docs/ArrayOfVirtualSerialPortOption.md)
 - [ArrayOfVirtualSerialPortPipeBackingInfo](docs/ArrayOfVirtualSerialPortPipeBackingInfo.md)
 - [ArrayOfVirtualSerialPortPipeBackingOption](docs/ArrayOfVirtualSerialPortPipeBackingOption.md)
 - [ArrayOfVirtualSerialPortThinPrintBackingInfo](docs/ArrayOfVirtualSerialPortThinPrintBackingInfo.md)
 - [ArrayOfVirtualSerialPortThinPrintBackingOption](docs/ArrayOfVirtualSerialPortThinPrintBackingOption.md)
 - [ArrayOfVirtualSerialPortURIBackingInfo](docs/ArrayOfVirtualSerialPortURIBackingInfo.md)
 - [ArrayOfVirtualSerialPortURIBackingOption](docs/ArrayOfVirtualSerialPortURIBackingOption.md)
 - [ArrayOfVirtualSoundBlaster16](docs/ArrayOfVirtualSoundBlaster16.md)
 - [ArrayOfVirtualSoundBlaster16Option](docs/ArrayOfVirtualSoundBlaster16Option.md)
 - [ArrayOfVirtualSoundCard](docs/ArrayOfVirtualSoundCard.md)
 - [ArrayOfVirtualSoundCardDeviceBackingInfo](docs/ArrayOfVirtualSoundCardDeviceBackingInfo.md)
 - [ArrayOfVirtualSoundCardDeviceBackingOption](docs/ArrayOfVirtualSoundCardDeviceBackingOption.md)
 - [ArrayOfVirtualSoundCardOption](docs/ArrayOfVirtualSoundCardOption.md)
 - [ArrayOfVirtualSriovEthernetCard](docs/ArrayOfVirtualSriovEthernetCard.md)
 - [ArrayOfVirtualSriovEthernetCardOption](docs/ArrayOfVirtualSriovEthernetCardOption.md)
 - [ArrayOfVirtualSriovEthernetCardSriovBackingInfo](docs/ArrayOfVirtualSriovEthernetCardSriovBackingInfo.md)
 - [ArrayOfVirtualSriovEthernetCardSriovBackingOption](docs/ArrayOfVirtualSriovEthernetCardSriovBackingOption.md)
 - [ArrayOfVirtualSwitchProfile](docs/ArrayOfVirtualSwitchProfile.md)
 - [ArrayOfVirtualSwitchSelectionProfile](docs/ArrayOfVirtualSwitchSelectionProfile.md)
 - [ArrayOfVirtualTPM](docs/ArrayOfVirtualTPM.md)
 - [ArrayOfVirtualTPMOption](docs/ArrayOfVirtualTPMOption.md)
 - [ArrayOfVirtualUSB](docs/ArrayOfVirtualUSB.md)
 - [ArrayOfVirtualUSBController](docs/ArrayOfVirtualUSBController.md)
 - [ArrayOfVirtualUSBControllerOption](docs/ArrayOfVirtualUSBControllerOption.md)
 - [ArrayOfVirtualUSBControllerPciBusSlotInfo](docs/ArrayOfVirtualUSBControllerPciBusSlotInfo.md)
 - [ArrayOfVirtualUSBOption](docs/ArrayOfVirtualUSBOption.md)
 - [ArrayOfVirtualUSBRemoteClientBackingInfo](docs/ArrayOfVirtualUSBRemoteClientBackingInfo.md)
 - [ArrayOfVirtualUSBRemoteClientBackingOption](docs/ArrayOfVirtualUSBRemoteClientBackingOption.md)
 - [ArrayOfVirtualUSBRemoteHostBackingInfo](docs/ArrayOfVirtualUSBRemoteHostBackingInfo.md)
 - [ArrayOfVirtualUSBRemoteHostBackingOption](docs/ArrayOfVirtualUSBRemoteHostBackingOption.md)
 - [ArrayOfVirtualUSBUSBBackingInfo](docs/ArrayOfVirtualUSBUSBBackingInfo.md)
 - [ArrayOfVirtualUSBUSBBackingOption](docs/ArrayOfVirtualUSBUSBBackingOption.md)
 - [ArrayOfVirtualUSBXHCIController](docs/ArrayOfVirtualUSBXHCIController.md)
 - [ArrayOfVirtualUSBXHCIControllerOption](docs/ArrayOfVirtualUSBXHCIControllerOption.md)
 - [ArrayOfVirtualVMIROMOption](docs/ArrayOfVirtualVMIROMOption.md)
 - [ArrayOfVirtualVideoCardOption](docs/ArrayOfVirtualVideoCardOption.md)
 - [ArrayOfVirtualVmxnet](docs/ArrayOfVirtualVmxnet.md)
 - [ArrayOfVirtualVmxnet2](docs/ArrayOfVirtualVmxnet2.md)
 - [ArrayOfVirtualVmxnet2Option](docs/ArrayOfVirtualVmxnet2Option.md)
 - [ArrayOfVirtualVmxnet3](docs/ArrayOfVirtualVmxnet3.md)
 - [ArrayOfVirtualVmxnet3Option](docs/ArrayOfVirtualVmxnet3Option.md)
 - [ArrayOfVirtualVmxnet3Vrdma](docs/ArrayOfVirtualVmxnet3Vrdma.md)
 - [ArrayOfVirtualVmxnet3VrdmaOption](docs/ArrayOfVirtualVmxnet3VrdmaOption.md)
 - [ArrayOfVirtualVmxnetOption](docs/ArrayOfVirtualVmxnetOption.md)
 - [ArrayOfVirtualWDT](docs/ArrayOfVirtualWDT.md)
 - [ArrayOfVirtualWDTOption](docs/ArrayOfVirtualWDTOption.md)
 - [ArrayOfVlanProfile](docs/ArrayOfVlanProfile.md)
 - [ArrayOfVmAcquiredMksTicketEvent](docs/ArrayOfVmAcquiredMksTicketEvent.md)
 - [ArrayOfVmAcquiredTicketEvent](docs/ArrayOfVmAcquiredTicketEvent.md)
 - [ArrayOfVmAlreadyExistsInDatacenter](docs/ArrayOfVmAlreadyExistsInDatacenter.md)
 - [ArrayOfVmAutoRenameEvent](docs/ArrayOfVmAutoRenameEvent.md)
 - [ArrayOfVmBeingClonedEvent](docs/ArrayOfVmBeingClonedEvent.md)
 - [ArrayOfVmBeingClonedNoFolderEvent](docs/ArrayOfVmBeingClonedNoFolderEvent.md)
 - [ArrayOfVmBeingCreatedEvent](docs/ArrayOfVmBeingCreatedEvent.md)
 - [ArrayOfVmBeingDeployedEvent](docs/ArrayOfVmBeingDeployedEvent.md)
 - [ArrayOfVmBeingHotMigratedEvent](docs/ArrayOfVmBeingHotMigratedEvent.md)
 - [ArrayOfVmBeingMigratedEvent](docs/ArrayOfVmBeingMigratedEvent.md)
 - [ArrayOfVmBeingRelocatedEvent](docs/ArrayOfVmBeingRelocatedEvent.md)
 - [ArrayOfVmCloneEvent](docs/ArrayOfVmCloneEvent.md)
 - [ArrayOfVmCloneFailedEvent](docs/ArrayOfVmCloneFailedEvent.md)
 - [ArrayOfVmClonedEvent](docs/ArrayOfVmClonedEvent.md)
 - [ArrayOfVmConfigFault](docs/ArrayOfVmConfigFault.md)
 - [ArrayOfVmConfigFileEncryptionInfo](docs/ArrayOfVmConfigFileEncryptionInfo.md)
 - [ArrayOfVmConfigFileInfo](docs/ArrayOfVmConfigFileInfo.md)
 - [ArrayOfVmConfigFileQuery](docs/ArrayOfVmConfigFileQuery.md)
 - [ArrayOfVmConfigFileQueryFilter](docs/ArrayOfVmConfigFileQueryFilter.md)
 - [ArrayOfVmConfigFileQueryFlags](docs/ArrayOfVmConfigFileQueryFlags.md)
 - [ArrayOfVmConfigIncompatibleForFaultTolerance](docs/ArrayOfVmConfigIncompatibleForFaultTolerance.md)
 - [ArrayOfVmConfigIncompatibleForRecordReplay](docs/ArrayOfVmConfigIncompatibleForRecordReplay.md)
 - [ArrayOfVmConfigInfo](docs/ArrayOfVmConfigInfo.md)
 - [ArrayOfVmConfigMissingEvent](docs/ArrayOfVmConfigMissingEvent.md)
 - [ArrayOfVmConfigSpec](docs/ArrayOfVmConfigSpec.md)
 - [ArrayOfVmConnectedEvent](docs/ArrayOfVmConnectedEvent.md)
 - [ArrayOfVmCreatedEvent](docs/ArrayOfVmCreatedEvent.md)
 - [ArrayOfVmDasBeingResetEvent](docs/ArrayOfVmDasBeingResetEvent.md)
 - [ArrayOfVmDasBeingResetWithScreenshotEvent](docs/ArrayOfVmDasBeingResetWithScreenshotEvent.md)
 - [ArrayOfVmDasResetFailedEvent](docs/ArrayOfVmDasResetFailedEvent.md)
 - [ArrayOfVmDasUpdateErrorEvent](docs/ArrayOfVmDasUpdateErrorEvent.md)
 - [ArrayOfVmDasUpdateOkEvent](docs/ArrayOfVmDasUpdateOkEvent.md)
 - [ArrayOfVmDateRolledBackEvent](docs/ArrayOfVmDateRolledBackEvent.md)
 - [ArrayOfVmDeployFailedEvent](docs/ArrayOfVmDeployFailedEvent.md)
 - [ArrayOfVmDeployedEvent](docs/ArrayOfVmDeployedEvent.md)
 - [ArrayOfVmDisconnectedEvent](docs/ArrayOfVmDisconnectedEvent.md)
 - [ArrayOfVmDiscoveredEvent](docs/ArrayOfVmDiscoveredEvent.md)
 - [ArrayOfVmDiskFailedEvent](docs/ArrayOfVmDiskFailedEvent.md)
 - [ArrayOfVmDiskFileEncryptionInfo](docs/ArrayOfVmDiskFileEncryptionInfo.md)
 - [ArrayOfVmDiskFileInfo](docs/ArrayOfVmDiskFileInfo.md)
 - [ArrayOfVmDiskFileQuery](docs/ArrayOfVmDiskFileQuery.md)
 - [ArrayOfVmDiskFileQueryFilter](docs/ArrayOfVmDiskFileQueryFilter.md)
 - [ArrayOfVmDiskFileQueryFlags](docs/ArrayOfVmDiskFileQueryFlags.md)
 - [ArrayOfVmEmigratingEvent](docs/ArrayOfVmEmigratingEvent.md)
 - [ArrayOfVmEndRecordingEvent](docs/ArrayOfVmEndRecordingEvent.md)
 - [ArrayOfVmEndReplayingEvent](docs/ArrayOfVmEndReplayingEvent.md)
 - [ArrayOfVmEvent](docs/ArrayOfVmEvent.md)
 - [ArrayOfVmEventArgument](docs/ArrayOfVmEventArgument.md)
 - [ArrayOfVmFailedMigrateEvent](docs/ArrayOfVmFailedMigrateEvent.md)
 - [ArrayOfVmFailedRelayoutEvent](docs/ArrayOfVmFailedRelayoutEvent.md)
 - [ArrayOfVmFailedRelayoutOnVmfs2DatastoreEvent](docs/ArrayOfVmFailedRelayoutOnVmfs2DatastoreEvent.md)
 - [ArrayOfVmFailedStartingSecondaryEvent](docs/ArrayOfVmFailedStartingSecondaryEvent.md)
 - [ArrayOfVmFailedToPowerOffEvent](docs/ArrayOfVmFailedToPowerOffEvent.md)
 - [ArrayOfVmFailedToPowerOnEvent](docs/ArrayOfVmFailedToPowerOnEvent.md)
 - [ArrayOfVmFailedToRebootGuestEvent](docs/ArrayOfVmFailedToRebootGuestEvent.md)
 - [ArrayOfVmFailedToResetEvent](docs/ArrayOfVmFailedToResetEvent.md)
 - [ArrayOfVmFailedToShutdownGuestEvent](docs/ArrayOfVmFailedToShutdownGuestEvent.md)
 - [ArrayOfVmFailedToStandbyGuestEvent](docs/ArrayOfVmFailedToStandbyGuestEvent.md)
 - [ArrayOfVmFailedToSuspendEvent](docs/ArrayOfVmFailedToSuspendEvent.md)
 - [ArrayOfVmFailedUpdatingSecondaryConfig](docs/ArrayOfVmFailedUpdatingSecondaryConfig.md)
 - [ArrayOfVmFailoverFailed](docs/ArrayOfVmFailoverFailed.md)
 - [ArrayOfVmFaultToleranceConfigIssue](docs/ArrayOfVmFaultToleranceConfigIssue.md)
 - [ArrayOfVmFaultToleranceConfigIssueWrapper](docs/ArrayOfVmFaultToleranceConfigIssueWrapper.md)
 - [ArrayOfVmFaultToleranceInvalidFileBacking](docs/ArrayOfVmFaultToleranceInvalidFileBacking.md)
 - [ArrayOfVmFaultToleranceIssue](docs/ArrayOfVmFaultToleranceIssue.md)
 - [ArrayOfVmFaultToleranceOpIssuesList](docs/ArrayOfVmFaultToleranceOpIssuesList.md)
 - [ArrayOfVmFaultToleranceStateChangedEvent](docs/ArrayOfVmFaultToleranceStateChangedEvent.md)
 - [ArrayOfVmFaultToleranceTooManyFtVcpusOnHost](docs/ArrayOfVmFaultToleranceTooManyFtVcpusOnHost.md)
 - [ArrayOfVmFaultToleranceTooManyVMsOnHost](docs/ArrayOfVmFaultToleranceTooManyVMsOnHost.md)
 - [ArrayOfVmFaultToleranceTurnedOffEvent](docs/ArrayOfVmFaultToleranceTurnedOffEvent.md)
 - [ArrayOfVmFaultToleranceVmTerminatedEvent](docs/ArrayOfVmFaultToleranceVmTerminatedEvent.md)
 - [ArrayOfVmGuestOSCrashedEvent](docs/ArrayOfVmGuestOSCrashedEvent.md)
 - [ArrayOfVmGuestRebootEvent](docs/ArrayOfVmGuestRebootEvent.md)
 - [ArrayOfVmGuestShutdownEvent](docs/ArrayOfVmGuestShutdownEvent.md)
 - [ArrayOfVmGuestStandbyEvent](docs/ArrayOfVmGuestStandbyEvent.md)
 - [ArrayOfVmHealthMonitoringStateChangedEvent](docs/ArrayOfVmHealthMonitoringStateChangedEvent.md)
 - [ArrayOfVmHostAffinityRuleViolation](docs/ArrayOfVmHostAffinityRuleViolation.md)
 - [ArrayOfVmInstanceUuidAssignedEvent](docs/ArrayOfVmInstanceUuidAssignedEvent.md)
 - [ArrayOfVmInstanceUuidChangedEvent](docs/ArrayOfVmInstanceUuidChangedEvent.md)
 - [ArrayOfVmInstanceUuidConflictEvent](docs/ArrayOfVmInstanceUuidConflictEvent.md)
 - [ArrayOfVmLimitLicense](docs/ArrayOfVmLimitLicense.md)
 - [ArrayOfVmLogFileInfo](docs/ArrayOfVmLogFileInfo.md)
 - [ArrayOfVmLogFileQuery](docs/ArrayOfVmLogFileQuery.md)
 - [ArrayOfVmMacAssignedEvent](docs/ArrayOfVmMacAssignedEvent.md)
 - [ArrayOfVmMacChangedEvent](docs/ArrayOfVmMacChangedEvent.md)
 - [ArrayOfVmMacConflictEvent](docs/ArrayOfVmMacConflictEvent.md)
 - [ArrayOfVmMaxFTRestartCountReached](docs/ArrayOfVmMaxFTRestartCountReached.md)
 - [ArrayOfVmMaxRestartCountReached](docs/ArrayOfVmMaxRestartCountReached.md)
 - [ArrayOfVmMessageErrorEvent](docs/ArrayOfVmMessageErrorEvent.md)
 - [ArrayOfVmMessageEvent](docs/ArrayOfVmMessageEvent.md)
 - [ArrayOfVmMessageWarningEvent](docs/ArrayOfVmMessageWarningEvent.md)
 - [ArrayOfVmMetadataManagerFault](docs/ArrayOfVmMetadataManagerFault.md)
 - [ArrayOfVmMigratedEvent](docs/ArrayOfVmMigratedEvent.md)
 - [ArrayOfVmMonitorIncompatibleForFaultTolerance](docs/ArrayOfVmMonitorIncompatibleForFaultTolerance.md)
 - [ArrayOfVmNoCompatibleHostForSecondaryEvent](docs/ArrayOfVmNoCompatibleHostForSecondaryEvent.md)
 - [ArrayOfVmNoNetworkAccessEvent](docs/ArrayOfVmNoNetworkAccessEvent.md)
 - [ArrayOfVmNvramFileInfo](docs/ArrayOfVmNvramFileInfo.md)
 - [ArrayOfVmNvramFileQuery](docs/ArrayOfVmNvramFileQuery.md)
 - [ArrayOfVmOrphanedEvent](docs/ArrayOfVmOrphanedEvent.md)
 - [ArrayOfVmPodConfigForPlacement](docs/ArrayOfVmPodConfigForPlacement.md)
 - [ArrayOfVmPortGroupProfile](docs/ArrayOfVmPortGroupProfile.md)
 - [ArrayOfVmPowerOffOnIsolationEvent](docs/ArrayOfVmPowerOffOnIsolationEvent.md)
 - [ArrayOfVmPowerOnDisabled](docs/ArrayOfVmPowerOnDisabled.md)
 - [ArrayOfVmPoweredOffEvent](docs/ArrayOfVmPoweredOffEvent.md)
 - [ArrayOfVmPoweredOnEvent](docs/ArrayOfVmPoweredOnEvent.md)
 - [ArrayOfVmPoweringOnWithCustomizedDVPortEvent](docs/ArrayOfVmPoweringOnWithCustomizedDVPortEvent.md)
 - [ArrayOfVmPrimaryFailoverEvent](docs/ArrayOfVmPrimaryFailoverEvent.md)
 - [ArrayOfVmReconfiguredEvent](docs/ArrayOfVmReconfiguredEvent.md)
 - [ArrayOfVmRegisteredEvent](docs/ArrayOfVmRegisteredEvent.md)
 - [ArrayOfVmRelayoutSuccessfulEvent](docs/ArrayOfVmRelayoutSuccessfulEvent.md)
 - [ArrayOfVmRelayoutUpToDateEvent](docs/ArrayOfVmRelayoutUpToDateEvent.md)
 - [ArrayOfVmReloadFromPathEvent](docs/ArrayOfVmReloadFromPathEvent.md)
 - [ArrayOfVmReloadFromPathFailedEvent](docs/ArrayOfVmReloadFromPathFailedEvent.md)
 - [ArrayOfVmRelocateFailedEvent](docs/ArrayOfVmRelocateFailedEvent.md)
 - [ArrayOfVmRelocateSpecEvent](docs/ArrayOfVmRelocateSpecEvent.md)
 - [ArrayOfVmRelocatedEvent](docs/ArrayOfVmRelocatedEvent.md)
 - [ArrayOfVmRemoteConsoleConnectedEvent](docs/ArrayOfVmRemoteConsoleConnectedEvent.md)
 - [ArrayOfVmRemoteConsoleDisconnectedEvent](docs/ArrayOfVmRemoteConsoleDisconnectedEvent.md)
 - [ArrayOfVmRemovedEvent](docs/ArrayOfVmRemovedEvent.md)
 - [ArrayOfVmRenamedEvent](docs/ArrayOfVmRenamedEvent.md)
 - [ArrayOfVmRequirementsExceedCurrentEVCModeEvent](docs/ArrayOfVmRequirementsExceedCurrentEVCModeEvent.md)
 - [ArrayOfVmResettingEvent](docs/ArrayOfVmResettingEvent.md)
 - [ArrayOfVmResourcePoolMovedEvent](docs/ArrayOfVmResourcePoolMovedEvent.md)
 - [ArrayOfVmResourceReallocatedEvent](docs/ArrayOfVmResourceReallocatedEvent.md)
 - [ArrayOfVmRestartedOnAlternateHostEvent](docs/ArrayOfVmRestartedOnAlternateHostEvent.md)
 - [ArrayOfVmResumingEvent](docs/ArrayOfVmResumingEvent.md)
 - [ArrayOfVmSecondaryAddedEvent](docs/ArrayOfVmSecondaryAddedEvent.md)
 - [ArrayOfVmSecondaryDisabledBySystemEvent](docs/ArrayOfVmSecondaryDisabledBySystemEvent.md)
 - [ArrayOfVmSecondaryDisabledEvent](docs/ArrayOfVmSecondaryDisabledEvent.md)
 - [ArrayOfVmSecondaryEnabledEvent](docs/ArrayOfVmSecondaryEnabledEvent.md)
 - [ArrayOfVmSecondaryStartedEvent](docs/ArrayOfVmSecondaryStartedEvent.md)
 - [ArrayOfVmShutdownOnIsolationEvent](docs/ArrayOfVmShutdownOnIsolationEvent.md)
 - [ArrayOfVmSmpFaultToleranceTooManyVMsOnHost](docs/ArrayOfVmSmpFaultToleranceTooManyVMsOnHost.md)
 - [ArrayOfVmSnapshotFileInfo](docs/ArrayOfVmSnapshotFileInfo.md)
 - [ArrayOfVmSnapshotFileQuery](docs/ArrayOfVmSnapshotFileQuery.md)
 - [ArrayOfVmStartRecordingEvent](docs/ArrayOfVmStartRecordingEvent.md)
 - [ArrayOfVmStartReplayingEvent](docs/ArrayOfVmStartReplayingEvent.md)
 - [ArrayOfVmStartingEvent](docs/ArrayOfVmStartingEvent.md)
 - [ArrayOfVmStartingSecondaryEvent](docs/ArrayOfVmStartingSecondaryEvent.md)
 - [ArrayOfVmStaticMacConflictEvent](docs/ArrayOfVmStaticMacConflictEvent.md)
 - [ArrayOfVmStoppingEvent](docs/ArrayOfVmStoppingEvent.md)
 - [ArrayOfVmSuspendedEvent](docs/ArrayOfVmSuspendedEvent.md)
 - [ArrayOfVmSuspendingEvent](docs/ArrayOfVmSuspendingEvent.md)
 - [ArrayOfVmTimedoutStartingSecondaryEvent](docs/ArrayOfVmTimedoutStartingSecondaryEvent.md)
 - [ArrayOfVmToolsUpgradeFault](docs/ArrayOfVmToolsUpgradeFault.md)
 - [ArrayOfVmUnsupportedStartingEvent](docs/ArrayOfVmUnsupportedStartingEvent.md)
 - [ArrayOfVmUpgradeCompleteEvent](docs/ArrayOfVmUpgradeCompleteEvent.md)
 - [ArrayOfVmUpgradeFailedEvent](docs/ArrayOfVmUpgradeFailedEvent.md)
 - [ArrayOfVmUpgradingEvent](docs/ArrayOfVmUpgradingEvent.md)
 - [ArrayOfVmUuidAssignedEvent](docs/ArrayOfVmUuidAssignedEvent.md)
 - [ArrayOfVmUuidChangedEvent](docs/ArrayOfVmUuidChangedEvent.md)
 - [ArrayOfVmUuidConflictEvent](docs/ArrayOfVmUuidConflictEvent.md)
 - [ArrayOfVmValidateMaxDevice](docs/ArrayOfVmValidateMaxDevice.md)
 - [ArrayOfVmVnicPoolReservationViolationClearEvent](docs/ArrayOfVmVnicPoolReservationViolationClearEvent.md)
 - [ArrayOfVmVnicPoolReservationViolationRaiseEvent](docs/ArrayOfVmVnicPoolReservationViolationRaiseEvent.md)
 - [ArrayOfVmWwnAssignedEvent](docs/ArrayOfVmWwnAssignedEvent.md)
 - [ArrayOfVmWwnChangedEvent](docs/ArrayOfVmWwnChangedEvent.md)
 - [ArrayOfVmWwnConflict](docs/ArrayOfVmWwnConflict.md)
 - [ArrayOfVmWwnConflictEvent](docs/ArrayOfVmWwnConflictEvent.md)
 - [ArrayOfVmfsAlreadyMounted](docs/ArrayOfVmfsAlreadyMounted.md)
 - [ArrayOfVmfsAmbiguousMount](docs/ArrayOfVmfsAmbiguousMount.md)
 - [ArrayOfVmfsConfigOption](docs/ArrayOfVmfsConfigOption.md)
 - [ArrayOfVmfsDatastoreAllExtentOption](docs/ArrayOfVmfsDatastoreAllExtentOption.md)
 - [ArrayOfVmfsDatastoreBaseOption](docs/ArrayOfVmfsDatastoreBaseOption.md)
 - [ArrayOfVmfsDatastoreCreateSpec](docs/ArrayOfVmfsDatastoreCreateSpec.md)
 - [ArrayOfVmfsDatastoreExpandSpec](docs/ArrayOfVmfsDatastoreExpandSpec.md)
 - [ArrayOfVmfsDatastoreExtendSpec](docs/ArrayOfVmfsDatastoreExtendSpec.md)
 - [ArrayOfVmfsDatastoreInfo](docs/ArrayOfVmfsDatastoreInfo.md)
 - [ArrayOfVmfsDatastoreMultipleExtentOption](docs/ArrayOfVmfsDatastoreMultipleExtentOption.md)
 - [ArrayOfVmfsDatastoreOption](docs/ArrayOfVmfsDatastoreOption.md)
 - [ArrayOfVmfsDatastoreSingleExtentOption](docs/ArrayOfVmfsDatastoreSingleExtentOption.md)
 - [ArrayOfVmfsDatastoreSpec](docs/ArrayOfVmfsDatastoreSpec.md)
 - [ArrayOfVmfsMountFault](docs/ArrayOfVmfsMountFault.md)
 - [ArrayOfVmfsUnmapBandwidthSpec](docs/ArrayOfVmfsUnmapBandwidthSpec.md)
 - [ArrayOfVmotionInterfaceNotEnabled](docs/ArrayOfVmotionInterfaceNotEnabled.md)
 - [ArrayOfVmwareDistributedVirtualSwitchPvlanSpec](docs/ArrayOfVmwareDistributedVirtualSwitchPvlanSpec.md)
 - [ArrayOfVmwareDistributedVirtualSwitchTrunkVlanSpec](docs/ArrayOfVmwareDistributedVirtualSwitchTrunkVlanSpec.md)
 - [ArrayOfVmwareDistributedVirtualSwitchVlanIdSpec](docs/ArrayOfVmwareDistributedVirtualSwitchVlanIdSpec.md)
 - [ArrayOfVmwareDistributedVirtualSwitchVlanSpec](docs/ArrayOfVmwareDistributedVirtualSwitchVlanSpec.md)
 - [ArrayOfVmwareUplinkPortTeamingPolicy](docs/ArrayOfVmwareUplinkPortTeamingPolicy.md)
 - [ArrayOfVnicPortArgument](docs/ArrayOfVnicPortArgument.md)
 - [ArrayOfVolumeEditorError](docs/ArrayOfVolumeEditorError.md)
 - [ArrayOfVramLimitLicense](docs/ArrayOfVramLimitLicense.md)
 - [ArrayOfVsanClusterConfigInfo](docs/ArrayOfVsanClusterConfigInfo.md)
 - [ArrayOfVsanClusterConfigInfoHostDefaultInfo](docs/ArrayOfVsanClusterConfigInfoHostDefaultInfo.md)
 - [ArrayOfVsanClusterUuidMismatch](docs/ArrayOfVsanClusterUuidMismatch.md)
 - [ArrayOfVsanDatastoreInfo](docs/ArrayOfVsanDatastoreInfo.md)
 - [ArrayOfVsanDiskFault](docs/ArrayOfVsanDiskFault.md)
 - [ArrayOfVsanFault](docs/ArrayOfVsanFault.md)
 - [ArrayOfVsanHostClusterStatus](docs/ArrayOfVsanHostClusterStatus.md)
 - [ArrayOfVsanHostClusterStatusState](docs/ArrayOfVsanHostClusterStatusState.md)
 - [ArrayOfVsanHostClusterStatusStateCompletionEstimate](docs/ArrayOfVsanHostClusterStatusStateCompletionEstimate.md)
 - [ArrayOfVsanHostConfigInfo](docs/ArrayOfVsanHostConfigInfo.md)
 - [ArrayOfVsanHostConfigInfoClusterInfo](docs/ArrayOfVsanHostConfigInfoClusterInfo.md)
 - [ArrayOfVsanHostConfigInfoNetworkInfo](docs/ArrayOfVsanHostConfigInfoNetworkInfo.md)
 - [ArrayOfVsanHostConfigInfoNetworkInfoPortConfig](docs/ArrayOfVsanHostConfigInfoNetworkInfoPortConfig.md)
 - [ArrayOfVsanHostConfigInfoStorageInfo](docs/ArrayOfVsanHostConfigInfoStorageInfo.md)
 - [ArrayOfVsanHostDecommissionMode](docs/ArrayOfVsanHostDecommissionMode.md)
 - [ArrayOfVsanHostDiskMapInfo](docs/ArrayOfVsanHostDiskMapInfo.md)
 - [ArrayOfVsanHostDiskMapResult](docs/ArrayOfVsanHostDiskMapResult.md)
 - [ArrayOfVsanHostDiskMapping](docs/ArrayOfVsanHostDiskMapping.md)
 - [ArrayOfVsanHostDiskResult](docs/ArrayOfVsanHostDiskResult.md)
 - [ArrayOfVsanHostDiskResultState](docs/ArrayOfVsanHostDiskResultState.md)
 - [ArrayOfVsanHostFaultDomainInfo](docs/ArrayOfVsanHostFaultDomainInfo.md)
 - [ArrayOfVsanHostHealthState](docs/ArrayOfVsanHostHealthState.md)
 - [ArrayOfVsanHostIpConfig](docs/ArrayOfVsanHostIpConfig.md)
 - [ArrayOfVsanHostMembershipInfo](docs/ArrayOfVsanHostMembershipInfo.md)
 - [ArrayOfVsanHostNodeState](docs/ArrayOfVsanHostNodeState.md)
 - [ArrayOfVsanHostRuntimeInfo](docs/ArrayOfVsanHostRuntimeInfo.md)
 - [ArrayOfVsanHostRuntimeInfoDiskIssue](docs/ArrayOfVsanHostRuntimeInfoDiskIssue.md)
 - [ArrayOfVsanHostVsanDiskInfo](docs/ArrayOfVsanHostVsanDiskInfo.md)
 - [ArrayOfVsanIncompatibleDiskMapping](docs/ArrayOfVsanIncompatibleDiskMapping.md)
 - [ArrayOfVsanNewPolicyBatch](docs/ArrayOfVsanNewPolicyBatch.md)
 - [ArrayOfVsanPolicyChangeBatch](docs/ArrayOfVsanPolicyChangeBatch.md)
 - [ArrayOfVsanPolicyCost](docs/ArrayOfVsanPolicyCost.md)
 - [ArrayOfVsanPolicySatisfiability](docs/ArrayOfVsanPolicySatisfiability.md)
 - [ArrayOfVsanUpgradeSystemAPIBrokenIssue](docs/ArrayOfVsanUpgradeSystemAPIBrokenIssue.md)
 - [ArrayOfVsanUpgradeSystemAutoClaimEnabledOnHostsIssue](docs/ArrayOfVsanUpgradeSystemAutoClaimEnabledOnHostsIssue.md)
 - [ArrayOfVsanUpgradeSystemHostsDisconnectedIssue](docs/ArrayOfVsanUpgradeSystemHostsDisconnectedIssue.md)
 - [ArrayOfVsanUpgradeSystemMissingHostsInClusterIssue](docs/ArrayOfVsanUpgradeSystemMissingHostsInClusterIssue.md)
 - [ArrayOfVsanUpgradeSystemNetworkPartitionInfo](docs/ArrayOfVsanUpgradeSystemNetworkPartitionInfo.md)
 - [ArrayOfVsanUpgradeSystemNetworkPartitionIssue](docs/ArrayOfVsanUpgradeSystemNetworkPartitionIssue.md)
 - [ArrayOfVsanUpgradeSystemNotEnoughFreeCapacityIssue](docs/ArrayOfVsanUpgradeSystemNotEnoughFreeCapacityIssue.md)
 - [ArrayOfVsanUpgradeSystemPreflightCheckIssue](docs/ArrayOfVsanUpgradeSystemPreflightCheckIssue.md)
 - [ArrayOfVsanUpgradeSystemPreflightCheckResult](docs/ArrayOfVsanUpgradeSystemPreflightCheckResult.md)
 - [ArrayOfVsanUpgradeSystemRogueHostsInClusterIssue](docs/ArrayOfVsanUpgradeSystemRogueHostsInClusterIssue.md)
 - [ArrayOfVsanUpgradeSystemUpgradeHistoryDiskGroupOp](docs/ArrayOfVsanUpgradeSystemUpgradeHistoryDiskGroupOp.md)
 - [ArrayOfVsanUpgradeSystemUpgradeHistoryDiskGroupOpType](docs/ArrayOfVsanUpgradeSystemUpgradeHistoryDiskGroupOpType.md)
 - [ArrayOfVsanUpgradeSystemUpgradeHistoryItem](docs/ArrayOfVsanUpgradeSystemUpgradeHistoryItem.md)
 - [ArrayOfVsanUpgradeSystemUpgradeHistoryPreflightFail](docs/ArrayOfVsanUpgradeSystemUpgradeHistoryPreflightFail.md)
 - [ArrayOfVsanUpgradeSystemUpgradeStatus](docs/ArrayOfVsanUpgradeSystemUpgradeStatus.md)
 - [ArrayOfVsanUpgradeSystemV2ObjectsPresentDuringDowngradeIssue](docs/ArrayOfVsanUpgradeSystemV2ObjectsPresentDuringDowngradeIssue.md)
 - [ArrayOfVsanUpgradeSystemWrongEsxVersionIssue](docs/ArrayOfVsanUpgradeSystemWrongEsxVersionIssue.md)
 - [ArrayOfVslmCloneSpec](docs/ArrayOfVslmCloneSpec.md)
 - [ArrayOfVslmCreateSpec](docs/ArrayOfVslmCreateSpec.md)
 - [ArrayOfVslmCreateSpecBackingSpec](docs/ArrayOfVslmCreateSpecBackingSpec.md)
 - [ArrayOfVslmCreateSpecDiskFileBackingSpec](docs/ArrayOfVslmCreateSpecDiskFileBackingSpec.md)
 - [ArrayOfVslmCreateSpecRawDiskMappingBackingSpec](docs/ArrayOfVslmCreateSpecRawDiskMappingBackingSpec.md)
 - [ArrayOfVslmMigrateSpec](docs/ArrayOfVslmMigrateSpec.md)
 - [ArrayOfVslmRelocateSpec](docs/ArrayOfVslmRelocateSpec.md)
 - [ArrayOfVslmTagEntry](docs/ArrayOfVslmTagEntry.md)
 - [ArrayOfVspanDestPortConflict](docs/ArrayOfVspanDestPortConflict.md)
 - [ArrayOfVspanPortConflict](docs/ArrayOfVspanPortConflict.md)
 - [ArrayOfVspanPortMoveFault](docs/ArrayOfVspanPortMoveFault.md)
 - [ArrayOfVspanPortPromiscChangeFault](docs/ArrayOfVspanPortPromiscChangeFault.md)
 - [ArrayOfVspanPortgroupPromiscChangeFault](docs/ArrayOfVspanPortgroupPromiscChangeFault.md)
 - [ArrayOfVspanPortgroupTypeChangeFault](docs/ArrayOfVspanPortgroupTypeChangeFault.md)
 - [ArrayOfVspanPromiscuousPortNotSupported](docs/ArrayOfVspanPromiscuousPortNotSupported.md)
 - [ArrayOfVspanSameSessionPortConflict](docs/ArrayOfVspanSameSessionPortConflict.md)
 - [ArrayOfVvolDatastoreInfo](docs/ArrayOfVvolDatastoreInfo.md)
 - [ArrayOfWaitOptions](docs/ArrayOfWaitOptions.md)
 - [ArrayOfWakeOnLanNotSupported](docs/ArrayOfWakeOnLanNotSupported.md)
 - [ArrayOfWakeOnLanNotSupportedByVmotionNIC](docs/ArrayOfWakeOnLanNotSupportedByVmotionNIC.md)
 - [ArrayOfWarningUpgradeEvent](docs/ArrayOfWarningUpgradeEvent.md)
 - [ArrayOfWeekOfMonth](docs/ArrayOfWeekOfMonth.md)
 - [ArrayOfWeeklyTaskScheduler](docs/ArrayOfWeeklyTaskScheduler.md)
 - [ArrayOfWillLoseHAProtection](docs/ArrayOfWillLoseHAProtection.md)
 - [ArrayOfWillModifyConfigCpuRequirements](docs/ArrayOfWillModifyConfigCpuRequirements.md)
 - [ArrayOfWillResetSnapshotDirectory](docs/ArrayOfWillResetSnapshotDirectory.md)
 - [ArrayOfWinNetBIOSConfigInfo](docs/ArrayOfWinNetBIOSConfigInfo.md)
 - [ArrayOfWipeDiskFault](docs/ArrayOfWipeDiskFault.md)
 - [ArrayOfWitnessNodeInfo](docs/ArrayOfWitnessNodeInfo.md)
 - [ArrayOfvslmInfrastructureObjectPolicy](docs/ArrayOfvslmInfrastructureObjectPolicy.md)
 - [ArrayOfvslmInfrastructureObjectPolicySpec](docs/ArrayOfvslmInfrastructureObjectPolicySpec.md)
 - [ArrayOfvslmVClockInfo](docs/ArrayOfvslmVClockInfo.md)
 - [ArrayUpdateOperation](docs/ArrayUpdateOperation.md)
 - [ArrayUpdateOperationEnum](docs/ArrayUpdateOperationEnum.md)
 - [ArrayUpdateSpec](docs/ArrayUpdateSpec.md)
 - [AssignUserToGroupRequestType](docs/AssignUserToGroupRequestType.md)
 - [AssociateProfileRequestType](docs/AssociateProfileRequestType.md)
 - [AttachDiskRequestType](docs/AttachDiskRequestType.md)
 - [AttachScsiLunExRequestType](docs/AttachScsiLunExRequestType.md)
 - [AttachScsiLunRequestType](docs/AttachScsiLunRequestType.md)
 - [AttachTagToVStorageObjectRequestType](docs/AttachTagToVStorageObjectRequestType.md)
 - [AttachVmfsExtentRequestType](docs/AttachVmfsExtentRequestType.md)
 - [AuthMinimumAdminPermission](docs/AuthMinimumAdminPermission.md)
 - [AuthenticationProfile](docs/AuthenticationProfile.md)
 - [AuthorizationDescription](docs/AuthorizationDescription.md)
 - [AuthorizationEvent](docs/AuthorizationEvent.md)
 - [AuthorizationPrivilege](docs/AuthorizationPrivilege.md)
 - [AuthorizationRole](docs/AuthorizationRole.md)
 - [AutoStartActionEnum](docs/AutoStartActionEnum.md)
 - [AutoStartDefaults](docs/AutoStartDefaults.md)
 - [AutoStartPowerInfo](docs/AutoStartPowerInfo.md)
 - [AutoStartWaitHeartbeatSetting](docs/AutoStartWaitHeartbeatSetting.md)
 - [AutoStartWaitHeartbeatSettingEnum](docs/AutoStartWaitHeartbeatSettingEnum.md)
 - [BackupBlobReadFailure](docs/BackupBlobReadFailure.md)
 - [BackupBlobWriteFailure](docs/BackupBlobWriteFailure.md)
 - [BadUsernameSessionEvent](docs/BadUsernameSessionEvent.md)
 - [BaseConfigInfo](docs/BaseConfigInfo.md)
 - [BaseConfigInfoBackingInfo](docs/BaseConfigInfoBackingInfo.md)
 - [BaseConfigInfoDiskFileBackingInfo](docs/BaseConfigInfoDiskFileBackingInfo.md)
 - [BaseConfigInfoDiskFileBackingInfoProvisioningTypeEnum](docs/BaseConfigInfoDiskFileBackingInfoProvisioningTypeEnum.md)
 - [BaseConfigInfoFileBackingInfo](docs/BaseConfigInfoFileBackingInfo.md)
 - [BaseConfigInfoRawDiskMappingBackingInfo](docs/BaseConfigInfoRawDiskMappingBackingInfo.md)
 - [BatchAddHostsToClusterRequestType](docs/BatchAddHostsToClusterRequestType.md)
 - [BatchAddStandaloneHostsRequestType](docs/BatchAddStandaloneHostsRequestType.md)
 - [BatchQueryConnectInfoRequestType](docs/BatchQueryConnectInfoRequestType.md)
 - [BatchResult](docs/BatchResult.md)
 - [BatchResultResultEnum](docs/BatchResultResultEnum.md)
 - [BindVnicRequestType](docs/BindVnicRequestType.md)
 - [BlockedByFirewall](docs/BlockedByFirewall.md)
 - [BoolOption](docs/BoolOption.md)
 - [BoolPolicy](docs/BoolPolicy.md)
 - [BrowseDiagnosticLogRequestType](docs/BrowseDiagnosticLogRequestType.md)
 - [CAMServerRefusedConnection](docs/CAMServerRefusedConnection.md)
 - [CanProvisionObjectsRequestType](docs/CanProvisionObjectsRequestType.md)
 - [CancelRecommendationRequestType](docs/CancelRecommendationRequestType.md)
 - [CancelRetrievePropertiesExRequestType](docs/CancelRetrievePropertiesExRequestType.md)
 - [CancelStorageDrsRecommendationRequestType](docs/CancelStorageDrsRecommendationRequestType.md)
 - [CanceledHostOperationEvent](docs/CanceledHostOperationEvent.md)
 - [CannotAccessFile](docs/CannotAccessFile.md)
 - [CannotAccessLocalSource](docs/CannotAccessLocalSource.md)
 - [CannotAccessNetwork](docs/CannotAccessNetwork.md)
 - [CannotAccessVmComponent](docs/CannotAccessVmComponent.md)
 - [CannotAccessVmConfig](docs/CannotAccessVmConfig.md)
 - [CannotAccessVmDevice](docs/CannotAccessVmDevice.md)
 - [CannotAccessVmDisk](docs/CannotAccessVmDisk.md)
 - [CannotAddHostWithFTVmAsStandalone](docs/CannotAddHostWithFTVmAsStandalone.md)
 - [CannotAddHostWithFTVmToDifferentCluster](docs/CannotAddHostWithFTVmToDifferentCluster.md)
 - [CannotAddHostWithFTVmToNonHACluster](docs/CannotAddHostWithFTVmToNonHACluster.md)
 - [CannotChangeDrsBehaviorForFtSecondary](docs/CannotChangeDrsBehaviorForFtSecondary.md)
 - [CannotChangeHaSettingsForFtSecondary](docs/CannotChangeHaSettingsForFtSecondary.md)
 - [CannotChangeVsanClusterUuid](docs/CannotChangeVsanClusterUuid.md)
 - [CannotChangeVsanNodeUuid](docs/CannotChangeVsanNodeUuid.md)
 - [CannotComputeFTCompatibleHosts](docs/CannotComputeFTCompatibleHosts.md)
 - [CannotCreateFile](docs/CannotCreateFile.md)
 - [CannotDecryptPasswords](docs/CannotDecryptPasswords.md)
 - [CannotDeleteFile](docs/CannotDeleteFile.md)
 - [CannotDisableDrsOnClustersWithVApps](docs/CannotDisableDrsOnClustersWithVApps.md)
 - [CannotDisableSnapshot](docs/CannotDisableSnapshot.md)
 - [CannotDisconnectHostWithFaultToleranceVm](docs/CannotDisconnectHostWithFaultToleranceVm.md)
 - [CannotEnableVmcpForCluster](docs/CannotEnableVmcpForCluster.md)
 - [CannotEnableVmcpForClusterReasonEnum](docs/CannotEnableVmcpForClusterReasonEnum.md)
 - [CannotModifyConfigCpuRequirements](docs/CannotModifyConfigCpuRequirements.md)
 - [CannotMoveFaultToleranceVm](docs/CannotMoveFaultToleranceVm.md)
 - [CannotMoveFaultToleranceVmMoveTypeEnum](docs/CannotMoveFaultToleranceVmMoveTypeEnum.md)
 - [CannotMoveHostWithFaultToleranceVm](docs/CannotMoveHostWithFaultToleranceVm.md)
 - [CannotMoveVmWithDeltaDisk](docs/CannotMoveVmWithDeltaDisk.md)
 - [CannotMoveVmWithNativeDeltaDisk](docs/CannotMoveVmWithNativeDeltaDisk.md)
 - [CannotMoveVsanEnabledHost](docs/CannotMoveVsanEnabledHost.md)
 - [CannotPlaceWithoutPrerequisiteMoves](docs/CannotPlaceWithoutPrerequisiteMoves.md)
 - [CannotPowerOffVmInCluster](docs/CannotPowerOffVmInCluster.md)
 - [CannotPowerOffVmInClusterOperationEnum](docs/CannotPowerOffVmInClusterOperationEnum.md)
 - [CannotReconfigureVsanWhenHaEnabled](docs/CannotReconfigureVsanWhenHaEnabled.md)
 - [CannotUseNetwork](docs/CannotUseNetwork.md)
 - [CannotUseNetworkReasonEnum](docs/CannotUseNetworkReasonEnum.md)
 - [Capability](docs/Capability.md)
 - [CertMgrRefreshCACertificatesAndCRLsRequestType](docs/CertMgrRefreshCACertificatesAndCRLsRequestType.md)
 - [CertMgrRefreshCertificatesRequestType](docs/CertMgrRefreshCertificatesRequestType.md)
 - [CertMgrRevokeCertificatesRequestType](docs/CertMgrRevokeCertificatesRequestType.md)
 - [ChangeAccessModeRequestType](docs/ChangeAccessModeRequestType.md)
 - [ChangeFileAttributesInGuestRequestType](docs/ChangeFileAttributesInGuestRequestType.md)
 - [ChangeKeyRequestType](docs/ChangeKeyRequestType.md)
 - [ChangeLockdownModeRequestType](docs/ChangeLockdownModeRequestType.md)
 - [ChangeNFSUserPasswordRequestType](docs/ChangeNFSUserPasswordRequestType.md)
 - [ChangeOwnerRequestType](docs/ChangeOwnerRequestType.md)
 - [ChangePasswordRequestType](docs/ChangePasswordRequestType.md)
 - [ChangesInfoEventArgument](docs/ChangesInfoEventArgument.md)
 - [CheckAddHostEvcRequestType](docs/CheckAddHostEvcRequestType.md)
 - [CheckAnswerFileStatusRequestType](docs/CheckAnswerFileStatusRequestType.md)
 - [CheckCloneRequestType](docs/CheckCloneRequestType.md)
 - [CheckCompatibilityRequestType](docs/CheckCompatibilityRequestType.md)
 - [CheckComplianceRequestType](docs/CheckComplianceRequestType.md)
 - [CheckConfigureEvcModeRequestType](docs/CheckConfigureEvcModeRequestType.md)
 - [CheckCustomizationResourcesRequestType](docs/CheckCustomizationResourcesRequestType.md)
 - [CheckCustomizationSpecRequestType](docs/CheckCustomizationSpecRequestType.md)
 - [CheckForUpdatesRequestType](docs/CheckForUpdatesRequestType.md)
 - [CheckHostPatchRequestType](docs/CheckHostPatchRequestType.md)
 - [CheckInstantCloneRequestType](docs/CheckInstantCloneRequestType.md)
 - [CheckLicenseFeatureRequestType](docs/CheckLicenseFeatureRequestType.md)
 - [CheckMigrateRequestType](docs/CheckMigrateRequestType.md)
 - [CheckPowerOnRequestType](docs/CheckPowerOnRequestType.md)
 - [CheckProfileComplianceRequestType](docs/CheckProfileComplianceRequestType.md)
 - [CheckRelocateRequestType](docs/CheckRelocateRequestType.md)
 - [CheckResult](docs/CheckResult.md)
 - [CheckTestTypeEnum](docs/CheckTestTypeEnum.md)
 - [CheckVmConfigRequestType](docs/CheckVmConfigRequestType.md)
 - [ChoiceOption](docs/ChoiceOption.md)
 - [ClearComplianceStatusRequestType](docs/ClearComplianceStatusRequestType.md)
 - [ClearTriggeredAlarmsRequestType](docs/ClearTriggeredAlarmsRequestType.md)
 - [ClearVStorageObjectControlFlagsRequestType](docs/ClearVStorageObjectControlFlagsRequestType.md)
 - [ClockSkew](docs/ClockSkew.md)
 - [CloneFromSnapshotNotSupported](docs/CloneFromSnapshotNotSupported.md)
 - [CloneSessionRequestType](docs/CloneSessionRequestType.md)
 - [CloneVAppRequestType](docs/CloneVAppRequestType.md)
 - [CloneVMRequestType](docs/CloneVMRequestType.md)
 - [CloneVStorageObjectRequestType](docs/CloneVStorageObjectRequestType.md)
 - [CloseInventoryViewFolderRequestType](docs/CloseInventoryViewFolderRequestType.md)
 - [ClusterAction](docs/ClusterAction.md)
 - [ClusterActionHistory](docs/ClusterActionHistory.md)
 - [ClusterAffinityRuleSpec](docs/ClusterAffinityRuleSpec.md)
 - [ClusterAntiAffinityRuleSpec](docs/ClusterAntiAffinityRuleSpec.md)
 - [ClusterAttemptedVmInfo](docs/ClusterAttemptedVmInfo.md)
 - [ClusterClusterInitialPlacementAction](docs/ClusterClusterInitialPlacementAction.md)
 - [ClusterComplianceCheckedEvent](docs/ClusterComplianceCheckedEvent.md)
 - [ClusterComputeResourceClusterConfigResult](docs/ClusterComputeResourceClusterConfigResult.md)
 - [ClusterComputeResourceDVSConfigurationValidation](docs/ClusterComputeResourceDVSConfigurationValidation.md)
 - [ClusterComputeResourceDVSSetting](docs/ClusterComputeResourceDVSSetting.md)
 - [ClusterComputeResourceDVSSettingDVPortgroupToServiceMapping](docs/ClusterComputeResourceDVSSettingDVPortgroupToServiceMapping.md)
 - [ClusterComputeResourceDvsProfile](docs/ClusterComputeResourceDvsProfile.md)
 - [ClusterComputeResourceDvsProfileDVPortgroupSpecToServiceMapping](docs/ClusterComputeResourceDvsProfileDVPortgroupSpecToServiceMapping.md)
 - [ClusterComputeResourceHCIConfigInfo](docs/ClusterComputeResourceHCIConfigInfo.md)
 - [ClusterComputeResourceHCIConfigSpec](docs/ClusterComputeResourceHCIConfigSpec.md)
 - [ClusterComputeResourceHCIWorkflowStateEnum](docs/ClusterComputeResourceHCIWorkflowStateEnum.md)
 - [ClusterComputeResourceHostConfigurationInput](docs/ClusterComputeResourceHostConfigurationInput.md)
 - [ClusterComputeResourceHostConfigurationProfile](docs/ClusterComputeResourceHostConfigurationProfile.md)
 - [ClusterComputeResourceHostConfigurationValidation](docs/ClusterComputeResourceHostConfigurationValidation.md)
 - [ClusterComputeResourceHostVmkNicInfo](docs/ClusterComputeResourceHostVmkNicInfo.md)
 - [ClusterComputeResourceSummary](docs/ClusterComputeResourceSummary.md)
 - [ClusterComputeResourceVCProfile](docs/ClusterComputeResourceVCProfile.md)
 - [ClusterComputeResourceValidationResultBase](docs/ClusterComputeResourceValidationResultBase.md)
 - [ClusterComputeResourceVcsHealthStatusEnum](docs/ClusterComputeResourceVcsHealthStatusEnum.md)
 - [ClusterComputeResourceVcsSlots](docs/ClusterComputeResourceVcsSlots.md)
 - [ClusterConfigInfo](docs/ClusterConfigInfo.md)
 - [ClusterConfigInfoEx](docs/ClusterConfigInfoEx.md)
 - [ClusterConfigSpec](docs/ClusterConfigSpec.md)
 - [ClusterConfigSpecEx](docs/ClusterConfigSpecEx.md)
 - [ClusterCreatedEvent](docs/ClusterCreatedEvent.md)
 - [ClusterCryptoConfigInfo](docs/ClusterCryptoConfigInfo.md)
 - [ClusterCryptoConfigInfoCryptoModeEnum](docs/ClusterCryptoConfigInfoCryptoModeEnum.md)
 - [ClusterDasAamHostInfo](docs/ClusterDasAamHostInfo.md)
 - [ClusterDasAamNodeState](docs/ClusterDasAamNodeState.md)
 - [ClusterDasAamNodeStateDasStateEnum](docs/ClusterDasAamNodeStateDasStateEnum.md)
 - [ClusterDasAdmissionControlInfo](docs/ClusterDasAdmissionControlInfo.md)
 - [ClusterDasAdmissionControlPolicy](docs/ClusterDasAdmissionControlPolicy.md)
 - [ClusterDasAdvancedRuntimeInfo](docs/ClusterDasAdvancedRuntimeInfo.md)
 - [ClusterDasAdvancedRuntimeInfoVmcpCapabilityInfo](docs/ClusterDasAdvancedRuntimeInfoVmcpCapabilityInfo.md)
 - [ClusterDasConfigInfo](docs/ClusterDasConfigInfo.md)
 - [ClusterDasConfigInfoHBDatastoreCandidateEnum](docs/ClusterDasConfigInfoHBDatastoreCandidateEnum.md)
 - [ClusterDasConfigInfoServiceStateEnum](docs/ClusterDasConfigInfoServiceStateEnum.md)
 - [ClusterDasConfigInfoVmMonitoringStateEnum](docs/ClusterDasConfigInfoVmMonitoringStateEnum.md)
 - [ClusterDasData](docs/ClusterDasData.md)
 - [ClusterDasDataSummary](docs/ClusterDasDataSummary.md)
 - [ClusterDasFailoverLevelAdvancedRuntimeInfo](docs/ClusterDasFailoverLevelAdvancedRuntimeInfo.md)
 - [ClusterDasFailoverLevelAdvancedRuntimeInfoHostSlots](docs/ClusterDasFailoverLevelAdvancedRuntimeInfoHostSlots.md)
 - [ClusterDasFailoverLevelAdvancedRuntimeInfoSlotInfo](docs/ClusterDasFailoverLevelAdvancedRuntimeInfoSlotInfo.md)
 - [ClusterDasFailoverLevelAdvancedRuntimeInfoVmSlots](docs/ClusterDasFailoverLevelAdvancedRuntimeInfoVmSlots.md)
 - [ClusterDasFdmAvailabilityStateEnum](docs/ClusterDasFdmAvailabilityStateEnum.md)
 - [ClusterDasFdmHostState](docs/ClusterDasFdmHostState.md)
 - [ClusterDasHostInfo](docs/ClusterDasHostInfo.md)
 - [ClusterDasHostRecommendation](docs/ClusterDasHostRecommendation.md)
 - [ClusterDasVmConfigInfo](docs/ClusterDasVmConfigInfo.md)
 - [ClusterDasVmConfigSpec](docs/ClusterDasVmConfigSpec.md)
 - [ClusterDasVmSettings](docs/ClusterDasVmSettings.md)
 - [ClusterDasVmSettingsIsolationResponseEnum](docs/ClusterDasVmSettingsIsolationResponseEnum.md)
 - [ClusterDasVmSettingsRestartPriorityEnum](docs/ClusterDasVmSettingsRestartPriorityEnum.md)
 - [ClusterDatastoreUpdateSpec](docs/ClusterDatastoreUpdateSpec.md)
 - [ClusterDependencyRuleInfo](docs/ClusterDependencyRuleInfo.md)
 - [ClusterDestroyedEvent](docs/ClusterDestroyedEvent.md)
 - [ClusterDpmConfigInfo](docs/ClusterDpmConfigInfo.md)
 - [ClusterDpmHostConfigInfo](docs/ClusterDpmHostConfigInfo.md)
 - [ClusterDpmHostConfigSpec](docs/ClusterDpmHostConfigSpec.md)
 - [ClusterDrsConfigInfo](docs/ClusterDrsConfigInfo.md)
 - [ClusterDrsFaults](docs/ClusterDrsFaults.md)
 - [ClusterDrsFaultsFaultsByVirtualDisk](docs/ClusterDrsFaultsFaultsByVirtualDisk.md)
 - [ClusterDrsFaultsFaultsByVm](docs/ClusterDrsFaultsFaultsByVm.md)
 - [ClusterDrsMigration](docs/ClusterDrsMigration.md)
 - [ClusterDrsRecommendation](docs/ClusterDrsRecommendation.md)
 - [ClusterDrsVmConfigInfo](docs/ClusterDrsVmConfigInfo.md)
 - [ClusterDrsVmConfigSpec](docs/ClusterDrsVmConfigSpec.md)
 - [ClusterEVCManagerCheckResult](docs/ClusterEVCManagerCheckResult.md)
 - [ClusterEVCManagerEVCState](docs/ClusterEVCManagerEVCState.md)
 - [ClusterEnterMaintenanceModeRequestType](docs/ClusterEnterMaintenanceModeRequestType.md)
 - [ClusterEnterMaintenanceResult](docs/ClusterEnterMaintenanceResult.md)
 - [ClusterEvent](docs/ClusterEvent.md)
 - [ClusterFailoverHostAdmissionControlInfo](docs/ClusterFailoverHostAdmissionControlInfo.md)
 - [ClusterFailoverHostAdmissionControlInfoHostStatus](docs/ClusterFailoverHostAdmissionControlInfoHostStatus.md)
 - [ClusterFailoverHostAdmissionControlPolicy](docs/ClusterFailoverHostAdmissionControlPolicy.md)
 - [ClusterFailoverLevelAdmissionControlInfo](docs/ClusterFailoverLevelAdmissionControlInfo.md)
 - [ClusterFailoverLevelAdmissionControlPolicy](docs/ClusterFailoverLevelAdmissionControlPolicy.md)
 - [ClusterFailoverResourcesAdmissionControlInfo](docs/ClusterFailoverResourcesAdmissionControlInfo.md)
 - [ClusterFailoverResourcesAdmissionControlPolicy](docs/ClusterFailoverResourcesAdmissionControlPolicy.md)
 - [ClusterFixedSizeSlotPolicy](docs/ClusterFixedSizeSlotPolicy.md)
 - [ClusterGroupInfo](docs/ClusterGroupInfo.md)
 - [ClusterGroupSpec](docs/ClusterGroupSpec.md)
 - [ClusterHostGroup](docs/ClusterHostGroup.md)
 - [ClusterHostInfraUpdateHaModeAction](docs/ClusterHostInfraUpdateHaModeAction.md)
 - [ClusterHostInfraUpdateHaModeActionOperationTypeEnum](docs/ClusterHostInfraUpdateHaModeActionOperationTypeEnum.md)
 - [ClusterHostPowerAction](docs/ClusterHostPowerAction.md)
 - [ClusterHostRecommendation](docs/ClusterHostRecommendation.md)
 - [ClusterInfraUpdateHaConfigInfo](docs/ClusterInfraUpdateHaConfigInfo.md)
 - [ClusterInfraUpdateHaConfigInfoBehaviorTypeEnum](docs/ClusterInfraUpdateHaConfigInfoBehaviorTypeEnum.md)
 - [ClusterInfraUpdateHaConfigInfoRemediationTypeEnum](docs/ClusterInfraUpdateHaConfigInfoRemediationTypeEnum.md)
 - [ClusterInitialPlacementAction](docs/ClusterInitialPlacementAction.md)
 - [ClusterIoFilterInfo](docs/ClusterIoFilterInfo.md)
 - [ClusterMigrationAction](docs/ClusterMigrationAction.md)
 - [ClusterNetworkConfigSpec](docs/ClusterNetworkConfigSpec.md)
 - [ClusterNotAttemptedVmInfo](docs/ClusterNotAttemptedVmInfo.md)
 - [ClusterOrchestrationInfo](docs/ClusterOrchestrationInfo.md)
 - [ClusterOvercommittedEvent](docs/ClusterOvercommittedEvent.md)
 - [ClusterPowerOnVmOptionEnum](docs/ClusterPowerOnVmOptionEnum.md)
 - [ClusterPowerOnVmResult](docs/ClusterPowerOnVmResult.md)
 - [ClusterPreemptibleVmPairInfo](docs/ClusterPreemptibleVmPairInfo.md)
 - [ClusterPreemptibleVmPairSpec](docs/ClusterPreemptibleVmPairSpec.md)
 - [ClusterProactiveDrsConfigInfo](docs/ClusterProactiveDrsConfigInfo.md)
 - [ClusterProfileCompleteConfigSpec](docs/ClusterProfileCompleteConfigSpec.md)
 - [ClusterProfileConfigInfo](docs/ClusterProfileConfigInfo.md)
 - [ClusterProfileConfigServiceCreateSpec](docs/ClusterProfileConfigServiceCreateSpec.md)
 - [ClusterProfileConfigSpec](docs/ClusterProfileConfigSpec.md)
 - [ClusterProfileCreateSpec](docs/ClusterProfileCreateSpec.md)
 - [ClusterProfileServiceTypeEnum](docs/ClusterProfileServiceTypeEnum.md)
 - [ClusterRecommendation](docs/ClusterRecommendation.md)
 - [ClusterReconfiguredEvent](docs/ClusterReconfiguredEvent.md)
 - [ClusterResourceUsageSummary](docs/ClusterResourceUsageSummary.md)
 - [ClusterRuleInfo](docs/ClusterRuleInfo.md)
 - [ClusterRuleSpec](docs/ClusterRuleSpec.md)
 - [ClusterSlotPolicy](docs/ClusterSlotPolicy.md)
 - [ClusterStatusChangedEvent](docs/ClusterStatusChangedEvent.md)
 - [ClusterSystemVMsConfigInfo](docs/ClusterSystemVMsConfigInfo.md)
 - [ClusterSystemVMsConfigSpec](docs/ClusterSystemVMsConfigSpec.md)
 - [ClusterTagCategoryUpdateSpec](docs/ClusterTagCategoryUpdateSpec.md)
 - [ClusterUsageSummary](docs/ClusterUsageSummary.md)
 - [ClusterVmComponentProtectionSettings](docs/ClusterVmComponentProtectionSettings.md)
 - [ClusterVmComponentProtectionSettingsStorageVmReactionEnum](docs/ClusterVmComponentProtectionSettingsStorageVmReactionEnum.md)
 - [ClusterVmComponentProtectionSettingsVmReactionOnAPDClearedEnum](docs/ClusterVmComponentProtectionSettingsVmReactionOnAPDClearedEnum.md)
 - [ClusterVmGroup](docs/ClusterVmGroup.md)
 - [ClusterVmHostRuleInfo](docs/ClusterVmHostRuleInfo.md)
 - [ClusterVmOrchestrationInfo](docs/ClusterVmOrchestrationInfo.md)
 - [ClusterVmOrchestrationSpec](docs/ClusterVmOrchestrationSpec.md)
 - [ClusterVmReadiness](docs/ClusterVmReadiness.md)
 - [ClusterVmReadinessReadyConditionEnum](docs/ClusterVmReadinessReadyConditionEnum.md)
 - [ClusterVmToolsMonitoringSettings](docs/ClusterVmToolsMonitoringSettings.md)
 - [CollectorAddressUnset](docs/CollectorAddressUnset.md)
 - [ComplianceFailure](docs/ComplianceFailure.md)
 - [ComplianceFailureComplianceFailureValues](docs/ComplianceFailureComplianceFailureValues.md)
 - [ComplianceLocator](docs/ComplianceLocator.md)
 - [ComplianceProfile](docs/ComplianceProfile.md)
 - [ComplianceResult](docs/ComplianceResult.md)
 - [ComplianceResultStatusEnum](docs/ComplianceResultStatusEnum.md)
 - [CompositeHostProfileRequestType](docs/CompositeHostProfileRequestType.md)
 - [CompositePolicyOption](docs/CompositePolicyOption.md)
 - [ComputeDiskPartitionInfoForResizeRequestType](docs/ComputeDiskPartitionInfoForResizeRequestType.md)
 - [ComputeDiskPartitionInfoRequestType](docs/ComputeDiskPartitionInfoRequestType.md)
 - [ComputeResourceConfigInfo](docs/ComputeResourceConfigInfo.md)
 - [ComputeResourceConfigSpec](docs/ComputeResourceConfigSpec.md)
 - [ComputeResourceEventArgument](docs/ComputeResourceEventArgument.md)
 - [ComputeResourceHostSPBMLicenseInfo](docs/ComputeResourceHostSPBMLicenseInfo.md)
 - [ComputeResourceHostSPBMLicenseInfoHostSPBMLicenseState](docs/ComputeResourceHostSPBMLicenseInfoHostSPBMLicenseState.md)
 - [ComputeResourceHostSPBMLicenseInfoHostSPBMLicenseStateEnum](docs/ComputeResourceHostSPBMLicenseInfoHostSPBMLicenseStateEnum.md)
 - [ComputeResourceHostSeedSpecSingleHostSpec](docs/ComputeResourceHostSeedSpecSingleHostSpec.md)
 - [ComputeResourceSummary](docs/ComputeResourceSummary.md)
 - [ConcurrentAccess](docs/ConcurrentAccess.md)
 - [ConfigSpecOperationEnum](docs/ConfigSpecOperationEnum.md)
 - [ConfigTarget](docs/ConfigTarget.md)
 - [ConfigureCryptoKeyRequestType](docs/ConfigureCryptoKeyRequestType.md)
 - [ConfigureDatastoreIORMRequestType](docs/ConfigureDatastoreIORMRequestType.md)
 - [ConfigureDatastorePrincipalRequestType](docs/ConfigureDatastorePrincipalRequestType.md)
 - [ConfigureEvcModeRequestType](docs/ConfigureEvcModeRequestType.md)
 - [ConfigureHCIRequestType](docs/ConfigureHCIRequestType.md)
 - [ConfigureHostCacheRequestType](docs/ConfigureHostCacheRequestType.md)
 - [ConfigureLicenseSourceRequestType](docs/ConfigureLicenseSourceRequestType.md)
 - [ConfigurePowerPolicyRequestType](docs/ConfigurePowerPolicyRequestType.md)
 - [ConfigureStorageDrsForPodRequestType](docs/ConfigureStorageDrsForPodRequestType.md)
 - [ConfigureVFlashResourceExRequestType](docs/ConfigureVFlashResourceExRequestType.md)
 - [ConfigureVchaRequestType](docs/ConfigureVchaRequestType.md)
 - [ConflictingConfiguration](docs/ConflictingConfiguration.md)
 - [ConflictingConfigurationConfig](docs/ConflictingConfigurationConfig.md)
 - [ConflictingDatastoreFound](docs/ConflictingDatastoreFound.md)
 - [ConnectNvmeControllerExRequestType](docs/ConnectNvmeControllerExRequestType.md)
 - [ConnectNvmeControllerRequestType](docs/ConnectNvmeControllerRequestType.md)
 - [ConnectedIso](docs/ConnectedIso.md)
 - [ContinueRetrievePropertiesExRequestType](docs/ContinueRetrievePropertiesExRequestType.md)
 - [ConvertNamespacePathToUuidPathRequestType](docs/ConvertNamespacePathToUuidPathRequestType.md)
 - [CopyDatastoreFileRequestType](docs/CopyDatastoreFileRequestType.md)
 - [CopyVirtualDiskRequestType](docs/CopyVirtualDiskRequestType.md)
 - [CpuCompatibilityUnknown](docs/CpuCompatibilityUnknown.md)
 - [CpuHotPlugNotSupported](docs/CpuHotPlugNotSupported.md)
 - [CpuIncompatible](docs/CpuIncompatible.md)
 - [CpuIncompatible1ECX](docs/CpuIncompatible1ECX.md)
 - [CpuIncompatible81EDX](docs/CpuIncompatible81EDX.md)
 - [CreateAlarmRequestType](docs/CreateAlarmRequestType.md)
 - [CreateChildVMRequestType](docs/CreateChildVMRequestType.md)
 - [CreateClusterExRequestType](docs/CreateClusterExRequestType.md)
 - [CreateClusterRequestType](docs/CreateClusterRequestType.md)
 - [CreateCollectorForEventsRequestType](docs/CreateCollectorForEventsRequestType.md)
 - [CreateCollectorForTasksRequestType](docs/CreateCollectorForTasksRequestType.md)
 - [CreateContainerViewRequestType](docs/CreateContainerViewRequestType.md)
 - [CreateCustomizationSpecRequestType](docs/CreateCustomizationSpecRequestType.md)
 - [CreateDVPortgroupRequestType](docs/CreateDVPortgroupRequestType.md)
 - [CreateDVSRequestType](docs/CreateDVSRequestType.md)
 - [CreateDatacenterRequestType](docs/CreateDatacenterRequestType.md)
 - [CreateDefaultProfileRequestType](docs/CreateDefaultProfileRequestType.md)
 - [CreateDescriptorRequestType](docs/CreateDescriptorRequestType.md)
 - [CreateDiagnosticPartitionRequestType](docs/CreateDiagnosticPartitionRequestType.md)
 - [CreateDirectoryRequestType](docs/CreateDirectoryRequestType.md)
 - [CreateDiskFromSnapshotRequestType](docs/CreateDiskFromSnapshotRequestType.md)
 - [CreateDiskRequestType](docs/CreateDiskRequestType.md)
 - [CreateFilterRequestType](docs/CreateFilterRequestType.md)
 - [CreateFolderRequestType](docs/CreateFolderRequestType.md)
 - [CreateGroupRequestType](docs/CreateGroupRequestType.md)
 - [CreateImportSpecRequestType](docs/CreateImportSpecRequestType.md)
 - [CreateIpPoolRequestType](docs/CreateIpPoolRequestType.md)
 - [CreateListViewFromViewRequestType](docs/CreateListViewFromViewRequestType.md)
 - [CreateListViewRequestType](docs/CreateListViewRequestType.md)
 - [CreateLocalDatastoreRequestType](docs/CreateLocalDatastoreRequestType.md)
 - [CreateNasDatastoreRequestType](docs/CreateNasDatastoreRequestType.md)
 - [CreateNvdimmNamespaceRequestType](docs/CreateNvdimmNamespaceRequestType.md)
 - [CreateNvdimmPMemNamespaceRequestType](docs/CreateNvdimmPMemNamespaceRequestType.md)
 - [CreateNvmeOverRdmaAdapterRequestType](docs/CreateNvmeOverRdmaAdapterRequestType.md)
 - [CreateObjectScheduledTaskRequestType](docs/CreateObjectScheduledTaskRequestType.md)
 - [CreatePassiveNodeRequestType](docs/CreatePassiveNodeRequestType.md)
 - [CreatePerfIntervalRequestType](docs/CreatePerfIntervalRequestType.md)
 - [CreateProfileRequestType](docs/CreateProfileRequestType.md)
 - [CreateRegistryKeyInGuestRequestType](docs/CreateRegistryKeyInGuestRequestType.md)
 - [CreateResourcePoolRequestType](docs/CreateResourcePoolRequestType.md)
 - [CreateScheduledTaskRequestType](docs/CreateScheduledTaskRequestType.md)
 - [CreateSecondaryVMExRequestType](docs/CreateSecondaryVMExRequestType.md)
 - [CreateSecondaryVMRequestType](docs/CreateSecondaryVMRequestType.md)
 - [CreateSnapshotExRequestType](docs/CreateSnapshotExRequestType.md)
 - [CreateSnapshotRequestType](docs/CreateSnapshotRequestType.md)
 - [CreateSoftwareAdapterRequestType](docs/CreateSoftwareAdapterRequestType.md)
 - [CreateStoragePodRequestType](docs/CreateStoragePodRequestType.md)
 - [CreateTaskAction](docs/CreateTaskAction.md)
 - [CreateTaskRequestType](docs/CreateTaskRequestType.md)
 - [CreateTemporaryDirectoryInGuestRequestType](docs/CreateTemporaryDirectoryInGuestRequestType.md)
 - [CreateTemporaryFileInGuestRequestType](docs/CreateTemporaryFileInGuestRequestType.md)
 - [CreateUserRequestType](docs/CreateUserRequestType.md)
 - [CreateVAppRequestType](docs/CreateVAppRequestType.md)
 - [CreateVMRequestType](docs/CreateVMRequestType.md)
 - [CreateVirtualDiskRequestType](docs/CreateVirtualDiskRequestType.md)
 - [CreateVmfsDatastoreRequestType](docs/CreateVmfsDatastoreRequestType.md)
 - [CreateVvolDatastoreRequestType](docs/CreateVvolDatastoreRequestType.md)
 - [CreateWitnessNodeRequestType](docs/CreateWitnessNodeRequestType.md)
 - [CryptoKeyId](docs/CryptoKeyId.md)
 - [CryptoKeyPlain](docs/CryptoKeyPlain.md)
 - [CryptoKeyResult](docs/CryptoKeyResult.md)
 - [CryptoManagerHostEnableRequestType](docs/CryptoManagerHostEnableRequestType.md)
 - [CryptoManagerHostKeyManagementTypeEnum](docs/CryptoManagerHostKeyManagementTypeEnum.md)
 - [CryptoManagerHostKeyStatus](docs/CryptoManagerHostKeyStatus.md)
 - [CryptoManagerKmipCertSignRequest](docs/CryptoManagerKmipCertSignRequest.md)
 - [CryptoManagerKmipCertificateInfo](docs/CryptoManagerKmipCertificateInfo.md)
 - [CryptoManagerKmipClusterStatus](docs/CryptoManagerKmipClusterStatus.md)
 - [CryptoManagerKmipCryptoKeyStatus](docs/CryptoManagerKmipCryptoKeyStatus.md)
 - [CryptoManagerKmipCryptoKeyStatusKeyUnavailableReasonEnum](docs/CryptoManagerKmipCryptoKeyStatusKeyUnavailableReasonEnum.md)
 - [CryptoManagerKmipCustomAttributeSpec](docs/CryptoManagerKmipCustomAttributeSpec.md)
 - [CryptoManagerKmipServerCertInfo](docs/CryptoManagerKmipServerCertInfo.md)
 - [CryptoManagerKmipServerStatus](docs/CryptoManagerKmipServerStatus.md)
 - [CryptoSpec](docs/CryptoSpec.md)
 - [CryptoSpecDecrypt](docs/CryptoSpecDecrypt.md)
 - [CryptoSpecDeepRecrypt](docs/CryptoSpecDeepRecrypt.md)
 - [CryptoSpecEncrypt](docs/CryptoSpecEncrypt.md)
 - [CryptoSpecNoOp](docs/CryptoSpecNoOp.md)
 - [CryptoSpecRegister](docs/CryptoSpecRegister.md)
 - [CryptoSpecShallowRecrypt](docs/CryptoSpecShallowRecrypt.md)
 - [CustomFieldDef](docs/CustomFieldDef.md)
 - [CustomFieldDefAddedEvent](docs/CustomFieldDefAddedEvent.md)
 - [CustomFieldDefEvent](docs/CustomFieldDefEvent.md)
 - [CustomFieldDefRemovedEvent](docs/CustomFieldDefRemovedEvent.md)
 - [CustomFieldDefRenamedEvent](docs/CustomFieldDefRenamedEvent.md)
 - [CustomFieldEvent](docs/CustomFieldEvent.md)
 - [CustomFieldStringValue](docs/CustomFieldStringValue.md)
 - [CustomFieldValue](docs/CustomFieldValue.md)
 - [CustomFieldValueChangedEvent](docs/CustomFieldValueChangedEvent.md)
 - [CustomizationAdapterMapping](docs/CustomizationAdapterMapping.md)
 - [CustomizationAutoIpV6Generator](docs/CustomizationAutoIpV6Generator.md)
 - [CustomizationCloudinitPrep](docs/CustomizationCloudinitPrep.md)
 - [CustomizationCustomIpGenerator](docs/CustomizationCustomIpGenerator.md)
 - [CustomizationCustomIpV6Generator](docs/CustomizationCustomIpV6Generator.md)
 - [CustomizationCustomName](docs/CustomizationCustomName.md)
 - [CustomizationDhcpIpGenerator](docs/CustomizationDhcpIpGenerator.md)
 - [CustomizationDhcpIpV6Generator](docs/CustomizationDhcpIpV6Generator.md)
 - [CustomizationEvent](docs/CustomizationEvent.md)
 - [CustomizationFailed](docs/CustomizationFailed.md)
 - [CustomizationFailedReasonCodeEnum](docs/CustomizationFailedReasonCodeEnum.md)
 - [CustomizationFault](docs/CustomizationFault.md)
 - [CustomizationFixedIp](docs/CustomizationFixedIp.md)
 - [CustomizationFixedIpV6](docs/CustomizationFixedIpV6.md)
 - [CustomizationFixedName](docs/CustomizationFixedName.md)
 - [CustomizationGlobalIPSettings](docs/CustomizationGlobalIPSettings.md)
 - [CustomizationGuiRunOnce](docs/CustomizationGuiRunOnce.md)
 - [CustomizationGuiUnattended](docs/CustomizationGuiUnattended.md)
 - [CustomizationIPSettings](docs/CustomizationIPSettings.md)
 - [CustomizationIPSettingsIpV6AddressSpec](docs/CustomizationIPSettingsIpV6AddressSpec.md)
 - [CustomizationIdentification](docs/CustomizationIdentification.md)
 - [CustomizationIdentitySettings](docs/CustomizationIdentitySettings.md)
 - [CustomizationIpGenerator](docs/CustomizationIpGenerator.md)
 - [CustomizationIpV6Generator](docs/CustomizationIpV6Generator.md)
 - [CustomizationLicenseDataMode](docs/CustomizationLicenseDataMode.md)
 - [CustomizationLicenseDataModeEnum](docs/CustomizationLicenseDataModeEnum.md)
 - [CustomizationLicenseFilePrintData](docs/CustomizationLicenseFilePrintData.md)
 - [CustomizationLinuxIdentityFailed](docs/CustomizationLinuxIdentityFailed.md)
 - [CustomizationLinuxOptions](docs/CustomizationLinuxOptions.md)
 - [CustomizationLinuxPrep](docs/CustomizationLinuxPrep.md)
 - [CustomizationName](docs/CustomizationName.md)
 - [CustomizationNetBIOSMode](docs/CustomizationNetBIOSMode.md)
 - [CustomizationNetBIOSModeEnum](docs/CustomizationNetBIOSModeEnum.md)
 - [CustomizationNetworkSetupFailed](docs/CustomizationNetworkSetupFailed.md)
 - [CustomizationOptions](docs/CustomizationOptions.md)
 - [CustomizationPassword](docs/CustomizationPassword.md)
 - [CustomizationPending](docs/CustomizationPending.md)
 - [CustomizationPrefixName](docs/CustomizationPrefixName.md)
 - [CustomizationSpec](docs/CustomizationSpec.md)
 - [CustomizationSpecInfo](docs/CustomizationSpecInfo.md)
 - [CustomizationSpecItem](docs/CustomizationSpecItem.md)
 - [CustomizationSpecItemToXmlRequestType](docs/CustomizationSpecItemToXmlRequestType.md)
 - [CustomizationStartedEvent](docs/CustomizationStartedEvent.md)
 - [CustomizationStatelessIpV6Generator](docs/CustomizationStatelessIpV6Generator.md)
 - [CustomizationSucceeded](docs/CustomizationSucceeded.md)
 - [CustomizationSysprep](docs/CustomizationSysprep.md)
 - [CustomizationSysprepFailed](docs/CustomizationSysprepFailed.md)
 - [CustomizationSysprepRebootOption](docs/CustomizationSysprepRebootOption.md)
 - [CustomizationSysprepRebootOptionEnum](docs/CustomizationSysprepRebootOptionEnum.md)
 - [CustomizationSysprepText](docs/CustomizationSysprepText.md)
 - [CustomizationUnknownFailure](docs/CustomizationUnknownFailure.md)
 - [CustomizationUnknownIpGenerator](docs/CustomizationUnknownIpGenerator.md)
 - [CustomizationUnknownIpV6Generator](docs/CustomizationUnknownIpV6Generator.md)
 - [CustomizationUnknownName](docs/CustomizationUnknownName.md)
 - [CustomizationUserData](docs/CustomizationUserData.md)
 - [CustomizationVirtualMachineName](docs/CustomizationVirtualMachineName.md)
 - [CustomizationWinOptions](docs/CustomizationWinOptions.md)
 - [CustomizeGuestRequestType](docs/CustomizeGuestRequestType.md)
 - [CustomizeVMRequestType](docs/CustomizeVMRequestType.md)
 - [DVPortConfigInfo](docs/DVPortConfigInfo.md)
 - [DVPortConfigSpec](docs/DVPortConfigSpec.md)
 - [DVPortNotSupported](docs/DVPortNotSupported.md)
 - [DVPortSetting](docs/DVPortSetting.md)
 - [DVPortState](docs/DVPortState.md)
 - [DVPortStatus](docs/DVPortStatus.md)
 - [DVPortStatusVmDirectPathGen2InactiveReasonNetworkEnum](docs/DVPortStatusVmDirectPathGen2InactiveReasonNetworkEnum.md)
 - [DVPortStatusVmDirectPathGen2InactiveReasonOtherEnum](docs/DVPortStatusVmDirectPathGen2InactiveReasonOtherEnum.md)
 - [DVPortgroupConfigInfo](docs/DVPortgroupConfigInfo.md)
 - [DVPortgroupConfigSpec](docs/DVPortgroupConfigSpec.md)
 - [DVPortgroupCreatedEvent](docs/DVPortgroupCreatedEvent.md)
 - [DVPortgroupDestroyedEvent](docs/DVPortgroupDestroyedEvent.md)
 - [DVPortgroupEvent](docs/DVPortgroupEvent.md)
 - [DVPortgroupPolicy](docs/DVPortgroupPolicy.md)
 - [DVPortgroupReconfiguredEvent](docs/DVPortgroupReconfiguredEvent.md)
 - [DVPortgroupRenamedEvent](docs/DVPortgroupRenamedEvent.md)
 - [DVPortgroupRollbackRequestType](docs/DVPortgroupRollbackRequestType.md)
 - [DVPortgroupSelection](docs/DVPortgroupSelection.md)
 - [DVSBackupRestoreCapability](docs/DVSBackupRestoreCapability.md)
 - [DVSCapability](docs/DVSCapability.md)
 - [DVSConfigInfo](docs/DVSConfigInfo.md)
 - [DVSConfigSpec](docs/DVSConfigSpec.md)
 - [DVSContactInfo](docs/DVSContactInfo.md)
 - [DVSCreateSpec](docs/DVSCreateSpec.md)
 - [DVSFailureCriteria](docs/DVSFailureCriteria.md)
 - [DVSFeatureCapability](docs/DVSFeatureCapability.md)
 - [DVSHealthCheckCapability](docs/DVSHealthCheckCapability.md)
 - [DVSHealthCheckConfig](docs/DVSHealthCheckConfig.md)
 - [DVSHostLocalPortInfo](docs/DVSHostLocalPortInfo.md)
 - [DVSMacLearningPolicy](docs/DVSMacLearningPolicy.md)
 - [DVSMacLimitPolicyTypeEnum](docs/DVSMacLimitPolicyTypeEnum.md)
 - [DVSMacManagementPolicy](docs/DVSMacManagementPolicy.md)
 - [DVSManagerDvsConfigTarget](docs/DVSManagerDvsConfigTarget.md)
 - [DVSManagerExportEntityRequestType](docs/DVSManagerExportEntityRequestType.md)
 - [DVSManagerImportEntityRequestType](docs/DVSManagerImportEntityRequestType.md)
 - [DVSManagerLookupDvPortGroupRequestType](docs/DVSManagerLookupDvPortGroupRequestType.md)
 - [DVSManagerPhysicalNicsList](docs/DVSManagerPhysicalNicsList.md)
 - [DVSNameArrayUplinkPortPolicy](docs/DVSNameArrayUplinkPortPolicy.md)
 - [DVSNetworkResourceManagementCapability](docs/DVSNetworkResourceManagementCapability.md)
 - [DVSNetworkResourcePool](docs/DVSNetworkResourcePool.md)
 - [DVSNetworkResourcePoolAllocationInfo](docs/DVSNetworkResourcePoolAllocationInfo.md)
 - [DVSNetworkResourcePoolConfigSpec](docs/DVSNetworkResourcePoolConfigSpec.md)
 - [DVSPolicy](docs/DVSPolicy.md)
 - [DVSRollbackCapability](docs/DVSRollbackCapability.md)
 - [DVSRollbackRequestType](docs/DVSRollbackRequestType.md)
 - [DVSRuntimeInfo](docs/DVSRuntimeInfo.md)
 - [DVSSecurityPolicy](docs/DVSSecurityPolicy.md)
 - [DVSSelection](docs/DVSSelection.md)
 - [DVSSummary](docs/DVSSummary.md)
 - [DVSTrafficShapingPolicy](docs/DVSTrafficShapingPolicy.md)
 - [DVSUplinkPortPolicy](docs/DVSUplinkPortPolicy.md)
 - [DVSVendorSpecificConfig](docs/DVSVendorSpecificConfig.md)
 - [DVSVmVnicNetworkResourcePool](docs/DVSVmVnicNetworkResourcePool.md)
 - [DailyTaskScheduler](docs/DailyTaskScheduler.md)
 - [DasAdmissionControlDisabledEvent](docs/DasAdmissionControlDisabledEvent.md)
 - [DasAdmissionControlEnabledEvent](docs/DasAdmissionControlEnabledEvent.md)
 - [DasAgentFoundEvent](docs/DasAgentFoundEvent.md)
 - [DasAgentUnavailableEvent](docs/DasAgentUnavailableEvent.md)
 - [DasClusterIsolatedEvent](docs/DasClusterIsolatedEvent.md)
 - [DasConfigFault](docs/DasConfigFault.md)
 - [DasConfigFaultDasConfigFaultReasonEnum](docs/DasConfigFaultDasConfigFaultReasonEnum.md)
 - [DasDisabledEvent](docs/DasDisabledEvent.md)
 - [DasEnabledEvent](docs/DasEnabledEvent.md)
 - [DasHeartbeatDatastoreInfo](docs/DasHeartbeatDatastoreInfo.md)
 - [DasHostFailedEvent](docs/DasHostFailedEvent.md)
 - [DasHostIsolatedEvent](docs/DasHostIsolatedEvent.md)
 - [DasVmPriority](docs/DasVmPriority.md)
 - [DasVmPriorityEnum](docs/DasVmPriorityEnum.md)
 - [DataObject](docs/DataObject.md)
 - [DatabaseError](docs/DatabaseError.md)
 - [DatabaseSizeEstimate](docs/DatabaseSizeEstimate.md)
 - [DatabaseSizeParam](docs/DatabaseSizeParam.md)
 - [DatacenterBasicConnectInfo](docs/DatacenterBasicConnectInfo.md)
 - [DatacenterConfigInfo](docs/DatacenterConfigInfo.md)
 - [DatacenterConfigSpec](docs/DatacenterConfigSpec.md)
 - [DatacenterCreatedEvent](docs/DatacenterCreatedEvent.md)
 - [DatacenterEvent](docs/DatacenterEvent.md)
 - [DatacenterEventArgument](docs/DatacenterEventArgument.md)
 - [DatacenterMismatch](docs/DatacenterMismatch.md)
 - [DatacenterMismatchArgument](docs/DatacenterMismatchArgument.md)
 - [DatacenterRenamedEvent](docs/DatacenterRenamedEvent.md)
 - [DatastoreAccessible](docs/DatastoreAccessible.md)
 - [DatastoreAccessibleEnum](docs/DatastoreAccessibleEnum.md)
 - [DatastoreCapability](docs/DatastoreCapability.md)
 - [DatastoreCapacityIncreasedEvent](docs/DatastoreCapacityIncreasedEvent.md)
 - [DatastoreDestroyedEvent](docs/DatastoreDestroyedEvent.md)
 - [DatastoreDiscoveredEvent](docs/DatastoreDiscoveredEvent.md)
 - [DatastoreDuplicatedEvent](docs/DatastoreDuplicatedEvent.md)
 - [DatastoreEvent](docs/DatastoreEvent.md)
 - [DatastoreEventArgument](docs/DatastoreEventArgument.md)
 - [DatastoreFileCopiedEvent](docs/DatastoreFileCopiedEvent.md)
 - [DatastoreFileDeletedEvent](docs/DatastoreFileDeletedEvent.md)
 - [DatastoreFileEvent](docs/DatastoreFileEvent.md)
 - [DatastoreFileMovedEvent](docs/DatastoreFileMovedEvent.md)
 - [DatastoreHostMount](docs/DatastoreHostMount.md)
 - [DatastoreIORMReconfiguredEvent](docs/DatastoreIORMReconfiguredEvent.md)
 - [DatastoreInfo](docs/DatastoreInfo.md)
 - [DatastoreMountPathDatastorePair](docs/DatastoreMountPathDatastorePair.md)
 - [DatastoreNamespaceManagerDirectoryInfo](docs/DatastoreNamespaceManagerDirectoryInfo.md)
 - [DatastoreNotWritableOnHost](docs/DatastoreNotWritableOnHost.md)
 - [DatastoreOption](docs/DatastoreOption.md)
 - [DatastorePrincipalConfigured](docs/DatastorePrincipalConfigured.md)
 - [DatastoreRemovedOnHostEvent](docs/DatastoreRemovedOnHostEvent.md)
 - [DatastoreRenamedEvent](docs/DatastoreRenamedEvent.md)
 - [DatastoreRenamedOnHostEvent](docs/DatastoreRenamedOnHostEvent.md)
 - [DatastoreSummary](docs/DatastoreSummary.md)
 - [DatastoreSummaryMaintenanceModeStateEnum](docs/DatastoreSummaryMaintenanceModeStateEnum.md)
 - [DatastoreVVolContainerFailoverPair](docs/DatastoreVVolContainerFailoverPair.md)
 - [DateTimeProfile](docs/DateTimeProfile.md)
 - [DayOfWeek](docs/DayOfWeek.md)
 - [DayOfWeekEnum](docs/DayOfWeekEnum.md)
 - [DecodeLicenseRequestType](docs/DecodeLicenseRequestType.md)
 - [DefragmentVirtualDiskRequestType](docs/DefragmentVirtualDiskRequestType.md)
 - [DeleteCustomizationSpecRequestType](docs/DeleteCustomizationSpecRequestType.md)
 - [DeleteDatastoreFileRequestType](docs/DeleteDatastoreFileRequestType.md)
 - [DeleteDirectoryInGuestRequestType](docs/DeleteDirectoryInGuestRequestType.md)
 - [DeleteDirectoryRequestType](docs/DeleteDirectoryRequestType.md)
 - [DeleteFileInGuestRequestType](docs/DeleteFileInGuestRequestType.md)
 - [DeleteFileRequestType](docs/DeleteFileRequestType.md)
 - [DeleteHostSpecificationRequestType](docs/DeleteHostSpecificationRequestType.md)
 - [DeleteHostSubSpecificationRequestType](docs/DeleteHostSubSpecificationRequestType.md)
 - [DeleteNvdimmNamespaceRequestType](docs/DeleteNvdimmNamespaceRequestType.md)
 - [DeleteRegistryKeyInGuestRequestType](docs/DeleteRegistryKeyInGuestRequestType.md)
 - [DeleteRegistryValueInGuestRequestType](docs/DeleteRegistryValueInGuestRequestType.md)
 - [DeleteScsiLunStateRequestType](docs/DeleteScsiLunStateRequestType.md)
 - [DeleteSnapshotRequestType](docs/DeleteSnapshotRequestType.md)
 - [DeleteVStorageObjectExRequestType](docs/DeleteVStorageObjectExRequestType.md)
 - [DeleteVStorageObjectRequestType](docs/DeleteVStorageObjectRequestType.md)
 - [DeleteVffsVolumeStateRequestType](docs/DeleteVffsVolumeStateRequestType.md)
 - [DeleteVirtualDiskRequestType](docs/DeleteVirtualDiskRequestType.md)
 - [DeleteVmfsVolumeStateRequestType](docs/DeleteVmfsVolumeStateRequestType.md)
 - [DeleteVsanObjectsRequestType](docs/DeleteVsanObjectsRequestType.md)
 - [DeltaDiskFormatNotSupported](docs/DeltaDiskFormatNotSupported.md)
 - [DeployVchaRequestType](docs/DeployVchaRequestType.md)
 - [Description](docs/Description.md)
 - [DeselectVnicForNicTypeRequestType](docs/DeselectVnicForNicTypeRequestType.md)
 - [DesiredSoftwareSpec](docs/DesiredSoftwareSpec.md)
 - [DesiredSoftwareSpecBaseImageSpec](docs/DesiredSoftwareSpecBaseImageSpec.md)
 - [DesiredSoftwareSpecComponentSpec](docs/DesiredSoftwareSpecComponentSpec.md)
 - [DesiredSoftwareSpecVendorAddOnSpec](docs/DesiredSoftwareSpecVendorAddOnSpec.md)
 - [DestinationSwitchFull](docs/DestinationSwitchFull.md)
 - [DestinationVsanDisabled](docs/DestinationVsanDisabled.md)
 - [DestroyIpPoolRequestType](docs/DestroyIpPoolRequestType.md)
 - [DestroyVffsRequestType](docs/DestroyVffsRequestType.md)
 - [DetachDiskRequestType](docs/DetachDiskRequestType.md)
 - [DetachScsiLunExRequestType](docs/DetachScsiLunExRequestType.md)
 - [DetachScsiLunRequestType](docs/DetachScsiLunRequestType.md)
 - [DetachTagFromVStorageObjectRequestType](docs/DetachTagFromVStorageObjectRequestType.md)
 - [DeviceBackedVirtualDiskSpec](docs/DeviceBackedVirtualDiskSpec.md)
 - [DeviceBackingNotSupported](docs/DeviceBackingNotSupported.md)
 - [DeviceControllerNotSupported](docs/DeviceControllerNotSupported.md)
 - [DeviceGroupId](docs/DeviceGroupId.md)
 - [DeviceHotPlugNotSupported](docs/DeviceHotPlugNotSupported.md)
 - [DeviceNotFound](docs/DeviceNotFound.md)
 - [DeviceNotSupported](docs/DeviceNotSupported.md)
 - [DeviceNotSupportedReasonEnum](docs/DeviceNotSupportedReasonEnum.md)
 - [DeviceProtocolEnum](docs/DeviceProtocolEnum.md)
 - [DeviceUnsupportedForVmPlatform](docs/DeviceUnsupportedForVmPlatform.md)
 - [DeviceUnsupportedForVmVersion](docs/DeviceUnsupportedForVmVersion.md)
 - [DiagnosticManagerAuditRecordResult](docs/DiagnosticManagerAuditRecordResult.md)
 - [DiagnosticManagerBundleInfo](docs/DiagnosticManagerBundleInfo.md)
 - [DiagnosticManagerLogCreatorEnum](docs/DiagnosticManagerLogCreatorEnum.md)
 - [DiagnosticManagerLogDescriptor](docs/DiagnosticManagerLogDescriptor.md)
 - [DiagnosticManagerLogFormatEnum](docs/DiagnosticManagerLogFormatEnum.md)
 - [DiagnosticManagerLogHeader](docs/DiagnosticManagerLogHeader.md)
 - [DiagnosticPartitionStorageTypeEnum](docs/DiagnosticPartitionStorageTypeEnum.md)
 - [DiagnosticPartitionTypeEnum](docs/DiagnosticPartitionTypeEnum.md)
 - [DigestNotSupported](docs/DigestNotSupported.md)
 - [DirectoryNotEmpty](docs/DirectoryNotEmpty.md)
 - [DisableAdminNotSupported](docs/DisableAdminNotSupported.md)
 - [DisableAlarmRequestType](docs/DisableAlarmRequestType.md)
 - [DisableClusteredVmdkSupportRequestType](docs/DisableClusteredVmdkSupportRequestType.md)
 - [DisableFeatureRequestType](docs/DisableFeatureRequestType.md)
 - [DisableMultipathPathRequestType](docs/DisableMultipathPathRequestType.md)
 - [DisableRulesetRequestType](docs/DisableRulesetRequestType.md)
 - [DisableSecondaryVMRequestType](docs/DisableSecondaryVMRequestType.md)
 - [DisallowedChangeByService](docs/DisallowedChangeByService.md)
 - [DisallowedChangeByServiceDisallowedChangeEnum](docs/DisallowedChangeByServiceDisallowedChangeEnum.md)
 - [DisallowedDiskModeChange](docs/DisallowedDiskModeChange.md)
 - [DisallowedMigrationDeviceAttached](docs/DisallowedMigrationDeviceAttached.md)
 - [DisallowedOperationOnFailoverHost](docs/DisallowedOperationOnFailoverHost.md)
 - [DisconnectNvmeControllerExRequestType](docs/DisconnectNvmeControllerExRequestType.md)
 - [DisconnectNvmeControllerRequestType](docs/DisconnectNvmeControllerRequestType.md)
 - [DisconnectedHostsBlockingEVC](docs/DisconnectedHostsBlockingEVC.md)
 - [DiscoverFcoeHbasRequestType](docs/DiscoverFcoeHbasRequestType.md)
 - [DiscoverNvmeControllersRequestType](docs/DiscoverNvmeControllersRequestType.md)
 - [DiskChangeExtent](docs/DiskChangeExtent.md)
 - [DiskChangeInfo](docs/DiskChangeInfo.md)
 - [DiskCryptoSpec](docs/DiskCryptoSpec.md)
 - [DiskHasPartitions](docs/DiskHasPartitions.md)
 - [DiskIsLastRemainingNonSSD](docs/DiskIsLastRemainingNonSSD.md)
 - [DiskIsNonLocal](docs/DiskIsNonLocal.md)
 - [DiskIsUSB](docs/DiskIsUSB.md)
 - [DiskMoveTypeNotSupported](docs/DiskMoveTypeNotSupported.md)
 - [DiskNotSupported](docs/DiskNotSupported.md)
 - [DiskTooSmall](docs/DiskTooSmall.md)
 - [DissociateProfileRequestType](docs/DissociateProfileRequestType.md)
 - [DistributedVirtualPort](docs/DistributedVirtualPort.md)
 - [DistributedVirtualPortgroupBackingTypeEnum](docs/DistributedVirtualPortgroupBackingTypeEnum.md)
 - [DistributedVirtualPortgroupInfo](docs/DistributedVirtualPortgroupInfo.md)
 - [DistributedVirtualPortgroupMetaTagNameEnum](docs/DistributedVirtualPortgroupMetaTagNameEnum.md)
 - [DistributedVirtualPortgroupNsxPortgroupOperationResult](docs/DistributedVirtualPortgroupNsxPortgroupOperationResult.md)
 - [DistributedVirtualPortgroupPortgroupTypeEnum](docs/DistributedVirtualPortgroupPortgroupTypeEnum.md)
 - [DistributedVirtualPortgroupProblem](docs/DistributedVirtualPortgroupProblem.md)
 - [DistributedVirtualSwitchHostInfrastructureTrafficClassEnum](docs/DistributedVirtualSwitchHostInfrastructureTrafficClassEnum.md)
 - [DistributedVirtualSwitchHostMember](docs/DistributedVirtualSwitchHostMember.md)
 - [DistributedVirtualSwitchHostMemberBacking](docs/DistributedVirtualSwitchHostMemberBacking.md)
 - [DistributedVirtualSwitchHostMemberConfigInfo](docs/DistributedVirtualSwitchHostMemberConfigInfo.md)
 - [DistributedVirtualSwitchHostMemberConfigSpec](docs/DistributedVirtualSwitchHostMemberConfigSpec.md)
 - [DistributedVirtualSwitchHostMemberHostComponentStateEnum](docs/DistributedVirtualSwitchHostMemberHostComponentStateEnum.md)
 - [DistributedVirtualSwitchHostMemberHostUplinkStateStateEnum](docs/DistributedVirtualSwitchHostMemberHostUplinkStateStateEnum.md)
 - [DistributedVirtualSwitchHostMemberPnicBacking](docs/DistributedVirtualSwitchHostMemberPnicBacking.md)
 - [DistributedVirtualSwitchHostMemberPnicSpec](docs/DistributedVirtualSwitchHostMemberPnicSpec.md)
 - [DistributedVirtualSwitchHostMemberRuntimeState](docs/DistributedVirtualSwitchHostMemberRuntimeState.md)
 - [DistributedVirtualSwitchHostMemberTransportZoneInfo](docs/DistributedVirtualSwitchHostMemberTransportZoneInfo.md)
 - [DistributedVirtualSwitchHostMemberTransportZoneTypeEnum](docs/DistributedVirtualSwitchHostMemberTransportZoneTypeEnum.md)
 - [DistributedVirtualSwitchHostProductSpec](docs/DistributedVirtualSwitchHostProductSpec.md)
 - [DistributedVirtualSwitchInfo](docs/DistributedVirtualSwitchInfo.md)
 - [DistributedVirtualSwitchKeyedOpaqueBlob](docs/DistributedVirtualSwitchKeyedOpaqueBlob.md)
 - [DistributedVirtualSwitchManagerCompatibilityResult](docs/DistributedVirtualSwitchManagerCompatibilityResult.md)
 - [DistributedVirtualSwitchManagerDvsProductSpec](docs/DistributedVirtualSwitchManagerDvsProductSpec.md)
 - [DistributedVirtualSwitchManagerHostArrayFilter](docs/DistributedVirtualSwitchManagerHostArrayFilter.md)
 - [DistributedVirtualSwitchManagerHostContainer](docs/DistributedVirtualSwitchManagerHostContainer.md)
 - [DistributedVirtualSwitchManagerHostContainerFilter](docs/DistributedVirtualSwitchManagerHostContainerFilter.md)
 - [DistributedVirtualSwitchManagerHostDvsFilterSpec](docs/DistributedVirtualSwitchManagerHostDvsFilterSpec.md)
 - [DistributedVirtualSwitchManagerHostDvsMembershipFilter](docs/DistributedVirtualSwitchManagerHostDvsMembershipFilter.md)
 - [DistributedVirtualSwitchManagerImportResult](docs/DistributedVirtualSwitchManagerImportResult.md)
 - [DistributedVirtualSwitchNetworkOffloadSpec](docs/DistributedVirtualSwitchNetworkOffloadSpec.md)
 - [DistributedVirtualSwitchNetworkResourceControlVersionEnum](docs/DistributedVirtualSwitchNetworkResourceControlVersionEnum.md)
 - [DistributedVirtualSwitchNicTeamingPolicyModeEnum](docs/DistributedVirtualSwitchNicTeamingPolicyModeEnum.md)
 - [DistributedVirtualSwitchPortConnectee](docs/DistributedVirtualSwitchPortConnectee.md)
 - [DistributedVirtualSwitchPortConnecteeConnecteeTypeEnum](docs/DistributedVirtualSwitchPortConnecteeConnecteeTypeEnum.md)
 - [DistributedVirtualSwitchPortConnection](docs/DistributedVirtualSwitchPortConnection.md)
 - [DistributedVirtualSwitchPortCriteria](docs/DistributedVirtualSwitchPortCriteria.md)
 - [DistributedVirtualSwitchPortStatistics](docs/DistributedVirtualSwitchPortStatistics.md)
 - [DistributedVirtualSwitchProductSpec](docs/DistributedVirtualSwitchProductSpec.md)
 - [DistributedVirtualSwitchProductSpecOperationTypeEnum](docs/DistributedVirtualSwitchProductSpecOperationTypeEnum.md)
 - [DoesCustomizationSpecExistRequestType](docs/DoesCustomizationSpecExistRequestType.md)
 - [DomainNotFound](docs/DomainNotFound.md)
 - [DpmBehavior](docs/DpmBehavior.md)
 - [DpmBehaviorEnum](docs/DpmBehaviorEnum.md)
 - [DpuStatusInfo](docs/DpuStatusInfo.md)
 - [DpuStatusInfoOperationalInfo](docs/DpuStatusInfoOperationalInfo.md)
 - [DropConnectionsRequestType](docs/DropConnectionsRequestType.md)
 - [DrsBehavior](docs/DrsBehavior.md)
 - [DrsBehaviorEnum](docs/DrsBehaviorEnum.md)
 - [DrsDisabledEvent](docs/DrsDisabledEvent.md)
 - [DrsDisabledOnVm](docs/DrsDisabledOnVm.md)
 - [DrsEnabledEvent](docs/DrsEnabledEvent.md)
 - [DrsEnteredStandbyModeEvent](docs/DrsEnteredStandbyModeEvent.md)
 - [DrsEnteringStandbyModeEvent](docs/DrsEnteringStandbyModeEvent.md)
 - [DrsExitStandbyModeFailedEvent](docs/DrsExitStandbyModeFailedEvent.md)
 - [DrsExitedStandbyModeEvent](docs/DrsExitedStandbyModeEvent.md)
 - [DrsExitingStandbyModeEvent](docs/DrsExitingStandbyModeEvent.md)
 - [DrsInjectorWorkloadCorrelationState](docs/DrsInjectorWorkloadCorrelationState.md)
 - [DrsInjectorWorkloadCorrelationStateEnum](docs/DrsInjectorWorkloadCorrelationStateEnum.md)
 - [DrsInvocationFailedEvent](docs/DrsInvocationFailedEvent.md)
 - [DrsRecommendationReasonCodeEnum](docs/DrsRecommendationReasonCodeEnum.md)
 - [DrsRecoveredFromFailureEvent](docs/DrsRecoveredFromFailureEvent.md)
 - [DrsResourceConfigureFailedEvent](docs/DrsResourceConfigureFailedEvent.md)
 - [DrsResourceConfigureSyncedEvent](docs/DrsResourceConfigureSyncedEvent.md)
 - [DrsRuleComplianceEvent](docs/DrsRuleComplianceEvent.md)
 - [DrsRuleViolationEvent](docs/DrsRuleViolationEvent.md)
 - [DrsSoftRuleViolationEvent](docs/DrsSoftRuleViolationEvent.md)
 - [DrsVmMigratedEvent](docs/DrsVmMigratedEvent.md)
 - [DrsVmPoweredOnEvent](docs/DrsVmPoweredOnEvent.md)
 - [DrsVmotionIncompatibleFault](docs/DrsVmotionIncompatibleFault.md)
 - [DuplicateCustomizationSpecRequestType](docs/DuplicateCustomizationSpecRequestType.md)
 - [DuplicateDisks](docs/DuplicateDisks.md)
 - [DuplicateIpDetectedEvent](docs/DuplicateIpDetectedEvent.md)
 - [DuplicateName](docs/DuplicateName.md)
 - [DuplicateVsanNetworkInterface](docs/DuplicateVsanNetworkInterface.md)
 - [DvpgImportEvent](docs/DvpgImportEvent.md)
 - [DvpgRestoreEvent](docs/DvpgRestoreEvent.md)
 - [DvsAcceptNetworkRuleAction](docs/DvsAcceptNetworkRuleAction.md)
 - [DvsApplyOperationFault](docs/DvsApplyOperationFault.md)
 - [DvsApplyOperationFaultFaultOnObject](docs/DvsApplyOperationFaultFaultOnObject.md)
 - [DvsCopyNetworkRuleAction](docs/DvsCopyNetworkRuleAction.md)
 - [DvsCreatedEvent](docs/DvsCreatedEvent.md)
 - [DvsDestroyedEvent](docs/DvsDestroyedEvent.md)
 - [DvsDropNetworkRuleAction](docs/DvsDropNetworkRuleAction.md)
 - [DvsEvent](docs/DvsEvent.md)
 - [DvsEventArgument](docs/DvsEventArgument.md)
 - [DvsEventPortBlockStateEnum](docs/DvsEventPortBlockStateEnum.md)
 - [DvsFault](docs/DvsFault.md)
 - [DvsFilterConfig](docs/DvsFilterConfig.md)
 - [DvsFilterConfigSpec](docs/DvsFilterConfigSpec.md)
 - [DvsFilterOnFailureEnum](docs/DvsFilterOnFailureEnum.md)
 - [DvsFilterParameter](docs/DvsFilterParameter.md)
 - [DvsFilterPolicy](docs/DvsFilterPolicy.md)
 - [DvsGreEncapNetworkRuleAction](docs/DvsGreEncapNetworkRuleAction.md)
 - [DvsHealthStatusChangeEvent](docs/DvsHealthStatusChangeEvent.md)
 - [DvsHostBackInSyncEvent](docs/DvsHostBackInSyncEvent.md)
 - [DvsHostInfrastructureTrafficResource](docs/DvsHostInfrastructureTrafficResource.md)
 - [DvsHostInfrastructureTrafficResourceAllocation](docs/DvsHostInfrastructureTrafficResourceAllocation.md)
 - [DvsHostJoinedEvent](docs/DvsHostJoinedEvent.md)
 - [DvsHostLeftEvent](docs/DvsHostLeftEvent.md)
 - [DvsHostStatusUpdated](docs/DvsHostStatusUpdated.md)
 - [DvsHostVNicProfile](docs/DvsHostVNicProfile.md)
 - [DvsHostWentOutOfSyncEvent](docs/DvsHostWentOutOfSyncEvent.md)
 - [DvsImportEvent](docs/DvsImportEvent.md)
 - [DvsIpNetworkRuleQualifier](docs/DvsIpNetworkRuleQualifier.md)
 - [DvsIpPort](docs/DvsIpPort.md)
 - [DvsIpPortRange](docs/DvsIpPortRange.md)
 - [DvsLogNetworkRuleAction](docs/DvsLogNetworkRuleAction.md)
 - [DvsMacNetworkRuleQualifier](docs/DvsMacNetworkRuleQualifier.md)
 - [DvsMacRewriteNetworkRuleAction](docs/DvsMacRewriteNetworkRuleAction.md)
 - [DvsMergedEvent](docs/DvsMergedEvent.md)
 - [DvsNetworkRuleAction](docs/DvsNetworkRuleAction.md)
 - [DvsNetworkRuleDirectionTypeEnum](docs/DvsNetworkRuleDirectionTypeEnum.md)
 - [DvsNetworkRuleQualifier](docs/DvsNetworkRuleQualifier.md)
 - [DvsNotAuthorized](docs/DvsNotAuthorized.md)
 - [DvsOperationBulkFault](docs/DvsOperationBulkFault.md)
 - [DvsOperationBulkFaultFaultOnHost](docs/DvsOperationBulkFaultFaultOnHost.md)
 - [DvsOutOfSyncHostArgument](docs/DvsOutOfSyncHostArgument.md)
 - [DvsPortBlockedEvent](docs/DvsPortBlockedEvent.md)
 - [DvsPortConnectedEvent](docs/DvsPortConnectedEvent.md)
 - [DvsPortCreatedEvent](docs/DvsPortCreatedEvent.md)
 - [DvsPortDeletedEvent](docs/DvsPortDeletedEvent.md)
 - [DvsPortDisconnectedEvent](docs/DvsPortDisconnectedEvent.md)
 - [DvsPortEnteredPassthruEvent](docs/DvsPortEnteredPassthruEvent.md)
 - [DvsPortExitedPassthruEvent](docs/DvsPortExitedPassthruEvent.md)
 - [DvsPortJoinPortgroupEvent](docs/DvsPortJoinPortgroupEvent.md)
 - [DvsPortLeavePortgroupEvent](docs/DvsPortLeavePortgroupEvent.md)
 - [DvsPortLinkDownEvent](docs/DvsPortLinkDownEvent.md)
 - [DvsPortLinkUpEvent](docs/DvsPortLinkUpEvent.md)
 - [DvsPortReconfiguredEvent](docs/DvsPortReconfiguredEvent.md)
 - [DvsPortRuntimeChangeEvent](docs/DvsPortRuntimeChangeEvent.md)
 - [DvsPortUnblockedEvent](docs/DvsPortUnblockedEvent.md)
 - [DvsPortVendorSpecificStateChangeEvent](docs/DvsPortVendorSpecificStateChangeEvent.md)
 - [DvsProfile](docs/DvsProfile.md)
 - [DvsPuntNetworkRuleAction](docs/DvsPuntNetworkRuleAction.md)
 - [DvsRateLimitNetworkRuleAction](docs/DvsRateLimitNetworkRuleAction.md)
 - [DvsReconfigureVmVnicNetworkResourcePoolRequestType](docs/DvsReconfigureVmVnicNetworkResourcePoolRequestType.md)
 - [DvsReconfiguredEvent](docs/DvsReconfiguredEvent.md)
 - [DvsRenamedEvent](docs/DvsRenamedEvent.md)
 - [DvsResourceRuntimeInfo](docs/DvsResourceRuntimeInfo.md)
 - [DvsRestoreEvent](docs/DvsRestoreEvent.md)
 - [DvsScopeViolated](docs/DvsScopeViolated.md)
 - [DvsServiceConsoleVNicProfile](docs/DvsServiceConsoleVNicProfile.md)
 - [DvsSingleIpPort](docs/DvsSingleIpPort.md)
 - [DvsSystemTrafficNetworkRuleQualifier](docs/DvsSystemTrafficNetworkRuleQualifier.md)
 - [DvsTrafficFilterConfig](docs/DvsTrafficFilterConfig.md)
 - [DvsTrafficFilterConfigSpec](docs/DvsTrafficFilterConfigSpec.md)
 - [DvsTrafficRule](docs/DvsTrafficRule.md)
 - [DvsTrafficRuleset](docs/DvsTrafficRuleset.md)
 - [DvsUpdateTagNetworkRuleAction](docs/DvsUpdateTagNetworkRuleAction.md)
 - [DvsUpgradeAvailableEvent](docs/DvsUpgradeAvailableEvent.md)
 - [DvsUpgradeInProgressEvent](docs/DvsUpgradeInProgressEvent.md)
 - [DvsUpgradeRejectedEvent](docs/DvsUpgradeRejectedEvent.md)
 - [DvsUpgradedEvent](docs/DvsUpgradedEvent.md)
 - [DvsVNicProfile](docs/DvsVNicProfile.md)
 - [DvsVmVnicNetworkResourcePoolRuntimeInfo](docs/DvsVmVnicNetworkResourcePoolRuntimeInfo.md)
 - [DvsVmVnicResourceAllocation](docs/DvsVmVnicResourceAllocation.md)
 - [DvsVmVnicResourcePoolConfigSpec](docs/DvsVmVnicResourcePoolConfigSpec.md)
 - [DvsVnicAllocatedResource](docs/DvsVnicAllocatedResource.md)
 - [DynamicArray](docs/DynamicArray.md)
 - [DynamicProperty](docs/DynamicProperty.md)
 - [EVCAdmissionFailed](docs/EVCAdmissionFailed.md)
 - [EVCAdmissionFailedCPUFeaturesForMode](docs/EVCAdmissionFailedCPUFeaturesForMode.md)
 - [EVCAdmissionFailedCPUModel](docs/EVCAdmissionFailedCPUModel.md)
 - [EVCAdmissionFailedCPUModelForMode](docs/EVCAdmissionFailedCPUModelForMode.md)
 - [EVCAdmissionFailedCPUVendor](docs/EVCAdmissionFailedCPUVendor.md)
 - [EVCAdmissionFailedCPUVendorUnknown](docs/EVCAdmissionFailedCPUVendorUnknown.md)
 - [EVCAdmissionFailedHostDisconnected](docs/EVCAdmissionFailedHostDisconnected.md)
 - [EVCAdmissionFailedHostSoftware](docs/EVCAdmissionFailedHostSoftware.md)
 - [EVCAdmissionFailedHostSoftwareForMode](docs/EVCAdmissionFailedHostSoftwareForMode.md)
 - [EVCAdmissionFailedVmActive](docs/EVCAdmissionFailedVmActive.md)
 - [EVCConfigFault](docs/EVCConfigFault.md)
 - [EVCMode](docs/EVCMode.md)
 - [EVCModeIllegalByVendor](docs/EVCModeIllegalByVendor.md)
 - [EVCModeUnsupportedByHosts](docs/EVCModeUnsupportedByHosts.md)
 - [EVCUnsupportedByHostHardware](docs/EVCUnsupportedByHostHardware.md)
 - [EVCUnsupportedByHostSoftware](docs/EVCUnsupportedByHostSoftware.md)
 - [EagerZeroVirtualDiskRequestType](docs/EagerZeroVirtualDiskRequestType.md)
 - [EightHostLimitViolated](docs/EightHostLimitViolated.md)
 - [ElementDescription](docs/ElementDescription.md)
 - [EmitSyslogMarkRequestType](docs/EmitSyslogMarkRequestType.md)
 - [EnableAlarmActionsRequestType](docs/EnableAlarmActionsRequestType.md)
 - [EnableAlarmRequestType](docs/EnableAlarmRequestType.md)
 - [EnableClusteredVmdkSupportRequestType](docs/EnableClusteredVmdkSupportRequestType.md)
 - [EnableCryptoRequestType](docs/EnableCryptoRequestType.md)
 - [EnableFeatureRequestType](docs/EnableFeatureRequestType.md)
 - [EnableMultipathPathRequestType](docs/EnableMultipathPathRequestType.md)
 - [EnableNetworkResourceManagementRequestType](docs/EnableNetworkResourceManagementRequestType.md)
 - [EnableRulesetRequestType](docs/EnableRulesetRequestType.md)
 - [EnableSecondaryVMRequestType](docs/EnableSecondaryVMRequestType.md)
 - [EncryptionKeyRequired](docs/EncryptionKeyRequired.md)
 - [EnterMaintenanceModeRequestType](docs/EnterMaintenanceModeRequestType.md)
 - [EnteredMaintenanceModeEvent](docs/EnteredMaintenanceModeEvent.md)
 - [EnteredStandbyModeEvent](docs/EnteredStandbyModeEvent.md)
 - [EnteringMaintenanceModeEvent](docs/EnteringMaintenanceModeEvent.md)
 - [EnteringStandbyModeEvent](docs/EnteringStandbyModeEvent.md)
 - [EntityBackup](docs/EntityBackup.md)
 - [EntityBackupConfig](docs/EntityBackupConfig.md)
 - [EntityEventArgument](docs/EntityEventArgument.md)
 - [EntityImportTypeEnum](docs/EntityImportTypeEnum.md)
 - [EntityPrivilege](docs/EntityPrivilege.md)
 - [EntityTypeEnum](docs/EntityTypeEnum.md)
 - [EnumDescription](docs/EnumDescription.md)
 - [EnvironmentBrowserConfigOptionQuerySpec](docs/EnvironmentBrowserConfigOptionQuerySpec.md)
 - [ErrorUpgradeEvent](docs/ErrorUpgradeEvent.md)
 - [EstimateDatabaseSizeRequestType](docs/EstimateDatabaseSizeRequestType.md)
 - [EsxAgentHostManagerUpdateConfigRequestType](docs/EsxAgentHostManagerUpdateConfigRequestType.md)
 - [EvacuateVsanNodeRequestType](docs/EvacuateVsanNodeRequestType.md)
 - [EvaluationLicenseSource](docs/EvaluationLicenseSource.md)
 - [Event](docs/Event.md)
 - [EventAlarmExpression](docs/EventAlarmExpression.md)
 - [EventAlarmExpressionComparison](docs/EventAlarmExpressionComparison.md)
 - [EventAlarmExpressionComparisonOperatorEnum](docs/EventAlarmExpressionComparisonOperatorEnum.md)
 - [EventArgDesc](docs/EventArgDesc.md)
 - [EventArgument](docs/EventArgument.md)
 - [EventCategoryEnum](docs/EventCategoryEnum.md)
 - [EventDescription](docs/EventDescription.md)
 - [EventDescriptionEventDetail](docs/EventDescriptionEventDetail.md)
 - [EventEventSeverityEnum](docs/EventEventSeverityEnum.md)
 - [EventEx](docs/EventEx.md)
 - [EventFilterSpec](docs/EventFilterSpec.md)
 - [EventFilterSpecByEntity](docs/EventFilterSpecByEntity.md)
 - [EventFilterSpecByTime](docs/EventFilterSpecByTime.md)
 - [EventFilterSpecByUsername](docs/EventFilterSpecByUsername.md)
 - [EventFilterSpecRecursionOption](docs/EventFilterSpecRecursionOption.md)
 - [EventFilterSpecRecursionOptionEnum](docs/EventFilterSpecRecursionOptionEnum.md)
 - [ExecuteHostProfileRequestType](docs/ExecuteHostProfileRequestType.md)
 - [ExecuteSimpleCommandRequestType](docs/ExecuteSimpleCommandRequestType.md)
 - [ExitMaintenanceModeEvent](docs/ExitMaintenanceModeEvent.md)
 - [ExitMaintenanceModeRequestType](docs/ExitMaintenanceModeRequestType.md)
 - [ExitStandbyModeFailedEvent](docs/ExitStandbyModeFailedEvent.md)
 - [ExitedStandbyModeEvent](docs/ExitedStandbyModeEvent.md)
 - [ExitingStandbyModeEvent](docs/ExitingStandbyModeEvent.md)
 - [ExpandVmfsDatastoreRequestType](docs/ExpandVmfsDatastoreRequestType.md)
 - [ExpandVmfsExtentRequestType](docs/ExpandVmfsExtentRequestType.md)
 - [ExpiredAddonLicense](docs/ExpiredAddonLicense.md)
 - [ExpiredEditionLicense](docs/ExpiredEditionLicense.md)
 - [ExpiredFeatureLicense](docs/ExpiredFeatureLicense.md)
 - [ExportAnswerFileRequestType](docs/ExportAnswerFileRequestType.md)
 - [ExtExtendedProductInfo](docs/ExtExtendedProductInfo.md)
 - [ExtManagedEntityInfo](docs/ExtManagedEntityInfo.md)
 - [ExtSolutionManagerInfo](docs/ExtSolutionManagerInfo.md)
 - [ExtSolutionManagerInfoTabInfo](docs/ExtSolutionManagerInfoTabInfo.md)
 - [ExtendDiskRequestType](docs/ExtendDiskRequestType.md)
 - [ExtendHCIRequestType](docs/ExtendHCIRequestType.md)
 - [ExtendVffsRequestType](docs/ExtendVffsRequestType.md)
 - [ExtendVirtualDiskRequestType](docs/ExtendVirtualDiskRequestType.md)
 - [ExtendVmfsDatastoreRequestType](docs/ExtendVmfsDatastoreRequestType.md)
 - [ExtendedDescription](docs/ExtendedDescription.md)
 - [ExtendedElementDescription](docs/ExtendedElementDescription.md)
 - [ExtendedEvent](docs/ExtendedEvent.md)
 - [ExtendedEventPair](docs/ExtendedEventPair.md)
 - [ExtendedFault](docs/ExtendedFault.md)
 - [Extension](docs/Extension.md)
 - [ExtensionClientInfo](docs/ExtensionClientInfo.md)
 - [ExtensionEventTypeInfo](docs/ExtensionEventTypeInfo.md)
 - [ExtensionFaultTypeInfo](docs/ExtensionFaultTypeInfo.md)
 - [ExtensionHealthInfo](docs/ExtensionHealthInfo.md)
 - [ExtensionManagerIpAllocationUsage](docs/ExtensionManagerIpAllocationUsage.md)
 - [ExtensionOvfConsumerInfo](docs/ExtensionOvfConsumerInfo.md)
 - [ExtensionPrivilegeInfo](docs/ExtensionPrivilegeInfo.md)
 - [ExtensionResourceInfo](docs/ExtensionResourceInfo.md)
 - [ExtensionServerInfo](docs/ExtensionServerInfo.md)
 - [ExtensionTaskTypeInfo](docs/ExtensionTaskTypeInfo.md)
 - [FailToEnableSPBM](docs/FailToEnableSPBM.md)
 - [FailToLockFaultToleranceVMs](docs/FailToLockFaultToleranceVMs.md)
 - [FailoverLevelRestored](docs/FailoverLevelRestored.md)
 - [FailoverNodeInfo](docs/FailoverNodeInfo.md)
 - [FaultDomainId](docs/FaultDomainId.md)
 - [FaultToleranceAntiAffinityViolated](docs/FaultToleranceAntiAffinityViolated.md)
 - [FaultToleranceCannotEditMem](docs/FaultToleranceCannotEditMem.md)
 - [FaultToleranceConfigInfo](docs/FaultToleranceConfigInfo.md)
 - [FaultToleranceConfigSpec](docs/FaultToleranceConfigSpec.md)
 - [FaultToleranceCpuIncompatible](docs/FaultToleranceCpuIncompatible.md)
 - [FaultToleranceDiskSpec](docs/FaultToleranceDiskSpec.md)
 - [FaultToleranceMetaSpec](docs/FaultToleranceMetaSpec.md)
 - [FaultToleranceNeedsThickDisk](docs/FaultToleranceNeedsThickDisk.md)
 - [FaultToleranceNotLicensed](docs/FaultToleranceNotLicensed.md)
 - [FaultToleranceNotSameBuild](docs/FaultToleranceNotSameBuild.md)
 - [FaultTolerancePrimaryConfigInfo](docs/FaultTolerancePrimaryConfigInfo.md)
 - [FaultTolerancePrimaryPowerOnNotAttempted](docs/FaultTolerancePrimaryPowerOnNotAttempted.md)
 - [FaultToleranceSecondaryConfigInfo](docs/FaultToleranceSecondaryConfigInfo.md)
 - [FaultToleranceSecondaryOpResult](docs/FaultToleranceSecondaryOpResult.md)
 - [FaultToleranceVMConfigSpec](docs/FaultToleranceVMConfigSpec.md)
 - [FaultToleranceVmNotDasProtected](docs/FaultToleranceVmNotDasProtected.md)
 - [FaultsByHost](docs/FaultsByHost.md)
 - [FaultsByVM](docs/FaultsByVM.md)
 - [FcoeConfig](docs/FcoeConfig.md)
 - [FcoeConfigFcoeCapabilities](docs/FcoeConfigFcoeCapabilities.md)
 - [FcoeConfigFcoeSpecification](docs/FcoeConfigFcoeSpecification.md)
 - [FcoeConfigVlanRange](docs/FcoeConfigVlanRange.md)
 - [FcoeFault](docs/FcoeFault.md)
 - [FcoeFaultPnicHasNoPortSet](docs/FcoeFaultPnicHasNoPortSet.md)
 - [FeatureEVCMode](docs/FeatureEVCMode.md)
 - [FeatureRequirementsNotMet](docs/FeatureRequirementsNotMet.md)
 - [FetchAuditRecordsRequestType](docs/FetchAuditRecordsRequestType.md)
 - [FetchDVPortKeysRequestType](docs/FetchDVPortKeysRequestType.md)
 - [FetchDVPortsRequestType](docs/FetchDVPortsRequestType.md)
 - [FetchUserPrivilegeOnEntitiesRequestType](docs/FetchUserPrivilegeOnEntitiesRequestType.md)
 - [FibreChannelPortType](docs/FibreChannelPortType.md)
 - [FibreChannelPortTypeEnum](docs/FibreChannelPortTypeEnum.md)
 - [FileAlreadyExists](docs/FileAlreadyExists.md)
 - [FileBackedPortNotSupported](docs/FileBackedPortNotSupported.md)
 - [FileBackedVirtualDiskSpec](docs/FileBackedVirtualDiskSpec.md)
 - [FileFault](docs/FileFault.md)
 - [FileInfo](docs/FileInfo.md)
 - [FileLocked](docs/FileLocked.md)
 - [FileNameTooLong](docs/FileNameTooLong.md)
 - [FileNotFound](docs/FileNotFound.md)
 - [FileNotWritable](docs/FileNotWritable.md)
 - [FileQuery](docs/FileQuery.md)
 - [FileQueryFlags](docs/FileQueryFlags.md)
 - [FileSystemMountInfoVStorageSupportStatusEnum](docs/FileSystemMountInfoVStorageSupportStatusEnum.md)
 - [FileTooLarge](docs/FileTooLarge.md)
 - [FileTransferInformation](docs/FileTransferInformation.md)
 - [FilesystemQuiesceFault](docs/FilesystemQuiesceFault.md)
 - [FilterInUse](docs/FilterInUse.md)
 - [FindAllByDnsNameRequestType](docs/FindAllByDnsNameRequestType.md)
 - [FindAllByIpRequestType](docs/FindAllByIpRequestType.md)
 - [FindAllByUuidRequestType](docs/FindAllByUuidRequestType.md)
 - [FindAssociatedProfileRequestType](docs/FindAssociatedProfileRequestType.md)
 - [FindByDatastorePathRequestType](docs/FindByDatastorePathRequestType.md)
 - [FindByDnsNameRequestType](docs/FindByDnsNameRequestType.md)
 - [FindByInventoryPathRequestType](docs/FindByInventoryPathRequestType.md)
 - [FindByIpRequestType](docs/FindByIpRequestType.md)
 - [FindByUuidRequestType](docs/FindByUuidRequestType.md)
 - [FindChildRequestType](docs/FindChildRequestType.md)
 - [FindExtensionRequestType](docs/FindExtensionRequestType.md)
 - [FindRulesForVmRequestType](docs/FindRulesForVmRequestType.md)
 - [FirewallProfile](docs/FirewallProfile.md)
 - [FirewallProfileRulesetProfile](docs/FirewallProfileRulesetProfile.md)
 - [FloatOption](docs/FloatOption.md)
 - [FloppyImageFileInfo](docs/FloppyImageFileInfo.md)
 - [FloppyImageFileQuery](docs/FloppyImageFileQuery.md)
 - [FolderBatchAddHostsToClusterResult](docs/FolderBatchAddHostsToClusterResult.md)
 - [FolderBatchAddStandaloneHostsResult](docs/FolderBatchAddStandaloneHostsResult.md)
 - [FolderDesiredHostStateEnum](docs/FolderDesiredHostStateEnum.md)
 - [FolderEventArgument](docs/FolderEventArgument.md)
 - [FolderFailedHostResult](docs/FolderFailedHostResult.md)
 - [FolderFileInfo](docs/FolderFileInfo.md)
 - [FolderFileQuery](docs/FolderFileQuery.md)
 - [FolderNewHostSpec](docs/FolderNewHostSpec.md)
 - [FormatVffsRequestType](docs/FormatVffsRequestType.md)
 - [FormatVmfsRequestType](docs/FormatVmfsRequestType.md)
 - [FtIssuesOnHost](docs/FtIssuesOnHost.md)
 - [FtIssuesOnHostHostSelectionType](docs/FtIssuesOnHostHostSelectionType.md)
 - [FtIssuesOnHostHostSelectionTypeEnum](docs/FtIssuesOnHostHostSelectionTypeEnum.md)
 - [FullStorageVMotionNotSupported](docs/FullStorageVMotionNotSupported.md)
 - [GatewayConnectFault](docs/GatewayConnectFault.md)
 - [GatewayHostNotReachable](docs/GatewayHostNotReachable.md)
 - [GatewayNotFound](docs/GatewayNotFound.md)
 - [GatewayNotReachable](docs/GatewayNotReachable.md)
 - [GatewayOperationRefused](docs/GatewayOperationRefused.md)
 - [GatewayToHostAuthFault](docs/GatewayToHostAuthFault.md)
 - [GatewayToHostConnectFault](docs/GatewayToHostConnectFault.md)
 - [GatewayToHostTrustVerifyFault](docs/GatewayToHostTrustVerifyFault.md)
 - [GeneralEvent](docs/GeneralEvent.md)
 - [GeneralHostErrorEvent](docs/GeneralHostErrorEvent.md)
 - [GeneralHostInfoEvent](docs/GeneralHostInfoEvent.md)
 - [GeneralHostWarningEvent](docs/GeneralHostWarningEvent.md)
 - [GeneralUserEvent](docs/GeneralUserEvent.md)
 - [GeneralVmErrorEvent](docs/GeneralVmErrorEvent.md)
 - [GeneralVmInfoEvent](docs/GeneralVmInfoEvent.md)
 - [GeneralVmWarningEvent](docs/GeneralVmWarningEvent.md)
 - [GenerateCertificateSigningRequestByDnRequestType](docs/GenerateCertificateSigningRequestByDnRequestType.md)
 - [GenerateCertificateSigningRequestRequestType](docs/GenerateCertificateSigningRequestRequestType.md)
 - [GenerateClientCsrRequestType](docs/GenerateClientCsrRequestType.md)
 - [GenerateConfigTaskListRequestType](docs/GenerateConfigTaskListRequestType.md)
 - [GenerateHostConfigTaskSpecRequestType](docs/GenerateHostConfigTaskSpecRequestType.md)
 - [GenerateHostProfileTaskListRequestType](docs/GenerateHostProfileTaskListRequestType.md)
 - [GenerateKeyRequestType](docs/GenerateKeyRequestType.md)
 - [GenerateLogBundlesRequestType](docs/GenerateLogBundlesRequestType.md)
 - [GenerateSelfSignedClientCertRequestType](docs/GenerateSelfSignedClientCertRequestType.md)
 - [GenericDrsFault](docs/GenericDrsFault.md)
 - [GenericVmConfigFault](docs/GenericVmConfigFault.md)
 - [GetAlarmRequestType](docs/GetAlarmRequestType.md)
 - [GetAlarmStateRequestType](docs/GetAlarmStateRequestType.md)
 - [GetCryptoKeyStatusRequestType](docs/GetCryptoKeyStatusRequestType.md)
 - [GetCustomizationSpecRequestType](docs/GetCustomizationSpecRequestType.md)
 - [GetDefaultKmsClusterRequestType](docs/GetDefaultKmsClusterRequestType.md)
 - [GetVsanObjExtAttrsRequestType](docs/GetVsanObjExtAttrsRequestType.md)
 - [GhostDvsProxySwitchDetectedEvent](docs/GhostDvsProxySwitchDetectedEvent.md)
 - [GhostDvsProxySwitchRemovedEvent](docs/GhostDvsProxySwitchRemovedEvent.md)
 - [GlobalMessageChangedEvent](docs/GlobalMessageChangedEvent.md)
 - [GroupAlarmAction](docs/GroupAlarmAction.md)
 - [GuestAliases](docs/GuestAliases.md)
 - [GuestAuthAliasInfo](docs/GuestAuthAliasInfo.md)
 - [GuestAuthAnySubject](docs/GuestAuthAnySubject.md)
 - [GuestAuthNamedSubject](docs/GuestAuthNamedSubject.md)
 - [GuestAuthSubject](docs/GuestAuthSubject.md)
 - [GuestAuthentication](docs/GuestAuthentication.md)
 - [GuestAuthenticationChallenge](docs/GuestAuthenticationChallenge.md)
 - [GuestComponentsOutOfDate](docs/GuestComponentsOutOfDate.md)
 - [GuestDiskInfo](docs/GuestDiskInfo.md)
 - [GuestFileAttributes](docs/GuestFileAttributes.md)
 - [GuestFileInfo](docs/GuestFileInfo.md)
 - [GuestFileTypeEnum](docs/GuestFileTypeEnum.md)
 - [GuestInfo](docs/GuestInfo.md)
 - [GuestInfoAppStateTypeEnum](docs/GuestInfoAppStateTypeEnum.md)
 - [GuestInfoCustomizationInfo](docs/GuestInfoCustomizationInfo.md)
 - [GuestInfoCustomizationStatusEnum](docs/GuestInfoCustomizationStatusEnum.md)
 - [GuestInfoNamespaceGenerationInfo](docs/GuestInfoNamespaceGenerationInfo.md)
 - [GuestInfoVirtualDiskMapping](docs/GuestInfoVirtualDiskMapping.md)
 - [GuestListFileInfo](docs/GuestListFileInfo.md)
 - [GuestMappedAliases](docs/GuestMappedAliases.md)
 - [GuestMultipleMappings](docs/GuestMultipleMappings.md)
 - [GuestNicInfo](docs/GuestNicInfo.md)
 - [GuestOperationsFault](docs/GuestOperationsFault.md)
 - [GuestOperationsUnavailable](docs/GuestOperationsUnavailable.md)
 - [GuestOsDescriptor](docs/GuestOsDescriptor.md)
 - [GuestOsDescriptorFirmwareTypeEnum](docs/GuestOsDescriptorFirmwareTypeEnum.md)
 - [GuestOsDescriptorSupportLevelEnum](docs/GuestOsDescriptorSupportLevelEnum.md)
 - [GuestPermissionDenied](docs/GuestPermissionDenied.md)
 - [GuestPosixFileAttributes](docs/GuestPosixFileAttributes.md)
 - [GuestProcessInfo](docs/GuestProcessInfo.md)
 - [GuestProcessNotFound](docs/GuestProcessNotFound.md)
 - [GuestProgramSpec](docs/GuestProgramSpec.md)
 - [GuestQuiesceEndGuestQuiesceError](docs/GuestQuiesceEndGuestQuiesceError.md)
 - [GuestQuiesceEndGuestQuiesceErrorEnum](docs/GuestQuiesceEndGuestQuiesceErrorEnum.md)
 - [GuestRegKeyNameSpec](docs/GuestRegKeyNameSpec.md)
 - [GuestRegKeyRecordSpec](docs/GuestRegKeyRecordSpec.md)
 - [GuestRegKeySpec](docs/GuestRegKeySpec.md)
 - [GuestRegKeyWowSpecEnum](docs/GuestRegKeyWowSpecEnum.md)
 - [GuestRegValueBinarySpec](docs/GuestRegValueBinarySpec.md)
 - [GuestRegValueDataSpec](docs/GuestRegValueDataSpec.md)
 - [GuestRegValueDwordSpec](docs/GuestRegValueDwordSpec.md)
 - [GuestRegValueExpandStringSpec](docs/GuestRegValueExpandStringSpec.md)
 - [GuestRegValueMultiStringSpec](docs/GuestRegValueMultiStringSpec.md)
 - [GuestRegValueNameSpec](docs/GuestRegValueNameSpec.md)
 - [GuestRegValueQwordSpec](docs/GuestRegValueQwordSpec.md)
 - [GuestRegValueSpec](docs/GuestRegValueSpec.md)
 - [GuestRegValueStringSpec](docs/GuestRegValueStringSpec.md)
 - [GuestRegistryFault](docs/GuestRegistryFault.md)
 - [GuestRegistryKeyAlreadyExists](docs/GuestRegistryKeyAlreadyExists.md)
 - [GuestRegistryKeyFault](docs/GuestRegistryKeyFault.md)
 - [GuestRegistryKeyHasSubkeys](docs/GuestRegistryKeyHasSubkeys.md)
 - [GuestRegistryKeyInvalid](docs/GuestRegistryKeyInvalid.md)
 - [GuestRegistryKeyParentVolatile](docs/GuestRegistryKeyParentVolatile.md)
 - [GuestRegistryValueFault](docs/GuestRegistryValueFault.md)
 - [GuestRegistryValueNotFound](docs/GuestRegistryValueNotFound.md)
 - [GuestScreenInfo](docs/GuestScreenInfo.md)
 - [GuestStackInfo](docs/GuestStackInfo.md)
 - [GuestWindowsFileAttributes](docs/GuestWindowsFileAttributes.md)
 - [GuestWindowsProgramSpec](docs/GuestWindowsProgramSpec.md)
 - [HAErrorsAtDest](docs/HAErrorsAtDest.md)
 - [HasMonitoredEntityRequestType](docs/HasMonitoredEntityRequestType.md)
 - [HasPrivilegeOnEntitiesRequestType](docs/HasPrivilegeOnEntitiesRequestType.md)
 - [HasPrivilegeOnEntityRequestType](docs/HasPrivilegeOnEntityRequestType.md)
 - [HasProviderRequestType](docs/HasProviderRequestType.md)
 - [HasUserPrivilegeOnEntitiesRequestType](docs/HasUserPrivilegeOnEntitiesRequestType.md)
 - [HbrDiskMigrationAction](docs/HbrDiskMigrationAction.md)
 - [HbrManagerReplicationVmInfo](docs/HbrManagerReplicationVmInfo.md)
 - [HbrManagerVmReplicationCapability](docs/HbrManagerVmReplicationCapability.md)
 - [HealthStatusChangedEvent](docs/HealthStatusChangedEvent.md)
 - [HealthSystemRuntime](docs/HealthSystemRuntime.md)
 - [HealthUpdate](docs/HealthUpdate.md)
 - [HealthUpdateInfo](docs/HealthUpdateInfo.md)
 - [HealthUpdateInfoComponentTypeEnum](docs/HealthUpdateInfoComponentTypeEnum.md)
 - [HeterogenousHostsBlockingEVC](docs/HeterogenousHostsBlockingEVC.md)
 - [HostAccessControlEntry](docs/HostAccessControlEntry.md)
 - [HostAccessMode](docs/HostAccessMode.md)
 - [HostAccessModeEnum](docs/HostAccessModeEnum.md)
 - [HostAccessRestrictedToManagementServer](docs/HostAccessRestrictedToManagementServer.md)
 - [HostAccountSpec](docs/HostAccountSpec.md)
 - [HostActiveDirectory](docs/HostActiveDirectory.md)
 - [HostActiveDirectoryAuthenticationCertificateDigestEnum](docs/HostActiveDirectoryAuthenticationCertificateDigestEnum.md)
 - [HostActiveDirectoryInfo](docs/HostActiveDirectoryInfo.md)
 - [HostActiveDirectoryInfoDomainMembershipStatusEnum](docs/HostActiveDirectoryInfoDomainMembershipStatusEnum.md)
 - [HostActiveDirectorySpec](docs/HostActiveDirectorySpec.md)
 - [HostAddFailedEvent](docs/HostAddFailedEvent.md)
 - [HostAddedEvent](docs/HostAddedEvent.md)
 - [HostAdminDisableEvent](docs/HostAdminDisableEvent.md)
 - [HostAdminEnableEvent](docs/HostAdminEnableEvent.md)
 - [HostApplyProfile](docs/HostApplyProfile.md)
 - [HostAssignableHardwareBinding](docs/HostAssignableHardwareBinding.md)
 - [HostAssignableHardwareConfig](docs/HostAssignableHardwareConfig.md)
 - [HostAssignableHardwareConfigAttributeOverride](docs/HostAssignableHardwareConfigAttributeOverride.md)
 - [HostAuthenticationManagerInfo](docs/HostAuthenticationManagerInfo.md)
 - [HostAuthenticationStoreInfo](docs/HostAuthenticationStoreInfo.md)
 - [HostAutoStartManagerConfig](docs/HostAutoStartManagerConfig.md)
 - [HostBIOSInfo](docs/HostBIOSInfo.md)
 - [HostBlockAdapterTargetTransport](docs/HostBlockAdapterTargetTransport.md)
 - [HostBlockHba](docs/HostBlockHba.md)
 - [HostBootDevice](docs/HostBootDevice.md)
 - [HostBootDeviceInfo](docs/HostBootDeviceInfo.md)
 - [HostCacheConfigurationInfo](docs/HostCacheConfigurationInfo.md)
 - [HostCacheConfigurationSpec](docs/HostCacheConfigurationSpec.md)
 - [HostCapability](docs/HostCapability.md)
 - [HostCapabilityFtUnsupportedReasonEnum](docs/HostCapabilityFtUnsupportedReasonEnum.md)
 - [HostCapabilityUnmapMethodSupportedEnum](docs/HostCapabilityUnmapMethodSupportedEnum.md)
 - [HostCapabilityVmDirectPathGen2UnsupportedReasonEnum](docs/HostCapabilityVmDirectPathGen2UnsupportedReasonEnum.md)
 - [HostCertificateManagerCertificateInfo](docs/HostCertificateManagerCertificateInfo.md)
 - [HostCertificateManagerCertificateInfoCertificateStatusEnum](docs/HostCertificateManagerCertificateInfoCertificateStatusEnum.md)
 - [HostCertificateManagerCertificateKindEnum](docs/HostCertificateManagerCertificateKindEnum.md)
 - [HostCertificateManagerCertificateSpec](docs/HostCertificateManagerCertificateSpec.md)
 - [HostClearVStorageObjectControlFlagsRequestType](docs/HostClearVStorageObjectControlFlagsRequestType.md)
 - [HostCloneVStorageObjectRequestType](docs/HostCloneVStorageObjectRequestType.md)
 - [HostCnxFailedAccountFailedEvent](docs/HostCnxFailedAccountFailedEvent.md)
 - [HostCnxFailedAlreadyManagedEvent](docs/HostCnxFailedAlreadyManagedEvent.md)
 - [HostCnxFailedBadCcagentEvent](docs/HostCnxFailedBadCcagentEvent.md)
 - [HostCnxFailedBadUsernameEvent](docs/HostCnxFailedBadUsernameEvent.md)
 - [HostCnxFailedBadVersionEvent](docs/HostCnxFailedBadVersionEvent.md)
 - [HostCnxFailedCcagentUpgradeEvent](docs/HostCnxFailedCcagentUpgradeEvent.md)
 - [HostCnxFailedEvent](docs/HostCnxFailedEvent.md)
 - [HostCnxFailedNetworkErrorEvent](docs/HostCnxFailedNetworkErrorEvent.md)
 - [HostCnxFailedNoAccessEvent](docs/HostCnxFailedNoAccessEvent.md)
 - [HostCnxFailedNoConnectionEvent](docs/HostCnxFailedNoConnectionEvent.md)
 - [HostCnxFailedNoLicenseEvent](docs/HostCnxFailedNoLicenseEvent.md)
 - [HostCnxFailedNotFoundEvent](docs/HostCnxFailedNotFoundEvent.md)
 - [HostCnxFailedTimeoutEvent](docs/HostCnxFailedTimeoutEvent.md)
 - [HostCommunication](docs/HostCommunication.md)
 - [HostComplianceCheckedEvent](docs/HostComplianceCheckedEvent.md)
 - [HostCompliantEvent](docs/HostCompliantEvent.md)
 - [HostConfigAppliedEvent](docs/HostConfigAppliedEvent.md)
 - [HostConfigChange](docs/HostConfigChange.md)
 - [HostConfigChangeModeEnum](docs/HostConfigChangeModeEnum.md)
 - [HostConfigChangeOperationEnum](docs/HostConfigChangeOperationEnum.md)
 - [HostConfigFailed](docs/HostConfigFailed.md)
 - [HostConfigFault](docs/HostConfigFault.md)
 - [HostConfigInfo](docs/HostConfigInfo.md)
 - [HostConfigManager](docs/HostConfigManager.md)
 - [HostConfigSpec](docs/HostConfigSpec.md)
 - [HostConfigSummary](docs/HostConfigSummary.md)
 - [HostConfigVFlashCacheRequestType](docs/HostConfigVFlashCacheRequestType.md)
 - [HostConfigureVFlashResourceRequestType](docs/HostConfigureVFlashResourceRequestType.md)
 - [HostConnectFault](docs/HostConnectFault.md)
 - [HostConnectInfo](docs/HostConnectInfo.md)
 - [HostConnectInfoNetworkInfo](docs/HostConnectInfoNetworkInfo.md)
 - [HostConnectSpec](docs/HostConnectSpec.md)
 - [HostConnectedEvent](docs/HostConnectedEvent.md)
 - [HostConnectionLostEvent](docs/HostConnectionLostEvent.md)
 - [HostCpuIdInfo](docs/HostCpuIdInfo.md)
 - [HostCpuInfo](docs/HostCpuInfo.md)
 - [HostCpuPackage](docs/HostCpuPackage.md)
 - [HostCpuPackageVendorEnum](docs/HostCpuPackageVendorEnum.md)
 - [HostCpuPowerManagementInfo](docs/HostCpuPowerManagementInfo.md)
 - [HostCpuPowerManagementInfoPolicyTypeEnum](docs/HostCpuPowerManagementInfoPolicyTypeEnum.md)
 - [HostCreateDiskRequestType](docs/HostCreateDiskRequestType.md)
 - [HostCryptoStateEnum](docs/HostCryptoStateEnum.md)
 - [HostDVSConfigSpecSwitchModeEnum](docs/HostDVSConfigSpecSwitchModeEnum.md)
 - [HostDasDisabledEvent](docs/HostDasDisabledEvent.md)
 - [HostDasDisablingEvent](docs/HostDasDisablingEvent.md)
 - [HostDasEnabledEvent](docs/HostDasEnabledEvent.md)
 - [HostDasEnablingEvent](docs/HostDasEnablingEvent.md)
 - [HostDasErrorEvent](docs/HostDasErrorEvent.md)
 - [HostDasErrorEventHostDasErrorReasonEnum](docs/HostDasErrorEventHostDasErrorReasonEnum.md)
 - [HostDasEvent](docs/HostDasEvent.md)
 - [HostDasOkEvent](docs/HostDasOkEvent.md)
 - [HostDataTransportConnectionInfo](docs/HostDataTransportConnectionInfo.md)
 - [HostDatastoreBrowserSearchResults](docs/HostDatastoreBrowserSearchResults.md)
 - [HostDatastoreBrowserSearchSpec](docs/HostDatastoreBrowserSearchSpec.md)
 - [HostDatastoreConnectInfo](docs/HostDatastoreConnectInfo.md)
 - [HostDatastoreExistsConnectInfo](docs/HostDatastoreExistsConnectInfo.md)
 - [HostDatastoreNameConflictConnectInfo](docs/HostDatastoreNameConflictConnectInfo.md)
 - [HostDatastoreSystemCapabilities](docs/HostDatastoreSystemCapabilities.md)
 - [HostDatastoreSystemDatastoreResult](docs/HostDatastoreSystemDatastoreResult.md)
 - [HostDatastoreSystemVvolDatastoreSpec](docs/HostDatastoreSystemVvolDatastoreSpec.md)
 - [HostDateTimeConfig](docs/HostDateTimeConfig.md)
 - [HostDateTimeInfo](docs/HostDateTimeInfo.md)
 - [HostDateTimeInfoProtocolEnum](docs/HostDateTimeInfoProtocolEnum.md)
 - [HostDateTimeSystemServiceTestResult](docs/HostDateTimeSystemServiceTestResult.md)
 - [HostDateTimeSystemTimeZone](docs/HostDateTimeSystemTimeZone.md)
 - [HostDeleteVStorageObjectExRequestType](docs/HostDeleteVStorageObjectExRequestType.md)
 - [HostDeleteVStorageObjectRequestType](docs/HostDeleteVStorageObjectRequestType.md)
 - [HostDeploymentInfo](docs/HostDeploymentInfo.md)
 - [HostDevice](docs/HostDevice.md)
 - [HostDhcpService](docs/HostDhcpService.md)
 - [HostDhcpServiceConfig](docs/HostDhcpServiceConfig.md)
 - [HostDhcpServiceSpec](docs/HostDhcpServiceSpec.md)
 - [HostDiagnosticPartition](docs/HostDiagnosticPartition.md)
 - [HostDiagnosticPartitionCreateDescription](docs/HostDiagnosticPartitionCreateDescription.md)
 - [HostDiagnosticPartitionCreateOption](docs/HostDiagnosticPartitionCreateOption.md)
 - [HostDiagnosticPartitionCreateSpec](docs/HostDiagnosticPartitionCreateSpec.md)
 - [HostDigestInfo](docs/HostDigestInfo.md)
 - [HostDigestInfoDigestMethodTypeEnum](docs/HostDigestInfoDigestMethodTypeEnum.md)
 - [HostDigestVerificationSettingEnum](docs/HostDigestVerificationSettingEnum.md)
 - [HostDirectoryStoreInfo](docs/HostDirectoryStoreInfo.md)
 - [HostDisconnectedEvent](docs/HostDisconnectedEvent.md)
 - [HostDisconnectedEventReasonCodeEnum](docs/HostDisconnectedEventReasonCodeEnum.md)
 - [HostDiskConfigurationResult](docs/HostDiskConfigurationResult.md)
 - [HostDiskDimensions](docs/HostDiskDimensions.md)
 - [HostDiskDimensionsChs](docs/HostDiskDimensionsChs.md)
 - [HostDiskDimensionsLba](docs/HostDiskDimensionsLba.md)
 - [HostDiskMappingInfo](docs/HostDiskMappingInfo.md)
 - [HostDiskMappingOption](docs/HostDiskMappingOption.md)
 - [HostDiskMappingPartitionInfo](docs/HostDiskMappingPartitionInfo.md)
 - [HostDiskMappingPartitionOption](docs/HostDiskMappingPartitionOption.md)
 - [HostDiskPartitionAttributes](docs/HostDiskPartitionAttributes.md)
 - [HostDiskPartitionBlockRange](docs/HostDiskPartitionBlockRange.md)
 - [HostDiskPartitionInfo](docs/HostDiskPartitionInfo.md)
 - [HostDiskPartitionInfoPartitionFormatEnum](docs/HostDiskPartitionInfoPartitionFormatEnum.md)
 - [HostDiskPartitionInfoTypeEnum](docs/HostDiskPartitionInfoTypeEnum.md)
 - [HostDiskPartitionLayout](docs/HostDiskPartitionLayout.md)
 - [HostDiskPartitionSpec](docs/HostDiskPartitionSpec.md)
 - [HostDnsConfig](docs/HostDnsConfig.md)
 - [HostDnsConfigSpec](docs/HostDnsConfigSpec.md)
 - [HostDvxClass](docs/HostDvxClass.md)
 - [HostEnableAdminFailedEvent](docs/HostEnableAdminFailedEvent.md)
 - [HostEnterMaintenanceResult](docs/HostEnterMaintenanceResult.md)
 - [HostEsxAgentHostManagerConfigInfo](docs/HostEsxAgentHostManagerConfigInfo.md)
 - [HostEvent](docs/HostEvent.md)
 - [HostEventArgument](docs/HostEventArgument.md)
 - [HostExtendDiskRequestType](docs/HostExtendDiskRequestType.md)
 - [HostExtraNetworksEvent](docs/HostExtraNetworksEvent.md)
 - [HostFaultToleranceManagerComponentHealthInfo](docs/HostFaultToleranceManagerComponentHealthInfo.md)
 - [HostFeatureCapability](docs/HostFeatureCapability.md)
 - [HostFeatureMask](docs/HostFeatureMask.md)
 - [HostFeatureVersionInfo](docs/HostFeatureVersionInfo.md)
 - [HostFeatureVersionKeyEnum](docs/HostFeatureVersionKeyEnum.md)
 - [HostFibreChannelHba](docs/HostFibreChannelHba.md)
 - [HostFibreChannelOverEthernetHba](docs/HostFibreChannelOverEthernetHba.md)
 - [HostFibreChannelOverEthernetHbaLinkInfo](docs/HostFibreChannelOverEthernetHbaLinkInfo.md)
 - [HostFibreChannelOverEthernetTargetTransport](docs/HostFibreChannelOverEthernetTargetTransport.md)
 - [HostFibreChannelTargetTransport](docs/HostFibreChannelTargetTransport.md)
 - [HostFileAccess](docs/HostFileAccess.md)
 - [HostFileSystemMountInfo](docs/HostFileSystemMountInfo.md)
 - [HostFileSystemVolume](docs/HostFileSystemVolume.md)
 - [HostFileSystemVolumeFileSystemTypeEnum](docs/HostFileSystemVolumeFileSystemTypeEnum.md)
 - [HostFileSystemVolumeInfo](docs/HostFileSystemVolumeInfo.md)
 - [HostFirewallConfig](docs/HostFirewallConfig.md)
 - [HostFirewallConfigRuleSetConfig](docs/HostFirewallConfigRuleSetConfig.md)
 - [HostFirewallDefaultPolicy](docs/HostFirewallDefaultPolicy.md)
 - [HostFirewallInfo](docs/HostFirewallInfo.md)
 - [HostFirewallRule](docs/HostFirewallRule.md)
 - [HostFirewallRuleDirection](docs/HostFirewallRuleDirection.md)
 - [HostFirewallRuleDirectionEnum](docs/HostFirewallRuleDirectionEnum.md)
 - [HostFirewallRulePortType](docs/HostFirewallRulePortType.md)
 - [HostFirewallRulePortTypeEnum](docs/HostFirewallRulePortTypeEnum.md)
 - [HostFirewallRuleProtocolEnum](docs/HostFirewallRuleProtocolEnum.md)
 - [HostFirewallRuleset](docs/HostFirewallRuleset.md)
 - [HostFirewallRulesetIpList](docs/HostFirewallRulesetIpList.md)
 - [HostFirewallRulesetIpNetwork](docs/HostFirewallRulesetIpNetwork.md)
 - [HostFirewallRulesetRulesetSpec](docs/HostFirewallRulesetRulesetSpec.md)
 - [HostFlagInfo](docs/HostFlagInfo.md)
 - [HostForceMountedInfo](docs/HostForceMountedInfo.md)
 - [HostFru](docs/HostFru.md)
 - [HostFruFruTypeEnum](docs/HostFruFruTypeEnum.md)
 - [HostGatewaySpec](docs/HostGatewaySpec.md)
 - [HostGetShortNameFailedEvent](docs/HostGetShortNameFailedEvent.md)
 - [HostGetVFlashModuleDefaultConfigRequestType](docs/HostGetVFlashModuleDefaultConfigRequestType.md)
 - [HostGraphicsConfig](docs/HostGraphicsConfig.md)
 - [HostGraphicsConfigDeviceType](docs/HostGraphicsConfigDeviceType.md)
 - [HostGraphicsConfigGraphicsTypeEnum](docs/HostGraphicsConfigGraphicsTypeEnum.md)
 - [HostGraphicsConfigSharedPassthruAssignmentPolicyEnum](docs/HostGraphicsConfigSharedPassthruAssignmentPolicyEnum.md)
 - [HostGraphicsInfo](docs/HostGraphicsInfo.md)
 - [HostGraphicsInfoGraphicsTypeEnum](docs/HostGraphicsInfoGraphicsTypeEnum.md)
 - [HostHardwareElementInfo](docs/HostHardwareElementInfo.md)
 - [HostHardwareElementStatusEnum](docs/HostHardwareElementStatusEnum.md)
 - [HostHardwareInfo](docs/HostHardwareInfo.md)
 - [HostHardwareStatusInfo](docs/HostHardwareStatusInfo.md)
 - [HostHardwareSummary](docs/HostHardwareSummary.md)
 - [HostHasComponentFailure](docs/HostHasComponentFailure.md)
 - [HostHasComponentFailureHostComponentTypeEnum](docs/HostHasComponentFailureHostComponentTypeEnum.md)
 - [HostHbaCreateSpec](docs/HostHbaCreateSpec.md)
 - [HostHostBusAdapter](docs/HostHostBusAdapter.md)
 - [HostHyperThreadScheduleInfo](docs/HostHyperThreadScheduleInfo.md)
 - [HostImageAcceptanceLevelEnum](docs/HostImageAcceptanceLevelEnum.md)
 - [HostImageProfileSummary](docs/HostImageProfileSummary.md)
 - [HostInAuditModeEvent](docs/HostInAuditModeEvent.md)
 - [HostInDomain](docs/HostInDomain.md)
 - [HostIncompatibleForFaultTolerance](docs/HostIncompatibleForFaultTolerance.md)
 - [HostIncompatibleForFaultToleranceReasonEnum](docs/HostIncompatibleForFaultToleranceReasonEnum.md)
 - [HostIncompatibleForRecordReplay](docs/HostIncompatibleForRecordReplay.md)
 - [HostIncompatibleForRecordReplayReasonEnum](docs/HostIncompatibleForRecordReplayReasonEnum.md)
 - [HostInflateDiskRequestType](docs/HostInflateDiskRequestType.md)
 - [HostInternetScsiHba](docs/HostInternetScsiHba.md)
 - [HostInternetScsiHbaAuthenticationCapabilities](docs/HostInternetScsiHbaAuthenticationCapabilities.md)
 - [HostInternetScsiHbaAuthenticationProperties](docs/HostInternetScsiHbaAuthenticationProperties.md)
 - [HostInternetScsiHbaChapAuthenticationTypeEnum](docs/HostInternetScsiHbaChapAuthenticationTypeEnum.md)
 - [HostInternetScsiHbaDigestCapabilities](docs/HostInternetScsiHbaDigestCapabilities.md)
 - [HostInternetScsiHbaDigestProperties](docs/HostInternetScsiHbaDigestProperties.md)
 - [HostInternetScsiHbaDigestTypeEnum](docs/HostInternetScsiHbaDigestTypeEnum.md)
 - [HostInternetScsiHbaDiscoveryCapabilities](docs/HostInternetScsiHbaDiscoveryCapabilities.md)
 - [HostInternetScsiHbaDiscoveryProperties](docs/HostInternetScsiHbaDiscoveryProperties.md)
 - [HostInternetScsiHbaIPCapabilities](docs/HostInternetScsiHbaIPCapabilities.md)
 - [HostInternetScsiHbaIPProperties](docs/HostInternetScsiHbaIPProperties.md)
 - [HostInternetScsiHbaIPv6Properties](docs/HostInternetScsiHbaIPv6Properties.md)
 - [HostInternetScsiHbaIscsiIpv6Address](docs/HostInternetScsiHbaIscsiIpv6Address.md)
 - [HostInternetScsiHbaIscsiIpv6AddressAddressConfigurationType](docs/HostInternetScsiHbaIscsiIpv6AddressAddressConfigurationType.md)
 - [HostInternetScsiHbaIscsiIpv6AddressAddressConfigurationTypeEnum](docs/HostInternetScsiHbaIscsiIpv6AddressAddressConfigurationTypeEnum.md)
 - [HostInternetScsiHbaIscsiIpv6AddressIPv6AddressOperation](docs/HostInternetScsiHbaIscsiIpv6AddressIPv6AddressOperation.md)
 - [HostInternetScsiHbaIscsiIpv6AddressIPv6AddressOperationEnum](docs/HostInternetScsiHbaIscsiIpv6AddressIPv6AddressOperationEnum.md)
 - [HostInternetScsiHbaNetworkBindingSupportType](docs/HostInternetScsiHbaNetworkBindingSupportType.md)
 - [HostInternetScsiHbaNetworkBindingSupportTypeEnum](docs/HostInternetScsiHbaNetworkBindingSupportTypeEnum.md)
 - [HostInternetScsiHbaParamValue](docs/HostInternetScsiHbaParamValue.md)
 - [HostInternetScsiHbaSendTarget](docs/HostInternetScsiHbaSendTarget.md)
 - [HostInternetScsiHbaStaticTarget](docs/HostInternetScsiHbaStaticTarget.md)
 - [HostInternetScsiHbaStaticTargetTargetDiscoveryMethodEnum](docs/HostInternetScsiHbaStaticTargetTargetDiscoveryMethodEnum.md)
 - [HostInternetScsiHbaTargetSet](docs/HostInternetScsiHbaTargetSet.md)
 - [HostInternetScsiTargetTransport](docs/HostInternetScsiTargetTransport.md)
 - [HostInventoryFull](docs/HostInventoryFull.md)
 - [HostInventoryFullEvent](docs/HostInventoryFullEvent.md)
 - [HostInventoryUnreadableEvent](docs/HostInventoryUnreadableEvent.md)
 - [HostIoFilterInfo](docs/HostIoFilterInfo.md)
 - [HostIpChangedEvent](docs/HostIpChangedEvent.md)
 - [HostIpConfig](docs/HostIpConfig.md)
 - [HostIpConfigIpV6Address](docs/HostIpConfigIpV6Address.md)
 - [HostIpConfigIpV6AddressConfigTypeEnum](docs/HostIpConfigIpV6AddressConfigTypeEnum.md)
 - [HostIpConfigIpV6AddressConfiguration](docs/HostIpConfigIpV6AddressConfiguration.md)
 - [HostIpConfigIpV6AddressStatusEnum](docs/HostIpConfigIpV6AddressStatusEnum.md)
 - [HostIpInconsistentEvent](docs/HostIpInconsistentEvent.md)
 - [HostIpRouteConfig](docs/HostIpRouteConfig.md)
 - [HostIpRouteConfigSpec](docs/HostIpRouteConfigSpec.md)
 - [HostIpRouteEntry](docs/HostIpRouteEntry.md)
 - [HostIpRouteOp](docs/HostIpRouteOp.md)
 - [HostIpRouteTableConfig](docs/HostIpRouteTableConfig.md)
 - [HostIpRouteTableInfo](docs/HostIpRouteTableInfo.md)
 - [HostIpToShortNameFailedEvent](docs/HostIpToShortNameFailedEvent.md)
 - [HostIpmiInfo](docs/HostIpmiInfo.md)
 - [HostIsolationIpPingFailedEvent](docs/HostIsolationIpPingFailedEvent.md)
 - [HostLicensableResourceInfo](docs/HostLicensableResourceInfo.md)
 - [HostLicensableResourceKey](docs/HostLicensableResourceKey.md)
 - [HostLicensableResourceKeyEnum](docs/HostLicensableResourceKeyEnum.md)
 - [HostLicenseConnectInfo](docs/HostLicenseConnectInfo.md)
 - [HostLicenseExpiredEvent](docs/HostLicenseExpiredEvent.md)
 - [HostLicenseSpec](docs/HostLicenseSpec.md)
 - [HostListSummary](docs/HostListSummary.md)
 - [HostListSummaryGatewaySummary](docs/HostListSummaryGatewaySummary.md)
 - [HostListSummaryQuickStats](docs/HostListSummaryQuickStats.md)
 - [HostListVStorageObjectRequestType](docs/HostListVStorageObjectRequestType.md)
 - [HostLocalAuthenticationInfo](docs/HostLocalAuthenticationInfo.md)
 - [HostLocalFileSystemVolume](docs/HostLocalFileSystemVolume.md)
 - [HostLocalFileSystemVolumeSpec](docs/HostLocalFileSystemVolumeSpec.md)
 - [HostLocalPortCreatedEvent](docs/HostLocalPortCreatedEvent.md)
 - [HostLockdownMode](docs/HostLockdownMode.md)
 - [HostLockdownModeEnum](docs/HostLockdownModeEnum.md)
 - [HostLowLevelProvisioningManagerDiskLayoutSpec](docs/HostLowLevelProvisioningManagerDiskLayoutSpec.md)
 - [HostLowLevelProvisioningManagerFileDeleteResult](docs/HostLowLevelProvisioningManagerFileDeleteResult.md)
 - [HostLowLevelProvisioningManagerFileDeleteSpec](docs/HostLowLevelProvisioningManagerFileDeleteSpec.md)
 - [HostLowLevelProvisioningManagerFileReserveResult](docs/HostLowLevelProvisioningManagerFileReserveResult.md)
 - [HostLowLevelProvisioningManagerFileReserveSpec](docs/HostLowLevelProvisioningManagerFileReserveSpec.md)
 - [HostLowLevelProvisioningManagerFileTypeEnum](docs/HostLowLevelProvisioningManagerFileTypeEnum.md)
 - [HostLowLevelProvisioningManagerReloadTargetEnum](docs/HostLowLevelProvisioningManagerReloadTargetEnum.md)
 - [HostLowLevelProvisioningManagerSnapshotLayoutSpec](docs/HostLowLevelProvisioningManagerSnapshotLayoutSpec.md)
 - [HostLowLevelProvisioningManagerVmMigrationStatus](docs/HostLowLevelProvisioningManagerVmMigrationStatus.md)
 - [HostLowLevelProvisioningManagerVmRecoveryInfo](docs/HostLowLevelProvisioningManagerVmRecoveryInfo.md)
 - [HostMaintenanceSpec](docs/HostMaintenanceSpec.md)
 - [HostMaintenanceSpecPurposeEnum](docs/HostMaintenanceSpecPurposeEnum.md)
 - [HostMemberHealthCheckResult](docs/HostMemberHealthCheckResult.md)
 - [HostMemberRuntimeInfo](docs/HostMemberRuntimeInfo.md)
 - [HostMemberUplinkHealthCheckResult](docs/HostMemberUplinkHealthCheckResult.md)
 - [HostMemoryProfile](docs/HostMemoryProfile.md)
 - [HostMemorySpec](docs/HostMemorySpec.md)
 - [HostMemoryTierFlagsEnum](docs/HostMemoryTierFlagsEnum.md)
 - [HostMemoryTierInfo](docs/HostMemoryTierInfo.md)
 - [HostMemoryTierTypeEnum](docs/HostMemoryTierTypeEnum.md)
 - [HostMemoryTieringTypeEnum](docs/HostMemoryTieringTypeEnum.md)
 - [HostMissingNetworksEvent](docs/HostMissingNetworksEvent.md)
 - [HostMonitoringStateChangedEvent](docs/HostMonitoringStateChangedEvent.md)
 - [HostMountInfo](docs/HostMountInfo.md)
 - [HostMountInfoInaccessibleReasonEnum](docs/HostMountInfoInaccessibleReasonEnum.md)
 - [HostMountInfoMountFailedReasonEnum](docs/HostMountInfoMountFailedReasonEnum.md)
 - [HostMountModeEnum](docs/HostMountModeEnum.md)
 - [HostMultipathInfo](docs/HostMultipathInfo.md)
 - [HostMultipathInfoFixedLogicalUnitPolicy](docs/HostMultipathInfoFixedLogicalUnitPolicy.md)
 - [HostMultipathInfoHppLogicalUnitPolicy](docs/HostMultipathInfoHppLogicalUnitPolicy.md)
 - [HostMultipathInfoLogicalUnit](docs/HostMultipathInfoLogicalUnit.md)
 - [HostMultipathInfoLogicalUnitPolicy](docs/HostMultipathInfoLogicalUnitPolicy.md)
 - [HostMultipathInfoLogicalUnitStorageArrayTypePolicy](docs/HostMultipathInfoLogicalUnitStorageArrayTypePolicy.md)
 - [HostMultipathInfoPath](docs/HostMultipathInfoPath.md)
 - [HostMultipathStateInfo](docs/HostMultipathStateInfo.md)
 - [HostMultipathStateInfoPath](docs/HostMultipathStateInfoPath.md)
 - [HostNasVolume](docs/HostNasVolume.md)
 - [HostNasVolumeConfig](docs/HostNasVolumeConfig.md)
 - [HostNasVolumeSecurityTypeEnum](docs/HostNasVolumeSecurityTypeEnum.md)
 - [HostNasVolumeSpec](docs/HostNasVolumeSpec.md)
 - [HostNasVolumeUserInfo](docs/HostNasVolumeUserInfo.md)
 - [HostNatService](docs/HostNatService.md)
 - [HostNatServiceConfig](docs/HostNatServiceConfig.md)
 - [HostNatServiceNameServiceSpec](docs/HostNatServiceNameServiceSpec.md)
 - [HostNatServicePortForwardSpec](docs/HostNatServicePortForwardSpec.md)
 - [HostNatServiceSpec](docs/HostNatServiceSpec.md)
 - [HostNetCapabilities](docs/HostNetCapabilities.md)
 - [HostNetOffloadCapabilities](docs/HostNetOffloadCapabilities.md)
 - [HostNetStackInstance](docs/HostNetStackInstance.md)
 - [HostNetStackInstanceCongestionControlAlgorithmTypeEnum](docs/HostNetStackInstanceCongestionControlAlgorithmTypeEnum.md)
 - [HostNetStackInstanceSystemStackKeyEnum](docs/HostNetStackInstanceSystemStackKeyEnum.md)
 - [HostNetworkConfig](docs/HostNetworkConfig.md)
 - [HostNetworkConfigNetStackSpec](docs/HostNetworkConfigNetStackSpec.md)
 - [HostNetworkConfigResult](docs/HostNetworkConfigResult.md)
 - [HostNetworkInfo](docs/HostNetworkInfo.md)
 - [HostNetworkPolicy](docs/HostNetworkPolicy.md)
 - [HostNetworkResourceRuntime](docs/HostNetworkResourceRuntime.md)
 - [HostNetworkSecurityPolicy](docs/HostNetworkSecurityPolicy.md)
 - [HostNetworkTrafficShapingPolicy](docs/HostNetworkTrafficShapingPolicy.md)
 - [HostNewNetworkConnectInfo](docs/HostNewNetworkConnectInfo.md)
 - [HostNfcConnectionInfo](docs/HostNfcConnectionInfo.md)
 - [HostNicFailureCriteria](docs/HostNicFailureCriteria.md)
 - [HostNicOrderPolicy](docs/HostNicOrderPolicy.md)
 - [HostNicTeamingPolicy](docs/HostNicTeamingPolicy.md)
 - [HostNoAvailableNetworksEvent](docs/HostNoAvailableNetworksEvent.md)
 - [HostNoHAEnabledPortGroupsEvent](docs/HostNoHAEnabledPortGroupsEvent.md)
 - [HostNoRedundantManagementNetworkEvent](docs/HostNoRedundantManagementNetworkEvent.md)
 - [HostNonCompliantEvent](docs/HostNonCompliantEvent.md)
 - [HostNotConnected](docs/HostNotConnected.md)
 - [HostNotInClusterEvent](docs/HostNotInClusterEvent.md)
 - [HostNotReachable](docs/HostNotReachable.md)
 - [HostNtpConfig](docs/HostNtpConfig.md)
 - [HostNumaInfo](docs/HostNumaInfo.md)
 - [HostNumaNode](docs/HostNumaNode.md)
 - [HostNumericSensorHealthStateEnum](docs/HostNumericSensorHealthStateEnum.md)
 - [HostNumericSensorInfo](docs/HostNumericSensorInfo.md)
 - [HostNumericSensorTypeEnum](docs/HostNumericSensorTypeEnum.md)
 - [HostNvmeConnectSpec](docs/HostNvmeConnectSpec.md)
 - [HostNvmeController](docs/HostNvmeController.md)
 - [HostNvmeDisconnectSpec](docs/HostNvmeDisconnectSpec.md)
 - [HostNvmeDiscoverSpec](docs/HostNvmeDiscoverSpec.md)
 - [HostNvmeDiscoveryLog](docs/HostNvmeDiscoveryLog.md)
 - [HostNvmeDiscoveryLogEntry](docs/HostNvmeDiscoveryLogEntry.md)
 - [HostNvmeDiscoveryLogSubsystemTypeEnum](docs/HostNvmeDiscoveryLogSubsystemTypeEnum.md)
 - [HostNvmeDiscoveryLogTransportRequirementsEnum](docs/HostNvmeDiscoveryLogTransportRequirementsEnum.md)
 - [HostNvmeNamespace](docs/HostNvmeNamespace.md)
 - [HostNvmeOpaqueTransportParameters](docs/HostNvmeOpaqueTransportParameters.md)
 - [HostNvmeOverFibreChannelParameters](docs/HostNvmeOverFibreChannelParameters.md)
 - [HostNvmeOverRdmaParameters](docs/HostNvmeOverRdmaParameters.md)
 - [HostNvmeOverTcpParameters](docs/HostNvmeOverTcpParameters.md)
 - [HostNvmeSpec](docs/HostNvmeSpec.md)
 - [HostNvmeTopology](docs/HostNvmeTopology.md)
 - [HostNvmeTopologyInterface](docs/HostNvmeTopologyInterface.md)
 - [HostNvmeTransportParameters](docs/HostNvmeTransportParameters.md)
 - [HostNvmeTransportParametersNvmeAddressFamilyEnum](docs/HostNvmeTransportParametersNvmeAddressFamilyEnum.md)
 - [HostNvmeTransportTypeEnum](docs/HostNvmeTransportTypeEnum.md)
 - [HostOpaqueNetworkInfo](docs/HostOpaqueNetworkInfo.md)
 - [HostOpaqueSwitch](docs/HostOpaqueSwitch.md)
 - [HostOpaqueSwitchOpaqueSwitchStateEnum](docs/HostOpaqueSwitchOpaqueSwitchStateEnum.md)
 - [HostOpaqueSwitchPhysicalNicZone](docs/HostOpaqueSwitchPhysicalNicZone.md)
 - [HostOvercommittedEvent](docs/HostOvercommittedEvent.md)
 - [HostPMemVolume](docs/HostPMemVolume.md)
 - [HostParallelScsiHba](docs/HostParallelScsiHba.md)
 - [HostParallelScsiTargetTransport](docs/HostParallelScsiTargetTransport.md)
 - [HostPatchManagerInstallStateEnum](docs/HostPatchManagerInstallStateEnum.md)
 - [HostPatchManagerIntegrityStatusEnum](docs/HostPatchManagerIntegrityStatusEnum.md)
 - [HostPatchManagerLocator](docs/HostPatchManagerLocator.md)
 - [HostPatchManagerPatchManagerOperationSpec](docs/HostPatchManagerPatchManagerOperationSpec.md)
 - [HostPatchManagerReasonEnum](docs/HostPatchManagerReasonEnum.md)
 - [HostPatchManagerResult](docs/HostPatchManagerResult.md)
 - [HostPatchManagerStatus](docs/HostPatchManagerStatus.md)
 - [HostPatchManagerStatusPrerequisitePatch](docs/HostPatchManagerStatusPrerequisitePatch.md)
 - [HostPathSelectionPolicyOption](docs/HostPathSelectionPolicyOption.md)
 - [HostPciDevice](docs/HostPciDevice.md)
 - [HostPciPassthruConfig](docs/HostPciPassthruConfig.md)
 - [HostPciPassthruInfo](docs/HostPciPassthruInfo.md)
 - [HostPcieHba](docs/HostPcieHba.md)
 - [HostPcieTargetTransport](docs/HostPcieTargetTransport.md)
 - [HostPersistentMemoryInfo](docs/HostPersistentMemoryInfo.md)
 - [HostPlacedVirtualNicIdentifier](docs/HostPlacedVirtualNicIdentifier.md)
 - [HostPlugStoreTopology](docs/HostPlugStoreTopology.md)
 - [HostPlugStoreTopologyAdapter](docs/HostPlugStoreTopologyAdapter.md)
 - [HostPlugStoreTopologyDevice](docs/HostPlugStoreTopologyDevice.md)
 - [HostPlugStoreTopologyPath](docs/HostPlugStoreTopologyPath.md)
 - [HostPlugStoreTopologyPlugin](docs/HostPlugStoreTopologyPlugin.md)
 - [HostPlugStoreTopologyTarget](docs/HostPlugStoreTopologyTarget.md)
 - [HostPnicNetworkResourceInfo](docs/HostPnicNetworkResourceInfo.md)
 - [HostPortGroup](docs/HostPortGroup.md)
 - [HostPortGroupConfig](docs/HostPortGroupConfig.md)
 - [HostPortGroupPort](docs/HostPortGroupPort.md)
 - [HostPortGroupProfile](docs/HostPortGroupProfile.md)
 - [HostPortGroupSpec](docs/HostPortGroupSpec.md)
 - [HostPosixAccountSpec](docs/HostPosixAccountSpec.md)
 - [HostPowerOpFailed](docs/HostPowerOpFailed.md)
 - [HostPowerOperationType](docs/HostPowerOperationType.md)
 - [HostPowerOperationTypeEnum](docs/HostPowerOperationTypeEnum.md)
 - [HostPowerPolicy](docs/HostPowerPolicy.md)
 - [HostPrimaryAgentNotShortNameEvent](docs/HostPrimaryAgentNotShortNameEvent.md)
 - [HostProfileAppliedEvent](docs/HostProfileAppliedEvent.md)
 - [HostProfileCompleteConfigSpec](docs/HostProfileCompleteConfigSpec.md)
 - [HostProfileConfigInfo](docs/HostProfileConfigInfo.md)
 - [HostProfileConfigSpec](docs/HostProfileConfigSpec.md)
 - [HostProfileHostBasedConfigSpec](docs/HostProfileHostBasedConfigSpec.md)
 - [HostProfileManagerAnswerFileStatusEnum](docs/HostProfileManagerAnswerFileStatusEnum.md)
 - [HostProfileManagerCompositionResult](docs/HostProfileManagerCompositionResult.md)
 - [HostProfileManagerCompositionResultResultElement](docs/HostProfileManagerCompositionResultResultElement.md)
 - [HostProfileManagerCompositionResultResultElementStatusEnum](docs/HostProfileManagerCompositionResultResultElementStatusEnum.md)
 - [HostProfileManagerCompositionValidationResult](docs/HostProfileManagerCompositionValidationResult.md)
 - [HostProfileManagerCompositionValidationResultResultElement](docs/HostProfileManagerCompositionValidationResultResultElement.md)
 - [HostProfileManagerCompositionValidationResultResultElementStatusEnum](docs/HostProfileManagerCompositionValidationResultResultElementStatusEnum.md)
 - [HostProfileManagerConfigTaskList](docs/HostProfileManagerConfigTaskList.md)
 - [HostProfileManagerHostToConfigSpecMap](docs/HostProfileManagerHostToConfigSpecMap.md)
 - [HostProfileManagerTaskListRequirementEnum](docs/HostProfileManagerTaskListRequirementEnum.md)
 - [HostProfileSerializedHostProfileSpec](docs/HostProfileSerializedHostProfileSpec.md)
 - [HostProfileValidationFailureInfo](docs/HostProfileValidationFailureInfo.md)
 - [HostProfileValidationFailureInfoUpdateTypeEnum](docs/HostProfileValidationFailureInfoUpdateTypeEnum.md)
 - [HostProfileValidationStateEnum](docs/HostProfileValidationStateEnum.md)
 - [HostProfilesEntityCustomizations](docs/HostProfilesEntityCustomizations.md)
 - [HostProtocolEndpoint](docs/HostProtocolEndpoint.md)
 - [HostProtocolEndpointPETypeEnum](docs/HostProtocolEndpointPETypeEnum.md)
 - [HostProtocolEndpointProtocolEndpointTypeEnum](docs/HostProtocolEndpointProtocolEndpointTypeEnum.md)
 - [HostProxySwitch](docs/HostProxySwitch.md)
 - [HostProxySwitchConfig](docs/HostProxySwitchConfig.md)
 - [HostProxySwitchEnsInfo](docs/HostProxySwitchEnsInfo.md)
 - [HostProxySwitchHostLagConfig](docs/HostProxySwitchHostLagConfig.md)
 - [HostProxySwitchSpec](docs/HostProxySwitchSpec.md)
 - [HostPtpConfig](docs/HostPtpConfig.md)
 - [HostPtpConfigDeviceTypeEnum](docs/HostPtpConfigDeviceTypeEnum.md)
 - [HostPtpConfigPtpPort](docs/HostPtpConfigPtpPort.md)
 - [HostQualifiedName](docs/HostQualifiedName.md)
 - [HostQualifiedNameTypeEnum](docs/HostQualifiedNameTypeEnum.md)
 - [HostRdmaDevice](docs/HostRdmaDevice.md)
 - [HostRdmaDeviceBacking](docs/HostRdmaDeviceBacking.md)
 - [HostRdmaDeviceCapability](docs/HostRdmaDeviceCapability.md)
 - [HostRdmaDeviceConnectionInfo](docs/HostRdmaDeviceConnectionInfo.md)
 - [HostRdmaDeviceConnectionStateEnum](docs/HostRdmaDeviceConnectionStateEnum.md)
 - [HostRdmaDevicePnicBacking](docs/HostRdmaDevicePnicBacking.md)
 - [HostRdmaHba](docs/HostRdmaHba.md)
 - [HostRdmaTargetTransport](docs/HostRdmaTargetTransport.md)
 - [HostReconcileDatastoreInventoryRequestType](docs/HostReconcileDatastoreInventoryRequestType.md)
 - [HostReconnectionFailedEvent](docs/HostReconnectionFailedEvent.md)
 - [HostRegisterDiskRequestType](docs/HostRegisterDiskRequestType.md)
 - [HostReliableMemoryInfo](docs/HostReliableMemoryInfo.md)
 - [HostRelocateVStorageObjectRequestType](docs/HostRelocateVStorageObjectRequestType.md)
 - [HostRemovedEvent](docs/HostRemovedEvent.md)
 - [HostRenameVStorageObjectRequestType](docs/HostRenameVStorageObjectRequestType.md)
 - [HostReplayUnsupportedReasonEnum](docs/HostReplayUnsupportedReasonEnum.md)
 - [HostResignatureRescanResult](docs/HostResignatureRescanResult.md)
 - [HostRetrieveVStorageInfrastructureObjectPolicyRequestType](docs/HostRetrieveVStorageInfrastructureObjectPolicyRequestType.md)
 - [HostRetrieveVStorageObjectMetadataRequestType](docs/HostRetrieveVStorageObjectMetadataRequestType.md)
 - [HostRetrieveVStorageObjectMetadataValueRequestType](docs/HostRetrieveVStorageObjectMetadataValueRequestType.md)
 - [HostRetrieveVStorageObjectRequestType](docs/HostRetrieveVStorageObjectRequestType.md)
 - [HostRetrieveVStorageObjectStateRequestType](docs/HostRetrieveVStorageObjectStateRequestType.md)
 - [HostRuntimeInfo](docs/HostRuntimeInfo.md)
 - [HostRuntimeInfoNetStackInstanceRuntimeInfo](docs/HostRuntimeInfoNetStackInstanceRuntimeInfo.md)
 - [HostRuntimeInfoNetStackInstanceRuntimeInfoStateEnum](docs/HostRuntimeInfoNetStackInstanceRuntimeInfoStateEnum.md)
 - [HostRuntimeInfoNetworkRuntimeInfo](docs/HostRuntimeInfoNetworkRuntimeInfo.md)
 - [HostRuntimeInfoStateEncryptionInfo](docs/HostRuntimeInfoStateEncryptionInfo.md)
 - [HostRuntimeInfoStateEncryptionInfoProtectionModeEnum](docs/HostRuntimeInfoStateEncryptionInfoProtectionModeEnum.md)
 - [HostRuntimeInfoStatelessNvdsMigrationStateEnum](docs/HostRuntimeInfoStatelessNvdsMigrationStateEnum.md)
 - [HostScheduleReconcileDatastoreInventoryRequestType](docs/HostScheduleReconcileDatastoreInventoryRequestType.md)
 - [HostScsiDisk](docs/HostScsiDisk.md)
 - [HostScsiDiskPartition](docs/HostScsiDiskPartition.md)
 - [HostScsiTopology](docs/HostScsiTopology.md)
 - [HostScsiTopologyInterface](docs/HostScsiTopologyInterface.md)
 - [HostScsiTopologyLun](docs/HostScsiTopologyLun.md)
 - [HostScsiTopologyTarget](docs/HostScsiTopologyTarget.md)
 - [HostSecuritySpec](docs/HostSecuritySpec.md)
 - [HostSerialAttachedHba](docs/HostSerialAttachedHba.md)
 - [HostSerialAttachedTargetTransport](docs/HostSerialAttachedTargetTransport.md)
 - [HostService](docs/HostService.md)
 - [HostServiceConfig](docs/HostServiceConfig.md)
 - [HostServiceInfo](docs/HostServiceInfo.md)
 - [HostServicePolicyEnum](docs/HostServicePolicyEnum.md)
 - [HostServiceSourcePackage](docs/HostServiceSourcePackage.md)
 - [HostServiceTicket](docs/HostServiceTicket.md)
 - [HostSetVStorageObjectControlFlagsRequestType](docs/HostSetVStorageObjectControlFlagsRequestType.md)
 - [HostSevInfo](docs/HostSevInfo.md)
 - [HostSevInfoSevStateEnum](docs/HostSevInfoSevStateEnum.md)
 - [HostSgxInfo](docs/HostSgxInfo.md)
 - [HostSgxInfoFlcModesEnum](docs/HostSgxInfoFlcModesEnum.md)
 - [HostSgxInfoSgxStatesEnum](docs/HostSgxInfoSgxStatesEnum.md)
 - [HostSgxRegistrationInfo](docs/HostSgxRegistrationInfo.md)
 - [HostSgxRegistrationInfoRegistrationStatusEnum](docs/HostSgxRegistrationInfoRegistrationStatusEnum.md)
 - [HostSgxRegistrationInfoRegistrationTypeEnum](docs/HostSgxRegistrationInfoRegistrationTypeEnum.md)
 - [HostSharedGpuCapabilities](docs/HostSharedGpuCapabilities.md)
 - [HostShortNameInconsistentEvent](docs/HostShortNameInconsistentEvent.md)
 - [HostShortNameToIpFailedEvent](docs/HostShortNameToIpFailedEvent.md)
 - [HostShutdownEvent](docs/HostShutdownEvent.md)
 - [HostSnmpAgentCapability](docs/HostSnmpAgentCapability.md)
 - [HostSnmpAgentCapabilityEnum](docs/HostSnmpAgentCapabilityEnum.md)
 - [HostSnmpConfigSpec](docs/HostSnmpConfigSpec.md)
 - [HostSnmpDestination](docs/HostSnmpDestination.md)
 - [HostSnmpSystemAgentLimits](docs/HostSnmpSystemAgentLimits.md)
 - [HostSpecGetUpdatedHostsRequestType](docs/HostSpecGetUpdatedHostsRequestType.md)
 - [HostSpecification](docs/HostSpecification.md)
 - [HostSpecificationChangedEvent](docs/HostSpecificationChangedEvent.md)
 - [HostSpecificationOperationFailed](docs/HostSpecificationOperationFailed.md)
 - [HostSpecificationRequireEvent](docs/HostSpecificationRequireEvent.md)
 - [HostSpecificationUpdateEvent](docs/HostSpecificationUpdateEvent.md)
 - [HostSriovConfig](docs/HostSriovConfig.md)
 - [HostSriovDevicePoolInfo](docs/HostSriovDevicePoolInfo.md)
 - [HostSriovInfo](docs/HostSriovInfo.md)
 - [HostSriovNetworkDevicePoolInfo](docs/HostSriovNetworkDevicePoolInfo.md)
 - [HostSslThumbprintInfo](docs/HostSslThumbprintInfo.md)
 - [HostStandbyModeEnum](docs/HostStandbyModeEnum.md)
 - [HostStatusChangedEvent](docs/HostStatusChangedEvent.md)
 - [HostStorageArrayTypePolicyOption](docs/HostStorageArrayTypePolicyOption.md)
 - [HostStorageDeviceInfo](docs/HostStorageDeviceInfo.md)
 - [HostStorageElementInfo](docs/HostStorageElementInfo.md)
 - [HostStorageOperationalInfo](docs/HostStorageOperationalInfo.md)
 - [HostStorageProtocolEnum](docs/HostStorageProtocolEnum.md)
 - [HostStorageSystemDiskLocatorLedResult](docs/HostStorageSystemDiskLocatorLedResult.md)
 - [HostStorageSystemScsiLunResult](docs/HostStorageSystemScsiLunResult.md)
 - [HostStorageSystemVmfsVolumeResult](docs/HostStorageSystemVmfsVolumeResult.md)
 - [HostSubSpecification](docs/HostSubSpecification.md)
 - [HostSubSpecificationDeleteEvent](docs/HostSubSpecificationDeleteEvent.md)
 - [HostSubSpecificationUpdateEvent](docs/HostSubSpecificationUpdateEvent.md)
 - [HostSyncFailedEvent](docs/HostSyncFailedEvent.md)
 - [HostSystemComplianceCheckState](docs/HostSystemComplianceCheckState.md)
 - [HostSystemConnectionState](docs/HostSystemConnectionState.md)
 - [HostSystemConnectionStateEnum](docs/HostSystemConnectionStateEnum.md)
 - [HostSystemHealthInfo](docs/HostSystemHealthInfo.md)
 - [HostSystemIdentificationInfo](docs/HostSystemIdentificationInfo.md)
 - [HostSystemIdentificationInfoIdentifierEnum](docs/HostSystemIdentificationInfoIdentifierEnum.md)
 - [HostSystemInfo](docs/HostSystemInfo.md)
 - [HostSystemPowerState](docs/HostSystemPowerState.md)
 - [HostSystemPowerStateEnum](docs/HostSystemPowerStateEnum.md)
 - [HostSystemReconnectSpec](docs/HostSystemReconnectSpec.md)
 - [HostSystemRemediationState](docs/HostSystemRemediationState.md)
 - [HostSystemRemediationStateStateEnum](docs/HostSystemRemediationStateStateEnum.md)
 - [HostSystemResourceInfo](docs/HostSystemResourceInfo.md)
 - [HostSystemSwapConfiguration](docs/HostSystemSwapConfiguration.md)
 - [HostSystemSwapConfigurationDatastoreOption](docs/HostSystemSwapConfigurationDatastoreOption.md)
 - [HostSystemSwapConfigurationDisabledOption](docs/HostSystemSwapConfigurationDisabledOption.md)
 - [HostSystemSwapConfigurationHostCacheOption](docs/HostSystemSwapConfigurationHostCacheOption.md)
 - [HostSystemSwapConfigurationHostLocalSwapOption](docs/HostSystemSwapConfigurationHostLocalSwapOption.md)
 - [HostSystemSwapConfigurationSystemSwapOption](docs/HostSystemSwapConfigurationSystemSwapOption.md)
 - [HostTargetTransport](docs/HostTargetTransport.md)
 - [HostTcpHba](docs/HostTcpHba.md)
 - [HostTcpHbaCreateSpec](docs/HostTcpHbaCreateSpec.md)
 - [HostTcpTargetTransport](docs/HostTcpTargetTransport.md)
 - [HostTpmAttestationInfo](docs/HostTpmAttestationInfo.md)
 - [HostTpmAttestationInfoAcceptanceStatus](docs/HostTpmAttestationInfoAcceptanceStatus.md)
 - [HostTpmAttestationInfoAcceptanceStatusEnum](docs/HostTpmAttestationInfoAcceptanceStatusEnum.md)
 - [HostTpmAttestationReport](docs/HostTpmAttestationReport.md)
 - [HostTpmBootCompleteEventDetails](docs/HostTpmBootCompleteEventDetails.md)
 - [HostTpmBootSecurityOptionEventDetails](docs/HostTpmBootSecurityOptionEventDetails.md)
 - [HostTpmCommandEventDetails](docs/HostTpmCommandEventDetails.md)
 - [HostTpmDigestInfo](docs/HostTpmDigestInfo.md)
 - [HostTpmEventDetails](docs/HostTpmEventDetails.md)
 - [HostTpmEventLogEntry](docs/HostTpmEventLogEntry.md)
 - [HostTpmNvTagEventDetails](docs/HostTpmNvTagEventDetails.md)
 - [HostTpmOptionEventDetails](docs/HostTpmOptionEventDetails.md)
 - [HostTpmSignerEventDetails](docs/HostTpmSignerEventDetails.md)
 - [HostTpmSoftwareComponentEventDetails](docs/HostTpmSoftwareComponentEventDetails.md)
 - [HostTpmVersionEventDetails](docs/HostTpmVersionEventDetails.md)
 - [HostTrustAuthorityAttestationInfo](docs/HostTrustAuthorityAttestationInfo.md)
 - [HostTrustAuthorityAttestationInfoAttestationStatusEnum](docs/HostTrustAuthorityAttestationInfoAttestationStatusEnum.md)
 - [HostUnresolvedVmfsExtent](docs/HostUnresolvedVmfsExtent.md)
 - [HostUnresolvedVmfsExtentUnresolvedReasonEnum](docs/HostUnresolvedVmfsExtentUnresolvedReasonEnum.md)
 - [HostUnresolvedVmfsResignatureSpec](docs/HostUnresolvedVmfsResignatureSpec.md)
 - [HostUnresolvedVmfsResolutionResult](docs/HostUnresolvedVmfsResolutionResult.md)
 - [HostUnresolvedVmfsResolutionSpec](docs/HostUnresolvedVmfsResolutionSpec.md)
 - [HostUnresolvedVmfsResolutionSpecVmfsUuidResolutionEnum](docs/HostUnresolvedVmfsResolutionSpecVmfsUuidResolutionEnum.md)
 - [HostUnresolvedVmfsVolume](docs/HostUnresolvedVmfsVolume.md)
 - [HostUnresolvedVmfsVolumeResolveStatus](docs/HostUnresolvedVmfsVolumeResolveStatus.md)
 - [HostUpdateVStorageObjectMetadataExRequestType](docs/HostUpdateVStorageObjectMetadataExRequestType.md)
 - [HostUpdateVStorageObjectMetadataRequestType](docs/HostUpdateVStorageObjectMetadataRequestType.md)
 - [HostUpgradeFailedEvent](docs/HostUpgradeFailedEvent.md)
 - [HostUserWorldSwapNotEnabledEvent](docs/HostUserWorldSwapNotEnabledEvent.md)
 - [HostVFlashManagerVFlashCacheConfigInfo](docs/HostVFlashManagerVFlashCacheConfigInfo.md)
 - [HostVFlashManagerVFlashCacheConfigInfoVFlashModuleConfigOption](docs/HostVFlashManagerVFlashCacheConfigInfoVFlashModuleConfigOption.md)
 - [HostVFlashManagerVFlashCacheConfigSpec](docs/HostVFlashManagerVFlashCacheConfigSpec.md)
 - [HostVFlashManagerVFlashConfigInfo](docs/HostVFlashManagerVFlashConfigInfo.md)
 - [HostVFlashManagerVFlashResourceConfigInfo](docs/HostVFlashManagerVFlashResourceConfigInfo.md)
 - [HostVFlashManagerVFlashResourceConfigSpec](docs/HostVFlashManagerVFlashResourceConfigSpec.md)
 - [HostVFlashManagerVFlashResourceRunTimeInfo](docs/HostVFlashManagerVFlashResourceRunTimeInfo.md)
 - [HostVFlashResourceConfigurationResult](docs/HostVFlashResourceConfigurationResult.md)
 - [HostVMotionCompatibility](docs/HostVMotionCompatibility.md)
 - [HostVMotionConfig](docs/HostVMotionConfig.md)
 - [HostVMotionInfo](docs/HostVMotionInfo.md)
 - [HostVMotionManagerDstInstantCloneResult](docs/HostVMotionManagerDstInstantCloneResult.md)
 - [HostVMotionManagerSrcInstantCloneResult](docs/HostVMotionManagerSrcInstantCloneResult.md)
 - [HostVMotionNetConfig](docs/HostVMotionNetConfig.md)
 - [HostVStorageObjectCreateDiskFromSnapshotRequestType](docs/HostVStorageObjectCreateDiskFromSnapshotRequestType.md)
 - [HostVStorageObjectCreateSnapshotRequestType](docs/HostVStorageObjectCreateSnapshotRequestType.md)
 - [HostVStorageObjectDeleteSnapshotRequestType](docs/HostVStorageObjectDeleteSnapshotRequestType.md)
 - [HostVStorageObjectRetrieveSnapshotInfoRequestType](docs/HostVStorageObjectRetrieveSnapshotInfoRequestType.md)
 - [HostVStorageObjectRevertRequestType](docs/HostVStorageObjectRevertRequestType.md)
 - [HostVfatVolume](docs/HostVfatVolume.md)
 - [HostVffsSpec](docs/HostVffsSpec.md)
 - [HostVffsVolume](docs/HostVffsVolume.md)
 - [HostVirtualNic](docs/HostVirtualNic.md)
 - [HostVirtualNicConfig](docs/HostVirtualNicConfig.md)
 - [HostVirtualNicConnection](docs/HostVirtualNicConnection.md)
 - [HostVirtualNicIpRouteSpec](docs/HostVirtualNicIpRouteSpec.md)
 - [HostVirtualNicManagerInfo](docs/HostVirtualNicManagerInfo.md)
 - [HostVirtualNicManagerNicTypeEnum](docs/HostVirtualNicManagerNicTypeEnum.md)
 - [HostVirtualNicManagerNicTypeSelection](docs/HostVirtualNicManagerNicTypeSelection.md)
 - [HostVirtualNicOpaqueNetworkSpec](docs/HostVirtualNicOpaqueNetworkSpec.md)
 - [HostVirtualNicSpec](docs/HostVirtualNicSpec.md)
 - [HostVirtualSwitch](docs/HostVirtualSwitch.md)
 - [HostVirtualSwitchAutoBridge](docs/HostVirtualSwitchAutoBridge.md)
 - [HostVirtualSwitchBeaconConfig](docs/HostVirtualSwitchBeaconConfig.md)
 - [HostVirtualSwitchBondBridge](docs/HostVirtualSwitchBondBridge.md)
 - [HostVirtualSwitchBridge](docs/HostVirtualSwitchBridge.md)
 - [HostVirtualSwitchConfig](docs/HostVirtualSwitchConfig.md)
 - [HostVirtualSwitchSimpleBridge](docs/HostVirtualSwitchSimpleBridge.md)
 - [HostVirtualSwitchSpec](docs/HostVirtualSwitchSpec.md)
 - [HostVmciAccessManagerAccessSpec](docs/HostVmciAccessManagerAccessSpec.md)
 - [HostVmciAccessManagerModeEnum](docs/HostVmciAccessManagerModeEnum.md)
 - [HostVmfsRescanResult](docs/HostVmfsRescanResult.md)
 - [HostVmfsSpec](docs/HostVmfsSpec.md)
 - [HostVmfsVolume](docs/HostVmfsVolume.md)
 - [HostVmfsVolumeUnmapBandwidthPolicyEnum](docs/HostVmfsVolumeUnmapBandwidthPolicyEnum.md)
 - [HostVmfsVolumeUnmapPriorityEnum](docs/HostVmfsVolumeUnmapPriorityEnum.md)
 - [HostVnicConnectedToCustomizedDVPortEvent](docs/HostVnicConnectedToCustomizedDVPortEvent.md)
 - [HostVsanInternalSystemCmmdsQuery](docs/HostVsanInternalSystemCmmdsQuery.md)
 - [HostVsanInternalSystemDeleteVsanObjectsResult](docs/HostVsanInternalSystemDeleteVsanObjectsResult.md)
 - [HostVsanInternalSystemVsanObjectOperationResult](docs/HostVsanInternalSystemVsanObjectOperationResult.md)
 - [HostVsanInternalSystemVsanPhysicalDiskDiagnosticsResult](docs/HostVsanInternalSystemVsanPhysicalDiskDiagnosticsResult.md)
 - [HostVvolVolume](docs/HostVvolVolume.md)
 - [HostVvolVolumeSpecification](docs/HostVvolVolumeSpecification.md)
 - [HostWwnChangedEvent](docs/HostWwnChangedEvent.md)
 - [HostWwnConflictEvent](docs/HostWwnConflictEvent.md)
 - [HotSnapshotMoveNotSupported](docs/HotSnapshotMoveNotSupported.md)
 - [HourlyTaskScheduler](docs/HourlyTaskScheduler.md)
 - [HttpFault](docs/HttpFault.md)
 - [HttpNfcLeaseAbortRequestType](docs/HttpNfcLeaseAbortRequestType.md)
 - [HttpNfcLeaseCapabilities](docs/HttpNfcLeaseCapabilities.md)
 - [HttpNfcLeaseDatastoreLeaseInfo](docs/HttpNfcLeaseDatastoreLeaseInfo.md)
 - [HttpNfcLeaseDeviceUrl](docs/HttpNfcLeaseDeviceUrl.md)
 - [HttpNfcLeaseHostInfo](docs/HttpNfcLeaseHostInfo.md)
 - [HttpNfcLeaseInfo](docs/HttpNfcLeaseInfo.md)
 - [HttpNfcLeaseManifestEntry](docs/HttpNfcLeaseManifestEntry.md)
 - [HttpNfcLeaseManifestEntryChecksumTypeEnum](docs/HttpNfcLeaseManifestEntryChecksumTypeEnum.md)
 - [HttpNfcLeaseModeEnum](docs/HttpNfcLeaseModeEnum.md)
 - [HttpNfcLeaseProbeResult](docs/HttpNfcLeaseProbeResult.md)
 - [HttpNfcLeaseProbeUrlsRequestType](docs/HttpNfcLeaseProbeUrlsRequestType.md)
 - [HttpNfcLeaseProgressRequestType](docs/HttpNfcLeaseProgressRequestType.md)
 - [HttpNfcLeasePullFromUrlsRequestType](docs/HttpNfcLeasePullFromUrlsRequestType.md)
 - [HttpNfcLeaseSetManifestChecksumTypeRequestType](docs/HttpNfcLeaseSetManifestChecksumTypeRequestType.md)
 - [HttpNfcLeaseSourceFile](docs/HttpNfcLeaseSourceFile.md)
 - [HttpNfcLeaseState](docs/HttpNfcLeaseState.md)
 - [HttpNfcLeaseStateEnum](docs/HttpNfcLeaseStateEnum.md)
 - [ID](docs/ID.md)
 - [IDEDiskNotSupported](docs/IDEDiskNotSupported.md)
 - [IORMNotSupportedHostOnDatastore](docs/IORMNotSupportedHostOnDatastore.md)
 - [IScsiBootFailureEvent](docs/IScsiBootFailureEvent.md)
 - [ImpersonateUserRequestType](docs/ImpersonateUserRequestType.md)
 - [ImportCertificateForCAMRequestType](docs/ImportCertificateForCAMRequestType.md)
 - [ImportHostAddFailure](docs/ImportHostAddFailure.md)
 - [ImportOperationBulkFault](docs/ImportOperationBulkFault.md)
 - [ImportOperationBulkFaultFaultOnImport](docs/ImportOperationBulkFaultFaultOnImport.md)
 - [ImportSpec](docs/ImportSpec.md)
 - [ImportUnmanagedSnapshotRequestType](docs/ImportUnmanagedSnapshotRequestType.md)
 - [ImportVAppRequestType](docs/ImportVAppRequestType.md)
 - [InUseFeatureManipulationDisallowed](docs/InUseFeatureManipulationDisallowed.md)
 - [InaccessibleDatastore](docs/InaccessibleDatastore.md)
 - [InaccessibleFTMetadataDatastore](docs/InaccessibleFTMetadataDatastore.md)
 - [InaccessibleVFlashSource](docs/InaccessibleVFlashSource.md)
 - [IncompatibleDefaultDevice](docs/IncompatibleDefaultDevice.md)
 - [IncompatibleHostForFtSecondary](docs/IncompatibleHostForFtSecondary.md)
 - [IncompatibleHostForVmReplication](docs/IncompatibleHostForVmReplication.md)
 - [IncompatibleHostForVmReplicationIncompatibleReasonEnum](docs/IncompatibleHostForVmReplicationIncompatibleReasonEnum.md)
 - [IncompatibleSetting](docs/IncompatibleSetting.md)
 - [IncorrectFileType](docs/IncorrectFileType.md)
 - [IncorrectHostInformation](docs/IncorrectHostInformation.md)
 - [IncorrectHostInformationEvent](docs/IncorrectHostInformationEvent.md)
 - [IncreaseDirectorySizeRequestType](docs/IncreaseDirectorySizeRequestType.md)
 - [IndependentDiskVMotionNotSupported](docs/IndependentDiskVMotionNotSupported.md)
 - [InflateDiskRequestType](docs/InflateDiskRequestType.md)
 - [InflateVirtualDiskRequestType](docs/InflateVirtualDiskRequestType.md)
 - [InfoUpgradeEvent](docs/InfoUpgradeEvent.md)
 - [InheritablePolicy](docs/InheritablePolicy.md)
 - [InitializeDisksRequestType](docs/InitializeDisksRequestType.md)
 - [InitiateFailoverRequestType](docs/InitiateFailoverRequestType.md)
 - [InitiateFileTransferFromGuestRequestType](docs/InitiateFileTransferFromGuestRequestType.md)
 - [InitiateFileTransferToGuestRequestType](docs/InitiateFileTransferToGuestRequestType.md)
 - [InstallHostPatchRequestType](docs/InstallHostPatchRequestType.md)
 - [InstallHostPatchV2RequestType](docs/InstallHostPatchV2RequestType.md)
 - [InstallIoFilterRequestType](docs/InstallIoFilterRequestType.md)
 - [InstallServerCertificateRequestType](docs/InstallServerCertificateRequestType.md)
 - [InstallSmartCardTrustAnchorRequestType](docs/InstallSmartCardTrustAnchorRequestType.md)
 - [InstantCloneRequestType](docs/InstantCloneRequestType.md)
 - [InsufficientAgentVmsDeployed](docs/InsufficientAgentVmsDeployed.md)
 - [InsufficientCpuResourcesFault](docs/InsufficientCpuResourcesFault.md)
 - [InsufficientDisks](docs/InsufficientDisks.md)
 - [InsufficientFailoverResourcesEvent](docs/InsufficientFailoverResourcesEvent.md)
 - [InsufficientFailoverResourcesFault](docs/InsufficientFailoverResourcesFault.md)
 - [InsufficientGraphicsResourcesFault](docs/InsufficientGraphicsResourcesFault.md)
 - [InsufficientHostCapacityFault](docs/InsufficientHostCapacityFault.md)
 - [InsufficientHostCpuCapacityFault](docs/InsufficientHostCpuCapacityFault.md)
 - [InsufficientHostMemoryCapacityFault](docs/InsufficientHostMemoryCapacityFault.md)
 - [InsufficientMemoryResourcesFault](docs/InsufficientMemoryResourcesFault.md)
 - [InsufficientNetworkCapacity](docs/InsufficientNetworkCapacity.md)
 - [InsufficientNetworkResourcePoolCapacity](docs/InsufficientNetworkResourcePoolCapacity.md)
 - [InsufficientPerCpuCapacity](docs/InsufficientPerCpuCapacity.md)
 - [InsufficientResourcesFault](docs/InsufficientResourcesFault.md)
 - [InsufficientStandbyCpuResource](docs/InsufficientStandbyCpuResource.md)
 - [InsufficientStandbyMemoryResource](docs/InsufficientStandbyMemoryResource.md)
 - [InsufficientStandbyResource](docs/InsufficientStandbyResource.md)
 - [InsufficientStorageIops](docs/InsufficientStorageIops.md)
 - [InsufficientStorageSpace](docs/InsufficientStorageSpace.md)
 - [InsufficientVFlashResourcesFault](docs/InsufficientVFlashResourcesFault.md)
 - [IntExpression](docs/IntExpression.md)
 - [IntOption](docs/IntOption.md)
 - [IntPolicy](docs/IntPolicy.md)
 - [InternetScsiSnsDiscoveryMethodEnum](docs/InternetScsiSnsDiscoveryMethodEnum.md)
 - [InvalidAffinitySettingFault](docs/InvalidAffinitySettingFault.md)
 - [InvalidArgument](docs/InvalidArgument.md)
 - [InvalidBmcRole](docs/InvalidBmcRole.md)
 - [InvalidBundle](docs/InvalidBundle.md)
 - [InvalidCAMCertificate](docs/InvalidCAMCertificate.md)
 - [InvalidCAMServer](docs/InvalidCAMServer.md)
 - [InvalidClientCertificate](docs/InvalidClientCertificate.md)
 - [InvalidCollectorVersion](docs/InvalidCollectorVersion.md)
 - [InvalidController](docs/InvalidController.md)
 - [InvalidDasConfigArgument](docs/InvalidDasConfigArgument.md)
 - [InvalidDasConfigArgumentEntryForInvalidArgumentEnum](docs/InvalidDasConfigArgumentEntryForInvalidArgumentEnum.md)
 - [InvalidDasRestartPriorityForFtVm](docs/InvalidDasRestartPriorityForFtVm.md)
 - [InvalidDatastore](docs/InvalidDatastore.md)
 - [InvalidDatastorePath](docs/InvalidDatastorePath.md)
 - [InvalidDatastoreState](docs/InvalidDatastoreState.md)
 - [InvalidDeviceBacking](docs/InvalidDeviceBacking.md)
 - [InvalidDeviceOperation](docs/InvalidDeviceOperation.md)
 - [InvalidDeviceSpec](docs/InvalidDeviceSpec.md)
 - [InvalidDiskFormat](docs/InvalidDiskFormat.md)
 - [InvalidDrsBehaviorForFtVm](docs/InvalidDrsBehaviorForFtVm.md)
 - [InvalidEditionEvent](docs/InvalidEditionEvent.md)
 - [InvalidEditionLicense](docs/InvalidEditionLicense.md)
 - [InvalidEvent](docs/InvalidEvent.md)
 - [InvalidFolder](docs/InvalidFolder.md)
 - [InvalidFormat](docs/InvalidFormat.md)
 - [InvalidGuestLogin](docs/InvalidGuestLogin.md)
 - [InvalidHostConnectionState](docs/InvalidHostConnectionState.md)
 - [InvalidHostName](docs/InvalidHostName.md)
 - [InvalidHostState](docs/InvalidHostState.md)
 - [InvalidIndexArgument](docs/InvalidIndexArgument.md)
 - [InvalidIpfixConfig](docs/InvalidIpfixConfig.md)
 - [InvalidIpmiLoginInfo](docs/InvalidIpmiLoginInfo.md)
 - [InvalidIpmiMacAddress](docs/InvalidIpmiMacAddress.md)
 - [InvalidLicense](docs/InvalidLicense.md)
 - [InvalidLocale](docs/InvalidLocale.md)
 - [InvalidLogin](docs/InvalidLogin.md)
 - [InvalidName](docs/InvalidName.md)
 - [InvalidNasCredentials](docs/InvalidNasCredentials.md)
 - [InvalidNetworkInType](docs/InvalidNetworkInType.md)
 - [InvalidNetworkResource](docs/InvalidNetworkResource.md)
 - [InvalidOperationOnSecondaryVm](docs/InvalidOperationOnSecondaryVm.md)
 - [InvalidPowerState](docs/InvalidPowerState.md)
 - [InvalidPrivilege](docs/InvalidPrivilege.md)
 - [InvalidProfileReferenceHost](docs/InvalidProfileReferenceHost.md)
 - [InvalidProfileReferenceHostReasonEnum](docs/InvalidProfileReferenceHostReasonEnum.md)
 - [InvalidProperty](docs/InvalidProperty.md)
 - [InvalidPropertyType](docs/InvalidPropertyType.md)
 - [InvalidPropertyValue](docs/InvalidPropertyValue.md)
 - [InvalidRequest](docs/InvalidRequest.md)
 - [InvalidResourcePoolStructureFault](docs/InvalidResourcePoolStructureFault.md)
 - [InvalidSnapshotFormat](docs/InvalidSnapshotFormat.md)
 - [InvalidState](docs/InvalidState.md)
 - [InvalidType](docs/InvalidType.md)
 - [InvalidVmConfig](docs/InvalidVmConfig.md)
 - [InvalidVmState](docs/InvalidVmState.md)
 - [InventoryDescription](docs/InventoryDescription.md)
 - [InventoryHasStandardAloneHosts](docs/InventoryHasStandardAloneHosts.md)
 - [IoFilterHostIssue](docs/IoFilterHostIssue.md)
 - [IoFilterInfo](docs/IoFilterInfo.md)
 - [IoFilterOperationEnum](docs/IoFilterOperationEnum.md)
 - [IoFilterQueryIssueResult](docs/IoFilterQueryIssueResult.md)
 - [IoFilterTypeEnum](docs/IoFilterTypeEnum.md)
 - [IpAddress](docs/IpAddress.md)
 - [IpAddressProfile](docs/IpAddressProfile.md)
 - [IpHostnameGeneratorError](docs/IpHostnameGeneratorError.md)
 - [IpPool](docs/IpPool.md)
 - [IpPoolAssociation](docs/IpPoolAssociation.md)
 - [IpPoolIpPoolConfigInfo](docs/IpPoolIpPoolConfigInfo.md)
 - [IpPoolManagerIpAllocation](docs/IpPoolManagerIpAllocation.md)
 - [IpRange](docs/IpRange.md)
 - [IpRouteProfile](docs/IpRouteProfile.md)
 - [IsKmsClusterActiveRequestType](docs/IsKmsClusterActiveRequestType.md)
 - [IscsiDependencyEntity](docs/IscsiDependencyEntity.md)
 - [IscsiFault](docs/IscsiFault.md)
 - [IscsiFaultInvalidVnic](docs/IscsiFaultInvalidVnic.md)
 - [IscsiFaultPnicInUse](docs/IscsiFaultPnicInUse.md)
 - [IscsiFaultVnicAlreadyBound](docs/IscsiFaultVnicAlreadyBound.md)
 - [IscsiFaultVnicHasActivePaths](docs/IscsiFaultVnicHasActivePaths.md)
 - [IscsiFaultVnicHasMultipleUplinks](docs/IscsiFaultVnicHasMultipleUplinks.md)
 - [IscsiFaultVnicHasNoUplinks](docs/IscsiFaultVnicHasNoUplinks.md)
 - [IscsiFaultVnicHasWrongUplink](docs/IscsiFaultVnicHasWrongUplink.md)
 - [IscsiFaultVnicInUse](docs/IscsiFaultVnicInUse.md)
 - [IscsiFaultVnicIsLastPath](docs/IscsiFaultVnicIsLastPath.md)
 - [IscsiFaultVnicNotBound](docs/IscsiFaultVnicNotBound.md)
 - [IscsiFaultVnicNotFound](docs/IscsiFaultVnicNotFound.md)
 - [IscsiMigrationDependency](docs/IscsiMigrationDependency.md)
 - [IscsiPortInfo](docs/IscsiPortInfo.md)
 - [IscsiPortInfoPathStatusEnum](docs/IscsiPortInfoPathStatusEnum.md)
 - [IscsiStatus](docs/IscsiStatus.md)
 - [IsoImageFileInfo](docs/IsoImageFileInfo.md)
 - [IsoImageFileQuery](docs/IsoImageFileQuery.md)
 - [JoinDomainRequestType](docs/JoinDomainRequestType.md)
 - [JoinDomainWithCAMRequestType](docs/JoinDomainWithCAMRequestType.md)
 - [KernelModuleInfo](docs/KernelModuleInfo.md)
 - [KernelModuleSectionInfo](docs/KernelModuleSectionInfo.md)
 - [KeyAnyValue](docs/KeyAnyValue.md)
 - [KeyNotFound](docs/KeyNotFound.md)
 - [KeyProviderId](docs/KeyProviderId.md)
 - [KeyValue](docs/KeyValue.md)
 - [KmipClusterInfo](docs/KmipClusterInfo.md)
 - [KmipClusterInfoKmsManagementTypeEnum](docs/KmipClusterInfoKmsManagementTypeEnum.md)
 - [KmipServerInfo](docs/KmipServerInfo.md)
 - [KmipServerSpec](docs/KmipServerSpec.md)
 - [KmipServerStatus](docs/KmipServerStatus.md)
 - [LargeRDMConversionNotSupported](docs/LargeRDMConversionNotSupported.md)
 - [LargeRDMNotSupportedOnDatastore](docs/LargeRDMNotSupportedOnDatastore.md)
 - [LatencySensitivity](docs/LatencySensitivity.md)
 - [LatencySensitivitySensitivityLevel](docs/LatencySensitivitySensitivityLevel.md)
 - [LatencySensitivitySensitivityLevelEnum](docs/LatencySensitivitySensitivityLevelEnum.md)
 - [LeaveCurrentDomainRequestType](docs/LeaveCurrentDomainRequestType.md)
 - [LegacyNetworkInterfaceInUse](docs/LegacyNetworkInterfaceInUse.md)
 - [LicenseAssignmentFailed](docs/LicenseAssignmentFailed.md)
 - [LicenseAssignmentFailedReasonEnum](docs/LicenseAssignmentFailedReasonEnum.md)
 - [LicenseAssignmentManagerLicenseAssignment](docs/LicenseAssignmentManagerLicenseAssignment.md)
 - [LicenseAvailabilityInfo](docs/LicenseAvailabilityInfo.md)
 - [LicenseDiagnostics](docs/LicenseDiagnostics.md)
 - [LicenseDowngradeDisallowed](docs/LicenseDowngradeDisallowed.md)
 - [LicenseEntityNotFound](docs/LicenseEntityNotFound.md)
 - [LicenseEvent](docs/LicenseEvent.md)
 - [LicenseExpired](docs/LicenseExpired.md)
 - [LicenseExpiredEvent](docs/LicenseExpiredEvent.md)
 - [LicenseFeatureInfo](docs/LicenseFeatureInfo.md)
 - [LicenseFeatureInfoSourceRestrictionEnum](docs/LicenseFeatureInfoSourceRestrictionEnum.md)
 - [LicenseFeatureInfoState](docs/LicenseFeatureInfoState.md)
 - [LicenseFeatureInfoStateEnum](docs/LicenseFeatureInfoStateEnum.md)
 - [LicenseFeatureInfoUnitEnum](docs/LicenseFeatureInfoUnitEnum.md)
 - [LicenseKeyEntityMismatch](docs/LicenseKeyEntityMismatch.md)
 - [LicenseManagerEvaluationInfo](docs/LicenseManagerEvaluationInfo.md)
 - [LicenseManagerLicenseInfo](docs/LicenseManagerLicenseInfo.md)
 - [LicenseManagerLicenseKeyEnum](docs/LicenseManagerLicenseKeyEnum.md)
 - [LicenseManagerState](docs/LicenseManagerState.md)
 - [LicenseManagerStateEnum](docs/LicenseManagerStateEnum.md)
 - [LicenseNonComplianceEvent](docs/LicenseNonComplianceEvent.md)
 - [LicenseReservationInfo](docs/LicenseReservationInfo.md)
 - [LicenseReservationInfoState](docs/LicenseReservationInfoState.md)
 - [LicenseReservationInfoStateEnum](docs/LicenseReservationInfoStateEnum.md)
 - [LicenseRestricted](docs/LicenseRestricted.md)
 - [LicenseRestrictedEvent](docs/LicenseRestrictedEvent.md)
 - [LicenseServerAvailableEvent](docs/LicenseServerAvailableEvent.md)
 - [LicenseServerSource](docs/LicenseServerSource.md)
 - [LicenseServerUnavailable](docs/LicenseServerUnavailable.md)
 - [LicenseServerUnavailableEvent](docs/LicenseServerUnavailableEvent.md)
 - [LicenseSource](docs/LicenseSource.md)
 - [LicenseSourceUnavailable](docs/LicenseSourceUnavailable.md)
 - [LicenseUsageInfo](docs/LicenseUsageInfo.md)
 - [LimitExceeded](docs/LimitExceeded.md)
 - [LinkDiscoveryProtocolConfig](docs/LinkDiscoveryProtocolConfig.md)
 - [LinkDiscoveryProtocolConfigOperationTypeEnum](docs/LinkDiscoveryProtocolConfigOperationTypeEnum.md)
 - [LinkDiscoveryProtocolConfigProtocolTypeEnum](docs/LinkDiscoveryProtocolConfigProtocolTypeEnum.md)
 - [LinkLayerDiscoveryProtocolInfo](docs/LinkLayerDiscoveryProtocolInfo.md)
 - [LinkProfile](docs/LinkProfile.md)
 - [LinuxVolumeNotClean](docs/LinuxVolumeNotClean.md)
 - [ListFilesInGuestRequestType](docs/ListFilesInGuestRequestType.md)
 - [ListGuestAliasesRequestType](docs/ListGuestAliasesRequestType.md)
 - [ListGuestMappedAliasesRequestType](docs/ListGuestMappedAliasesRequestType.md)
 - [ListKeysRequestType](docs/ListKeysRequestType.md)
 - [ListKmipServersRequestType](docs/ListKmipServersRequestType.md)
 - [ListKmsClustersRequestType](docs/ListKmsClustersRequestType.md)
 - [ListProcessesInGuestRequestType](docs/ListProcessesInGuestRequestType.md)
 - [ListRegistryKeysInGuestRequestType](docs/ListRegistryKeysInGuestRequestType.md)
 - [ListRegistryValuesInGuestRequestType](docs/ListRegistryValuesInGuestRequestType.md)
 - [ListTagsAttachedToVStorageObjectRequestType](docs/ListTagsAttachedToVStorageObjectRequestType.md)
 - [ListVStorageObjectRequestType](docs/ListVStorageObjectRequestType.md)
 - [ListVStorageObjectsAttachedToTagRequestType](docs/ListVStorageObjectsAttachedToTagRequestType.md)
 - [LocalDatastoreCreatedEvent](docs/LocalDatastoreCreatedEvent.md)
 - [LocalDatastoreInfo](docs/LocalDatastoreInfo.md)
 - [LocalLicenseSource](docs/LocalLicenseSource.md)
 - [LocalTSMEnabledEvent](docs/LocalTSMEnabledEvent.md)
 - [LocalizableMessage](docs/LocalizableMessage.md)
 - [LocalizationManagerMessageCatalog](docs/LocalizationManagerMessageCatalog.md)
 - [LocalizedMethodFault](docs/LocalizedMethodFault.md)
 - [LockerMisconfiguredEvent](docs/LockerMisconfiguredEvent.md)
 - [LockerReconfiguredEvent](docs/LockerReconfiguredEvent.md)
 - [LogBundlingFailed](docs/LogBundlingFailed.md)
 - [LogUserEventRequestType](docs/LogUserEventRequestType.md)
 - [LoginBySSPIRequestType](docs/LoginBySSPIRequestType.md)
 - [LoginByTokenRequestType](docs/LoginByTokenRequestType.md)
 - [LoginExtensionByCertificateRequestType](docs/LoginExtensionByCertificateRequestType.md)
 - [LoginExtensionBySubjectNameRequestType](docs/LoginExtensionBySubjectNameRequestType.md)
 - [LoginExtensionRequestType](docs/LoginExtensionRequestType.md)
 - [LoginRequestType](docs/LoginRequestType.md)
 - [LongOption](docs/LongOption.md)
 - [LongPolicy](docs/LongPolicy.md)
 - [LookupDvPortGroupRequestType](docs/LookupDvPortGroupRequestType.md)
 - [LookupVmOverheadMemoryRequestType](docs/LookupVmOverheadMemoryRequestType.md)
 - [MacAddress](docs/MacAddress.md)
 - [MacRange](docs/MacRange.md)
 - [MaintenanceModeFileMove](docs/MaintenanceModeFileMove.md)
 - [MakeDirectoryInGuestRequestType](docs/MakeDirectoryInGuestRequestType.md)
 - [MakeDirectoryRequestType](docs/MakeDirectoryRequestType.md)
 - [MakePrimaryVMRequestType](docs/MakePrimaryVMRequestType.md)
 - [ManagedByInfo](docs/ManagedByInfo.md)
 - [ManagedEntityEventArgument](docs/ManagedEntityEventArgument.md)
 - [ManagedEntityStatus](docs/ManagedEntityStatus.md)
 - [ManagedEntityStatusEnum](docs/ManagedEntityStatusEnum.md)
 - [ManagedObjectNotFound](docs/ManagedObjectNotFound.md)
 - [ManagedObjectReference](docs/ManagedObjectReference.md)
 - [MarkAsLocalRequestType](docs/MarkAsLocalRequestType.md)
 - [MarkAsNonLocalRequestType](docs/MarkAsNonLocalRequestType.md)
 - [MarkAsNonSsdRequestType](docs/MarkAsNonSsdRequestType.md)
 - [MarkAsSsdRequestType](docs/MarkAsSsdRequestType.md)
 - [MarkAsVirtualMachineRequestType](docs/MarkAsVirtualMachineRequestType.md)
 - [MarkDefaultRequestType](docs/MarkDefaultRequestType.md)
 - [MarkForRemovalRequestType](docs/MarkForRemovalRequestType.md)
 - [MarkPerenniallyReservedExRequestType](docs/MarkPerenniallyReservedExRequestType.md)
 - [MarkPerenniallyReservedRequestType](docs/MarkPerenniallyReservedRequestType.md)
 - [MarkServiceProviderEntitiesRequestType](docs/MarkServiceProviderEntitiesRequestType.md)
 - [MemoryFileFormatNotSupportedByDatastore](docs/MemoryFileFormatNotSupportedByDatastore.md)
 - [MemoryHotPlugNotSupported](docs/MemoryHotPlugNotSupported.md)
 - [MemorySizeNotRecommended](docs/MemorySizeNotRecommended.md)
 - [MemorySizeNotSupported](docs/MemorySizeNotSupported.md)
 - [MemorySizeNotSupportedByDatastore](docs/MemorySizeNotSupportedByDatastore.md)
 - [MemorySnapshotOnIndependentDisk](docs/MemorySnapshotOnIndependentDisk.md)
 - [MergeDvsRequestType](docs/MergeDvsRequestType.md)
 - [MergePermissionsRequestType](docs/MergePermissionsRequestType.md)
 - [MethodAction](docs/MethodAction.md)
 - [MethodActionArgument](docs/MethodActionArgument.md)
 - [MethodAlreadyDisabledFault](docs/MethodAlreadyDisabledFault.md)
 - [MethodDescription](docs/MethodDescription.md)
 - [MethodDisabled](docs/MethodDisabled.md)
 - [MethodFault](docs/MethodFault.md)
 - [MethodNotFound](docs/MethodNotFound.md)
 - [MetricAlarmExpression](docs/MetricAlarmExpression.md)
 - [MetricAlarmOperator](docs/MetricAlarmOperator.md)
 - [MetricAlarmOperatorEnum](docs/MetricAlarmOperatorEnum.md)
 - [MigrateVMRequestType](docs/MigrateVMRequestType.md)
 - [MigrationDisabled](docs/MigrationDisabled.md)
 - [MigrationErrorEvent](docs/MigrationErrorEvent.md)
 - [MigrationEvent](docs/MigrationEvent.md)
 - [MigrationFault](docs/MigrationFault.md)
 - [MigrationFeatureNotSupported](docs/MigrationFeatureNotSupported.md)
 - [MigrationHostErrorEvent](docs/MigrationHostErrorEvent.md)
 - [MigrationHostWarningEvent](docs/MigrationHostWarningEvent.md)
 - [MigrationNotReady](docs/MigrationNotReady.md)
 - [MigrationResourceErrorEvent](docs/MigrationResourceErrorEvent.md)
 - [MigrationResourceWarningEvent](docs/MigrationResourceWarningEvent.md)
 - [MigrationWarningEvent](docs/MigrationWarningEvent.md)
 - [MismatchedBundle](docs/MismatchedBundle.md)
 - [MismatchedNetworkPolicies](docs/MismatchedNetworkPolicies.md)
 - [MismatchedVMotionNetworkNames](docs/MismatchedVMotionNetworkNames.md)
 - [MissingBmcSupport](docs/MissingBmcSupport.md)
 - [MissingController](docs/MissingController.md)
 - [MissingIpPool](docs/MissingIpPool.md)
 - [MissingLinuxCustResources](docs/MissingLinuxCustResources.md)
 - [MissingNetworkIpConfig](docs/MissingNetworkIpConfig.md)
 - [MissingObject](docs/MissingObject.md)
 - [MissingPowerOffConfiguration](docs/MissingPowerOffConfiguration.md)
 - [MissingPowerOnConfiguration](docs/MissingPowerOnConfiguration.md)
 - [MissingProperty](docs/MissingProperty.md)
 - [MissingWindowsCustResources](docs/MissingWindowsCustResources.md)
 - [MksConnectionLimitReached](docs/MksConnectionLimitReached.md)
 - [MoTypesEnum](docs/MoTypesEnum.md)
 - [ModeInfo](docs/ModeInfo.md)
 - [ModifyListViewRequestType](docs/ModifyListViewRequestType.md)
 - [MonthlyByDayTaskScheduler](docs/MonthlyByDayTaskScheduler.md)
 - [MonthlyByWeekdayTaskScheduler](docs/MonthlyByWeekdayTaskScheduler.md)
 - [MonthlyTaskScheduler](docs/MonthlyTaskScheduler.md)
 - [MountError](docs/MountError.md)
 - [MountVffsVolumeRequestType](docs/MountVffsVolumeRequestType.md)
 - [MountVmfsVolumeExRequestType](docs/MountVmfsVolumeExRequestType.md)
 - [MountVmfsVolumeRequestType](docs/MountVmfsVolumeRequestType.md)
 - [MoveDVPortRequestType](docs/MoveDVPortRequestType.md)
 - [MoveDatastoreFileRequestType](docs/MoveDatastoreFileRequestType.md)
 - [MoveDirectoryInGuestRequestType](docs/MoveDirectoryInGuestRequestType.md)
 - [MoveFileInGuestRequestType](docs/MoveFileInGuestRequestType.md)
 - [MoveHostIntoRequestType](docs/MoveHostIntoRequestType.md)
 - [MoveIntoFolderRequestType](docs/MoveIntoFolderRequestType.md)
 - [MoveIntoRequestType](docs/MoveIntoRequestType.md)
 - [MoveIntoResourcePoolRequestType](docs/MoveIntoResourcePoolRequestType.md)
 - [MoveVirtualDiskRequestType](docs/MoveVirtualDiskRequestType.md)
 - [MtuMatchEvent](docs/MtuMatchEvent.md)
 - [MtuMismatchEvent](docs/MtuMismatchEvent.md)
 - [MultiWriterNotSupported](docs/MultiWriterNotSupported.md)
 - [MultipathStateEnum](docs/MultipathStateEnum.md)
 - [MultipleCertificatesVerifyFault](docs/MultipleCertificatesVerifyFault.md)
 - [MultipleCertificatesVerifyFaultThumbprintData](docs/MultipleCertificatesVerifyFaultThumbprintData.md)
 - [MultipleSnapshotsNotSupported](docs/MultipleSnapshotsNotSupported.md)
 - [NASDatastoreCreatedEvent](docs/NASDatastoreCreatedEvent.md)
 - [NamePasswordAuthentication](docs/NamePasswordAuthentication.md)
 - [NamespaceFull](docs/NamespaceFull.md)
 - [NamespaceLimitReached](docs/NamespaceLimitReached.md)
 - [NamespaceWriteProtected](docs/NamespaceWriteProtected.md)
 - [NasConfigFault](docs/NasConfigFault.md)
 - [NasConnectionLimitReached](docs/NasConnectionLimitReached.md)
 - [NasDatastoreInfo](docs/NasDatastoreInfo.md)
 - [NasSessionCredentialConflict](docs/NasSessionCredentialConflict.md)
 - [NasStorageProfile](docs/NasStorageProfile.md)
 - [NasVolumeNotMounted](docs/NasVolumeNotMounted.md)
 - [NegatableExpression](docs/NegatableExpression.md)
 - [NetBIOSConfigInfo](docs/NetBIOSConfigInfo.md)
 - [NetBIOSConfigInfoModeEnum](docs/NetBIOSConfigInfoModeEnum.md)
 - [NetDhcpConfigInfo](docs/NetDhcpConfigInfo.md)
 - [NetDhcpConfigInfoDhcpOptions](docs/NetDhcpConfigInfoDhcpOptions.md)
 - [NetDhcpConfigSpec](docs/NetDhcpConfigSpec.md)
 - [NetDhcpConfigSpecDhcpOptionsSpec](docs/NetDhcpConfigSpecDhcpOptionsSpec.md)
 - [NetDnsConfigInfo](docs/NetDnsConfigInfo.md)
 - [NetDnsConfigSpec](docs/NetDnsConfigSpec.md)
 - [NetIpConfigInfo](docs/NetIpConfigInfo.md)
 - [NetIpConfigInfoIpAddress](docs/NetIpConfigInfoIpAddress.md)
 - [NetIpConfigInfoIpAddressOriginEnum](docs/NetIpConfigInfoIpAddressOriginEnum.md)
 - [NetIpConfigInfoIpAddressStatusEnum](docs/NetIpConfigInfoIpAddressStatusEnum.md)
 - [NetIpConfigSpec](docs/NetIpConfigSpec.md)
 - [NetIpConfigSpecIpAddressSpec](docs/NetIpConfigSpecIpAddressSpec.md)
 - [NetIpRouteConfigInfo](docs/NetIpRouteConfigInfo.md)
 - [NetIpRouteConfigInfoGateway](docs/NetIpRouteConfigInfoGateway.md)
 - [NetIpRouteConfigInfoIpRoute](docs/NetIpRouteConfigInfoIpRoute.md)
 - [NetIpRouteConfigSpec](docs/NetIpRouteConfigSpec.md)
 - [NetIpRouteConfigSpecGatewaySpec](docs/NetIpRouteConfigSpecGatewaySpec.md)
 - [NetIpRouteConfigSpecIpRouteSpec](docs/NetIpRouteConfigSpecIpRouteSpec.md)
 - [NetIpStackInfo](docs/NetIpStackInfo.md)
 - [NetIpStackInfoDefaultRouter](docs/NetIpStackInfoDefaultRouter.md)
 - [NetIpStackInfoEntryTypeEnum](docs/NetIpStackInfoEntryTypeEnum.md)
 - [NetIpStackInfoNetToMedia](docs/NetIpStackInfoNetToMedia.md)
 - [NetIpStackInfoPreferenceEnum](docs/NetIpStackInfoPreferenceEnum.md)
 - [NetStackInstanceProfile](docs/NetStackInstanceProfile.md)
 - [NetworkCopyFault](docs/NetworkCopyFault.md)
 - [NetworkDisruptedAndConfigRolledBack](docs/NetworkDisruptedAndConfigRolledBack.md)
 - [NetworkEventArgument](docs/NetworkEventArgument.md)
 - [NetworkInaccessible](docs/NetworkInaccessible.md)
 - [NetworkPolicyProfile](docs/NetworkPolicyProfile.md)
 - [NetworkProfile](docs/NetworkProfile.md)
 - [NetworkProfileDnsConfigProfile](docs/NetworkProfileDnsConfigProfile.md)
 - [NetworkRollbackEvent](docs/NetworkRollbackEvent.md)
 - [NetworkSummary](docs/NetworkSummary.md)
 - [NetworksMayNotBeTheSame](docs/NetworksMayNotBeTheSame.md)
 - [NicSettingMismatch](docs/NicSettingMismatch.md)
 - [NoAccessUserEvent](docs/NoAccessUserEvent.md)
 - [NoActiveHostInCluster](docs/NoActiveHostInCluster.md)
 - [NoAvailableIp](docs/NoAvailableIp.md)
 - [NoClientCertificate](docs/NoClientCertificate.md)
 - [NoCompatibleDatastore](docs/NoCompatibleDatastore.md)
 - [NoCompatibleHardAffinityHost](docs/NoCompatibleHardAffinityHost.md)
 - [NoCompatibleHost](docs/NoCompatibleHost.md)
 - [NoCompatibleHostWithAccessToDevice](docs/NoCompatibleHostWithAccessToDevice.md)
 - [NoCompatibleSoftAffinityHost](docs/NoCompatibleSoftAffinityHost.md)
 - [NoConnectedDatastore](docs/NoConnectedDatastore.md)
 - [NoDatastoresConfiguredEvent](docs/NoDatastoresConfiguredEvent.md)
 - [NoDiskFound](docs/NoDiskFound.md)
 - [NoDiskSpace](docs/NoDiskSpace.md)
 - [NoDisksToCustomize](docs/NoDisksToCustomize.md)
 - [NoGateway](docs/NoGateway.md)
 - [NoGuestHeartbeat](docs/NoGuestHeartbeat.md)
 - [NoHost](docs/NoHost.md)
 - [NoHostSuitableForFtSecondary](docs/NoHostSuitableForFtSecondary.md)
 - [NoLicenseEvent](docs/NoLicenseEvent.md)
 - [NoLicenseServerConfigured](docs/NoLicenseServerConfigured.md)
 - [NoMaintenanceModeDrsRecommendationForVM](docs/NoMaintenanceModeDrsRecommendationForVM.md)
 - [NoPeerHostFound](docs/NoPeerHostFound.md)
 - [NoPermission](docs/NoPermission.md)
 - [NoPermissionEntityPrivileges](docs/NoPermissionEntityPrivileges.md)
 - [NoPermissionOnAD](docs/NoPermissionOnAD.md)
 - [NoPermissionOnHost](docs/NoPermissionOnHost.md)
 - [NoPermissionOnNasVolume](docs/NoPermissionOnNasVolume.md)
 - [NoSubjectName](docs/NoSubjectName.md)
 - [NoVcManagedIpConfigured](docs/NoVcManagedIpConfigured.md)
 - [NoVirtualNic](docs/NoVirtualNic.md)
 - [NoVmInVApp](docs/NoVmInVApp.md)
 - [NodeDeploymentSpec](docs/NodeDeploymentSpec.md)
 - [NodeNetworkSpec](docs/NodeNetworkSpec.md)
 - [NonADUserRequired](docs/NonADUserRequired.md)
 - [NonHomeRDMVMotionNotSupported](docs/NonHomeRDMVMotionNotSupported.md)
 - [NonPersistentDisksNotSupported](docs/NonPersistentDisksNotSupported.md)
 - [NonVIWorkloadDetectedOnDatastoreEvent](docs/NonVIWorkloadDetectedOnDatastoreEvent.md)
 - [NonVmwareOuiMacNotSupportedHost](docs/NonVmwareOuiMacNotSupportedHost.md)
 - [NotADirectory](docs/NotADirectory.md)
 - [NotAFile](docs/NotAFile.md)
 - [NotAuthenticated](docs/NotAuthenticated.md)
 - [NotEnoughCpus](docs/NotEnoughCpus.md)
 - [NotEnoughLicenses](docs/NotEnoughLicenses.md)
 - [NotEnoughLogicalCpus](docs/NotEnoughLogicalCpus.md)
 - [NotEnoughResourcesToStartVmEvent](docs/NotEnoughResourcesToStartVmEvent.md)
 - [NotFound](docs/NotFound.md)
 - [NotImplemented](docs/NotImplemented.md)
 - [NotSupported](docs/NotSupported.md)
 - [NotSupportedDeviceForFT](docs/NotSupportedDeviceForFT.md)
 - [NotSupportedDeviceForFTDeviceTypeEnum](docs/NotSupportedDeviceForFTDeviceTypeEnum.md)
 - [NotSupportedHost](docs/NotSupportedHost.md)
 - [NotSupportedHostForChecksum](docs/NotSupportedHostForChecksum.md)
 - [NotSupportedHostForVFlash](docs/NotSupportedHostForVFlash.md)
 - [NotSupportedHostForVmcp](docs/NotSupportedHostForVmcp.md)
 - [NotSupportedHostForVmemFile](docs/NotSupportedHostForVmemFile.md)
 - [NotSupportedHostForVsan](docs/NotSupportedHostForVsan.md)
 - [NotSupportedHostInCluster](docs/NotSupportedHostInCluster.md)
 - [NotSupportedHostInDvs](docs/NotSupportedHostInDvs.md)
 - [NotSupportedHostInHACluster](docs/NotSupportedHostInHACluster.md)
 - [NotUserConfigurableProperty](docs/NotUserConfigurableProperty.md)
 - [NsxHostVNicProfile](docs/NsxHostVNicProfile.md)
 - [NumPortsProfile](docs/NumPortsProfile.md)
 - [NumVirtualCoresPerSocketNotSupported](docs/NumVirtualCoresPerSocketNotSupported.md)
 - [NumVirtualCpusExceedsLimit](docs/NumVirtualCpusExceedsLimit.md)
 - [NumVirtualCpusIncompatible](docs/NumVirtualCpusIncompatible.md)
 - [NumVirtualCpusIncompatibleReasonEnum](docs/NumVirtualCpusIncompatibleReasonEnum.md)
 - [NumVirtualCpusNotSupported](docs/NumVirtualCpusNotSupported.md)
 - [NumericRange](docs/NumericRange.md)
 - [NvdimmDimmInfo](docs/NvdimmDimmInfo.md)
 - [NvdimmGuid](docs/NvdimmGuid.md)
 - [NvdimmHealthInfo](docs/NvdimmHealthInfo.md)
 - [NvdimmInterleaveSetInfo](docs/NvdimmInterleaveSetInfo.md)
 - [NvdimmInterleaveSetStateEnum](docs/NvdimmInterleaveSetStateEnum.md)
 - [NvdimmNamespaceCreateSpec](docs/NvdimmNamespaceCreateSpec.md)
 - [NvdimmNamespaceDeleteSpec](docs/NvdimmNamespaceDeleteSpec.md)
 - [NvdimmNamespaceDetails](docs/NvdimmNamespaceDetails.md)
 - [NvdimmNamespaceDetailsHealthStatusEnum](docs/NvdimmNamespaceDetailsHealthStatusEnum.md)
 - [NvdimmNamespaceDetailsStateEnum](docs/NvdimmNamespaceDetailsStateEnum.md)
 - [NvdimmNamespaceHealthStatusEnum](docs/NvdimmNamespaceHealthStatusEnum.md)
 - [NvdimmNamespaceInfo](docs/NvdimmNamespaceInfo.md)
 - [NvdimmNamespaceStateEnum](docs/NvdimmNamespaceStateEnum.md)
 - [NvdimmNamespaceTypeEnum](docs/NvdimmNamespaceTypeEnum.md)
 - [NvdimmNvdimmHealthInfoStateEnum](docs/NvdimmNvdimmHealthInfoStateEnum.md)
 - [NvdimmPMemNamespaceCreateSpec](docs/NvdimmPMemNamespaceCreateSpec.md)
 - [NvdimmRangeTypeEnum](docs/NvdimmRangeTypeEnum.md)
 - [NvdimmRegionInfo](docs/NvdimmRegionInfo.md)
 - [NvdimmSummary](docs/NvdimmSummary.md)
 - [NvdimmSystemInfo](docs/NvdimmSystemInfo.md)
 - [ObjectContent](docs/ObjectContent.md)
 - [ObjectSpec](docs/ObjectSpec.md)
 - [ObjectUpdate](docs/ObjectUpdate.md)
 - [ObjectUpdateKind](docs/ObjectUpdateKind.md)
 - [ObjectUpdateKindEnum](docs/ObjectUpdateKindEnum.md)
 - [OnceTaskScheduler](docs/OnceTaskScheduler.md)
 - [OpaqueNetworkCapability](docs/OpaqueNetworkCapability.md)
 - [OpaqueNetworkSummary](docs/OpaqueNetworkSummary.md)
 - [OpaqueNetworkTargetInfo](docs/OpaqueNetworkTargetInfo.md)
 - [OpaqueSwitchProfile](docs/OpaqueSwitchProfile.md)
 - [OpenInventoryViewFolderRequestType](docs/OpenInventoryViewFolderRequestType.md)
 - [OperationDisabledByGuest](docs/OperationDisabledByGuest.md)
 - [OperationDisallowedOnHost](docs/OperationDisallowedOnHost.md)
 - [OperationNotSupportedByGuest](docs/OperationNotSupportedByGuest.md)
 - [OptionDef](docs/OptionDef.md)
 - [OptionProfile](docs/OptionProfile.md)
 - [OptionType](docs/OptionType.md)
 - [OptionValue](docs/OptionValue.md)
 - [OrAlarmExpression](docs/OrAlarmExpression.md)
 - [OutOfBounds](docs/OutOfBounds.md)
 - [OutOfSyncDvsHost](docs/OutOfSyncDvsHost.md)
 - [OverwriteCustomizationSpecRequestType](docs/OverwriteCustomizationSpecRequestType.md)
 - [OvfAttribute](docs/OvfAttribute.md)
 - [OvfConnectedDevice](docs/OvfConnectedDevice.md)
 - [OvfConnectedDeviceFloppy](docs/OvfConnectedDeviceFloppy.md)
 - [OvfConnectedDeviceIso](docs/OvfConnectedDeviceIso.md)
 - [OvfConstraint](docs/OvfConstraint.md)
 - [OvfConsumerCallbackFault](docs/OvfConsumerCallbackFault.md)
 - [OvfConsumerCommunicationError](docs/OvfConsumerCommunicationError.md)
 - [OvfConsumerFault](docs/OvfConsumerFault.md)
 - [OvfConsumerInvalidSection](docs/OvfConsumerInvalidSection.md)
 - [OvfConsumerOstNode](docs/OvfConsumerOstNode.md)
 - [OvfConsumerOstNodeTypeEnum](docs/OvfConsumerOstNodeTypeEnum.md)
 - [OvfConsumerOvfSection](docs/OvfConsumerOvfSection.md)
 - [OvfConsumerPowerOnFault](docs/OvfConsumerPowerOnFault.md)
 - [OvfConsumerUndeclaredSection](docs/OvfConsumerUndeclaredSection.md)
 - [OvfConsumerUndefinedPrefix](docs/OvfConsumerUndefinedPrefix.md)
 - [OvfConsumerValidationFault](docs/OvfConsumerValidationFault.md)
 - [OvfCpuCompatibility](docs/OvfCpuCompatibility.md)
 - [OvfCpuCompatibilityCheckNotSupported](docs/OvfCpuCompatibilityCheckNotSupported.md)
 - [OvfCreateDescriptorParams](docs/OvfCreateDescriptorParams.md)
 - [OvfCreateDescriptorResult](docs/OvfCreateDescriptorResult.md)
 - [OvfCreateImportSpecParams](docs/OvfCreateImportSpecParams.md)
 - [OvfCreateImportSpecParamsDiskProvisioningTypeEnum](docs/OvfCreateImportSpecParamsDiskProvisioningTypeEnum.md)
 - [OvfCreateImportSpecResult](docs/OvfCreateImportSpecResult.md)
 - [OvfDeploymentOption](docs/OvfDeploymentOption.md)
 - [OvfDiskMappingNotFound](docs/OvfDiskMappingNotFound.md)
 - [OvfDiskOrderConstraint](docs/OvfDiskOrderConstraint.md)
 - [OvfDuplicateElement](docs/OvfDuplicateElement.md)
 - [OvfDuplicatedElementBoundary](docs/OvfDuplicatedElementBoundary.md)
 - [OvfDuplicatedPropertyIdExport](docs/OvfDuplicatedPropertyIdExport.md)
 - [OvfDuplicatedPropertyIdImport](docs/OvfDuplicatedPropertyIdImport.md)
 - [OvfElement](docs/OvfElement.md)
 - [OvfElementInvalidValue](docs/OvfElementInvalidValue.md)
 - [OvfExport](docs/OvfExport.md)
 - [OvfExportFailed](docs/OvfExportFailed.md)
 - [OvfFault](docs/OvfFault.md)
 - [OvfFile](docs/OvfFile.md)
 - [OvfFileItem](docs/OvfFileItem.md)
 - [OvfHardwareCheck](docs/OvfHardwareCheck.md)
 - [OvfHardwareExport](docs/OvfHardwareExport.md)
 - [OvfHostResourceConstraint](docs/OvfHostResourceConstraint.md)
 - [OvfHostValueNotParsed](docs/OvfHostValueNotParsed.md)
 - [OvfImport](docs/OvfImport.md)
 - [OvfImportFailed](docs/OvfImportFailed.md)
 - [OvfInternalError](docs/OvfInternalError.md)
 - [OvfInvalidPackage](docs/OvfInvalidPackage.md)
 - [OvfInvalidValue](docs/OvfInvalidValue.md)
 - [OvfInvalidValueConfiguration](docs/OvfInvalidValueConfiguration.md)
 - [OvfInvalidValueEmpty](docs/OvfInvalidValueEmpty.md)
 - [OvfInvalidValueFormatMalformed](docs/OvfInvalidValueFormatMalformed.md)
 - [OvfInvalidValueReference](docs/OvfInvalidValueReference.md)
 - [OvfInvalidVmName](docs/OvfInvalidVmName.md)
 - [OvfManagerCommonParams](docs/OvfManagerCommonParams.md)
 - [OvfMappedOsId](docs/OvfMappedOsId.md)
 - [OvfMissingAttribute](docs/OvfMissingAttribute.md)
 - [OvfMissingElement](docs/OvfMissingElement.md)
 - [OvfMissingElementNormalBoundary](docs/OvfMissingElementNormalBoundary.md)
 - [OvfMissingHardware](docs/OvfMissingHardware.md)
 - [OvfNetworkInfo](docs/OvfNetworkInfo.md)
 - [OvfNetworkMapping](docs/OvfNetworkMapping.md)
 - [OvfNetworkMappingNotSupported](docs/OvfNetworkMappingNotSupported.md)
 - [OvfNoHostNic](docs/OvfNoHostNic.md)
 - [OvfNoSpaceOnController](docs/OvfNoSpaceOnController.md)
 - [OvfNoSupportedHardwareFamily](docs/OvfNoSupportedHardwareFamily.md)
 - [OvfOptionInfo](docs/OvfOptionInfo.md)
 - [OvfParseDescriptorParams](docs/OvfParseDescriptorParams.md)
 - [OvfParseDescriptorResult](docs/OvfParseDescriptorResult.md)
 - [OvfProperty](docs/OvfProperty.md)
 - [OvfPropertyExport](docs/OvfPropertyExport.md)
 - [OvfPropertyNetwork](docs/OvfPropertyNetwork.md)
 - [OvfPropertyNetworkExport](docs/OvfPropertyNetworkExport.md)
 - [OvfPropertyQualifier](docs/OvfPropertyQualifier.md)
 - [OvfPropertyQualifierDuplicate](docs/OvfPropertyQualifierDuplicate.md)
 - [OvfPropertyQualifierIgnored](docs/OvfPropertyQualifierIgnored.md)
 - [OvfPropertyType](docs/OvfPropertyType.md)
 - [OvfPropertyValue](docs/OvfPropertyValue.md)
 - [OvfResourceMap](docs/OvfResourceMap.md)
 - [OvfSystemFault](docs/OvfSystemFault.md)
 - [OvfToXmlUnsupportedElement](docs/OvfToXmlUnsupportedElement.md)
 - [OvfUnableToExportDisk](docs/OvfUnableToExportDisk.md)
 - [OvfUnexpectedElement](docs/OvfUnexpectedElement.md)
 - [OvfUnknownDevice](docs/OvfUnknownDevice.md)
 - [OvfUnknownDeviceBacking](docs/OvfUnknownDeviceBacking.md)
 - [OvfUnknownEntity](docs/OvfUnknownEntity.md)
 - [OvfUnsupportedAttribute](docs/OvfUnsupportedAttribute.md)
 - [OvfUnsupportedAttributeValue](docs/OvfUnsupportedAttributeValue.md)
 - [OvfUnsupportedDeviceBackingInfo](docs/OvfUnsupportedDeviceBackingInfo.md)
 - [OvfUnsupportedDeviceBackingOption](docs/OvfUnsupportedDeviceBackingOption.md)
 - [OvfUnsupportedDeviceExport](docs/OvfUnsupportedDeviceExport.md)
 - [OvfUnsupportedDiskProvisioning](docs/OvfUnsupportedDiskProvisioning.md)
 - [OvfUnsupportedElement](docs/OvfUnsupportedElement.md)
 - [OvfUnsupportedElementValue](docs/OvfUnsupportedElementValue.md)
 - [OvfUnsupportedPackage](docs/OvfUnsupportedPackage.md)
 - [OvfUnsupportedSection](docs/OvfUnsupportedSection.md)
 - [OvfUnsupportedSubType](docs/OvfUnsupportedSubType.md)
 - [OvfUnsupportedType](docs/OvfUnsupportedType.md)
 - [OvfValidateHostParams](docs/OvfValidateHostParams.md)
 - [OvfValidateHostResult](docs/OvfValidateHostResult.md)
 - [OvfWrongElement](docs/OvfWrongElement.md)
 - [OvfWrongNamespace](docs/OvfWrongNamespace.md)
 - [OvfXmlFormat](docs/OvfXmlFormat.md)
 - [PMemDatastoreInfo](docs/PMemDatastoreInfo.md)
 - [ParaVirtualSCSIController](docs/ParaVirtualSCSIController.md)
 - [ParaVirtualSCSIControllerOption](docs/ParaVirtualSCSIControllerOption.md)
 - [ParseDescriptorRequestType](docs/ParseDescriptorRequestType.md)
 - [PassiveNodeDeploymentSpec](docs/PassiveNodeDeploymentSpec.md)
 - [PassiveNodeNetworkSpec](docs/PassiveNodeNetworkSpec.md)
 - [PasswordExpired](docs/PasswordExpired.md)
 - [PasswordField](docs/PasswordField.md)
 - [PatchAlreadyInstalled](docs/PatchAlreadyInstalled.md)
 - [PatchBinariesNotFound](docs/PatchBinariesNotFound.md)
 - [PatchInstallFailed](docs/PatchInstallFailed.md)
 - [PatchIntegrityError](docs/PatchIntegrityError.md)
 - [PatchMetadataCorrupted](docs/PatchMetadataCorrupted.md)
 - [PatchMetadataInvalid](docs/PatchMetadataInvalid.md)
 - [PatchMetadataNotFound](docs/PatchMetadataNotFound.md)
 - [PatchMissingDependencies](docs/PatchMissingDependencies.md)
 - [PatchNotApplicable](docs/PatchNotApplicable.md)
 - [PatchSuperseded](docs/PatchSuperseded.md)
 - [PerfCompositeMetric](docs/PerfCompositeMetric.md)
 - [PerfCounterInfo](docs/PerfCounterInfo.md)
 - [PerfEntityMetric](docs/PerfEntityMetric.md)
 - [PerfEntityMetricBase](docs/PerfEntityMetricBase.md)
 - [PerfEntityMetricCSV](docs/PerfEntityMetricCSV.md)
 - [PerfFormatEnum](docs/PerfFormatEnum.md)
 - [PerfInterval](docs/PerfInterval.md)
 - [PerfMetricId](docs/PerfMetricId.md)
 - [PerfMetricIntSeries](docs/PerfMetricIntSeries.md)
 - [PerfMetricSeries](docs/PerfMetricSeries.md)
 - [PerfMetricSeriesCSV](docs/PerfMetricSeriesCSV.md)
 - [PerfProviderSummary](docs/PerfProviderSummary.md)
 - [PerfQuerySpec](docs/PerfQuerySpec.md)
 - [PerfSampleInfo](docs/PerfSampleInfo.md)
 - [PerfStatsType](docs/PerfStatsType.md)
 - [PerfStatsTypeEnum](docs/PerfStatsTypeEnum.md)
 - [PerfSummaryType](docs/PerfSummaryType.md)
 - [PerfSummaryTypeEnum](docs/PerfSummaryTypeEnum.md)
 - [PerformDvsProductSpecOperationRequestType](docs/PerformDvsProductSpecOperationRequestType.md)
 - [PerformVsanUpgradePreflightCheckRequestType](docs/PerformVsanUpgradePreflightCheckRequestType.md)
 - [PerformVsanUpgradeRequestType](docs/PerformVsanUpgradeRequestType.md)
 - [PerformanceDescription](docs/PerformanceDescription.md)
 - [PerformanceManagerCounterLevelMapping](docs/PerformanceManagerCounterLevelMapping.md)
 - [PerformanceManagerUnitEnum](docs/PerformanceManagerUnitEnum.md)
 - [PerformanceStatisticsDescription](docs/PerformanceStatisticsDescription.md)
 - [Permission](docs/Permission.md)
 - [PermissionAddedEvent](docs/PermissionAddedEvent.md)
 - [PermissionEvent](docs/PermissionEvent.md)
 - [PermissionProfile](docs/PermissionProfile.md)
 - [PermissionRemovedEvent](docs/PermissionRemovedEvent.md)
 - [PermissionUpdatedEvent](docs/PermissionUpdatedEvent.md)
 - [PhysCompatRDMNotSupported](docs/PhysCompatRDMNotSupported.md)
 - [PhysicalNic](docs/PhysicalNic.md)
 - [PhysicalNicCdpDeviceCapability](docs/PhysicalNicCdpDeviceCapability.md)
 - [PhysicalNicCdpInfo](docs/PhysicalNicCdpInfo.md)
 - [PhysicalNicConfig](docs/PhysicalNicConfig.md)
 - [PhysicalNicHint](docs/PhysicalNicHint.md)
 - [PhysicalNicHintInfo](docs/PhysicalNicHintInfo.md)
 - [PhysicalNicIpHint](docs/PhysicalNicIpHint.md)
 - [PhysicalNicLinkInfo](docs/PhysicalNicLinkInfo.md)
 - [PhysicalNicNameHint](docs/PhysicalNicNameHint.md)
 - [PhysicalNicProfile](docs/PhysicalNicProfile.md)
 - [PhysicalNicResourcePoolSchedulerDisallowedReasonEnum](docs/PhysicalNicResourcePoolSchedulerDisallowedReasonEnum.md)
 - [PhysicalNicSpec](docs/PhysicalNicSpec.md)
 - [PhysicalNicVmDirectPathGen2SupportedModeEnum](docs/PhysicalNicVmDirectPathGen2SupportedModeEnum.md)
 - [PlaceVmRequestType](docs/PlaceVmRequestType.md)
 - [PlacementAction](docs/PlacementAction.md)
 - [PlacementAffinityRule](docs/PlacementAffinityRule.md)
 - [PlacementAffinityRuleRuleScopeEnum](docs/PlacementAffinityRuleRuleScopeEnum.md)
 - [PlacementAffinityRuleRuleTypeEnum](docs/PlacementAffinityRuleRuleTypeEnum.md)
 - [PlacementRankResult](docs/PlacementRankResult.md)
 - [PlacementRankSpec](docs/PlacementRankSpec.md)
 - [PlacementResult](docs/PlacementResult.md)
 - [PlacementSpec](docs/PlacementSpec.md)
 - [PlacementSpecPlacementTypeEnum](docs/PlacementSpecPlacementTypeEnum.md)
 - [PlatformConfigFault](docs/PlatformConfigFault.md)
 - [PnicUplinkProfile](docs/PnicUplinkProfile.md)
 - [PodDiskLocator](docs/PodDiskLocator.md)
 - [PodStorageDrsEntry](docs/PodStorageDrsEntry.md)
 - [PolicyOption](docs/PolicyOption.md)
 - [PortGroupConnecteeTypeEnum](docs/PortGroupConnecteeTypeEnum.md)
 - [PortGroupProfile](docs/PortGroupProfile.md)
 - [PosixUserSearchResult](docs/PosixUserSearchResult.md)
 - [PostEventRequestType](docs/PostEventRequestType.md)
 - [PostHealthUpdatesRequestType](docs/PostHealthUpdatesRequestType.md)
 - [PowerDownHostToStandByRequestType](docs/PowerDownHostToStandByRequestType.md)
 - [PowerOffVAppRequestType](docs/PowerOffVAppRequestType.md)
 - [PowerOnFtSecondaryFailed](docs/PowerOnFtSecondaryFailed.md)
 - [PowerOnFtSecondaryTimedout](docs/PowerOnFtSecondaryTimedout.md)
 - [PowerOnMultiVMRequestType](docs/PowerOnMultiVMRequestType.md)
 - [PowerOnVMRequestType](docs/PowerOnVMRequestType.md)
 - [PowerSystemCapability](docs/PowerSystemCapability.md)
 - [PowerSystemInfo](docs/PowerSystemInfo.md)
 - [PowerUpHostFromStandByRequestType](docs/PowerUpHostFromStandByRequestType.md)
 - [PrepareVchaRequestType](docs/PrepareVchaRequestType.md)
 - [PrimitiveBinary](docs/PrimitiveBinary.md)
 - [PrimitiveBoolean](docs/PrimitiveBoolean.md)
 - [PrimitiveByte](docs/PrimitiveByte.md)
 - [PrimitiveDateTime](docs/PrimitiveDateTime.md)
 - [PrimitiveDouble](docs/PrimitiveDouble.md)
 - [PrimitiveFloat](docs/PrimitiveFloat.md)
 - [PrimitiveInt](docs/PrimitiveInt.md)
 - [PrimitiveLong](docs/PrimitiveLong.md)
 - [PrimitiveMethodName](docs/PrimitiveMethodName.md)
 - [PrimitivePropPath](docs/PrimitivePropPath.md)
 - [PrimitiveShort](docs/PrimitiveShort.md)
 - [PrimitiveString](docs/PrimitiveString.md)
 - [PrimitiveTypeName](docs/PrimitiveTypeName.md)
 - [PrimitiveURI](docs/PrimitiveURI.md)
 - [PrivilegeAvailability](docs/PrivilegeAvailability.md)
 - [PrivilegePolicyDef](docs/PrivilegePolicyDef.md)
 - [ProductComponentInfo](docs/ProductComponentInfo.md)
 - [ProfileApplyProfileElement](docs/ProfileApplyProfileElement.md)
 - [ProfileApplyProfileProperty](docs/ProfileApplyProfileProperty.md)
 - [ProfileAssociatedEvent](docs/ProfileAssociatedEvent.md)
 - [ProfileChangedEvent](docs/ProfileChangedEvent.md)
 - [ProfileCompositeExpression](docs/ProfileCompositeExpression.md)
 - [ProfileCompositePolicyOptionMetadata](docs/ProfileCompositePolicyOptionMetadata.md)
 - [ProfileConfigInfo](docs/ProfileConfigInfo.md)
 - [ProfileCreateSpec](docs/ProfileCreateSpec.md)
 - [ProfileCreatedEvent](docs/ProfileCreatedEvent.md)
 - [ProfileDeferredPolicyOptionParameter](docs/ProfileDeferredPolicyOptionParameter.md)
 - [ProfileDescription](docs/ProfileDescription.md)
 - [ProfileDescriptionSection](docs/ProfileDescriptionSection.md)
 - [ProfileDissociatedEvent](docs/ProfileDissociatedEvent.md)
 - [ProfileEvent](docs/ProfileEvent.md)
 - [ProfileEventArgument](docs/ProfileEventArgument.md)
 - [ProfileExecuteError](docs/ProfileExecuteError.md)
 - [ProfileExecuteResult](docs/ProfileExecuteResult.md)
 - [ProfileExecuteResultStatusEnum](docs/ProfileExecuteResultStatusEnum.md)
 - [ProfileExpression](docs/ProfileExpression.md)
 - [ProfileExpressionMetadata](docs/ProfileExpressionMetadata.md)
 - [ProfileMetadata](docs/ProfileMetadata.md)
 - [ProfileMetadataProfileOperationMessage](docs/ProfileMetadataProfileOperationMessage.md)
 - [ProfileMetadataProfileSortSpec](docs/ProfileMetadataProfileSortSpec.md)
 - [ProfileNumericComparator](docs/ProfileNumericComparator.md)
 - [ProfileNumericComparatorEnum](docs/ProfileNumericComparatorEnum.md)
 - [ProfileParameterMetadata](docs/ProfileParameterMetadata.md)
 - [ProfileParameterMetadataParameterRelationMetadata](docs/ProfileParameterMetadataParameterRelationMetadata.md)
 - [ProfileParameterMetadataRelationTypeEnum](docs/ProfileParameterMetadataRelationTypeEnum.md)
 - [ProfilePolicy](docs/ProfilePolicy.md)
 - [ProfilePolicyMetadata](docs/ProfilePolicyMetadata.md)
 - [ProfilePolicyOptionMetadata](docs/ProfilePolicyOptionMetadata.md)
 - [ProfileProfileStructure](docs/ProfileProfileStructure.md)
 - [ProfileProfileStructureProperty](docs/ProfileProfileStructureProperty.md)
 - [ProfilePropertyPath](docs/ProfilePropertyPath.md)
 - [ProfileReferenceHostChangedEvent](docs/ProfileReferenceHostChangedEvent.md)
 - [ProfileRemovedEvent](docs/ProfileRemovedEvent.md)
 - [ProfileSerializedCreateSpec](docs/ProfileSerializedCreateSpec.md)
 - [ProfileSimpleExpression](docs/ProfileSimpleExpression.md)
 - [ProfileUpdateFailed](docs/ProfileUpdateFailed.md)
 - [ProfileUpdateFailedUpdateFailure](docs/ProfileUpdateFailedUpdateFailure.md)
 - [PromoteDisksRequestType](docs/PromoteDisksRequestType.md)
 - [PropertyChange](docs/PropertyChange.md)
 - [PropertyChangeOp](docs/PropertyChangeOp.md)
 - [PropertyChangeOpEnum](docs/PropertyChangeOpEnum.md)
 - [PropertyFilterSpec](docs/PropertyFilterSpec.md)
 - [PropertyFilterUpdate](docs/PropertyFilterUpdate.md)
 - [PropertySpec](docs/PropertySpec.md)
 - [PutUsbScanCodesRequestType](docs/PutUsbScanCodesRequestType.md)
 - [QuarantineModeFault](docs/QuarantineModeFault.md)
 - [QuarantineModeFaultFaultTypeEnum](docs/QuarantineModeFaultFaultTypeEnum.md)
 - [QueryAnswerFileStatusRequestType](docs/QueryAnswerFileStatusRequestType.md)
 - [QueryAssignedLicensesRequestType](docs/QueryAssignedLicensesRequestType.md)
 - [QueryAvailableDisksForVmfsRequestType](docs/QueryAvailableDisksForVmfsRequestType.md)
 - [QueryAvailableDvsSpecRequestType](docs/QueryAvailableDvsSpecRequestType.md)
 - [QueryAvailablePerfMetricRequestType](docs/QueryAvailablePerfMetricRequestType.md)
 - [QueryAvailableSsdsRequestType](docs/QueryAvailableSsdsRequestType.md)
 - [QueryBoundVnicsRequestType](docs/QueryBoundVnicsRequestType.md)
 - [QueryCandidateNicsRequestType](docs/QueryCandidateNicsRequestType.md)
 - [QueryChangedDiskAreasRequestType](docs/QueryChangedDiskAreasRequestType.md)
 - [QueryCmmdsRequestType](docs/QueryCmmdsRequestType.md)
 - [QueryCompatibleHostForExistingDvsRequestType](docs/QueryCompatibleHostForExistingDvsRequestType.md)
 - [QueryCompatibleHostForNewDvsRequestType](docs/QueryCompatibleHostForNewDvsRequestType.md)
 - [QueryCompatibleVmnicsFromHostsRequestType](docs/QueryCompatibleVmnicsFromHostsRequestType.md)
 - [QueryComplianceStatusRequestType](docs/QueryComplianceStatusRequestType.md)
 - [QueryConfigOptionExRequestType](docs/QueryConfigOptionExRequestType.md)
 - [QueryConfigOptionRequestType](docs/QueryConfigOptionRequestType.md)
 - [QueryConfigTargetRequestType](docs/QueryConfigTargetRequestType.md)
 - [QueryConfiguredModuleOptionStringRequestType](docs/QueryConfiguredModuleOptionStringRequestType.md)
 - [QueryConnectionInfoRequestType](docs/QueryConnectionInfoRequestType.md)
 - [QueryConnectionInfoViaSpecRequestType](docs/QueryConnectionInfoViaSpecRequestType.md)
 - [QueryCryptoKeyStatusRequestType](docs/QueryCryptoKeyStatusRequestType.md)
 - [QueryDatastorePerformanceSummaryRequestType](docs/QueryDatastorePerformanceSummaryRequestType.md)
 - [QueryDescriptionsRequestType](docs/QueryDescriptionsRequestType.md)
 - [QueryDirectoryInfoRequestType](docs/QueryDirectoryInfoRequestType.md)
 - [QueryDisksForVsanRequestType](docs/QueryDisksForVsanRequestType.md)
 - [QueryDisksUsingFilterRequestType](docs/QueryDisksUsingFilterRequestType.md)
 - [QueryDvsByUuidRequestType](docs/QueryDvsByUuidRequestType.md)
 - [QueryDvsCheckCompatibilityRequestType](docs/QueryDvsCheckCompatibilityRequestType.md)
 - [QueryDvsCompatibleHostSpecRequestType](docs/QueryDvsCompatibleHostSpecRequestType.md)
 - [QueryDvsConfigTargetRequestType](docs/QueryDvsConfigTargetRequestType.md)
 - [QueryDvsFeatureCapabilityRequestType](docs/QueryDvsFeatureCapabilityRequestType.md)
 - [QueryEventsRequestType](docs/QueryEventsRequestType.md)
 - [QueryExpressionMetadataRequestType](docs/QueryExpressionMetadataRequestType.md)
 - [QueryExtensionIpAllocationUsageRequestType](docs/QueryExtensionIpAllocationUsageRequestType.md)
 - [QueryFaultToleranceCompatibilityExRequestType](docs/QueryFaultToleranceCompatibilityExRequestType.md)
 - [QueryFilterEntitiesRequestType](docs/QueryFilterEntitiesRequestType.md)
 - [QueryFilterInfoIdsRequestType](docs/QueryFilterInfoIdsRequestType.md)
 - [QueryFilterListRequestType](docs/QueryFilterListRequestType.md)
 - [QueryFilterNameRequestType](docs/QueryFilterNameRequestType.md)
 - [QueryHealthUpdateInfosRequestType](docs/QueryHealthUpdateInfosRequestType.md)
 - [QueryHealthUpdatesRequestType](docs/QueryHealthUpdatesRequestType.md)
 - [QueryHostPatchRequestType](docs/QueryHostPatchRequestType.md)
 - [QueryHostProfileMetadataRequestType](docs/QueryHostProfileMetadataRequestType.md)
 - [QueryHostsWithAttachedLunRequestType](docs/QueryHostsWithAttachedLunRequestType.md)
 - [QueryIORMConfigOptionRequestType](docs/QueryIORMConfigOptionRequestType.md)
 - [QueryIPAllocationsRequestType](docs/QueryIPAllocationsRequestType.md)
 - [QueryIoFilterInfoRequestType](docs/QueryIoFilterInfoRequestType.md)
 - [QueryIoFilterIssuesRequestType](docs/QueryIoFilterIssuesRequestType.md)
 - [QueryIpPoolsRequestType](docs/QueryIpPoolsRequestType.md)
 - [QueryLicenseSourceAvailabilityRequestType](docs/QueryLicenseSourceAvailabilityRequestType.md)
 - [QueryLicenseUsageRequestType](docs/QueryLicenseUsageRequestType.md)
 - [QueryManagedByRequestType](docs/QueryManagedByRequestType.md)
 - [QueryMaxQueueDepthRequestType](docs/QueryMaxQueueDepthRequestType.md)
 - [QueryMemoryOverheadExRequestType](docs/QueryMemoryOverheadExRequestType.md)
 - [QueryMemoryOverheadRequestType](docs/QueryMemoryOverheadRequestType.md)
 - [QueryMigrationDependenciesRequestType](docs/QueryMigrationDependenciesRequestType.md)
 - [QueryMonitoredEntitiesRequestType](docs/QueryMonitoredEntitiesRequestType.md)
 - [QueryNetConfigRequestType](docs/QueryNetConfigRequestType.md)
 - [QueryNetworkHintRequestType](docs/QueryNetworkHintRequestType.md)
 - [QueryObjectsOnPhysicalVsanDiskRequestType](docs/QueryObjectsOnPhysicalVsanDiskRequestType.md)
 - [QueryOptionsRequestType](docs/QueryOptionsRequestType.md)
 - [QueryPartitionCreateDescRequestType](docs/QueryPartitionCreateDescRequestType.md)
 - [QueryPartitionCreateOptionsRequestType](docs/QueryPartitionCreateOptionsRequestType.md)
 - [QueryPerfCompositeRequestType](docs/QueryPerfCompositeRequestType.md)
 - [QueryPerfCounterByLevelRequestType](docs/QueryPerfCounterByLevelRequestType.md)
 - [QueryPerfCounterRequestType](docs/QueryPerfCounterRequestType.md)
 - [QueryPerfProviderSummaryRequestType](docs/QueryPerfProviderSummaryRequestType.md)
 - [QueryPerfRequestType](docs/QueryPerfRequestType.md)
 - [QueryPhysicalVsanDisksRequestType](docs/QueryPhysicalVsanDisksRequestType.md)
 - [QueryPnicStatusRequestType](docs/QueryPnicStatusRequestType.md)
 - [QueryPolicyMetadataRequestType](docs/QueryPolicyMetadataRequestType.md)
 - [QueryProfileStructureRequestType](docs/QueryProfileStructureRequestType.md)
 - [QueryProviderNameRequestType](docs/QueryProviderNameRequestType.md)
 - [QueryServiceListRequestType](docs/QueryServiceListRequestType.md)
 - [QuerySupportedFeaturesRequestType](docs/QuerySupportedFeaturesRequestType.md)
 - [QuerySupportedNetworkOffloadSpecRequestType](docs/QuerySupportedNetworkOffloadSpecRequestType.md)
 - [QuerySyncingVsanObjectsRequestType](docs/QuerySyncingVsanObjectsRequestType.md)
 - [QueryTargetCapabilitiesRequestType](docs/QueryTargetCapabilitiesRequestType.md)
 - [QueryUnmonitoredHostsRequestType](docs/QueryUnmonitoredHostsRequestType.md)
 - [QueryVMotionCompatibilityExRequestType](docs/QueryVMotionCompatibilityExRequestType.md)
 - [QueryVMotionCompatibilityRequestType](docs/QueryVMotionCompatibilityRequestType.md)
 - [QueryVirtualDiskFragmentationRequestType](docs/QueryVirtualDiskFragmentationRequestType.md)
 - [QueryVirtualDiskGeometryRequestType](docs/QueryVirtualDiskGeometryRequestType.md)
 - [QueryVirtualDiskUuidRequestType](docs/QueryVirtualDiskUuidRequestType.md)
 - [QueryVmfsDatastoreCreateOptionsRequestType](docs/QueryVmfsDatastoreCreateOptionsRequestType.md)
 - [QueryVmfsDatastoreExpandOptionsRequestType](docs/QueryVmfsDatastoreExpandOptionsRequestType.md)
 - [QueryVmfsDatastoreExtendOptionsRequestType](docs/QueryVmfsDatastoreExtendOptionsRequestType.md)
 - [QueryVnicStatusRequestType](docs/QueryVnicStatusRequestType.md)
 - [QueryVsanObjectUuidsByFilterRequestType](docs/QueryVsanObjectUuidsByFilterRequestType.md)
 - [QueryVsanObjectsRequestType](docs/QueryVsanObjectsRequestType.md)
 - [QueryVsanStatisticsRequestType](docs/QueryVsanStatisticsRequestType.md)
 - [QueryVsanUpgradeStatusRequestType](docs/QueryVsanUpgradeStatusRequestType.md)
 - [QuestionPending](docs/QuestionPending.md)
 - [QuiesceDatastoreIOForHAFailed](docs/QuiesceDatastoreIOForHAFailed.md)
 - [QuiesceModeEnum](docs/QuiesceModeEnum.md)
 - [RDMConversionNotSupported](docs/RDMConversionNotSupported.md)
 - [RDMNotPreserved](docs/RDMNotPreserved.md)
 - [RDMNotSupported](docs/RDMNotSupported.md)
 - [RDMNotSupportedOnDatastore](docs/RDMNotSupportedOnDatastore.md)
 - [RDMPointsToInaccessibleDisk](docs/RDMPointsToInaccessibleDisk.md)
 - [RawDiskNotSupported](docs/RawDiskNotSupported.md)
 - [ReadEnvironmentVariableInGuestRequestType](docs/ReadEnvironmentVariableInGuestRequestType.md)
 - [ReadHostResourcePoolTreeFailed](docs/ReadHostResourcePoolTreeFailed.md)
 - [ReadNextEventsRequestType](docs/ReadNextEventsRequestType.md)
 - [ReadNextTasksRequestType](docs/ReadNextTasksRequestType.md)
 - [ReadOnlyDisksWithLegacyDestination](docs/ReadOnlyDisksWithLegacyDestination.md)
 - [ReadPreviousEventsRequestType](docs/ReadPreviousEventsRequestType.md)
 - [ReadPreviousTasksRequestType](docs/ReadPreviousTasksRequestType.md)
 - [RebootHostRequestType](docs/RebootHostRequestType.md)
 - [RebootRequired](docs/RebootRequired.md)
 - [RecommendDatastoresRequestType](docs/RecommendDatastoresRequestType.md)
 - [RecommendHostsForVmRequestType](docs/RecommendHostsForVmRequestType.md)
 - [RecommendationReasonCodeEnum](docs/RecommendationReasonCodeEnum.md)
 - [RecommendationTypeEnum](docs/RecommendationTypeEnum.md)
 - [ReconcileDatastoreInventoryRequestType](docs/ReconcileDatastoreInventoryRequestType.md)
 - [ReconfigVMRequestType](docs/ReconfigVMRequestType.md)
 - [ReconfigurationSatisfiableRequestType](docs/ReconfigurationSatisfiableRequestType.md)
 - [ReconfigureAlarmRequestType](docs/ReconfigureAlarmRequestType.md)
 - [ReconfigureAutostartRequestType](docs/ReconfigureAutostartRequestType.md)
 - [ReconfigureClusterRequestType](docs/ReconfigureClusterRequestType.md)
 - [ReconfigureComputeResourceRequestType](docs/ReconfigureComputeResourceRequestType.md)
 - [ReconfigureDVPortRequestType](docs/ReconfigureDVPortRequestType.md)
 - [ReconfigureDVPortgroupRequestType](docs/ReconfigureDVPortgroupRequestType.md)
 - [ReconfigureDatacenterRequestType](docs/ReconfigureDatacenterRequestType.md)
 - [ReconfigureDomObjectRequestType](docs/ReconfigureDomObjectRequestType.md)
 - [ReconfigureDvsRequestType](docs/ReconfigureDvsRequestType.md)
 - [ReconfigureScheduledTaskRequestType](docs/ReconfigureScheduledTaskRequestType.md)
 - [ReconfigureServiceConsoleReservationRequestType](docs/ReconfigureServiceConsoleReservationRequestType.md)
 - [ReconfigureSnmpAgentRequestType](docs/ReconfigureSnmpAgentRequestType.md)
 - [ReconfigureVirtualMachineReservationRequestType](docs/ReconfigureVirtualMachineReservationRequestType.md)
 - [ReconnectHostRequestType](docs/ReconnectHostRequestType.md)
 - [RecordReplayDisabled](docs/RecordReplayDisabled.md)
 - [RecoveryEvent](docs/RecoveryEvent.md)
 - [RectifyDvsHostRequestType](docs/RectifyDvsHostRequestType.md)
 - [RectifyDvsOnHostRequestType](docs/RectifyDvsOnHostRequestType.md)
 - [RecurrentTaskScheduler](docs/RecurrentTaskScheduler.md)
 - [RefreshDVPortStateRequestType](docs/RefreshDVPortStateRequestType.md)
 - [RefreshStorageDrsRecommendationRequestType](docs/RefreshStorageDrsRecommendationRequestType.md)
 - [RefreshStorageDrsRecommendationsForPodRequestType](docs/RefreshStorageDrsRecommendationsForPodRequestType.md)
 - [RegisterChildVMRequestType](docs/RegisterChildVMRequestType.md)
 - [RegisterDiskRequestType](docs/RegisterDiskRequestType.md)
 - [RegisterExtensionRequestType](docs/RegisterExtensionRequestType.md)
 - [RegisterHealthUpdateProviderRequestType](docs/RegisterHealthUpdateProviderRequestType.md)
 - [RegisterKmipServerRequestType](docs/RegisterKmipServerRequestType.md)
 - [RegisterKmsClusterRequestType](docs/RegisterKmsClusterRequestType.md)
 - [RegisterVMRequestType](docs/RegisterVMRequestType.md)
 - [Relation](docs/Relation.md)
 - [ReleaseCredentialsInGuestRequestType](docs/ReleaseCredentialsInGuestRequestType.md)
 - [ReleaseIpAllocationRequestType](docs/ReleaseIpAllocationRequestType.md)
 - [ReleaseManagedSnapshotRequestType](docs/ReleaseManagedSnapshotRequestType.md)
 - [ReloadVirtualMachineFromPathRequestType](docs/ReloadVirtualMachineFromPathRequestType.md)
 - [RelocateVMRequestType](docs/RelocateVMRequestType.md)
 - [RelocateVStorageObjectRequestType](docs/RelocateVStorageObjectRequestType.md)
 - [RemoteDeviceNotSupported](docs/RemoteDeviceNotSupported.md)
 - [RemoteTSMEnabledEvent](docs/RemoteTSMEnabledEvent.md)
 - [RemoveAllSnapshotsRequestType](docs/RemoveAllSnapshotsRequestType.md)
 - [RemoveAssignedLicenseRequestType](docs/RemoveAssignedLicenseRequestType.md)
 - [RemoveAuthorizationRoleRequestType](docs/RemoveAuthorizationRoleRequestType.md)
 - [RemoveCustomFieldDefRequestType](docs/RemoveCustomFieldDefRequestType.md)
 - [RemoveDatastoreExRequestType](docs/RemoveDatastoreExRequestType.md)
 - [RemoveDatastoreRequestType](docs/RemoveDatastoreRequestType.md)
 - [RemoveDiskMappingRequestType](docs/RemoveDiskMappingRequestType.md)
 - [RemoveDiskRequestType](docs/RemoveDiskRequestType.md)
 - [RemoveEntityPermissionRequestType](docs/RemoveEntityPermissionRequestType.md)
 - [RemoveFailed](docs/RemoveFailed.md)
 - [RemoveFilterEntitiesRequestType](docs/RemoveFilterEntitiesRequestType.md)
 - [RemoveFilterRequestType](docs/RemoveFilterRequestType.md)
 - [RemoveGroupRequestType](docs/RemoveGroupRequestType.md)
 - [RemoveGuestAliasByCertRequestType](docs/RemoveGuestAliasByCertRequestType.md)
 - [RemoveGuestAliasRequestType](docs/RemoveGuestAliasRequestType.md)
 - [RemoveInternetScsiSendTargetsRequestType](docs/RemoveInternetScsiSendTargetsRequestType.md)
 - [RemoveInternetScsiStaticTargetsRequestType](docs/RemoveInternetScsiStaticTargetsRequestType.md)
 - [RemoveKeyRequestType](docs/RemoveKeyRequestType.md)
 - [RemoveKeysRequestType](docs/RemoveKeysRequestType.md)
 - [RemoveKmipServerRequestType](docs/RemoveKmipServerRequestType.md)
 - [RemoveLicenseLabelRequestType](docs/RemoveLicenseLabelRequestType.md)
 - [RemoveLicenseRequestType](docs/RemoveLicenseRequestType.md)
 - [RemoveMonitoredEntitiesRequestType](docs/RemoveMonitoredEntitiesRequestType.md)
 - [RemoveNetworkResourcePoolRequestType](docs/RemoveNetworkResourcePoolRequestType.md)
 - [RemoveNvmeOverRdmaAdapterRequestType](docs/RemoveNvmeOverRdmaAdapterRequestType.md)
 - [RemovePerfIntervalRequestType](docs/RemovePerfIntervalRequestType.md)
 - [RemovePortGroupRequestType](docs/RemovePortGroupRequestType.md)
 - [RemoveServiceConsoleVirtualNicRequestType](docs/RemoveServiceConsoleVirtualNicRequestType.md)
 - [RemoveSmartCardTrustAnchorByFingerprintRequestType](docs/RemoveSmartCardTrustAnchorByFingerprintRequestType.md)
 - [RemoveSmartCardTrustAnchorRequestType](docs/RemoveSmartCardTrustAnchorRequestType.md)
 - [RemoveSnapshotRequestType](docs/RemoveSnapshotRequestType.md)
 - [RemoveSoftwareAdapterRequestType](docs/RemoveSoftwareAdapterRequestType.md)
 - [RemoveUserRequestType](docs/RemoveUserRequestType.md)
 - [RemoveVirtualNicRequestType](docs/RemoveVirtualNicRequestType.md)
 - [RemoveVirtualSwitchRequestType](docs/RemoveVirtualSwitchRequestType.md)
 - [RenameCustomFieldDefRequestType](docs/RenameCustomFieldDefRequestType.md)
 - [RenameCustomizationSpecRequestType](docs/RenameCustomizationSpecRequestType.md)
 - [RenameDatastoreRequestType](docs/RenameDatastoreRequestType.md)
 - [RenameRequestType](docs/RenameRequestType.md)
 - [RenameSnapshotRequestType](docs/RenameSnapshotRequestType.md)
 - [RenameVStorageObjectRequestType](docs/RenameVStorageObjectRequestType.md)
 - [ReplaceCACertificatesAndCRLsRequestType](docs/ReplaceCACertificatesAndCRLsRequestType.md)
 - [ReplaceSmartCardTrustAnchorsRequestType](docs/ReplaceSmartCardTrustAnchorsRequestType.md)
 - [ReplicationConfigFault](docs/ReplicationConfigFault.md)
 - [ReplicationConfigSpec](docs/ReplicationConfigSpec.md)
 - [ReplicationDiskConfigFault](docs/ReplicationDiskConfigFault.md)
 - [ReplicationDiskConfigFaultReasonForFaultEnum](docs/ReplicationDiskConfigFaultReasonForFaultEnum.md)
 - [ReplicationFault](docs/ReplicationFault.md)
 - [ReplicationGroupId](docs/ReplicationGroupId.md)
 - [ReplicationIncompatibleWithFT](docs/ReplicationIncompatibleWithFT.md)
 - [ReplicationInfoDiskSettings](docs/ReplicationInfoDiskSettings.md)
 - [ReplicationInvalidOptions](docs/ReplicationInvalidOptions.md)
 - [ReplicationNotSupportedOnHost](docs/ReplicationNotSupportedOnHost.md)
 - [ReplicationSpec](docs/ReplicationSpec.md)
 - [ReplicationVmConfigFault](docs/ReplicationVmConfigFault.md)
 - [ReplicationVmConfigFaultReasonForFaultEnum](docs/ReplicationVmConfigFaultReasonForFaultEnum.md)
 - [ReplicationVmFault](docs/ReplicationVmFault.md)
 - [ReplicationVmFaultReasonForFaultEnum](docs/ReplicationVmFaultReasonForFaultEnum.md)
 - [ReplicationVmInProgressFault](docs/ReplicationVmInProgressFault.md)
 - [ReplicationVmInProgressFaultActivityEnum](docs/ReplicationVmInProgressFaultActivityEnum.md)
 - [ReplicationVmProgressInfo](docs/ReplicationVmProgressInfo.md)
 - [ReplicationVmStateEnum](docs/ReplicationVmStateEnum.md)
 - [RequestCanceled](docs/RequestCanceled.md)
 - [RescanHbaRequestType](docs/RescanHbaRequestType.md)
 - [ResetCounterLevelMappingRequestType](docs/ResetCounterLevelMappingRequestType.md)
 - [ResetEntityPermissionsRequestType](docs/ResetEntityPermissionsRequestType.md)
 - [ResetListViewFromViewRequestType](docs/ResetListViewFromViewRequestType.md)
 - [ResetListViewRequestType](docs/ResetListViewRequestType.md)
 - [ResignatureUnresolvedVmfsVolumeRequestType](docs/ResignatureUnresolvedVmfsVolumeRequestType.md)
 - [ResolveInstallationErrorsOnClusterRequestType](docs/ResolveInstallationErrorsOnClusterRequestType.md)
 - [ResolveInstallationErrorsOnHostRequestType](docs/ResolveInstallationErrorsOnHostRequestType.md)
 - [ResolveMultipleUnresolvedVmfsVolumesExRequestType](docs/ResolveMultipleUnresolvedVmfsVolumesExRequestType.md)
 - [ResolveMultipleUnresolvedVmfsVolumesRequestType](docs/ResolveMultipleUnresolvedVmfsVolumesRequestType.md)
 - [ResourceAllocationInfo](docs/ResourceAllocationInfo.md)
 - [ResourceAllocationOption](docs/ResourceAllocationOption.md)
 - [ResourceConfigOption](docs/ResourceConfigOption.md)
 - [ResourceConfigSpec](docs/ResourceConfigSpec.md)
 - [ResourceConfigSpecScaleSharesBehaviorEnum](docs/ResourceConfigSpecScaleSharesBehaviorEnum.md)
 - [ResourceInUse](docs/ResourceInUse.md)
 - [ResourceNotAvailable](docs/ResourceNotAvailable.md)
 - [ResourcePoolCreatedEvent](docs/ResourcePoolCreatedEvent.md)
 - [ResourcePoolDestroyedEvent](docs/ResourcePoolDestroyedEvent.md)
 - [ResourcePoolEvent](docs/ResourcePoolEvent.md)
 - [ResourcePoolEventArgument](docs/ResourcePoolEventArgument.md)
 - [ResourcePoolMovedEvent](docs/ResourcePoolMovedEvent.md)
 - [ResourcePoolQuickStats](docs/ResourcePoolQuickStats.md)
 - [ResourcePoolReconfiguredEvent](docs/ResourcePoolReconfiguredEvent.md)
 - [ResourcePoolResourceUsage](docs/ResourcePoolResourceUsage.md)
 - [ResourcePoolRuntimeInfo](docs/ResourcePoolRuntimeInfo.md)
 - [ResourcePoolSummary](docs/ResourcePoolSummary.md)
 - [ResourceViolatedEvent](docs/ResourceViolatedEvent.md)
 - [RestartServiceConsoleVirtualNicRequestType](docs/RestartServiceConsoleVirtualNicRequestType.md)
 - [RestartServiceRequestType](docs/RestartServiceRequestType.md)
 - [RestoreFirmwareConfigurationRequestType](docs/RestoreFirmwareConfigurationRequestType.md)
 - [RestrictedByAdministrator](docs/RestrictedByAdministrator.md)
 - [RestrictedVersion](docs/RestrictedVersion.md)
 - [RetrieveAnswerFileForProfileRequestType](docs/RetrieveAnswerFileForProfileRequestType.md)
 - [RetrieveAnswerFileRequestType](docs/RetrieveAnswerFileRequestType.md)
 - [RetrieveArgumentDescriptionRequestType](docs/RetrieveArgumentDescriptionRequestType.md)
 - [RetrieveClientCertRequestType](docs/RetrieveClientCertRequestType.md)
 - [RetrieveClientCsrRequestType](docs/RetrieveClientCsrRequestType.md)
 - [RetrieveDiskPartitionInfoRequestType](docs/RetrieveDiskPartitionInfoRequestType.md)
 - [RetrieveEntityPermissionsRequestType](docs/RetrieveEntityPermissionsRequestType.md)
 - [RetrieveEntityScheduledTaskRequestType](docs/RetrieveEntityScheduledTaskRequestType.md)
 - [RetrieveHostCustomizationsForProfileRequestType](docs/RetrieveHostCustomizationsForProfileRequestType.md)
 - [RetrieveHostCustomizationsRequestType](docs/RetrieveHostCustomizationsRequestType.md)
 - [RetrieveHostSpecificationRequestType](docs/RetrieveHostSpecificationRequestType.md)
 - [RetrieveKmipServerCertRequestType](docs/RetrieveKmipServerCertRequestType.md)
 - [RetrieveKmipServersStatusRequestType](docs/RetrieveKmipServersStatusRequestType.md)
 - [RetrieveObjectScheduledTaskRequestType](docs/RetrieveObjectScheduledTaskRequestType.md)
 - [RetrieveOptions](docs/RetrieveOptions.md)
 - [RetrievePropertiesExRequestType](docs/RetrievePropertiesExRequestType.md)
 - [RetrievePropertiesRequestType](docs/RetrievePropertiesRequestType.md)
 - [RetrieveResult](docs/RetrieveResult.md)
 - [RetrieveRolePermissionsRequestType](docs/RetrieveRolePermissionsRequestType.md)
 - [RetrieveSelfSignedClientCertRequestType](docs/RetrieveSelfSignedClientCertRequestType.md)
 - [RetrieveSnapshotDetailsRequestType](docs/RetrieveSnapshotDetailsRequestType.md)
 - [RetrieveSnapshotInfoRequestType](docs/RetrieveSnapshotInfoRequestType.md)
 - [RetrieveUserGroupsRequestType](docs/RetrieveUserGroupsRequestType.md)
 - [RetrieveVStorageInfrastructureObjectPolicyRequestType](docs/RetrieveVStorageInfrastructureObjectPolicyRequestType.md)
 - [RetrieveVStorageObjSpec](docs/RetrieveVStorageObjSpec.md)
 - [RetrieveVStorageObjectAssociationsRequestType](docs/RetrieveVStorageObjectAssociationsRequestType.md)
 - [RetrieveVStorageObjectRequestType](docs/RetrieveVStorageObjectRequestType.md)
 - [RetrieveVStorageObjectStateRequestType](docs/RetrieveVStorageObjectStateRequestType.md)
 - [RevertToCurrentSnapshotRequestType](docs/RevertToCurrentSnapshotRequestType.md)
 - [RevertToSnapshotRequestType](docs/RevertToSnapshotRequestType.md)
 - [RevertVStorageObjectRequestType](docs/RevertVStorageObjectRequestType.md)
 - [RoleAddedEvent](docs/RoleAddedEvent.md)
 - [RoleEvent](docs/RoleEvent.md)
 - [RoleEventArgument](docs/RoleEventArgument.md)
 - [RoleRemovedEvent](docs/RoleRemovedEvent.md)
 - [RoleUpdatedEvent](docs/RoleUpdatedEvent.md)
 - [RollbackEvent](docs/RollbackEvent.md)
 - [RollbackFailure](docs/RollbackFailure.md)
 - [RuleViolation](docs/RuleViolation.md)
 - [RunScriptAction](docs/RunScriptAction.md)
 - [RunVsanPhysicalDiskDiagnosticsRequestType](docs/RunVsanPhysicalDiskDiagnosticsRequestType.md)
 - [RuntimeFault](docs/RuntimeFault.md)
 - [SAMLTokenAuthentication](docs/SAMLTokenAuthentication.md)
 - [SDDCBase](docs/SDDCBase.md)
 - [SSLDisabledFault](docs/SSLDisabledFault.md)
 - [SSLVerifyFault](docs/SSLVerifyFault.md)
 - [SSPIAuthentication](docs/SSPIAuthentication.md)
 - [SSPIChallenge](docs/SSPIChallenge.md)
 - [ScanHostPatchRequestType](docs/ScanHostPatchRequestType.md)
 - [ScanHostPatchV2RequestType](docs/ScanHostPatchV2RequestType.md)
 - [ScheduleReconcileDatastoreInventoryRequestType](docs/ScheduleReconcileDatastoreInventoryRequestType.md)
 - [ScheduledHardwareUpgradeInfo](docs/ScheduledHardwareUpgradeInfo.md)
 - [ScheduledHardwareUpgradeInfoHardwareUpgradePolicyEnum](docs/ScheduledHardwareUpgradeInfoHardwareUpgradePolicyEnum.md)
 - [ScheduledHardwareUpgradeInfoHardwareUpgradeStatusEnum](docs/ScheduledHardwareUpgradeInfoHardwareUpgradeStatusEnum.md)
 - [ScheduledTaskCompletedEvent](docs/ScheduledTaskCompletedEvent.md)
 - [ScheduledTaskCreatedEvent](docs/ScheduledTaskCreatedEvent.md)
 - [ScheduledTaskDescription](docs/ScheduledTaskDescription.md)
 - [ScheduledTaskDetail](docs/ScheduledTaskDetail.md)
 - [ScheduledTaskEmailCompletedEvent](docs/ScheduledTaskEmailCompletedEvent.md)
 - [ScheduledTaskEmailFailedEvent](docs/ScheduledTaskEmailFailedEvent.md)
 - [ScheduledTaskEvent](docs/ScheduledTaskEvent.md)
 - [ScheduledTaskEventArgument](docs/ScheduledTaskEventArgument.md)
 - [ScheduledTaskFailedEvent](docs/ScheduledTaskFailedEvent.md)
 - [ScheduledTaskInfo](docs/ScheduledTaskInfo.md)
 - [ScheduledTaskReconfiguredEvent](docs/ScheduledTaskReconfiguredEvent.md)
 - [ScheduledTaskRemovedEvent](docs/ScheduledTaskRemovedEvent.md)
 - [ScheduledTaskSpec](docs/ScheduledTaskSpec.md)
 - [ScheduledTaskStartedEvent](docs/ScheduledTaskStartedEvent.md)
 - [ScsiDiskTypeEnum](docs/ScsiDiskTypeEnum.md)
 - [ScsiLun](docs/ScsiLun.md)
 - [ScsiLunCapabilities](docs/ScsiLunCapabilities.md)
 - [ScsiLunDescriptor](docs/ScsiLunDescriptor.md)
 - [ScsiLunDescriptorQualityEnum](docs/ScsiLunDescriptorQualityEnum.md)
 - [ScsiLunDurableName](docs/ScsiLunDurableName.md)
 - [ScsiLunStateEnum](docs/ScsiLunStateEnum.md)
 - [ScsiLunTypeEnum](docs/ScsiLunTypeEnum.md)
 - [ScsiLunVStorageSupportStatusEnum](docs/ScsiLunVStorageSupportStatusEnum.md)
 - [SeSparseVirtualDiskSpec](docs/SeSparseVirtualDiskSpec.md)
 - [SearchDatastoreRequestType](docs/SearchDatastoreRequestType.md)
 - [SearchDatastoreSubFoldersRequestType](docs/SearchDatastoreSubFoldersRequestType.md)
 - [SecondaryVmAlreadyDisabled](docs/SecondaryVmAlreadyDisabled.md)
 - [SecondaryVmAlreadyEnabled](docs/SecondaryVmAlreadyEnabled.md)
 - [SecondaryVmAlreadyRegistered](docs/SecondaryVmAlreadyRegistered.md)
 - [SecondaryVmNotRegistered](docs/SecondaryVmNotRegistered.md)
 - [SecurityError](docs/SecurityError.md)
 - [SecurityProfile](docs/SecurityProfile.md)
 - [SelectActivePartitionRequestType](docs/SelectActivePartitionRequestType.md)
 - [SelectVnicForNicTypeRequestType](docs/SelectVnicForNicTypeRequestType.md)
 - [SelectVnicRequestType](docs/SelectVnicRequestType.md)
 - [SelectionSet](docs/SelectionSet.md)
 - [SelectionSpec](docs/SelectionSpec.md)
 - [SendEmailAction](docs/SendEmailAction.md)
 - [SendSNMPAction](docs/SendSNMPAction.md)
 - [ServerLicenseExpiredEvent](docs/ServerLicenseExpiredEvent.md)
 - [ServerStartedSessionEvent](docs/ServerStartedSessionEvent.md)
 - [ServiceConsolePortGroupProfile](docs/ServiceConsolePortGroupProfile.md)
 - [ServiceConsoleReservationInfo](docs/ServiceConsoleReservationInfo.md)
 - [ServiceContent](docs/ServiceContent.md)
 - [ServiceLocator](docs/ServiceLocator.md)
 - [ServiceLocatorCredential](docs/ServiceLocatorCredential.md)
 - [ServiceLocatorNamePassword](docs/ServiceLocatorNamePassword.md)
 - [ServiceLocatorSAMLCredential](docs/ServiceLocatorSAMLCredential.md)
 - [ServiceManagerServiceInfo](docs/ServiceManagerServiceInfo.md)
 - [ServiceProfile](docs/ServiceProfile.md)
 - [SessionEvent](docs/SessionEvent.md)
 - [SessionIsActiveRequestType](docs/SessionIsActiveRequestType.md)
 - [SessionManagerGenericServiceTicket](docs/SessionManagerGenericServiceTicket.md)
 - [SessionManagerGenericServiceTicketTicketTypeEnum](docs/SessionManagerGenericServiceTicketTicketTypeEnum.md)
 - [SessionManagerHttpServiceRequestSpec](docs/SessionManagerHttpServiceRequestSpec.md)
 - [SessionManagerHttpServiceRequestSpecMethodEnum](docs/SessionManagerHttpServiceRequestSpecMethodEnum.md)
 - [SessionManagerLocalTicket](docs/SessionManagerLocalTicket.md)
 - [SessionManagerServiceRequestSpec](docs/SessionManagerServiceRequestSpec.md)
 - [SessionManagerVmomiServiceRequestSpec](docs/SessionManagerVmomiServiceRequestSpec.md)
 - [SessionTerminatedEvent](docs/SessionTerminatedEvent.md)
 - [SetClusterModeRequestType](docs/SetClusterModeRequestType.md)
 - [SetCollectorPageSizeRequestType](docs/SetCollectorPageSizeRequestType.md)
 - [SetCryptoModeRequestType](docs/SetCryptoModeRequestType.md)
 - [SetCustomValueRequestType](docs/SetCustomValueRequestType.md)
 - [SetDefaultKmsClusterRequestType](docs/SetDefaultKmsClusterRequestType.md)
 - [SetDisplayTopologyRequestType](docs/SetDisplayTopologyRequestType.md)
 - [SetEntityPermissionsRequestType](docs/SetEntityPermissionsRequestType.md)
 - [SetExtensionCertificateRequestType](docs/SetExtensionCertificateRequestType.md)
 - [SetFieldRequestType](docs/SetFieldRequestType.md)
 - [SetKeyCustomAttributesRequestType](docs/SetKeyCustomAttributesRequestType.md)
 - [SetLicenseEditionRequestType](docs/SetLicenseEditionRequestType.md)
 - [SetLocaleRequestType](docs/SetLocaleRequestType.md)
 - [SetMaxQueueDepthRequestType](docs/SetMaxQueueDepthRequestType.md)
 - [SetMultipathLunPolicyRequestType](docs/SetMultipathLunPolicyRequestType.md)
 - [SetNFSUserRequestType](docs/SetNFSUserRequestType.md)
 - [SetPublicKeyRequestType](docs/SetPublicKeyRequestType.md)
 - [SetRegistryValueInGuestRequestType](docs/SetRegistryValueInGuestRequestType.md)
 - [SetScreenResolutionRequestType](docs/SetScreenResolutionRequestType.md)
 - [SetTaskDescriptionRequestType](docs/SetTaskDescriptionRequestType.md)
 - [SetTaskStateRequestType](docs/SetTaskStateRequestType.md)
 - [SetVStorageObjectControlFlagsRequestType](docs/SetVStorageObjectControlFlagsRequestType.md)
 - [SetVirtualDiskUuidRequestType](docs/SetVirtualDiskUuidRequestType.md)
 - [SharedBusControllerNotSupported](docs/SharedBusControllerNotSupported.md)
 - [SharesInfo](docs/SharesInfo.md)
 - [SharesLevel](docs/SharesLevel.md)
 - [SharesLevelEnum](docs/SharesLevelEnum.md)
 - [SharesOption](docs/SharesOption.md)
 - [ShrinkDiskFault](docs/ShrinkDiskFault.md)
 - [ShrinkVirtualDiskRequestType](docs/ShrinkVirtualDiskRequestType.md)
 - [ShutdownHostRequestType](docs/ShutdownHostRequestType.md)
 - [SimpleCommandEncoding](docs/SimpleCommandEncoding.md)
 - [SimpleCommandEncodingEnum](docs/SimpleCommandEncodingEnum.md)
 - [SingleIp](docs/SingleIp.md)
 - [SingleMac](docs/SingleMac.md)
 - [SiteInfo](docs/SiteInfo.md)
 - [SlpDiscoveryMethodEnum](docs/SlpDiscoveryMethodEnum.md)
 - [SnapshotCloneNotSupported](docs/SnapshotCloneNotSupported.md)
 - [SnapshotCopyNotSupported](docs/SnapshotCopyNotSupported.md)
 - [SnapshotDisabled](docs/SnapshotDisabled.md)
 - [SnapshotFault](docs/SnapshotFault.md)
 - [SnapshotIncompatibleDeviceInVm](docs/SnapshotIncompatibleDeviceInVm.md)
 - [SnapshotLocked](docs/SnapshotLocked.md)
 - [SnapshotMoveFromNonHomeNotSupported](docs/SnapshotMoveFromNonHomeNotSupported.md)
 - [SnapshotMoveNotSupported](docs/SnapshotMoveNotSupported.md)
 - [SnapshotMoveToNonHomeNotSupported](docs/SnapshotMoveToNonHomeNotSupported.md)
 - [SnapshotNoChange](docs/SnapshotNoChange.md)
 - [SnapshotRevertIssue](docs/SnapshotRevertIssue.md)
 - [SoftRuleVioCorrectionDisallowed](docs/SoftRuleVioCorrectionDisallowed.md)
 - [SoftRuleVioCorrectionImpact](docs/SoftRuleVioCorrectionImpact.md)
 - [SoftwarePackage](docs/SoftwarePackage.md)
 - [SoftwarePackageCapability](docs/SoftwarePackageCapability.md)
 - [SoftwarePackageConstraintEnum](docs/SoftwarePackageConstraintEnum.md)
 - [SoftwarePackageVibTypeEnum](docs/SoftwarePackageVibTypeEnum.md)
 - [SolutionUserRequired](docs/SolutionUserRequired.md)
 - [SourceNodeSpec](docs/SourceNodeSpec.md)
 - [SsdDiskNotAvailable](docs/SsdDiskNotAvailable.md)
 - [StageHostPatchRequestType](docs/StageHostPatchRequestType.md)
 - [StartGuestNetworkRequestType](docs/StartGuestNetworkRequestType.md)
 - [StartProgramInGuestRequestType](docs/StartProgramInGuestRequestType.md)
 - [StartRecordingRequestType](docs/StartRecordingRequestType.md)
 - [StartReplayingRequestType](docs/StartReplayingRequestType.md)
 - [StartServiceRequestType](docs/StartServiceRequestType.md)
 - [StateAlarmExpression](docs/StateAlarmExpression.md)
 - [StateAlarmOperator](docs/StateAlarmOperator.md)
 - [StateAlarmOperatorEnum](docs/StateAlarmOperatorEnum.md)
 - [StaticRouteProfile](docs/StaticRouteProfile.md)
 - [StopServiceRequestType](docs/StopServiceRequestType.md)
 - [StorageDrsAutomationConfig](docs/StorageDrsAutomationConfig.md)
 - [StorageDrsCannotMoveDiskInMultiWriterMode](docs/StorageDrsCannotMoveDiskInMultiWriterMode.md)
 - [StorageDrsCannotMoveFTVm](docs/StorageDrsCannotMoveFTVm.md)
 - [StorageDrsCannotMoveIndependentDisk](docs/StorageDrsCannotMoveIndependentDisk.md)
 - [StorageDrsCannotMoveManuallyPlacedSwapFile](docs/StorageDrsCannotMoveManuallyPlacedSwapFile.md)
 - [StorageDrsCannotMoveManuallyPlacedVm](docs/StorageDrsCannotMoveManuallyPlacedVm.md)
 - [StorageDrsCannotMoveSharedDisk](docs/StorageDrsCannotMoveSharedDisk.md)
 - [StorageDrsCannotMoveTemplate](docs/StorageDrsCannotMoveTemplate.md)
 - [StorageDrsCannotMoveVmInUserFolder](docs/StorageDrsCannotMoveVmInUserFolder.md)
 - [StorageDrsCannotMoveVmWithMountedCDROM](docs/StorageDrsCannotMoveVmWithMountedCDROM.md)
 - [StorageDrsCannotMoveVmWithNoFilesInLayout](docs/StorageDrsCannotMoveVmWithNoFilesInLayout.md)
 - [StorageDrsConfigInfo](docs/StorageDrsConfigInfo.md)
 - [StorageDrsConfigSpec](docs/StorageDrsConfigSpec.md)
 - [StorageDrsDatacentersCannotShareDatastore](docs/StorageDrsDatacentersCannotShareDatastore.md)
 - [StorageDrsDisabledOnVm](docs/StorageDrsDisabledOnVm.md)
 - [StorageDrsHbrDiskNotMovable](docs/StorageDrsHbrDiskNotMovable.md)
 - [StorageDrsHmsMoveInProgress](docs/StorageDrsHmsMoveInProgress.md)
 - [StorageDrsHmsUnreachable](docs/StorageDrsHmsUnreachable.md)
 - [StorageDrsIoLoadBalanceConfig](docs/StorageDrsIoLoadBalanceConfig.md)
 - [StorageDrsIolbDisabledInternally](docs/StorageDrsIolbDisabledInternally.md)
 - [StorageDrsOptionSpec](docs/StorageDrsOptionSpec.md)
 - [StorageDrsPlacementRankVmSpec](docs/StorageDrsPlacementRankVmSpec.md)
 - [StorageDrsPodConfigInfo](docs/StorageDrsPodConfigInfo.md)
 - [StorageDrsPodConfigInfoBehaviorEnum](docs/StorageDrsPodConfigInfoBehaviorEnum.md)
 - [StorageDrsPodConfigSpec](docs/StorageDrsPodConfigSpec.md)
 - [StorageDrsPodSelectionSpec](docs/StorageDrsPodSelectionSpec.md)
 - [StorageDrsRelocateDisabled](docs/StorageDrsRelocateDisabled.md)
 - [StorageDrsSpaceLoadBalanceConfig](docs/StorageDrsSpaceLoadBalanceConfig.md)
 - [StorageDrsSpaceLoadBalanceConfigSpaceThresholdModeEnum](docs/StorageDrsSpaceLoadBalanceConfigSpaceThresholdModeEnum.md)
 - [StorageDrsStaleHmsCollection](docs/StorageDrsStaleHmsCollection.md)
 - [StorageDrsUnableToMoveFiles](docs/StorageDrsUnableToMoveFiles.md)
 - [StorageDrsVmConfigInfo](docs/StorageDrsVmConfigInfo.md)
 - [StorageDrsVmConfigSpec](docs/StorageDrsVmConfigSpec.md)
 - [StorageIOAllocationInfo](docs/StorageIOAllocationInfo.md)
 - [StorageIOAllocationOption](docs/StorageIOAllocationOption.md)
 - [StorageIORMConfigOption](docs/StorageIORMConfigOption.md)
 - [StorageIORMConfigSpec](docs/StorageIORMConfigSpec.md)
 - [StorageIORMInfo](docs/StorageIORMInfo.md)
 - [StorageIORMThresholdModeEnum](docs/StorageIORMThresholdModeEnum.md)
 - [StorageMigrationAction](docs/StorageMigrationAction.md)
 - [StoragePerformanceSummary](docs/StoragePerformanceSummary.md)
 - [StoragePlacementAction](docs/StoragePlacementAction.md)
 - [StoragePlacementResult](docs/StoragePlacementResult.md)
 - [StoragePlacementSpec](docs/StoragePlacementSpec.md)
 - [StoragePlacementSpecPlacementTypeEnum](docs/StoragePlacementSpecPlacementTypeEnum.md)
 - [StoragePodSummary](docs/StoragePodSummary.md)
 - [StorageProfile](docs/StorageProfile.md)
 - [StorageRequirement](docs/StorageRequirement.md)
 - [StorageResourceManagerStorageProfileStatistics](docs/StorageResourceManagerStorageProfileStatistics.md)
 - [StorageVMotionNotSupported](docs/StorageVMotionNotSupported.md)
 - [StorageVmotionIncompatible](docs/StorageVmotionIncompatible.md)
 - [StringExpression](docs/StringExpression.md)
 - [StringOption](docs/StringOption.md)
 - [StringPolicy](docs/StringPolicy.md)
 - [StructuredCustomizations](docs/StructuredCustomizations.md)
 - [SuspendedRelocateNotSupported](docs/SuspendedRelocateNotSupported.md)
 - [SwapDatastoreNotWritableOnHost](docs/SwapDatastoreNotWritableOnHost.md)
 - [SwapDatastoreUnset](docs/SwapDatastoreUnset.md)
 - [SwapPlacementOverrideNotSupported](docs/SwapPlacementOverrideNotSupported.md)
 - [SwitchIpUnset](docs/SwitchIpUnset.md)
 - [SwitchNotInUpgradeMode](docs/SwitchNotInUpgradeMode.md)
 - [SystemError](docs/SystemError.md)
 - [SystemEventInfo](docs/SystemEventInfo.md)
 - [Tag](docs/Tag.md)
 - [TaskDescription](docs/TaskDescription.md)
 - [TaskEvent](docs/TaskEvent.md)
 - [TaskFilterSpec](docs/TaskFilterSpec.md)
 - [TaskFilterSpecByEntity](docs/TaskFilterSpecByEntity.md)
 - [TaskFilterSpecByTime](docs/TaskFilterSpecByTime.md)
 - [TaskFilterSpecByUsername](docs/TaskFilterSpecByUsername.md)
 - [TaskFilterSpecRecursionOption](docs/TaskFilterSpecRecursionOption.md)
 - [TaskFilterSpecRecursionOptionEnum](docs/TaskFilterSpecRecursionOptionEnum.md)
 - [TaskFilterSpecTimeOption](docs/TaskFilterSpecTimeOption.md)
 - [TaskFilterSpecTimeOptionEnum](docs/TaskFilterSpecTimeOptionEnum.md)
 - [TaskInProgress](docs/TaskInProgress.md)
 - [TaskInfo](docs/TaskInfo.md)
 - [TaskInfoState](docs/TaskInfoState.md)
 - [TaskInfoStateEnum](docs/TaskInfoStateEnum.md)
 - [TaskReason](docs/TaskReason.md)
 - [TaskReasonAlarm](docs/TaskReasonAlarm.md)
 - [TaskReasonSchedule](docs/TaskReasonSchedule.md)
 - [TaskReasonSystem](docs/TaskReasonSystem.md)
 - [TaskReasonUser](docs/TaskReasonUser.md)
 - [TaskScheduler](docs/TaskScheduler.md)
 - [TaskTimeoutEvent](docs/TaskTimeoutEvent.md)
 - [TeamingMatchEvent](docs/TeamingMatchEvent.md)
 - [TeamingMisMatchEvent](docs/TeamingMisMatchEvent.md)
 - [TemplateBeingUpgradedEvent](docs/TemplateBeingUpgradedEvent.md)
 - [TemplateConfigFileInfo](docs/TemplateConfigFileInfo.md)
 - [TemplateConfigFileQuery](docs/TemplateConfigFileQuery.md)
 - [TemplateUpgradeEvent](docs/TemplateUpgradeEvent.md)
 - [TemplateUpgradeFailedEvent](docs/TemplateUpgradeFailedEvent.md)
 - [TemplateUpgradedEvent](docs/TemplateUpgradedEvent.md)
 - [TerminateFaultTolerantVMRequestType](docs/TerminateFaultTolerantVMRequestType.md)
 - [TerminateProcessInGuestRequestType](docs/TerminateProcessInGuestRequestType.md)
 - [TerminateSessionRequestType](docs/TerminateSessionRequestType.md)
 - [ThirdPartyLicenseAssignmentFailed](docs/ThirdPartyLicenseAssignmentFailed.md)
 - [ThirdPartyLicenseAssignmentFailedReasonEnum](docs/ThirdPartyLicenseAssignmentFailedReasonEnum.md)
 - [TicketedSessionAuthentication](docs/TicketedSessionAuthentication.md)
 - [TimedOutHostOperationEvent](docs/TimedOutHostOperationEvent.md)
 - [Timedout](docs/Timedout.md)
 - [TooManyConcurrentNativeClones](docs/TooManyConcurrentNativeClones.md)
 - [TooManyConsecutiveOverrides](docs/TooManyConsecutiveOverrides.md)
 - [TooManyDevices](docs/TooManyDevices.md)
 - [TooManyDisksOnLegacyHost](docs/TooManyDisksOnLegacyHost.md)
 - [TooManyGuestLogons](docs/TooManyGuestLogons.md)
 - [TooManyHosts](docs/TooManyHosts.md)
 - [TooManyNativeCloneLevels](docs/TooManyNativeCloneLevels.md)
 - [TooManyNativeClonesOnFile](docs/TooManyNativeClonesOnFile.md)
 - [TooManySnapshotLevels](docs/TooManySnapshotLevels.md)
 - [ToolsAlreadyUpgraded](docs/ToolsAlreadyUpgraded.md)
 - [ToolsAutoUpgradeNotSupported](docs/ToolsAutoUpgradeNotSupported.md)
 - [ToolsConfigInfo](docs/ToolsConfigInfo.md)
 - [ToolsConfigInfoToolsLastInstallInfo](docs/ToolsConfigInfoToolsLastInstallInfo.md)
 - [ToolsImageCopyFailed](docs/ToolsImageCopyFailed.md)
 - [ToolsImageNotAvailable](docs/ToolsImageNotAvailable.md)
 - [ToolsImageSignatureCheckFailed](docs/ToolsImageSignatureCheckFailed.md)
 - [ToolsInstallationInProgress](docs/ToolsInstallationInProgress.md)
 - [ToolsUnavailable](docs/ToolsUnavailable.md)
 - [ToolsUpgradeCancelled](docs/ToolsUpgradeCancelled.md)
 - [TraversalSpec](docs/TraversalSpec.md)
 - [TurnDiskLocatorLedOffRequestType](docs/TurnDiskLocatorLedOffRequestType.md)
 - [TurnDiskLocatorLedOnRequestType](docs/TurnDiskLocatorLedOnRequestType.md)
 - [TypeDescription](docs/TypeDescription.md)
 - [UnSupportedDatastoreForVFlash](docs/UnSupportedDatastoreForVFlash.md)
 - [UnassignUserFromGroupRequestType](docs/UnassignUserFromGroupRequestType.md)
 - [UnbindVnicRequestType](docs/UnbindVnicRequestType.md)
 - [UncommittedUndoableDisk](docs/UncommittedUndoableDisk.md)
 - [UnconfiguredPropertyValue](docs/UnconfiguredPropertyValue.md)
 - [UncustomizableGuest](docs/UncustomizableGuest.md)
 - [UnexpectedCustomizationFault](docs/UnexpectedCustomizationFault.md)
 - [UnexpectedFault](docs/UnexpectedFault.md)
 - [UninstallHostPatchRequestType](docs/UninstallHostPatchRequestType.md)
 - [UninstallIoFilterRequestType](docs/UninstallIoFilterRequestType.md)
 - [UninstallServiceRequestType](docs/UninstallServiceRequestType.md)
 - [UnlicensedVirtualMachinesEvent](docs/UnlicensedVirtualMachinesEvent.md)
 - [UnlicensedVirtualMachinesFoundEvent](docs/UnlicensedVirtualMachinesFoundEvent.md)
 - [UnmapVmfsVolumeExRequestType](docs/UnmapVmfsVolumeExRequestType.md)
 - [UnmarkServiceProviderEntitiesRequestType](docs/UnmarkServiceProviderEntitiesRequestType.md)
 - [UnmountDiskMappingRequestType](docs/UnmountDiskMappingRequestType.md)
 - [UnmountForceMountedVmfsVolumeRequestType](docs/UnmountForceMountedVmfsVolumeRequestType.md)
 - [UnmountVffsVolumeRequestType](docs/UnmountVffsVolumeRequestType.md)
 - [UnmountVmfsVolumeExRequestType](docs/UnmountVmfsVolumeExRequestType.md)
 - [UnmountVmfsVolumeRequestType](docs/UnmountVmfsVolumeRequestType.md)
 - [UnrecognizedHost](docs/UnrecognizedHost.md)
 - [UnregisterExtensionRequestType](docs/UnregisterExtensionRequestType.md)
 - [UnregisterHealthUpdateProviderRequestType](docs/UnregisterHealthUpdateProviderRequestType.md)
 - [UnregisterKmsClusterRequestType](docs/UnregisterKmsClusterRequestType.md)
 - [UnsharedSwapVMotionNotSupported](docs/UnsharedSwapVMotionNotSupported.md)
 - [UnsupportedDatastore](docs/UnsupportedDatastore.md)
 - [UnsupportedGuest](docs/UnsupportedGuest.md)
 - [UnsupportedVimApiVersion](docs/UnsupportedVimApiVersion.md)
 - [UnsupportedVmxLocation](docs/UnsupportedVmxLocation.md)
 - [UnusedVirtualDiskBlocksNotScrubbed](docs/UnusedVirtualDiskBlocksNotScrubbed.md)
 - [UpdateAnswerFileRequestType](docs/UpdateAnswerFileRequestType.md)
 - [UpdateAssignableHardwareConfigRequestType](docs/UpdateAssignableHardwareConfigRequestType.md)
 - [UpdateAssignedLicenseRequestType](docs/UpdateAssignedLicenseRequestType.md)
 - [UpdateAuthorizationRoleRequestType](docs/UpdateAuthorizationRoleRequestType.md)
 - [UpdateBootDeviceRequestType](docs/UpdateBootDeviceRequestType.md)
 - [UpdateChildResourceConfigurationRequestType](docs/UpdateChildResourceConfigurationRequestType.md)
 - [UpdateClusterProfileRequestType](docs/UpdateClusterProfileRequestType.md)
 - [UpdateConfigRequestType](docs/UpdateConfigRequestType.md)
 - [UpdateConsoleIpRouteConfigRequestType](docs/UpdateConsoleIpRouteConfigRequestType.md)
 - [UpdateCounterLevelMappingRequestType](docs/UpdateCounterLevelMappingRequestType.md)
 - [UpdateDVSHealthCheckConfigRequestType](docs/UpdateDVSHealthCheckConfigRequestType.md)
 - [UpdateDVSLacpGroupConfigRequestType](docs/UpdateDVSLacpGroupConfigRequestType.md)
 - [UpdateDateTimeConfigRequestType](docs/UpdateDateTimeConfigRequestType.md)
 - [UpdateDateTimeRequestType](docs/UpdateDateTimeRequestType.md)
 - [UpdateDefaultPolicyRequestType](docs/UpdateDefaultPolicyRequestType.md)
 - [UpdateDiskPartitionsRequestType](docs/UpdateDiskPartitionsRequestType.md)
 - [UpdateDnsConfigRequestType](docs/UpdateDnsConfigRequestType.md)
 - [UpdateDvsCapabilityRequestType](docs/UpdateDvsCapabilityRequestType.md)
 - [UpdateExtensionRequestType](docs/UpdateExtensionRequestType.md)
 - [UpdateFlagsRequestType](docs/UpdateFlagsRequestType.md)
 - [UpdateGraphicsConfigRequestType](docs/UpdateGraphicsConfigRequestType.md)
 - [UpdateHostCustomizationsRequestType](docs/UpdateHostCustomizationsRequestType.md)
 - [UpdateHostImageAcceptanceLevelRequestType](docs/UpdateHostImageAcceptanceLevelRequestType.md)
 - [UpdateHostProfileRequestType](docs/UpdateHostProfileRequestType.md)
 - [UpdateHostSpecificationRequestType](docs/UpdateHostSpecificationRequestType.md)
 - [UpdateHostSubSpecificationRequestType](docs/UpdateHostSubSpecificationRequestType.md)
 - [UpdateHppMultipathLunPolicyRequestType](docs/UpdateHppMultipathLunPolicyRequestType.md)
 - [UpdateInternetScsiAdvancedOptionsRequestType](docs/UpdateInternetScsiAdvancedOptionsRequestType.md)
 - [UpdateInternetScsiAliasRequestType](docs/UpdateInternetScsiAliasRequestType.md)
 - [UpdateInternetScsiAuthenticationPropertiesRequestType](docs/UpdateInternetScsiAuthenticationPropertiesRequestType.md)
 - [UpdateInternetScsiDigestPropertiesRequestType](docs/UpdateInternetScsiDigestPropertiesRequestType.md)
 - [UpdateInternetScsiDiscoveryPropertiesRequestType](docs/UpdateInternetScsiDiscoveryPropertiesRequestType.md)
 - [UpdateInternetScsiIPPropertiesRequestType](docs/UpdateInternetScsiIPPropertiesRequestType.md)
 - [UpdateInternetScsiNameRequestType](docs/UpdateInternetScsiNameRequestType.md)
 - [UpdateIpConfigRequestType](docs/UpdateIpConfigRequestType.md)
 - [UpdateIpPoolRequestType](docs/UpdateIpPoolRequestType.md)
 - [UpdateIpRouteConfigRequestType](docs/UpdateIpRouteConfigRequestType.md)
 - [UpdateIpRouteTableConfigRequestType](docs/UpdateIpRouteTableConfigRequestType.md)
 - [UpdateIpmiRequestType](docs/UpdateIpmiRequestType.md)
 - [UpdateKmipServerRequestType](docs/UpdateKmipServerRequestType.md)
 - [UpdateKmsSignedCsrClientCertRequestType](docs/UpdateKmsSignedCsrClientCertRequestType.md)
 - [UpdateLicenseLabelRequestType](docs/UpdateLicenseLabelRequestType.md)
 - [UpdateLicenseRequestType](docs/UpdateLicenseRequestType.md)
 - [UpdateLinkedChildrenRequestType](docs/UpdateLinkedChildrenRequestType.md)
 - [UpdateLocalSwapDatastoreRequestType](docs/UpdateLocalSwapDatastoreRequestType.md)
 - [UpdateLockdownExceptionsRequestType](docs/UpdateLockdownExceptionsRequestType.md)
 - [UpdateModuleOptionStringRequestType](docs/UpdateModuleOptionStringRequestType.md)
 - [UpdateNetworkConfigRequestType](docs/UpdateNetworkConfigRequestType.md)
 - [UpdateNetworkResourcePoolRequestType](docs/UpdateNetworkResourcePoolRequestType.md)
 - [UpdateOptionsRequestType](docs/UpdateOptionsRequestType.md)
 - [UpdatePassthruConfigRequestType](docs/UpdatePassthruConfigRequestType.md)
 - [UpdatePerfIntervalRequestType](docs/UpdatePerfIntervalRequestType.md)
 - [UpdatePhysicalNicLinkSpeedRequestType](docs/UpdatePhysicalNicLinkSpeedRequestType.md)
 - [UpdatePortGroupRequestType](docs/UpdatePortGroupRequestType.md)
 - [UpdateProductLockerLocationRequestType](docs/UpdateProductLockerLocationRequestType.md)
 - [UpdateProgressRequestType](docs/UpdateProgressRequestType.md)
 - [UpdateReferenceHostRequestType](docs/UpdateReferenceHostRequestType.md)
 - [UpdateRulesetRequestType](docs/UpdateRulesetRequestType.md)
 - [UpdateScsiLunDisplayNameRequestType](docs/UpdateScsiLunDisplayNameRequestType.md)
 - [UpdateSelfSignedClientCertRequestType](docs/UpdateSelfSignedClientCertRequestType.md)
 - [UpdateServiceConsoleVirtualNicRequestType](docs/UpdateServiceConsoleVirtualNicRequestType.md)
 - [UpdateServiceMessageRequestType](docs/UpdateServiceMessageRequestType.md)
 - [UpdateServicePolicyRequestType](docs/UpdateServicePolicyRequestType.md)
 - [UpdateSet](docs/UpdateSet.md)
 - [UpdateSoftwareInternetScsiEnabledRequestType](docs/UpdateSoftwareInternetScsiEnabledRequestType.md)
 - [UpdateSystemResourcesRequestType](docs/UpdateSystemResourcesRequestType.md)
 - [UpdateSystemSwapConfigurationRequestType](docs/UpdateSystemSwapConfigurationRequestType.md)
 - [UpdateSystemUsersRequestType](docs/UpdateSystemUsersRequestType.md)
 - [UpdateUserRequestType](docs/UpdateUserRequestType.md)
 - [UpdateVAppConfigRequestType](docs/UpdateVAppConfigRequestType.md)
 - [UpdateVStorageInfrastructureObjectPolicyRequestType](docs/UpdateVStorageInfrastructureObjectPolicyRequestType.md)
 - [UpdateVStorageObjectCryptoRequestType](docs/UpdateVStorageObjectCryptoRequestType.md)
 - [UpdateVStorageObjectPolicyRequestType](docs/UpdateVStorageObjectPolicyRequestType.md)
 - [UpdateVVolVirtualMachineFilesRequestType](docs/UpdateVVolVirtualMachineFilesRequestType.md)
 - [UpdateVirtualMachineFilesRequestType](docs/UpdateVirtualMachineFilesRequestType.md)
 - [UpdateVirtualMachineFilesResult](docs/UpdateVirtualMachineFilesResult.md)
 - [UpdateVirtualMachineFilesResultFailedVmFileInfo](docs/UpdateVirtualMachineFilesResultFailedVmFileInfo.md)
 - [UpdateVirtualNicRequestType](docs/UpdateVirtualNicRequestType.md)
 - [UpdateVirtualSwitchRequestType](docs/UpdateVirtualSwitchRequestType.md)
 - [UpdateVmfsUnmapBandwidthRequestType](docs/UpdateVmfsUnmapBandwidthRequestType.md)
 - [UpdateVmfsUnmapPriorityRequestType](docs/UpdateVmfsUnmapPriorityRequestType.md)
 - [UpdateVsanRequestType](docs/UpdateVsanRequestType.md)
 - [UpdatedAgentBeingRestartedEvent](docs/UpdatedAgentBeingRestartedEvent.md)
 - [UpgradeEvent](docs/UpgradeEvent.md)
 - [UpgradeIoFilterRequestType](docs/UpgradeIoFilterRequestType.md)
 - [UpgradePolicyEnum](docs/UpgradePolicyEnum.md)
 - [UpgradeToolsRequestType](docs/UpgradeToolsRequestType.md)
 - [UpgradeVMRequestType](docs/UpgradeVMRequestType.md)
 - [UpgradeVmfsRequestType](docs/UpgradeVmfsRequestType.md)
 - [UpgradeVsanObjectsRequestType](docs/UpgradeVsanObjectsRequestType.md)
 - [UplinkPortMtuNotSupportEvent](docs/UplinkPortMtuNotSupportEvent.md)
 - [UplinkPortMtuSupportEvent](docs/UplinkPortMtuSupportEvent.md)
 - [UplinkPortVlanTrunkedEvent](docs/UplinkPortVlanTrunkedEvent.md)
 - [UplinkPortVlanUntrunkedEvent](docs/UplinkPortVlanUntrunkedEvent.md)
 - [UploadClientCertRequestType](docs/UploadClientCertRequestType.md)
 - [UploadKmipServerCertRequestType](docs/UploadKmipServerCertRequestType.md)
 - [UsbScanCodeSpec](docs/UsbScanCodeSpec.md)
 - [UsbScanCodeSpecKeyEvent](docs/UsbScanCodeSpecKeyEvent.md)
 - [UsbScanCodeSpecModifierType](docs/UsbScanCodeSpecModifierType.md)
 - [UserAssignedToGroup](docs/UserAssignedToGroup.md)
 - [UserGroupProfile](docs/UserGroupProfile.md)
 - [UserInputRequiredParameterMetadata](docs/UserInputRequiredParameterMetadata.md)
 - [UserLoginSessionEvent](docs/UserLoginSessionEvent.md)
 - [UserLogoutSessionEvent](docs/UserLogoutSessionEvent.md)
 - [UserNotFound](docs/UserNotFound.md)
 - [UserPasswordChanged](docs/UserPasswordChanged.md)
 - [UserPrivilegeResult](docs/UserPrivilegeResult.md)
 - [UserProfile](docs/UserProfile.md)
 - [UserSearchResult](docs/UserSearchResult.md)
 - [UserSession](docs/UserSession.md)
 - [UserUnassignedFromGroup](docs/UserUnassignedFromGroup.md)
 - [UserUpgradeEvent](docs/UserUpgradeEvent.md)
 - [VASAStorageArray](docs/VASAStorageArray.md)
 - [VASAStorageArrayDiscoveryFcTransport](docs/VASAStorageArrayDiscoveryFcTransport.md)
 - [VASAStorageArrayDiscoveryIpTransport](docs/VASAStorageArrayDiscoveryIpTransport.md)
 - [VASAStorageArrayDiscoverySvcInfo](docs/VASAStorageArrayDiscoverySvcInfo.md)
 - [VAppAutoStartActionEnum](docs/VAppAutoStartActionEnum.md)
 - [VAppCloneSpec](docs/VAppCloneSpec.md)
 - [VAppCloneSpecNetworkMappingPair](docs/VAppCloneSpecNetworkMappingPair.md)
 - [VAppCloneSpecProvisioningTypeEnum](docs/VAppCloneSpecProvisioningTypeEnum.md)
 - [VAppCloneSpecResourceMap](docs/VAppCloneSpecResourceMap.md)
 - [VAppConfigFault](docs/VAppConfigFault.md)
 - [VAppConfigInfo](docs/VAppConfigInfo.md)
 - [VAppConfigSpec](docs/VAppConfigSpec.md)
 - [VAppEntityConfigInfo](docs/VAppEntityConfigInfo.md)
 - [VAppIPAssignmentInfo](docs/VAppIPAssignmentInfo.md)
 - [VAppIPAssignmentInfoAllocationSchemesEnum](docs/VAppIPAssignmentInfoAllocationSchemesEnum.md)
 - [VAppIPAssignmentInfoIpAllocationPolicyEnum](docs/VAppIPAssignmentInfoIpAllocationPolicyEnum.md)
 - [VAppIPAssignmentInfoProtocolsEnum](docs/VAppIPAssignmentInfoProtocolsEnum.md)
 - [VAppNotRunning](docs/VAppNotRunning.md)
 - [VAppOperationInProgress](docs/VAppOperationInProgress.md)
 - [VAppOvfSectionInfo](docs/VAppOvfSectionInfo.md)
 - [VAppOvfSectionSpec](docs/VAppOvfSectionSpec.md)
 - [VAppProductInfo](docs/VAppProductInfo.md)
 - [VAppProductSpec](docs/VAppProductSpec.md)
 - [VAppPropertyFault](docs/VAppPropertyFault.md)
 - [VAppPropertyInfo](docs/VAppPropertyInfo.md)
 - [VAppPropertySpec](docs/VAppPropertySpec.md)
 - [VAppTaskInProgress](docs/VAppTaskInProgress.md)
 - [VCenterUpdateVStorageObjectMetadataExRequestType](docs/VCenterUpdateVStorageObjectMetadataExRequestType.md)
 - [VFlashCacheHotConfigNotSupported](docs/VFlashCacheHotConfigNotSupported.md)
 - [VFlashModuleNotSupported](docs/VFlashModuleNotSupported.md)
 - [VFlashModuleNotSupportedReasonEnum](docs/VFlashModuleNotSupportedReasonEnum.md)
 - [VFlashModuleVersionIncompatible](docs/VFlashModuleVersionIncompatible.md)
 - [VMFSDatastoreCreatedEvent](docs/VMFSDatastoreCreatedEvent.md)
 - [VMFSDatastoreExpandedEvent](docs/VMFSDatastoreExpandedEvent.md)
 - [VMFSDatastoreExtendedEvent](docs/VMFSDatastoreExtendedEvent.md)
 - [VMINotSupported](docs/VMINotSupported.md)
 - [VMOnConflictDVPort](docs/VMOnConflictDVPort.md)
 - [VMOnVirtualIntranet](docs/VMOnVirtualIntranet.md)
 - [VMotionAcrossNetworkNotSupported](docs/VMotionAcrossNetworkNotSupported.md)
 - [VMotionCompatibilityTypeEnum](docs/VMotionCompatibilityTypeEnum.md)
 - [VMotionInterfaceIssue](docs/VMotionInterfaceIssue.md)
 - [VMotionLicenseExpiredEvent](docs/VMotionLicenseExpiredEvent.md)
 - [VMotionLinkCapacityLow](docs/VMotionLinkCapacityLow.md)
 - [VMotionLinkDown](docs/VMotionLinkDown.md)
 - [VMotionNotConfigured](docs/VMotionNotConfigured.md)
 - [VMotionNotLicensed](docs/VMotionNotLicensed.md)
 - [VMotionNotSupported](docs/VMotionNotSupported.md)
 - [VMotionProtocolIncompatible](docs/VMotionProtocolIncompatible.md)
 - [VMwareDVSConfigInfo](docs/VMwareDVSConfigInfo.md)
 - [VMwareDVSConfigSpec](docs/VMwareDVSConfigSpec.md)
 - [VMwareDVSFeatureCapability](docs/VMwareDVSFeatureCapability.md)
 - [VMwareDVSHealthCheckCapability](docs/VMwareDVSHealthCheckCapability.md)
 - [VMwareDVSHealthCheckConfig](docs/VMwareDVSHealthCheckConfig.md)
 - [VMwareDVSMtuHealthCheckResult](docs/VMwareDVSMtuHealthCheckResult.md)
 - [VMwareDVSPortSetting](docs/VMwareDVSPortSetting.md)
 - [VMwareDVSPortgroupPolicy](docs/VMwareDVSPortgroupPolicy.md)
 - [VMwareDVSPvlanConfigSpec](docs/VMwareDVSPvlanConfigSpec.md)
 - [VMwareDVSPvlanMapEntry](docs/VMwareDVSPvlanMapEntry.md)
 - [VMwareDVSTeamingHealthCheckConfig](docs/VMwareDVSTeamingHealthCheckConfig.md)
 - [VMwareDVSTeamingHealthCheckResult](docs/VMwareDVSTeamingHealthCheckResult.md)
 - [VMwareDVSTeamingMatchStatusEnum](docs/VMwareDVSTeamingMatchStatusEnum.md)
 - [VMwareDVSVlanHealthCheckResult](docs/VMwareDVSVlanHealthCheckResult.md)
 - [VMwareDVSVlanMtuHealthCheckConfig](docs/VMwareDVSVlanMtuHealthCheckConfig.md)
 - [VMwareDVSVspanCapability](docs/VMwareDVSVspanCapability.md)
 - [VMwareDVSVspanConfigSpec](docs/VMwareDVSVspanConfigSpec.md)
 - [VMwareDVSVspanSessionEncapTypeEnum](docs/VMwareDVSVspanSessionEncapTypeEnum.md)
 - [VMwareDVSVspanSessionTypeEnum](docs/VMwareDVSVspanSessionTypeEnum.md)
 - [VMwareDvsDpuCapability](docs/VMwareDvsDpuCapability.md)
 - [VMwareDvsIpfixCapability](docs/VMwareDvsIpfixCapability.md)
 - [VMwareDvsLacpApiVersionEnum](docs/VMwareDvsLacpApiVersionEnum.md)
 - [VMwareDvsLacpCapability](docs/VMwareDvsLacpCapability.md)
 - [VMwareDvsLacpGroupConfig](docs/VMwareDvsLacpGroupConfig.md)
 - [VMwareDvsLacpGroupSpec](docs/VMwareDvsLacpGroupSpec.md)
 - [VMwareDvsLacpLoadBalanceAlgorithmEnum](docs/VMwareDvsLacpLoadBalanceAlgorithmEnum.md)
 - [VMwareDvsLagIpfixConfig](docs/VMwareDvsLagIpfixConfig.md)
 - [VMwareDvsLagVlanConfig](docs/VMwareDvsLagVlanConfig.md)
 - [VMwareDvsMtuCapability](docs/VMwareDvsMtuCapability.md)
 - [VMwareDvsMulticastFilteringModeEnum](docs/VMwareDvsMulticastFilteringModeEnum.md)
 - [VMwareIpfixConfig](docs/VMwareIpfixConfig.md)
 - [VMwareUplinkLacpModeEnum](docs/VMwareUplinkLacpModeEnum.md)
 - [VMwareUplinkLacpPolicy](docs/VMwareUplinkLacpPolicy.md)
 - [VMwareUplinkLacpTimeoutModeEnum](docs/VMwareUplinkLacpTimeoutModeEnum.md)
 - [VMwareUplinkPortOrderPolicy](docs/VMwareUplinkPortOrderPolicy.md)
 - [VMwareVspanPort](docs/VMwareVspanPort.md)
 - [VMwareVspanSession](docs/VMwareVspanSession.md)
 - [VStorageObject](docs/VStorageObject.md)
 - [VStorageObjectAssociations](docs/VStorageObjectAssociations.md)
 - [VStorageObjectAssociationsVmDiskAssociations](docs/VStorageObjectAssociationsVmDiskAssociations.md)
 - [VStorageObjectConfigInfo](docs/VStorageObjectConfigInfo.md)
 - [VStorageObjectConsumptionTypeEnum](docs/VStorageObjectConsumptionTypeEnum.md)
 - [VStorageObjectCreateSnapshotRequestType](docs/VStorageObjectCreateSnapshotRequestType.md)
 - [VStorageObjectSnapshotDetails](docs/VStorageObjectSnapshotDetails.md)
 - [VStorageObjectSnapshotInfo](docs/VStorageObjectSnapshotInfo.md)
 - [VStorageObjectSnapshotInfoVStorageObjectSnapshot](docs/VStorageObjectSnapshotInfoVStorageObjectSnapshot.md)
 - [VStorageObjectStateInfo](docs/VStorageObjectStateInfo.md)
 - [VVolHostPE](docs/VVolHostPE.md)
 - [VVolVmConfigFileUpdateResult](docs/VVolVmConfigFileUpdateResult.md)
 - [VVolVmConfigFileUpdateResultFailedVmConfigFileInfo](docs/VVolVmConfigFileUpdateResultFailedVmConfigFileInfo.md)
 - [ValidateCredentialsInGuestRequestType](docs/ValidateCredentialsInGuestRequestType.md)
 - [ValidateHCIConfigurationRequestType](docs/ValidateHCIConfigurationRequestType.md)
 - [ValidateHostProfileCompositionRequestType](docs/ValidateHostProfileCompositionRequestType.md)
 - [ValidateHostRequestType](docs/ValidateHostRequestType.md)
 - [ValidateMigrationRequestType](docs/ValidateMigrationRequestType.md)
 - [ValidateMigrationTestTypeEnum](docs/ValidateMigrationTestTypeEnum.md)
 - [ValidateStoragePodConfigRequestType](docs/ValidateStoragePodConfigRequestType.md)
 - [VasaProviderContainerSpec](docs/VasaProviderContainerSpec.md)
 - [VcAgentUninstallFailedEvent](docs/VcAgentUninstallFailedEvent.md)
 - [VcAgentUninstalledEvent](docs/VcAgentUninstalledEvent.md)
 - [VcAgentUpgradeFailedEvent](docs/VcAgentUpgradeFailedEvent.md)
 - [VcAgentUpgradedEvent](docs/VcAgentUpgradedEvent.md)
 - [VchaClusterConfigInfo](docs/VchaClusterConfigInfo.md)
 - [VchaClusterConfigSpec](docs/VchaClusterConfigSpec.md)
 - [VchaClusterDeploymentSpec](docs/VchaClusterDeploymentSpec.md)
 - [VchaClusterHealth](docs/VchaClusterHealth.md)
 - [VchaClusterModeEnum](docs/VchaClusterModeEnum.md)
 - [VchaClusterNetworkSpec](docs/VchaClusterNetworkSpec.md)
 - [VchaClusterRuntimeInfo](docs/VchaClusterRuntimeInfo.md)
 - [VchaClusterStateEnum](docs/VchaClusterStateEnum.md)
 - [VchaNodeRoleEnum](docs/VchaNodeRoleEnum.md)
 - [VchaNodeRuntimeInfo](docs/VchaNodeRuntimeInfo.md)
 - [VchaNodeStateEnum](docs/VchaNodeStateEnum.md)
 - [VchaStateEnum](docs/VchaStateEnum.md)
 - [VimAccountPasswordChangedEvent](docs/VimAccountPasswordChangedEvent.md)
 - [VimFault](docs/VimFault.md)
 - [VimVasaProvider](docs/VimVasaProvider.md)
 - [VimVasaProviderInfo](docs/VimVasaProviderInfo.md)
 - [VimVasaProviderStatePerArray](docs/VimVasaProviderStatePerArray.md)
 - [VimVasaProviderVirtualHostConfig](docs/VimVasaProviderVirtualHostConfig.md)
 - [VirtualAHCIController](docs/VirtualAHCIController.md)
 - [VirtualAHCIControllerOption](docs/VirtualAHCIControllerOption.md)
 - [VirtualAppImportSpec](docs/VirtualAppImportSpec.md)
 - [VirtualAppLinkInfo](docs/VirtualAppLinkInfo.md)
 - [VirtualAppSummary](docs/VirtualAppSummary.md)
 - [VirtualAppVAppState](docs/VirtualAppVAppState.md)
 - [VirtualAppVAppStateEnum](docs/VirtualAppVAppStateEnum.md)
 - [VirtualBusLogicController](docs/VirtualBusLogicController.md)
 - [VirtualBusLogicControllerOption](docs/VirtualBusLogicControllerOption.md)
 - [VirtualCdrom](docs/VirtualCdrom.md)
 - [VirtualCdromAtapiBackingInfo](docs/VirtualCdromAtapiBackingInfo.md)
 - [VirtualCdromAtapiBackingOption](docs/VirtualCdromAtapiBackingOption.md)
 - [VirtualCdromIsoBackingInfo](docs/VirtualCdromIsoBackingInfo.md)
 - [VirtualCdromIsoBackingOption](docs/VirtualCdromIsoBackingOption.md)
 - [VirtualCdromOption](docs/VirtualCdromOption.md)
 - [VirtualCdromPassthroughBackingInfo](docs/VirtualCdromPassthroughBackingInfo.md)
 - [VirtualCdromPassthroughBackingOption](docs/VirtualCdromPassthroughBackingOption.md)
 - [VirtualCdromRemoteAtapiBackingInfo](docs/VirtualCdromRemoteAtapiBackingInfo.md)
 - [VirtualCdromRemoteAtapiBackingOption](docs/VirtualCdromRemoteAtapiBackingOption.md)
 - [VirtualCdromRemotePassthroughBackingInfo](docs/VirtualCdromRemotePassthroughBackingInfo.md)
 - [VirtualCdromRemotePassthroughBackingOption](docs/VirtualCdromRemotePassthroughBackingOption.md)
 - [VirtualController](docs/VirtualController.md)
 - [VirtualControllerOption](docs/VirtualControllerOption.md)
 - [VirtualDevice](docs/VirtualDevice.md)
 - [VirtualDeviceBackingInfo](docs/VirtualDeviceBackingInfo.md)
 - [VirtualDeviceBackingOption](docs/VirtualDeviceBackingOption.md)
 - [VirtualDeviceBusSlotInfo](docs/VirtualDeviceBusSlotInfo.md)
 - [VirtualDeviceBusSlotOption](docs/VirtualDeviceBusSlotOption.md)
 - [VirtualDeviceConfigSpec](docs/VirtualDeviceConfigSpec.md)
 - [VirtualDeviceConfigSpecBackingSpec](docs/VirtualDeviceConfigSpecBackingSpec.md)
 - [VirtualDeviceConfigSpecChangeModeEnum](docs/VirtualDeviceConfigSpecChangeModeEnum.md)
 - [VirtualDeviceConfigSpecFileOperation](docs/VirtualDeviceConfigSpecFileOperation.md)
 - [VirtualDeviceConfigSpecFileOperationEnum](docs/VirtualDeviceConfigSpecFileOperationEnum.md)
 - [VirtualDeviceConfigSpecOperation](docs/VirtualDeviceConfigSpecOperation.md)
 - [VirtualDeviceConfigSpecOperationEnum](docs/VirtualDeviceConfigSpecOperationEnum.md)
 - [VirtualDeviceConnectInfo](docs/VirtualDeviceConnectInfo.md)
 - [VirtualDeviceConnectInfoMigrateConnectOpEnum](docs/VirtualDeviceConnectInfoMigrateConnectOpEnum.md)
 - [VirtualDeviceConnectInfoStatusEnum](docs/VirtualDeviceConnectInfoStatusEnum.md)
 - [VirtualDeviceConnectOption](docs/VirtualDeviceConnectOption.md)
 - [VirtualDeviceDeviceBackingInfo](docs/VirtualDeviceDeviceBackingInfo.md)
 - [VirtualDeviceDeviceBackingOption](docs/VirtualDeviceDeviceBackingOption.md)
 - [VirtualDeviceDeviceGroupInfo](docs/VirtualDeviceDeviceGroupInfo.md)
 - [VirtualDeviceFileBackingInfo](docs/VirtualDeviceFileBackingInfo.md)
 - [VirtualDeviceFileBackingOption](docs/VirtualDeviceFileBackingOption.md)
 - [VirtualDeviceFileExtensionEnum](docs/VirtualDeviceFileExtensionEnum.md)
 - [VirtualDeviceOption](docs/VirtualDeviceOption.md)
 - [VirtualDevicePciBusSlotInfo](docs/VirtualDevicePciBusSlotInfo.md)
 - [VirtualDevicePipeBackingInfo](docs/VirtualDevicePipeBackingInfo.md)
 - [VirtualDevicePipeBackingOption](docs/VirtualDevicePipeBackingOption.md)
 - [VirtualDeviceRemoteDeviceBackingInfo](docs/VirtualDeviceRemoteDeviceBackingInfo.md)
 - [VirtualDeviceRemoteDeviceBackingOption](docs/VirtualDeviceRemoteDeviceBackingOption.md)
 - [VirtualDeviceURIBackingInfo](docs/VirtualDeviceURIBackingInfo.md)
 - [VirtualDeviceURIBackingOption](docs/VirtualDeviceURIBackingOption.md)
 - [VirtualDeviceURIBackingOptionDirectionEnum](docs/VirtualDeviceURIBackingOptionDirectionEnum.md)
 - [VirtualDisk](docs/VirtualDisk.md)
 - [VirtualDiskAdapterTypeEnum](docs/VirtualDiskAdapterTypeEnum.md)
 - [VirtualDiskAntiAffinityRuleSpec](docs/VirtualDiskAntiAffinityRuleSpec.md)
 - [VirtualDiskBlocksNotFullyProvisioned](docs/VirtualDiskBlocksNotFullyProvisioned.md)
 - [VirtualDiskCompatibilityModeEnum](docs/VirtualDiskCompatibilityModeEnum.md)
 - [VirtualDiskConfigSpec](docs/VirtualDiskConfigSpec.md)
 - [VirtualDiskDeltaDiskFormatEnum](docs/VirtualDiskDeltaDiskFormatEnum.md)
 - [VirtualDiskDeltaDiskFormatVariantEnum](docs/VirtualDiskDeltaDiskFormatVariantEnum.md)
 - [VirtualDiskDeltaDiskFormatsSupported](docs/VirtualDiskDeltaDiskFormatsSupported.md)
 - [VirtualDiskFlatVer1BackingInfo](docs/VirtualDiskFlatVer1BackingInfo.md)
 - [VirtualDiskFlatVer1BackingOption](docs/VirtualDiskFlatVer1BackingOption.md)
 - [VirtualDiskFlatVer2BackingInfo](docs/VirtualDiskFlatVer2BackingInfo.md)
 - [VirtualDiskFlatVer2BackingOption](docs/VirtualDiskFlatVer2BackingOption.md)
 - [VirtualDiskId](docs/VirtualDiskId.md)
 - [VirtualDiskLocalPMemBackingInfo](docs/VirtualDiskLocalPMemBackingInfo.md)
 - [VirtualDiskLocalPMemBackingOption](docs/VirtualDiskLocalPMemBackingOption.md)
 - [VirtualDiskModeEnum](docs/VirtualDiskModeEnum.md)
 - [VirtualDiskModeNotSupported](docs/VirtualDiskModeNotSupported.md)
 - [VirtualDiskOption](docs/VirtualDiskOption.md)
 - [VirtualDiskOptionVFlashCacheConfigOption](docs/VirtualDiskOptionVFlashCacheConfigOption.md)
 - [VirtualDiskPartitionedRawDiskVer2BackingInfo](docs/VirtualDiskPartitionedRawDiskVer2BackingInfo.md)
 - [VirtualDiskPartitionedRawDiskVer2BackingOption](docs/VirtualDiskPartitionedRawDiskVer2BackingOption.md)
 - [VirtualDiskRawDiskMappingVer1BackingInfo](docs/VirtualDiskRawDiskMappingVer1BackingInfo.md)
 - [VirtualDiskRawDiskMappingVer1BackingOption](docs/VirtualDiskRawDiskMappingVer1BackingOption.md)
 - [VirtualDiskRawDiskVer2BackingInfo](docs/VirtualDiskRawDiskVer2BackingInfo.md)
 - [VirtualDiskRawDiskVer2BackingOption](docs/VirtualDiskRawDiskVer2BackingOption.md)
 - [VirtualDiskRuleSpec](docs/VirtualDiskRuleSpec.md)
 - [VirtualDiskRuleSpecRuleTypeEnum](docs/VirtualDiskRuleSpecRuleTypeEnum.md)
 - [VirtualDiskSeSparseBackingInfo](docs/VirtualDiskSeSparseBackingInfo.md)
 - [VirtualDiskSeSparseBackingOption](docs/VirtualDiskSeSparseBackingOption.md)
 - [VirtualDiskSharingEnum](docs/VirtualDiskSharingEnum.md)
 - [VirtualDiskSparseVer1BackingInfo](docs/VirtualDiskSparseVer1BackingInfo.md)
 - [VirtualDiskSparseVer1BackingOption](docs/VirtualDiskSparseVer1BackingOption.md)
 - [VirtualDiskSparseVer2BackingInfo](docs/VirtualDiskSparseVer2BackingInfo.md)
 - [VirtualDiskSparseVer2BackingOption](docs/VirtualDiskSparseVer2BackingOption.md)
 - [VirtualDiskSpec](docs/VirtualDiskSpec.md)
 - [VirtualDiskTypeEnum](docs/VirtualDiskTypeEnum.md)
 - [VirtualDiskVFlashCacheConfigInfo](docs/VirtualDiskVFlashCacheConfigInfo.md)
 - [VirtualDiskVFlashCacheConfigInfoCacheConsistencyTypeEnum](docs/VirtualDiskVFlashCacheConfigInfoCacheConsistencyTypeEnum.md)
 - [VirtualDiskVFlashCacheConfigInfoCacheModeEnum](docs/VirtualDiskVFlashCacheConfigInfoCacheModeEnum.md)
 - [VirtualE1000](docs/VirtualE1000.md)
 - [VirtualE1000Option](docs/VirtualE1000Option.md)
 - [VirtualE1000e](docs/VirtualE1000e.md)
 - [VirtualE1000eOption](docs/VirtualE1000eOption.md)
 - [VirtualEnsoniq1371](docs/VirtualEnsoniq1371.md)
 - [VirtualEnsoniq1371Option](docs/VirtualEnsoniq1371Option.md)
 - [VirtualEthernetCard](docs/VirtualEthernetCard.md)
 - [VirtualEthernetCardDVPortBackingOption](docs/VirtualEthernetCardDVPortBackingOption.md)
 - [VirtualEthernetCardDistributedVirtualPortBackingInfo](docs/VirtualEthernetCardDistributedVirtualPortBackingInfo.md)
 - [VirtualEthernetCardLegacyNetworkBackingInfo](docs/VirtualEthernetCardLegacyNetworkBackingInfo.md)
 - [VirtualEthernetCardLegacyNetworkBackingOption](docs/VirtualEthernetCardLegacyNetworkBackingOption.md)
 - [VirtualEthernetCardLegacyNetworkDeviceNameEnum](docs/VirtualEthernetCardLegacyNetworkDeviceNameEnum.md)
 - [VirtualEthernetCardMacTypeEnum](docs/VirtualEthernetCardMacTypeEnum.md)
 - [VirtualEthernetCardNetworkBackingInfo](docs/VirtualEthernetCardNetworkBackingInfo.md)
 - [VirtualEthernetCardNetworkBackingOption](docs/VirtualEthernetCardNetworkBackingOption.md)
 - [VirtualEthernetCardNotSupported](docs/VirtualEthernetCardNotSupported.md)
 - [VirtualEthernetCardOpaqueNetworkBackingInfo](docs/VirtualEthernetCardOpaqueNetworkBackingInfo.md)
 - [VirtualEthernetCardOpaqueNetworkBackingOption](docs/VirtualEthernetCardOpaqueNetworkBackingOption.md)
 - [VirtualEthernetCardOption](docs/VirtualEthernetCardOption.md)
 - [VirtualEthernetCardResourceAllocation](docs/VirtualEthernetCardResourceAllocation.md)
 - [VirtualFloppy](docs/VirtualFloppy.md)
 - [VirtualFloppyDeviceBackingInfo](docs/VirtualFloppyDeviceBackingInfo.md)
 - [VirtualFloppyDeviceBackingOption](docs/VirtualFloppyDeviceBackingOption.md)
 - [VirtualFloppyImageBackingInfo](docs/VirtualFloppyImageBackingInfo.md)
 - [VirtualFloppyImageBackingOption](docs/VirtualFloppyImageBackingOption.md)
 - [VirtualFloppyOption](docs/VirtualFloppyOption.md)
 - [VirtualFloppyRemoteDeviceBackingInfo](docs/VirtualFloppyRemoteDeviceBackingInfo.md)
 - [VirtualFloppyRemoteDeviceBackingOption](docs/VirtualFloppyRemoteDeviceBackingOption.md)
 - [VirtualHardware](docs/VirtualHardware.md)
 - [VirtualHardwareCompatibilityIssue](docs/VirtualHardwareCompatibilityIssue.md)
 - [VirtualHardwareMotherboardLayoutEnum](docs/VirtualHardwareMotherboardLayoutEnum.md)
 - [VirtualHardwareOption](docs/VirtualHardwareOption.md)
 - [VirtualHardwareVersionNotSupported](docs/VirtualHardwareVersionNotSupported.md)
 - [VirtualHdAudioCard](docs/VirtualHdAudioCard.md)
 - [VirtualHdAudioCardOption](docs/VirtualHdAudioCardOption.md)
 - [VirtualIDEController](docs/VirtualIDEController.md)
 - [VirtualIDEControllerOption](docs/VirtualIDEControllerOption.md)
 - [VirtualKeyboard](docs/VirtualKeyboard.md)
 - [VirtualKeyboardOption](docs/VirtualKeyboardOption.md)
 - [VirtualLsiLogicController](docs/VirtualLsiLogicController.md)
 - [VirtualLsiLogicControllerOption](docs/VirtualLsiLogicControllerOption.md)
 - [VirtualLsiLogicSASController](docs/VirtualLsiLogicSASController.md)
 - [VirtualLsiLogicSASControllerOption](docs/VirtualLsiLogicSASControllerOption.md)
 - [VirtualMachineAffinityInfo](docs/VirtualMachineAffinityInfo.md)
 - [VirtualMachineAppHeartbeatStatusTypeEnum](docs/VirtualMachineAppHeartbeatStatusTypeEnum.md)
 - [VirtualMachineBaseIndependentFilterSpec](docs/VirtualMachineBaseIndependentFilterSpec.md)
 - [VirtualMachineBootOptions](docs/VirtualMachineBootOptions.md)
 - [VirtualMachineBootOptionsBootableCdromDevice](docs/VirtualMachineBootOptionsBootableCdromDevice.md)
 - [VirtualMachineBootOptionsBootableDevice](docs/VirtualMachineBootOptionsBootableDevice.md)
 - [VirtualMachineBootOptionsBootableDiskDevice](docs/VirtualMachineBootOptionsBootableDiskDevice.md)
 - [VirtualMachineBootOptionsBootableEthernetDevice](docs/VirtualMachineBootOptionsBootableEthernetDevice.md)
 - [VirtualMachineBootOptionsBootableFloppyDevice](docs/VirtualMachineBootOptionsBootableFloppyDevice.md)
 - [VirtualMachineBootOptionsNetworkBootProtocolTypeEnum](docs/VirtualMachineBootOptionsNetworkBootProtocolTypeEnum.md)
 - [VirtualMachineCapability](docs/VirtualMachineCapability.md)
 - [VirtualMachineCdromInfo](docs/VirtualMachineCdromInfo.md)
 - [VirtualMachineCertThumbprint](docs/VirtualMachineCertThumbprint.md)
 - [VirtualMachineCertThumbprintHashAlgorithmEnum](docs/VirtualMachineCertThumbprintHashAlgorithmEnum.md)
 - [VirtualMachineCloneSpec](docs/VirtualMachineCloneSpec.md)
 - [VirtualMachineCloneSpecTpmProvisionPolicy](docs/VirtualMachineCloneSpecTpmProvisionPolicy.md)
 - [VirtualMachineCloneSpecTpmProvisionPolicyEnum](docs/VirtualMachineCloneSpecTpmProvisionPolicyEnum.md)
 - [VirtualMachineConfigInfo](docs/VirtualMachineConfigInfo.md)
 - [VirtualMachineConfigInfoDatastoreUrlPair](docs/VirtualMachineConfigInfoDatastoreUrlPair.md)
 - [VirtualMachineConfigInfoNpivWwnType](docs/VirtualMachineConfigInfoNpivWwnType.md)
 - [VirtualMachineConfigInfoNpivWwnTypeEnum](docs/VirtualMachineConfigInfoNpivWwnTypeEnum.md)
 - [VirtualMachineConfigInfoOverheadInfo](docs/VirtualMachineConfigInfoOverheadInfo.md)
 - [VirtualMachineConfigInfoSwapPlacementTypeEnum](docs/VirtualMachineConfigInfoSwapPlacementTypeEnum.md)
 - [VirtualMachineConfigOption](docs/VirtualMachineConfigOption.md)
 - [VirtualMachineConfigOptionDescriptor](docs/VirtualMachineConfigOptionDescriptor.md)
 - [VirtualMachineConfigSpec](docs/VirtualMachineConfigSpec.md)
 - [VirtualMachineConfigSpecEncryptedFtModesEnum](docs/VirtualMachineConfigSpecEncryptedFtModesEnum.md)
 - [VirtualMachineConfigSpecEncryptedVMotionModesEnum](docs/VirtualMachineConfigSpecEncryptedVMotionModesEnum.md)
 - [VirtualMachineConfigSpecNpivWwnOpEnum](docs/VirtualMachineConfigSpecNpivWwnOpEnum.md)
 - [VirtualMachineConfigSummary](docs/VirtualMachineConfigSummary.md)
 - [VirtualMachineConnection](docs/VirtualMachineConnection.md)
 - [VirtualMachineConnectionState](docs/VirtualMachineConnectionState.md)
 - [VirtualMachineConnectionStateEnum](docs/VirtualMachineConnectionStateEnum.md)
 - [VirtualMachineConsolePreferences](docs/VirtualMachineConsolePreferences.md)
 - [VirtualMachineContentLibraryItemInfo](docs/VirtualMachineContentLibraryItemInfo.md)
 - [VirtualMachineCpuIdInfoSpec](docs/VirtualMachineCpuIdInfoSpec.md)
 - [VirtualMachineCryptoStateEnum](docs/VirtualMachineCryptoStateEnum.md)
 - [VirtualMachineDatastoreInfo](docs/VirtualMachineDatastoreInfo.md)
 - [VirtualMachineDatastoreVolumeOption](docs/VirtualMachineDatastoreVolumeOption.md)
 - [VirtualMachineDefaultPowerOpInfo](docs/VirtualMachineDefaultPowerOpInfo.md)
 - [VirtualMachineDefaultProfileSpec](docs/VirtualMachineDefaultProfileSpec.md)
 - [VirtualMachineDefinedProfileSpec](docs/VirtualMachineDefinedProfileSpec.md)
 - [VirtualMachineDeviceRuntimeInfo](docs/VirtualMachineDeviceRuntimeInfo.md)
 - [VirtualMachineDeviceRuntimeInfoDeviceRuntimeState](docs/VirtualMachineDeviceRuntimeInfoDeviceRuntimeState.md)
 - [VirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeState](docs/VirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeState.md)
 - [VirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeStateVmDirectPathGen2InactiveReasonOtherEnum](docs/VirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeStateVmDirectPathGen2InactiveReasonOtherEnum.md)
 - [VirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeStateVmDirectPathGen2InactiveReasonVmEnum](docs/VirtualMachineDeviceRuntimeInfoVirtualEthernetCardRuntimeStateVmDirectPathGen2InactiveReasonVmEnum.md)
 - [VirtualMachineDiskDeviceInfo](docs/VirtualMachineDiskDeviceInfo.md)
 - [VirtualMachineDisplayTopology](docs/VirtualMachineDisplayTopology.md)
 - [VirtualMachineDvxClassInfo](docs/VirtualMachineDvxClassInfo.md)
 - [VirtualMachineDynamicPassthroughInfo](docs/VirtualMachineDynamicPassthroughInfo.md)
 - [VirtualMachineEmptyIndependentFilterSpec](docs/VirtualMachineEmptyIndependentFilterSpec.md)
 - [VirtualMachineEmptyProfileSpec](docs/VirtualMachineEmptyProfileSpec.md)
 - [VirtualMachineFaultToleranceState](docs/VirtualMachineFaultToleranceState.md)
 - [VirtualMachineFaultToleranceStateEnum](docs/VirtualMachineFaultToleranceStateEnum.md)
 - [VirtualMachineFaultToleranceTypeEnum](docs/VirtualMachineFaultToleranceTypeEnum.md)
 - [VirtualMachineFeatureRequirement](docs/VirtualMachineFeatureRequirement.md)
 - [VirtualMachineFileInfo](docs/VirtualMachineFileInfo.md)
 - [VirtualMachineFileLayout](docs/VirtualMachineFileLayout.md)
 - [VirtualMachineFileLayoutDiskLayout](docs/VirtualMachineFileLayoutDiskLayout.md)
 - [VirtualMachineFileLayoutEx](docs/VirtualMachineFileLayoutEx.md)
 - [VirtualMachineFileLayoutExDiskLayout](docs/VirtualMachineFileLayoutExDiskLayout.md)
 - [VirtualMachineFileLayoutExDiskUnit](docs/VirtualMachineFileLayoutExDiskUnit.md)
 - [VirtualMachineFileLayoutExFileInfo](docs/VirtualMachineFileLayoutExFileInfo.md)
 - [VirtualMachineFileLayoutExFileTypeEnum](docs/VirtualMachineFileLayoutExFileTypeEnum.md)
 - [VirtualMachineFileLayoutExSnapshotLayout](docs/VirtualMachineFileLayoutExSnapshotLayout.md)
 - [VirtualMachineFileLayoutSnapshotLayout](docs/VirtualMachineFileLayoutSnapshotLayout.md)
 - [VirtualMachineFlagInfo](docs/VirtualMachineFlagInfo.md)
 - [VirtualMachineFlagInfoMonitorTypeEnum](docs/VirtualMachineFlagInfoMonitorTypeEnum.md)
 - [VirtualMachineFlagInfoVirtualExecUsageEnum](docs/VirtualMachineFlagInfoVirtualExecUsageEnum.md)
 - [VirtualMachineFlagInfoVirtualMmuUsageEnum](docs/VirtualMachineFlagInfoVirtualMmuUsageEnum.md)
 - [VirtualMachineFloppyInfo](docs/VirtualMachineFloppyInfo.md)
 - [VirtualMachineForkConfigInfo](docs/VirtualMachineForkConfigInfo.md)
 - [VirtualMachineForkConfigInfoChildTypeEnum](docs/VirtualMachineForkConfigInfoChildTypeEnum.md)
 - [VirtualMachineGuestIntegrityInfo](docs/VirtualMachineGuestIntegrityInfo.md)
 - [VirtualMachineGuestMonitoringModeInfo](docs/VirtualMachineGuestMonitoringModeInfo.md)
 - [VirtualMachineGuestOsFamilyEnum](docs/VirtualMachineGuestOsFamilyEnum.md)
 - [VirtualMachineGuestOsIdentifierEnum](docs/VirtualMachineGuestOsIdentifierEnum.md)
 - [VirtualMachineGuestQuiesceSpec](docs/VirtualMachineGuestQuiesceSpec.md)
 - [VirtualMachineGuestStateEnum](docs/VirtualMachineGuestStateEnum.md)
 - [VirtualMachineGuestSummary](docs/VirtualMachineGuestSummary.md)
 - [VirtualMachineHtSharingEnum](docs/VirtualMachineHtSharingEnum.md)
 - [VirtualMachineIdeDiskDeviceInfo](docs/VirtualMachineIdeDiskDeviceInfo.md)
 - [VirtualMachineIdeDiskDevicePartitionInfo](docs/VirtualMachineIdeDiskDevicePartitionInfo.md)
 - [VirtualMachineImportSpec](docs/VirtualMachineImportSpec.md)
 - [VirtualMachineIndependentFilterSpec](docs/VirtualMachineIndependentFilterSpec.md)
 - [VirtualMachineInstantCloneSpec](docs/VirtualMachineInstantCloneSpec.md)
 - [VirtualMachineLegacyNetworkSwitchInfo](docs/VirtualMachineLegacyNetworkSwitchInfo.md)
 - [VirtualMachineMemoryAllocationPolicyEnum](docs/VirtualMachineMemoryAllocationPolicyEnum.md)
 - [VirtualMachineMemoryReservationInfo](docs/VirtualMachineMemoryReservationInfo.md)
 - [VirtualMachineMemoryReservationSpec](docs/VirtualMachineMemoryReservationSpec.md)
 - [VirtualMachineMessage](docs/VirtualMachineMessage.md)
 - [VirtualMachineMetadataManagerVmMetadata](docs/VirtualMachineMetadataManagerVmMetadata.md)
 - [VirtualMachineMetadataManagerVmMetadataInput](docs/VirtualMachineMetadataManagerVmMetadataInput.md)
 - [VirtualMachineMetadataManagerVmMetadataOp](docs/VirtualMachineMetadataManagerVmMetadataOp.md)
 - [VirtualMachineMetadataManagerVmMetadataOpEnum](docs/VirtualMachineMetadataManagerVmMetadataOpEnum.md)
 - [VirtualMachineMetadataManagerVmMetadataOwner](docs/VirtualMachineMetadataManagerVmMetadataOwner.md)
 - [VirtualMachineMetadataManagerVmMetadataOwnerOwnerEnum](docs/VirtualMachineMetadataManagerVmMetadataOwnerOwnerEnum.md)
 - [VirtualMachineMetadataManagerVmMetadataResult](docs/VirtualMachineMetadataManagerVmMetadataResult.md)
 - [VirtualMachineMksConnection](docs/VirtualMachineMksConnection.md)
 - [VirtualMachineMksTicket](docs/VirtualMachineMksTicket.md)
 - [VirtualMachineMovePriority](docs/VirtualMachineMovePriority.md)
 - [VirtualMachineMovePriorityEnum](docs/VirtualMachineMovePriorityEnum.md)
 - [VirtualMachineNeedSecondaryReasonEnum](docs/VirtualMachineNeedSecondaryReasonEnum.md)
 - [VirtualMachineNetworkInfo](docs/VirtualMachineNetworkInfo.md)
 - [VirtualMachineNetworkShaperInfo](docs/VirtualMachineNetworkShaperInfo.md)
 - [VirtualMachineParallelInfo](docs/VirtualMachineParallelInfo.md)
 - [VirtualMachinePciPassthroughInfo](docs/VirtualMachinePciPassthroughInfo.md)
 - [VirtualMachinePciSharedGpuPassthroughInfo](docs/VirtualMachinePciSharedGpuPassthroughInfo.md)
 - [VirtualMachinePowerOffBehaviorEnum](docs/VirtualMachinePowerOffBehaviorEnum.md)
 - [VirtualMachinePowerOpTypeEnum](docs/VirtualMachinePowerOpTypeEnum.md)
 - [VirtualMachinePowerState](docs/VirtualMachinePowerState.md)
 - [VirtualMachinePowerStateEnum](docs/VirtualMachinePowerStateEnum.md)
 - [VirtualMachinePrecisionClockInfo](docs/VirtualMachinePrecisionClockInfo.md)
 - [VirtualMachineProfileDetails](docs/VirtualMachineProfileDetails.md)
 - [VirtualMachineProfileDetailsDiskProfileDetails](docs/VirtualMachineProfileDetailsDiskProfileDetails.md)
 - [VirtualMachineProfileRawData](docs/VirtualMachineProfileRawData.md)
 - [VirtualMachineProfileSpec](docs/VirtualMachineProfileSpec.md)
 - [VirtualMachinePropertyRelation](docs/VirtualMachinePropertyRelation.md)
 - [VirtualMachineQuestionInfo](docs/VirtualMachineQuestionInfo.md)
 - [VirtualMachineQuickStats](docs/VirtualMachineQuickStats.md)
 - [VirtualMachineQuickStatsMemoryTierStats](docs/VirtualMachineQuickStatsMemoryTierStats.md)
 - [VirtualMachineRecordReplayState](docs/VirtualMachineRecordReplayState.md)
 - [VirtualMachineRecordReplayStateEnum](docs/VirtualMachineRecordReplayStateEnum.md)
 - [VirtualMachineRelocateDiskMoveOptionsEnum](docs/VirtualMachineRelocateDiskMoveOptionsEnum.md)
 - [VirtualMachineRelocateSpec](docs/VirtualMachineRelocateSpec.md)
 - [VirtualMachineRelocateSpecDiskLocator](docs/VirtualMachineRelocateSpecDiskLocator.md)
 - [VirtualMachineRelocateSpecDiskLocatorBackingSpec](docs/VirtualMachineRelocateSpecDiskLocatorBackingSpec.md)
 - [VirtualMachineRelocateTransformation](docs/VirtualMachineRelocateTransformation.md)
 - [VirtualMachineRelocateTransformationEnum](docs/VirtualMachineRelocateTransformationEnum.md)
 - [VirtualMachineRuntimeInfo](docs/VirtualMachineRuntimeInfo.md)
 - [VirtualMachineRuntimeInfoDasProtectionState](docs/VirtualMachineRuntimeInfoDasProtectionState.md)
 - [VirtualMachineScsiDiskDeviceInfo](docs/VirtualMachineScsiDiskDeviceInfo.md)
 - [VirtualMachineScsiPassthroughInfo](docs/VirtualMachineScsiPassthroughInfo.md)
 - [VirtualMachineScsiPassthroughTypeEnum](docs/VirtualMachineScsiPassthroughTypeEnum.md)
 - [VirtualMachineSerialInfo](docs/VirtualMachineSerialInfo.md)
 - [VirtualMachineSgxInfo](docs/VirtualMachineSgxInfo.md)
 - [VirtualMachineSgxInfoFlcModesEnum](docs/VirtualMachineSgxInfoFlcModesEnum.md)
 - [VirtualMachineSgxTargetInfo](docs/VirtualMachineSgxTargetInfo.md)
 - [VirtualMachineSnapshotInfo](docs/VirtualMachineSnapshotInfo.md)
 - [VirtualMachineSnapshotTree](docs/VirtualMachineSnapshotTree.md)
 - [VirtualMachineSoundInfo](docs/VirtualMachineSoundInfo.md)
 - [VirtualMachineSriovDevicePoolInfo](docs/VirtualMachineSriovDevicePoolInfo.md)
 - [VirtualMachineSriovInfo](docs/VirtualMachineSriovInfo.md)
 - [VirtualMachineSriovNetworkDevicePoolInfo](docs/VirtualMachineSriovNetworkDevicePoolInfo.md)
 - [VirtualMachineStandbyActionTypeEnum](docs/VirtualMachineStandbyActionTypeEnum.md)
 - [VirtualMachineStorageInfo](docs/VirtualMachineStorageInfo.md)
 - [VirtualMachineStorageSummary](docs/VirtualMachineStorageSummary.md)
 - [VirtualMachineSummary](docs/VirtualMachineSummary.md)
 - [VirtualMachineTargetInfo](docs/VirtualMachineTargetInfo.md)
 - [VirtualMachineTargetInfoConfigurationTagEnum](docs/VirtualMachineTargetInfoConfigurationTagEnum.md)
 - [VirtualMachineTicket](docs/VirtualMachineTicket.md)
 - [VirtualMachineTicketTypeEnum](docs/VirtualMachineTicketTypeEnum.md)
 - [VirtualMachineToolsInstallTypeEnum](docs/VirtualMachineToolsInstallTypeEnum.md)
 - [VirtualMachineToolsRunningStatusEnum](docs/VirtualMachineToolsRunningStatusEnum.md)
 - [VirtualMachineToolsStatus](docs/VirtualMachineToolsStatus.md)
 - [VirtualMachineToolsStatusEnum](docs/VirtualMachineToolsStatusEnum.md)
 - [VirtualMachineToolsVersionStatusEnum](docs/VirtualMachineToolsVersionStatusEnum.md)
 - [VirtualMachineUsageOnDatastore](docs/VirtualMachineUsageOnDatastore.md)
 - [VirtualMachineUsbInfo](docs/VirtualMachineUsbInfo.md)
 - [VirtualMachineUsbInfoFamilyEnum](docs/VirtualMachineUsbInfoFamilyEnum.md)
 - [VirtualMachineUsbInfoSpeedEnum](docs/VirtualMachineUsbInfoSpeedEnum.md)
 - [VirtualMachineVFlashModuleInfo](docs/VirtualMachineVFlashModuleInfo.md)
 - [VirtualMachineVMCIDevice](docs/VirtualMachineVMCIDevice.md)
 - [VirtualMachineVMCIDeviceActionEnum](docs/VirtualMachineVMCIDeviceActionEnum.md)
 - [VirtualMachineVMCIDeviceDirectionEnum](docs/VirtualMachineVMCIDeviceDirectionEnum.md)
 - [VirtualMachineVMCIDeviceFilterInfo](docs/VirtualMachineVMCIDeviceFilterInfo.md)
 - [VirtualMachineVMCIDeviceFilterSpec](docs/VirtualMachineVMCIDeviceFilterSpec.md)
 - [VirtualMachineVMCIDeviceOption](docs/VirtualMachineVMCIDeviceOption.md)
 - [VirtualMachineVMCIDeviceOptionFilterSpecOption](docs/VirtualMachineVMCIDeviceOptionFilterSpecOption.md)
 - [VirtualMachineVMCIDeviceProtocolEnum](docs/VirtualMachineVMCIDeviceProtocolEnum.md)
 - [VirtualMachineVMIROM](docs/VirtualMachineVMIROM.md)
 - [VirtualMachineVcpuConfig](docs/VirtualMachineVcpuConfig.md)
 - [VirtualMachineVendorDeviceGroupInfo](docs/VirtualMachineVendorDeviceGroupInfo.md)
 - [VirtualMachineVendorDeviceGroupInfoComponentDeviceInfo](docs/VirtualMachineVendorDeviceGroupInfoComponentDeviceInfo.md)
 - [VirtualMachineVendorDeviceGroupInfoComponentDeviceInfoComponentTypeEnum](docs/VirtualMachineVendorDeviceGroupInfoComponentDeviceInfoComponentTypeEnum.md)
 - [VirtualMachineVgpuDeviceInfo](docs/VirtualMachineVgpuDeviceInfo.md)
 - [VirtualMachineVgpuProfileInfo](docs/VirtualMachineVgpuProfileInfo.md)
 - [VirtualMachineVgpuProfileInfoProfileClassEnum](docs/VirtualMachineVgpuProfileInfoProfileClassEnum.md)
 - [VirtualMachineVgpuProfileInfoProfileSharingEnum](docs/VirtualMachineVgpuProfileInfoProfileSharingEnum.md)
 - [VirtualMachineVideoCard](docs/VirtualMachineVideoCard.md)
 - [VirtualMachineVideoCardUse3dRendererEnum](docs/VirtualMachineVideoCardUse3dRendererEnum.md)
 - [VirtualMachineVirtualDeviceGroups](docs/VirtualMachineVirtualDeviceGroups.md)
 - [VirtualMachineVirtualDeviceGroupsDeviceGroup](docs/VirtualMachineVirtualDeviceGroupsDeviceGroup.md)
 - [VirtualMachineVirtualDeviceGroupsVendorDeviceGroup](docs/VirtualMachineVirtualDeviceGroupsVendorDeviceGroup.md)
 - [VirtualMachineVirtualDeviceSwap](docs/VirtualMachineVirtualDeviceSwap.md)
 - [VirtualMachineVirtualDeviceSwapDeviceSwapInfo](docs/VirtualMachineVirtualDeviceSwapDeviceSwapInfo.md)
 - [VirtualMachineVirtualDeviceSwapDeviceSwapStatusEnum](docs/VirtualMachineVirtualDeviceSwapDeviceSwapStatusEnum.md)
 - [VirtualMachineVirtualNuma](docs/VirtualMachineVirtualNuma.md)
 - [VirtualMachineVirtualNumaInfo](docs/VirtualMachineVirtualNumaInfo.md)
 - [VirtualMachineVirtualPMem](docs/VirtualMachineVirtualPMem.md)
 - [VirtualMachineVirtualPMemSnapshotModeEnum](docs/VirtualMachineVirtualPMemSnapshotModeEnum.md)
 - [VirtualMachineWindowsQuiesceSpec](docs/VirtualMachineWindowsQuiesceSpec.md)
 - [VirtualMachineWindowsQuiesceSpecVssBackupContextEnum](docs/VirtualMachineWindowsQuiesceSpecVssBackupContextEnum.md)
 - [VirtualMachineWipeResult](docs/VirtualMachineWipeResult.md)
 - [VirtualNVDIMM](docs/VirtualNVDIMM.md)
 - [VirtualNVDIMMBackingInfo](docs/VirtualNVDIMMBackingInfo.md)
 - [VirtualNVDIMMController](docs/VirtualNVDIMMController.md)
 - [VirtualNVDIMMControllerOption](docs/VirtualNVDIMMControllerOption.md)
 - [VirtualNVDIMMOption](docs/VirtualNVDIMMOption.md)
 - [VirtualNVMEController](docs/VirtualNVMEController.md)
 - [VirtualNVMEControllerOption](docs/VirtualNVMEControllerOption.md)
 - [VirtualNicManagerNetConfig](docs/VirtualNicManagerNetConfig.md)
 - [VirtualPCIController](docs/VirtualPCIController.md)
 - [VirtualPCIControllerOption](docs/VirtualPCIControllerOption.md)
 - [VirtualPCIPassthrough](docs/VirtualPCIPassthrough.md)
 - [VirtualPCIPassthroughAllowedDevice](docs/VirtualPCIPassthroughAllowedDevice.md)
 - [VirtualPCIPassthroughDeviceBackingInfo](docs/VirtualPCIPassthroughDeviceBackingInfo.md)
 - [VirtualPCIPassthroughDeviceBackingOption](docs/VirtualPCIPassthroughDeviceBackingOption.md)
 - [VirtualPCIPassthroughDvxBackingInfo](docs/VirtualPCIPassthroughDvxBackingInfo.md)
 - [VirtualPCIPassthroughDvxBackingOption](docs/VirtualPCIPassthroughDvxBackingOption.md)
 - [VirtualPCIPassthroughDynamicBackingInfo](docs/VirtualPCIPassthroughDynamicBackingInfo.md)
 - [VirtualPCIPassthroughDynamicBackingOption](docs/VirtualPCIPassthroughDynamicBackingOption.md)
 - [VirtualPCIPassthroughOption](docs/VirtualPCIPassthroughOption.md)
 - [VirtualPCIPassthroughPluginBackingInfo](docs/VirtualPCIPassthroughPluginBackingInfo.md)
 - [VirtualPCIPassthroughPluginBackingOption](docs/VirtualPCIPassthroughPluginBackingOption.md)
 - [VirtualPCIPassthroughVmiopBackingInfo](docs/VirtualPCIPassthroughVmiopBackingInfo.md)
 - [VirtualPCIPassthroughVmiopBackingOption](docs/VirtualPCIPassthroughVmiopBackingOption.md)
 - [VirtualPCNet32](docs/VirtualPCNet32.md)
 - [VirtualPCNet32Option](docs/VirtualPCNet32Option.md)
 - [VirtualPS2Controller](docs/VirtualPS2Controller.md)
 - [VirtualPS2ControllerOption](docs/VirtualPS2ControllerOption.md)
 - [VirtualParallelPort](docs/VirtualParallelPort.md)
 - [VirtualParallelPortDeviceBackingInfo](docs/VirtualParallelPortDeviceBackingInfo.md)
 - [VirtualParallelPortDeviceBackingOption](docs/VirtualParallelPortDeviceBackingOption.md)
 - [VirtualParallelPortFileBackingInfo](docs/VirtualParallelPortFileBackingInfo.md)
 - [VirtualParallelPortFileBackingOption](docs/VirtualParallelPortFileBackingOption.md)
 - [VirtualParallelPortOption](docs/VirtualParallelPortOption.md)
 - [VirtualPointingDevice](docs/VirtualPointingDevice.md)
 - [VirtualPointingDeviceBackingOption](docs/VirtualPointingDeviceBackingOption.md)
 - [VirtualPointingDeviceDeviceBackingInfo](docs/VirtualPointingDeviceDeviceBackingInfo.md)
 - [VirtualPointingDeviceHostChoiceEnum](docs/VirtualPointingDeviceHostChoiceEnum.md)
 - [VirtualPointingDeviceOption](docs/VirtualPointingDeviceOption.md)
 - [VirtualPrecisionClock](docs/VirtualPrecisionClock.md)
 - [VirtualPrecisionClockOption](docs/VirtualPrecisionClockOption.md)
 - [VirtualPrecisionClockSystemClockBackingInfo](docs/VirtualPrecisionClockSystemClockBackingInfo.md)
 - [VirtualPrecisionClockSystemClockBackingOption](docs/VirtualPrecisionClockSystemClockBackingOption.md)
 - [VirtualSATAController](docs/VirtualSATAController.md)
 - [VirtualSATAControllerOption](docs/VirtualSATAControllerOption.md)
 - [VirtualSCSIController](docs/VirtualSCSIController.md)
 - [VirtualSCSIControllerOption](docs/VirtualSCSIControllerOption.md)
 - [VirtualSCSIPassthrough](docs/VirtualSCSIPassthrough.md)
 - [VirtualSCSIPassthroughDeviceBackingInfo](docs/VirtualSCSIPassthroughDeviceBackingInfo.md)
 - [VirtualSCSIPassthroughDeviceBackingOption](docs/VirtualSCSIPassthroughDeviceBackingOption.md)
 - [VirtualSCSIPassthroughOption](docs/VirtualSCSIPassthroughOption.md)
 - [VirtualSCSISharing](docs/VirtualSCSISharing.md)
 - [VirtualSCSISharingEnum](docs/VirtualSCSISharingEnum.md)
 - [VirtualSIOController](docs/VirtualSIOController.md)
 - [VirtualSIOControllerOption](docs/VirtualSIOControllerOption.md)
 - [VirtualSerialPort](docs/VirtualSerialPort.md)
 - [VirtualSerialPortDeviceBackingInfo](docs/VirtualSerialPortDeviceBackingInfo.md)
 - [VirtualSerialPortDeviceBackingOption](docs/VirtualSerialPortDeviceBackingOption.md)
 - [VirtualSerialPortEndPointEnum](docs/VirtualSerialPortEndPointEnum.md)
 - [VirtualSerialPortFileBackingInfo](docs/VirtualSerialPortFileBackingInfo.md)
 - [VirtualSerialPortFileBackingOption](docs/VirtualSerialPortFileBackingOption.md)
 - [VirtualSerialPortOption](docs/VirtualSerialPortOption.md)
 - [VirtualSerialPortPipeBackingInfo](docs/VirtualSerialPortPipeBackingInfo.md)
 - [VirtualSerialPortPipeBackingOption](docs/VirtualSerialPortPipeBackingOption.md)
 - [VirtualSerialPortThinPrintBackingInfo](docs/VirtualSerialPortThinPrintBackingInfo.md)
 - [VirtualSerialPortThinPrintBackingOption](docs/VirtualSerialPortThinPrintBackingOption.md)
 - [VirtualSerialPortURIBackingInfo](docs/VirtualSerialPortURIBackingInfo.md)
 - [VirtualSerialPortURIBackingOption](docs/VirtualSerialPortURIBackingOption.md)
 - [VirtualSoundBlaster16](docs/VirtualSoundBlaster16.md)
 - [VirtualSoundBlaster16Option](docs/VirtualSoundBlaster16Option.md)
 - [VirtualSoundCard](docs/VirtualSoundCard.md)
 - [VirtualSoundCardDeviceBackingInfo](docs/VirtualSoundCardDeviceBackingInfo.md)
 - [VirtualSoundCardDeviceBackingOption](docs/VirtualSoundCardDeviceBackingOption.md)
 - [VirtualSoundCardOption](docs/VirtualSoundCardOption.md)
 - [VirtualSriovEthernetCard](docs/VirtualSriovEthernetCard.md)
 - [VirtualSriovEthernetCardOption](docs/VirtualSriovEthernetCardOption.md)
 - [VirtualSriovEthernetCardSriovBackingInfo](docs/VirtualSriovEthernetCardSriovBackingInfo.md)
 - [VirtualSriovEthernetCardSriovBackingOption](docs/VirtualSriovEthernetCardSriovBackingOption.md)
 - [VirtualSwitchProfile](docs/VirtualSwitchProfile.md)
 - [VirtualSwitchSelectionProfile](docs/VirtualSwitchSelectionProfile.md)
 - [VirtualTPM](docs/VirtualTPM.md)
 - [VirtualTPMOption](docs/VirtualTPMOption.md)
 - [VirtualUSB](docs/VirtualUSB.md)
 - [VirtualUSBController](docs/VirtualUSBController.md)
 - [VirtualUSBControllerOption](docs/VirtualUSBControllerOption.md)
 - [VirtualUSBControllerPciBusSlotInfo](docs/VirtualUSBControllerPciBusSlotInfo.md)
 - [VirtualUSBOption](docs/VirtualUSBOption.md)
 - [VirtualUSBRemoteClientBackingInfo](docs/VirtualUSBRemoteClientBackingInfo.md)
 - [VirtualUSBRemoteClientBackingOption](docs/VirtualUSBRemoteClientBackingOption.md)
 - [VirtualUSBRemoteHostBackingInfo](docs/VirtualUSBRemoteHostBackingInfo.md)
 - [VirtualUSBRemoteHostBackingOption](docs/VirtualUSBRemoteHostBackingOption.md)
 - [VirtualUSBUSBBackingInfo](docs/VirtualUSBUSBBackingInfo.md)
 - [VirtualUSBUSBBackingOption](docs/VirtualUSBUSBBackingOption.md)
 - [VirtualUSBXHCIController](docs/VirtualUSBXHCIController.md)
 - [VirtualUSBXHCIControllerOption](docs/VirtualUSBXHCIControllerOption.md)
 - [VirtualVMIROMOption](docs/VirtualVMIROMOption.md)
 - [VirtualVideoCardOption](docs/VirtualVideoCardOption.md)
 - [VirtualVmxnet](docs/VirtualVmxnet.md)
 - [VirtualVmxnet2](docs/VirtualVmxnet2.md)
 - [VirtualVmxnet2Option](docs/VirtualVmxnet2Option.md)
 - [VirtualVmxnet3](docs/VirtualVmxnet3.md)
 - [VirtualVmxnet3Option](docs/VirtualVmxnet3Option.md)
 - [VirtualVmxnet3Vrdma](docs/VirtualVmxnet3Vrdma.md)
 - [VirtualVmxnet3VrdmaOption](docs/VirtualVmxnet3VrdmaOption.md)
 - [VirtualVmxnet3VrdmaOptionDeviceProtocolsEnum](docs/VirtualVmxnet3VrdmaOptionDeviceProtocolsEnum.md)
 - [VirtualVmxnetOption](docs/VirtualVmxnetOption.md)
 - [VirtualWDT](docs/VirtualWDT.md)
 - [VirtualWDTOption](docs/VirtualWDTOption.md)
 - [VlanProfile](docs/VlanProfile.md)
 - [VmAcquiredMksTicketEvent](docs/VmAcquiredMksTicketEvent.md)
 - [VmAcquiredTicketEvent](docs/VmAcquiredTicketEvent.md)
 - [VmAlreadyExistsInDatacenter](docs/VmAlreadyExistsInDatacenter.md)
 - [VmAutoRenameEvent](docs/VmAutoRenameEvent.md)
 - [VmBeingClonedEvent](docs/VmBeingClonedEvent.md)
 - [VmBeingClonedNoFolderEvent](docs/VmBeingClonedNoFolderEvent.md)
 - [VmBeingCreatedEvent](docs/VmBeingCreatedEvent.md)
 - [VmBeingDeployedEvent](docs/VmBeingDeployedEvent.md)
 - [VmBeingHotMigratedEvent](docs/VmBeingHotMigratedEvent.md)
 - [VmBeingMigratedEvent](docs/VmBeingMigratedEvent.md)
 - [VmBeingRelocatedEvent](docs/VmBeingRelocatedEvent.md)
 - [VmCloneEvent](docs/VmCloneEvent.md)
 - [VmCloneFailedEvent](docs/VmCloneFailedEvent.md)
 - [VmClonedEvent](docs/VmClonedEvent.md)
 - [VmConfigFault](docs/VmConfigFault.md)
 - [VmConfigFileEncryptionInfo](docs/VmConfigFileEncryptionInfo.md)
 - [VmConfigFileInfo](docs/VmConfigFileInfo.md)
 - [VmConfigFileQuery](docs/VmConfigFileQuery.md)
 - [VmConfigFileQueryFilter](docs/VmConfigFileQueryFilter.md)
 - [VmConfigFileQueryFlags](docs/VmConfigFileQueryFlags.md)
 - [VmConfigIncompatibleForFaultTolerance](docs/VmConfigIncompatibleForFaultTolerance.md)
 - [VmConfigIncompatibleForRecordReplay](docs/VmConfigIncompatibleForRecordReplay.md)
 - [VmConfigInfo](docs/VmConfigInfo.md)
 - [VmConfigMissingEvent](docs/VmConfigMissingEvent.md)
 - [VmConfigSpec](docs/VmConfigSpec.md)
 - [VmConnectedEvent](docs/VmConnectedEvent.md)
 - [VmCreatedEvent](docs/VmCreatedEvent.md)
 - [VmDasBeingResetEvent](docs/VmDasBeingResetEvent.md)
 - [VmDasBeingResetEventReasonCodeEnum](docs/VmDasBeingResetEventReasonCodeEnum.md)
 - [VmDasBeingResetWithScreenshotEvent](docs/VmDasBeingResetWithScreenshotEvent.md)
 - [VmDasResetFailedEvent](docs/VmDasResetFailedEvent.md)
 - [VmDasUpdateErrorEvent](docs/VmDasUpdateErrorEvent.md)
 - [VmDasUpdateOkEvent](docs/VmDasUpdateOkEvent.md)
 - [VmDateRolledBackEvent](docs/VmDateRolledBackEvent.md)
 - [VmDeployFailedEvent](docs/VmDeployFailedEvent.md)
 - [VmDeployedEvent](docs/VmDeployedEvent.md)
 - [VmDisconnectedEvent](docs/VmDisconnectedEvent.md)
 - [VmDiscoveredEvent](docs/VmDiscoveredEvent.md)
 - [VmDiskFailedEvent](docs/VmDiskFailedEvent.md)
 - [VmDiskFileEncryptionInfo](docs/VmDiskFileEncryptionInfo.md)
 - [VmDiskFileInfo](docs/VmDiskFileInfo.md)
 - [VmDiskFileQuery](docs/VmDiskFileQuery.md)
 - [VmDiskFileQueryFilter](docs/VmDiskFileQueryFilter.md)
 - [VmDiskFileQueryFlags](docs/VmDiskFileQueryFlags.md)
 - [VmEmigratingEvent](docs/VmEmigratingEvent.md)
 - [VmEndRecordingEvent](docs/VmEndRecordingEvent.md)
 - [VmEndReplayingEvent](docs/VmEndReplayingEvent.md)
 - [VmEvent](docs/VmEvent.md)
 - [VmEventArgument](docs/VmEventArgument.md)
 - [VmFailedMigrateEvent](docs/VmFailedMigrateEvent.md)
 - [VmFailedRelayoutEvent](docs/VmFailedRelayoutEvent.md)
 - [VmFailedRelayoutOnVmfs2DatastoreEvent](docs/VmFailedRelayoutOnVmfs2DatastoreEvent.md)
 - [VmFailedStartingSecondaryEvent](docs/VmFailedStartingSecondaryEvent.md)
 - [VmFailedStartingSecondaryEventFailureReasonEnum](docs/VmFailedStartingSecondaryEventFailureReasonEnum.md)
 - [VmFailedToPowerOffEvent](docs/VmFailedToPowerOffEvent.md)
 - [VmFailedToPowerOnEvent](docs/VmFailedToPowerOnEvent.md)
 - [VmFailedToRebootGuestEvent](docs/VmFailedToRebootGuestEvent.md)
 - [VmFailedToResetEvent](docs/VmFailedToResetEvent.md)
 - [VmFailedToShutdownGuestEvent](docs/VmFailedToShutdownGuestEvent.md)
 - [VmFailedToStandbyGuestEvent](docs/VmFailedToStandbyGuestEvent.md)
 - [VmFailedToSuspendEvent](docs/VmFailedToSuspendEvent.md)
 - [VmFailedUpdatingSecondaryConfig](docs/VmFailedUpdatingSecondaryConfig.md)
 - [VmFailoverFailed](docs/VmFailoverFailed.md)
 - [VmFaultToleranceConfigIssue](docs/VmFaultToleranceConfigIssue.md)
 - [VmFaultToleranceConfigIssueReasonForIssueEnum](docs/VmFaultToleranceConfigIssueReasonForIssueEnum.md)
 - [VmFaultToleranceConfigIssueWrapper](docs/VmFaultToleranceConfigIssueWrapper.md)
 - [VmFaultToleranceInvalidFileBacking](docs/VmFaultToleranceInvalidFileBacking.md)
 - [VmFaultToleranceInvalidFileBackingDeviceTypeEnum](docs/VmFaultToleranceInvalidFileBackingDeviceTypeEnum.md)
 - [VmFaultToleranceIssue](docs/VmFaultToleranceIssue.md)
 - [VmFaultToleranceOpIssuesList](docs/VmFaultToleranceOpIssuesList.md)
 - [VmFaultToleranceStateChangedEvent](docs/VmFaultToleranceStateChangedEvent.md)
 - [VmFaultToleranceTooManyFtVcpusOnHost](docs/VmFaultToleranceTooManyFtVcpusOnHost.md)
 - [VmFaultToleranceTooManyVMsOnHost](docs/VmFaultToleranceTooManyVMsOnHost.md)
 - [VmFaultToleranceTurnedOffEvent](docs/VmFaultToleranceTurnedOffEvent.md)
 - [VmFaultToleranceVmTerminatedEvent](docs/VmFaultToleranceVmTerminatedEvent.md)
 - [VmGuestOSCrashedEvent](docs/VmGuestOSCrashedEvent.md)
 - [VmGuestRebootEvent](docs/VmGuestRebootEvent.md)
 - [VmGuestShutdownEvent](docs/VmGuestShutdownEvent.md)
 - [VmGuestStandbyEvent](docs/VmGuestStandbyEvent.md)
 - [VmHealthMonitoringStateChangedEvent](docs/VmHealthMonitoringStateChangedEvent.md)
 - [VmHostAffinityRuleViolation](docs/VmHostAffinityRuleViolation.md)
 - [VmInstanceUuidAssignedEvent](docs/VmInstanceUuidAssignedEvent.md)
 - [VmInstanceUuidChangedEvent](docs/VmInstanceUuidChangedEvent.md)
 - [VmInstanceUuidConflictEvent](docs/VmInstanceUuidConflictEvent.md)
 - [VmLimitLicense](docs/VmLimitLicense.md)
 - [VmLogFileInfo](docs/VmLogFileInfo.md)
 - [VmLogFileQuery](docs/VmLogFileQuery.md)
 - [VmMacAssignedEvent](docs/VmMacAssignedEvent.md)
 - [VmMacChangedEvent](docs/VmMacChangedEvent.md)
 - [VmMacConflictEvent](docs/VmMacConflictEvent.md)
 - [VmMaxFTRestartCountReached](docs/VmMaxFTRestartCountReached.md)
 - [VmMaxRestartCountReached](docs/VmMaxRestartCountReached.md)
 - [VmMessageErrorEvent](docs/VmMessageErrorEvent.md)
 - [VmMessageEvent](docs/VmMessageEvent.md)
 - [VmMessageWarningEvent](docs/VmMessageWarningEvent.md)
 - [VmMetadataManagerFault](docs/VmMetadataManagerFault.md)
 - [VmMigratedEvent](docs/VmMigratedEvent.md)
 - [VmMonitorIncompatibleForFaultTolerance](docs/VmMonitorIncompatibleForFaultTolerance.md)
 - [VmNoCompatibleHostForSecondaryEvent](docs/VmNoCompatibleHostForSecondaryEvent.md)
 - [VmNoNetworkAccessEvent](docs/VmNoNetworkAccessEvent.md)
 - [VmNvramFileInfo](docs/VmNvramFileInfo.md)
 - [VmNvramFileQuery](docs/VmNvramFileQuery.md)
 - [VmOrphanedEvent](docs/VmOrphanedEvent.md)
 - [VmPodConfigForPlacement](docs/VmPodConfigForPlacement.md)
 - [VmPortGroupProfile](docs/VmPortGroupProfile.md)
 - [VmPowerOffOnIsolationEvent](docs/VmPowerOffOnIsolationEvent.md)
 - [VmPowerOnDisabled](docs/VmPowerOnDisabled.md)
 - [VmPoweredOffEvent](docs/VmPoweredOffEvent.md)
 - [VmPoweredOnEvent](docs/VmPoweredOnEvent.md)
 - [VmPoweringOnWithCustomizedDVPortEvent](docs/VmPoweringOnWithCustomizedDVPortEvent.md)
 - [VmPrimaryFailoverEvent](docs/VmPrimaryFailoverEvent.md)
 - [VmReconfiguredEvent](docs/VmReconfiguredEvent.md)
 - [VmRegisteredEvent](docs/VmRegisteredEvent.md)
 - [VmRelayoutSuccessfulEvent](docs/VmRelayoutSuccessfulEvent.md)
 - [VmRelayoutUpToDateEvent](docs/VmRelayoutUpToDateEvent.md)
 - [VmReloadFromPathEvent](docs/VmReloadFromPathEvent.md)
 - [VmReloadFromPathFailedEvent](docs/VmReloadFromPathFailedEvent.md)
 - [VmRelocateFailedEvent](docs/VmRelocateFailedEvent.md)
 - [VmRelocateSpecEvent](docs/VmRelocateSpecEvent.md)
 - [VmRelocatedEvent](docs/VmRelocatedEvent.md)
 - [VmRemoteConsoleConnectedEvent](docs/VmRemoteConsoleConnectedEvent.md)
 - [VmRemoteConsoleDisconnectedEvent](docs/VmRemoteConsoleDisconnectedEvent.md)
 - [VmRemovedEvent](docs/VmRemovedEvent.md)
 - [VmRenamedEvent](docs/VmRenamedEvent.md)
 - [VmRequirementsExceedCurrentEVCModeEvent](docs/VmRequirementsExceedCurrentEVCModeEvent.md)
 - [VmResettingEvent](docs/VmResettingEvent.md)
 - [VmResourcePoolMovedEvent](docs/VmResourcePoolMovedEvent.md)
 - [VmResourceReallocatedEvent](docs/VmResourceReallocatedEvent.md)
 - [VmRestartedOnAlternateHostEvent](docs/VmRestartedOnAlternateHostEvent.md)
 - [VmResumingEvent](docs/VmResumingEvent.md)
 - [VmSecondaryAddedEvent](docs/VmSecondaryAddedEvent.md)
 - [VmSecondaryDisabledBySystemEvent](docs/VmSecondaryDisabledBySystemEvent.md)
 - [VmSecondaryDisabledEvent](docs/VmSecondaryDisabledEvent.md)
 - [VmSecondaryEnabledEvent](docs/VmSecondaryEnabledEvent.md)
 - [VmSecondaryStartedEvent](docs/VmSecondaryStartedEvent.md)
 - [VmShutdownOnIsolationEvent](docs/VmShutdownOnIsolationEvent.md)
 - [VmShutdownOnIsolationEventOperationEnum](docs/VmShutdownOnIsolationEventOperationEnum.md)
 - [VmSmpFaultToleranceTooManyVMsOnHost](docs/VmSmpFaultToleranceTooManyVMsOnHost.md)
 - [VmSnapshotFileInfo](docs/VmSnapshotFileInfo.md)
 - [VmSnapshotFileQuery](docs/VmSnapshotFileQuery.md)
 - [VmStartRecordingEvent](docs/VmStartRecordingEvent.md)
 - [VmStartReplayingEvent](docs/VmStartReplayingEvent.md)
 - [VmStartingEvent](docs/VmStartingEvent.md)
 - [VmStartingSecondaryEvent](docs/VmStartingSecondaryEvent.md)
 - [VmStaticMacConflictEvent](docs/VmStaticMacConflictEvent.md)
 - [VmStoppingEvent](docs/VmStoppingEvent.md)
 - [VmSuspendedEvent](docs/VmSuspendedEvent.md)
 - [VmSuspendingEvent](docs/VmSuspendingEvent.md)
 - [VmTimedoutStartingSecondaryEvent](docs/VmTimedoutStartingSecondaryEvent.md)
 - [VmToolsUpgradeFault](docs/VmToolsUpgradeFault.md)
 - [VmUnsupportedStartingEvent](docs/VmUnsupportedStartingEvent.md)
 - [VmUpgradeCompleteEvent](docs/VmUpgradeCompleteEvent.md)
 - [VmUpgradeFailedEvent](docs/VmUpgradeFailedEvent.md)
 - [VmUpgradingEvent](docs/VmUpgradingEvent.md)
 - [VmUuidAssignedEvent](docs/VmUuidAssignedEvent.md)
 - [VmUuidChangedEvent](docs/VmUuidChangedEvent.md)
 - [VmUuidConflictEvent](docs/VmUuidConflictEvent.md)
 - [VmValidateMaxDevice](docs/VmValidateMaxDevice.md)
 - [VmVnicPoolReservationViolationClearEvent](docs/VmVnicPoolReservationViolationClearEvent.md)
 - [VmVnicPoolReservationViolationRaiseEvent](docs/VmVnicPoolReservationViolationRaiseEvent.md)
 - [VmWwnAssignedEvent](docs/VmWwnAssignedEvent.md)
 - [VmWwnChangedEvent](docs/VmWwnChangedEvent.md)
 - [VmWwnConflict](docs/VmWwnConflict.md)
 - [VmWwnConflictEvent](docs/VmWwnConflictEvent.md)
 - [VmfsAlreadyMounted](docs/VmfsAlreadyMounted.md)
 - [VmfsAmbiguousMount](docs/VmfsAmbiguousMount.md)
 - [VmfsConfigOption](docs/VmfsConfigOption.md)
 - [VmfsDatastoreAllExtentOption](docs/VmfsDatastoreAllExtentOption.md)
 - [VmfsDatastoreBaseOption](docs/VmfsDatastoreBaseOption.md)
 - [VmfsDatastoreCreateSpec](docs/VmfsDatastoreCreateSpec.md)
 - [VmfsDatastoreExpandSpec](docs/VmfsDatastoreExpandSpec.md)
 - [VmfsDatastoreExtendSpec](docs/VmfsDatastoreExtendSpec.md)
 - [VmfsDatastoreInfo](docs/VmfsDatastoreInfo.md)
 - [VmfsDatastoreMultipleExtentOption](docs/VmfsDatastoreMultipleExtentOption.md)
 - [VmfsDatastoreOption](docs/VmfsDatastoreOption.md)
 - [VmfsDatastoreSingleExtentOption](docs/VmfsDatastoreSingleExtentOption.md)
 - [VmfsDatastoreSpec](docs/VmfsDatastoreSpec.md)
 - [VmfsMountFault](docs/VmfsMountFault.md)
 - [VmfsUnmapBandwidthSpec](docs/VmfsUnmapBandwidthSpec.md)
 - [VmotionInterfaceNotEnabled](docs/VmotionInterfaceNotEnabled.md)
 - [VmwareDistributedVirtualSwitchPvlanPortTypeEnum](docs/VmwareDistributedVirtualSwitchPvlanPortTypeEnum.md)
 - [VmwareDistributedVirtualSwitchPvlanSpec](docs/VmwareDistributedVirtualSwitchPvlanSpec.md)
 - [VmwareDistributedVirtualSwitchTrunkVlanSpec](docs/VmwareDistributedVirtualSwitchTrunkVlanSpec.md)
 - [VmwareDistributedVirtualSwitchVlanIdSpec](docs/VmwareDistributedVirtualSwitchVlanIdSpec.md)
 - [VmwareDistributedVirtualSwitchVlanSpec](docs/VmwareDistributedVirtualSwitchVlanSpec.md)
 - [VmwareUplinkPortTeamingPolicy](docs/VmwareUplinkPortTeamingPolicy.md)
 - [VnicPortArgument](docs/VnicPortArgument.md)
 - [VolumeEditorError](docs/VolumeEditorError.md)
 - [VramLimitLicense](docs/VramLimitLicense.md)
 - [VsanClusterConfigInfo](docs/VsanClusterConfigInfo.md)
 - [VsanClusterConfigInfoHostDefaultInfo](docs/VsanClusterConfigInfoHostDefaultInfo.md)
 - [VsanClusterUuidMismatch](docs/VsanClusterUuidMismatch.md)
 - [VsanDatastoreInfo](docs/VsanDatastoreInfo.md)
 - [VsanDiskFault](docs/VsanDiskFault.md)
 - [VsanDiskIssueTypeEnum](docs/VsanDiskIssueTypeEnum.md)
 - [VsanFault](docs/VsanFault.md)
 - [VsanHostClusterStatus](docs/VsanHostClusterStatus.md)
 - [VsanHostClusterStatusState](docs/VsanHostClusterStatusState.md)
 - [VsanHostClusterStatusStateCompletionEstimate](docs/VsanHostClusterStatusStateCompletionEstimate.md)
 - [VsanHostConfigInfo](docs/VsanHostConfigInfo.md)
 - [VsanHostConfigInfoClusterInfo](docs/VsanHostConfigInfoClusterInfo.md)
 - [VsanHostConfigInfoNetworkInfo](docs/VsanHostConfigInfoNetworkInfo.md)
 - [VsanHostConfigInfoNetworkInfoPortConfig](docs/VsanHostConfigInfoNetworkInfoPortConfig.md)
 - [VsanHostConfigInfoStorageInfo](docs/VsanHostConfigInfoStorageInfo.md)
 - [VsanHostDecommissionMode](docs/VsanHostDecommissionMode.md)
 - [VsanHostDecommissionModeObjectActionEnum](docs/VsanHostDecommissionModeObjectActionEnum.md)
 - [VsanHostDiskMapInfo](docs/VsanHostDiskMapInfo.md)
 - [VsanHostDiskMapResult](docs/VsanHostDiskMapResult.md)
 - [VsanHostDiskMapping](docs/VsanHostDiskMapping.md)
 - [VsanHostDiskResult](docs/VsanHostDiskResult.md)
 - [VsanHostDiskResultState](docs/VsanHostDiskResultState.md)
 - [VsanHostDiskResultStateEnum](docs/VsanHostDiskResultStateEnum.md)
 - [VsanHostFaultDomainInfo](docs/VsanHostFaultDomainInfo.md)
 - [VsanHostHealthState](docs/VsanHostHealthState.md)
 - [VsanHostHealthStateEnum](docs/VsanHostHealthStateEnum.md)
 - [VsanHostIpConfig](docs/VsanHostIpConfig.md)
 - [VsanHostMembershipInfo](docs/VsanHostMembershipInfo.md)
 - [VsanHostNodeState](docs/VsanHostNodeState.md)
 - [VsanHostNodeStateEnum](docs/VsanHostNodeStateEnum.md)
 - [VsanHostRuntimeInfo](docs/VsanHostRuntimeInfo.md)
 - [VsanHostRuntimeInfoDiskIssue](docs/VsanHostRuntimeInfoDiskIssue.md)
 - [VsanHostVsanDiskInfo](docs/VsanHostVsanDiskInfo.md)
 - [VsanIncompatibleDiskMapping](docs/VsanIncompatibleDiskMapping.md)
 - [VsanNewPolicyBatch](docs/VsanNewPolicyBatch.md)
 - [VsanPolicyChangeBatch](docs/VsanPolicyChangeBatch.md)
 - [VsanPolicyCost](docs/VsanPolicyCost.md)
 - [VsanPolicySatisfiability](docs/VsanPolicySatisfiability.md)
 - [VsanUpgradeSystemAPIBrokenIssue](docs/VsanUpgradeSystemAPIBrokenIssue.md)
 - [VsanUpgradeSystemAutoClaimEnabledOnHostsIssue](docs/VsanUpgradeSystemAutoClaimEnabledOnHostsIssue.md)
 - [VsanUpgradeSystemHostsDisconnectedIssue](docs/VsanUpgradeSystemHostsDisconnectedIssue.md)
 - [VsanUpgradeSystemMissingHostsInClusterIssue](docs/VsanUpgradeSystemMissingHostsInClusterIssue.md)
 - [VsanUpgradeSystemNetworkPartitionInfo](docs/VsanUpgradeSystemNetworkPartitionInfo.md)
 - [VsanUpgradeSystemNetworkPartitionIssue](docs/VsanUpgradeSystemNetworkPartitionIssue.md)
 - [VsanUpgradeSystemNotEnoughFreeCapacityIssue](docs/VsanUpgradeSystemNotEnoughFreeCapacityIssue.md)
 - [VsanUpgradeSystemPreflightCheckIssue](docs/VsanUpgradeSystemPreflightCheckIssue.md)
 - [VsanUpgradeSystemPreflightCheckResult](docs/VsanUpgradeSystemPreflightCheckResult.md)
 - [VsanUpgradeSystemRogueHostsInClusterIssue](docs/VsanUpgradeSystemRogueHostsInClusterIssue.md)
 - [VsanUpgradeSystemUpgradeHistoryDiskGroupOp](docs/VsanUpgradeSystemUpgradeHistoryDiskGroupOp.md)
 - [VsanUpgradeSystemUpgradeHistoryDiskGroupOpType](docs/VsanUpgradeSystemUpgradeHistoryDiskGroupOpType.md)
 - [VsanUpgradeSystemUpgradeHistoryDiskGroupOpTypeEnum](docs/VsanUpgradeSystemUpgradeHistoryDiskGroupOpTypeEnum.md)
 - [VsanUpgradeSystemUpgradeHistoryItem](docs/VsanUpgradeSystemUpgradeHistoryItem.md)
 - [VsanUpgradeSystemUpgradeHistoryPreflightFail](docs/VsanUpgradeSystemUpgradeHistoryPreflightFail.md)
 - [VsanUpgradeSystemUpgradeStatus](docs/VsanUpgradeSystemUpgradeStatus.md)
 - [VsanUpgradeSystemV2ObjectsPresentDuringDowngradeIssue](docs/VsanUpgradeSystemV2ObjectsPresentDuringDowngradeIssue.md)
 - [VsanUpgradeSystemWrongEsxVersionIssue](docs/VsanUpgradeSystemWrongEsxVersionIssue.md)
 - [VslmCloneSpec](docs/VslmCloneSpec.md)
 - [VslmCreateSpec](docs/VslmCreateSpec.md)
 - [VslmCreateSpecBackingSpec](docs/VslmCreateSpecBackingSpec.md)
 - [VslmCreateSpecDiskFileBackingSpec](docs/VslmCreateSpecDiskFileBackingSpec.md)
 - [VslmCreateSpecRawDiskMappingBackingSpec](docs/VslmCreateSpecRawDiskMappingBackingSpec.md)
 - [VslmDiskInfoFlagEnum](docs/VslmDiskInfoFlagEnum.md)
 - [VslmInfrastructureObjectPolicy](docs/VslmInfrastructureObjectPolicy.md)
 - [VslmInfrastructureObjectPolicySpec](docs/VslmInfrastructureObjectPolicySpec.md)
 - [VslmMigrateSpec](docs/VslmMigrateSpec.md)
 - [VslmRelocateSpec](docs/VslmRelocateSpec.md)
 - [VslmTagEntry](docs/VslmTagEntry.md)
 - [VslmVClockInfo](docs/VslmVClockInfo.md)
 - [VslmVStorageObjectControlFlagEnum](docs/VslmVStorageObjectControlFlagEnum.md)
 - [VspanDestPortConflict](docs/VspanDestPortConflict.md)
 - [VspanPortConflict](docs/VspanPortConflict.md)
 - [VspanPortMoveFault](docs/VspanPortMoveFault.md)
 - [VspanPortPromiscChangeFault](docs/VspanPortPromiscChangeFault.md)
 - [VspanPortgroupPromiscChangeFault](docs/VspanPortgroupPromiscChangeFault.md)
 - [VspanPortgroupTypeChangeFault](docs/VspanPortgroupTypeChangeFault.md)
 - [VspanPromiscuousPortNotSupported](docs/VspanPromiscuousPortNotSupported.md)
 - [VspanSameSessionPortConflict](docs/VspanSameSessionPortConflict.md)
 - [VstorageObjectVCenterQueryChangedDiskAreasRequestType](docs/VstorageObjectVCenterQueryChangedDiskAreasRequestType.md)
 - [VvolDatastoreInfo](docs/VvolDatastoreInfo.md)
 - [WaitForUpdatesExRequestType](docs/WaitForUpdatesExRequestType.md)
 - [WaitForUpdatesRequestType](docs/WaitForUpdatesRequestType.md)
 - [WaitOptions](docs/WaitOptions.md)
 - [WakeOnLanNotSupported](docs/WakeOnLanNotSupported.md)
 - [WakeOnLanNotSupportedByVmotionNIC](docs/WakeOnLanNotSupportedByVmotionNIC.md)
 - [WarningUpgradeEvent](docs/WarningUpgradeEvent.md)
 - [WeekOfMonth](docs/WeekOfMonth.md)
 - [WeekOfMonthEnum](docs/WeekOfMonthEnum.md)
 - [WeeklyTaskScheduler](docs/WeeklyTaskScheduler.md)
 - [WillLoseHAProtection](docs/WillLoseHAProtection.md)
 - [WillLoseHAProtectionResolutionEnum](docs/WillLoseHAProtectionResolutionEnum.md)
 - [WillModifyConfigCpuRequirements](docs/WillModifyConfigCpuRequirements.md)
 - [WillResetSnapshotDirectory](docs/WillResetSnapshotDirectory.md)
 - [WinNetBIOSConfigInfo](docs/WinNetBIOSConfigInfo.md)
 - [WipeDiskFault](docs/WipeDiskFault.md)
 - [WitnessNodeInfo](docs/WitnessNodeInfo.md)
 - [XmlToCustomizationSpecItemRequestType](docs/XmlToCustomizationSpecItemRequestType.md)
 - [ZeroFillVirtualDiskRequestType](docs/ZeroFillVirtualDiskRequestType.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Session"></a>
### Session

- **Type**: API key
- **API key parameter name**: vmware-api-session-id
- **Location**: HTTP header


## Author




